# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-06-06 18:55
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('oozie', '0002_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='subworkflow',
            name='sub_workflow',
            field=models.ForeignKey(blank=True, default=None, help_text='The sub-workflow application to include. You must own all the sub-workflows.', null=True, on_delete=django.db.models.deletion.CASCADE, to='oozie.Workflow', verbose_name='Sub-workflow'),
        ),
        migrations.AddField(
            model_name='history',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='dataoutput',
            name='dataset',
            field=models.OneToOneField(help_text='The pattern of the output data we want to generate.', on_delete=django.db.models.deletion.CASCADE, to='oozie.Dataset', verbose_name='The dataset representing the format of the data output.'),
        ),
        migrations.AddField(
            model_name='datainput',
            name='dataset',
            field=models.OneToOneField(help_text='The pattern of the input data we want to process.', on_delete=django.db.models.deletion.CASCADE, to='oozie.Dataset', verbose_name='The dataset representing format of the data input.'),
        ),
        migrations.AddField(
            model_name='node',
            name='workflow',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='oozie.Workflow'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='coordinator',
            field=models.ForeignKey(help_text='The coordinator associated with this data.', on_delete=django.db.models.deletion.CASCADE, to='oozie.Coordinator', verbose_name='Coordinator'),
        ),
        migrations.AddField(
            model_name='dataoutput',
            name='coordinator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='oozie.Coordinator'),
        ),
        migrations.AddField(
            model_name='datainput',
            name='coordinator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='oozie.Coordinator'),
        ),
        migrations.AddField(
            model_name='bundledcoordinator',
            name='bundle',
            field=models.ForeignKey(help_text='The bundle regrouping all the coordinators.', on_delete=django.db.models.deletion.CASCADE, to='oozie.Bundle', verbose_name='Bundle'),
        ),
        migrations.AddField(
            model_name='bundledcoordinator',
            name='coordinator',
            field=models.ForeignKey(help_text='The coordinator to batch with other coordinators.', on_delete=django.db.models.deletion.CASCADE, to='oozie.Coordinator', verbose_name='Coordinator'),
        ),
    ]
