/*!
 * 
 * Licensed to Cloudera, Inc. under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  Cloudera, Inc. licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["hue~tableBrowser"],{

/***/ "./desktop/core/src/desktop/js/catalog/contextCatalog.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/catalog/contextCatalog.js ***!
  \***************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var localforage__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! localforage */ "./node_modules/localforage/dist/localforage.js");
/* harmony import */ var localforage__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(localforage__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




/**
 * @typedef {Object} ContextCompute
 * @property {string} id
 * @property {string} name
 */

/**
 * @typedef {Object} ContextNamespace
 * @property {string} id
 * @property {string} name
 * @property {ContextCompute} computes
 */

var STORAGE_POSTFIX = window.LOGGED_USERNAME;
var CONTEXT_CATALOG_VERSION = 4;
var NAMESPACES_CONTEXT_TYPE = 'namespaces';
var DISABLE_CACHE = true;

var ContextCatalog =
/*#__PURE__*/
function () {
  function ContextCatalog() {
    _classCallCheck(this, ContextCatalog);

    var self = this;
    self.namespaces = {};
    self.namespacePromises = {};
    self.computes = {};
    self.computePromises = {};
    self.clusters = {};
    self.clusterPromises = {};

    var addPubSubs = function addPubSubs() {
      if (typeof _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"] !== 'undefined') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('context.catalog.refresh', function () {
          var namespacesToRefresh = Object.keys(self.namespaces);
          self.namespaces = {};
          self.namespacePromises = {};
          self.computes = {};
          self.computePromises = {};
          self.clusters = {};
          self.clusterPromises = {};
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.catalog.refreshed');
          namespacesToRefresh.forEach(function (sourceType) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.catalog.namespaces.refreshed', sourceType);
          });
        });
      } else {
        window.setTimeout(addPubSubs, 100);
      }
    };

    addPubSubs();
  }

  _createClass(ContextCatalog, [{
    key: "getStore",
    value: function getStore() {
      if (!self.store) {
        self.store = localforage__WEBPACK_IMPORTED_MODULE_1___default.a.createInstance({
          name: 'HueContextCatalog_' + STORAGE_POSTFIX
        });
      }

      return self.store;
    }
  }, {
    key: "saveLater",
    value: function saveLater(contextType, sourceType, entry) {
      var self = this;
      window.setTimeout(function () {
        self.getStore().setItem(sourceType + '_' + contextType, {
          version: CONTEXT_CATALOG_VERSION,
          entry: entry
        });
      }, 1000);
    }
  }, {
    key: "getSaved",
    value: function getSaved(contextType, sourceType) {
      var self = this;
      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (DISABLE_CACHE) {
        return deferred.reject().promise();
      }

      self.getStore().getItem(sourceType + '_' + contextType).then(function (saved) {
        if (saved && saved.version === CONTEXT_CATALOG_VERSION) {
          deferred.resolve(saved.entry);
        } else {
          deferred.reject();
        }
      })["catch"](function (error) {
        console.warn(error);
        deferred.reject();
      });
      return deferred.promise();
    }
    /**
     * @param {Object} options
     * @param {string} options.sourceType
     * @param {boolean} [options.clearCache] - Default False
     * @param {boolean} [options.silenceErrors] - Default False
     * @return {Promise}
     */

  }, {
    key: "getNamespaces",
    value: function getNamespaces(options) {
      var self = this;
      var notifyForRefresh = self.namespacePromises[options.sourceType] && options.clearCache;

      if (options.clearCache) {
        self.namespacePromises[options.sourceType] = undefined;
        self.namespaces[options.sourceType] = undefined;
      }

      if (self.namespacePromises[options.sourceType]) {
        return self.namespacePromises[options.sourceType];
      }

      if (self.namespaces[options.sourceType]) {
        self.namespacePromises[options.sourceType] = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve(self.namespaces[options.sourceType]).promise();
        return self.namespacePromises[options.sourceType];
      }

      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      self.namespacePromises[options.sourceType] = deferred.promise();
      var startingNamespaces = {};
      var pollTimeout = -1;

      var pollForStarted = function pollForStarted() {
        window.clearTimeout(pollTimeout);
        window.setTimeout(function () {
          if (Object.keys(startingNamespaces).length) {
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchContextNamespaces(options).done(function (namespaces) {
              if (namespaces[options.sourceType]) {
                var _namespaces = _namespaces[options.sourceType];

                if (_namespaces) {
                  var statusChanged = false;

                  _namespaces.forEach(function (namespace) {
                    if (startingNamespaces[namespace.id] && namespace.status !== 'STARTING') {
                      startingNamespaces[namespace.id].status = namespace.status;
                      delete startingNamespaces[namespace.id];
                      statusChanged = true;
                    }
                  });

                  if (statusChanged) {
                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.catalog.namespaces.refreshed', options.sourceType);
                  }

                  if (Object.keys(startingNamespaces).length) {
                    pollForStarted();
                  }
                }
              }
            });
          }
        }, 2000);
      };

      deferred.done(function (context) {
        context.namespaces.forEach(function (namespace) {
          if (namespace.status === 'STARTING') {
            startingNamespaces[namespace.id] = namespace;
          }
        });

        if (Object.keys(startingNamespaces).length) {
          pollForStarted();
        }
      });

      var fetchNamespaces = function fetchNamespaces() {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchContextNamespaces(options).done(function (namespaces) {
          if (namespaces[options.sourceType]) {
            var dynamic = namespaces.dynamicClusters;
            namespaces = namespaces[options.sourceType];

            if (namespaces) {
              namespaces.forEach(function (namespace) {
                namespace.computes.forEach(function (compute) {
                  if (!compute.id && compute.crn) {
                    compute.id = compute.crn;
                  }

                  if (!compute.name && compute.clusterName) {
                    compute.name = compute.clusterName;
                  }
                });
              });
              self.namespaces[options.sourceType] = {
                namespaces: namespaces.filter(function (namespace) {
                  return namespace.name;
                }),
                dynamic: dynamic,
                hueTimestamp: Date.now()
              };
              deferred.resolve(self.namespaces[options.sourceType]);

              if (notifyForRefresh) {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.catalog.namespaces.refreshed', options.sourceType);
              }

              if (self.namespaces[options.sourceType].namespaces.length) {
                self.saveLater(NAMESPACES_CONTEXT_TYPE, options.sourceType, self.namespaces[options.sourceType]);
              } else {
                self.getStore().removeItem(options.sourceType + '_' + NAMESPACES_CONTEXT_TYPE);
              }
            } else {
              deferred.reject();
            }
          } else {
            deferred.reject();
          }
        });
      };

      if (!options.clearCache) {
        self.getSaved(NAMESPACES_CONTEXT_TYPE, options.sourceType).done(function (namespaces) {
          self.namespaces[options.sourceType] = namespaces;
          deferred.resolve(self.namespaces[options.sourceType]);
        }).fail(fetchNamespaces);
      } else {
        fetchNamespaces();
      }

      return self.namespacePromises[options.sourceType];
    }
    /**
     * @param {Object} options
     * @param {string} options.sourceType
     * @param {boolean} [options.silenceErrors] - Default False
     * @param {boolean} [options.clearCache] - Default False
     * @return {Promise}
     */

  }, {
    key: "getComputes",
    value: function getComputes(options) {
      var self = this;

      if (options.clearCache) {
        self.computePromises[options.sourceType] = undefined;
        self.computes[options.sourceType] = undefined;
      }

      if (self.computePromises[options.sourceType]) {
        return self.computePromises[options.sourceType];
      }

      if (self.computes[options.sourceType]) {
        self.computePromises[options.sourceType] = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve(self.computes[options.sourceType]).promise();
        return self.computePromises[options.sourceType];
      }

      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      self.computePromises[options.sourceType] = deferred.promise();
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchContextComputes(options).done(function (computes) {
        if (computes[options.sourceType]) {
          computes = computes[options.sourceType];

          if (computes) {
            self.computes[options.sourceType] = computes;
            deferred.resolve(self.computes[options.sourceType]); // TODO: save
          } else {
            deferred.reject();
          }
        } else {
          deferred.reject();
        }
      });
      return self.computePromises[options.sourceType];
    }
    /**
     * @param {Object} options
     * @param {string} options.sourceType
     * @param {boolean} [options.silenceErrors] - Default False
     * @return {Promise}
     */

  }, {
    key: "getClusters",
    value: function getClusters(options) {
      var self = this;

      if (self.clusterPromises[options.sourceType]) {
        return self.clusterPromises[options.sourceType];
      }

      if (self.clusters[options.sourceType]) {
        self.clusterPromises[options.sourceType] = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve(self.clusters[options.sourceType]).promise();
        return self.clusterPromises[options.sourceType];
      }

      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      self.clusterPromises[options.sourceType] = deferred.promise();
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchContextClusters(options).done(function (clusters) {
        if (clusters && clusters[options.sourceType]) {
          self.clusters[options.sourceType] = clusters[options.sourceType];
          deferred.resolve(self.clusters[options.sourceType]);
        } else {
          deferred.reject();
        }
      });
      return self.clusterPromises[options.sourceType];
    }
  }]);

  return ContextCatalog;
}();

var contextCatalog = new ContextCatalog();
/* harmony default export */ __webpack_exports__["default"] = ({
  /**
   * @param {Object} options
   * @param {string} options.sourceType
   * @param {boolean} [options.clearCache] - Default False
   * @param {boolean} [options.silenceErrors] - Default False
   * @return {Promise}
   */
  getNamespaces: function getNamespaces(options) {
    return contextCatalog.getNamespaces(options);
  },

  /**
   * @param {Object} options
   * @param {string} options.sourceType
   * @param {boolean} [options.silenceErrors] - Default False
   * @return {Promise}
   */
  getComputes: function getComputes(options) {
    return contextCatalog.getComputes(options);
  },

  /**
   * @param {Object} options
   * @param {string} options.sourceType // TODO: rename?
   * @param {boolean} [options.silenceErrors] - Default False
   * @return {Promise}
   */
  getClusters: function getClusters(options) {
    return contextCatalog.getClusters(options);
  }
});

/***/ })

}]);
//# sourceMappingURL=hue~tableBrowser-chunk-4e620224bdfb0c8ac0cd.js.map