/*!
 * 
 * Licensed to Cloudera, Inc. under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  Cloudera, Inc. licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"hue": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "" + ({"calcite-parser":"calcite-parser","druid-parser":"druid-parser","elasticsearch-parser":"elasticsearch-parser","generic-parser":"generic-parser","hive-parser":"hive-parser","impala-parser":"impala-parser","ksql-parser":"ksql-parser","phoenix-parser":"phoenix-parser","presto-parser":"presto-parser"}[chunkId]||chunkId) + "-chunk-" + "4e620224bdfb0c8ac0cd" + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push([0,"vendors~hue~notebook~tableBrowser","vendors~hue~tableBrowser","vendors~hue","hue~notebook~tableBrowser","hue~notebook","hue~tableBrowser"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ "./desktop/core/src/desktop/js/apps/notebook/aceAutocompleteWrapper.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/aceAutocompleteWrapper.js ***!
  \*****************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _utils_hdfsAutocompleter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/hdfsAutocompleter */ "./desktop/core/src/desktop/js/utils/hdfsAutocompleter.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var AceAutocompleteWrapper =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options {object}
   * @param options.snippet
   * @param options.user
   * @param options.optEnabled
   * @param {Number} options.timeout
   * @constructor
   */
  function AceAutocompleteWrapper(options) {
    _classCallCheck(this, AceAutocompleteWrapper);

    var self = this;
    self.snippet = options.snippet;
    self.timeout = options.timeout;
    self.topTables = {};

    var initializeAutocompleter = function initializeAutocompleter() {
      self.autocompleter = new _utils_hdfsAutocompleter__WEBPACK_IMPORTED_MODULE_0__["default"]({
        user: options.user,
        snippet: options.snippet,
        timeout: options.timeout
      });
    };

    self.snippet.type.subscribe(function () {
      initializeAutocompleter();
    });
    initializeAutocompleter();
  } // TODO: See why we need this one.


  _createClass(AceAutocompleteWrapper, [{
    key: "initializeAutocompleter",
    value: function initializeAutocompleter() {} // ACE Format for autocompleter

  }, {
    key: "getCompletions",
    value: function getCompletions(editor, session, pos, prefix, callback) {
      var self = this;

      if (!self.autocompleter) {
        return;
      }

      var before = editor.getTextBeforeCursor();
      var after = editor.getTextAfterCursor(';');

      try {
        self.autocomplete(before, after, function (result) {
          callback(null, result);
        }, editor);
      } catch (err) {
        editor.hideSpinner();
      }
    }
  }, {
    key: "getDocTooltip",
    value: function getDocTooltip(item) {
      var self = this;
      return self.autocompleter.getDocTooltip(item);
    }
  }, {
    key: "autocomplete",
    value: function autocomplete(beforeCursor, afterCursor, callback, editor) {
      var self = this;

      if (self.autocompleter) {
        self.autocompleter.autocomplete(beforeCursor, afterCursor, callback, editor);
      }
    }
  }]);

  return AceAutocompleteWrapper;
}();

/* harmony default export */ __webpack_exports__["default"] = (AceAutocompleteWrapper);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/chartTransformers.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/chartTransformers.js ***!
  \************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var isNotNullForCharts = function isNotNullForCharts(val) {
  return val !== 'NULL' && val !== null;
};

var jQuery = jquery__WEBPACK_IMPORTED_MODULE_0___default.a;

var pieChartTransformer = function pieChartTransformer(rawDatum) {
  var _data = [];

  if (rawDatum.snippet.chartX() != null && rawDatum.snippet.chartYSingle() != null) {
    var _idxValue = -1;

    var _idxLabel = -1;

    rawDatum.snippet.result.meta().forEach(function (col, idx) {
      if (col.name === rawDatum.snippet.chartX()) {
        _idxLabel = idx;
      }

      if (col.name === rawDatum.snippet.chartYSingle()) {
        _idxValue = idx;
      }
    });
    var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
      if (isNotNullForCharts(item[_idxValue])) {
        var val = item[_idxValue] * 1;

        if (isNaN(val)) {
          val = 0;
        }

        _data.push({
          label: _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(item[_idxLabel]),
          value: val,
          color: colors[cnt % colors.length],
          obj: item
        });
      }
    });
  }

  if (rawDatum.sorting === 'asc') {
    _data.sort(function (a, b) {
      return a.value - b.value;
    });
  } else if (rawDatum.sorting === 'desc') {
    _data.sort(function (a, b) {
      return b.value - a.value;
    });
  }

  if (rawDatum.snippet.chartLimit()) {
    _data = _data.slice(0, rawDatum.snippet.chartLimit());
  }

  return _data;
};

var mapChartTransformer = function mapChartTransformer(rawDatum) {
  var _data = [];

  if (rawDatum.snippet.chartX() != null && rawDatum.snippet.chartYSingle() != null) {
    var _idxRegion = -1;

    var _idxValue = -1;

    rawDatum.snippet.result.meta().forEach(function (col, idx) {
      if (col.name === rawDatum.snippet.chartX()) {
        _idxRegion = idx;
      }

      if (col.name === rawDatum.snippet.chartYSingle()) {
        _idxValue = idx;
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
      if (isNotNullForCharts(item[_idxValue]) && isNotNullForCharts(item[_idxRegion])) {
        _data.push({
          label: item[_idxRegion],
          value: item[_idxValue],
          obj: item
        });
      }
    });
  }

  if (rawDatum.snippet.chartLimit()) {
    _data = _data.slice(0, rawDatum.snippet.chartLimit());
  }

  return _data;
}; // The leaflet map can freeze the browser with numbers outside the map


var MIN_LAT = -90;
var MAX_LAT = 90;
var MIN_LNG = -180;
var MAX_LNG = 180;

var leafletMapChartTransformer = function leafletMapChartTransformer(rawDatum) {
  var _data = [];

  if (rawDatum.snippet.chartX() != null && rawDatum.snippet.chartYSingle() != null) {
    var _idxLat = -1;

    var _idxLng = -1;

    var _idxLabel = -1;

    var _idxHeat = -1;

    rawDatum.snippet.result.meta().forEach(function (col, idx) {
      if (col.name === rawDatum.snippet.chartX()) {
        _idxLat = idx;
      }

      if (col.name === rawDatum.snippet.chartYSingle()) {
        _idxLng = idx;
      }

      if (col.name === rawDatum.snippet.chartMapLabel()) {
        _idxLabel = idx;
      }

      if (col.name === rawDatum.snippet.chartMapHeat()) {
        _idxHeat = idx;
      }
    });

    if (rawDatum.snippet.chartMapLabel() != null) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
        if (isNotNullForCharts(item[_idxLat]) && isNotNullForCharts(item[_idxLng])) {
          _data.push({
            lat: Math.min(Math.max(MIN_LAT, item[_idxLat]), MAX_LAT),
            lng: Math.min(Math.max(MIN_LNG, item[_idxLng]), MAX_LNG),
            label: _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(item[_idxLabel]),
            isHeat: rawDatum.snippet.chartMapType() === 'heat',
            intensity: _idxHeat > -1 ? item[_idxHeat] * 1 != NaN ? item[_idxHeat] * 1 : null : null,
            obj: item
          });
        }
      });
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
        if (isNotNullForCharts(item[_idxLat]) && isNotNullForCharts(item[_idxLng])) {
          _data.push({
            lat: Math.min(Math.max(MIN_LAT, item[_idxLat]), MAX_LAT),
            lng: Math.min(Math.max(MIN_LNG, item[_idxLng]), MAX_LNG),
            isHeat: rawDatum.snippet.chartMapType() === 'heat',
            intensity: _idxHeat > -1 ? item[_idxHeat] * 1 != NaN ? item[_idxHeat] * 1 : null : null,
            obj: item
          });
        }
      });
    }
  }

  if (rawDatum.snippet.chartLimit()) {
    _data = _data.slice(0, rawDatum.snippet.chartLimit());
  }

  return _data;
};

var timelineChartTransformer = function timelineChartTransformer(rawDatum) {
  var _datum = [];
  var _plottedSerie = 0;
  rawDatum.snippet.result.meta().forEach(function (meta) {
    if (rawDatum.snippet.chartYMulti().indexOf(meta.name) > -1) {
      var col = meta.name;

      var _idxValue = -1;

      var _idxLabel = -1;

      rawDatum.snippet.result.meta().forEach(function (icol, idx) {
        if (icol.name === rawDatum.snippet.chartX()) {
          _idxLabel = idx;
        }

        if (icol.name === col) {
          _idxValue = idx;
        }
      });

      if (_idxValue > -1) {
        var _data = [];
        var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
          if (isNotNullForCharts(item[_idxLabel]) && isNotNullForCharts(item[_idxValue])) {
            _data.push({
              series: _plottedSerie,
              x: new Date(moment(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(item[_idxLabel])).valueOf()),
              y: item[_idxValue] * 1,
              color: colors[_plottedSerie % colors.length],
              obj: item
            });
          }
        });

        if (rawDatum.sorting === 'asc') {
          _data.sort(function (a, b) {
            return a.y - b.y;
          });
        }

        if (rawDatum.sorting === 'desc') {
          _data.sort(function (a, b) {
            return b.y - a.y;
          });
        }

        if (rawDatum.snippet.chartLimit()) {
          _data = _data.slice(0, rawDatum.snippet.chartLimit());
        }

        _datum.push({
          key: col,
          values: _data
        });

        _plottedSerie++;
      }
    }
  });
  return _datum;
};

var multiSerieChartTransformer = function multiSerieChartTransformer(rawDatum) {
  var _datum = [];

  if (rawDatum.snippet.chartX() != null && rawDatum.snippet.chartYMulti().length > 0) {
    var _plottedSerie = 0;

    if (typeof rawDatum.snippet.chartXPivot() !== 'undefined') {
      var _idxValue = -1;

      var _idxLabel = -1;

      var _isXDate = false;
      rawDatum.snippet.result.meta().forEach(function (icol, idx) {
        if (icol.name === rawDatum.snippet.chartX()) {
          _isXDate = icol.type.toUpperCase().indexOf('DATE') > -1;
          _idxLabel = idx;
        }

        if (icol.name === rawDatum.snippet.chartYSingle()) {
          _idxValue = idx;
        }
      });
      rawDatum.snippet.result.meta().forEach(function (meta, cnt) {
        if (rawDatum.snippet.chartXPivot() === meta.name) {
          var _idxPivot = cnt;
          var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
          var pivotValues = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(rawDatum.counts(), function (p) {
            return p[_idxPivot];
          });
          pivotValues = pivotValues.filter(function (item, pos) {
            return pivotValues.indexOf(item) === pos;
          });
          pivotValues.forEach(function (val, pivotCnt) {
            var _data = [];
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
              if (item[_idxPivot] === val) {
                if (isNotNullForCharts(item[_idxValue]) && isNotNullForCharts(item[_idxLabel])) {
                  _data.push({
                    x: _isXDate ? moment(item[_idxLabel]) : _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(item[_idxLabel]),
                    y: item[_idxValue] * 1,
                    color: colors[pivotCnt % colors.length],
                    obj: item
                  });
                }
              }
            });

            _datum.push({
              key: _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(val),
              values: _data
            });
          });
        }
      }); // fills in missing values

      var longest = 0;
      var allXValues = [];

      _datum.forEach(function (d) {
        d.values.forEach(function (val) {
          if (allXValues.indexOf(val.x) === -1) {
            allXValues.push(val.x);
          }
        });
      });

      _datum.forEach(function (d) {
        allXValues.forEach(function (val) {
          if (!d.values.some(function (item) {
            return item.x === val;
          })) {
            var zeroObj = jQuery.extend({}, d.values[0]);
            zeroObj.y = 0;
            zeroObj.x = val;
            d.values.push(zeroObj);
          }
        });

        if (d.values.length > longest) {
          longest = d.values.length;
        }
      }); // this is to avoid D3 js errors when the data the user is trying to display is bogus


      if (allXValues.length < longest) {
        _datum.forEach(function (d) {
          for (var i = d.values.length; i < longest; i++) {
            var zeroObj = jQuery.extend({}, d.values[0]);
            zeroObj.y = 0;
            zeroObj.x = '';
            d.values.push(zeroObj);
          }
        });
      }

      if (rawDatum.snippet.chartLimit()) {
        _datum = _datum.slice(0, rawDatum.snippet.chartLimit());
      }

      if (rawDatum.sorting === 'desc') {
        _datum.forEach(function (d) {
          d.values.sort(function (a, b) {
            if (a.x > b.x) {
              return -1;
            }

            if (a.x < b.x) {
              return 1;
            }

            return 0;
          });
        });
      } else {
        _datum.forEach(function (d) {
          d.values.sort(function (a, b) {
            if (a.x > b.x) {
              return 1;
            }

            if (a.x < b.x) {
              return -1;
            }

            return 0;
          });
        });
      }
    } else {
      rawDatum.snippet.result.meta().forEach(function (meta) {
        if (rawDatum.snippet.chartYMulti().indexOf(meta.name) > -1) {
          var col = meta.name;

          var _idxValue2 = -1;

          var _idxLabel2 = -1;

          var _isXDate2 = false;
          rawDatum.snippet.result.meta().forEach(function (icol, idx) {
            if (icol.name === rawDatum.snippet.chartX()) {
              _isXDate2 = icol.type.toUpperCase().indexOf('DATE') > -1;
              _idxLabel2 = idx;
            }

            if (icol.name === col) {
              _idxValue2 = idx;
            }
          });

          if (_idxValue2 > -1) {
            var _data = [];
            var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
              if (isNotNullForCharts(item[_idxValue2]) && isNotNullForCharts(item[_idxLabel2])) {
                _data.push({
                  series: _plottedSerie,
                  x: _isXDate2 ? moment(item[_idxLabel2]) : _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].html2text(item[_idxLabel2]),
                  y: item[_idxValue2] * 1,
                  color: colors[cnt % colors.length],
                  obj: item
                });
              }
            });

            if (rawDatum.sorting === 'asc') {
              _data.sort(function (a, b) {
                return a.y - b.y;
              });
            }

            if (rawDatum.sorting === 'desc') {
              _data.sort(function (a, b) {
                return b.y - a.y;
              });
            }

            if (rawDatum.snippet.chartLimit()) {
              _data = _data.slice(0, rawDatum.snippet.chartLimit());
            }

            _datum.push({
              key: col,
              values: _data
            });

            _plottedSerie++;
          }
        }
      });
    }
  }

  return _datum;
};

var scatterChartTransformer = function scatterChartTransformer(rawDatum) {
  var datum = {};

  if (rawDatum.snippet.chartX() != null && rawDatum.snippet.chartYSingle() != null) {
    var idxX = -1;
    var idxY = -1;
    var idxSize = -1;
    var idxGroup = -1;
    rawDatum.snippet.result.meta().forEach(function (icol, idx) {
      if (icol.name === rawDatum.snippet.chartX()) {
        idxX = idx;
      }

      if (icol.name === rawDatum.snippet.chartYSingle()) {
        idxY = idx;
      }

      if (icol.name === rawDatum.snippet.chartScatterSize()) {
        idxSize = idx;
      }

      if (icol.name === rawDatum.snippet.chartScatterGroup()) {
        idxGroup = idx;
      }
    });

    if (idxX > -1 && idxY > -1) {
      var createAndAddToArray = function createAndAddToArray(key, item) {
        if (!datum[key]) {
          datum[key] = [];
        }

        if (isNotNullForCharts(item[idxX]) && isNotNullForCharts(item[idxY])) {
          datum[key].push({
            x: item[idxX],
            y: item[idxY],
            shape: 'circle',
            size: idxSize > -1 ? item[idxSize] : 100,
            obj: item
          });
        }
      };

      if (idxGroup > -1) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
          createAndAddToArray(item[idxGroup], item);
        });
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(rawDatum.counts()).each(function (cnt, item) {
          createAndAddToArray('distro', item);
        });
      }
    }
  }

  var returndDatum = [];
  Object.keys(datum).forEach(function (key) {
    returndDatum.push({
      key: key,
      values: rawDatum.snippet.chartLimit() ? datum[key].slice(0, rawDatum.snippet.chartLimit()) : datum[key]
    });
  });
  return returndDatum;
};

/* harmony default export */ __webpack_exports__["default"] = ({
  pie: pieChartTransformer,
  map: mapChartTransformer,
  leafletMap: leafletMapChartTransformer,
  timeline: timelineChartTransformer,
  multiSerie: multiSerieChartTransformer,
  scatter: scatterChartTransformer
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/editorViewModel.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/editorViewModel.js ***!
  \**********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _chartTransformers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./chartTransformers */ "./desktop/core/src/desktop/js/apps/notebook/chartTransformers.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _notebook__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./notebook */ "./desktop/core/src/desktop/js/apps/notebook/notebook.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./snippet */ "./desktop/core/src/desktop/js/apps/notebook/snippet.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var EditorViewModel =
/*#__PURE__*/
function () {
  function EditorViewModel(editor_id, notebooks, options, CoordinatorEditorViewModel, RunningCoordinatorModel) {
    _classCallCheck(this, EditorViewModel);

    var self = this;
    self.URLS = {
      editor: '/hue/editor',
      notebook: '/hue/notebook',
      report: '/hue/dashboard/new_search?engine=report'
    };
    self.huePubSubId = options.huePubSubId || 'editor';
    self.user = options.user;
    self.userId = options.userId;
    self.suffix = options.suffix;
    self.isMobile = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.mobile);
    self.isNotificationManager = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.is_notification_manager || false);
    self.editorType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.editor_type);
    self.editorType.subscribe(function (newVal) {
      self.editorMode(newVal != 'notebook');
      _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURLParameter('type', newVal);

      if (self.editorMode()) {
        self.selectedNotebook().fetchHistory(); // Js error if notebook did not have snippets
      }
    });
    self.preEditorTogglingSnippet = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    self.toggleEditorMode = function () {
      var _notebook = self.selectedNotebook();

      var _newSnippets = [];

      if (self.editorType() != 'notebook') {
        self.editorType('notebook');
        self.preEditorTogglingSnippet(_notebook.snippets()[0]);

        var _variables = _notebook.snippets()[0].variables();

        var _statementKeys = []; // Split statements

        _notebook.type('notebook');

        _notebook.snippets()[0].statementsList().forEach(function (sql_statement) {
          var _snippet;

          if (sql_statement.hashCode() in _notebook.presentationSnippets()) {
            _snippet = _notebook.presentationSnippets()[sql_statement.hashCode()]; // Persist result

            _snippet.variables(_variables);
          } else {
            var _title = [];
            var _statement = [];
            sql_statement.trim().split('\n').forEach(function (line) {
              if (line.trim().startsWith('--') && _statement.length === 0) {
                _title.push(line.substr(2));
              } else {
                _statement.push(line);
              }
            });
            _snippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](self, _notebook, {
              type: _notebook.initialType,
              statement_raw: _statement.join('\n'),
              result: {},
              name: _title.join('\n'),
              variables: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(_variables)
            });
            _snippet.variables = _notebook.snippets()[0].variables;

            _snippet.init();

            _notebook.presentationSnippets()[sql_statement.hashCode()] = _snippet;
          }

          _statementKeys.push(sql_statement.hashCode());

          _newSnippets.push(_snippet);
        });

        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(_notebook.presentationSnippets(), function (key) {
          // Dead statements
          if (!key in _statementKeys) {
            delete _notebook.presentationSnippets()[key];
          }
        });
      } else {
        self.editorType(_notebook.initialType); // Revert to one statement

        _newSnippets.push(self.preEditorTogglingSnippet());

        _notebook.type('query-' + _notebook.initialType);
      }

      _notebook.snippets(_newSnippets);

      _newSnippets.forEach(function (snippet) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('editor.redraw.data', {
          snippet: snippet
        });
      });
    };

    self.togglePresentationMode = function () {
      if (self.selectedNotebook().initialType !== 'notebook') {
        self.toggleEditorMode();
      }
    };

    self.editorTypeTitle = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var foundInterpreter = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(options.languages, function (interpreter) {
        return interpreter.type === self.editorType();
      });
      return foundInterpreter.length > 0 ? foundInterpreter[0].name : self.editorType();
    });
    self.autocompleteTimeout = options.autocompleteTimeout;
    self.selectedNotebook = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.combinedContent = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.isPresentationModeEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.selectedNotebook() && self.selectedNotebook().snippets().length === 1 && self.selectedNotebook().snippets()[0].isSqlDialect();
    });
    self.isResultFullScreenMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.isPresentationMode = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.selectedNotebook() && self.selectedNotebook().isPresentationMode();
    });
    self.isHidingCode = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.selectedNotebook() && self.selectedNotebook().isHidingCode();
    });
    self.successUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.success_url); // Deprecated

    self.isOptimizerEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.is_optimizer_enabled);
    self.isNavigatorEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.is_navigator_enabled);
    self.CoordinatorEditorViewModel = CoordinatorEditorViewModel;
    self.RunningCoordinatorModel = RunningCoordinatorModel;
    self.canSave = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      // Saved query or history but history coming from a saved query
      return self.selectedNotebook() && self.selectedNotebook().canWrite() && (self.selectedNotebook().isSaved() || self.selectedNotebook().isHistory() && self.selectedNotebook().parentSavedQueryUuid());
    });
    self.ChartTransformers = _chartTransformers__WEBPACK_IMPORTED_MODULE_4__["default"]; // TODO: Drop the SQL source types from the notebook. They're now set in AssistDbPanel.

    self.sqlSourceTypes = [];
    self.availableLanguages = [];

    if (options.languages && options.snippetViewSettings) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(options.languages, function (idx, language) {
        self.availableLanguages.push({
          type: language.type,
          name: language.name,
          "interface": language["interface"]
        });
        var viewSettings = options.snippetViewSettings[language.type];

        if (viewSettings && viewSettings.sqlDialect) {
          self.sqlSourceTypes.push({
            type: language.type,
            name: language.name
          });
        }
      });
    }

    var sqlSourceTypes = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.sqlSourceTypes, function (language) {
      return language.type == self.editorType();
    });

    if (sqlSourceTypes.length > 0) {
      self.activeSqlSourceType = sqlSourceTypes[0].type;
    } else {
      self.activeSqlSourceType = null;
    }

    self.displayCombinedContent = function () {
      if (!self.selectedNotebook()) {
        self.combinedContent('');
      } else {
        var statements = '';
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.selectedNotebook().snippets(), function (index, snippet) {
          if (snippet.statement()) {
            if (statements) {
              statements += '\n\n';
            }

            statements += snippet.statement();
          }
        });
        self.combinedContent(statements);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#combinedContentModal' + self.suffix).modal('show');
    };

    self.isEditing = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.isEditing.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editingToggled');
    });

    self.toggleEditing = function () {
      self.isEditing(!self.isEditing());
    };

    self.authSessionUsername = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](); // UI popup

    self.authSessionPassword = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.authSessionMessage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.authSessionType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.authSessionCallback = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.removeSnippetConfirmation = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    self.removeSnippet = function (notebook, snippet) {
      var hasContent = snippet.statement_raw().length > 0;

      if (!hasContent) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(snippet.properties(), function (key, value) {
          hasContent = hasContent || knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](value) && value().length > 0;
        });
      }

      if (hasContent) {
        self.removeSnippetConfirmation({
          notebook: notebook,
          snippet: snippet
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#removeSnippetModal' + self.suffix).modal('show');
      } else {
        notebook.snippets.remove(snippet);
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editorSizeChanged');
        }, 100);
      }
    };

    self.assistAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.assistAvailable);
    self.assistWithoutStorage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.isLeftPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].getFromTotalStorage('assist', 'assist_panel_visible', true));
    self.isLeftPanelVisible.subscribe(function (val) {
      if (!self.assistWithoutStorage()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].setInTotalStorage('assist', 'assist_panel_visible', val);
      }
    });
    self.isRightPanelAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.assistAvailable && HAS_OPTIMIZER);
    self.isRightPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].getFromTotalStorage('assist', 'right_assist_panel_visible', true));
    self.isRightPanelVisible.subscribe(function (val) {
      if (!self.assistWithoutStorage()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].setInTotalStorage('assist', 'right_assist_panel_visible', val);
      }
    });

    var withActiveSnippet = function withActiveSnippet(callback) {
      var notebook = self.selectedNotebook();
      var foundSnippet;

      if (notebook) {
        if (notebook.snippets().length === 1) {
          foundSnippet = notebook.snippets()[0];
        } else {
          notebook.snippets().every(function (snippet) {
            if (snippet.inFocus()) {
              foundSnippet = snippet;
              return false;
            }

            return true;
          });
        }
      }

      if (foundSnippet) {
        callback(foundSnippet);
      }
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.highlight.risk.suggestions', function () {
      if (self.isRightPanelAvailable() && !self.isRightPanelVisible()) {
        self.isRightPanelVisible(true);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('get.active.snippet.type', function (callback) {
      withActiveSnippet(function (activeSnippet) {
        if (callback) {
          callback(activeSnippet.type());
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.active.snippet.type', activeSnippet.type());
        }
      });
    }, self.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('save.snippet.to.file', function () {
      withActiveSnippet(function (activeSnippet) {
        var data = {
          path: activeSnippet.statementPath(),
          contents: activeSnippet.statement()
        };
        var options = {
          successCallback: function successCallback(result) {
            if (result && result.exists) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', result.path + ' saved successfully.');
            } else {
              self._ajaxError(result);
            }
          }
        };
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].saveSnippetToFile(data, options);
      });
    }, self.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('sql.context.pin', function (contextData) {
      withActiveSnippet(function (activeSnippet) {
        contextData.tabId = 'context' + activeSnippet.pinnedContextTabs().length;
        activeSnippet.pinnedContextTabs.push(contextData);
        activeSnippet.currentQueryTab(contextData.tabId);
      });
    }, self.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.database.set', function (databaseDef) {
      withActiveSnippet(function (activeSnippet) {
        activeSnippet.handleAssistSelection(databaseDef);
      });
    }, self.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.database.selected', function (databaseDef) {
      withActiveSnippet(function (activeSnippet) {
        activeSnippet.handleAssistSelection(databaseDef);
      });
    }, self.huePubSubId);
    self.availableSnippets = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(options.languages);
    self.editorMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.mode === 'editor');

    self.getSnippetViewSettings = function (snippetType) {
      if (options.snippetViewSettings[snippetType]) {
        return options.snippetViewSettings[snippetType];
      }

      return options.snippetViewSettings["default"];
    };

    self.availableSessionProperties = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      // Only Spark
      return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(options.session_properties, function (item) {
        return item.name != ''; // Could filter out the ones already selected + yarn only or not
      });
    });

    self.getSessionProperties = function (name) {
      var _prop = null;
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(options.session_properties, function (index, prop) {
        if (prop.name == name) {
          _prop = prop;
          return;
        }
      });
      return _prop;
    };

    self.getSnippetName = function (snippetType) {
      var availableSnippets = self.availableSnippets();

      for (var i = 0; i < availableSnippets.length; i++) {
        if (availableSnippets[i].type() === snippetType) {
          return availableSnippets[i].name();
        }
      }

      return '';
    };

    self.changeURL = function (url) {
      if (!self.isNotificationManager()) {
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURL(url);
      }
    };

    self.init = function () {
      if (editor_id) {
        self.openNotebook(editor_id);
      } else if (window.location.getParameter('gist') !== '') {
        self.newNotebook(window.location.getParameter('type'));
      } else if (window.location.getParameter('editor') !== '') {
        self.openNotebook(window.location.getParameter('editor'));
      } else if (notebooks.length > 0) {
        self.loadNotebook(notebooks[0]); // Old way of loading json for /browse
      } else if (window.location.getParameter('type') !== '') {
        self.newNotebook(window.location.getParameter('type'));
      } else {
        self.newNotebook();
      }
    };

    self.loadNotebook = function (notebookRaw, queryTab) {
      var currentQueries;

      if (self.selectedNotebook() != null) {
        currentQueries = self.selectedNotebook().unload();
      }

      var notebook = new _notebook__WEBPACK_IMPORTED_MODULE_7__["default"](self, notebookRaw);

      if (notebook.snippets().length > 0) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('detach.scrolls', notebook.snippets()[0]);
        notebook.selectedSnippet(notebook.snippets()[notebook.snippets().length - 1].type());

        if (currentQueries != null) {
          notebook.snippets()[0].queries(currentQueries);
        }

        notebook.snippets().forEach(function (snippet) {
          snippet.aceAutoExpand = false;
          snippet.statement_raw.valueHasMutated();

          if (snippet.result.handle().statements_count > 1 && snippet.result.handle().start != null && snippet.result.handle().end != null) {
            var aceLineOffset = snippet.result.handle().aceLineOffset || 0;
            snippet.result.statement_range({
              start: {
                row: snippet.result.handle().start.row + aceLineOffset,
                column: snippet.result.handle().start.column
              },
              end: {
                row: snippet.result.handle().end.row + aceLineOffset,
                column: snippet.result.handle().end.column
              }
            });
            snippet.result.statement_range.valueHasMutated();
          }

          snippet.previousChartOptions = self.getPreviousChartOptions(snippet);
        });

        if (notebook.snippets()[0].result.data().length > 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('redrawResults');
        } else if (queryTab) {
          notebook.snippets()[0].currentQueryTab(queryTab);
        }

        if (notebook.isSaved()) {
          notebook.snippets()[0].currentQueryTab('savedQueries');

          if (notebook.snippets()[0].queries().length === 0) {
            notebook.snippets()[0].fetchQueries(); // Subscribe not updating yet
          }
        }
      }

      self.selectedNotebook(notebook);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('check.job.browser');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('recalculate.name.description.width');
    };

    self.getPreviousChartOptions = function (snippet) {
      return {
        chartLimit: typeof snippet.chartLimit() !== 'undefined' ? snippet.chartLimit() : snippet.previousChartOptions.chartLimit,
        chartX: typeof snippet.chartX() !== 'undefined' ? snippet.chartX() : snippet.previousChartOptions.chartX,
        chartXPivot: typeof snippet.chartXPivot() !== 'undefined' ? snippet.chartXPivot() : snippet.previousChartOptions.chartXPivot,
        chartYSingle: typeof snippet.chartYSingle() !== 'undefined' ? snippet.chartYSingle() : snippet.previousChartOptions.chartYSingle,
        chartMapType: typeof snippet.chartMapType() !== 'undefined' ? snippet.chartMapType() : snippet.previousChartOptions.chartMapType,
        chartMapLabel: typeof snippet.chartMapLabel() !== 'undefined' ? snippet.chartMapLabel() : snippet.previousChartOptions.chartMapLabel,
        chartMapHeat: typeof snippet.chartMapHeat() !== 'undefined' ? snippet.chartMapHeat() : snippet.previousChartOptions.chartMapHeat,
        chartYMulti: typeof snippet.chartYMulti() !== 'undefined' ? snippet.chartYMulti() : snippet.previousChartOptions.chartYMulti,
        chartScope: typeof snippet.chartScope() !== 'undefined' ? snippet.chartScope() : snippet.previousChartOptions.chartScope,
        chartTimelineType: typeof snippet.chartTimelineType() !== 'undefined' ? snippet.chartTimelineType() : snippet.previousChartOptions.chartTimelineType,
        chartSorting: typeof snippet.chartSorting() !== 'undefined' ? snippet.chartSorting() : snippet.previousChartOptions.chartSorting,
        chartScatterGroup: typeof snippet.chartScatterGroup() !== 'undefined' ? snippet.chartScatterGroup() : snippet.previousChartOptions.chartScatterGroup,
        chartScatterSize: typeof snippet.chartScatterSize() !== 'undefined' ? snippet.chartScatterSize() : snippet.previousChartOptions.chartScatterSize
      };
    };

    self.openNotebook = function (uuid, queryTab, skipUrlChange, callback) {
      var deferredOpen = new jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/desktop/api2/doc/', {
        uuid: uuid,
        data: true,
        dependencies: true
      }, function (data) {
        if (data.status == 0) {
          data.data.dependents = data.dependents;
          data.data.can_write = data.user_perms.can_write;
          var notebook = data.data;
          self.loadNotebook(notebook, queryTab);

          if (typeof skipUrlChange === 'undefined' && !self.isNotificationManager()) {
            if (self.editorMode()) {
              self.editorType(data.document.type.substring('query-'.length));
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
                type: self.editorType(),
                isSqlDialect: self.getSnippetViewSettings(self.editorType()).sqlDialect
              });
              self.changeURL(self.URLS.editor + '?editor=' + data.document.id + '&type=' + self.editorType());
            } else {
              self.changeURL(self.URLS.notebook + '?notebook=' + data.document.id);
            }
          }

          if (typeof callback !== 'undefined') {
            callback();
          }

          deferredOpen.resolve();
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
          deferredOpen.reject();
          self.newNotebook();
        }
      });
      return deferredOpen.promise();
    };

    self.newNotebook = function (editorType, callback, queryTab) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
        type: editorType,
        isSqlDialect: editorType ? self.getSnippetViewSettings(editorType).sqlDialect : undefined
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/create_notebook', {
        type: editorType || options.editor_type,
        directory_uuid: window.location.getParameter('directory_uuid'),
        gist: window.location.getParameter('gist')
      }, function (data) {
        self.loadNotebook(data.notebook);

        if (self.editorMode() && !self.isNotificationManager()) {
          var snippet = self.selectedNotebook().snippets().length == 0 ? self.selectedNotebook().newSnippet(self.editorType()) : self.selectedNotebook().snippets()[0];

          if (queryTab && ['queryHistory', 'savedQueries', 'queryBuilderTab'].indexOf(queryTab) > -1) {
            snippet.currentQueryTab(queryTab);
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('detach.scrolls', self.selectedNotebook().snippets()[0]);

          if (window.location.getParameter('type') === '') {
            _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURLParameter('type', self.editorType());
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
            type: editorType,
            isSqlDialect: editorType ? self.getSnippetViewSettings(editorType).sqlDialect : undefined
          });
        }

        if (typeof callback !== 'undefined' && callback !== null) {
          callback();
        }
      });
    };

    self.saveNotebook = function () {
      self.selectedNotebook().save();
    };

    self.saveAsNotebook = function () {
      self.selectedNotebook().id(null);
      self.selectedNotebook().uuid(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());
      self.selectedNotebook().parentSavedQueryUuid(null);
      self.selectedNotebook().save(function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.document.refresh');
      });
    };

    self.showContextPopover = function (field, event) {
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target && event.target.nodeName !== 'A' ? event.target.parentElement : event.target);
      var offset = $source.offset();
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.popover.show', {
        data: {
          type: 'catalogEntry',
          catalogEntry: field.catalogEntry
        },
        onSampleClick: field.value,
        showInAssistEnabled: true,
        sourceType: self.editorType(),
        orientation: 'bottom',
        defaultDatabase: 'default',
        pinEnabled: false,
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 3,
          right: offset.left + $source.width() + 1,
          bottom: offset.top + $source.height() - 3
        }
      });
    };
  }

  _createClass(EditorViewModel, [{
    key: "prepareShareModal",
    value: function prepareShareModal() {
      var selectedNotebookUuid = this.selectedNotebook() && this.selectedNotebook().uuid();

      if (selectedNotebookUuid) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('doc.show.share.modal', selectedNotebookUuid);
      }
    }
  }]);

  return EditorViewModel;
}();

/* harmony default export */ __webpack_exports__["default"] = (EditorViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/notebook.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/notebook.js ***!
  \***************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _session__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./session */ "./desktop/core/src/desktop/js/apps/notebook/session.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./snippet */ "./desktop/core/src/desktop/js/apps/notebook/snippet.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.









var NOTEBOOK_MAPPING = {
  ignore: ['ace', 'aceMode', 'autocompleter', 'availableDatabases', 'availableSnippets', 'avoidClosing', 'canWrite', 'cleanedDateTimeMeta', 'cleanedMeta', 'cleanedNumericMeta', 'cleanedStringMeta', 'dependents', 'errorLoadingQueries', 'hasProperties', 'history', 'images', 'inFocus', 'queries', 'saveResultsModalVisible', 'selectedStatement', 'snippetImage', 'user', 'positionStatement', 'lastExecutedStatement', 'downloadResultViewModel']
};

var Notebook = function Notebook(vm, notebook) {
  _classCallCheck(this, Notebook);

  var self = this;
  self.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.id != 'undefined' && notebook.id != null ? notebook.id : null);
  self.uuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.uuid != 'undefined' && notebook.uuid != null ? notebook.uuid : _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());
  self.name = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.name != 'undefined' && notebook.name != null ? notebook.name : 'My Notebook');
  self.description = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.description != 'undefined' && notebook.description != null ? notebook.description : '');
  self.type = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.type != 'undefined' && notebook.type != null ? notebook.type : 'notebook');
  self.initialType = self.type().replace('query-', '');
  self.coordinatorUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.coordinatorUuid != 'undefined' && notebook.coordinatorUuid != null ? notebook.coordinatorUuid : null);
  self.isHistory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.is_history != 'undefined' && notebook.is_history != null ? notebook.is_history : false);
  self.isManaged = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.isManaged != 'undefined' && notebook.isManaged != null ? notebook.isManaged : false);
  self.parentSavedQueryUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.parentSavedQueryUuid != 'undefined' && notebook.parentSavedQueryUuid != null ? notebook.parentSavedQueryUuid : null); // History parent

  self.isSaved = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.isSaved != 'undefined' && notebook.isSaved != null ? notebook.isSaved : false);
  self.canWrite = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.can_write != 'undefined' && notebook.can_write != null ? notebook.can_write : true);
  self.onSuccessUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.onSuccessUrl != 'undefined' && notebook.onSuccessUrl != null ? notebook.onSuccessUrl : null);
  self.pubSubUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.pubSubUrl != 'undefined' && notebook.pubSubUrl != null ? notebook.pubSubUrl : null);
  self.isPresentationModeDefault = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.isPresentationModeDefault != 'undefined' && notebook.isPresentationModeDefault != null ? notebook.isPresentationModeDefault : false);
  self.isPresentationMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.isPresentationModeInitialized = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.isPresentationMode.subscribe(function (newValue) {
    if (!newValue) {
      self.cancelExecutingAll();
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('editor.presentation.operate.toggle', newValue); // Problem with headers / row numbers redraw on full screen results

    vm.togglePresentationMode();

    if (newValue) {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].convert('editor', 'presentation');
    }
  });
  self.presentationSnippets = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({});
  self.isHidingCode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.isHidingCode != 'undefined' && notebook.isHidingCode != null ? notebook.isHidingCode : false);
  self.snippets = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.selectedSnippet = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.editorType()); // Aka selectedSnippetType

  self.creatingSessionLocks = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.sessions = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(typeof notebook.sessions != 'undefined' && notebook.sessions != null ? notebook.sessions : [], {
    create: function create(value) {
      return new _session__WEBPACK_IMPORTED_MODULE_7__["default"](vm, value.data);
    }
  });
  self.directoryUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.directoryUuid != 'undefined' && notebook.directoryUuid != null ? notebook.directoryUuid : null);
  self.dependents = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(typeof notebook.dependents != 'undefined' && notebook.dependents != null ? notebook.dependents : []);
  self.dependentsCoordinator = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.dependents(), function (doc) {
      return doc.type() == 'oozie-coordinator2' && doc.is_managed() == true;
    });
  });

  if (self.dependentsCoordinator().length > 0 && !self.coordinatorUuid()) {
    self.coordinatorUuid(self.dependentsCoordinator()[0].uuid());
  }

  self.history = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](vm.selectedNotebook() && vm.selectedNotebook().history().length > 0 && vm.selectedNotebook().history()[0].type == self.type() ? vm.selectedNotebook().history() : []); // This is to keep the "Saved Query" tab selected when opening a doc from the left assist
  // TODO: Refactor code to reflect purpose

  self.history.subscribe(function (val) {
    if (self.id() == null && val.length == 0 && self.historyFilter() === '' && !vm.isNotificationManager()) {
      self.snippets()[0].currentQueryTab('savedQueries');
    }
  });
  self.historyFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
  self.historyFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.historyFilter.extend({
    rateLimit: {
      method: 'notifyWhenChangesStop',
      timeout: 900
    }
  });
  self.historyFilter.subscribe(function (val) {
    if (self.historyCurrentPage() != 1) {
      self.historyCurrentPage(1);
    } else {
      self.fetchHistory();
    }
  });
  self.loadingHistory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](self.history().length == 0);
  self.historyInitialHeight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0).extend({
    throttle: 1000
  });
  self.forceHistoryInitialHeight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.historyCurrentPage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() ? vm.selectedNotebook().historyCurrentPage() : 1);
  self.historyCurrentPage.subscribe(function (val) {
    self.fetchHistory();
  });
  self.historyTotalPages = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() ? vm.selectedNotebook().historyTotalPages() : 1);
  self.schedulerViewModel = null;
  self.schedulerViewModelIsLoaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.schedulerViewerViewModel = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.isBatchable = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return self.snippets().length > 0 && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.snippets(), function (snippet) {
      return snippet.isBatchable();
    }).length == self.snippets().length;
  });
  self.isExecutingAll = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebook.isExecutingAll);

  self.cancelExecutingAll = function () {
    var index = self.executingAllIndex();

    if (self.isExecutingAll() && self.snippets()[index]) {
      self.snippets()[index].cancel();
    }
  };

  self.executingAllIndex = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebook.executingAllIndex || 0);
  self.retryModalConfirm = null;
  self.retryModalCancel = null;
  self.avoidClosing = false;
  self.canSave = vm.canSave;

  self.getSession = function (session_type) {
    var _s = null;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.sessions(), function (index, s) {
      if (s.type() == session_type) {
        _s = s;
        return false;
      }
    });
    return _s;
  };

  self.getSnippets = function (type) {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.snippets(), function (snippet) {
      return snippet.type() == type;
    });
  };

  self.unloaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

  self.unload = function () {
    self.unloaded(true);
    var currentQueries = null;
    self.snippets().forEach(function (snippet) {
      if (snippet.checkStatusTimeout != null) {
        clearTimeout(snippet.checkStatusTimeout);
        snippet.checkStatusTimeout = null;
      }

      if (currentQueries == null) {
        currentQueries = snippet.queries();
      }
    });
    return currentQueries;
  };

  self.restartSession = function (session, callback) {
    if (session.restarting()) {
      return;
    }

    session.restarting(true);
    var snippets = self.getSnippets(session.type());
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(snippets, function (index, snippet) {
      snippet.status('loading');
    });
    self.closeSession(session, true, function () {
      self.createSession(session, function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(snippets, function (index, snippet) {
          snippet.status('ready');
        });
        session.restarting(false);

        if (callback) {
          callback();
        }
      }, function () {
        session.restarting(false);
      });
    });
  };

  self.addSession = function (session) {
    var toRemove = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.sessions(), function (index, s) {
      if (s.type() == session.type()) {
        toRemove.push(s);
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(toRemove, function (index, s) {
      self.sessions.remove(s);
    });
    self.sessions.push(session);
  };

  self.addSnippet = function (snippet, skipSession) {
    var _snippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](vm, self, snippet);

    self.snippets.push(_snippet);

    if (self.getSession(_snippet.type()) == null && typeof skipSession == 'undefined') {
      window.setTimeout(function () {
        _snippet.status('loading');

        self.createSession(new _session__WEBPACK_IMPORTED_MODULE_7__["default"](vm, {
          type: _snippet.type()
        }));
      }, 200);
    }

    _snippet.init();

    return _snippet;
  };

  self.createSession = function (session, callback, failCallback) {
    if (self.creatingSessionLocks().indexOf(session.type()) != -1) {
      // Create one type of session max
      return;
    } else {
      self.creatingSessionLocks.push(session.type());
    }

    var compute = null;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.getSnippets(session.type()), function (index, snippet) {
      snippet.status('loading');

      if (index == 0) {
        compute = snippet.compute();
      }
    });

    var fail = function fail(message) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.getSnippets(session.type()), function (index, snippet) {
        snippet.status('failed');
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', message);

      if (failCallback) {
        failCallback();
      }
    };

    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/create_session', {
      notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
      session: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(session),
      // e.g. {'type': 'pyspark', 'properties': [{'name': driverCores', 'value', '2'}]}
      cluster: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(compute ? compute : '')
    }, function (data) {
      if (data.status == 0) {
        knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data.session, {}, session);

        if (self.getSession(session.type()) == null) {
          self.addSession(session);
        } else {
          var _session = self.getSession(session.type());

          knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data.session, {}, _session);
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.getSnippets(session.type()), function (index, snippet) {
          snippet.status('ready');
        });

        if (callback) {
          setTimeout(callback, 500);
        }
      } else if (data.status == 401) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showAuthModal', {
          type: session.type(),
          message: data.message
        });
      } else {
        fail(data.message);
      }
    }).fail(function (xhr) {
      if (xhr.status !== 502) {
        fail(xhr.responseText);
      }
    }).always(function () {
      self.creatingSessionLocks.remove(session.type());
    });
  };

  self.authSession = function () {
    self.createSession(new _session__WEBPACK_IMPORTED_MODULE_7__["default"](vm, {
      type: vm.authSessionType(),
      properties: [{
        name: 'user',
        value: vm.authSessionUsername()
      }, {
        name: 'password',
        value: vm.authSessionPassword()
      }]
    }), vm.authSessionCallback() // On new session we don't automatically execute the snippet after the aut. On session expiration we do or we refresh assist DB when login-in.
    );
  };

  self.newSnippet = function (type) {
    if (type) {
      self.selectedSnippet(type);
    }

    var snippet = self.addSnippet({
      type: self.selectedSnippet(),
      result: {}
    });
    window.setTimeout(function () {
      var lastSnippet = snippet;

      if (lastSnippet.ace() != null) {
        lastSnippet.ace().focus();
      }
    }, 100);
    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'add_snippet/' + (type ? type : self.selectedSnippet()));
    return snippet;
  };

  self.newSnippetAbove = function (id) {
    self.newSnippet();
    var idx = 0;
    self.snippets().forEach(function (snippet, cnt) {
      if (snippet.id() == id) {
        idx = cnt;
      }
    });
    self.snippets(self.snippets().move(self.snippets().length - 1, idx));
  };

  self.getContext = function () {
    return {
      id: self.id,
      uuid: self.uuid,
      parentSavedQueryUuid: self.parentSavedQueryUuid,
      isSaved: self.isSaved,
      sessions: self.sessions,
      type: self.type,
      name: self.name
    };
  };

  self.save = function (callback) {
    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'save'); // Remove the result data from the snippets
    // Also do it for presentation mode

    var cp = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(self, NOTEBOOK_MAPPING);
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(cp.snippets.concat(Object.keys(cp.presentationSnippets).map(function (key) {
      return cp.presentationSnippets[key];
    })), function (index, snippet) {
      snippet.result.data.length = 0; // snippet.result.clear() does not work for some reason

      snippet.result.meta.length = 0;
      snippet.result.logs = '';
      snippet.result.fetchedOnce = false;
      snippet.progress = 0; // Remove progress

      snippet.jobs.length = 0;
    });

    if (cp.schedulerViewModel) {
      cp.schedulerViewModel.availableTimezones = [];
    }

    var editorMode = vm.editorMode() || self.isPresentationMode() && vm.editorType() != 'notebook'; // Editor should not convert to Notebook in presentation mode

    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/notebook/save', {
      notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(cp, NOTEBOOK_MAPPING),
      editorMode: editorMode
    }, function (data) {
      if (data.status == 0) {
        self.id(data.id);
        self.isSaved(true);
        var wasHistory = self.isHistory();
        self.isHistory(false);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.message);

        if (editorMode) {
          if (!data.save_as) {
            var existingQuery = self.snippets()[0].queries().filter(function (item) {
              return item.uuid() === data.uuid;
            });

            if (existingQuery.length > 0) {
              existingQuery[0].name(data.name);
              existingQuery[0].description(data.description);
              existingQuery[0].last_modified(data.last_modified);
            }
          } else if (self.snippets()[0].queries().length > 0) {
            // Saved queries tab already loaded
            self.snippets()[0].queries.unshift(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data));
          }

          if (self.coordinatorUuid() && self.schedulerViewModel) {
            self.saveScheduler();
            self.schedulerViewModel.coordinator.refreshParameters();
          }

          if (wasHistory || data.save_as) {
            self.loadScheduler();
          }

          if (self.snippets()[0].downloadResultViewModel && self.snippets()[0].downloadResultViewModel().saveTarget() === 'dashboard') {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', vm.URLS.report + '&uuid=' + data.uuid + '&statement=' + self.snippets()[0].result.handle().statement_id);
          } else {
            vm.changeURL(vm.URLS.editor + '?editor=' + data.id);
          }
        } else {
          vm.changeURL(vm.URLS.notebook + '?notebook=' + data.id);
        }

        if (typeof callback == 'function') {
          callback();
        }
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
      }
    }).fail(function (xhr, textStatus, errorThrown) {
      if (xhr.status !== 502) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }
    });
  };

  self.close = function () {
    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'close');
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/notebook/close', {
      notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self, NOTEBOOK_MAPPING),
      editorMode: vm.editorMode()
    });
  };

  self.clearResults = function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.snippets(), function (index, snippet) {
      snippet.result.clear();
      snippet.status('ready');
    });
  };

  self.executeAll = function () {
    if (self.isExecutingAll() || self.snippets().length === 0) {
      return;
    }

    self.isExecutingAll(true);
    self.executingAllIndex(0);
    self.snippets()[self.executingAllIndex()].execute();
  };

  self.saveDefaultUserProperties = function (session) {
    _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].saveConfiguration({
      app: session.type(),
      properties: session.properties,
      userId: vm.userId
    });
  };

  self.closeAndRemoveSession = function (session) {
    self.closeSession(session, false, function () {
      self.sessions.remove(session);
    });
  };

  self.closeSession = function (session, silent, callback) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/close_session', {
      session: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(session)
    }, function (data) {
      if (!silent && data && data.status != 0 && data.status != -2 && data.message) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
      }

      if (callback) {
        callback();
      }
    }).fail(function (xhr) {
      if (!silent && xhr.status !== 502) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }
    });
  };

  self.fetchHistory = function (callback) {
    var QUERIES_PER_PAGE = 50;
    self.loadingHistory(true);
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/notebook/api/get_history', {
      doc_type: self.selectedSnippet(),
      limit: QUERIES_PER_PAGE,
      page: self.historyCurrentPage(),
      doc_text: self.historyFilter(),
      is_notification_manager: vm.isNotificationManager()
    }, function (data) {
      var parsedHistory = [];

      if (data && data.history) {
        data.history.forEach(function (nbk) {
          parsedHistory.push(self.makeHistoryRecord(nbk.absoluteUrl, nbk.data.statement, nbk.data.lastExecuted, nbk.data.status, nbk.name, nbk.uuid));
        });
      }

      self.history(parsedHistory);
      self.historyTotalPages(Math.ceil(data.count / QUERIES_PER_PAGE));
    }).always(function () {
      self.loadingHistory(false);

      if (callback) {
        callback();
      }
    });
  };

  self.prevHistoryPage = function () {
    if (self.historyCurrentPage() !== 1) {
      self.historyCurrentPage(self.historyCurrentPage() - 1);
    }
  };

  self.nextHistoryPage = function () {
    if (self.historyCurrentPage() < self.historyTotalPages()) {
      self.historyCurrentPage(self.historyCurrentPage() + 1);
    }
  };

  self.updateHistoryFailed = false;

  self.updateHistory = function (statuses, interval) {
    var items = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.history(), function (item) {
      return statuses.indexOf(item.status()) != -1;
    }).slice(0, 25);

    function updateHistoryCall(item) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/check_status', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON({
          uuid: item.uuid()
        })
      }).done(function (data) {
        var status = data.status == -3 ? 'expired' : data.status == 0 ? data.query_status.status : 'failed';

        if (status && item.status() != status) {
          item.status(status);
        }
      }).fail(function (xhr) {
        items = [];
        self.updateHistoryFailed = true;
        console.warn('Lost connectivity to the Hue history refresh backend.');
      }).always(function () {
        if (items.length > 0) {
          window.setTimeout(function () {
            updateHistoryCall(items.pop());
          }, 1000);
        } else if (!self.updateHistoryFailed) {
          window.setTimeout(function () {
            self.updateHistory(statuses, interval);
          }, interval);
        }
      });
    }

    if (items.length > 0) {
      updateHistoryCall(items.pop());
    } else if (!self.updateHistoryFailed) {
      window.setTimeout(function () {
        self.updateHistory(statuses, interval);
      }, interval);
    }
  };

  self.makeHistoryRecord = function (url, statement, lastExecuted, status, name, uuid) {
    return knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS({
      url: url,
      query: statement.substring(0, 1000) + (statement.length > 1000 ? '...' : ''),
      lastExecuted: lastExecuted,
      status: status,
      name: name,
      uuid: uuid
    });
  };

  self.clearHistory = function (type) {
    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'clearHistory');
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/clear_history', {
      notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
      doc_type: self.selectedSnippet(),
      is_notification_manager: vm.isNotificationManager()
    }, function (data) {
      self.history.removeAll();

      if (self.isHistory()) {
        self.id(null);
        self.uuid(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());
        vm.changeURL(vm.URLS.editor + '?type=' + vm.editorType());
      }
    }).fail(function (xhr) {
      if (xhr.status !== 502) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('hideHistoryModal');
  };

  self.loadScheduler = function () {
    if (typeof vm.CoordinatorEditorViewModel !== 'undefined' && self.isBatchable()) {
      var _action;

      if (self.coordinatorUuid()) {
        _action = 'edit';
      } else {
        _action = 'new';
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'schedule/' + _action);

      var getCoordinator = function getCoordinator() {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/scheduler/api/schedule/' + _action + '/', {
          format: 'json',
          document: self.uuid(),
          coordinator: self.coordinatorUuid()
        }, function (data) {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor').length > 0) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hue4.process.headers', {
              response: data.layout,
              callback: function callback(r) {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor').html(r);
                self.schedulerViewModel = new vm.CoordinatorEditorViewModel(data.coordinator, data.credentials, data.workflows, data.can_edit);
                knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"](jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor')[0]);
                knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](self.schedulerViewModel, jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor')[0]);
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('showSubmitPopup');
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('showSubmitPopup', function (event, data) {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor').html(data);
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor').modal('show');
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor').on('hidden', function () {
                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hide.datepicker');
                  });

                  var _sel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-form .control-group[rel!="popover"]:visible');

                  if (_sel.length > 0) {
                    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor .modal-body').height(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor .modal-body').height() + 60);
                  }
                });
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('render.jqcron');
                self.schedulerViewModel.coordinator.properties.cron_advanced.valueHasMutated(); // Update jsCron enabled status

                self.schedulerViewModel.coordinator.tracker().markCurrentStateAsClean();
                self.schedulerViewModel.isEditing(true);
                self.schedulerViewModelIsLoaded(true);

                if (_action == 'new') {
                  self.schedulerViewModel.coordinator.properties.document(self.uuid()); // Expected for triggering the display
                }
              }
            });
          }
        }).fail(function (xhr) {
          if (xhr.status !== 502) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
          }
        });
      };

      getCoordinator();
    }
  };

  self.saveScheduler = function () {
    if (self.isBatchable() && (!self.coordinatorUuid() || self.schedulerViewModel.coordinator.isDirty())) {
      self.schedulerViewModel.coordinator.isManaged(true);
      self.schedulerViewModel.coordinator.properties.document(self.uuid());
      self.schedulerViewModel.save(function (data) {
        if (!self.coordinatorUuid()) {
          self.coordinatorUuid(data.uuid);
          self.save();
        }
      });
    }
  };

  self.showSubmitPopup = function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/scheduler/api/schedule/submit/' + self.coordinatorUuid(), {
      format: 'json'
    }, function (data) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showSubmitPopup', data);
    }).fail(function (xhr, textStatus, errorThrown) {
      if (xhr.status !== 502) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }
    });
  };

  self.viewSchedulerId = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof notebook.viewSchedulerId != 'undefined' && notebook.viewSchedulerId != null ? notebook.viewSchedulerId : '');
  self.viewSchedulerId.subscribe(function (newVal) {
    self.save();
  });
  self.isSchedulerJobRunning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.loadingScheduler = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false); // Init

  if (notebook.snippets) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(notebook.snippets, function (index, snippet) {
      self.addSnippet(snippet);
    });

    if (typeof notebook.presentationSnippets != 'undefined' && notebook.presentationSnippets != null) {
      // Load
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(notebook.presentationSnippets, function (key, snippet) {
        snippet.status = 'ready'; // Protect from storm of check_statuses

        var _snippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](vm, self, snippet);

        _snippet.init();

        _snippet.previousChartOptions = vm.getPreviousChartOptions(_snippet);
        self.presentationSnippets()[key] = _snippet;
      });
    }

    if (vm.editorMode() && self.history().length == 0) {
      self.fetchHistory(function () {
        self.updateHistory(['starting', 'running'], 30000);
        self.updateHistory(['available'], 60000 * 5);
      });
    }
  }

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribeOnce('assist.db.panel.ready', function () {
    if (self.type().indexOf('query') === 0) {
      var whenDatabaseAvailable = function whenDatabaseAvailable(snippet) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.set.database', {
          source: snippet.type(),
          namespace: snippet.namespace(),
          name: snippet.database()
        });
      };

      var whenNamespaceAvailable = function whenNamespaceAvailable(snippet) {
        if (snippet.database()) {
          whenDatabaseAvailable(snippet);
        } else {
          var databaseSub = snippet.database.subscribe(function () {
            databaseSub.dispose();
            whenDatabaseAvailable(snippet);
          });
        }
      };

      var whenSnippetAvailable = function whenSnippetAvailable(snippet) {
        if (snippet.namespace()) {
          whenNamespaceAvailable(snippet);
        } else {
          var namespaceSub = snippet.namespace.subscribe(function () {
            namespaceSub.dispose();
            whenNamespaceAvailable(snippet);
          });
        }
      };

      if (self.snippets().length === 1) {
        whenSnippetAvailable(self.snippets()[0]);
      } else {
        var snippetsSub = self.snippets.subscribe(function (snippets) {
          if (snippets.length === 1) {
            whenSnippetAvailable(snippets[0]);
          }

          snippetsSub.dispose();
        });
      }
    }
  }, vm.huePubSubId);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.is.db.panel.ready');
};

/* harmony default export */ __webpack_exports__["default"] = (Notebook);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/result.js":
/*!*************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/result.js ***!
  \*************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var Result =
/*#__PURE__*/
function () {
  function Result(snippet, result) {
    _classCallCheck(this, Result);

    var self = this;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(snippet, snippet.chartType == 'lines' && {
      // Retire line chart
      chartType: 'bars',
      chartTimelineType: 'line'
    });
    self.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.id != 'undefined' && result.id != null ? result.id : _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].UUID());
    self.type = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.type != 'undefined' && result.type != null ? result.type : 'table');
    self.hasResultset = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.hasResultset != 'undefined' && result.hasResultset != null ? result.hasResultset : true).extend('throttle', 100);
    self.handle = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.handle != 'undefined' && result.handle != null ? result.handle : {});
    self.meta = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof result.meta != 'undefined' && result.meta != null ? result.meta : []);

    var adaptMeta = function adaptMeta() {
      var i = 0;
      self.meta().forEach(function (item) {
        if (typeof item.checked === 'undefined') {
          item.checked = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
          item.checked.subscribe(function () {
            self.filteredMetaChecked(self.filteredMeta().some(function (item) {
              return item.checked();
            }));
          });
        }

        item.type = item.type.replace(/_type/i, '').toLowerCase();

        if (typeof item.originalIndex === 'undefined') {
          item.originalIndex = i;
        }

        i++;
      });
    };

    adaptMeta();
    self.meta.subscribe(adaptMeta);
    self.rows = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.rows != 'undefined' && result.rows != null ? result.rows : null);
    self.hasMore = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.hasMore != 'undefined' && result.hasMore != null ? result.hasMore : false);
    self.statement_id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.statement_id != 'undefined' && result.statement_id != null ? result.statement_id : 0);
    self.statement_range = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.statement_range != 'undefined' && result.statement_range != null ? result.statement_range : {
      start: {
        row: 0,
        column: 0
      },
      end: {
        row: 0,
        column: 0
      }
    }); // We don't keep track of any previous selection so prevent entering into batch execution mode after load by setting
    // statements_count to 1. For the case when a selection is not starting at row 0.

    self.statements_count = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](1);
    self.previous_statement_hash = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.previous_statement_hash != 'undefined' && result.previous_statement_hash != null ? result.previous_statement_hash : null);
    self.cleanedMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.meta(), function (item) {
        return item.name != '';
      });
    });
    self.metaFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.isMetaFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.filteredMetaChecked = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    self.filteredColumnCount = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.metaFilter() || self.metaFilter().query === '') {
        return self.meta().length - 1;
      }

      return self.filteredMeta().length;
    });
    self.filteredMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.metaFilter() || self.metaFilter().query === '') {
        return self.meta();
      }

      return self.meta().filter(function (item) {
        var facets = self.metaFilter().facets;
        var isFacetMatch = !facets || Object.keys(facets).length === 0 || !facets['type']; // So far only type facet is used for SQL

        var isTextMatch = !self.metaFilter().text || self.metaFilter().text.length === 0;
        var match = true;

        if (!isFacetMatch) {
          match = !!facets['type'][item.type];
        }

        if (match && !isTextMatch) {
          match = self.metaFilter().text.every(function (text) {
            return item.name.toLowerCase().indexOf(text.toLowerCase()) !== -1;
          });
        }

        return match;
      });
    });

    self.autocompleteFromEntries = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.meta().forEach(function (column) {
        if (column.name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + column.name.substring(partial.length));
        } else if (column.name.toLowerCase().indexOf('.' + partialLower) !== -1) {
          result.push(nonPartial + partial + column.name.substring(partial.length + column.name.toLowerCase().indexOf('.' + partialLower) + 1));
        }
      });
      return result;
    };

    self.clickFilteredMetaCheck = function () {
      self.filteredMeta().forEach(function (item) {
        item.checked(self.filteredMetaChecked());
      });
    };

    self.fetchedOnce = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.fetchedOnce != 'undefined' && result.fetchedOnce != null ? result.fetchedOnce : false);
    self.startTime = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.startTime != 'undefined' && result.startTime != null ? new Date(result.startTime) : new Date());
    self.endTime = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.endTime != 'undefined' && result.endTime != null ? new Date(result.endTime) : new Date());
    self.executionTime = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.endTime().getTime() - self.startTime().getTime();
    });

    function isNumericColumn(type) {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(type, ['tinyint', 'smallint', 'int', 'bigint', 'float', 'double', 'decimal', 'real']) > -1;
    }

    function isDateTimeColumn(type) {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(type, ['timestamp', 'date', 'datetime']) > -1;
    }

    function isComplexColumn(type) {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(type, ['array', 'map', 'struct']) > -1;
    }

    function isStringColumn(type) {
      return !isNumericColumn(type) && !isDateTimeColumn(type) && !isComplexColumn(type);
    }

    self.cleanedNumericMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.meta(), function (item) {
        return item.name != '' && isNumericColumn(item.type);
      });
    });
    self.cleanedStringMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.meta(), function (item) {
        return item.name != '' && isStringColumn(item.type);
      });
    });
    self.cleanedDateTimeMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.meta(), function (item) {
        return item.name != '' && isDateTimeColumn(item.type);
      });
    });
    self.data = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof result.data != 'undefined' && result.data != null ? result.data : []);
    self.data.extend({
      rateLimit: 50
    });
    self.explanation = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof result.explanation != 'undefined' && result.explanation != null ? result.explanation : '');
    self.images = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof result.images != 'undefined' && result.images != null ? result.images : []);
    self.images.extend({
      rateLimit: 50
    });
    self.logs = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    self.logLines = 0;
    self.hasSomeResults = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.hasResultset() && self.data().length > 0; // status() == 'available'
    });

    self.getContext = function () {
      return {
        id: self.id,
        type: self.type,
        handle: self.handle
      };
    };

    self.clear = function () {
      self.fetchedOnce(false);
      self.hasMore(false);
      self.statement_range({
        start: {
          row: 0,
          column: 0
        },
        end: {
          row: 0,
          column: 0
        }
      });
      self.meta.removeAll();
      self.data.removeAll();
      self.images.removeAll();
      self.logs('');
      self.handle({
        // Keep multiquery indexing
        has_more_statements: self.handle()['has_more_statements'],
        statement_id: self.handle()['statement_id'],
        statements_count: self.handle()['statements_count'],
        previous_statement_hash: self.handle()['previous_statement_hash']
      });
      self.startTime(new Date());
      self.endTime(new Date());
      self.explanation('');
      self.logLines = 0;
      self.rows(null);
    };
  }

  _createClass(Result, [{
    key: "cancelBatchExecution",
    value: function cancelBatchExecution() {
      var self = this;
      self.statements_count(1);
      self.hasMore(false);
      self.statement_range({
        start: {
          row: 0,
          column: 0
        },
        end: {
          row: 0,
          column: 0
        }
      });
      self.handle()['statement_id'] = 0;
      self.handle()['start'] = {
        row: 0,
        column: 0
      };
      self.handle()['end'] = {
        row: 0,
        column: 0
      };
      self.handle()['has_more_statements'] = false;
      self.handle()['previous_statement_hash'] = '';
    }
  }]);

  return Result;
}();

/* harmony default export */ __webpack_exports__["default"] = (Result);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/session.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/session.js ***!
  \**************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var Session = function Session(vm, session) {
  _classCallCheck(this, Session);

  var self = this;
  knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(session, {}, self);
  self.selectedSessionProperty = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
  self.restarting = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

  if (!knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](self.properties)) {
    self.properties = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  }

  self.availableNewProperties = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    var addedIndex = {};
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.properties(), function (index, property) {
      addedIndex[property.key] = true;
    });
    var result = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(vm.availableSessionProperties(), function (property) {
      return !addedIndex[property.name];
    });
    return result;
  });
};

/* harmony default export */ __webpack_exports__["default"] = (Session);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook/snippet.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook/snippet.js ***!
  \**************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var markdown__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! markdown */ "./node_modules/markdown/lib/index.js");
/* harmony import */ var markdown__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(markdown__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _aceAutocompleteWrapper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./aceAutocompleteWrapper */ "./desktop/core/src/desktop/js/apps/notebook/aceAutocompleteWrapper.js");
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _result__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./result */ "./desktop/core/src/desktop/js/apps/notebook/result.js");
/* harmony import */ var _session__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./session */ "./desktop/core/src/desktop/js/apps/notebook/session.js");
/* harmony import */ var _parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../parse/sqlStatementsParser */ "./desktop/core/src/desktop/js/parse/sqlStatementsParser.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.













var NOTEBOOK_MAPPING = {
  ignore: ['ace', 'aceMode', 'autocompleter', 'availableDatabases', 'availableSnippets', 'avoidClosing', 'canWrite', 'cleanedDateTimeMeta', 'cleanedMeta', 'cleanedNumericMeta', 'cleanedStringMeta', 'dependents', 'errorLoadingQueries', 'hasProperties', 'history', 'images', 'inFocus', 'queries', 'saveResultsModalVisible', 'selectedStatement', 'snippetImage', 'user', 'positionStatement', 'lastExecutedStatement', 'downloadResultViewModel']
};
var COMPATIBILITY_SOURCE_PLATFORMS = {
  teradata: {
    name: 'Teradata',
    value: 'teradata'
  },
  oracle: {
    name: 'Oracle',
    value: 'oracle'
  },
  netezza: {
    name: 'Netezza',
    value: 'netezza'
  },
  impala: {
    name: 'Impala',
    value: 'impala'
  },
  hive: {
    name: 'Hive',
    value: 'hive'
  },
  db2: {
    name: 'DB2',
    value: 'db2'
  },
  greenplum: {
    name: 'Greenplum',
    value: 'greenplum'
  },
  mysql: {
    name: 'MySQL',
    value: 'mysql'
  },
  postgresql: {
    name: 'PostgreSQL',
    value: 'postgresql'
  },
  informix: {
    name: 'Informix',
    value: 'informix'
  },
  sqlserver: {
    name: 'SQL Server',
    value: 'sqlserver'
  },
  sybase: {
    name: 'Sybase',
    value: 'sybase'
  },
  access: {
    name: 'Access',
    value: 'access'
  },
  firebird: {
    name: 'Firebird',
    value: 'firebird'
  },
  ansisql: {
    name: 'ANSISQL',
    value: 'ansisql'
  },
  generic: {
    name: 'Generic',
    value: 'generic'
  }
};
var COMPATIBILITY_TARGET_PLATFORMS = {
  impala: {
    name: 'Impala',
    value: 'impala'
  },
  hive: {
    name: 'Hive',
    value: 'hive'
  }
};

var getDefaultSnippetProperties = function getDefaultSnippetProperties(snippetType) {
  var properties = {};

  if (snippetType == 'jar' || snippetType == 'py') {
    properties['driverCores'] = '';
    properties['executorCores'] = '';
    properties['numExecutors'] = '';
    properties['queue'] = '';
    properties['archives'] = [];
    properties['files'] = [];
  }

  if (snippetType == 'java') {
    properties['archives'] = [];
    properties['files'] = [];
    properties['capture_output'] = false;
  }

  if (snippetType == 'shell') {
    properties['archives'] = [];
    properties['files'] = [];
  }

  if (snippetType == 'mapreduce') {
    properties['app_jar'] = '';
    properties['hadoopProperties'] = [];
    properties['jars'] = [];
    properties['files'] = [];
    properties['archives'] = [];
  }

  if (snippetType == 'spark2') {
    properties['app_name'] = '';
    properties['class'] = '';
    properties['jars'] = [];
    properties['spark_opts'] = [];
    properties['spark_arguments'] = [];
    properties['files'] = [];
  }

  if (snippetType == 'sqoop1') {
    properties['files'] = [];
  }

  if (snippetType == 'jar' || snippetType == 'java') {
    properties['app_jar'] = '';
    properties['class'] = '';
    properties['arguments'] = [];
  } else if (snippetType == 'distcp') {
    properties['source_path'] = '';
    properties['destination_path'] = '';
  } else if (snippetType == 'shell') {
    properties['command_path'] = '';
    properties['arguments'] = [];
    properties['env_var'] = [];
    properties['capture_output'] = true;
  } else if (snippetType == 'py') {
    properties['py_file'] = '';
    properties['arguments'] = [];
  } else if (snippetType == 'hive') {
    properties['settings'] = [];
    properties['files'] = [];
    properties['functions'] = [];
    properties['arguments'] = [];
  } else if (snippetType == 'impala') {
    properties['settings'] = [];
  } else if (snippetType == 'pig') {
    properties['parameters'] = [];
    properties['hadoopProperties'] = [];
    properties['resources'] = [];
  }

  return properties;
};

var ERROR_REGEX = /line ([0-9]+)(\:([0-9]+))?/i;

var Snippet =
/*#__PURE__*/
function () {
  function Snippet(vm, notebook, snippet) {
    _classCallCheck(this, Snippet);

    var self = this;
    self.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.id != 'undefined' && snippet.id != null ? snippet.id : _utils_hueUtils__WEBPACK_IMPORTED_MODULE_9__["default"].UUID());
    self.name = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.name != 'undefined' && snippet.name != null ? snippet.name : '');
    self.type = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.type != 'undefined' && snippet.type != null ? snippet.type : 'hive');
    self.type.subscribe(function (newVal) {
      self.status('ready');
    });
    self.isBatchable = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.type() == 'hive' || self.type() == 'impala' || jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(vm.availableLanguages, function (language) {
        return language.type == self.type() && (language["interface"] == 'oozie' || language["interface"] == 'sqlalchemy');
      }).length > 0;
    });
    self.autocompleteSettings = {
      temporaryOnly: false
    }; // Ace stuff

    self.aceCursorPosition = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebook.isHistory() ? snippet.aceCursorPosition : null);
    var aceEditor = null;

    self.ace = function (newVal) {
      if (newVal) {
        aceEditor = newVal;

        if (!notebook.isPresentationMode()) {
          aceEditor.focus();
        }
      }

      return aceEditor;
    };

    self.errors = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.aceErrorsHolder = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.aceWarningsHolder = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.aceErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.showOptimizer() ? self.aceErrorsHolder() : [];
    });
    self.aceWarnings = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.showOptimizer() ? self.aceWarningsHolder() : [];
    });
    self.availableSnippets = vm.availableSnippets();
    self.inFocus = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.inFocus.subscribe(function (newValue) {
      if (newValue) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('active.snippet.type.changed', {
          type: self.type(),
          isSqlDialect: self.isSqlDialect()
        });
      }
    });
    self.editorMode = vm.editorMode;

    self.getAceMode = function () {
      return vm.getSnippetViewSettings(self.type()).aceMode;
    };

    self.dbSelectionVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.showExecutionAnalysis = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.isSqlDialect = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return vm.getSnippetViewSettings(self.type()).sqlDialect;
    });

    self.getPlaceHolder = function () {
      return vm.getSnippetViewSettings(self.type()).placeHolder;
    }; // namespace and compute might be initialized as empty object {}


    self.namespace = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippet.namespace && snippet.namespace.id ? snippet.namespace : undefined);
    self.compute = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippet.compute && snippet.compute.id ? snippet.compute : undefined);

    self.whenContextSet = function () {
      var namespaceSub;
      var namespaceDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (self.namespace()) {
        namespaceDeferred.resolve(self.namespace());
      } else {
        namespaceSub = self.namespace.subscribe(function (newVal) {
          if (newVal) {
            namespaceDeferred.resolve(newVal);
            namespaceSub.dispose();
          }
        });
      }

      var computeSub;
      var computeDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (self.compute()) {
        computeDeferred.resolve(self.compute());
      } else {
        computeSub = self.compute.subscribe(function (newVal) {
          if (newVal) {
            computeDeferred.resolve(newVal);
            computeSub.dispose();
          }
        });
      }

      var result = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(namespaceDeferred, computeDeferred);

      result.dispose = function () {
        if (namespaceSub) {
          namespaceSub.dispose();
        }

        if (computeSub) {
          computeSub.dispose();
        }

        namespaceDeferred.reject();
        computeDeferred.reject();
      };

      return result;
    };

    self.availableDatabases = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.database = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    var previousDatabase = null;
    self.database.subscribe(function (newValue) {
      if (newValue !== null) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].setInTotalStorage('editor', 'last.selected.database', newValue);

        if (previousDatabase !== null && previousDatabase !== newValue) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.refresh.statement.locations', self);
        }

        previousDatabase = newValue;
      }
    });
    self.database(typeof snippet.database !== 'undefined' && snippet.database != null ? snippet.database : null); // History is currently in Notebook, same with saved queries by snippets, might be better in assist

    self.currentQueryTab = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.currentQueryTab != 'undefined' && snippet.currentQueryTab != null ? snippet.currentQueryTab : 'queryHistory');
    self.pinnedContextTabs = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof snippet.pinnedContextTabs != 'undefined' && snippet.pinnedContextTabs != null ? snippet.pinnedContextTabs : []);

    self.removeContextTab = function (context) {
      if (context.tabId === self.currentQueryTab()) {
        self.currentQueryTab('queryHistory');
      }

      self.pinnedContextTabs.remove(context);
    };

    self.errorLoadingQueries = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingQueries = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.queriesHasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.queriesCurrentPage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() && vm.selectedNotebook().snippets().length > 0 ? vm.selectedNotebook().snippets()[0].queriesCurrentPage() : 1);
    self.queriesTotalPages = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() && vm.selectedNotebook().snippets().length > 0 ? vm.selectedNotebook().snippets()[0].queriesTotalPages() : 1);
    self.queries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.queriesFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    self.queriesFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.queriesFilter.extend({
      rateLimit: {
        method: 'notifyWhenChangesStop',
        timeout: 900
      }
    });
    self.queriesFilter.subscribe(function (val) {
      self.fetchQueries();
    });
    var lastFetchQueriesRequest = null;

    self.fetchQueries = function () {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(lastFetchQueriesRequest);
      var QUERIES_PER_PAGE = 50;
      lastQueriesPage = self.queriesCurrentPage();
      self.loadingQueries(true);
      self.queriesHasErrors(false);
      lastFetchQueriesRequest = _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].searchDocuments({
        successCallback: function successCallback(result) {
          self.queriesTotalPages(Math.ceil(result.count / QUERIES_PER_PAGE));
          self.queries(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(result.documents)());
          self.loadingQueries(false);
          self.queriesHasErrors(false);
        },
        errorCallback: function errorCallback() {
          self.loadingQueries(false);
          self.queriesHasErrors(true);
        },
        page: self.queriesCurrentPage(),
        limit: QUERIES_PER_PAGE,
        type: 'query-' + self.type(),
        query: self.queriesFilter(),
        include_trashed: false
      });
    };

    var lastQueriesPage = 1;
    self.currentQueryTab.subscribe(function (newValue) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('redraw.fixed.headers');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('current.query.tab.switched', newValue);

      if (newValue === 'savedQueries' && (self.queries().length === 0 || lastQueriesPage !== self.queriesCurrentPage())) {
        self.fetchQueries();
      }
    });

    self.prevQueriesPage = function () {
      if (self.queriesCurrentPage() !== 1) {
        self.queriesCurrentPage(self.queriesCurrentPage() - 1);
        self.fetchQueries();
      }
    };

    self.nextQueriesPage = function () {
      if (self.queriesCurrentPage() !== self.queriesTotalPages()) {
        self.queriesCurrentPage(self.queriesCurrentPage() + 1);
        self.fetchQueries();
      }
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].subscribeOnce('assist.source.set', function (source) {
      if (source !== self.type()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('assist.set.source', self.type());
      }
    }, vm.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('assist.get.source');
    var ignoreNextAssistDatabaseUpdate = false;

    self.handleAssistSelection = function (databaseDef) {
      if (ignoreNextAssistDatabaseUpdate) {
        ignoreNextAssistDatabaseUpdate = false;
      } else if (databaseDef.sourceType === self.type()) {
        if (self.namespace() !== databaseDef.namespace) {
          self.namespace(databaseDef.namespace);
        }

        if (self.database() !== databaseDef.name) {
          self.database(databaseDef.name);
        }
      }
    };

    if (!self.database()) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('assist.get.database.callback', {
        source: self.type(),
        callback: function callback(databaseDef) {
          self.handleAssistSelection(databaseDef);
        }
      });
    }

    self.statementType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.statementType != 'undefined' && snippet.statementType != null ? snippet.statementType : 'text');
    self.statementTypes = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](['text', 'file']); // Maybe computed later for Spark

    if (!vm.editorMode()) {
      self.statementTypes.push('document');
    }

    self.statementPath = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.statementPath != 'undefined' && snippet.statementPath != null ? snippet.statementPath : '');
    self.statementPath.subscribe(function (newVal) {
      self.getExternalStatement();
    });
    self.externalStatementLoaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

    self.getExternalStatement = function () {
      self.externalStatementLoaded(false);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/get_external_statement', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        if (data.status == 0) {
          self.externalStatementLoaded(true);
          self.statement_raw(data.statement);
          self.ace().setValue(self.statement_raw(), 1);
        } else {
          self._ajaxError(data);
        }
      });
    };

    self.associatedDocumentLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    self.associatedDocument = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.associatedDocumentUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.associatedDocumentUuid != 'undefined' && snippet.associatedDocumentUuid != null ? snippet.associatedDocumentUuid : null);
    self.associatedDocumentUuid.subscribe(function (val) {
      if (val !== '') {
        self.getExternalStatement();
      } else {
        self.statement_raw('');
        self.ace().setValue('', 1);
      }
    });
    self.statement_raw = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.statement_raw != 'undefined' && snippet.statement_raw != null ? snippet.statement_raw : '');
    self.selectedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    self.positionStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    self.lastExecutedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    self.statementsList = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].subscribe('editor.active.statement.changed', function (statementDetails) {
      if (self.ace() && self.ace().container.id === statementDetails.id) {
        var _loop = function _loop(i) {
          if (statementDetails.precedingStatements[i].database) {
            self.availableDatabases().some(function (availableDatabase) {
              if (availableDatabase.toLowerCase() === statementDetails.precedingStatements[i].database.toLowerCase()) {
                self.database(availableDatabase);
                return true;
              }
            });
            return "break";
          }
        };

        for (var i = statementDetails.precedingStatements.length - 1; i >= 0; i--) {
          var _ret = _loop(i);

          if (_ret === "break") break;
        }

        if (statementDetails.activeStatement) {
          self.positionStatement(statementDetails.activeStatement);
        } else {
          self.positionStatement(null);
        }

        if (statementDetails.activeStatement) {
          var _statements = [];
          statementDetails.precedingStatements.forEach(function (statement) {
            _statements.push(statement.statement);
          });

          _statements.push(statementDetails.activeStatement.statement);

          statementDetails.followingStatements.forEach(function (statement) {
            _statements.push(statement.statement);
          });
          self.statementsList(_statements); // Or fetch on demand via editor.refresh.statement.locations and remove observableArray?
        } else {
          self.statementsList([]);
        }

        if (!notebook.isPresentationModeInitialized()) {
          if (notebook.isPresentationModeDefault()) {
            // When switching to presentation mode, the snippet in non presentation mode cannot get status notification.
            // On initiailization, status is set to loading and does not get updated, because we moved to presentation mode.
            self.status('ready');
          } // Changing to presentation mode requires statementsList to be initialized. statementsList is initialized asynchronously.
          // When presentation mode is default, we cannot change before statementsList has been calculated.
          // Cleaner implementation would be to make toggleEditorMode statementsList asynchronous
          // However this is currently impossible due to delete _notebook.presentationSnippets()[key];


          notebook.isPresentationModeInitialized(true);
          notebook.isPresentationMode(notebook.isPresentationModeDefault());
        }
      }
    }, vm.huePubSubId);
    self.aceSize = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.aceSize != 'undefined' && snippet.aceSize != null ? snippet.aceSize : 100); // self.statement_raw.extend({ rateLimit: 150 }); // Should prevent lag from typing but currently send the old query when using the key shortcut

    self.status = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.status != 'undefined' && snippet.status != null ? snippet.status : 'loading');
    self.statusForButtons = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('executed');
    self.properties = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(typeof snippet.properties != 'undefined' && snippet.properties != null ? snippet.properties : getDefaultSnippetProperties(self.type())));
    self.hasProperties = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return Object.keys(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(self.properties())).length > 0;
    });
    self.viewSettings = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return vm.getSnippetViewSettings(self.type());
    });
    var previousProperties = {};
    self.type.subscribe(function (oldValue) {
      previousProperties[oldValue] = self.properties();
    }, null, 'beforeChange');
    self.type.subscribe(function (newValue) {
      if (typeof previousProperties[newValue] != 'undefined') {
        self.properties(previousProperties[newValue]);
      } else {
        self.properties(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(getDefaultSnippetProperties(newValue)));
      }

      self.result.clear();
      window.setTimeout(function () {
        if (self.ace() !== null) {
          self.ace().focus();
        }
      }, 100);
    });

    if (snippet.variables) {
      snippet.variables.forEach(function (variable) {
        variable.meta = _typeof(variable.defaultValue) === 'object' && variable.defaultValue || {
          type: 'text',
          placeholder: ''
        };
        variable.value = variable.value || '';
        variable.type = variable.type || 'text';
        variable.sample = [];
        variable.sampleUser = variable.sampleUser || [];
        variable.path = variable.path || '';
        variable.step = '';
        delete variable.defaultValue;
      });
    }

    self.variables = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(typeof snippet.variables != 'undefined' && snippet.variables != null ? snippet.variables : []);
    self.variables.subscribe(function (newValue) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('updateResultHeaders', self);
    });
    self.hasCurlyBracketParameters = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.type() != 'pig';
    });

    self.getPigParameters = function () {
      var params = {};
      var variables = self.statement_raw().match(/([^\\]|^)\$[^\d'"](\w*)/g);
      var declares = self.statement_raw().match(/%declare +([^ ])+/gi);
      var defaults = self.statement_raw().match(/%default +([^;])+/gi);
      var macro_defines = self.statement_raw().match(/define [^ ]+ *\(([^\)]*)\)/gi); // no multiline

      var macro_returns = self.statement_raw().match(/returns +([^\{]*)/gi); // no multiline

      if (variables) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(variables, function (index, param) {
          var p = param.substring(param.indexOf('$') + 1);
          params[p] = '';
        });
      }

      if (declares) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(declares, function (index, param) {
          param = param.match(/(\w+)/g);

          if (param && param.length >= 2) {
            delete params[param[1]];
          }
        });
      }

      if (defaults) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(defaults, function (index, param) {
          var line = param.match(/(\w+)/g);

          if (line && line.length >= 2) {
            var name = line[1];
            params[name] = param.substring(param.indexOf(name) + name.length + 1);
          }
        });
      }

      if (macro_defines) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(macro_defines, function (index, params_line) {
          var param_line = params_line.match(/(\w+)/g);

          if (param_line && param_line.length > 2) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(param_line, function (index, param) {
              if (index >= 2) {
                // Skips define NAME
                delete params[param];
              }
            });
          }
        });
      }

      if (macro_returns) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(macro_returns, function (index, params_line) {
          var param_line = params_line.match(/(\w+)/g);

          if (param_line) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(param_line, function (index, param) {
              if (index >= 1) {
                // Skip returns
                delete params[param];
              }
            });
          }
        });
      }

      return params;
    };

    self.variableNames = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      var match,
          matches = {},
          matchList;

      if (self.type() == 'pig') {
        matches = self.getPigParameters();
      } else {
        var re = /(?:^|\W)\${(\w*)\=?([^{}]*)}/g;
        var reComment = /(^\s*--.*)|(\/\*[\s\S]*?\*\/)/gm;
        var reList = /(?!\s*$)\s*(?:(?:([^,|()\\]*)\(\s*([^,|()\\]*)\)(?:\\[\S\s][^,|()\\]*)?)|([^,|\\]*(?:\\[\S\s][^,|\\]*)*))\s*(?:,|\||$)/g;
        var statement = self.statement_raw();
        var matchComment = reComment.exec(statement); // if re is n & reComment is m
        // finding variables is O(n+m)

        var _loop2 = function _loop2() {
          while (matchComment && match.index > matchComment.index + matchComment[0].length) {
            // Comments before our match
            matchComment = reComment.exec(statement);
          }

          var isWithinComment = matchComment && match.index >= matchComment.index;

          if (isWithinComment) {
            return "continue";
          } // If 1 match, text value
          // If multiple matches, list value


          var value = {
            type: 'text',
            placeholder: ''
          };

          while (matchList = reList.exec(match[2])) {
            var option = {
              text: matchList[2] || matchList[3],
              value: matchList[3] || matchList[1]
            };
            option.text = option.text && option.text.trim();
            option.value = option.value && option.value.trim().replace(',', ',').replace('(', '(').replace(')', ')');

            if (value.placeholder || matchList[2]) {
              if (!value.options) {
                value.options = [];
                value.type = 'select';
              }

              value.options.push(option);
            }

            if (!value.placeholder) {
              value.placeholder = option.value;
            }
          }

          var isPlaceholderInOptions = !value.options || value.options.some(function (current) {
            return current.value == value.placeholder;
          });

          if (!isPlaceholderInOptions) {
            value.options.unshift({
              text: value.placeholder,
              value: value.placeholder
            });
          }

          matches[match[1]] = matches[match[1]] || value;
        };

        while (match = re.exec(statement)) {
          var _ret2 = _loop2();

          if (_ret2 === "continue") continue;
        }
      }

      return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(matches, function (match, key) {
        var isMatchObject = _typeof(matches[key]) === 'object';
        var meta = isMatchObject ? matches[key] : {
          type: 'text',
          placeholder: matches[key]
        };
        return {
          name: key,
          meta: meta
        };
      });
    });
    self.variableValues = {};
    self.variableNames.extend({
      rateLimit: 150
    });
    self.variableNames.subscribe(function (newVal) {
      var variablesLength = self.variables().length;
      var diffLengthVariables = variablesLength - newVal.length;
      var needsMore = diffLengthVariables < 0;
      var needsLess = diffLengthVariables > 0;
      self.variableValues = self.variables().reduce(function (variableValues, variable) {
        if (!variableValues[variable.name()]) {
          variableValues[variable.name()] = {
            sampleUser: []
          };
        }

        variableValues[variable.name()].value = variable.value();
        variableValues[variable.name()].sampleUser = variable.sampleUser();
        variableValues[variable.name()].catalogEntry = variable.catalogEntry;
        variableValues[variable.name()].path = variable.path();
        variableValues[variable.name()].type = variable.type();
        return variableValues;
      }, self.variableValues);

      if (needsMore) {
        for (var i = 0, length = Math.abs(diffLengthVariables); i < length; i++) {
          self.variables.push(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS({
            name: '',
            value: '',
            meta: {
              type: 'text',
              placeholder: '',
              options: []
            },
            sample: [],
            sampleUser: [],
            type: 'text',
            step: '',
            path: ''
          }));
        }
      } else if (needsLess) {
        self.variables.splice(self.variables().length - diffLengthVariables, diffLengthVariables);
      }

      newVal.forEach(function (item, index) {
        var variable = self.variables()[index];
        variable.name(item.name);
        setTimeout(function () {
          variable.value(self.variableValues[item.name] ? self.variableValues[item.name].value : !needsMore && variable.value() || '');
        }, 0);
        variable.meta = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(item.meta, {}, variable.meta);
        variable.sample(variable.meta.options ? variable.meta.options().concat(variable.sampleUser()) : variable.sampleUser());
        variable.sampleUser(self.variableValues[item.name] ? self.variableValues[item.name].sampleUser : []);
        variable.type(self.variableValues[item.name] ? self.variableValues[item.name].type || 'text' : 'text');
        variable.path(self.variableValues[item.name] ? self.variableValues[item.name].path || '' : '');
        variable.catalogEntry = self.variableValues[item.name] && self.variableValues[item.name].catalogEntry;
      });
    });
    var activeSourcePromises = [];
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].subscribe('ace.sql.location.worker.message', function (e) {
      while (activeSourcePromises.length) {
        var promise = activeSourcePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }

      var oLocations = e.data.locations.filter(function (location) {
        return location.type === 'variable' && location.colRef;
      }).reduce(function (variables, location) {
        var re = /\${(\w*)\=?([^{}]*)}/g;
        var name = re.exec(location.value)[1];
        variables[name] = location;
        return variables;
      }, {});

      var updateVariableType = function updateVariableType(variable, sourceMeta) {
        var type;

        if (sourceMeta && sourceMeta.type) {
          type = sourceMeta.type.toLowerCase();
        } else {
          type = 'string';
        }

        var variablesValues = {};
        var value = variable.value();

        switch (type) {
          case 'timestamp':
            variablesValues.type = 'datetime-local';
            variablesValues.step = '1';
            variablesValues.value = value && moment.utc(value).format('YYYY-MM-DD HH:mm:ss.S') || moment(Date.now()).format('YYYY-MM-DD 00:00:00.0');
            break;

          case 'decimal':
          case 'double':
          case 'float':
            variablesValues.type = 'number';
            variablesValues.step = 'any';
            break;

          case 'int':
          case 'smallint':
          case 'tinyint':
          case 'bigint':
            variablesValues.type = 'number';
            variablesValues.step = '1';
            break;

          case 'date':
            variablesValues.type = 'date';
            variablesValues.step = '';
            variablesValues.value = value && moment.utc(value).format('YYYY-MM-DD') || moment(Date.now()).format('YYYY-MM-DD');
            break;

          case 'boolean':
            variablesValues.type = 'checkbox';
            variablesValues.step = '';
            break;

          default:
            variablesValues.type = 'text';
            variablesValues.step = '';
        }

        if (variablesValues.value) {
          setTimeout(function () {
            variable.value(variablesValues.value);
          }, 0);
        }

        variable.type(variablesValues.type);
        variable.step(variablesValues.step);
      };

      self.variables().forEach(function (variable) {
        if (oLocations[variable.name()]) {
          activeSourcePromises.push(oLocations[variable.name()].resolveCatalogEntry({
            cancellable: true
          }).done(function (entry) {
            variable.path(entry.path.join('.'));
            variable.catalogEntry = entry;
            activeSourcePromises.push(entry.getSourceMeta({
              silenceErrors: true,
              cancellable: true
            }).then(updateVariableType.bind(self, variable)));
          }));
        } else {
          updateVariableType(variable, {
            type: 'text'
          });
        }
      });
    });
    self.statement = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      var statement = self.isSqlDialect() ? self.selectedStatement() ? self.selectedStatement() : self.positionStatement() !== null ? self.positionStatement().statement : self.statement_raw() : self.statement_raw();
      var variables = self.variables().reduce(function (variables, variable) {
        variables[variable.name()] = variable;
        return variables;
      }, {});

      if (self.variables().length) {
        var variablesString = self.variables().map(function (variable) {
          return variable.name();
        }).join('|');
        statement = statement.replace(RegExp('([^\\\\])?\\$' + (self.hasCurlyBracketParameters() ? '{(' : '(') + variablesString + ')(=[^}]*)?' + (self.hasCurlyBracketParameters() ? '}' : ''), 'g'), function (match, p1, p2) {
          var variable = variables[p2];
          var pad = variable.type() == 'datetime-local' && variable.value().length == 16 ? ':00' : ''; // Chrome drops the seconds from the timestamp when it's at 0 second.

          var value = variable.value();
          var isValuePresent = //If value is string there is a need to check whether it is empty
          typeof value === 'string' ? value : value !== undefined && value !== null;
          return p1 + (isValuePresent ? value + pad : variable.meta.placeholder && variable.meta.placeholder());
        });
      }

      return statement;
    });
    self.result = new _result__WEBPACK_IMPORTED_MODULE_10__["default"](snippet, snippet.result);

    if (!self.result.hasSomeResults()) {
      self.currentQueryTab('queryHistory');
    }

    self.showGrid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.showGrid != 'undefined' && snippet.showGrid != null ? snippet.showGrid : true);
    self.showChart = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.showChart != 'undefined' && snippet.showChart != null ? snippet.showChart : false);
    var defaultShowLogs = true;

    if (vm.editorMode() && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs')) {
      defaultShowLogs = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs');
    }

    self.showLogs = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.showLogs !== 'undefined' && snippet.showLogs != null ? snippet.showLogs : defaultShowLogs);
    self.progress = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.progress !== 'undefined' && snippet.progress != null ? snippet.progress : 0);
    self.jobs = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof snippet.jobs !== 'undefined' && snippet.jobs != null ? snippet.jobs : []);
    self.executeNextTimeout = -1;
    var refreshTimeouts = {};

    self.onDdlExecute = function () {
      if (self.result.handle() && self.result.handle().has_more_statements) {
        window.clearTimeout(self.executeNextTimeout);
        self.executeNextTimeout = setTimeout(function () {
          self.execute(true); // Execute next, need to wait as we disabled fast click
        }, 1000);
      }

      if (self.lastExecutedStatement() && /CREATE|DROP/i.test(self.lastExecutedStatement().firstToken)) {
        var match = self.statement().match(/(?:CREATE|DROP)\s+TABLE\s+(?:IF\s+(?:NOT\s+)?EXISTS\s+)?(?:`([^`]+)`|([^;\s]+))\..*/i);
        var path = [];

        if (match) {
          path.push(match[1] || match[2]); // group 1 backticked db name, group 2 regular db name
        } else {
          match = self.statement().match(/(?:CREATE|DROP)\s+(?:DATABASE|SCHEMA)\s+(?:IF\s+(?:NOT\s+)?EXISTS\s+)?(?:`([^`]+)`|([^;\s]+))/i);

          if (match) {
            path.push(match[1] || match[2]); // group 1 backticked db name, group 2 regular db name
          } else if (self.database()) {
            path.push(self.database());
          }
        }

        if (path.length) {
          window.clearTimeout(refreshTimeouts[path.join('.')]);
          refreshTimeouts[path.join('.')] = window.setTimeout(function () {
            ignoreNextAssistDatabaseUpdate = true;
            _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__["default"].getEntry({
              sourceType: self.type(),
              namespace: self.namespace(),
              compute: self.compute(),
              path: path
            }).done(function (entry) {
              entry.clearCache({
                refreshCache: true,
                cascade: true,
                silenceErrors: true
              });
            });
          }, 5000);
        }
      }
    };

    self.progress.subscribe(function (val) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('progress', {
        data: val,
        snippet: self
      });
    });
    self.showGrid.subscribe(function (val) {
      if (val) {
        self.showChart(false);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.grid.shown', self);
      }
    });

    function prepopulateChart() {
      var type = self.chartType();
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'chart/' + type);

      if (type === window.HUE_CHARTS.TYPES.MAP && self.result.cleanedNumericMeta().length >= 2) {
        if (self.chartX() === null || typeof self.chartX() === 'undefined') {
          var name = self.result.cleanedNumericMeta()[0].name;
          self.result.cleanedNumericMeta().forEach(function (fld) {
            if (fld.name.toLowerCase().indexOf('lat') > -1 || fld.name.toLowerCase().indexOf('ltd') > -1) {
              name = fld.name;
            }
          });
          self.chartX(name);
        }

        if (self.chartYSingle() === null || typeof self.chartYSingle() === 'undefined') {
          var _name = self.result.cleanedNumericMeta()[1].name;
          self.result.cleanedNumericMeta().forEach(function (fld) {
            if (fld.name.toLowerCase().indexOf('lon') > -1 || fld.name.toLowerCase().indexOf('lng') > -1) {
              _name = fld.name;
            }
          });
          self.chartYSingle(_name);
        }

        return;
      }

      if ((self.chartX() === null || typeof self.chartX() === 'undefined') && (type == window.HUE_CHARTS.TYPES.BARCHART || type == window.HUE_CHARTS.TYPES.PIECHART || type == window.HUE_CHARTS.TYPES.GRADIENTMAP) && self.result.cleanedStringMeta().length >= 1) {
        self.chartX(self.result.cleanedStringMeta()[0].name);
      }

      if (self.result.cleanedNumericMeta().length > 0) {
        if (self.chartYMulti().length === 0 && (type === window.HUE_CHARTS.TYPES.BARCHART || type === window.HUE_CHARTS.TYPES.LINECHART)) {
          self.chartYMulti.push(self.result.cleanedNumericMeta()[Math.min(self.result.cleanedNumericMeta().length - 1, 1)].name);
        } else if ((self.chartYSingle() === null || typeof self.chartYSingle() === 'undefined') && (type === window.HUE_CHARTS.TYPES.PIECHART || type === window.HUE_CHARTS.TYPES.MAP || type === window.HUE_CHARTS.TYPES.GRADIENTMAP || type === window.HUE_CHARTS.TYPES.SCATTERCHART || type === window.HUE_CHARTS.TYPES.BARCHART && self.chartXPivot() !== null)) {
          if (self.chartYMulti().length === 0) {
            self.chartYSingle(self.result.cleanedNumericMeta()[Math.min(self.result.cleanedNumericMeta().length - 1, 1)].name);
          } else {
            self.chartYSingle(self.chartYMulti()[0]);
          }
        }
      }
    }

    self.showChart.subscribe(function (val) {
      if (val) {
        self.showGrid(false);
        self.isResultSettingsVisible(true);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('forceChartDraw', self);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.chart.shown', self);
        prepopulateChart();
      }
    });
    self.showLogs.subscribe(function (val) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('redraw.fixed.headers');

      if (val) {
        self.getLogs();
      }

      if (vm.editorMode()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs', val);
      }
    });
    self.isLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.status() == 'loading';
    });
    self.resultsKlass = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return 'results ' + self.type();
    });
    self.errorsKlass = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.resultsKlass() + ' alert alert-error';
    });
    self.is_redacted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.is_redacted != 'undefined' && snippet.is_redacted != null ? snippet.is_redacted : false);
    self.chartType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartType != 'undefined' && snippet.chartType != null ? snippet.chartType : window.HUE_CHARTS.TYPES.BARCHART);
    self.chartType.subscribe(prepopulateChart);
    self.chartSorting = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartSorting != 'undefined' && snippet.chartSorting != null ? snippet.chartSorting : 'none');
    self.chartScatterGroup = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartScatterGroup != 'undefined' && snippet.chartScatterGroup != null ? snippet.chartScatterGroup : null);
    self.chartScatterSize = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartScatterSize != 'undefined' && snippet.chartScatterSize != null ? snippet.chartScatterSize : null);
    self.chartScope = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartScope != 'undefined' && snippet.chartScope != null ? snippet.chartScope : 'world');
    self.chartTimelineType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartTimelineType != 'undefined' && snippet.chartTimelineType != null ? snippet.chartTimelineType : 'bar');
    self.chartLimits = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([5, 10, 25, 50, 100]);
    self.chartLimit = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartLimit != 'undefined' && snippet.chartLimit != null ? snippet.chartLimit : null);
    self.chartLimit.extend({
      notify: 'always'
    });
    self.chartX = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartX != 'undefined' && snippet.chartX != null ? snippet.chartX : null);
    self.chartX.extend({
      notify: 'always'
    });
    self.chartXPivot = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartXPivot != 'undefined' && snippet.chartXPivot != null ? snippet.chartXPivot : null);
    self.chartXPivot.extend({
      notify: 'always'
    });
    self.chartXPivot.subscribe(prepopulateChart);
    self.chartYSingle = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartYSingle != 'undefined' && snippet.chartYSingle != null ? snippet.chartYSingle : null);
    self.chartYMulti = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof snippet.chartYMulti != 'undefined' && snippet.chartYMulti != null ? snippet.chartYMulti : []);
    self.chartData = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](typeof snippet.chartData != 'undefined' && snippet.chartData != null ? snippet.chartData : []);
    self.chartMapType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartMapType != 'undefined' && snippet.chartMapType != null ? snippet.chartMapType : 'marker');
    self.chartMapLabel = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartMapLabel != 'undefined' && snippet.chartMapLabel != null ? snippet.chartMapLabel : null);
    self.chartMapHeat = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.chartMapHeat != 'undefined' && snippet.chartMapHeat != null ? snippet.chartMapHeat : null);
    self.hideStacked = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.chartYMulti().length <= 1;
    });
    self.hasDataForChart = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      if (self.chartType() == window.HUE_CHARTS.TYPES.BARCHART || self.chartType() == window.HUE_CHARTS.TYPES.LINECHART || self.chartType() == window.HUE_CHARTS.TYPES.TIMELINECHART) {
        return typeof self.chartX() != 'undefined' && self.chartX() != null && self.chartYMulti().length > 0;
      }

      return typeof self.chartX() != 'undefined' && self.chartX() != null && typeof self.chartYSingle() != 'undefined' && self.chartYSingle() != null;
    });
    self.hasDataForChart.subscribe(function (newValue) {
      self.chartX.notifySubscribers();
      self.chartX.valueHasMutated();
    });
    self.chartType.subscribe(function (val) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('forceChartDraw', self);
    });
    self.previousChartOptions = {};

    function guessMetaField(field) {
      var _fld = null;

      if (field) {
        if (self.result.cleanedMeta().length > 0) {
          self.result.cleanedMeta().forEach(function (fld) {
            if (fld.name.toLowerCase() === field.toLowerCase() || field.toLowerCase() === fld.name.toLowerCase()) {
              _fld = fld.name;
            }
          });
        }
      }

      return _fld;
    }

    function guessMetaFields(fields) {
      var _fields = [];

      if (fields) {
        fields.forEach(function (fld) {
          var _field = guessMetaField(fld);

          if (_field) {
            _fields.push(_field);
          }
        });
      }

      return _fields;
    }

    self.result.meta.subscribe(function (newValue) {
      self.chartLimit(self.previousChartOptions.chartLimit);
      self.chartX(guessMetaField(self.previousChartOptions.chartX));
      self.chartXPivot(self.previousChartOptions.chartXPivot);
      self.chartYSingle(guessMetaField(self.previousChartOptions.chartYSingle));
      self.chartMapType(self.previousChartOptions.chartMapType);
      self.chartMapLabel(guessMetaField(self.previousChartOptions.chartMapLabel));
      self.chartMapHeat(self.previousChartOptions.chartMapHeat);
      self.chartYMulti(guessMetaFields(self.previousChartOptions.chartYMulti) || []);
      self.chartSorting(self.previousChartOptions.chartSorting);
      self.chartScatterGroup(self.previousChartOptions.chartScatterGroup);
      self.chartScatterSize(self.previousChartOptions.chartScatterSize);
      self.chartScope(self.previousChartOptions.chartScope);
      self.chartTimelineType(self.previousChartOptions.chartTimelineType);
    });
    self.isResultSettingsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.isResultSettingsVisible != 'undefined' && snippet.isResultSettingsVisible != null ? snippet.isResultSettingsVisible : false);

    self.toggleResultSettings = function () {
      self.isResultSettingsVisible(!self.isResultSettingsVisible());
    };

    self.isResultSettingsVisible.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('toggleResultSettings', self);
    });
    self.settingsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.settingsVisible != 'undefined' && snippet.settingsVisible != null ? snippet.settingsVisible : false);
    self.saveResultsModalVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.checkStatusTimeout = null;
    self.getLogsTimeout = null;

    self.getContext = function () {
      return {
        id: self.id,
        type: self.type,
        status: self.status,
        statementType: self.statementType,
        statement: self.statement,
        aceCursorPosition: self.aceCursorPosition,
        statementPath: self.statementPath,
        associatedDocumentUuid: self.associatedDocumentUuid,
        properties: self.properties,
        result: self.result.getContext(),
        database: self.database,
        compute: self.compute(),
        wasBatchExecuted: self.wasBatchExecuted()
      };
    };

    self.complexity = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.hasComplexity = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.complexity() && Object.keys(self.complexity()).length > 0;
    });
    self.hasRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.hasComplexity() && self.complexity()['hints'] && self.complexity()['hints'].length > 0;
    });
    self.topRisk = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (self.hasRisks()) {
        return self.complexity()['hints'][0];
      } else {
        return null;
      }
    });
    self.suggestion = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    self.hasSuggestion = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    self.compatibilityCheckRunning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.compatibilitySourcePlatforms = [];
    Object.keys(COMPATIBILITY_SOURCE_PLATFORMS).forEach(function (key) {
      self.compatibilitySourcePlatforms.push(COMPATIBILITY_SOURCE_PLATFORMS[key]);
    });
    self.compatibilitySourcePlatform = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](COMPATIBILITY_SOURCE_PLATFORMS[self.type()]);
    self.compatibilitySourcePlatform.subscribe(function (newValue) {
      if (newValue && newValue.value !== self.type()) {
        self.hasSuggestion(null);
        self.compatibilityTargetPlatform(COMPATIBILITY_TARGET_PLATFORMS[self.type()]);
        self.queryCompatibility();
      }
    });
    self.compatibilityTargetPlatforms = [];
    Object.keys(COMPATIBILITY_TARGET_PLATFORMS).forEach(function (key) {
      self.compatibilityTargetPlatforms.push(COMPATIBILITY_TARGET_PLATFORMS[key]);
    });
    self.compatibilityTargetPlatform = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](COMPATIBILITY_TARGET_PLATFORMS[self.type()]);
    self.showOptimizer = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].getFromTotalStorage('editor', 'show.optimizer', false));
    self.showOptimizer.subscribe(function (newValue) {
      if (newValue !== null) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].setInTotalStorage('editor', 'show.optimizer', newValue);
      }
    });

    if (HAS_OPTIMIZER && !vm.isNotificationManager()) {
      var lastComplexityRequest;
      var lastCheckedComplexityStatement;
      var knownResponses = [];
      self.delayedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](self.statement).extend({
        rateLimit: {
          method: 'notifyWhenChangesStop',
          timeout: 2000
        }
      });

      var handleRiskResponse = function handleRiskResponse(data) {
        if (data.status == 0) {
          self.hasSuggestion('');
          self.complexity(data.query_complexity);
        } else {
          self.hasSuggestion('error');
          self.complexity({
            hints: []
          });
        }

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.active.risks', {
          editor: self.ace(),
          risks: self.complexity() || {}
        });
        lastCheckedComplexityStatement = self.statement();
      };

      var clearActiveRisks = function clearActiveRisks() {
        if (self.hasSuggestion() !== null && typeof self.hasSuggestion() !== 'undefined') {
          self.hasSuggestion(null);
        }

        if (self.suggestion() !== '') {
          self.suggestion('');
        }

        if (self.complexity() !== {}) {
          self.complexity(undefined);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.active.risks', {
            editor: self.ace(),
            risks: {}
          });
        }
      };

      self.positionStatement.subscribe(function (newStatement) {
        if (newStatement) {
          var hash = newStatement.statement.hashCode();
          var unknownResponse = knownResponses.every(function (knownResponse) {
            if (knownResponse.hash === hash) {
              handleRiskResponse(knownResponse.data);
              return false;
            }

            return true;
          });

          if (unknownResponse) {
            clearActiveRisks();
          }
        }
      });

      self.checkComplexity = function () {
        if (!self.inFocus() || lastCheckedComplexityStatement === self.statement()) {
          return;
        } // The syntaxError property is only set if the syntax checker is active and has found an
        // error, see AceLocationHandler.


        if (self.positionStatement() && self.positionStatement().syntaxError) {
          return;
        }

        _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(lastComplexityRequest);
        _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'get_query_risk');
        clearActiveRisks();
        var changeSubscription = self.statement.subscribe(function () {
          changeSubscription.dispose();
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(lastComplexityRequest);
        });
        var hash = self.statement().hashCode();
        var unknownResponse = knownResponses.every(function (knownResponse) {
          if (knownResponse.hash === hash) {
            handleRiskResponse(knownResponse.data);
            return false;
          }

          return true;
        });

        if (unknownResponse) {
          lastComplexityRequest = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
            type: 'POST',
            url: '/notebook/api/optimizer/statement/risk',
            timeout: 30000,
            // 30 seconds
            data: {
              notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
              snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
            },
            success: function success(data) {
              knownResponses.unshift({
                hash: hash,
                data: data
              });

              if (knownResponses.length > 50) {
                knownResponses.pop();
              }

              handleRiskResponse(data);
            },
            always: function always(data) {
              changeSubscription.dispose();
            }
          });
        }
      };

      if (self.type() === 'hive' || self.type() === 'impala') {
        if (self.statement_raw()) {
          window.setTimeout(function () {
            self.checkComplexity();
          }, 2000);
        }

        self.delayedStatement.subscribe(function () {
          self.checkComplexity();
        });
      }
    }

    self._ajaxError = function (data, callback) {
      if (data.status == -2) {
        // Session expired
        var existingSession = notebook.getSession(self.type());

        if (existingSession) {
          notebook.restartSession(existingSession, callback);
        } else {
          notebook.createSession(new _session__WEBPACK_IMPORTED_MODULE_11__["default"](vm, {
            type: self.type()
          }), callback);
        }
      } else if (data.status == -3) {
        // Statement expired
        self.status('expired');

        if (data.message) {
          self.errors.push({
            message: data.message,
            help: null,
            line: null,
            col: null
          });
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.snippet.result.normal', self);
        }
      } else if (data.status == -4) {
        // Operation timed out
        notebook.retryModalCancel = function () {
          self.status('failed');
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('hide.retry.modal');
        };

        notebook.retryModalConfirm = function () {
          if (callback) {
            callback();
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('hide.retry.modal');
        };

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('show.retry.modal');
      } else if (data.status == 401) {
        // Auth required
        self.status('expired');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showAuthModal', {
          type: self.type(),
          callback: self.execute,
          message: data.message
        });
      } else if (data.status == 1 || data.status == -1) {
        self.status('failed');
        var match = ERROR_REGEX.exec(data.message);

        if (match) {
          var errorLine = parseInt(match[1]);
          var errorCol;

          if (typeof match[3] !== 'undefined') {
            errorCol = parseInt(match[3]);
          }

          if (self.positionStatement()) {
            if (errorCol && errorLine === 1) {
              errorCol += self.positionStatement().location.first_column;
            }

            errorLine += self.positionStatement().location.first_line - 1;
          }

          self.errors.push({
            message: data.message.replace(match[0], 'line ' + errorLine + (errorCol !== null ? ':' + errorCol : '')),
            help: null,
            line: errorLine - 1,
            col: errorCol
          });
        } else {
          self.errors.push({
            message: data.message,
            help: data.help,
            line: null,
            col: null
          });
        }
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        self.status('failed');
      }
    };

    self.wasBatchExecuted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.wasBatchExecuted != 'undefined' && snippet.wasBatchExecuted != null ? snippet.wasBatchExecuted : false);
    self.isReady = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      return self.statementType() == 'text' && (self.isSqlDialect() && self.statement() !== '' || ['jar', 'java', 'spark2', 'distcp'].indexOf(self.type()) == -1 && self.statement() !== '' || ['jar', 'java'].indexOf(self.type()) != -1 && self.properties().app_jar() != '' && self.properties()["class"]() != '' || ['spark2'].indexOf(self.type()) != -1 && self.properties().jars().length > 0 || ['shell'].indexOf(self.type()) != -1 && self.properties().command_path().length > 0 || ['mapreduce'].indexOf(self.type()) != -1 && self.properties().app_jar().length > 0 || ['py'].indexOf(self.type()) != -1 && self.properties().py_file().length > 0 || ['distcp'].indexOf(self.type()) != -1 && self.properties().source_path().length > 0 && self.properties().destination_path().length > 0) || self.statementType() == 'file' && self.statementPath().length > 0 || self.statementType() == 'document' && self.associatedDocumentUuid() && self.associatedDocumentUuid().length > 0;
    });
    self.lastExecuted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof snippet.lastExecuted != 'undefined' && snippet.lastExecuted != null ? snippet.lastExecuted : 0);
    self.lastAceSelectionRowOffset = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippet.lastAceSelectionRowOffset || 0);
    self.executingBlockingOperation = null; // A ExecuteStatement()

    self.showLongOperationWarning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.showLongOperationWarning.subscribe(function (newValue) {
      if (newValue) {
        _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].convert('editor', 'showLongOperationWarning');
      }
    });
    var longOperationTimeout = -1;

    function startLongOperationTimeout() {
      longOperationTimeout = window.setTimeout(function () {
        self.showLongOperationWarning(true);
      }, 2000);
    }

    function stopLongOperationTimeout() {
      window.clearTimeout(longOperationTimeout);
      self.showLongOperationWarning(false);
    }

    self.lastExecutedStatements = undefined;
    self.lastExecutedSelectionRange = undefined;

    self.execute = function (automaticallyTriggered) {
      self.clearActiveExecuteRequests();

      if (!automaticallyTriggered && self.ace()) {
        var selectionRange = self.ace().getSelectionRange();

        if (self.lastExecutedSelectionRange && selectionRange.start.row !== selectionRange.end.row && selectionRange.start.column !== selectionRange.end.column && (selectionRange.start.row !== self.lastExecutedSelectionRange.start.row || selectionRange.start.column !== self.lastExecutedSelectionRange.start.column || selectionRange.end.row !== self.lastExecutedSelectionRange.end.row || selectionRange.end.column !== self.lastExecutedSelectionRange.end.column)) {
          // Manual execute and there is a selection that is different from the last execute
          self.result.cancelBatchExecution();
        }

        self.lastExecutedSelectionRange = selectionRange;
      }

      if (self.isCanceling()) {
        return;
      }

      var now = new Date().getTime();

      if (now - self.lastExecuted() < 1000 || !self.isReady()) {
        return; // Prevent fast clicks
      }

      if (!automaticallyTriggered) {
        // Do not cancel statements that are parts of a set of steps to execute (e.g. import). Only cancel statements as requested by user
        if (self.status() === 'running' || self.status() === 'loading') {
          self.cancel(); // TODO: Wait for cancel to finish
        } else {
          self.result.clear();
        }
      }

      if (self.type() === 'impala') {
        self.showExecutionAnalysis(false);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.clear.execution.analysis');
      }

      self.status('running');
      self.statusForButtons('executing');

      if (self.isSqlDialect()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.refresh.statement.locations', self);
      }

      self.lastExecutedStatements = self.statement();

      if (self.ace()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('ace.set.autoexpand', {
          autoExpand: false,
          snippet: self
        });

        var _selectionRange = self.ace().getSelectionRange();

        self.lastAceSelectionRowOffset(Math.min(_selectionRange.start.row, _selectionRange.end.row));
      }

      self.previousChartOptions = vm.getPreviousChartOptions(self);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('executeStarted', {
        vm: vm,
        snippet: self
      });
      self.lastExecuted(now);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'execute/' + self.type());
      notebook.forceHistoryInitialHeight(true);

      if (self.result.handle()) {
        self.close();
      }

      self.errors([]);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.clear.highlighted.errors', self.ace());
      self.result.clear();
      self.progress(0);
      self.jobs([]);
      self.result.logs('');
      self.result.statement_range({
        start: {
          row: 0,
          column: 0
        },
        end: {
          row: 0,
          column: 0
        }
      });
      notebook.historyCurrentPage(1); // TODO: rename startLongOperationTimeout to startBlockingOperationTimeout
      // TODO: stop blocking operation UI if there is one
      // TODO: offer to stop blocking submit or fetch operation UI if there is one (add a new call to function for cancelBlockingOperation)
      // TODO: stop current blocking operation if there is one
      // TODO: handle jquery.dataTables.1.8.2.min.js:150 Uncaught TypeError: Cannot read property 'asSorting' of undefined on some cancels
      // TODO: we should cancel blocking operation when leaving notebook (similar to unload())
      // TODO: we should test when we go back to a query history of a blocking operation that we left

      startLongOperationTimeout();
      self.currentQueryTab('queryHistory');
      self.executingBlockingOperation = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/execute/' + self.type(), {
        notebook: vm.editorMode() ? knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook, NOTEBOOK_MAPPING) : knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        try {
          if (self.isSqlDialect() && data && data.handle) {
            self.lastExecutedStatement(_parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_12__["default"].parse(data.handle.statement)[0]);
          } else {
            self.lastExecutedStatement(null);
          }
        } catch (e) {
          self.lastExecutedStatement(null);
        }

        self.statusForButtons('executed');
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('ace.set.autoexpand', {
          autoExpand: true,
          snippet: self
        });
        stopLongOperationTimeout();

        if (vm.editorMode() && data.history_id) {
          if (!vm.isNotificationManager()) {
            var url = vm.URLS.editor + '?editor=' + data.history_id;
            vm.changeURL(url);
          }

          notebook.id(data.history_id);
          notebook.uuid(data.history_uuid);
          notebook.isHistory(true);
          notebook.parentSavedQueryUuid(data.history_parent_uuid);
        }

        if (data.status === 0) {
          self.result.clear();
          self.result.handle(data.handle);
          self.result.hasResultset(data.handle.has_result_set);
          self.showLogs(true);

          if (data.handle.sync) {
            self.loadData(data.result, 100);
            self.status('available');
            self.progress(100);
            self.result.endTime(new Date());
          } else if (!notebook.unloaded()) {
            self.checkStatus();
          }

          if (vm.isOptimizerEnabled()) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.upload.query', data.history_id);
          }
        } else {
          self._ajaxError(data, self.execute);

          notebook.isExecutingAll(false);
        }

        if (data.handle) {
          if (vm.editorMode()) {
            if (vm.isNotificationManager()) {
              // Update task status
              var tasks = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(notebook.history(), function (row) {
                return row.uuid() == notebook.uuid();
              });

              if (tasks.length === 1) {
                tasks[0].status(self.status());
                self.result.logs(data.message);
              }
            } else {
              notebook.history.unshift(notebook.makeHistoryRecord(undefined, data.handle.statement, self.lastExecuted(), self.status(), notebook.name(), notebook.uuid()));
            }
          }

          if (data.handle.statements_count != null) {
            self.result.statements_count(data.handle.statements_count);
            self.result.statement_id(data.handle.statement_id);
            self.result.previous_statement_hash(data.previous_statement_hash);

            if (data.handle.statements_count > 1 && data.handle.start != null && data.handle.end != null) {
              self.result.statement_range({
                start: data.handle.start,
                end: data.handle.end
              });
            }
          }
        }
      }).fail(function (xhr, textStatus, errorThrown) {
        if (self.statusForButtons() != 'canceled' && xhr.status !== 502) {
          // No error when manually canceled
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
        }

        self.status('failed');
        self.statusForButtons('executed');
      }).always(function () {
        self.executingBlockingOperation = null;
      });
    };

    self.reexecute = function () {
      self.result.cancelBatchExecution();
      self.execute();
    };

    self.formatEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.statement_raw && self.statement_raw() != null && self.statement_raw().length < 400000; // ie: 5000 lines at 80 chars per line
    });

    self.createGist = function () {
      if (self.isSqlDialect()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].createGist({
          statement: self.ace().getSelectedText() != '' ? self.ace().getSelectedText() : self.statement_raw(),
          doc_type: self.type(),
          name: self.name(),
          description: ''
        }).done(function (data) {
          if (data.status == 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showGistModal', {
              link: data.link
            });
          } else {
            self._ajaxError(data);
          }
        });
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('gist', self.type());
    };

    self.format = function () {
      if (self.isSqlDialect()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].formatSql({
          statements: self.ace().getSelectedText() != '' ? self.ace().getSelectedText() : self.statement_raw()
        }).done(function (data) {
          if (data.status == 0) {
            if (self.ace().getSelectedText() != '') {
              self.ace().session.replace(self.ace().session.selection.getRange(), data.formatted_statements);
            } else {
              self.statement_raw(data.formatted_statements);
              self.ace().setValue(self.statement_raw(), 1);
            }
          } else {
            self._ajaxError(data);
          }
        });
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'format');
    };

    self.clear = function () {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'clear');
      self.ace().setValue('', 1);
      self.result.clear();
      self.status('ready');
    };

    self.explain = function () {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'explain');

      if (self.statement() == '' || self.status() == 'running' || self.status() === 'loading') {
        return;
      }

      self.result.explanation('');
      self.errors([]);
      self.progress(0);
      self.status('ready');
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/explain', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        if (data.status == 0) {
          self.currentQueryTab('queryExplain');
          self.result.fetchedOnce(true);
          self.result.explanation(data.explanation);
        } else {
          self._ajaxError(data);
        }
      });
    };

    var lastCompatibilityRequest;

    self.checkCompatibility = function () {
      self.hasSuggestion(null);
      self.compatibilitySourcePlatform(COMPATIBILITY_SOURCE_PLATFORMS[self.type()]);
      self.compatibilityTargetPlatform(COMPATIBILITY_TARGET_PLATFORMS[self.type() === 'hive' ? 'impala' : 'hive']);
      self.queryCompatibility();
    };

    self.queryCompatibility = function (targetPlatform) {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(lastCompatibilityRequest);
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'compatibility');
      self.compatibilityCheckRunning(targetPlatform != self.type());
      self.hasSuggestion(null);
      var positionStatement = self.positionStatement();
      lastCompatibilityRequest = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/optimizer/statement/compatibility', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
        sourcePlatform: self.compatibilitySourcePlatform().value,
        targetPlatform: self.compatibilityTargetPlatform().value
      }, function (data) {
        if (data.status === 0) {
          self.aceErrorsHolder([]);
          self.aceWarningsHolder([]);
          self.suggestion(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data.query_compatibility));

          if (self.suggestion().queryError && self.suggestion().queryError.errorString()) {
            var match = ERROR_REGEX.exec(self.suggestion().queryError.errorString());
            var line = null;

            if (match) {
              if (positionStatement) {
                line = positionStatement.location.first_line + parseInt(match[1]) + 1;
              } else {
                line = parseInt(match[1]) - 1;
              }
            }

            self.aceWarningsHolder.push({
              message: self.suggestion().queryError.errorString(),
              line: line,
              col: match === null ? null : typeof match[3] !== 'undefined' ? parseInt(match[3]) : null
            });
            self.status('with-optimizer-report');
          }

          if (self.suggestion().parseError()) {
            var _match = ERROR_REGEX.exec(self.suggestion().parseError());

            self.aceErrorsHolder.push({
              message: self.suggestion().parseError(),
              line: _match === null ? null : parseInt(_match[1]) - 1,
              col: _match === null ? null : typeof _match[3] !== 'undefined' ? parseInt(_match[3]) : null
            });
            self.status('with-optimizer-report');
          }

          self.showOptimizer(true);
          self.hasSuggestion(true);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).fail(function (xhr, textStatus, errorThrown) {
        if (xhr.status !== 502) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
        }
      }).always(function () {
        self.compatibilityCheckRunning(false);
      });
    };

    self.fetchResult = function (rows, startOver) {
      if (typeof startOver == 'undefined') {
        startOver = true;
      }

      self.fetchResultData(rows, startOver); //self.fetchResultMetadata(rows);
    };

    self.isFetchingData = false;

    self.fetchExecutionAnalysis = function () {
      if (self.type() === 'impala') {
        // TODO: Use real query ID
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.update.execution.analysis', {
          analysisPossible: true,
          compute: self.compute(),
          queryId: notebook.getContext().id(),
          name: self.jobs()[0] && self.jobs()[0].name
        });
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.update.execution.analysis', {
          analysisPossible: false
        });
      }
    };

    self.fetchResultData = function (rows, startOver) {
      if (!self.isFetchingData) {
        if (self.status() === 'available') {
          startLongOperationTimeout();
          self.isFetchingData = true;
          _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'fetchResult/' + rows + '/' + startOver);
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/fetch_result_data', {
            notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
            snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
            rows: rows,
            startOver: startOver
          }, function (data) {
            stopLongOperationTimeout();
            data = JSON.bigdataParse(data);

            if (data.status === 0) {
              self.showExecutionAnalysis(true);
              self.loadData(data.result, rows);
            } else {
              self._ajaxError(data, function () {
                self.isFetchingData = false;
                self.fetchResultData(rows, startOver);
              });

              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('renderDataError', {
                snippet: self
              });
            }
          }, 'text').fail(function (xhr, textStatus, errorThrown) {
            if (xhr.status !== 502) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
            }
          }).always(function () {
            self.isFetchingData = false;
          });
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.snippet.result.normal', self);
        }
      }
    };

    self.loadData = function (result, rows) {
      rows -= result.data.length;

      if (result.data.length > 0) {
        self.currentQueryTab('queryResults');
      }

      var _initialIndex = self.result.data().length;
      var _tempData = [];
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(result.data, function (index, row) {
        row.unshift(_initialIndex + index + 1);
        self.result.data.push(row);

        _tempData.push(row);
      });

      if (self.result.rows() == null || (self.result.rows() + '').indexOf('+') != -1) {
        self.result.rows(self.result.data().length + (result.has_more ? '+' : ''));
      }

      self.result.images(typeof result.images != 'undefined' && result.images != null ? result.images : []);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('editor.render.data', {
        data: _tempData,
        snippet: self,
        initial: _initialIndex == 0
      });

      if (!self.result.fetchedOnce()) {
        result.meta.unshift({
          type: 'INT_TYPE',
          name: '',
          comment: null
        });
        self.result.meta(result.meta);
        self.result.type(result.type);
        self.result.fetchedOnce(true);
      }

      self.result.meta().forEach(function (meta) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(meta.type, ['TINYINT_TYPE', 'SMALLINT_TYPE', 'INT_TYPE', 'BIGINT_TYPE', 'FLOAT_TYPE', 'DOUBLE_TYPE', 'DECIMAL_TYPE']) > -1) {
          meta.cssClass = 'sort-numeric';
        } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(meta.type, ['TIMESTAMP_TYPE', 'DATE_TYPE', 'DATETIME_TYPE']) > -1) {
          meta.cssClass = 'sort-date';
        } else {
          meta.cssClass = 'sort-string';
        }
      });
      self.result.hasMore(result.has_more);

      if (result.has_more && rows > 0) {
        setTimeout(function () {
          self.fetchResultData(rows, false);
        }, 500);
      } else if (!vm.editorMode() && !notebook.isPresentationMode() && notebook.snippets()[notebook.snippets().length - 1] == self) {
        notebook.newSnippet();
      }
    };

    self.fetchResultMetadata = function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/fetch_result_metadata', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        if (data.status == 0) {
          self.result.meta(data.result.meta);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).fail(function (xhr, textStatus, errorThrown) {
        if (xhr.status !== 502) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
        }

        self.status('failed');
      });
    };

    self.fetchResultSize = function (n, query_id) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/fetch_result_size', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        if (query_id == notebook.id()) {
          // If still on the same result
          if (data.status == 0) {
            if (data.result.rows != null) {
              self.result.rows(data.result.rows);
            } else if (self.type() == 'impala' && n > 0) {
              setTimeout(function () {
                self.fetchResultSize(n - 1, query_id);
              }, 1000);
            }
          } else if (data.status == 5) {// No supported yet for this snippet
          } else {//$(document).trigger("error", data.message);
            }
        }
      }).fail(function (xhr, textStatus, errorThrown) {//$(document).trigger("error", xhr.responseText);
      });
    };

    self.checkStatus = function () {
      var _checkStatus = function _checkStatus() {
        self.lastCheckStatusRequest = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/check_status', {
          notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
          snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
        }, function (data) {
          if (self.statusForButtons() == 'canceling' || self.status() == 'canceled') {// Query was canceled in the meantime, do nothing
          } else {
            self.result.endTime(new Date());

            if (data.status === 0) {
              self.status(data.query_status.status);

              if (self.result.handle() && data.query_status.has_result_set !== undefined) {
                self.result.handle().has_result_set = data.query_status.has_result_set;
                self.result.hasResultset(self.result.handle().has_result_set);
              }

              if (self.status() == 'running' || self.status() == 'starting' || self.status() == 'waiting') {
                var delay = self.result.executionTime() > 45000 ? 5000 : 1000; // 5s if more than 45s

                if (!notebook.unloaded()) {
                  self.checkStatusTimeout = setTimeout(_checkStatus, delay);
                }
              } else if (self.status() === 'available' || self.status() === 'success') {
                if (self.status() === 'available') {
                  self.fetchResult(100);
                }

                self.progress(100);

                if (self.isSqlDialect()) {
                  if (self.result.handle().has_result_set) {
                    var _query_id = notebook.id();

                    setTimeout(function () {
                      // Delay until we get IMPALA-5555
                      self.fetchResultSize(10, _query_id);
                    }, 2000);
                    self.checkDdlNotification(); // DDL CTAS with Impala
                  } else if (self.lastExecutedStatement()) {
                    self.checkDdlNotification();
                  } else {
                    self.onDdlExecute();
                  }
                }

                if (notebook.isExecutingAll()) {
                  notebook.executingAllIndex(notebook.executingAllIndex() + 1);

                  if (notebook.executingAllIndex() < notebook.snippets().length) {
                    notebook.snippets()[notebook.executingAllIndex()].execute();
                  } else {
                    notebook.isExecutingAll(false);
                  }
                }

                if (!self.result.handle().has_more_statements && vm.successUrl()) {
                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_8__["default"].publish('open.link', vm.successUrl()); // Not used anymore in Hue 4
                }
              }
            } else if (data.status === -3) {
              self.status('expired');
              notebook.isExecutingAll(false);
            } else {
              self._ajaxError(data);

              notebook.isExecutingAll(false);
            }
          }
        }).fail(function (xhr, textStatus, errorThrown) {
          if (xhr.stausText !== 'abort') {
            if (xhr.status !== 502) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText || textStatus);
            }

            self.status('failed');
            notebook.isExecutingAll(false);
          }
        });
      };

      var activeStatus = ['running', 'starting', 'waiting'];

      var _getLogs = function _getLogs(isLastTime) {
        window.clearTimeout(self.getLogsTimeout);
        self.getLogs().then(function () {
          var lastTime = activeStatus.indexOf(self.status()) < 0; // We to run getLogs at least one time after status is terminated to make sure we have last logs

          if (lastTime && isLastTime) {
            return;
          }

          var delay = self.result.executionTime() > 45000 ? 5000 : 1000; // 5s if more than 45s

          self.getLogsTimeout = setTimeout(_getLogs.bind(self, lastTime), delay);
        });
      };

      _checkStatus();

      _getLogs(activeStatus.indexOf(self.status()) < 0);
    };

    self.checkDdlNotification = function () {
      if (self.lastExecutedStatement() && /ALTER|CREATE|DELETE|DROP|GRANT|INSERT|INVALIDATE|LOAD|SET|TRUNCATE|UPDATE|UPSERT|USE/i.test(self.lastExecutedStatement().firstToken)) {
        self.onDdlExecute();
      } else {
        window.clearTimeout(self.executeNextTimeout);
      }
    };

    self.isCanceling = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

    self.cancel = function () {
      window.clearTimeout(self.executeNextTimeout);
      self.isCanceling(true);
      self.clearActiveExecuteRequests();
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'cancel');

      if (self.executingBlockingOperation != null) {
        self.executingBlockingOperation.abort();
        self.executingBlockingOperation = null;
      }

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isEmptyObject(self.result.handle())) {
        // Query was not even submitted yet
        self.statusForButtons('canceled');
        self.status('failed');
        self.isCanceling(false);
        notebook.isExecutingAll(false);
      } else {
        self.statusForButtons('canceling');
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/cancel_statement', {
          notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
          snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
        }, function (data) {
          self.statusForButtons('canceled');

          if (data.status == 0) {
            self.status('canceled');
            notebook.isExecutingAll(false);
          } else {
            self._ajaxError(data);
          }
        }).fail(function (xhr, textStatus, errorThrown) {
          if (xhr.status !== 502) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
          }

          self.statusForButtons('canceled');
          self.status('failed');
          notebook.isExecutingAll(false);
        }).always(function () {
          self.isCanceling(false);
        });
      }
    };

    self.close = function () {
      self.clearActiveExecuteRequests();
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/close_statement', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext())
      }, function (data) {
        if (data.status == 0) {// self.status('closed'); // Keep as 'running' as currently it happens before running a new query
        } else {// self._ajaxError(data);
          }
      }).fail(function (xhr, textStatus, errorThrown) {
        if (xhr.status !== 502) {} // $(document).trigger("error", xhr.responseText);
        // self.status('failed'); // Can conflict with slow close and new query execution

      });
    };

    self.clearActiveExecuteRequests = function () {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(self.lastGetLogsRequest);

      if (self.getLogsTimeout !== null) {
        window.clearTimeout(self.getLogsTimeout);
        self.getLogsTimeout = null;
      }

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(self.lastCheckStatusRequest);

      if (self.checkStatusTimeout !== null) {
        window.clearTimeout(self.checkStatusTimeout);
        self.checkStatusTimeout = null;
      }
    };

    self.getLogs = function () {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].cancelActiveRequest(self.lastGetLogsRequest);
      self.lastGetLogsRequest = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/get_logs', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
        from: self.result.logLines,
        jobs: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.jobs, {
          ignore: ['percentJob']
        }),
        full_log: self.result.logs
      }, function (data) {
        if (data.status == 1) {
          // Append errors to the logs
          data.status = 0;
          data.logs = data.message;
        }

        if (data.status == 0) {
          if (data.logs.length > 0) {
            var logs = data.logs.split('\n');
            self.result.logLines += logs.length;
            var oldLogs = self.result.logs();

            if (data.logs && (oldLogs === '' || self.wasBatchExecuted() && data.logs.indexOf('Unable to locate') == -1 || data.isFullLogs)) {
              self.result.logs(data.logs);
            } else {
              self.result.logs(oldLogs + '\n' + data.logs);
            }
          }

          self.jobs().forEach(function (job) {
            if (typeof job.percentJob === 'undefined') {
              job.percentJob = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](-1);
            }
          });

          if (data.jobs && data.jobs.length > 0) {
            data.jobs.forEach(function (job) {
              var _found = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.jobs(), function (item) {
                return item.name === job.name;
              });

              if (_found.length === 0) {
                if (typeof job.percentJob === 'undefined') {
                  job.percentJob = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](-1);
                } else {
                  job.percentJob = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](job.percentJob);
                }

                self.jobs.push(job);
              } else if (typeof job.percentJob !== 'undefined') {
                for (var i = 0; i < _found.length; i++) {
                  _found[i].percentJob(job.percentJob);
                }
              }
            });
            self.jobs().forEach(function (job) {
              var _found = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayFilter(self.jobs(), function (item) {
                return item.name === job.name;
              });

              if (_found.length === 0) {
                self.jobs.remove(job);
              }
            });
          }

          if (self.status() == 'running') {
            // Maybe the query finished or failed in the meantime
            self.progress(data.progress);
          }
        } else {
          self._ajaxError(data);
        }
      }).fail(function (xhr, textStatus, errorThrown) {
        if (xhr.statusText !== 'abort') {
          if (xhr.status !== 502) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText || textStatus);
          }

          self.status('failed');
        }
      });
      return self.lastGetLogsRequest;
    };

    self.uploadQueryHistory = function (n) {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'upload_query_history');
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/history', {
        n: typeof n != 'undefined' ? n : null,
        sourcePlatform: self.type()
      }, function (data) {
        if (data.status == 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.upload_history[self.type()].count + ' queries uploaded successfully. Processing them...');
          self.watchUploadStatus(data.upload_history[self.type()].status.workloadId);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      });
    };

    self.uploadQuery = function (query_id) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/query', {
        query_id: query_id,
        sourcePlatform: self.type()
      });
    };

    self.uploadTableStats = function (options) {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'load_table_stats');

      if (options.showProgress) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', 'Preparing table data...');
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/table_stats', {
        db_tables: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(options.activeTables, function (table) {
          return table.databaseName + '.' + table.tableName;
        })),
        sourcePlatform: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.type()),
        with_ddl: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(true),
        with_table_stats: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(true),
        with_columns_stats: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(true)
      }, function (data) {
        if (data.status == 0) {
          if (options.showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(options.activeTables, function (table) {
              return table.tableName;
            }) + ' stats sent to analyse');
          }

          if (data.upload_table_ddl && options.showProgress) {
            // With showProgress only currently as can be very slow
            self.watchUploadStatus(data.upload_table_ddl.status.workloadId, options.showProgress);
          }
        } else if (options.showProgress) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).always(function () {
        if (options.callback) {
          options.callback();
        }
      });
    };

    self.watchUploadStatus = function (workloadId, showProgress) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/status', {
        workloadId: workloadId
      }, function (data) {
        if (data.status == 0) {
          if (showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', 'Query processing: ' + data.upload_status.status.state);
          }

          if (['WAITING', 'IN_PROGRESS'].indexOf(data.upload_status.status.state) != -1) {
            window.setTimeout(function () {
              self.watchUploadStatus(workloadId);
            }, 2000);
          } else if (showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('warn', data.upload_status.status.statusMsg + (data.upload_status.status.failedQueries > 0 ? '. ' + data.upload_status.status.failQueryDetails.map(function (query) {
              return query.error;
            }) : ''));
          }
        } else if (showProgress) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      });
    };

    self.getSimilarQueries = function () {
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_7__["default"].log('notebook', 'get_query_similarity');
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/optimizer/statement/similarity', {
        notebook: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(notebook.getContext()),
        snippet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self.getContext()),
        sourcePlatform: self.type()
      }, function (data) {
        if (data.status == 0) {
          // eslint-disable-next-line no-restricted-syntax
          console.log(data.statement_similarity);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      });
    };

    self.autocompleter = new _aceAutocompleteWrapper__WEBPACK_IMPORTED_MODULE_4__["default"]({
      snippet: self,
      user: vm.user,
      optEnabled: false,
      timeout: vm.autocompleteTimeout
    });

    self.init = function () {
      if ((self.status() == 'running' || self.status() == 'available') && notebook.isHistory()) {
        self.checkStatus();
      } else if (self.status() == 'loading') {
        self.status('failed');
        self.progress(0);
        self.jobs([]);
      } else if (self.status() == 'ready-execute') {
        self.execute();
      }
    };

    self.onKeydownInVariable = function (context, e) {
      if ((e.ctrlKey || e.metaKey) && e.which === 13) {
        // Ctrl-enter
        self.ace().commands.commands['execute'].exec();
      } else if ((e.ctrlKey || e.metaKey) && e.which === 83) {
        // Ctrl-s
        self.ace().commands.commands['save'].exec();
        e.preventDefault(); // Prevent browser page save dialog
      }

      return true;
    };

    self.refreshHistory = notebook.fetchHistory;
  }

  _createClass(Snippet, [{
    key: "renderMarkdown",
    value: function renderMarkdown() {
      return this.statement_raw().replace(/([^$]*)([$]+[^$]*[$]+)?/g, function (a, textRepl, code) {
        return markdown__WEBPACK_IMPORTED_MODULE_3__["markdown"].toHTML(textRepl).replace(/^<p>|<\/p>$/g, '') + (code ? code : '');
      });
    }
  }, {
    key: "exportHistory",
    value: function exportHistory() {
      var historyResponse;
      return regeneratorRuntime.async(function exportHistory$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].getHistory({
                type: this.type(),
                limit: 500
              }));

            case 2:
              historyResponse = _context.sent;

              if (historyResponse && historyResponse.history) {
                window.location.href = window.HUE_BASE_URL + '/desktop/api2/doc/export?history=true&documents=[' + historyResponse.history.map(function (historyDoc) {
                  return historyDoc.id;
                }).join(',') + ']';
              }

            case 4:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "toggleAllResultColumns",
    value: function toggleAllResultColumns(linkElement) {
      var $t = jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkElement).parents('.snippet').find('table.resultTable:eq(0)');
      var dt = $t.hueDataTable();
      dt.fnToggleAllCols(linkElement.checked);
      dt.fnDraw();
    }
  }, {
    key: "toggleResultColumn",
    value: function toggleResultColumn(linkElement, index) {
      var $t = jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkElement).parents('.snippet').find('table.resultTable:eq(0)');
      var dt = $t.hueDataTable();
      dt.fnSetColumnVis(index, linkElement.checked);
    }
  }, {
    key: "scrollToResultColumn",
    value: function scrollToResultColumn(linkElement) {
      var $resultTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkElement).parents('.snippet').find('table.resultTable:eq(0)');

      var _text = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkElement).text());

      var _col = $resultTable.find('th').filter(function () {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text()) === _text;
      });

      $resultTable.find('.columnSelected').removeClass('columnSelected');

      var _colSel = $resultTable.find('tr th:nth-child(' + (_col.index() + 1) + ')');

      if (_colSel.length > 0) {
        $resultTable.find('tr td:nth-child(' + (_col.index() + 1) + ')').addClass('columnSelected');
        $resultTable.parent().scrollLeft(_colSel.position().left + $resultTable.parent().scrollLeft() - $resultTable.parent().offset().left - 30);
        $resultTable.data('scrollToCol', _col.index());
        $resultTable.data('scrollToRow', null);
        $resultTable.data('scrollAnimate', true);
        $resultTable.parent().trigger('scroll');
      }
    }
  }]);

  return Snippet;
}();

/* harmony default export */ __webpack_exports__["default"] = (Snippet);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/executableStateHandler.js":
/*!*****************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/executableStateHandler.js ***!
  \*****************************************************************************************/
/*! exports provided: attachTracker */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "attachTracker", function() { return attachTracker; });
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
var attachTracker = function attachTracker(activeExecutable, id, target, trackedObservables) {
  var disposals = [];

  if (!activeExecutable) {
    return;
  }

  var ignoreObservableChange = false;

  var updateFromState = function updateFromState(state) {
    ignoreObservableChange = true;
    Object.keys(state).forEach(function (key) {
      return target[key](state[key]);
    });
    ignoreObservableChange = false;
  };

  updateFromState(trackedObservables);
  var sub = activeExecutable.subscribe(function (executable) {
    var state = Object.assign({}, trackedObservables, executable.observerState[id]);
    updateFromState(state);
  });
  disposals.push(function () {
    sub.dispose();
  });
  Object.keys(trackedObservables).forEach(function (observableAttr) {
    var sub = target[observableAttr].subscribe(function (val) {
      if (ignoreObservableChange) {
        return;
      }

      if (!activeExecutable().observerState[id]) {
        activeExecutable().observerState[id] = {};
      }

      activeExecutable().observerState[id][observableAttr] = val;
    });
    disposals.push(function () {
      sub.dispose();
    });
  });
  return {
    dispose: function dispose() {
      while (disposals.length) {
        disposals.pop()();
      }
    }
  };
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableActions.js":
/*!***************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableActions.js ***!
  \***************************************************************************************/
/*! exports provided: NAME, EXECUTE_ACTIVE_EXECUTABLE_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EXECUTE_ACTIVE_EXECUTABLE_EVENT", function() { return EXECUTE_ACTIVE_EXECUTABLE_EVENT; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _execution_executable__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'executable-actions';
var EXECUTE_ACTIVE_EXECUTABLE_EVENT = 'executable.active.executable'; // prettier-ignore

var TEMPLATE = "\n<div class=\"snippet-execute-actions\" data-test=\"".concat(NAME, "\">\n  <div class=\"btn-group\">\n    <!-- ko if: status() !== '").concat(_execution_executable__WEBPACK_IMPORTED_MODULE_3__["EXECUTION_STATUS"].running, "' && !waiting() -->\n    <button class=\"btn btn-primary btn-mini btn-execute disable-feedback\" data-test=\"execute\" data-bind=\"click: execute, disable: disabled\"><i class=\"fa fa-play fa-fw\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Execute'), "</button>\n    <!-- /ko -->\n    <!-- ko if: status() === '").concat(_execution_executable__WEBPACK_IMPORTED_MODULE_3__["EXECUTION_STATUS"].running, "' || waiting() -->\n      <!-- ko ifnot: stopping -->\n      <button class=\"btn btn-danger btn-mini btn-execute disable-feedback\" data-test=\"stop\" data-bind=\"click: stop\"><i class=\"fa fa-stop fa-fw\"></i>\n      <!-- ko ifnot: waiting -->\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Stop'), "\n      <!-- /ko --> \n      <!-- ko if: waiting -->\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Stop batch'), "\n      <!-- /ko --> \n      </button>\n      <!-- /ko -->\n      <!-- ko if: stopping -->\n      <button class=\"btn btn-primary btn-mini btn-execute disable-feedback disabled\"><i class=\"fa fa-spinner fa-spin fa-fw\"></i>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Stopping'), "</button>\n      <!-- /ko -->\n    <!-- /ko -->\n  </div>\n</div>\n");
var WHITE_SPACE_REGEX = /^\s*$/;

var ExecutableActions =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ExecutableActions, _DisposableComponent);

  function ExecutableActions(params) {
    var _this;

    _classCallCheck(this, ExecutableActions);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ExecutableActions).call(this));
    _this.stopping = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    _this.activeExecutable = params.activeExecutable;
    _this.status = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](_execution_executable__WEBPACK_IMPORTED_MODULE_3__["EXECUTION_STATUS"].ready);
    _this.partOfRunningExecution = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    _this.beforeExecute = params.beforeExecute;
    _this.waiting = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.activeExecutable() && _this.activeExecutable().isReady() && _this.partOfRunningExecution();
    });
    _this.disabled = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      var executable = _this.activeExecutable();

      return !executable || executable.parsedStatement && WHITE_SPACE_REGEX.test(executable.parsedStatement.statement);
    });

    _this.subscribe(_execution_executable__WEBPACK_IMPORTED_MODULE_3__["EXECUTABLE_UPDATED_EVENT"], function (executable) {
      if (_this.activeExecutable() === executable) {
        _this.updateFromExecutable(executable);
      }
    });

    _this.subscribe(EXECUTE_ACTIVE_EXECUTABLE_EVENT, function (executable) {
      if (_this.activeExecutable() === executable) {
        _this.execute();
      }
    });

    _this.subscribe(_this.activeExecutable, _this.updateFromExecutable.bind(_assertThisInitialized(_this)));

    return _this;
  }

  _createClass(ExecutableActions, [{
    key: "updateFromExecutable",
    value: function updateFromExecutable(executable) {
      this.status(executable.status);
      this.partOfRunningExecution(executable.isPartOfRunningExecution());
    }
  }, {
    key: "stop",
    value: function stop() {
      return regeneratorRuntime.async(function stop$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(this.stopping() || !this.activeExecutable())) {
                _context.next = 2;
                break;
              }

              return _context.abrupt("return");

            case 2:
              this.stopping(true);
              _context.next = 5;
              return regeneratorRuntime.awrap(this.activeExecutable().cancelBatchChain(true));

            case 5:
              this.stopping(false);

            case 6:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "execute",
    value: function execute() {
      var executable;
      return regeneratorRuntime.async(function execute$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (!this.beforeExecute) {
                _context2.next = 3;
                break;
              }

              _context2.next = 3;
              return regeneratorRuntime.awrap(this.beforeExecute());

            case 3:
              executable = this.activeExecutable();

              if (!executable) {
                _context2.next = 8;
                break;
              }

              _context2.next = 7;
              return regeneratorRuntime.awrap(executable.reset());

            case 7:
              executable.execute();

            case 8:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "executeNext",
    value: function executeNext() {
      if (this.activeExecutable() && this.activeExecutable().nextExecutable) {
        this.activeExecutable(this.activeExecutable().nextExecutable);
      }

      this.execute();
    }
  }]);

  return ExecutableActions;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerComponent(NAME, ExecutableActions, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableLogs.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableLogs.js ***!
  \************************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_bindings_ko_publish__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../ko/bindings/ko.publish */ "./desktop/core/src/desktop/js/ko/bindings/ko.publish.js");
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _execution_executable__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _execution_executionResult__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../execution/executionResult */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executionResult.js");
/* harmony import */ var _execution_executionLogs__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../execution/executionLogs */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executionLogs.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var NAME = 'executable-logs'; // prettier-ignore

var TEMPLATE = "\n<div class=\"snippet-error-container alert alert-error\" data-bind=\"visible: errors().length\" style=\"display: none;\">\n  <ul class=\"unstyled\" data-bind=\"foreach: errors\">\n    <li data-bind=\"text: $data\"></li>\n  </ul>\n</div>\n\n<div class=\"snippet-log-container margin-bottom-10\" data-bind=\"visible: showLogs\" style=\"display: none;\">\n  <div data-bind=\"delayedOverflow: 'slow', css: resultsKlass\" style=\"margin-top: 5px; position: relative;\">\n    <a href=\"javascript: void(0)\" class=\"inactive-action close-logs-overlay\" data-bind=\"toggle: showLogs\">&times;</a>\n    <ul data-bind=\"visible: jobs().length, foreach: jobs\" class=\"unstyled jobs-overlay\">\n      <li data-bind=\"attr: { 'id': name.substr(4) }\">\n        <a class=\"pointer\" data-bind=\"\n            text: $.trim(name),\n            click: function() {\n              huePubSub.publish('show.jobs.panel', {\n                id: name,\n                interface: $parent.sourceType() == 'impala' ? 'queries' : 'jobs',\n                compute: $parent.compute\n              });\n            },\n            clickBubble: false\n          \"></a>\n        <!-- ko if: percentJob >= 0 -->\n        <div class=\"progress-job progress pull-left\" style=\"background-color: #FFF; width: 100%\" data-bind=\"\n            css: {\n              'progress-warning': percentJob < 100,\n              'progress-success': percentJob === 100\n            }\">\n          <div class=\"bar\" data-bind=\"style: { 'width': percentJob + '%' }\"></div>\n        </div>\n        <!-- /ko -->\n        <div class=\"clearfix\"></div>\n      </li>\n    </ul>\n    <span data-bind=\"visible: !isPresentationMode() || !isHidingCode()\">\n    <pre data-bind=\"visible: !logs() && jobs().length\" class=\"logs logs-bigger\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No logs available at this moment.'), "</pre>\n    <pre data-bind=\"visible: logs, text: logs, logScroller: logs, logScrollerVisibilityEvent: showLogs\" class=\"logs logs-bigger logs-populated\"></pre>\n  </span>\n  </div>\n  <div class=\"snippet-log-resizer\" data-bind=\"\n      visible: logs,\n      logResizer: {\n        parent: '.snippet-log-container',\n        target: '.logs-populated',\n        mainScrollable: window.MAIN_SCROLLABLE,\n        onStart: function () { huePubSub.publish('result.grid.hide.fixed.headers') },\n        onResize: function() {\n          huePubSub.publish('result.grid.hide.fixed.headers');\n          window.setTimeout(function () {\n            huePubSub.publish('result.grid.redraw.fixed.headers');\n          }, 500);\n        },\n        minHeight: 50\n      }\n    \">\n    <i class=\"fa fa-ellipsis-h\"></i>\n  </div>\n</div>\n");

var ExecutableLogs =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ExecutableLogs, _DisposableComponent);

  function ExecutableLogs(params) {
    var _this;

    _classCallCheck(this, ExecutableLogs);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ExecutableLogs).call(this));
    _this.activeExecutable = params.activeExecutable;
    _this.showLogs = params.showLogs;
    _this.resultsKlass = params.resultsKlass;
    _this.isPresentationMode = params.isPresentationMode;
    _this.isHidingCode = params.isHidingCode;
    _this.explanation = params.explanation;
    _this.status = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.fetchedOnce = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.hasResultset = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.hasEmptyResult = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.compute = undefined;
    _this.jobs = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.errors = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.logs = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();

    _this.subscribe(_execution_executable__WEBPACK_IMPORTED_MODULE_3__["EXECUTABLE_UPDATED_EVENT"], function (executable) {
      if (_this.activeExecutable() === executable) {
        _this.updateFromExecutable(executable);
      }
    });

    _this.subscribe(_this.activeExecutable, _this.updateFromExecutable.bind(_assertThisInitialized(_this)));

    _this.subscribe(_execution_executionResult__WEBPACK_IMPORTED_MODULE_6__["RESULT_UPDATED_EVENT"], function (executionResult) {
      if (_this.activeExecutable() === executionResult.executable) {
        _this.updateFromResult(executionResult);
      }
    });

    _this.subscribe(_execution_executionLogs__WEBPACK_IMPORTED_MODULE_7__["LOGS_UPDATED_EVENT"], function (executionLogs) {
      if (_this.activeExecutable() === executionLogs.executable) {
        _this.updateFromLogs(executionLogs);
      }
    });

    return _this;
  }

  _createClass(ExecutableLogs, [{
    key: "updateFromExecutable",
    value: function updateFromExecutable(executable) {
      this.hasResultset(executable.handle.has_result_set);
      this.status(executable.status);
      this.sourceType(executable.sourceType);

      if (!this.compute) {
        this.compute = executable.compute;
      }

      if (executable.result) {
        this.updateFromResult(executable.result);
      }

      this.updateFromLogs(executable.logs);
    }
  }, {
    key: "updateFromLogs",
    value: function updateFromLogs(executionLogs) {
      this.logs(executionLogs.fullLog);
      this.jobs(executionLogs.jobs);
      this.errors(executionLogs.errors);
    }
  }, {
    key: "updateFromResult",
    value: function updateFromResult(executionResult) {
      this.fetchedOnce(executionResult.fetchedOnce);
      this.hasEmptyResult(executionResult.rows.length === 0);
    }
  }]);

  return ExecutableLogs;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, ExecutableLogs, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableProgressBar.js":
/*!*******************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableProgressBar.js ***!
  \*******************************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_bindings_ko_publish__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ko/bindings/ko.publish */ "./desktop/core/src/desktop/js/ko/bindings/ko.publish.js");
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _execution_executable__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var NAME = 'executable-progress-bar';
var TEMPLATE = "\n<div class=\"progress-snippet progress\" data-test=\"".concat(NAME, "\" data-bind=\"css: progressClass\" style=\"background-color: #FFF;\">\n  <div class=\"bar\" data-test=\"bar\" data-bind=\"style: { 'width': progressWidth }\"></div>\n</div>\n");

var ExecutableProgressBar =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ExecutableProgressBar, _DisposableComponent);

  function ExecutableProgressBar(params, element) {
    var _this;

    _classCallCheck(this, ExecutableProgressBar);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ExecutableProgressBar).call(this));
    _this.activeExecutable = params.activeExecutable;
    _this.status = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    _this.progress = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    _this.progressClass = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (_this.status() === _execution_executable__WEBPACK_IMPORTED_MODULE_4__["EXECUTION_STATUS"].failed) {
        return 'progress-danger';
      }

      if (_this.progress() === 0 && (_this.status() === _execution_executable__WEBPACK_IMPORTED_MODULE_4__["EXECUTION_STATUS"].running || _this.status() === _execution_executable__WEBPACK_IMPORTED_MODULE_4__["EXECUTION_STATUS"].starting)) {
        return 'progress-starting';
      }

      if (0 < _this.progress() && _this.progress() < 100) {
        return 'progress-running';
      }

      if (_this.progress() === 100) {
        return 'progress-success';
      }
    });
    _this.progressWidth = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (_this.status() === _execution_executable__WEBPACK_IMPORTED_MODULE_4__["EXECUTION_STATUS"].failed) {
        return '100%';
      }

      return Math.max(2, _this.progress()) + '%';
    });

    _this.subscribe(_execution_executable__WEBPACK_IMPORTED_MODULE_4__["EXECUTABLE_UPDATED_EVENT"], function _callee(executable) {
      return regeneratorRuntime.async(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(_this.activeExecutable() === executable)) {
                _context.next = 10;
                break;
              }

              _this.status(executable.status);

              _this.progress(executable.progress);

              if (!(executable.progress === 100)) {
                _context.next = 9;
                break;
              }

              _context.next = 6;
              return regeneratorRuntime.awrap(Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["sleep"])(2000));

            case 6:
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parent().find('.progress-snippet').animate({
                height: '0'
              }, 100);
              _context.next = 10;
              break;

            case 9:
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parent().find('.progress-snippet').css('height', '');

            case 10:
            case "end":
              return _context.stop();
          }
        }
      });
    });

    _this.subscribe(_this.activeExecutable, function (executable) {
      _this.status(executable.status);

      _this.progress(executable.progress);
    });

    return _this;
  }

  return ExecutableProgressBar;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_5__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new ExecutableProgressBar(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetEditorActions.js":
/*!******************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetEditorActions.js ***!
  \******************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_bindings_ko_publish__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ko/bindings/ko.publish */ "./desktop/core/src/desktop/js/ko/bindings/ko.publish.js");
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../snippet */ "./desktop/core/src/desktop/js/apps/notebook2/snippet.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var TEMPLATE = "\n<div class=\"snippet-editor-actions\">\n  <div class=\"btn-group\">\n    <button class=\"btn btn-mini btn-editor dropdown-toggle\" data-toggle=\"dropdown\">\n      <i class=\"fa fa-fw fa-ellipsis-v\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('More'), "\n      <span class=\"caret\"></span>\n    </button>\n    <ul class=\"dropdown-menu pull-right\">\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"click: explain, css: {'disabled': !explainEnabled() }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Explain the current SQL query'), "\">\n          <i class=\"fa fa-fw fa-map-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Explain'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"click: createGist, css: { 'disabled': !createGistEnabled() }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Share the query selection via a link'), "\">\n          <i class=\"fa fa-wf fa-link\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Share link'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"click: format, css: { 'disabled': !formatEnabled() }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Format the current SQL query'), "\">\n          <i class=\"fa fa-fw fa-indent\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Format'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"click: clear, css: {'disabled': !clearEnabled() }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Clear the current editor'), "\">\n          <i class=\"fa fa-fw fa-eraser\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Clear'), "\n        </a>\n      </li>\n      <!-- ko if: window.HAS_OPTIMIZER -->\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"click: checkCompatibility, css: {'disabled': !compatibilityEnabled() }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Get hints on how to port SQL from other databases'), "\">\n          <i class=\"fa fa-fw fa-random\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Check compatibility'), "\n        </a>\n      </li>\n      <!-- ko if: window.DJANGO_DEBUG_MODE && window.USER_IS_ADMIN -->\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"publish: 'editor.upload.history'\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Load recent queries in order to improve recommendations'), "\">\n          <i class=\"fa fa-fw fa-cloud-upload\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Upload optimizer history'), "\n        </a>\n      </li>\n      <!-- /ko -->\n      <!-- /ko -->\n      <li>\n        <a href=\"javascript:void(0)\" data-bind=\"toggle: snippet.settingsVisible, visible: snippet.hasProperties\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Query settings'), "\">\n          <i class=\"fa fa-fw fa-cog\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Settings'), "\n        </a>\n      </li>\n    </ul>\n  </div>\n</div>\n");

var SnippetEditorActions =
/*#__PURE__*/
function () {
  function SnippetEditorActions(params) {
    var _this = this;

    _classCallCheck(this, SnippetEditorActions);

    this.snippet = params.snippet;
    this.clearEnabled = this.snippet.isReady;
    this.compatibilityEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.snippet.type() === 'hive' || _this.snippet.type() === 'impala';
    });
    this.createGistEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.snippet.isSqlDialect() && _this.snippet.statement() !== '';
    });
    this.explainEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.snippet.isReady() && _this.snippet.statement() !== '' && _this.snippet.status() !== _snippet__WEBPACK_IMPORTED_MODULE_7__["STATUS"].running && _this.snippet.status() !== _snippet__WEBPACK_IMPORTED_MODULE_7__["STATUS"].loading;
    });
    this.formatEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.snippet.isReady() && _this.snippet.isSqlDialect() && _this.snippet.statement_raw() && _this.snippet.statement_raw().length < 400000;
    });
  }

  _createClass(SnippetEditorActions, [{
    key: "checkCompatibility",
    value: function checkCompatibility() {
      if (!this.compatibilityEnabled()) {
        return;
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__["default"].log('notebook', 'compatibility'); // TODO: Move compatibility check logic here

      this.snippet.checkCompatibility();
    }
  }, {
    key: "clear",
    value: function clear() {
      if (!this.clearEnabled()) {
        return;
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__["default"].log('notebook', 'clear');
      this.snippet.ace().setValue('', 1);
      this.snippet.result.clear();
      this.snippet.status(_snippet__WEBPACK_IMPORTED_MODULE_7__["STATUS"].ready);
    }
  }, {
    key: "explain",
    value: function explain() {
      var explanation;
      return regeneratorRuntime.async(function explain$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (this.explainEnabled()) {
                _context.next = 2;
                break;
              }

              return _context.abrupt("return");

            case 2:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__["default"].log('notebook', 'explain');
              this.snippet.explanation('');
              _context.next = 6;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].explainAsync({
                snippet: this.snippet
              }));

            case 6:
              explanation = _context.sent;
              this.snippet.explanation(explanation);
              this.snippet.currentQueryTab('queryExplain');

            case 9:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "createGist",
    value: function createGist() {
      var gistLink;
      return regeneratorRuntime.async(function createGist$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (this.createGistEnabled()) {
                _context2.next = 2;
                break;
              }

              return _context2.abrupt("return");

            case 2:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__["default"].log('notebook', 'createGist');
              _context2.next = 5;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].createGistAsync({
                statement: this.snippet.ace().getSelectedText() != '' ? this.snippet.ace().getSelectedText() : this.snippet.statement_raw(),
                doc_type: this.snippet.type(),
                name: this.snippet.name(),
                description: ''
              }));

            case 5:
              gistLink = _context2.sent;
              new window.Clipboard('.gist-link-btn');
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showGistModal', {
                link: gistLink
              });

            case 8:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "format",
    value: function format() {
      var _this2 = this;

      if (!this.formatEnabled()) {
        return;
      }

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_5__["default"].log('notebook', 'format');
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].formatSql({
        statements: this.snippet.ace().getSelectedText() !== '' ? this.snippet.ace().getSelectedText() : this.snippet.statement_raw()
      }).done(function (data) {
        if (data.status === 0) {
          if (_this2.snippet.ace().getSelectedText() !== '') {
            _this2.snippet.ace().session.replace(_this2.snippet.ace().session.selection.getRange(), data.formatted_statements);
          } else {
            _this2.snippet.statement_raw(data.formatted_statements);

            _this2.snippet.ace().setValue(_this2.snippet.statement_raw(), 1);
          }
        } else {
          _this2.snippet.handleAjaxError(data);
        }
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {}
  }]);

  return SnippetEditorActions;
}();

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_4__["default"].registerComponent('snippet-editor-actions', SnippetEditorActions, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetResults.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetResults.js ***!
  \************************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _resultChart_ko_resultChart__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./resultChart/ko.resultChart */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/ko.resultChart.js");
/* harmony import */ var _resultGrid_ko_resultGrid__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./resultGrid/ko.resultGrid */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultGrid.js");
/* harmony import */ var _events__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../events */ "./desktop/core/src/desktop/js/apps/notebook2/events.js");
/* harmony import */ var _execution_executable__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _execution_executionResult__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../execution/executionResult */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executionResult.js");
/* harmony import */ var _executableStateHandler__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./executableStateHandler */ "./desktop/core/src/desktop/js/apps/notebook2/components/executableStateHandler.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../snippet */ "./desktop/core/src/desktop/js/apps/notebook2/snippet.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.














var NAME = 'snippet-results';
var META_TYPE_TO_CSS = {
  TINYINT_TYPE: 'sort-numeric',
  SMALLINT_TYPE: 'sort-numeric',
  INT_TYPE: 'sort-numeric',
  BIGINT_TYPE: 'sort-numeric',
  FLOAT_TYPE: 'sort-numeric',
  DOUBLE_TYPE: 'sort-numeric',
  DECIMAL_TYPE: 'sort-numeric',
  TIMESTAMP_TYPE: 'sort-date',
  DATE_TYPE: 'sort-date',
  DATETIME_TYPE: 'sort-date'
};

var isNumericColumn = function isNumericColumn(type) {
  return ['tinyint', 'smallint', 'int', 'bigint', 'float', 'double', 'decimal', 'real'].indexOf(type) !== -1;
};

var isDateTimeColumn = function isDateTimeColumn(type) {
  return ['timestamp', 'date', 'datetime'].indexOf(type) !== -1;
};

var isComplexColumn = function isComplexColumn(type) {
  return ['array', 'map', 'struct'].indexOf(type) !== -1;
};

var isStringColumn = function isStringColumn(type) {
  return !isNumericColumn(type) && !isDateTimeColumn(type) && !isComplexColumn(type);
}; // prettier-ignore


var TEMPLATE = "\n<div class=\"snippet-row\">\n  <div class=\"result-actions\">\n    <div class=\"btn-group\">\n      <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"toggle: showGrid, css: { 'active': showGrid }\"><i class=\"fa fa-fw fa-th\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Grid'), "</button>\n      <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"toggle: showChart, css: { 'active': showChart }\"><i class=\"hcha fa-fw hcha-bar-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Chart'), "</button>\n    </div>\n    <div class=\"btn-group pull-right\">\n      <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"toggle: isResultFullScreenMode\">\n        <!-- ko if: isResultFullScreenMode -->\n        <i class=\"fa fa-compress\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Collapse'), "\n        <!-- /ko -->\n        <!-- ko ifnot: isResultFullScreenMode -->\n        <i class=\"fa fa-expand\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Expand'), "\n        <!-- /ko -->\n      </button>\n    </div>\n  </div>\n  \n  <div class=\"result-body\">\n    <div data-bind=\"visible: type() !== 'table'\" style=\"display:none; margin: 10px 0; overflow-y: auto\">\n      <!-- ko if: data().length && data()[0][1] != \"\" -->\n      <pre data-bind=\"text: data()[0][1]\" class=\"no-margin-bottom\"></pre>\n      <!-- /ko -->\n      <!-- ko ifnot: data().length && data()[0][1] != \"\" -->\n      <pre class=\"no-margin-bottom\"><i class=\"fa fa-check muted\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Done.'), "</pre>\n      <!-- /ko -->\n      <!-- ko if: images().length -->\n      <ul class=\"unstyled results-images\" data-bind=\"foreach: images\">\n        <li>\n          <img data-bind=\"attr: {'src': 'data:image/png;base64,' + $data}\" class=\"margin-bottom-10\"  alt=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Result image'), "\"/>\n        </li>\n      </ul>\n      <!-- /ko -->\n    </div>\n    <div class=\"table-results\" data-bind=\"visible: type() === 'table'\" style=\"display: none;\">\n      <div data-bind=\"visible: !executing() && hasData() && showGrid()\" style=\"display: none; position: relative;\">\n        <!-- ko component: { \n          name: 'result-grid',\n          params: {\n            activeExecutable: activeExecutable,\n            data: data,\n            lastFetchedRows: lastFetchedRows,\n            editorMode: editorMode,\n            fetchResult: fetchResult.bind($data),\n            hasMore: hasMore,\n            isPresentationMode: isPresentationMode,\n            isResultFullScreenMode: isResultFullScreenMode,\n            meta: meta,\n            resultsKlass: resultsKlass,\n            status: status\n          }\n        } --><!-- /ko -->\n      </div>\n      <div data-bind=\"visible: !executing() && hasData() && showChart()\" style=\"display: none; position: relative;\">\n        <!-- ko component: {\n          name: 'result-chart',\n          params: {\n            activeExecutable: activeExecutable,\n            cleanedMeta: cleanedMeta,\n            cleanedDateTimeMeta: cleanedDateTimeMeta,\n            cleanedNumericMeta: cleanedNumericMeta,\n            cleanedStringMeta: cleanedStringMeta,\n            data: data,\n            id: id,\n            meta: meta,\n            showChart: showChart\n          }\n        } --><!-- /ko -->\n      </div>\n      <div data-bind=\"visible: !executing() && !hasData() && !hasResultSet() && status() === 'available' && fetchedOnce()\" style=\"display: none;\">\n        <h1 class=\"empty\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Success.'), "</h1>\n      </div>\n      <div data-bind=\"visible: !executing() && !hasData() && hasResultSet() && status() === 'available' && fetchedOnce()\" style=\"display: none;\">\n        <h1 class=\"empty\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Empty result.'), "</h1>\n      </div>\n      <div data-bind=\"visible: !executing() && !hasData() && status() === 'expired'\" style=\"display: none;\">\n        <h1 class=\"empty\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Results have expired, rerun the query if needed.'), "</h1>\n      </div>\n      <div data-bind=\"visible: executing\" style=\"display: none;\">\n        <h1 class=\"empty\"><i class=\"fa fa-spinner fa-spin\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Executing...'), "</h1>\n      </div>\n    </div>\n  </div>\n</div>\n");

var SnippetResults =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(SnippetResults, _DisposableComponent);

  function SnippetResults(params, element) {
    var _this;

    _classCallCheck(this, SnippetResults);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SnippetResults).call(this));
    _this.element = element;
    _this.activeExecutable = params.activeExecutable;
    _this.editorMode = params.editorMode;
    _this.isPresentationMode = params.isPresentationMode;
    _this.isResultFullScreenMode = params.isResultFullScreenMode;
    _this.resultsKlass = params.resultsKlass;
    _this.id = params.id; // TODO: Get rid of

    _this.status = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.type = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](_execution_executionResult__WEBPACK_IMPORTED_MODULE_9__["RESULT_TYPE"].TABLE);
    _this.meta = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.data = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.lastFetchedRows = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.images = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    _this.hasMore = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.hasResultSet = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    _this.fetchedOnce = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);

    _this.subscribe(_snippet__WEBPACK_IMPORTED_MODULE_12__["CURRENT_QUERY_TAB_SWITCHED_EVENT"], function (queryTab) {
      if (queryTab === 'queryResults') {
        Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_11__["defer"])(function () {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(_events__WEBPACK_IMPORTED_MODULE_7__["REDRAW_FIXED_HEADERS_EVENT"]);
        });
      }
    });

    _this.executing = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.status() === _execution_executable__WEBPACK_IMPORTED_MODULE_8__["EXECUTION_STATUS"].running;
    });
    _this.hasData = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.data().length;
    });
    var trackedObservables = {
      showGrid: true,
      showChart: false
    };
    _this.showGrid = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.showGrid);
    _this.showChart = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.showChart);
    Object(_executableStateHandler__WEBPACK_IMPORTED_MODULE_10__["attachTracker"])(_this.activeExecutable, NAME, _assertThisInitialized(_this), trackedObservables);
    _this.cleanedMeta = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.meta().filter(function (item) {
        return item.name !== '';
      });
    });
    _this.cleanedDateTimeMeta = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.meta().filter(function (item) {
        return item.name !== '' && isDateTimeColumn(item.type);
      });
    });
    self.cleanedStringMeta = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.meta().filter(function (item) {
        return item.name !== '' && isStringColumn(item.type);
      });
    });
    _this.cleanedNumericMeta = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.meta().filter(function (item) {
        return item.name !== '' && isNumericColumn(item.type);
      });
    });

    _this.subscribe(_this.showChart, function (val) {
      if (val) {
        _this.showGrid(false);

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(_events__WEBPACK_IMPORTED_MODULE_7__["REDRAW_CHART_EVENT"]);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('editor.chart.shown', _assertThisInitialized(_this));
      }
    });

    _this.subscribe(_this.showGrid, function (val) {
      if (val) {
        _this.showChart(false);

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('editor.grid.shown', _assertThisInitialized(_this));
        Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_11__["defer"])(function () {
          return _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(_events__WEBPACK_IMPORTED_MODULE_7__["REDRAW_FIXED_HEADERS_EVENT"]);
        });
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('table.extender.redraw');
      }
    });

    _this.subscribe(_execution_executable__WEBPACK_IMPORTED_MODULE_8__["EXECUTABLE_UPDATED_EVENT"], function (executable) {
      if (_this.activeExecutable() === executable) {
        _this.updateFromExecutable(executable);
      }
    });

    var lastRenderedResult = undefined;

    _this.subscribe(_execution_executionResult__WEBPACK_IMPORTED_MODULE_9__["RESULT_UPDATED_EVENT"], function (executionResult) {
      if (_this.activeExecutable() === executionResult.executable) {
        var refresh = lastRenderedResult !== executionResult;

        _this.updateFromExecutionResult(executionResult, refresh);

        lastRenderedResult = executionResult;
      }
    });

    _this.subscribe(_this.activeExecutable, function (executable) {
      if (executable && executable.result) {
        if (executable !== lastRenderedResult) {
          _this.updateFromExecutionResult(executable.result, true);

          lastRenderedResult = executable;
        }
      } else {
        _this.resetResultData();
      }
    });

    return _this;
  }

  _createClass(SnippetResults, [{
    key: "resetResultData",
    value: function resetResultData() {
      this.images([]);
      this.lastFetchedRows([]);
      this.data([]);
      this.meta([]);
      this.hasMore(false);
      this.type(_execution_executionResult__WEBPACK_IMPORTED_MODULE_9__["RESULT_TYPE"].TABLE);
    }
  }, {
    key: "updateFromExecutionResult",
    value: function updateFromExecutionResult(executionResult, refresh) {
      if (refresh) {
        this.resetResultData();
      }

      if (executionResult) {
        this.fetchedOnce(executionResult.fetchedOnce);
        this.hasMore(executionResult.hasMore);
        this.type(executionResult.type);

        if (!this.meta().length && executionResult.meta.length) {
          this.meta(executionResult.meta.map(function (item, index) {
            return {
              name: item.name,
              type: item.type.replace(/_type/i, '').toLowerCase(),
              comment: item.comment,
              cssClass: META_TYPE_TO_CSS[item.type] || 'sort-string',
              checked: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](true),
              originalIndex: index
            };
          }));
        }

        if (executionResult.lastRows.length) {
          var _this$data;

          (_this$data = this.data).push.apply(_this$data, _toConsumableArray(executionResult.lastRows));
        }

        this.lastFetchedRows(executionResult.lastRows);
      }
    }
  }, {
    key: "updateFromExecutable",
    value: function updateFromExecutable(executable) {
      this.status(executable.status);
      this.hasResultSet(executable.handle.has_result_set);

      if (!this.hasResultSet) {
        this.resetResultData();
      }
    }
  }, {
    key: "fetchResult",
    value: function fetchResult() {
      if (this.activeExecutable() && this.activeExecutable().result) {
        this.activeExecutable().result.fetchRows({
          rows: 100
        });
      }
    }
  }]);

  return SnippetResults;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_2__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new SnippetResults(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/chartTransformers.js":
/*!************************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/chartTransformers.js ***!
  \************************************************************************************************/
/*! exports provided: pieChartTransformer, mapChartTransformer, leafletMapChartTransformer, timelineChartTransformer, multiSerieChartTransformer, scatterChartTransformer */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "pieChartTransformer", function() { return pieChartTransformer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "mapChartTransformer", function() { return mapChartTransformer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "leafletMapChartTransformer", function() { return leafletMapChartTransformer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "timelineChartTransformer", function() { return timelineChartTransformer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "multiSerieChartTransformer", function() { return multiSerieChartTransformer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "scatterChartTransformer", function() { return scatterChartTransformer; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./ko.resultChart */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/ko.resultChart.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



 // The leaflet map can freeze the browser with numbers outside the map

var MIN_LAT = -90;
var MAX_LAT = 90;
var MIN_LNG = -180;
var MAX_LNG = 180;

var isNotNullForCharts = function isNotNullForCharts(val) {
  return val !== 'NULL' && val !== null;
};

var pieChartTransformer = function pieChartTransformer(rawDatum) {
  var data = [];

  if (rawDatum.chartX() != null && rawDatum.chartYSingle() != null) {
    var valueIndex = -1;
    var labelIndex = -1;
    rawDatum.meta().some(function (col, index) {
      if (col.name === rawDatum.chartX()) {
        labelIndex = index;
      }

      if (col.name === rawDatum.chartYSingle()) {
        valueIndex = index;
      }

      return valueIndex !== -1 && labelIndex !== -1;
    });
    var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
    rawDatum.data().forEach(function (item, index) {
      if (isNotNullForCharts(item[valueIndex])) {
        var val = item[valueIndex] * 1;

        if (isNaN(val)) {
          val = 0;
        }

        data.push({
          label: Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(item[labelIndex]),
          value: val,
          color: colors[index % colors.length],
          obj: item
        });
      }
    });
  }

  if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].ASC) {
    data.sort(function (a, b) {
      return a.value - b.value;
    });
  } else if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].DESC) {
    data.sort(function (a, b) {
      return b.value - a.value;
    });
  }

  if (rawDatum.chartLimit()) {
    data = data.slice(0, rawDatum.chartLimit());
  }

  return data;
};
var mapChartTransformer = function mapChartTransformer(rawDatum) {
  var datum = [];

  if (rawDatum.chartX() != null && rawDatum.chartYSingle() != null) {
    var regionIndex = -1;
    var valueIndex = -1;
    rawDatum.meta().some(function (col, idx) {
      if (col.name === rawDatum.chartX()) {
        regionIndex = idx;
      }

      if (col.name === rawDatum.chartYSingle()) {
        valueIndex = idx;
      }

      return regionIndex !== -1 && valueIndex !== -1;
    });
    rawDatum.data().forEach(function (item) {
      if (isNotNullForCharts(item[valueIndex]) && isNotNullForCharts(item[regionIndex])) {
        datum.push({
          label: item[regionIndex],
          value: item[valueIndex],
          obj: item
        });
      }
    });
  }

  if (rawDatum.chartLimit()) {
    datum = datum.slice(0, rawDatum.chartLimit());
  }

  return datum;
};
var leafletMapChartTransformer = function leafletMapChartTransformer(rawDatum) {
  var datum = [];

  if (rawDatum.chartX() != null && rawDatum.chartYSingle() != null) {
    var latIndex = -1;
    var lngIndex = -1;
    var labelIndex = -1;
    var heatIndex = -1;
    rawDatum.meta().some(function (col, idx) {
      if (col.name === rawDatum.chartX()) {
        latIndex = idx;
      }

      if (col.name === rawDatum.chartYSingle()) {
        lngIndex = idx;
      }

      if (col.name === rawDatum.chartMapLabel()) {
        labelIndex = idx;
      }

      if (col.name === rawDatum.chartMapHeat()) {
        heatIndex = idx;
      }

      return latIndex !== -1 && lngIndex !== -1 && labelIndex !== -1 && heatIndex !== -1;
    });
    rawDatum.data().forEach(function (item) {
      if (isNotNullForCharts(item[latIndex]) && isNotNullForCharts(item[lngIndex])) {
        datum.push({
          lat: Math.min(Math.max(MIN_LAT, item[latIndex]), MAX_LAT),
          lng: Math.min(Math.max(MIN_LNG, item[lngIndex]), MAX_LNG),
          label: labelIndex !== -1 ? Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(item[labelIndex]) : undefined,
          isHeat: rawDatum.chartMapType() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_MAP_TYPE"].HEAT,
          intensity: heatIndex > -1 ? !isNaN(item[heatIndex] * 1) ? item[heatIndex] * 1 : null : null,
          obj: item
        });
      }
    });
  }

  if (rawDatum.chartLimit()) {
    datum = datum.slice(0, rawDatum.chartLimit());
  }

  return datum;
};
var timelineChartTransformer = function timelineChartTransformer(rawDatum) {
  var datum = [];
  var plottedSeries = 0;
  rawDatum.meta().forEach(function (meta) {
    if (rawDatum.chartYMulti().indexOf(meta.name) > -1) {
      var col = meta.name;
      var valueIndex = -1;
      var labelIndex = -1;
      rawDatum.meta().some(function (icol, idx) {
        if (icol.name === rawDatum.chartX()) {
          labelIndex = idx;
        }

        if (icol.name === col) {
          valueIndex = idx;
        }

        return labelIndex !== -1 && valueIndex !== -1;
      });

      if (valueIndex > -1) {
        var values = [];
        var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
        rawDatum.data().forEach(function (item) {
          if (isNotNullForCharts(item[labelIndex]) && isNotNullForCharts(item[valueIndex])) {
            values.push({
              series: plottedSeries,
              x: new Date(moment(Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(item[labelIndex])).valueOf()),
              y: item[valueIndex] * 1,
              color: colors[plottedSeries % colors.length],
              obj: item
            });
          }
        });

        if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].ASC) {
          values.sort(function (a, b) {
            return a.y - b.y;
          });
        } else if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].DESC) {
          values.sort(function (a, b) {
            return b.y - a.y;
          });
        }

        if (rawDatum.chartLimit()) {
          values = values.slice(0, rawDatum.chartLimit());
        }

        datum.push({
          key: col,
          values: values
        });
        plottedSeries++;
      }
    }
  });
  return datum;
};
var multiSerieChartTransformer = function multiSerieChartTransformer(rawDatum) {
  var datum = [];

  if (rawDatum.chartX() != null && rawDatum.chartYMulti().length > 0) {
    var plottedSerie = 0;

    if (typeof rawDatum.chartXPivot() !== 'undefined') {
      var valueIndex = -1;
      var labelIndex = -1;
      var isDate = false;
      rawDatum.meta().some(function (col, idx) {
        if (col.name === rawDatum.chartX()) {
          isDate = col.type.toUpperCase().indexOf('DATE') > -1;
          labelIndex = idx;
        }

        if (col.name === rawDatum.chartYSingle()) {
          valueIndex = idx;
        }

        return labelIndex !== -1 && valueIndex !== -1;
      });
      rawDatum.meta().forEach(function (meta, cnt) {
        if (rawDatum.chartXPivot() === meta.name) {
          var pivotIndex = cnt;
          var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
          var pivotValues = rawDatum.data().map(function (p) {
            return p[pivotIndex];
          });
          pivotValues = pivotValues.filter(function (item, pos) {
            return pivotValues.indexOf(item) === pos;
          });
          pivotValues.forEach(function (val, pivotCnt) {
            var values = [];
            rawDatum.data().forEach(function (item) {
              if (item[pivotIndex] === val) {
                if (isNotNullForCharts(item[valueIndex]) && isNotNullForCharts(item[labelIndex])) {
                  values.push({
                    x: isDate ? moment(item[labelIndex]) : Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(item[labelIndex]),
                    y: item[valueIndex] * 1,
                    color: colors[pivotCnt % colors.length],
                    obj: item
                  });
                }
              }
            });
            datum.push({
              key: Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(val),
              values: values
            });
          });
        }
      }); // fills in missing values

      var longest = 0;
      var allXValues = [];
      datum.forEach(function (d) {
        d.values.forEach(function (val) {
          if (allXValues.indexOf(val.x) === -1) {
            allXValues.push(val.x);
          }
        });
      });
      datum.forEach(function (d) {
        allXValues.forEach(function (val) {
          if (!d.values.some(function (item) {
            return item.x === val;
          })) {
            var zeroObj = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, d.values[0]);
            zeroObj.y = 0;
            zeroObj.x = val;
            d.values.push(zeroObj);
          }
        });

        if (d.values.length > longest) {
          longest = d.values.length;
        }
      }); // this is to avoid D3 js errors when the data the user is trying to display is bogus

      if (allXValues.length < longest) {
        datum.forEach(function (d) {
          for (var i = d.values.length; i < longest; i++) {
            var zeroObj = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, d.values[0]);
            zeroObj.y = 0;
            zeroObj.x = '';
            d.values.push(zeroObj);
          }
        });
      }

      if (rawDatum.chartLimit()) {
        datum = datum.slice(0, rawDatum.chartLimit());
      }

      if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].DESC) {
        datum.forEach(function (d) {
          d.values.sort(function (a, b) {
            if (a.x > b.x) {
              return -1;
            }

            if (a.x < b.x) {
              return 1;
            }

            return 0;
          });
        });
      } else {
        datum.forEach(function (d) {
          d.values.sort(function (a, b) {
            if (a.x > b.x) {
              return 1;
            }

            if (a.x < b.x) {
              return -1;
            }

            return 0;
          });
        });
      }
    } else {
      rawDatum.meta().forEach(function (meta) {
        if (rawDatum.chartYMulti().indexOf(meta.name) > -1) {
          var col = meta.name;

          var _valueIndex = -1;

          var _labelIndex = -1;

          var _isDate = false;
          rawDatum.meta().some(function (icol, idx) {
            if (icol.name === rawDatum.chartX()) {
              _isDate = icol.type.toUpperCase().indexOf('DATE') > -1;
              _labelIndex = idx;
            }

            if (icol.name === col) {
              _valueIndex = idx;
            }

            return _labelIndex !== -1 && _valueIndex !== -1;
          });

          if (_valueIndex > -1) {
            var values = [];
            var colors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale();
            rawDatum.data().forEach(function (item, index) {
              if (isNotNullForCharts(item[_valueIndex]) && isNotNullForCharts(item[_labelIndex])) {
                values.push({
                  series: plottedSerie,
                  x: _isDate ? moment(item[_labelIndex]) : Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["html2text"])(item[_labelIndex]),
                  y: item[_valueIndex] * 1,
                  color: colors[index % colors.length],
                  obj: item
                });
              }
            });

            if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].ASC) {
              values.sort(function (a, b) {
                return a.y - b.y;
              });
            } else if (rawDatum.chartSorting() === _ko_resultChart__WEBPACK_IMPORTED_MODULE_3__["CHART_SORTING"].DESC) {
              values.sort(function (a, b) {
                return b.y - a.y;
              });
            }

            if (rawDatum.chartLimit()) {
              values = values.slice(0, rawDatum.chartLimit());
            }

            datum.push({
              key: col,
              values: values
            });
            plottedSerie++;
          }
        }
      });
    }
  }

  return datum;
};
var scatterChartTransformer = function scatterChartTransformer(rawDatum) {
  var datumIndex = {};

  if (rawDatum.chartX() != null && rawDatum.chartYSingle() != null) {
    var xIndex = -1;
    var yIndex = -1;
    var sizeIndex = -1;
    var groupIndex = -1;
    rawDatum.meta().some(function (col, idx) {
      if (col.name === rawDatum.chartX()) {
        xIndex = idx;
      }

      if (col.name === rawDatum.chartYSingle()) {
        yIndex = idx;
      }

      if (col.name === rawDatum.chartScatterSize()) {
        sizeIndex = idx;
      }

      if (col.name === rawDatum.chartScatterGroup()) {
        groupIndex = idx;
      }

      return xIndex !== -1 && yIndex !== -1 && sizeIndex !== -1 && groupIndex !== -1;
    });

    if (xIndex > -1 && yIndex > -1) {
      var createAndAddToArray = function createAndAddToArray(key, item) {
        if (!datumIndex[key]) {
          datumIndex[key] = [];
        }

        if (isNotNullForCharts(item[xIndex]) && isNotNullForCharts(item[yIndex])) {
          datumIndex[key].push({
            x: item[xIndex],
            y: item[yIndex],
            shape: 'circle',
            size: sizeIndex > -1 ? item[sizeIndex] : 100,
            obj: item
          });
        }
      };

      if (groupIndex > -1) {
        rawDatum.data().forEach(function (item) {
          createAndAddToArray(item[groupIndex], item);
        });
      } else {
        rawDatum.data().forEach(function (item) {
          createAndAddToArray('distro', item);
        });
      }
    }
  }

  var datum = [];
  Object.keys(datumIndex).forEach(function (key) {
    datum.push({
      key: key,
      values: rawDatum.chartLimit() ? datumIndex[key].slice(0, rawDatum.chartLimit()) : datumIndex[key]
    });
  });
  return datum;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/ko.resultChart.js":
/*!*********************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/ko.resultChart.js ***!
  \*********************************************************************************************/
/*! exports provided: NAME, CHART_MAP_TYPE, CHART_SCOPE, CHART_SORTING, CHART_TIMELINE_TYPE */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CHART_MAP_TYPE", function() { return CHART_MAP_TYPE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CHART_SCOPE", function() { return CHART_SCOPE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CHART_SORTING", function() { return CHART_SORTING; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CHART_TIMELINE_TYPE", function() { return CHART_TIMELINE_TYPE; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _chartTransformers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./chartTransformers */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultChart/chartTransformers.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _events__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../events */ "./desktop/core/src/desktop/js/apps/notebook2/events.js");
/* harmony import */ var _executableStateHandler__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../executableStateHandler */ "./desktop/core/src/desktop/js/apps/notebook2/components/executableStateHandler.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var NAME = 'result-chart';
var TYPES = window.HUE_CHARTS.TYPES;
var CHART_MAP_TYPE = {
  HEAT: 'heat',
  MARKER: 'marker'
};
var CHART_SCOPE = {
  AUS: 'aus',
  BRA: 'bra',
  CAN: 'can',
  CHN: 'chn',
  DEU: 'deu',
  EUROPE: 'europe',
  FRA: 'fra',
  GBR: 'gbr',
  ITA: 'ita',
  JPN: 'jpn',
  USA: 'usa',
  WORLD: 'world'
};
var CHART_SORTING = {
  ASC: 'asc',
  DESC: 'desc',
  NONE: 'none'
};
var CHART_TIMELINE_TYPE = {
  BAR: 'bar',
  LINE: 'line'
}; // prettier-ignore

var TEMPLATE = "\n<div class=\"result-actions-append\">\n  <div class=\"btn-group\">\n    <button class=\"btn btn-mini btn-editor dropdown-toggle\" data-toggle=\"dropdown\">\n      <!-- ko if: isBarChart -->\n      <i class=\"hcha fa-fw hcha-bar-chart\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Bar Chart'), "\n      <!-- /ko -->\n      <!-- ko if: isTimelineChart -->\n      <i class=\"hcha fa-fw hcha-timeline-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Timeline Chart'), "\n      <!-- /ko -->\n      <!-- ko if: isPieChart -->\n      <i class=\"hcha fa-fw hcha-pie-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Pie Chart'), "\n      <!-- /ko -->\n      <!-- ko if: isScatterChart -->\n      <i class=\"fa fa-fw fa-dot-circle-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Scatter Plot'), "\n      <!-- /ko -->\n      <!-- ko if: isMapChart -->\n      <i class=\"fa fa-fw fa-map-marker\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Marker Map'), "\n      <!-- /ko -->\n      <!-- ko if: isGradientMapChart -->\n      <i class=\"hcha fa-fw hcha-map-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Gradient Map'), "\n      <!-- /ko -->\n      <span class=\"caret\"></span>\n    </button>\n    <ul class=\"dropdown-menu\">\n      <li>\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.BARCHART); }\">\n          <i class=\"hcha fa-fw hcha-bar-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Bar Chart'), "\n        </a>\n      </li>\n      <li data-bind=\"if: cleanedDateTimeMeta().length\">\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.TIMELINECHART); }\">\n          <i class=\"hcha fa-fw hcha-timeline-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Timeline Chart'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.PIECHART); }\">\n          <i class=\"hcha fa-fw hcha-pie-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Pie Chart'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.SCATTERCHART); }\">\n          <i class=\"fa fa-fw fa-dot-circle-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Scatter Plot'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.MAP); }\">\n          <i class=\"fa fa-fw fa-map-marker\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Marker Map'), "\n        </a>\n      </li>\n      <li>\n        <a href=\"javascript:void(0);\" data-bind=\"click: function() { chartType(window.HUE_CHARTS.TYPES.GRADIENTMAP); }\">\n          <i class=\"hcha fa-fw hcha-map-chart\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Gradient Map'), "\n        </a>\n      </li>\n    </ul>\n  </div>\n  <div class=\"btn-group\">\n    <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"toggle: chartSettingsVisible, css: { 'active' : chartSettingsVisible }\">\n      <i class=\"fa fa-cog\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Settings'), "\n    </button>\n  </div>\n</div>\n\n<div class=\"split-result-container\">\n  <div class=\"result-settings-panel\" style=\"display: none;\" data-bind=\"visible: chartSettingsVisible\">\n    <div>\n      <!-- ko if: chartType -->\n      <!-- ko if: isTimelineChart() || isBarChart() -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('type'), "</li>\n      </ul>\n      <div>\n        <select data-bind=\"\n            selectedOptions: chartTimelineType,\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a type...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a type..."), "',\n              update: chartTimelineType,\n              dropdownAutoWidth: true\n            }\n          \">\n          <option value=\"").concat(CHART_TIMELINE_TYPE.BAR, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Bars"), "</option>\n          <option value=\"").concat(CHART_TIMELINE_TYPE.LINE, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Lines"), "</option>\n        </select>\n      </div>\n      <!-- /ko -->\n\n      <!-- ko if: isPieChart -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('value'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedNumericMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a column..."), "',\n              update: chartYSingle,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('legend'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a column..."), "',\n              update: chartX,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <!-- /ko -->\n\n      <!-- ko ifnot: isPieChart -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li data-bind=\"visible: !isMapChart() && !isGradientMapChart()\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('x-axis'), "</li>\n        <li data-bind=\"visible: isGradientMapChart\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('region'), "</li>\n        <li data-bind=\"visible: isMapChart\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('latitude'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: chartMetaOptions,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a column..."), "',\n              update: chartX,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li data-bind=\"visible: !isMapChart() && !isGradientMapChart()\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('y-axis'), "</li>\n        <li data-bind=\"visible: isGradientMapChart\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('value'), "</li>\n        <li data-bind=\"visible: isMapChart\" class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('longitude'), "</li>\n      </ul>\n\n      <div style=\"max-height: 220px\" data-bind=\"\n          delayedOverflow,\n          visible: ((isBarChart() && !chartXPivot()) || isLineChart() || isTimelineChart())\n        \">\n        <ul class=\"unstyled\" data-bind=\"foreach: cleanedNumericMeta\" style=\"margin-bottom: 0\">\n          <li><label class=\"checkbox\"><input type=\"checkbox\" data-bind=\"checkedValue: name, checked: $parent.chartYMulti\" /> <span data-bind=\"text: $data.name\"></span></label></li>\n        </ul>\n      </div>\n      <div class=\"input-medium\" data-bind=\"visible: (isBarChart() && chartXPivot()) || isMapChart() || isGradientMapChart() || isScatterChart()\">\n        <select data-bind=\"\n            options: isGradientMapChart() ? cleanedMeta : cleanedNumericMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a column..."), "',\n              update: chartYSingle,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <!-- /ko -->\n\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\" data-bind=\"visible: isBarChart\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('group'), "</li>\n      </ul>\n      <div data-bind=\"visible: isBarChart\">\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column to pivot...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Choose a column to pivot..."), "',\n              update: chartXPivot,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('limit'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n          options: chartLimits,\n          optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Limit the number of results to...'), "',\n          select2: {\n            width: '100%',\n            placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Limit the number of results to...'), "',\n            update: chartLimit,\n            dropdownAutoWidth: true\n          }\n        \"></select>\n      </div>\n\n      <!-- ko if: isMapChart -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('type'), "</li>\n      </ul>\n      <div>\n        <select data-bind=\"\n            selectedOptions: chartMapType,\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a type...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a type...'), "',\n              update: chartMapType,\n              dropdownAutoWidth: true\n            }\n          \">\n          <option value=\"").concat(CHART_MAP_TYPE.MARKER, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Markers"), "</option>\n          <option value=\"").concat(CHART_MAP_TYPE.HEAT, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Heatmap"), "</option>\n        </select>\n      </div>\n\n      <!-- ko if: chartMapType() === '").concat(CHART_MAP_TYPE.MARKER, "' -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('label'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n              update: chartMapLabel,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <!-- /ko -->\n\n      <!-- ko if: chartMapType() === '").concat(CHART_MAP_TYPE.HEAT, "' -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('intensity'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedNumericMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n              update: chartMapHeat,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <!-- /ko -->\n      <!-- /ko -->\n\n      <!-- ko if: isScatterChart -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('scatter size'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedNumericMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n              update: chartScatterSize,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('scatter group'), "</li>\n      </ul>\n      <div>\n        <select class=\"input-medium\" data-bind=\"\n            options: cleanedMeta,\n            optionsText: 'name',\n            optionsValue: 'name',\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a column...'), "',\n              update: chartScatterGroup,\n              dropdownAutoWidth: true\n            }\n          \"></select>\n      </div>\n      <!-- /ko -->\n\n      <!-- ko if: isGradientMapChart -->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('scope'), "</li>\n      </ul>\n      <div data-bind=\"visible: chartType() != ''\">\n        <select data-bind=\"\n            selectedOptions: chartScope,\n            optionsCaption: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a scope...'), "',\n            select2: {\n              width: '100%',\n              placeholder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Choose a scope...'), "',\n              update: chartScope,\n              dropdownAutoWidth: true\n            }\n          \">\n          <option value=\"").concat(CHART_SCOPE.WORLD, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("World"), "</option>\n          <option value=\"").concat(CHART_SCOPE.EUROPE, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Europe"), "</option>\n          <option value=\"").concat(CHART_SCOPE.AUS, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Australia"), "</option>\n          <option value=\"").concat(CHART_SCOPE.BRA, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Brazil"), "</option>\n          <option value=\"").concat(CHART_SCOPE.CAN, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Canada"), "</option>\n          <option value=\"").concat(CHART_SCOPE.CHN, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("China"), "</option>\n          <option value=\"").concat(CHART_SCOPE.FRA, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("France"), "</option>\n          <option value=\"").concat(CHART_SCOPE.DEU, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Germany"), "</option>\n          <option value=\"").concat(CHART_SCOPE.ITA, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Italy"), "</option>\n          <option value=\"").concat(CHART_SCOPE.JPN, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("Japan"), "</option>\n          <option value=\"").concat(CHART_SCOPE.GBR, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("UK"), "</option>\n          <option value=\"").concat(CHART_SCOPE.USA, "\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])("USA"), "</option>\n        </select>\n      </div>\n      <!-- /ko -->\n\n      <!-- ko ifnot: isMapChart() || isGradientMapChart() || isScatterChart()-->\n      <ul class=\"nav nav-list\" style=\"border: none; background-color: #FFF\">\n        <li class=\"nav-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('sorting'), "</li>\n      </ul>\n      <div class=\"btn-group\" data-toggle=\"buttons-radio\">\n        <a rel=\"tooltip\" data-placement=\"top\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No sorting'), "\" href=\"javascript:void(0)\" class=\"btn\" data-bind=\"\n            css: { 'active': chartSorting() === '").concat(CHART_SORTING.NONE, "' },\n            click: function() { chartSorting('").concat(CHART_SORTING.NONE, "'); }\n          \"><i class=\"fa fa-align-left fa-rotate-270\"></i></a>\n        <a rel=\"tooltip\" data-placement=\"top\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sort ascending'), "\" href=\"javascript:void(0)\" class=\"btn\" data-bind=\"\n            css: { 'active': chartSorting() == '").concat(CHART_SORTING.ASC, "' },\n            click: function() { chartSorting('").concat(CHART_SORTING.ASC, "'); }\n          \"><i class=\"fa fa-sort-amount-asc fa-rotate-270\"></i></a>\n        <a rel=\"tooltip\" data-placement=\"top\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sort descending'), "\" href=\"javascript:void(0)\" class=\"btn\" data-bind=\"\n            css: { 'active': chartSorting() == '").concat(CHART_SORTING.DESC, "' },\n            click: function(){ chartSorting('").concat(CHART_SORTING.DESC, "'); }\n          \"><i class=\"fa fa-sort-amount-desc fa-rotate-270\"></i></a>\n      </div>\n      <!-- /ko -->\n      <!-- /ko -->\n    </div>\n  </div>\n\n  <div class=\"split-result-resizer\" style=\"display: none;\" data-bind=\"\n      visible: chartSettingsVisible,\n      splitFlexDraggable : {\n        containerSelector: '.split-result-container',\n        sidePanelSelector: '.result-settings-panel',\n        sidePanelVisible: chartSettingsVisible,\n        orientation: 'left',\n        appName: 'result_chart',\n        onPosition: function() {  }\n      }\n    \"><div class=\"resize-bar\"></div>\n  </div>\n\n  <div class=\"split-result-content chart-container\">\n    <h1 class=\"empty\" data-bind=\"visible: !hasDataForChart()\" style=\"display:none\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Select the chart parameters on the left'), "</h1>\n\n    <div data-bind=\"visible: hasDataForChart\" style=\"display:none\">\n      <!-- ko if: isPieChart -->\n      <div class=\"chart\" data-bind=\"attr: { 'id': chartId }, pieChart: pieChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isBarChart -->\n      <div class=\"chart\" data-bind=\"attr: { 'id': chartId }, barChart: barChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isLineChart -->\n      <div class=\"chart\" data-bind=\"attr: { 'id': chartId }, lineChart: lineChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isTimelineChart -->\n      <div class=\"chart\" data-bind=\"attr:{ 'id': chartId }, timelineChart: timeLineChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isMapChart -->\n      <div class=\"chart\" data-bind=\"attr:{ 'id': chartId }, leafletMapChart: leafletMapChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isGradientMapChart -->\n      <div class=\"chart\" data-bind=\"attr:{ 'id': chartId }, mapChart: mapChartParams()\" />\n      <!-- /ko -->\n\n      <!-- ko if: isScatterChart -->\n      <div class=\"chart\" data-bind=\"attr:{ 'id': chartId }, scatterChart: scatterChartParams()\" />\n      <!-- /ko -->\n    </div>\n  </div>\n</div>\n");

var ResultChart =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ResultChart, _DisposableComponent);

  function ResultChart(params) {
    var _this;

    _classCallCheck(this, ResultChart);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ResultChart).call(this));
    _this.data = params.data;
    _this.id = params.id;
    _this.activeExecutable = params.activeExecutable;
    _this.meta = params.meta;
    _this.cleanedMeta = params.cleanedMeta;
    _this.cleanedDateTimeMeta = params.cleanedDateTimeMeta;
    _this.cleanedNumericMeta = params.cleanedNumericMeta;
    _this.cleanedStringMeta = params.cleanedNumericMeta;
    _this.showChart = params.showChart;
    var trackedObservables = {
      chartLimit: undefined,
      chartMapHeat: undefined,
      chartMapLabel: undefined,
      chartMapType: CHART_MAP_TYPE.MARKER,
      chartScatterGroup: undefined,
      chartScatterSize: undefined,
      chartScope: CHART_SCOPE.WORLD,
      chartSettingsVisible: true,
      chartSorting: CHART_SORTING.NONE,
      chartTimelineType: CHART_TIMELINE_TYPE.BAR,
      chartX: undefined,
      chartXPivot: undefined,
      chartYMulti: [],
      chartYSingle: undefined,
      chartType: window.HUE_CHARTS.TYPES.BARCHART
    };
    _this.chartLimit = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartLimit).extend({
      notify: 'always'
    });
    _this.chartLimits = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]([5, 10, 25, 50, 100]);
    _this.chartMapHeat = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartMapHeat);
    _this.chartMapLabel = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartMapLabel);
    _this.chartMapType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartMapType);
    _this.chartScatterGroup = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartScatterGroup);
    _this.chartScatterSize = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartScatterSize);
    _this.chartScope = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartScope);
    _this.chartSettingsVisible = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartSettingsVisible);
    _this.chartSorting = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartSorting);
    _this.chartTimelineType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartTimelineType);
    _this.chartX = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartX).extend({
      notify: 'always'
    });
    _this.chartXPivot = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartXPivot).extend({
      notify: 'always'
    });
    _this.chartYMulti = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](trackedObservables.chartYMulti);
    _this.chartYSingle = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartYSingle);
    _this.chartType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](trackedObservables.chartType);
    Object(_executableStateHandler__WEBPACK_IMPORTED_MODULE_9__["attachTracker"])(_this.activeExecutable, NAME, _assertThisInitialized(_this), trackedObservables);
    _this.chartId = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.chartType() + '_' + _this.id();
    });
    _this.isBarChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.BARCHART === _this.chartType();
    });
    _this.isLineChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.LINECHART === _this.chartType();
    });
    _this.isMapChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.MAP === _this.chartType();
    });
    _this.isScatterChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.SCATTERCHART === _this.chartType();
    });
    _this.isGradientMapChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.GRADIENTMAP === _this.chartType();
    });
    _this.isPieChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.PIECHART === _this.chartType();
    });
    _this.isTimelineChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return TYPES.TIMELINECHART === _this.chartType();
    });
    _this.hasDataForChart = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      if (_this.isBarChart() || _this.isLineChart() || _this.isTimelineChart()) {
        return typeof _this.chartX() !== 'undefined' && _this.chartX() !== null && _this.chartYMulti().length;
      }

      return typeof _this.chartX() !== 'undefined' && _this.chartX() !== null && typeof _this.chartYSingle() !== 'undefined' && _this.chartYSingle() !== null;
    });

    _this.subscribe(_this.chartType, _this.redrawChart.bind(_assertThisInitialized(_this)));

    _this.subscribe(_this.meta, function () {
      if (_this.chartX()) {
        _this.chartX(_this.guessMetaField(_this.chartX()));
      }

      if (_this.chartXPivot()) {
        _this.chartXPivot(_this.guessMetaField(_this.chartXPivot()));
      }

      if (_this.chartYSingle()) {
        _this.chartYSingle(_this.guessMetaField(_this.chartYSingle()));
      }

      if (_this.chartMapLabel()) {
        _this.chartMapLabel(_this.guessMetaField(_this.chartMapLabel()));
      }

      if (_this.chartYMulti()) {
        _this.chartYMulti(_this.guessMetaFields(_this.chartYMulti()));
      }
    });

    _this.subscribe(_this.showChart, _this.prepopulateChart.bind(_assertThisInitialized(_this)));

    _this.subscribe(_this.chartType, _this.prepopulateChart.bind(_assertThisInitialized(_this)));

    _this.subscribe(_this.chartXPivot, _this.prepopulateChart.bind(_assertThisInitialized(_this)));

    _this.subscribe(_this.hasDataForChart, function () {
      _this.chartX.notifySubscribers();

      _this.chartX.valueHasMutated();
    });

    _this.hideStacked = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return !_this.chartYMulti().length;
    });
    _this.chartMetaOptions = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      if (_this.isBarChart() || _this.isGradientMapChart()) {
        return _this.cleanedMeta();
      }

      if (_this.isTimelineChart()) {
        return _this.cleanedDateTimeMeta();
      }

      return _this.cleanedNumericMeta();
    });
    _this.pieChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        data: _assertThisInitialized(_this),
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["pieChartTransformer"],
        maxWidth: 350,
        parentSelector: '.chart-container'
      };
    });
    _this.barChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        skipWindowResize: true,
        datum: _assertThisInitialized(_this),
        hideSelection: true,
        enableSelection: false,
        hideStacked: _this.hideStacked,
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["multiSerieChartTransformer"],
        stacked: false,
        showLegend: true,
        isPivot: typeof _this.chartXPivot() !== 'undefined',
        type: _this.chartTimelineType
      };
    });
    _this.lineChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        datum: _assertThisInitialized(_this),
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["multiSerieChartTransformer"],
        showControls: false,
        enableSelection: false
      };
    });
    _this.timeLineChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        type: _this.chartTimelineType,
        skipWindowResize: true,
        datum: _assertThisInitialized(_this),
        hideSelection: true,
        enableSelection: false,
        hideStacked: _this.hideStacked,
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["timelineChartTransformer"],
        stacked: false,
        showLegend: true
      };
    });
    _this.leafletMapChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        datum: _assertThisInitialized(_this),
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["leafletMapChartTransformer"],
        showControls: false,
        height: 380,
        forceRedraw: true
      };
    });
    _this.mapChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        data: _assertThisInitialized(_this),
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["mapChartTransformer"],
        isScale: true,
        showControls: false,
        height: 380,
        maxWidth: 750,
        parentSelector: '.chart-container'
      };
    });
    _this.scatterChartParams = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return {
        datum: _assertThisInitialized(_this),
        transformer: _chartTransformers__WEBPACK_IMPORTED_MODULE_5__["scatterChartTransformer"],
        maxWidth: 350,
        y: _this.chartYSingle(),
        x: _this.chartX(),
        size: _this.chartScatterSize(),
        group: _this.chartScatterGroup()
      };
    });

    _this.subscribe(_events__WEBPACK_IMPORTED_MODULE_8__["REDRAW_CHART_EVENT"], _this.redrawChart.bind(_assertThisInitialized(_this)));

    var resizeId = Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__["UUID"])();
    var resizeTimeout = -1;
    jquery__WEBPACK_IMPORTED_MODULE_6___default()(window).on('resize.' + resizeId, function () {
      window.clearTimeout(resizeTimeout);
      resizeTimeout = window.setTimeout(function () {
        _this.redrawChart();
      }, 100);
    });

    _this.disposals.push(function () {
      window.clearTimeout(resizeTimeout);
      jquery__WEBPACK_IMPORTED_MODULE_6___default()(window).off('resize.' + resizeId);
    });

    return _this;
  }

  _createClass(ResultChart, [{
    key: "guessMetaField",
    value: function guessMetaField(originalField) {
      var newField = undefined;
      this.cleanedMeta().some(function (fld) {
        if (fld.name.toLowerCase() === originalField.toLowerCase() || originalField.toLowerCase() === fld.name.toLowerCase()) {
          newField = fld.name;
          return true;
        }
      });
      return newField;
    }
  }, {
    key: "guessMetaFields",
    value: function guessMetaFields(originalFields) {
      var _this2 = this;

      var newFields = [];
      originalFields.forEach(function (field) {
        var newField = _this2.guessMetaField(field);

        if (newField) {
          newFields.push(newField);
        }
      });
      return newFields;
    }
  }, {
    key: "prepopulateChart",
    value: function prepopulateChart() {
      var type = this.chartType();
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__["default"].log('notebook', 'chart/' + type);

      if (this.isMapChart() && this.cleanedNumericMeta().length >= 2) {
        if (this.chartX() === null || typeof this.chartX() === 'undefined') {
          var name = this.cleanedNumericMeta()[0].name;
          this.cleanedNumericMeta().some(function (column) {
            if (column.name.toLowerCase().indexOf('lat') > -1 || column.name.toLowerCase().indexOf('ltd') > -1) {
              name = column.name;
              return true;
            }
          });
          this.chartX(name);
        }

        if (this.chartYSingle() === null || typeof this.chartYSingle() === 'undefined') {
          var _name = this.cleanedNumericMeta()[1].name;
          this.cleanedNumericMeta().some(function (column) {
            if (column.name.toLowerCase().indexOf('lon') > -1 || column.name.toLowerCase().indexOf('lng') > -1) {
              _name = column.name;
              return true;
            }
          });
          this.chartYSingle(_name);
        }

        return;
      }

      if ((this.chartX() === null || typeof this.chartX() === 'undefined') && (this.isBarChart() || this.isPieChart() || this.isGradientMapChart()) && this.cleanedStringMeta().length) {
        this.chartX(this.cleanedStringMeta()[0].name);
      }

      if (this.cleanedNumericMeta().length) {
        if (!this.chartYMulti().length && (this.isBarChart() || this.isLineChart())) {
          this.chartYMulti.push(this.cleanedNumericMeta()[Math.min(this.cleanedNumericMeta().length - 1, 1)].name);
        } else if ((this.chartYSingle() === null || typeof this.chartYSingle() === 'undefined') && (this.isPieChart() || this.isMapChart() || this.isGradientMapChart() || this.isScatterChart() || this.isBarChart() && this.chartXPivot() !== null)) {
          if (!this.chartYMulti().length) {
            this.chartYSingle(this.cleanedNumericMeta()[Math.min(this.cleanedNumericMeta().length - 1, 1)].name);
          } else {
            this.chartYSingle(this.chartYMulti()[0]);
          }
        }
      }
    }
  }, {
    key: "redrawChart",
    value: function redrawChart() {
      this.chartX.notifySubscribers();
      this.chartX.valueHasMutated();
    }
  }]);

  return ResultChart;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_2__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerComponent(NAME, ResultChart, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadActions.js":
/*!******************************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadActions.js ***!
  \******************************************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _ko_resultDownloadModal__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./ko.resultDownloadModal */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadModal.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var NAME = 'result-download-actions'; // prettier-ignore

var TEMPLATE = "\n<div class=\"btn-group\">\n  <button class=\"btn btn-mini btn-editor dropdown-toggle\" data-toggle=\"dropdown\">\n      <!-- ko ifnot: isDownloading -->\n      <i class=\"fa fa-fw fa-download\"></i>\n      <!-- /ko -->\n      <!-- ko if: isDownloading -->\n      <i class=\"fa fa-fw fa-spinner fa-spin\"></i>\n      <!-- /ko -->\n      ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Export'), "\n    <span class=\"caret\"></span>\n  </button>\n  <ul class=\"dropdown-menu\">\n    <li>\n      <a href=\"javascript:void(0)\" data-bind=\"\n          click: downloadCsv,\n          event: { mouseover: mouseOver, mouseout: mouseOut },\n          attr: { 'title': downloadCsvTitle }\n        \">\n        <i class=\"fa fa-fw fa-file-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('CSV'), "\n      </a>\n    </li>\n    <li style=\"display: none;\">\n      <a href=\"javascript:void(0)\" data-bind=\"\n          click: downloadXls,\n          event: { mouseover: mouseOver, mouseout: mouseOut },\n          attr: { 'title': downloadXlsTitle }\n        \">\n        <i class=\"fa fa-fw fa-file-excel-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Excel'), "\n      </a>\n    </li>\n    <li>\n      <a href=\"javascript:void(0)\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Copy the displayed results to your clipboard'), "\" data-bind=\"\n          clipboard: {\n            target: clipboardTarget.bind($data),\n            onSuccess: onClipboardSuccess.bind($data)\n          }\n        \">\n        <i class=\"fa fa-fw fa-clipboard\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Clipboard'), "\n      </a>\n    </li>\n    <!-- ko if: window.ENABLE_SQL_INDEXER -->\n    <li style=\"display: none;\">\n      <a class=\"download\" href=\"javascript:void(0)\" data-bind=\"click: exportToReport\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Visually explore the result'), "\">\n        <!-- ko template: { name: 'app-icon-template', data: { icon: 'report' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Report'), "\n      </a>\n    </li>\n    <li style=\"display: none;\">\n      <a class=\"download\" href=\"javascript:void(0)\" data-bind=\"click: exportToDashboard\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Visually explore the result'), "\">\n        <!-- ko template: { name: 'app-icon-template', data: { icon: 'dashboard' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Dashboard'), "\n      </a>\n    </li>\n    <!-- /ko -->\n    <li style=\"display: none;\">\n      <a class=\"download\" href=\"javascript:void(0)\" data-bind=\"click: exportToFile\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Export the result into a file, an index, a new table...'), "\">\n        <i class=\"fa fa-fw fa-cloud-upload\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('File'), "\n      </a>\n    </li>\n  </ul>\n</div>\n");

var ResultDownloadActions =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ResultDownloadActions, _DisposableComponent);

  function ResultDownloadActions(params) {
    var _this;

    _classCallCheck(this, ResultDownloadActions);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ResultDownloadActions).call(this));
    _this.activeExecutable = params.activeExecutable;
    _this.data = params.data;
    _this.meta = params.meta;
    _this.isDownloading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    _this.downloadCsvTitle = '';
    _this.downloadXlsTitle = '';
    var rowLimit = window.DOWNLOAD_ROW_LIMIT;
    var mbLimit = window.DOWNLOAD_BYTES_LIMIT && window.DOWNLOAD_BYTES_LIMIT / 1024 / 1024;

    if (typeof rowLimit !== 'undefined' && typeof mbLimit !== 'undefined') {
      _this.downloadCsvTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s rows or %s MB as CSV', rowLimit, mbLimit);
      _this.downloadXlsTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s rows or %s MB as XLS', rowLimit, mbLimit);
    } else if (typeof mbLimit !== 'undefined') {
      _this.downloadCsvTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s MB as CSV', mbLimit);
      _this.downloadXlsTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s MB as XLS', mbLimit);
    } else if (typeof rowLimit !== 'undefined') {
      _this.downloadCsvTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s rows as CSV', rowLimit);
      _this.downloadXlsTitle = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Download first %s rows as XLS', rowLimit);
    }

    var previousOnBeforeUnload = window.onbeforeunload;

    _this.mouseOver = function () {
      previousOnBeforeUnload = window.onbeforeunload;
      window.onbeforeunload = undefined;
    };

    _this.mouseOut = function () {
      window.onbeforeunload = previousOnBeforeUnload;
    };

    return _this;
  }

  _createClass(ResultDownloadActions, [{
    key: "clipboardTarget",
    value: function clipboardTarget() {
      var $clipboardContent = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.clipboard-content');

      if (this.meta().length) {
        var htmlString = '<table><tr>';
        this.meta().forEach(function (metaCol, idx) {
          // Skip the row number column
          if (idx > 0) {
            htmlString += "<th>".concat(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].html2text(metaCol.name), "</th>");
          }
        });
        htmlString += '</tr>';
        this.data().forEach(function (row) {
          htmlString += '<tr>';
          row.forEach(function (cell, idx) {
            // Skip the row number column
            if (idx > 0) {
              htmlString += "<td>".concat(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].html2text(cell), "</td>");
            }
          });
          htmlString += '</tr>';
        });
        $clipboardContent.html(htmlString);
      } else {
        $clipboardContent.html(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Error while copying results.'));
      }

      return $clipboardContent[0];
    }
  }, {
    key: "onClipboardSuccess",
    value: function onClipboardSuccess(e) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.jHueNotify.info(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('%s result(s) copied to the clipboard', this.data().length));
      e.clearSelection();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.clipboard-content').empty();
    }
  }, {
    key: "downloadCsv",
    value: function downloadCsv() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish(_ko_resultDownloadModal__WEBPACK_IMPORTED_MODULE_7__["SHOW_DOWNLOAD_RESULT_MODAL_EVENT"], {
        format: 'csv',
        executable: this.activeExecutable()
      });
    }
  }, {
    key: "downloadXls",
    value: function downloadXls() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish(_ko_resultDownloadModal__WEBPACK_IMPORTED_MODULE_7__["SHOW_DOWNLOAD_RESULT_MODAL_EVENT"], {
        format: 'xls',
        executable: this.activeExecutable()
      });
    }
  }, {
    key: "exportToDashboard",
    value: function exportToDashboard() {// saveTarget('dashboard');
      // trySaveResults();
    }
  }, {
    key: "exportToFile",
    value: function exportToFile() {// savePath('');
      // $('#saveResultsModal' + snippet.id()).modal('show');
    }
  }, {
    key: "exportToReport",
    value: function exportToReport() {// saveTarget('dashboard');
      // if (notebook.canSave()) {
      //   notebook.save()
      // } else {
      //   $('#saveAsModaleditor').modal('show');
      // }
    }
  }]);

  return ResultDownloadActions;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_3__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, ResultDownloadActions, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadModal.js":
/*!****************************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadModal.js ***!
  \****************************************************************************************************/
/*! exports provided: NAME, SHOW_DOWNLOAD_RESULT_MODAL_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_DOWNLOAD_RESULT_MODAL_EVENT", function() { return SHOW_DOWNLOAD_RESULT_MODAL_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var NAME = 'download-result-modal';
var SHOW_DOWNLOAD_RESULT_MODAL_EVENT = 'show.download.result.modal'; // prettier-ignore

var TEMPLATE = "\n  <div class=\"modal-header\">\n    <!-- ko if: isDownloading -->\n    <h2 class=\"modal-title\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Your download is being prepared'), "</h2>\n    <!-- /ko -->\n    <!-- ko if: downloadTruncated -->\n    <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Your downloaded results have been truncated'), "</h2>\n    <!-- /ko -->\n  </div>\n  <div class=\"modal-body\">\n    <!-- ko if: isDownloading -->\n    ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Please wait, it might take a while...'), " <i class=\"fa fa-spinner fa-spin\"></i>\n    <!-- /ko -->\n    <!-- ko if: downloadTruncated -->\n    ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('The number of resulting rows was too big to be downloaded and the resulting file has been truncated to'), "\n    <strong data-bind=\"text: downloadCounter\"></strong>\n    ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('rows.'), "\n    <!-- /ko -->\n  </div>\n  <div class=\"modal-footer\">\n    <!-- ko if: isDownloading -->\n    <button data-bind=\"click: cancelDownload\" class=\"btn btn-danger disable-feedback\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel Download'), "</button>\n    <!-- /ko -->\n    <!-- ko if: downloadTruncated -->\n    <button class=\"btn disable-feedback\" data-dismiss=\"modal\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "</button>\n    <!-- /ko -->\n  </div>\n");

var DownloadResultModal =
/*#__PURE__*/
function () {
  function DownloadResultModal(params, $downloadProgressModal) {
    var _this = this;

    _classCallCheck(this, DownloadResultModal);

    if (typeof trackOnGA == 'function') {
      trackOnGA('notebook/download/' + params.format);
    }

    var executable = params.executable;
    this.$downloadProgressModal = $downloadProgressModal;
    this.isDownloading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    this.downloadTruncated = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.downloadCounter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    var id = executable.executor.snippet ? executable.executor.snippet.id : Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["UUID"])();
    params.executable.toContext(id).then(function (jsonContext) {
      _this.cookieId = 'download-' + id;
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.cookie(_this.cookieId, null, {
        expires: -1,
        path: '/'
      });

      _this.addAndSubmitDownloadForm(jsonContext, params.format);

      _this.checkDownloadInterval = -1;

      _this.trackCookie();
    });
  }

  _createClass(DownloadResultModal, [{
    key: "trackCookie",
    value: function trackCookie() {
      var _this2 = this;

      var timesChecked = 0;
      this.checkDownloadInterval = window.setInterval(function () {
        if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.cookie(_this2.cookieId)) {
          if (timesChecked > 9) {
            _this2.$downloadProgressModal.show();
          }
        } else {
          window.clearInterval(_this2.checkDownloadInterval);

          try {
            var cookieContent = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.cookie(_this2.cookieId);
            var result = JSON.parse(cookieContent.substr(1, cookieContent.length - 2).replace(/\\"/g, '"').replace(/\\054/g, ','));

            _this2.downloadTruncated(result.truncated);

            _this2.downloadCounter(result.row_counter);

            _this2.isDownloading(false);

            if (_this2.downloadTruncated()) {
              _this2.$downloadProgressModal.show();
            } else {
              _this2.$downloadProgressModal.hide();
            }
          } catch (e) {
            _this2.isDownloading(false);

            _this2.$downloadProgressModal.hide();
          }
        }

        timesChecked++;
      }, 500);
    }
  }, {
    key: "addAndSubmitDownloadForm",
    value: function addAndSubmitDownloadForm(jsonContext, format) {
      var $downloadForm = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<form method="POST" class="download-form" style="display: inline" action="' + window.HUE_BASE_URL + '/notebook/download"></form>');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input type="hidden" name="csrfmiddlewaretoken" />').val(window.CSRF_TOKEN).appendTo($downloadForm);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input type="hidden" name="notebook" />').val(jsonContext.notebook).appendTo($downloadForm);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input type="hidden" name="snippet" />').val(jsonContext.snippet).appendTo($downloadForm);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input type="hidden" name="format" />').val(format).appendTo($downloadForm);
      this.$downloadProgressModal.append($downloadForm);
      $downloadForm.submit();
    }
  }, {
    key: "cancelDownload",
    value: function cancelDownload() {
      window.clearInterval(this.checkDownloadInterval);
      this.$downloadProgressModal.hide();
    }
  }]);

  return DownloadResultModal;
}();

var cleanAndRemoveKoElement = function cleanAndRemoveKoElement(selector) {
  var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(selector);

  if ($element.length) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($element[0]);
    $element.remove();
  }
};

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_DOWNLOAD_RESULT_MODAL_EVENT, function (params) {
    cleanAndRemoveKoElement('#downloadProgressModal');
    var $downloadProgressModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="downloadProgressModal" data-bind="component: { name: \'' + NAME + '\', params: $data }" data-keyboard="true" class="modal hide fade downloadProgressModal" tabindex="-1"/>');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($downloadProgressModal);
    var model = new DownloadResultModal(params, $downloadProgressModal);
    knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](model, $downloadProgressModal[0]);
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultGrid.js":
/*!*******************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultGrid.js ***!
  \*******************************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_resultDownloadActions__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ko.resultDownloadActions */ "./desktop/core/src/desktop/js/apps/notebook2/components/resultGrid/ko.resultDownloadActions.js");
/* harmony import */ var _ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../ko/components/componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../ko/components/DisposableComponent */ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _events__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../events */ "./desktop/core/src/desktop/js/apps/notebook2/events.js");
/* harmony import */ var _executableStateHandler__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../executableStateHandler */ "./desktop/core/src/desktop/js/apps/notebook2/components/executableStateHandler.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var NAME = 'result-grid'; // prettier-ignore

var TEMPLATE = "\n<div class=\"result-actions-append\">\n  <div class=\"btn-group\">\n    <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"toggle: columnsVisible, css: { 'active' : columnsVisible }\">\n      <i class=\"fa fa-columns\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Columns'), "\n    </button>\n  </div>\n\n  <div class=\"btn-group\">\n    <button class=\"btn btn-editor btn-mini disable-feedback\" data-bind=\"click: showSearch.bind($data), css: { 'disabled': !data().length }\">\n      <i class=\"fa fa-search\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Search'), "\n    </button>\n  </div>\n\n  <!-- ko component: {\n    name: 'result-download-actions',\n    params: {\n      activeExecutable: activeExecutable,\n      meta: meta,\n      data: data\n    }\n  } --><!-- /ko -->\n\n  <!-- ko if: false && window.ENABLE_DOWNLOAD -->\n    <div data-bind=\"\n        component: {\n          name: 'downloadSnippetResults',\n          params: {\n            gridSideBtn: false,\n            snippet: $data,\n            notebook: $parent \n          } \n        }\n      \" style=\"display:inline-block;\"></div>\n  <!-- /ko -->\n</div>\n\n<div class=\"split-result-container\">\n  <div class=\"result-settings-panel\" style=\"display: none; height: auto; position:relative\" data-bind=\"visible: columnsVisible\">\n    <div class=\"snippet-grid-settings\" data-bind=\"delayedOverflow, stickVertical: { scrollContainer: MAIN_SCROLLABLE }\">\n      <table class=\"table table-condensed margin-top-10 no-border\">\n        <thead>\n        <tr>\n          <th width=\"16\">\n            <input class=\"all-meta-checked no-margin-top\" type=\"checkbox\" data-bind=\"\n                enable: !isMetaFilterVisible() && filteredMeta().length,\n                event: {\n                  change: function() { toggleAllResultColumns($element); }\n                },\n                checked: filteredMetaChecked\n              \"/>\n          </th>\n          <th colspan=\"2\" class=\"nav-header-like\">\n            <span class=\"meta-title pointer\" data-bind=\"toggle: isMetaFilterVisible, attr: { title: filteredColumnCount }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('columns'), "</span>\n            (<span class=\"meta-title pointer\" data-bind=\"toggle: isMetaFilterVisible, text: filteredColumnCount\"></span>)\n            <span class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"toggle: isMetaFilterVisible, css: { 'blue' : isMetaFilterVisible }\"><i class=\"pointer fa fa-search\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Search'), "\"></i></span>\n          </th>\n        </tr>\n        <tr data-bind=\"visible: isMetaFilterVisible\">\n          <td colspan=\"3\">\n            <div class=\"context-popover-inline-autocomplete\" style=\"display: block;\">\n              <!-- ko component: {\n                name: 'inline-autocomplete',\n                params: {\n                  placeHolder: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Filter columns...'), "',\n                  querySpec: metaFilter,\n                  facets: Object.keys(SQL_COLUMNS_KNOWN_FACET_VALUES),\n                  knownFacetValues: SQL_COLUMNS_KNOWN_FACET_VALUES,\n                  autocompleteFromEntries: autocompleteColumns.bind($data)\n                }\n              } --><!-- /ko -->\n            </div>\n          </td>\n        </tr>\n        </thead>\n        <tbody class=\"unstyled filtered-meta\" data-bind=\"foreach: filteredMeta\">\n        <tr data-bind=\"visible: name !== ''\">\n          <td><input class=\"no-margin-top\" type=\"checkbox\" data-bind=\"\n              event: {\n                change: function() { $parent.toggleResultColumn($element, originalIndex); }\n              },\n              checked: checked\n            \"/></td>\n          <td><a class=\"pointer\" data-bind=\"\n              click: function() { $parent.scrollToResultColumn($element); },\n              attr: { title: name + ' - ' + type }\n            \"><span data-bind=\"text: name\"></span></a></td>\n          <td><span data-bind=\"text: type\" class=\"muted margin-left-20\"></span></td>\n        </tr>\n        </tbody>\n        <tfoot>\n        <tr>\n          <td colspan=\"3\">\n            <div class=\"margin-top-10 muted meta-noresults\" data-bind=\"visible: !filteredMeta().length\">\n              ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No columns found'), "\n            </div>\n          </td>\n        </tr>\n        </tfoot>\n      </table>\n    </div>\n  </div>\n\n  <div class=\"split-result-resizer\" style=\"display: none;\" data-bind=\"\n      visible: columnsVisible,\n      splitFlexDraggable : {\n        containerSelector: '.split-result-container',\n        sidePanelSelector: '.result-settings-panel',\n        sidePanelVisible: columnsVisible,\n        orientation: 'left',\n        appName: 'result_grid',\n        onPosition: function() { redrawFixedHeaders(); }\n      }\n    \"><div class=\"resize-bar\"></div></div>\n    \n  <div class=\"split-result-content\" data-bind=\"delayedOverflow: 'slow', css: resultsKlass\">\n    <table class=\"table table-condensed resultTable\">\n      <thead>\n      <tr data-bind=\"foreach: meta\">\n        <th class=\"sorting\" data-bind=\"\n            text: ($index() == 0 ? '&nbsp;' : $data.name),\n            css: typeof cssClass != 'undefined' ? cssClass : 'sort-string',\n            attr: { title: $data.type },\n            style: { \n              'width': $index() == 0 ? '1%' : '',\n              'height': $index() == 0 ? '32px' : ''\n            },\n            click: function(obj, e) { $(e.target).parents('table').trigger('sort', obj); }\n          \"></th>\n      </tr>\n      </thead>\n      <tbody>\n      </tbody>\n    </table>\n    <div style=\"display:none;\" data-bind=\"\n        visible: status() == 'expired' && data() && data().length > 99,\n        css: resultsKlass\n      \">\n      <pre class=\"margin-top-10\"><i class=\"fa fa-check muted\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])("Results have expired, rerun the query if needed."), "</pre>\n    </div>\n  </div>\n</div>\n");

var ResultGrid =
/*#__PURE__*/
function (_DisposableComponent) {
  _inherits(ResultGrid, _DisposableComponent);

  function ResultGrid(params, element) {
    var _this;

    _classCallCheck(this, ResultGrid);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ResultGrid).call(this));
    _this.element = element;
    _this.activeExecutable = params.activeExecutable;
    _this.isResultFullScreenMode = params.isResultFullScreenMode;
    _this.editorMode = params.editorMode;
    _this.isPresentationMode = params.isPresentationMode;
    _this.hasMore = params.hasMore;
    _this.fetchResult = params.fetchResult;
    var trackedObservables = {
      columnsVisible: false,
      isMetaFilterVisible: false
    };
    _this.status = params.status;
    _this.columnsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](trackedObservables.columnsVisible);
    _this.isMetaFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](trackedObservables.isMetaFilterVisible);
    _this.metaFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    _this.resultsKlass = params.resultsKlass;
    _this.meta = params.meta;
    _this.data = params.data;
    _this.lastFetchedRows = params.lastFetchedRows;
    var tracker = Object(_executableStateHandler__WEBPACK_IMPORTED_MODULE_9__["attachTracker"])(_this.activeExecutable, NAME, _assertThisInitialized(_this), trackedObservables);

    _get(_getPrototypeOf(ResultGrid.prototype), "addDisposalCallback", _assertThisInitialized(_this)).call(_assertThisInitialized(_this), tracker.dispose.bind(tracker));

    _this.hueDatatable = undefined;

    _this.subscribe(_this.columnsVisible, function () {
      Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__["defer"])(_this.redrawFixedHeaders.bind(_assertThisInitialized(_this)));
    });

    _this.filteredMeta = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!_this.metaFilter() || _this.metaFilter().query === '') {
        return _this.meta();
      }

      return _this.meta().filter(function (item) {
        var facets = _this.metaFilter().facets;

        var isFacetMatch = !facets || Object.keys(facets).length === 0 || !facets['type']; // So far only type facet is used for SQL

        var isTextMatch = !_this.metaFilter().text || _this.metaFilter().text.length === 0;
        var match = true;

        if (!isFacetMatch) {
          match = !!facets['type'][item.type];
        }

        if (match && !isTextMatch) {
          match = _this.metaFilter().text.every(function (text) {
            return item.name.toLowerCase().indexOf(text.toLowerCase()) !== -1;
          });
        }

        return match;
      });
    });
    _this.filteredMetaChecked = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.filteredMeta().some(function (item) {
        return typeof item.checked === 'undefined' || item.checked();
      });
    });
    _this.filteredColumnCount = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!_this.metaFilter() || _this.metaFilter().query === '') {
        return _this.meta().length - 1;
      }

      return _this.filteredMeta().length;
    });

    _this.subscribe(_this.data, _this.render.bind(_assertThisInitialized(_this)));

    _this.subscribe(_this.meta, function (meta) {
      if (meta) {
        if (_this.hueDatatable) {
          _this.hueDatatable.fnDestroy();

          _this.hueDatatable = undefined;
        }

        var $resultTable = _this.getResultTableElement();

        if ($resultTable.data('plugin_jHueTableExtender2')) {
          $resultTable.data('plugin_jHueTableExtender2').destroy();
        }

        $resultTable.data('scrollToCol', null);
        $resultTable.data('scrollToRow', null);
        $resultTable.data('rendered', false);

        if ($resultTable.hasClass('dt')) {
          $resultTable.removeClass('dt');
          $resultTable.find('thead tr').empty();
          $resultTable.data('lockedRows', {});
        }
      }
    });

    _this.disposals.push(function () {
      if (_this.hueDatatable) {
        _this.hueDatatable.fnDestroy();
      }
    });

    return _this;
  }

  _createClass(ResultGrid, [{
    key: "autocompleteColumns",
    value: function autocompleteColumns(nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      this.meta().forEach(function (column) {
        if (column.name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + column.name.substring(partial.length));
        } else if (column.name.toLowerCase().indexOf('.' + partialLower) !== -1) {
          result.push(nonPartial + partial + column.name.substring(partial.length + column.name.toLowerCase().indexOf('.' + partialLower) + 1));
        }
      });
      return result;
    }
  }, {
    key: "createHueDatatable",
    value: function createHueDatatable() {
      var _this2 = this;

      var $resultTable = this.getResultTableElement();
      var datatablesMaxHeight = 330;
      var invisibleRows = 10;

      if (this.data().length) {
        var colCount = this.data()[0].length;
        invisibleRows = colCount > 200 ? 10 : colCount > 30 ? 50 : 100;
      }

      var $datatablesWrapper = $resultTable.parents('.dataTables_wrapper');
      var hueDatatable = $resultTable.hueDataTable({
        i18n: {
          NO_RESULTS: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No results found.'),
          OF: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('of')
        },
        fnDrawCallback: function fnDrawCallback() {
          var $resultTable = _this2.getResultTableElement();

          if (_this2.editorMode()) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('#queryResults').removeAttr('style');
            datatablesMaxHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - $resultTable.parent().offset().top - 40;
            $datatablesWrapper.css('overflow-x', 'hidden');
            $resultTable.jHueHorizontalScrollbar();
            $datatablesWrapper.jHueScrollLeft();
          } else if ($resultTable.data('fnDraws') === 1) {
            $datatablesWrapper.jHueTableScroller({
              maxHeight: datatablesMaxHeight,
              heightAfterCorrection: 0
            });

            _this2.disposals.push(function () {
              $datatablesWrapper.data('plugin_jHueTableScroller').destroy();
            });
          }
        },
        scrollable: this.editorMode() && !this.isPresentationMode() ? window.MAIN_SCROLLABLE : '.dataTables_wrapper',
        contained: !this.editorMode() || this.isPresentationMode(),
        forceInvisible: invisibleRows
      });
      this.disposals.push(function () {
        hueDatatable.fnDestroy();
      });
      Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__["defer"])(function () {
        var $resultTable = _this2.getResultTableElement();

        var tableExtenderOptions = {
          mainScrollable: window.MAIN_SCROLLABLE,
          fixedFirstColumn: _this2.editorMode(),
          parentId: $resultTable.parents('.snippet').attr('id'),
          clonedContainerPosition: 'fixed',
          app: 'editor'
        };

        if (_this2.editorMode()) {
          $resultTable.parents('.dataTables_wrapper').css('overflow-x', 'hidden');
          var bannerTopHeight = window.BANNER_TOP_HTML ? 30 : 2;
          tableExtenderOptions.stickToTopPosition = 48 + bannerTopHeight;
        } else {
          tableExtenderOptions.mainScrollable = $datatablesWrapper[0];
          tableExtenderOptions.clonedContainerPosition = 'absolute';
        }

        $resultTable.jHueTableExtender2(tableExtenderOptions);

        _this2.disposals.push(function () {
          if ($resultTable.data('plugin_jHueTableExtender2')) {
            $resultTable.data('plugin_jHueTableExtender2').destroy();
          }
        });

        if (_this2.editorMode()) {
          $resultTable.jHueHorizontalScrollbar();
        }
      });
      return hueDatatable;
    }
  }, {
    key: "createDatatable",
    value: function createDatatable() {
      var _this3 = this;

      var $resultTable = this.getResultTableElement();
      var $resultTableParent = $resultTable.parent(); // When executing few columns -> many columns -> few columns we have to clear the style

      $resultTable.removeAttr('style');

      if ($resultTable.hasClass('table-huedatatable')) {
        $resultTable.removeClass('table-huedatatable');

        if ($resultTableParent.hasClass('dataTables_wrapper')) {
          $resultTable.unwrap();
        }
      }

      $resultTable.addClass('dt');
      this.hueDatatable = this.createHueDatatable($resultTable);
      var $dataTablesWrapper = $resultTable.parents('.dataTables_wrapper');

      if (!this.editorMode()) {
        $dataTablesWrapper.on('mousewheel.resultGrid DOMMouseScroll.resultGrid wheel.resultGrid', function (event) {
          if ($resultTable.closest('.results').css('overflow') === 'hidden') {
            return;
          }

          var originalEvent = event.originalEvent,
              _deltaX = originalEvent.wheelDeltaX || -originalEvent.deltaX,
              _deltaY = originalEvent.wheelDeltaY || -originalEvent.deltaY;

          this.scrollTop += -_deltaY / 2;
          this.scrollLeft += -_deltaX / 2;

          if (this.scrollTop === 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('body')[0].scrollTop += -_deltaY / 3;
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('html')[0].scrollTop += -_deltaY / 3; // for firefox
          }

          event.preventDefault();
        });
        this.disposals.push(function () {
          $dataTablesWrapper.off('mousewheel.resultGrid DOMMouseScroll.resultGrid wheel.resultGrid');
        });
      }

      var $scrollElement = $dataTablesWrapper;

      if (this.editorMode()) {
        $scrollElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window.MAIN_SCROLLABLE);
      }

      var scrollThrottle = -1;
      this.disposals.push(function () {
        window.clearTimeout(scrollThrottle);
      });

      var dataScroll = function dataScroll() {
        if (!$resultTable.is(':visible')) {
          return;
        }

        var lastScrollPosition = $scrollElement.data('scrollPosition') != null ? $scrollElement.data('scrollPosition') : 0;
        window.clearTimeout(scrollThrottle);
        $scrollElement.data('scrollPosition', $scrollElement.scrollTop());
        scrollThrottle = window.setTimeout(function () {
          if (_this3.editorMode()) {
            lastScrollPosition--; //hack for forcing fetching
          }

          if (lastScrollPosition !== $scrollElement.scrollTop() && $scrollElement.scrollTop() + $scrollElement.outerHeight() + 20 >= $scrollElement[0].scrollHeight && _this3.hueDatatable && _this3.hasMore()) {
            _this3.showGrayedOutResult();

            _this3.fetchResult(100, false);
          }
        }, 100);
      };

      $scrollElement.off('scroll.resultGrid');
      $scrollElement.on('scroll.resultGrid', dataScroll);
      this.disposals.push(function () {
        $scrollElement.off('scroll.resultGrid');
      });
      this.subscribe(this.columnsVisible, function (newValue) {
        if (newValue) {
          dataScroll();
        }
      });
      this.subscribe(_events__WEBPACK_IMPORTED_MODULE_8__["REDRAW_FIXED_HEADERS_EVENT"], this.redrawFixedHeaders.bind(this));
      this.subscribe(_events__WEBPACK_IMPORTED_MODULE_8__["SHOW_GRID_SEARCH_EVENT"], this.showSearch.bind(this));
      this.subscribe(_events__WEBPACK_IMPORTED_MODULE_8__["HIDE_FIXED_HEADERS_EVENT"], this.hideFixedHeaders.bind(this));
      this.subscribe(_events__WEBPACK_IMPORTED_MODULE_8__["SHOW_NORMAL_RESULT_EVENT"], this.showNormalResult.bind(this));
      return this.hueDatatable;
    }
  }, {
    key: "getSnippetElement",
    value: function getSnippetElement() {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this.element).parents('.snippet');
    }
  }, {
    key: "getResultTableElement",
    value: function getResultTableElement() {
      return this.getSnippetElement().find('.resultTable');
    }
  }, {
    key: "hideFixedHeaders",
    value: function hideFixedHeaders() {
      var $snippet = this.getSnippetElement();
      $snippet.find('.jHueTableExtenderClonedContainer').hide();
      $snippet.find('.jHueTableExtenderClonedContainerColumn').hide();
      $snippet.find('.jHueTableExtenderClonedContainerCell').hide();
      $snippet.find('.fixed-header-row').hide();
      $snippet.find('.fixed-first-cell').hide();
      $snippet.find('.fixed-first-column').hide();
    }
  }, {
    key: "showFixedHeaders",
    value: function showFixedHeaders() {
      var $snippet = this.getSnippetElement();
      $snippet.find('.jHueTableExtenderClonedContainer').show();
      $snippet.find('.jHueTableExtenderClonedContainerColumn').show();
      $snippet.find('.jHueTableExtenderClonedContainerCell').show();
      $snippet.find('.fixed-header-row').show();
      $snippet.find('.fixed-first-cell').show();
      $snippet.find('.fixed-first-column').show();
    }
  }, {
    key: "redrawFixedHeaders",
    value: function redrawFixedHeaders() {
      var $snippet = this.getSnippetElement();

      if (this.meta().length > 0) {
        var tableExtender = $snippet.find('.resultTable').data('plugin_jHueTableExtender2');

        if (tableExtender) {
          tableExtender.repositionHeader();
          tableExtender.drawLockedRows();
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(window.MAIN_SCROLLABLE).data('lastScroll', jquery__WEBPACK_IMPORTED_MODULE_0___default()(window.MAIN_SCROLLABLE).scrollTop());
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(window.MAIN_SCROLLABLE).trigger('scroll');
      }

      this.showFixedHeaders();
    }
  }, {
    key: "resizeToggleResultSettings",
    value: function resizeToggleResultSettings(initial) {
      var $datatablesWrapper;
      var $snippet = this.getSnippetElement();

      if ($snippet.find('.resultTable').is(':visible')) {
        $datatablesWrapper = $snippet.find('.dataTables_wrapper');
      } else {
        $datatablesWrapper = $snippet.find('.chart:visible');
      }

      if ($datatablesWrapper.length === 0) {
        $datatablesWrapper = $snippet.find('.table-results');
      }

      $datatablesWrapper.parents('.snippet-body').find('.toggle-result-settings').css({
        height: $datatablesWrapper.height() - 30 + 'px',
        'line-height': $datatablesWrapper.height() - 30 + 'px'
      });

      if (initial) {
        $snippet.find('.result-settings').css({
          marginTop: 0
        });
        $snippet.find('.snippet-actions').css({
          marginTop: 0
        });
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('resize.leaflet.map');
      }
    }
  }, {
    key: "render",
    value: function render() {
      var $snippet, $resultTable, initial, dataTable, $dataTablesWrapper;
      return regeneratorRuntime.async(function render$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              $snippet = this.getSnippetElement();

              if (!(this.data().length || this.lastFetchedRows().length)) {
                _context.next = 14;
                break;
              }

              _context.next = 4;
              return regeneratorRuntime.awrap(Object(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_7__["sleep"])(300));

            case 4:
              $resultTable = $snippet.find('.resultTable');
              initial = !$resultTable.data('rendered');

              if (initial) {
                $snippet.find('select').trigger('chosen:updated');
                dataTable = this.createDatatable();
                $resultTable.data('rendered', true);
              } else {
                dataTable = $resultTable.hueDataTable();
              }

              try {
                dataTable.fnAddData(initial && this.data().length ? this.data() : this.lastFetchedRows());
              } catch (e) {}

              $dataTablesWrapper = $snippet.find('.dataTables_wrapper');
              this.showNormalResult();
              $dataTablesWrapper.scrollTop($dataTablesWrapper.data('scrollPosition'));
              this.resizeToggleResultSettings(initial);
              _context.next = 15;
              break;

            case 14:
              this.showNormalResult();

            case 15:
              $snippet.find('select').trigger('chosen:updated');
              $snippet.find('.snippet-grid-settings').scrollLeft(0);

            case 17:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    } // TODO: Fix for multiple clicks

  }, {
    key: "scrollToResultColumn",
    value: function scrollToResultColumn(linkElement) {
      var $resultTable = this.getResultTableElement();
      var searchText = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkElement).text());
      var foundColumn = $resultTable.find('th').filter(function () {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text()) === searchText;
      });
      $resultTable.find('.columnSelected').removeClass('columnSelected');
      var selectedColumn = $resultTable.find('tr th:nth-child(' + (foundColumn.index() + 1) + ')');

      if (selectedColumn.length > 0) {
        $resultTable.find('tr td:nth-child(' + (foundColumn.index() + 1) + ')').addClass('columnSelected');
        $resultTable.parent().scrollLeft(selectedColumn.position().left + $resultTable.parent().scrollLeft() - $resultTable.parent().offset().left - 30);
        $resultTable.data('scrollToCol', foundColumn.index());
        $resultTable.data('scrollToRow', null);
        $resultTable.data('scrollAnimate', true);
        $resultTable.parent().trigger('scroll');
      }
    }
  }, {
    key: "showGrayedOutResult",
    value: function showGrayedOutResult() {
      var $wrapper = this.getSnippetElement().find('.dataTables_wrapper');
      $wrapper.find('.fixed-first-column').css({
        opacity: '0'
      });
      $wrapper.find('.fixed-header-row').css({
        opacity: '0'
      });
      $wrapper.find('.fixed-first-cell').css({
        opacity: '0'
      });
      $wrapper.find('.resultTable').css({
        opacity: '0.55'
      });
    }
  }, {
    key: "showNormalResult",
    value: function showNormalResult() {
      var $wrapper = this.getSnippetElement().find('.dataTables_wrapper');
      $wrapper.find('.fixed-first-column').css({
        opacity: '1'
      });
      $wrapper.find('.fixed-header-row').css({
        opacity: '1'
      });
      $wrapper.find('.fixed-first-cell').css({
        opacity: '1'
      });
      $wrapper.find('.resultTable').css({
        opacity: '1'
      });
    }
  }, {
    key: "showSearch",
    value: function showSearch() {
      if (this.hueDatatable) {
        this.hueDatatable.fnShowSearch();
      }
    }
  }, {
    key: "toggleAllResultColumns",
    value: function toggleAllResultColumns(linkElement) {
      this.hueDatatable.fnToggleAllCols(linkElement.checked);
      this.hueDatatable.fnDraw();
      this.filteredMeta().forEach(function (item) {
        item.checked(linkElement.checked);
      });
    }
  }, {
    key: "toggleResultColumn",
    value: function toggleResultColumn(linkElement, index) {
      this.hueDatatable.fnSetColumnVis(index, linkElement.checked);
    }
  }]);

  return ResultGrid;
}(_ko_components_DisposableComponent__WEBPACK_IMPORTED_MODULE_4__["default"]);

_ko_components_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new ResultGrid(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/editorViewModel.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/editorViewModel.js ***!
  \***********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _notebook_chartTransformers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../notebook/chartTransformers */ "./desktop/core/src/desktop/js/apps/notebook/chartTransformers.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _notebook__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./notebook */ "./desktop/core/src/desktop/js/apps/notebook2/notebook.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./snippet */ "./desktop/core/src/desktop/js/apps/notebook2/snippet.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var EditorViewModel =
/*#__PURE__*/
function () {
  function EditorViewModel(editorId, notebooks, options, CoordinatorEditorViewModel, RunningCoordinatorModel) {
    var _this = this;

    _classCallCheck(this, EditorViewModel);

    // eslint-disable-next-line no-restricted-syntax
    console.log('Notebook 2 enabled.');
    this.editorId = editorId;
    this.snippetViewSettings = options.snippetViewSettings;
    this.notebooks = notebooks;
    this.URLS = {
      editor: '/hue/editor',
      notebook: '/hue/notebook',
      report: '/hue/dashboard/new_search?engine=report'
    };
    this.huePubSubId = options.huePubSubId || 'editor';
    this.user = options.user;
    this.userId = options.userId;
    this.suffix = options.suffix;
    this.isMobile = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.mobile);
    this.isNotificationManager = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!options.is_notification_manager);
    this.editorType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.editor_type);
    this.editorType.subscribe(function (newVal) {
      _this.editorMode(newVal !== 'notebook');

      _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURLParameter('type', newVal);

      if (_this.editorMode()) {
        _this.selectedNotebook().fetchHistory(); // Js error if notebook did not have snippets

      }
    });
    this.preEditorTogglingSnippet = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.editorTypeTitle = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var foundInterpreters = options.languages.filter(function (interpreter) {
        return interpreter.type === _this.editorType();
      });
      return foundInterpreters.length > 0 ? foundInterpreters[0].name : _this.editorType();
    });
    this.autocompleteTimeout = options.autocompleteTimeout;
    this.selectedNotebook = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.combinedContent = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.isPresentationModeEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedNotebook() && _this.selectedNotebook().snippets().length === 1 && _this.selectedNotebook().snippets()[0].isSqlDialect();
    });
    this.isResultFullScreenMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isPresentationMode = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedNotebook() && _this.selectedNotebook().isPresentationMode();
    });
    this.isHidingCode = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedNotebook() && _this.selectedNotebook().isHidingCode();
    });
    this.successUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.success_url); // Deprecated

    this.isOptimizerEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.is_optimizer_enabled);
    this.isNavigatorEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.is_navigator_enabled);
    this.CoordinatorEditorViewModel = CoordinatorEditorViewModel; // TODO: Remove usage of global variables

    this.RunningCoordinatorModel = RunningCoordinatorModel; // TODO: Remove usage of global variables
    // Saved query or history but history coming from a saved query

    this.canSave = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedNotebook() && _this.selectedNotebook().canWrite() && (_this.selectedNotebook().isSaved() || _this.selectedNotebook().isHistory() && _this.selectedNotebook().parentSavedQueryUuid());
    });
    this.ChartTransformers = _notebook_chartTransformers__WEBPACK_IMPORTED_MODULE_4__["default"]; // TODO: Drop the SQL source types from the notebook. They're now set in AssistDbPanel.

    this.sqlSourceTypes = [];
    this.availableLanguages = [];

    if (options.languages && this.snippetViewSettings) {
      options.languages.forEach(function (language) {
        _this.availableLanguages.push({
          type: language.type,
          name: language.name,
          "interface": language["interface"]
        });

        var viewSettings = _this.snippetViewSettings[language.type];

        if (viewSettings && viewSettings.sqlDialect) {
          _this.sqlSourceTypes.push({
            type: language.type,
            name: language.name
          });
        }
      });
    }

    var sqlSourceTypes = this.sqlSourceTypes.filter(function (language) {
      return language.type === _this.editorType();
    });

    if (sqlSourceTypes.length > 0) {
      this.activeSqlSourceType = sqlSourceTypes[0].type;
    } else {
      this.activeSqlSourceType = null;
    }

    this.isEditing = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isEditing.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editingToggled');
    });
    this.removeSnippetConfirmation = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.assistAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.assistAvailable);
    this.assistWithoutStorage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isLeftPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].getFromTotalStorage('assist', 'assist_panel_visible', true));
    this.isLeftPanelVisible.subscribe(function (val) {
      if (!_this.assistWithoutStorage()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].setInTotalStorage('assist', 'assist_panel_visible', val);
      }
    });
    this.isRightPanelAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.assistAvailable && HAS_OPTIMIZER);
    this.isRightPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].getFromTotalStorage('assist', 'right_assist_panel_visible', true));
    this.isRightPanelVisible.subscribe(function (val) {
      if (!_this.assistWithoutStorage()) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].setInTotalStorage('assist', 'right_assist_panel_visible', val);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.highlight.risk.suggestions', function () {
      if (_this.isRightPanelAvailable() && !_this.isRightPanelVisible()) {
        _this.isRightPanelVisible(true);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('get.active.snippet.type', function (callback) {
      _this.withActiveSnippet(function (activeSnippet) {
        if (callback) {
          callback(activeSnippet.type());
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.active.snippet.type', activeSnippet.type());
        }
      });
    }, this.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('save.snippet.to.file', function () {
      _this.withActiveSnippet(function (activeSnippet) {
        var data = {
          path: activeSnippet.statementPath(),
          contents: activeSnippet.statement()
        };
        var options = {
          successCallback: function successCallback(result) {
            if (result && result.exists) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', result.path + ' saved successfully.');
            }
          }
        };
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].saveSnippetToFile(data, options);
      });
    }, this.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('sql.context.pin', function (contextData) {
      _this.withActiveSnippet(function (activeSnippet) {
        contextData.tabId = 'context' + activeSnippet.pinnedContextTabs().length;
        activeSnippet.pinnedContextTabs.push(contextData);
        activeSnippet.currentQueryTab(contextData.tabId);
      });
    }, this.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.database.set', function (databaseDef) {
      _this.withActiveSnippet(function (activeSnippet) {
        activeSnippet.handleAssistSelection(databaseDef);
      });
    }, this.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.database.selected', function (databaseDef) {
      _this.withActiveSnippet(function (activeSnippet) {
        activeSnippet.handleAssistSelection(databaseDef);
      });
    }, this.huePubSubId);
    this.availableSnippets = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(options.languages);
    this.editorMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.mode === 'editor');
  }

  _createClass(EditorViewModel, [{
    key: "changeURL",
    value: function changeURL(url) {
      if (!this.isNotificationManager()) {
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURL(url);
      }
    }
  }, {
    key: "displayCombinedContent",
    value: function displayCombinedContent() {
      if (!this.selectedNotebook()) {
        this.combinedContent('');
      } else {
        var statements = '';
        this.selectedNotebook().snippets().forEach(function (snippet) {
          if (snippet.statement()) {
            if (statements) {
              statements += '\n\n';
            }

            statements += snippet.statement();
          }
        });
        this.combinedContent(statements);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#combinedContentModal' + this.suffix).modal('show');
    }
  }, {
    key: "getSnippetName",
    value: function getSnippetName(snippetType) {
      var availableSnippets = this.availableSnippets();

      for (var i = 0; i < availableSnippets.length; i++) {
        if (availableSnippets[i].type() === snippetType) {
          return availableSnippets[i].name();
        }
      }

      return '';
    }
  }, {
    key: "getSnippetViewSettings",
    value: function getSnippetViewSettings(snippetType) {
      if (this.snippetViewSettings[snippetType]) {
        return this.snippetViewSettings[snippetType];
      }

      return this.snippetViewSettings["default"];
    }
  }, {
    key: "init",
    value: function init() {
      if (this.editorId) {
        this.openNotebook(this.editorId);
      } else if (window.location.getParameter('gist') !== '' || window.location.getParameter('type') !== '') {
        this.newNotebook(window.location.getParameter('type'));
      } else if (window.location.getParameter('editor') !== '') {
        this.openNotebook(window.location.getParameter('editor'));
      } else if (this.notebooks.length > 0) {
        this.loadNotebook(this.notebooks[0]); // Old way of loading json for /browse
      } else {
        this.newNotebook();
      }
    }
  }, {
    key: "loadNotebook",
    value: function loadNotebook(notebookRaw, queryTab) {
      var currentQueries;

      if (this.selectedNotebook() != null) {
        currentQueries = this.selectedNotebook().unload();
      }

      var notebook = new _notebook__WEBPACK_IMPORTED_MODULE_7__["default"](this, notebookRaw);

      if (notebook.snippets().length > 0) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('detach.scrolls', notebook.snippets()[0]);
        notebook.selectedSnippet(notebook.snippets()[notebook.snippets().length - 1].type());

        if (currentQueries != null) {
          notebook.snippets()[0].queries(currentQueries);
        }

        notebook.snippets().forEach(function (snippet) {
          snippet.aceAutoExpand = false;
          snippet.statement_raw.valueHasMutated(); // if (
          //   snippet.result.handle().statements_count > 1 &&
          //   snippet.result.handle().start != null &&
          //   snippet.result.handle().end != null
          // ) {
          //   const aceLineOffset = snippet.result.handle().aceLineOffset || 0;
          //   snippet.result.statement_range({
          //     start: {
          //       row: snippet.result.handle().start.row + aceLineOffset,
          //       column: snippet.result.handle().start.column
          //     },
          //     end: {
          //       row: snippet.result.handle().end.row + aceLineOffset,
          //       column: snippet.result.handle().end.column
          //     }
          //   });
          //   snippet.result.statement_range.valueHasMutated();
          // }
        }); // if (notebook.snippets()[0].result.data().length > 0) {
        //   $(document).trigger('redrawResults');
        // } else

        if (queryTab) {
          notebook.snippets()[0].currentQueryTab(queryTab);
        }

        if (notebook.isSaved()) {
          notebook.snippets()[0].currentQueryTab('savedQueries');

          if (notebook.snippets()[0].queries().length === 0) {
            notebook.snippets()[0].fetchQueries(); // Subscribe not updating yet
          }
        }
      }

      this.selectedNotebook(notebook);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('check.job.browser');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('recalculate.name.description.width');
    }
  }, {
    key: "newNotebook",
    value: function newNotebook(editorType, callback, queryTab) {
      var _this2 = this;

      return regeneratorRuntime.async(function newNotebook$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve, reject) {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
                  type: editorType,
                  isSqlDialect: editorType ? _this2.getSnippetViewSettings(editorType).sqlDialect : undefined
                });
                jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/create_notebook', {
                  type: editorType || _this2.editorType(),
                  directory_uuid: window.location.getParameter('directory_uuid'),
                  gist: window.location.getParameter('gist')
                }).then(function (data) {
                  _this2.loadNotebook(data.notebook);

                  if (_this2.editorMode() && !_this2.isNotificationManager()) {
                    var snippet = _this2.selectedNotebook().snippets().length == 0 ? _this2.selectedNotebook().newSnippet(_this2.editorType()) : _this2.selectedNotebook().snippets()[0];

                    if (queryTab && ['queryHistory', 'savedQueries', 'queryBuilderTab'].indexOf(queryTab) > -1) {
                      snippet.currentQueryTab(queryTab);
                    }

                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('detach.scrolls', _this2.selectedNotebook().snippets()[0]);

                    if (window.location.getParameter('type') === '') {
                      _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].changeURLParameter('type', _this2.editorType());
                    }

                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
                      type: editorType,
                      isSqlDialect: editorType ? _this2.getSnippetViewSettings(editorType).sqlDialect : undefined
                    });
                  }

                  if (typeof callback !== 'undefined' && callback !== null) {
                    callback();
                  }

                  resolve();
                })["catch"](reject);
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      });
    }
  }, {
    key: "openNotebook",
    value: function openNotebook(uuid, queryTab, skipUrlChange, callback) {
      var docData, notebookRaw;
      return regeneratorRuntime.async(function openNotebook$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.prev = 0;
              _context2.next = 3;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].fetchDocumentAsync({
                uuid: uuid,
                fetchContents: true,
                dependencies: true
              }));

            case 3:
              docData = _context2.sent;
              docData.data.dependents = docData.dependents;
              docData.data.can_write = docData.user_perms.can_write;
              notebookRaw = docData.data;
              this.loadNotebook(notebookRaw, queryTab);

              if (typeof skipUrlChange === 'undefined' && !this.isNotificationManager()) {
                if (this.editorMode()) {
                  this.editorType(docData.document.type.substring('query-'.length));
                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('active.snippet.type.changed', {
                    type: this.editorType(),
                    isSqlDialect: this.getSnippetViewSettings(this.editorType()).sqlDialect
                  });
                  this.changeURL(this.URLS.editor + '?editor=' + docData.document.id + '&type=' + this.editorType());
                } else {
                  this.changeURL(this.URLS.notebook + '?notebook=' + docData.document.id);
                }
              }

              if (typeof callback !== 'undefined') {
                callback();
              }

              _context2.next = 17;
              break;

            case 12:
              _context2.prev = 12;
              _context2.t0 = _context2["catch"](0);
              console.error(_context2.t0);
              _context2.next = 17;
              return regeneratorRuntime.awrap(this.newNotebook());

            case 17:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this, [[0, 12]]);
    }
  }, {
    key: "prepareShareModal",
    value: function prepareShareModal() {
      var selectedNotebookUuid = this.selectedNotebook() && this.selectedNotebook().uuid();

      if (selectedNotebookUuid) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('doc.show.share.modal', selectedNotebookUuid);
      }
    }
  }, {
    key: "removeSnippet",
    value: function removeSnippet(notebook, snippet) {
      var hasContent = snippet.statement_raw().length > 0;

      if (!hasContent) {
        Object.keys(snippet.properties()).forEach(function (key) {
          var value = snippet.properties()[key];
          hasContent = hasContent || knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](value) && value().length > 0;
        });
      }

      if (hasContent) {
        this.removeSnippetConfirmation({
          notebook: notebook,
          snippet: snippet
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#removeSnippetModal' + this.suffix).modal('show');
      } else {
        notebook.snippets.remove(snippet);
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editorSizeChanged');
        }, 100);
      }
    }
  }, {
    key: "saveAsNotebook",
    value: function saveAsNotebook() {
      this.selectedNotebook().id(null);
      this.selectedNotebook().uuid(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());
      this.selectedNotebook().parentSavedQueryUuid(null);
      this.selectedNotebook().save(function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.document.refresh');
      });
    }
  }, {
    key: "saveNotebook",
    value: function saveNotebook() {
      return regeneratorRuntime.async(function saveNotebook$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.next = 2;
              return regeneratorRuntime.awrap(this.selectedNotebook().save());

            case 2:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "showContextPopover",
    value: function showContextPopover(field, event) {
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target && event.target.nodeName !== 'A' ? event.target.parentElement : event.target);
      var offset = $source.offset();
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.popover.show', {
        data: {
          type: 'catalogEntry',
          catalogEntry: field.catalogEntry
        },
        onSampleClick: field.value,
        showInAssistEnabled: true,
        sourceType: this.editorType(),
        orientation: 'bottom',
        defaultDatabase: 'default',
        pinEnabled: false,
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 3,
          right: offset.left + $source.width() + 1,
          bottom: offset.top + $source.height() - 3
        }
      });
    }
  }, {
    key: "showSessionPanel",
    value: function showSessionPanel() {
      this.withActiveSnippet(function (snippet) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('session.panel.show', snippet.type());
      }, function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('session.panel.show');
      });
    }
  }, {
    key: "toggleEditing",
    value: function toggleEditing() {
      this.isEditing(!this.isEditing());
    }
  }, {
    key: "toggleEditorMode",
    value: function toggleEditorMode() {
      var _this3 = this;

      var selectedNotebook = this.selectedNotebook();
      var newSnippets = [];

      if (this.editorType() !== 'notebook') {
        this.editorType('notebook');
        this.preEditorTogglingSnippet(selectedNotebook.snippets()[0]);
        var variables = selectedNotebook.snippets()[0].variables();
        var statementKeys = []; // Split statements

        selectedNotebook.type('notebook');
        selectedNotebook.snippets()[0].statementsList().forEach(function (sqlStatement) {
          var presentationSnippet;

          if (sqlStatement.hashCode() in selectedNotebook.presentationSnippets()) {
            presentationSnippet = selectedNotebook.presentationSnippets()[sqlStatement.hashCode()]; // Persist result

            presentationSnippet.variables(variables);
          } else {
            var titleParts = [];
            var statementParts = [];
            sqlStatement.trim().split('\n').forEach(function (line) {
              if (line.trim().startsWith('--') && statementParts.length === 0) {
                titleParts.push(line.substr(2));
              } else {
                statementParts.push(line);
              }
            });
            presentationSnippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](_this3, selectedNotebook, {
              type: selectedNotebook.initialType,
              statement_raw: statementParts.join('\n'),
              name: titleParts.join('\n'),
              variables: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(variables)
            });
            presentationSnippet.variables = selectedNotebook.snippets()[0].variables;
            presentationSnippet.init();
            selectedNotebook.presentationSnippets()[sqlStatement.hashCode()] = presentationSnippet;
          }

          statementKeys.push(sqlStatement.hashCode());
          newSnippets.push(presentationSnippet);
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(selectedNotebook.presentationSnippets(), function (key) {
          // Dead statements
          if (!key in statementKeys) {
            delete selectedNotebook.presentationSnippets()[key];
          }
        });
      } else {
        this.editorType(selectedNotebook.initialType); // Revert to one statement

        newSnippets.push(this.preEditorTogglingSnippet());
        selectedNotebook.type('query-' + selectedNotebook.initialType);
      }

      selectedNotebook.snippets(newSnippets);
      newSnippets.forEach(function (snippet) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('editor.redraw.data', {
          snippet: snippet
        });
      });
    }
  }, {
    key: "togglePresentationMode",
    value: function togglePresentationMode() {
      if (this.selectedNotebook().initialType !== 'notebook') {
        this.toggleEditorMode();
      }
    }
  }, {
    key: "withActiveSnippet",
    value: function withActiveSnippet(callback, notFoundCallback) {
      var notebook = this.selectedNotebook();
      var foundSnippet;

      if (notebook) {
        if (notebook.snippets().length === 1) {
          foundSnippet = notebook.snippets()[0];
        } else {
          notebook.snippets().every(function (snippet) {
            if (snippet.inFocus()) {
              foundSnippet = snippet;
              return false;
            }

            return true;
          });
        }
      }

      if (foundSnippet) {
        callback(foundSnippet);
      } else if (notFoundCallback) {
        notFoundCallback();
      }
    }
  }]);

  return EditorViewModel;
}();

/* harmony default export */ __webpack_exports__["default"] = (EditorViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/execution/executor.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/execution/executor.js ***!
  \**************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _sqlExecutable__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./sqlExecutable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sqlExecutable.js");
/* harmony import */ var _sessionManager__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./sessionManager */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sessionManager.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: Remove, debug var

window.sessionManager = _sessionManager__WEBPACK_IMPORTED_MODULE_1__["default"];

var Executor =
/*#__PURE__*/
function () {
  /**
   * @param options
   * @param {boolean} [options.isSqlEngine] (default false)
   * @param {string} options.sourceType
   * @param {ContextCompute} options.compute
   * @param {ContextNamespace} options.namespace
   * @param {string} options.statement
   * @param {string} [options.database]
   * @param {boolean} [options.isOptimizerEnabled] - Default false
   * @param {Snippet} [options.snippet] - Optional snippet for history
   */
  function Executor(options) {
    _classCallCheck(this, Executor);

    this.sourceType = options.sourceType;
    this.compute = options.compute;
    this.namespace = options.namespace;
    this.database = options.database;
    this.isSqlEngine = options.isSqlEngine;
    this.isOptimizerEnabled = options.isOptimizerEnabled;
    this.executables = [];
    this.snippet = options.snippet;
  }

  _createClass(Executor, [{
    key: "getExecutables",
    value: function getExecutables(statementDetails) {
      var _this = this;

      var allExecutablesIndex = {};
      this.executables.forEach(function (executable) {
        allExecutablesIndex[executable.getKey()] = executable;
      });
      var selectedExecutables = [];
      var activeDatabase = this.database();
      var currentSelectedIndex = 0;
      var newExecutables = statementDetails.precedingStatements.concat(statementDetails.activeStatement, statementDetails.followingStatements).map(function (parsedStatement) {
        if (/USE/i.test(parsedStatement.firstToken)) {
          var dbMatch = parsedStatement.statement.match(/use\s+([^;]+)/i);

          if (dbMatch) {
            activeDatabase = dbMatch[1];
          }
        }

        var executable = new _sqlExecutable__WEBPACK_IMPORTED_MODULE_0__["default"]({
          parsedStatement: parsedStatement,
          database: activeDatabase,
          executor: _this
        });

        if (allExecutablesIndex[executable.getKey()]) {
          executable = allExecutablesIndex[executable.getKey()];
          executable.parsedStatement = parsedStatement;
          delete allExecutablesIndex[executable.getKey()];
        }

        if (currentSelectedIndex < statementDetails.selectedStatements.length && parsedStatement === statementDetails.selectedStatements[currentSelectedIndex]) {
          selectedExecutables.push(executable);
          currentSelectedIndex++;
        }

        return executable;
      });
      var lostExecutables = Object.keys(allExecutablesIndex).map(function (key) {
        return allExecutablesIndex[key];
      });
      return {
        all: newExecutables,
        lost: lostExecutables,
        selected: selectedExecutables
      };
    }
  }, {
    key: "toJs",
    value: function toJs() {
      return {
        executables: this.executables.map(function (executable) {
          return executable.toJs();
        })
      };
    }
  }, {
    key: "update",
    value: function update(statementDetails, beforeExecute) {
      var executables = this.getExecutables(statementDetails); // Cancel any "lost" executables and any batch chain it's part of

      executables.lost.forEach(function (lostExecutable) {
        lostExecutable.lost = true;
        lostExecutable.cancelBatchChain();
      }); // Cancel any intersecting batch chains and create a new chain if just before execute

      if (beforeExecute) {
        executables.selected.forEach(function (executable) {
          return executable.cancelBatchChain();
        });
        var previous = undefined;
        executables.selected.forEach(function (executable) {
          if (previous) {
            executable.previousExecutable = previous;
            previous.nextExecutable = executable;
          }

          previous = executable;
        });
      } // Update the executables list


      this.executables = executables.all;
      this.executables.forEach(function (executable) {
        return executable.notify();
      });
      return executables.selected[0];
    }
  }]);

  return Executor;
}();

/* harmony default export */ __webpack_exports__["default"] = (Executor);

/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/execution/sqlExecutable.js":
/*!*******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/execution/sqlExecutable.js ***!
  \*******************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return SqlExecutable; });
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _executable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var BATCHABLE_STATEMENT_TYPES = /ALTER|CREATE|DELETE|DROP|GRANT|INSERT|INVALIDATE|LOAD|SET|TRUNCATE|UPDATE|UPSERT|USE/i;

var SqlExecutable =
/*#__PURE__*/
function (_Executable) {
  _inherits(SqlExecutable, _Executable);

  /**
   * @param options
   * @param {Executor} options.executor
   *
   * @param {string} options.database
   * @param {SqlStatementsParserResult} options.parsedStatement
   */
  function SqlExecutable(options) {
    var _this;

    _classCallCheck(this, SqlExecutable);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SqlExecutable).call(this, options));
    _this.database = options.database;
    _this.parsedStatement = options.parsedStatement;
    return _this;
  }

  _createClass(SqlExecutable, [{
    key: "getStatement",
    value: function getStatement() {
      return this.statement || this.parsedStatement.statement;
    }
  }, {
    key: "internalExecute",
    value: function internalExecute() {
      return regeneratorRuntime.async(function internalExecute$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_0__["default"].executeStatement({
                executable: this,
                silenceErrors: true
              }));

            case 2:
              return _context.abrupt("return", _context.sent);

            case 3:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "getKey",
    value: function getKey() {
      return this.database + '_' + this.parsedStatement.statement;
    }
  }, {
    key: "canExecuteInBatch",
    value: function canExecuteInBatch() {
      return this.parsedStatement && BATCHABLE_STATEMENT_TYPES.test(this.parsedStatement.firstToken);
    }
  }, {
    key: "toJs",
    value: function toJs() {
      var executableJs = _get(_getPrototypeOf(SqlExecutable.prototype), "toJs", this).call(this);

      executableJs.database = this.database;
      executableJs.parsedStatement = this.parsedStatement;
      executableJs.type = 'sqlExecutable';
      return executableJs;
    } // TODO: Use this for execute instead of snippet

  }, {
    key: "toJson",
    value: function toJson() {
      return JSON.stringify({
        id: this.id,
        statement: this.parsedStatement.statement,
        database: this.database // session:

      });
    }
  }], [{
    key: "fromJs",
    value: function fromJs(executor, executableRaw) {
      var executable = new SqlExecutable({
        database: executableRaw.database,
        executor: executor,
        parsedStatement: executableRaw.parsedStatement
      });
      executable.executeEnded = executableRaw.executeEnded;
      executable.executeStarted = executableRaw.executeStarted;
      executable.handle = executableRaw.handle;
      executable.history = executableRaw.history;
      executable.id = executableRaw.id;
      executable.logs.errors = executableRaw.logs.errors;
      executable.logs.jobs = executableRaw.logs.jobs;
      executable.lost = executableRaw.lost;
      executable.observerState = executableRaw.observerState || {};
      executable.operationId = executableRaw.history && executableRaw.history.uuid;
      executable.progress = executableRaw.progress;
      executable.status = executableRaw.status;
      return executable;
    }
  }]);

  return SqlExecutable;
}(_executable__WEBPACK_IMPORTED_MODULE_1__["default"]);



/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/notebook.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/notebook.js ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return Notebook; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _execution_sessionManager__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./execution/sessionManager */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sessionManager.js");
/* harmony import */ var _snippet__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./snippet */ "./desktop/core/src/desktop/js/apps/notebook2/snippet.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var Notebook =
/*#__PURE__*/
function () {
  function Notebook(vm, notebookRaw) {
    var _this = this;

    _classCallCheck(this, Notebook);

    this.parentVm = vm;
    this.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.id);
    this.uuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.uuid || _utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());
    this.name = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.name || '');
    this.description = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.description || '');
    this.type = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.type || 'notebook');
    this.initialType = this.type().replace('query-', '');
    this.coordinatorUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.coordinatorUuid);
    this.isHistory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.is_history);
    this.isManaged = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.isManaged);
    this.parentSavedQueryUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.parentSavedQueryUuid); // History parent

    this.isSaved = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.isSaved);
    this.canWrite = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.can_write !== false);
    this.onSuccessUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.onSuccessUrl);
    this.pubSubUrl = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.pubSubUrl);
    this.isPresentationModeDefault = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.isPresentationModeDefault);
    this.isPresentationMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isPresentationModeInitialized = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isPresentationMode.subscribe(function (newValue) {
      if (!newValue) {
        _this.cancelExecutingAll();
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('editor.presentation.operate.toggle', newValue); // Problem with headers / row numbers redraw on full screen results

      vm.togglePresentationMode();

      if (newValue) {
        _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].convert('editor', 'presentation');
      }
    });
    this.presentationSnippets = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({});
    this.isHidingCode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.isHidingCode);
    this.snippets = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.selectedSnippet = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.editorType()); // Aka selectedSnippetType

    this.directoryUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.directoryUuid);
    this.dependents = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(notebookRaw.dependents || []);
    this.dependentsCoordinator = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.dependents().filter(function (doc) {
        return doc.type() === 'oozie-coordinator2' && doc.is_managed();
      });
    });

    if (this.dependentsCoordinator().length > 0 && !this.coordinatorUuid()) {
      this.coordinatorUuid(this.dependentsCoordinator()[0].uuid());
    }

    this.history = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](vm.selectedNotebook() && vm.selectedNotebook().history().length > 0 && vm.selectedNotebook().history()[0].type === this.type() ? vm.selectedNotebook().history() : []); // This is to keep the "Saved Query" tab selected when opening a doc from the left assist
    // TODO: Refactor code to reflect purpose

    this.history.subscribe(function (val) {
      if (_this.id() == null && val.length === 0 && _this.historyFilter() === '' && !vm.isNotificationManager()) {
        _this.snippets()[0].currentQueryTab('savedQueries');
      }
    });
    this.historyFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    this.historyFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.historyFilter.extend({
      rateLimit: {
        method: 'notifyWhenChangesStop',
        timeout: 900
      }
    });
    this.historyFilter.subscribe(function () {
      if (_this.historyCurrentPage() !== 1) {
        _this.historyCurrentPage(1);
      } else {
        _this.fetchHistory();
      }
    });
    this.loadingHistory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](this.history().length === 0);
    this.historyInitialHeight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0).extend({
      throttle: 1000
    });
    this.forceHistoryInitialHeight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.historyCurrentPage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() ? vm.selectedNotebook().historyCurrentPage() : 1);
    this.historyCurrentPage.subscribe(function () {
      _this.fetchHistory();
    });
    this.historyTotalPages = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](vm.selectedNotebook() ? vm.selectedNotebook().historyTotalPages() : 1);
    this.schedulerViewModel = null;
    this.schedulerViewModelIsLoaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.schedulerViewerViewModel = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.isBatchable = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.snippets().length > 0 && _this.snippets().every(function (snippet) {
        return snippet.isBatchable();
      });
    });
    this.isExecutingAll = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!notebookRaw.isExecutingAll);
    this.executingAllIndex = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.executingAllIndex || 0);
    this.retryModalConfirm = null;
    this.retryModalCancel = null;
    this.avoidClosing = false;
    this.canSave = vm.canSave;
    this.unloaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.updateHistoryFailed = false;
    this.viewSchedulerId = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](notebookRaw.viewSchedulerId || '');
    this.viewSchedulerId.subscribe(function () {
      _this.save();
    });
    this.isSchedulerJobRunning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.loadingScheduler = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false); // Init

    if (notebookRaw.snippets) {
      notebookRaw.snippets.forEach(function (snippetRaw) {
        _this.addSnippet(snippetRaw);
      });

      if (typeof notebookRaw.presentationSnippets != 'undefined' && notebookRaw.presentationSnippets != null) {
        // Load
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(notebookRaw.presentationSnippets, function (key, snippet) {
          snippet.status = 'ready'; // Protect from storm of check_statuses

          var _snippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](vm, _this, snippet);

          _snippet.init();

          _this.presentationSnippets()[key] = _snippet;
        });
      }

      if (vm.editorMode() && this.history().length === 0) {
        this.fetchHistory(function () {
          _this.updateHistory(['starting', 'running'], 30000);

          _this.updateHistory(['available'], 60000 * 5);
        });
      }
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribeOnce('assist.db.panel.ready', function () {
      if (_this.type().indexOf('query') === 0) {
        var whenDatabaseAvailable = function whenDatabaseAvailable(snippet) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.set.database', {
            source: snippet.type(),
            namespace: snippet.namespace(),
            name: snippet.database()
          });
        };

        var whenNamespaceAvailable = function whenNamespaceAvailable(snippet) {
          if (snippet.database()) {
            whenDatabaseAvailable(snippet);
          } else {
            var databaseSub = snippet.database.subscribe(function () {
              databaseSub.dispose();
              whenDatabaseAvailable(snippet);
            });
          }
        };

        var whenSnippetAvailable = function whenSnippetAvailable(snippet) {
          if (snippet.namespace()) {
            whenNamespaceAvailable(snippet);
          } else {
            var namespaceSub = snippet.namespace.subscribe(function () {
              namespaceSub.dispose();
              whenNamespaceAvailable(snippet);
            });
          }
        };

        if (_this.snippets().length === 1) {
          whenSnippetAvailable(_this.snippets()[0]);
        } else {
          var snippetsSub = _this.snippets.subscribe(function (snippets) {
            if (snippets.length === 1) {
              whenSnippetAvailable(snippets[0]);
            }

            snippetsSub.dispose();
          });
        }
      }
    }, vm.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.is.db.panel.ready');
  }

  _createClass(Notebook, [{
    key: "addSnippet",
    value: function addSnippet(snippetRaw) {
      var newSnippet = new _snippet__WEBPACK_IMPORTED_MODULE_8__["default"](this.parentVm, this, snippetRaw);
      this.snippets.push(newSnippet);
      newSnippet.init();
      return newSnippet;
    }
  }, {
    key: "clearHistory",
    value: function clearHistory() {
      var _this2 = this;

      return regeneratorRuntime.async(function clearHistory$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'clearHistory');
              _context.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"];
              _context.next = 4;
              return regeneratorRuntime.awrap(this.toContextJson());

            case 4:
              _context.t1 = _context.sent;
              _context.t2 = this.selectedSnippet();
              _context.t3 = this.parentVm.isNotificationManager();
              _context.t4 = {
                notebookJson: _context.t1,
                docType: _context.t2,
                isNotificationManager: _context.t3
              };

              _context.t5 = function () {
                _this2.history.removeAll();

                if (_this2.isHistory()) {
                  _this2.id(null);

                  _this2.uuid(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_6__["default"].UUID());

                  _this2.parentVm.changeURL(_this2.parentVm.URLS.editor + '?type=' + _this2.parentVm.editorType());
                }
              };

              _context.t6 = function (xhr) {
                if (xhr.status !== 502) {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
                }
              };

              _context.t0.clearNotebookHistory.call(_context.t0, _context.t4).then(_context.t5).fail(_context.t6);

              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('hideHistoryModal');

            case 12:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "clearResults",
    value: function clearResults() {
      this.snippets().forEach(function (snippet) {
        snippet.result.clear();
        snippet.status(_snippet__WEBPACK_IMPORTED_MODULE_8__["STATUS"].ready);
      });
    }
  }, {
    key: "close",
    value: function close() {
      return regeneratorRuntime.async(function close$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'close');
              _context2.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"];
              _context2.next = 4;
              return regeneratorRuntime.awrap(this.toJson());

            case 4:
              _context2.t1 = _context2.sent;
              _context2.t2 = this.parentVm.editorMode();
              _context2.t3 = {
                notebookJson: _context2.t1,
                editorMode: _context2.t2
              };

              _context2.t0.closeNotebook.call(_context2.t0, _context2.t3);

            case 8:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "executeAll",
    value: function executeAll() {
      if (this.isExecutingAll() || this.snippets().length === 0) {
        return;
      }

      this.isExecutingAll(true);
      this.executingAllIndex(0);
      this.snippets()[this.executingAllIndex()].execute();
    }
  }, {
    key: "fetchHistory",
    value: function fetchHistory(callback) {
      var _this3 = this;

      var QUERIES_PER_PAGE = 50;
      this.loadingHistory(true);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/notebook/api/get_history', {
        doc_type: this.selectedSnippet(),
        limit: QUERIES_PER_PAGE,
        page: this.historyCurrentPage(),
        doc_text: this.historyFilter(),
        is_notification_manager: this.parentVm.isNotificationManager()
      }, function (data) {
        var parsedHistory = [];

        if (data && data.history) {
          data.history.forEach(function (nbk) {
            parsedHistory.push(_this3.makeHistoryRecord(nbk.absoluteUrl, nbk.data.statement, nbk.data.lastExecuted, nbk.data.status, nbk.name, nbk.uuid));
          });
        }

        _this3.history(parsedHistory);

        _this3.historyTotalPages(Math.ceil(data.count / QUERIES_PER_PAGE));
      }).always(function () {
        _this3.loadingHistory(false);

        if (callback) {
          callback();
        }
      });
    }
  }, {
    key: "getSnippets",
    value: function getSnippets(type) {
      return this.snippets().filter(function (snippet) {
        return snippet.type() === type;
      });
    }
  }, {
    key: "loadScheduler",
    value: function loadScheduler() {
      if (typeof this.parentVm.CoordinatorEditorViewModel !== 'undefined' && this.isBatchable()) {
        var action;

        if (this.coordinatorUuid()) {
          action = 'edit';
        } else {
          action = 'new';
        }

        _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'schedule/' + action);

        var getCoordinator = function getCoordinator() {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/scheduler/api/schedule/' + action + '/', {
            format: 'json',
            document: this.uuid(),
            coordinator: this.coordinatorUuid()
          }, function (data) {
            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor').length > 0) {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hue4.process.headers', {
                response: data.layout,
                callback: function callback(r) {
                  var $schedulerEditor = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#schedulerEditor');
                  $schedulerEditor.html(r);
                  this.schedulerViewModel = new this.parentVm.CoordinatorEditorViewModel(data.coordinator, data.credentials, data.workflows, data.can_edit);
                  knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($schedulerEditor[0]);
                  knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](this.schedulerViewModel, $schedulerEditor[0]);
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('showSubmitPopup');
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('showSubmitPopup', function (event, data) {
                    var $submitModalEditor = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor');
                    $submitModalEditor.html(data);
                    $submitModalEditor.modal('show');
                    $submitModalEditor.on('hidden', function () {
                      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hide.datepicker');
                    });

                    var _sel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-form .control-group[rel!="popover"]:visible');

                    if (_sel.length > 0) {
                      var $submitModalEditorBody = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.submit-modal-editor .modal-body');
                      $submitModalEditorBody.height($submitModalEditorBody.height() + 60);
                    }
                  });
                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('render.jqcron');
                  this.schedulerViewModel.coordinator.properties.cron_advanced.valueHasMutated(); // Update jsCron enabled status

                  this.schedulerViewModel.coordinator.tracker().markCurrentStateAsClean();
                  this.schedulerViewModel.isEditing(true);
                  this.schedulerViewModelIsLoaded(true);

                  if (action === 'new') {
                    this.schedulerViewModel.coordinator.properties.document(this.uuid()); // Expected for triggering the display
                  }
                }
              });
            }
          }).fail(function (xhr) {
            if (xhr.status !== 502) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
            }
          });
        };

        getCoordinator();
      }
    }
  }, {
    key: "makeHistoryRecord",
    value: function makeHistoryRecord(url, statement, lastExecuted, status, name, uuid) {
      return knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS({
        url: url,
        query: statement.substring(0, 1000) + (statement.length > 1000 ? '...' : ''),
        lastExecuted: lastExecuted,
        status: status,
        name: name,
        uuid: uuid
      });
    }
  }, {
    key: "newSnippet",
    value: function newSnippet(type) {
      if (type) {
        this.selectedSnippet(type);
      }

      var snippet = this.addSnippet({
        type: this.selectedSnippet(),
        result: {}
      });
      window.setTimeout(function () {
        var lastSnippet = snippet;

        if (lastSnippet.ace() != null) {
          lastSnippet.ace().focus();
        }
      }, 100);
      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'add_snippet/' + (type ? type : this.selectedSnippet()));
      return snippet;
    }
  }, {
    key: "newSnippetAbove",
    value: function newSnippetAbove(id) {
      this.newSnippet();
      var idx = 0;
      this.snippets().forEach(function (snippet, cnt) {
        if (snippet.id() === id) {
          idx = cnt;
        }
      });
      this.snippets(this.snippets().move(this.snippets().length - 1, idx));
    }
  }, {
    key: "nextHistoryPage",
    value: function nextHistoryPage() {
      if (this.historyCurrentPage() < this.historyTotalPages()) {
        this.historyCurrentPage(this.historyCurrentPage() + 1);
      }
    }
  }, {
    key: "prevHistoryPage",
    value: function prevHistoryPage() {
      if (this.historyCurrentPage() !== 1) {
        this.historyCurrentPage(this.historyCurrentPage() - 1);
      }
    }
  }, {
    key: "save",
    value: function save(callback) {
      var editorMode, data, wasHistory, existingQuery;
      return regeneratorRuntime.async(function save$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_4__["default"].log('notebook', 'save');
              editorMode = this.parentVm.editorMode() || this.isPresentationMode() && this.parentVm.editorType() !== 'notebook'; // Editor should not convert to Notebook in presentation mode

              _context3.prev = 2;
              _context3.t0 = regeneratorRuntime;
              _context3.t1 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"];
              _context3.next = 7;
              return regeneratorRuntime.awrap(this.toJson());

            case 7:
              _context3.t2 = _context3.sent;
              _context3.t3 = editorMode;
              _context3.t4 = {
                notebookJson: _context3.t2,
                editorMode: _context3.t3
              };
              _context3.t5 = _context3.t1.saveNotebook.call(_context3.t1, _context3.t4);
              _context3.next = 13;
              return _context3.t0.awrap.call(_context3.t0, _context3.t5);

            case 13:
              data = _context3.sent;

              if (data.status === 0) {
                this.id(data.id);
                this.isSaved(true);
                wasHistory = this.isHistory();
                this.isHistory(false);
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.message);

                if (editorMode) {
                  if (!data.save_as) {
                    existingQuery = this.snippets()[0].queries().filter(function (item) {
                      return item.uuid() === data.uuid;
                    });

                    if (existingQuery.length > 0) {
                      existingQuery[0].name(data.name);
                      existingQuery[0].description(data.description);
                      existingQuery[0].last_modified(data.last_modified);
                    }
                  } else if (this.snippets()[0].queries().length > 0) {
                    // Saved queries tab already loaded
                    this.snippets()[0].queries.unshift(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data));
                  }

                  if (this.coordinatorUuid() && this.schedulerViewModel) {
                    this.saveScheduler();
                    this.schedulerViewModel.coordinator.refreshParameters();
                  }

                  if (wasHistory || data.save_as) {
                    this.loadScheduler();
                  }

                  if (this.snippets()[0].downloadResultViewModel && this.snippets()[0].downloadResultViewModel().saveTarget() === 'dashboard') {
                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', this.parentVm.URLS.report + '&uuid=' + data.uuid + '&statement=' + this.snippets()[0].result.handle().statement_id);
                  } else {
                    this.parentVm.changeURL(this.parentVm.URLS.editor + '?editor=' + data.id);
                  }
                } else {
                  this.parentVm.changeURL(this.parentVm.URLS.notebook + '?notebook=' + data.id);
                }

                if (typeof callback == 'function') {
                  callback();
                }
              } else {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
              }

              _context3.next = 21;
              break;

            case 17:
              _context3.prev = 17;
              _context3.t6 = _context3["catch"](2);
              console.error(_context3.t6);

              if (_context3.t6 && _context3.t6.status !== 502) {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', _context3.t6.responseText);
              }

            case 21:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this, [[2, 17]]);
    }
  }, {
    key: "saveScheduler",
    value: function saveScheduler() {
      var _this4 = this;

      if (this.isBatchable() && (!this.coordinatorUuid() || this.schedulerViewModel.coordinator.isDirty())) {
        this.schedulerViewModel.coordinator.isManaged(true);
        this.schedulerViewModel.coordinator.properties.document(this.uuid());
        this.schedulerViewModel.save(function (data) {
          if (!_this4.coordinatorUuid()) {
            _this4.coordinatorUuid(data.uuid);

            _this4.save();
          }
        });
      }
    }
  }, {
    key: "showSubmitPopup",
    value: function showSubmitPopup() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/scheduler/api/submit/' + this.coordinatorUuid(), {
        format: 'json'
      }, function (data) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showSubmitPopup', data);
      }).fail(function (xhr) {
        if (xhr.status !== 502) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
        }
      });
    }
  }, {
    key: "toContextJson",
    value: function toContextJson() {
      return regeneratorRuntime.async(function toContextJson$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              _context4.t0 = JSON;
              _context4.t1 = this.id();
              _context4.t2 = this.isSaved();
              _context4.t3 = this.name();
              _context4.t4 = this.parentSavedQueryUuid();
              _context4.next = 7;
              return regeneratorRuntime.awrap(_execution_sessionManager__WEBPACK_IMPORTED_MODULE_7__["default"].getAllSessions());

            case 7:
              _context4.t5 = _context4.sent;
              _context4.t6 = this.type();
              _context4.t7 = this.uuid();
              _context4.t8 = {
                id: _context4.t1,
                isSaved: _context4.t2,
                name: _context4.t3,
                parentSavedQueryUuid: _context4.t4,
                sessions: _context4.t5,
                type: _context4.t6,
                uuid: _context4.t7
              };
              return _context4.abrupt("return", _context4.t0.stringify.call(_context4.t0, _context4.t8));

            case 12:
            case "end":
              return _context4.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "toJs",
    value: function toJs() {
      return regeneratorRuntime.async(function toJs$(_context5) {
        while (1) {
          switch (_context5.prev = _context5.next) {
            case 0:
              _context5.t0 = this.coordinatorUuid();
              _context5.t1 = this.description();
              _context5.t2 = this.directoryUuid();
              _context5.t3 = this.executingAllIndex();
              _context5.t4 = this.id();
              _context5.t5 = this.isExecutingAll();
              _context5.t6 = this.isHidingCode();
              _context5.t7 = this.isHistory();
              _context5.t8 = this.isManaged();
              _context5.t9 = this.isPresentationModeDefault();
              _context5.t10 = this.isSaved();
              _context5.t11 = this.name();
              _context5.t12 = this.onSuccessUrl();
              _context5.t13 = this.parentSavedQueryUuid();
              _context5.t14 = this.presentationSnippets();
              _context5.t15 = this.pubSubUrl();
              _context5.t16 = {};
              _context5.next = 19;
              return regeneratorRuntime.awrap(_execution_sessionManager__WEBPACK_IMPORTED_MODULE_7__["default"].getAllSessions());

            case 19:
              _context5.t17 = _context5.sent;
              _context5.t18 = this.snippets().map(function (snippet) {
                return snippet.toJs();
              });
              _context5.t19 = this.type();
              _context5.t20 = this.uuid();
              _context5.t21 = this.viewSchedulerId();
              return _context5.abrupt("return", {
                coordinatorUuid: _context5.t0,
                description: _context5.t1,
                directoryUuid: _context5.t2,
                executingAllIndex: _context5.t3,
                id: _context5.t4,
                isExecutingAll: _context5.t5,
                isHidingCode: _context5.t6,
                isHistory: _context5.t7,
                isManaged: _context5.t8,
                isPresentationModeDefault: _context5.t9,
                isSaved: _context5.t10,
                name: _context5.t11,
                onSuccessUrl: _context5.t12,
                parentSavedQueryUuid: _context5.t13,
                presentationSnippets: _context5.t14,
                pubSubUrl: _context5.t15,
                result: _context5.t16,
                sessions: _context5.t17,
                snippets: _context5.t18,
                type: _context5.t19,
                uuid: _context5.t20,
                viewSchedulerId: _context5.t21
              });

            case 25:
            case "end":
              return _context5.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "toJson",
    value: function toJson() {
      return regeneratorRuntime.async(function toJson$(_context6) {
        while (1) {
          switch (_context6.prev = _context6.next) {
            case 0:
              _context6.t0 = JSON;
              _context6.next = 3;
              return regeneratorRuntime.awrap(this.toJs());

            case 3:
              _context6.t1 = _context6.sent;
              return _context6.abrupt("return", _context6.t0.stringify.call(_context6.t0, _context6.t1));

            case 5:
            case "end":
              return _context6.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "unload",
    value: function unload() {
      this.unloaded(true);
      var currentQueries = null;
      this.snippets().forEach(function (snippet) {
        if (snippet.checkStatusTimeout != null) {
          clearTimeout(snippet.checkStatusTimeout);
          snippet.checkStatusTimeout = null;
        }

        if (currentQueries == null) {
          currentQueries = snippet.queries();
        }
      });
      return currentQueries;
    }
  }, {
    key: "updateHistory",
    value: function updateHistory(statuses, interval) {
      var _this5 = this;

      var items = this.history().filter(function (item) {
        return statuses.indexOf(item.status()) !== -1;
      }).slice(0, 25);

      var updateHistoryCall = function updateHistoryCall(item) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].checkStatus({
          notebookJson: JSON.stringify({
            uuid: item.uuid()
          })
        }).then(function (data) {
          var status = data.status === -3 ? 'expired' : data.status === 0 ? data.query_status.status : 'failed';

          if (status && item.status() !== status) {
            item.status(status);
          }
        }).fail(function () {
          items = [];
          _this5.updateHistoryFailed = true;
          console.warn('Lost connectivity to the Hue history refresh backend.');
        }).always(function () {
          if (items.length > 0) {
            window.setTimeout(function () {
              updateHistoryCall(items.pop());
            }, 1000);
          } else if (!_this5.updateHistoryFailed) {
            window.setTimeout(function () {
              _this5.updateHistory(statuses, interval);
            }, interval);
          }
        });
      };

      if (items.length > 0) {
        updateHistoryCall(items.pop());
      } else if (!this.updateHistoryFailed) {
        window.setTimeout(function () {
          _this5.updateHistory(statuses, interval);
        }, interval);
      }
    }
  }]);

  return Notebook;
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/apps/notebook2/snippet.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/apps/notebook2/snippet.js ***!
  \***************************************************************/
/*! exports provided: CURRENT_QUERY_TAB_SWITCHED_EVENT, STATUS, default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CURRENT_QUERY_TAB_SWITCHED_EVENT", function() { return CURRENT_QUERY_TAB_SWITCHED_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "STATUS", function() { return STATUS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return Snippet; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var markdown__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! markdown */ "./node_modules/markdown/lib/index.js");
/* harmony import */ var markdown__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(markdown__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _components_ko_executableActions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./components/ko.executableActions */ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableActions.js");
/* harmony import */ var _components_ko_executableLogs__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./components/ko.executableLogs */ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableLogs.js");
/* harmony import */ var _components_ko_executableProgressBar__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./components/ko.executableProgressBar */ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.executableProgressBar.js");
/* harmony import */ var _components_ko_snippetEditorActions__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./components/ko.snippetEditorActions */ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetEditorActions.js");
/* harmony import */ var _components_ko_snippetResults__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./components/ko.snippetResults */ "./desktop/core/src/desktop/js/apps/notebook2/components/ko.snippetResults.js");
/* harmony import */ var _notebook_aceAutocompleteWrapper__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../notebook/aceAutocompleteWrapper */ "./desktop/core/src/desktop/js/apps/notebook/aceAutocompleteWrapper.js");
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _execution_executor__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./execution/executor */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executor.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _execution_sessionManager__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./execution/sessionManager */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sessionManager.js");
/* harmony import */ var _execution_sqlExecutable__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./execution/sqlExecutable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sqlExecutable.js");
/* harmony import */ var _events__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./events */ "./desktop/core/src/desktop/js/apps/notebook2/events.js");
/* harmony import */ var _execution_executable__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _ko_bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ../../ko/bindings/ace/aceLocationHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




















 // TODO: Remove for ENABLE_NOTEBOOK_2. Temporary here for debug

window.SqlExecutable = _execution_sqlExecutable__WEBPACK_IMPORTED_MODULE_16__["default"];
window.Executor = _execution_executor__WEBPACK_IMPORTED_MODULE_11__["default"];
var CURRENT_QUERY_TAB_SWITCHED_EVENT = 'current.query.tab.switched';
var TYPE = {
  hive: 'hive',
  impala: 'impala',
  jar: 'jar',
  py: 'py',
  java: 'java',
  spark2: 'spark2',
  shell: 'shell',
  mapreduce: 'mapreduce',
  pig: 'pig',
  distcp: 'distcp',
  sqoop1: 'sqoop1'
};
var STATUS = {
  available: 'available',
  canceled: 'canceled',
  canceling: 'canceling',
  expired: 'expired',
  failed: 'failed',
  loading: 'loading',
  ready: 'ready',
  readyExecute: 'ready-execute',
  running: 'running',
  starting: 'starting',
  success: 'success',
  waiting: 'waiting',
  withOptimizerReport: 'with-optimizer-report'
};
var STATUS_FOR_BUTTONS = {
  canceled: 'canceled',
  canceling: 'canceling',
  executed: 'executed',
  executing: 'executing'
};
var COMPATIBILITY_SOURCE_PLATFORMS = {
  access: {
    name: 'Access',
    value: 'access'
  },
  ansisql: {
    name: 'ANSISQL',
    value: 'ansisql'
  },
  db2: {
    name: 'DB2',
    value: 'db2'
  },
  firebird: {
    name: 'Firebird',
    value: 'firebird'
  },
  generic: {
    name: 'Generic',
    value: 'generic'
  },
  greenplum: {
    name: 'Greenplum',
    value: 'greenplum'
  },
  hive: {
    name: 'Hive',
    value: 'hive'
  },
  impala: {
    name: 'Impala',
    value: 'impala'
  },
  informix: {
    name: 'Informix',
    value: 'informix'
  },
  mysql: {
    name: 'MySQL',
    value: 'mysql'
  },
  netezza: {
    name: 'Netezza',
    value: 'netezza'
  },
  oracle: {
    name: 'Oracle',
    value: 'oracle'
  },
  postgresql: {
    name: 'PostgreSQL',
    value: 'postgresql'
  },
  sqlserver: {
    name: 'SQL Server',
    value: 'sqlserver'
  },
  sybase: {
    name: 'Sybase',
    value: 'sybase'
  },
  teradata: {
    name: 'Teradata',
    value: 'teradata'
  }
};
var COMPATIBILITY_TARGET_PLATFORMS = {
  hive: {
    name: 'Hive',
    value: TYPE.hive
  },
  impala: {
    name: 'Impala',
    value: TYPE.impala
  }
};

var getDefaultSnippetProperties = function getDefaultSnippetProperties(snippetType) {
  var properties = {};

  if (snippetType === TYPE.jar || snippetType === TYPE.py) {
    properties['driverCores'] = '';
    properties['executorCores'] = '';
    properties['numExecutors'] = '';
    properties['queue'] = '';
    properties['archives'] = [];
    properties['files'] = [];
  } else if (snippetType === TYPE.java) {
    properties['archives'] = [];
    properties['files'] = [];
    properties['capture_output'] = false;
  } else if (snippetType === TYPE.shell) {
    properties['archives'] = [];
    properties['files'] = [];
  } else if (snippetType === TYPE.mapreduce) {
    properties['app_jar'] = '';
    properties['hadoopProperties'] = [];
    properties['jars'] = [];
    properties['files'] = [];
    properties['archives'] = [];
  } else if (snippetType === TYPE.spark2) {
    properties['app_name'] = '';
    properties['class'] = '';
    properties['jars'] = [];
    properties['spark_opts'] = [];
    properties['spark_arguments'] = [];
    properties['files'] = [];
  } else if (snippetType === TYPE.sqoop1) {
    properties['files'] = [];
  } else if (snippetType === TYPE.hive) {
    properties['settings'] = [];
    properties['files'] = [];
    properties['functions'] = [];
    properties['arguments'] = [];
  } else if (snippetType === TYPE.impala) {
    properties['settings'] = [];
  } else if (snippetType === TYPE.pig) {
    properties['parameters'] = [];
    properties['hadoopProperties'] = [];
    properties['resources'] = [];
  } else if (snippetType === TYPE.distcp) {
    properties['source_path'] = '';
    properties['destination_path'] = '';
  } else if (snippetType === TYPE.shell) {
    properties['command_path'] = '';
    properties['arguments'] = [];
    properties['env_var'] = [];
    properties['capture_output'] = true;
  }

  if (snippetType === TYPE.jar || snippetType === TYPE.java) {
    properties['app_jar'] = '';
    properties['class'] = '';
    properties['arguments'] = [];
  } else if (snippetType === TYPE.py) {
    properties['py_file'] = '';
    properties['arguments'] = [];
  }

  return properties;
};

var ERROR_REGEX = /line ([0-9]+)(:([0-9]+))?/i;

var Snippet =
/*#__PURE__*/
function () {
  function Snippet(vm, notebook, snippetRaw) {
    var _this = this;

    _classCallCheck(this, Snippet);

    this.parentVm = vm;
    this.parentNotebook = notebook;
    this.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.id || _utils_hueUtils__WEBPACK_IMPORTED_MODULE_14__["default"].UUID());
    this.name = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.name || '');
    this.type = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.type.subscribe(function (newValue) {
      // TODO: Add session disposal for ENABLE_NOTEBOOK_2
      // Pre-create a session to speed up execution
      _execution_sessionManager__WEBPACK_IMPORTED_MODULE_15__["default"].getSession({
        type: newValue
      }).then(function () {
        _this.status(STATUS.ready);
      });
    });
    this.type(snippetRaw.type || TYPE.hive);
    this.isBatchable = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.type() === _this.hive || _this.type() === _this.impala || _this.parentVm.availableLanguages.some(function (language) {
        return language.type === _this.type() && (language["interface"] == 'oozie' || language["interface"] == 'sqlalchemy');
      });
    });
    this.autocompleteSettings = {
      temporaryOnly: false
    }; // Ace stuff

    this.aceCursorPosition = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](this.parentNotebook.isHistory() ? snippetRaw.aceCursorPosition : null);
    this.aceEditor = null;
    this.errors = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    this.aceErrorsHolder = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    this.aceWarningsHolder = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    this.aceErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.showOptimizer() ? _this.aceErrorsHolder() : [];
    });
    this.aceWarnings = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.showOptimizer() ? _this.aceWarningsHolder() : [];
    });
    this.availableSnippets = this.parentVm.availableSnippets();
    this.inFocus = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.inFocus.subscribe(function (newValue) {
      if (newValue) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('active.snippet.type.changed', {
          type: _this.type(),
          isSqlDialect: _this.isSqlDialect()
        });
      }
    });
    this.editorMode = this.parentVm.editorMode;
    this.explanation = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    this.getAceMode = function () {
      return _this.parentVm.getSnippetViewSettings(_this.type()).aceMode;
    };

    this.dbSelectionVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.showExecutionAnalysis = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.isSqlDialect = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.parentVm.getSnippetViewSettings(_this.type()).sqlDialect;
    }); // namespace and compute might be initialized as empty object {}

    this.namespace = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.namespace && snippetRaw.namespace.id ? snippetRaw.namespace : undefined);
    this.compute = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.compute && snippetRaw.compute.id ? snippetRaw.compute : undefined);
    this.availableDatabases = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.database = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    var previousDatabase = null;
    this.database.subscribe(function (newValue) {
      if (newValue !== null) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].setInTotalStorage('editor', 'last.selected.database', newValue);

        if (previousDatabase !== null && previousDatabase !== newValue) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.refresh.statement.locations', _this);
        }

        previousDatabase = newValue;
      }
    });
    this.database(snippetRaw.database); // History is currently in Notebook, same with saved queries by snippets, might be better in assist

    this.currentQueryTab = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.currentQueryTab || 'queryHistory');
    this.pinnedContextTabs = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](snippetRaw.pinnedContextTabs || []);
    this.errorLoadingQueries = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.loadingQueries = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.queriesHasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.queriesCurrentPage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](this.parentVm.selectedNotebook() && this.parentVm.selectedNotebook().snippets().length > 0 ? this.parentVm.selectedNotebook().snippets()[0].queriesCurrentPage() : 1);
    this.queriesTotalPages = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](this.parentVm.selectedNotebook() && this.parentVm.selectedNotebook().snippets().length > 0 ? this.parentVm.selectedNotebook().snippets()[0].queriesTotalPages() : 1);
    this.queries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    this.queriesFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    this.queriesFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.queriesFilter.extend({
      rateLimit: {
        method: 'notifyWhenChangesStop',
        timeout: 900
      }
    });
    this.queriesFilter.subscribe(function () {
      _this.fetchQueries();
    });
    this.lastFetchQueriesRequest = null;
    this.lastQueriesPage = 1;
    this.currentQueryTab.subscribe(function (newValue) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish(CURRENT_QUERY_TAB_SWITCHED_EVENT, newValue);

      if (newValue === 'savedQueries' && (_this.queries().length === 0 || _this.lastQueriesPage !== _this.queriesCurrentPage())) {
        _this.fetchQueries();
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].subscribeOnce('assist.source.set', function (source) {
      if (source !== _this.type()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('assist.set.source', _this.type());
      }
    }, this.parentVm.huePubSubId);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('assist.get.source');
    this.ignoreNextAssistDatabaseUpdate = false;

    if (!this.database()) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('assist.get.database.callback', {
        source: this.type(),
        callback: function callback(databaseDef) {
          _this.handleAssistSelection(databaseDef);
        }
      });
    }

    this.statementType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.statementType || 'text');
    this.statementTypes = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](['text', 'file']); // Maybe computed later for Spark

    if (!this.parentVm.editorMode()) {
      this.statementTypes.push('document');
    }

    this.statementPath = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.statementPath || '');
    this.externalStatementLoaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.statementPath.subscribe(function () {
      _this.getExternalStatement();
    });
    this.associatedDocumentLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    this.associatedDocument = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.associatedDocumentUuid = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.associatedDocumentUuid);
    this.associatedDocumentUuid.subscribe(function (val) {
      if (val !== '') {
        _this.getExternalStatement();
      } else {
        _this.statement_raw('');

        _this.ace().setValue('', 1);
      }
    });
    this.statement_raw = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.statement_raw || '');
    this.selectedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    this.positionStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    this.lastExecutedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    this.statementsList = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    var beforeExecute = false;

    this.beforeExecute = function () {
      beforeExecute = true;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish(_ko_bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_19__["REFRESH_STATEMENT_LOCATIONS_EVENT"], _this);
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].subscribe(_ko_bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_19__["ACTIVE_STATEMENT_CHANGED_EVENT"], function (statementDetails) {
      if (_this.ace() && _this.ace().container.id === statementDetails.id) {
        var _loop = function _loop(i) {
          if (statementDetails.precedingStatements[i].database) {
            _this.availableDatabases().some(function (availableDatabase) {
              if (availableDatabase.toLowerCase() === statementDetails.precedingStatements[i].database.toLowerCase()) {
                _this.database(availableDatabase);

                return true;
              }
            });

            return "break";
          }
        };

        for (var i = statementDetails.precedingStatements.length - 1; i >= 0; i--) {
          var _ret = _loop(i);

          if (_ret === "break") break;
        }

        _this.positionStatement(statementDetails.activeStatement);

        _this.activeExecutable(_this.executor.update(statementDetails, beforeExecute));

        beforeExecute = false;

        if (statementDetails.activeStatement) {
          var statementsList = [];
          statementDetails.precedingStatements.forEach(function (statement) {
            statementsList.push(statement.statement);
          });
          statementsList.push(statementDetails.activeStatement.statement);
          statementDetails.followingStatements.forEach(function (statement) {
            statementsList.push(statement.statement);
          });

          _this.statementsList(statementsList); // Or fetch on demand via editor.refresh.statement.locations and remove observableArray?

        } else {
          _this.statementsList([]);
        }

        if (!_this.parentNotebook.isPresentationModeInitialized()) {
          if (_this.parentNotebook.isPresentationModeDefault()) {
            // When switching to presentation mode, the snippet in non presentation mode cannot get status notification.
            // On initiailization, status is set to loading and does not get updated, because we moved to presentation mode.
            _this.status(STATUS.ready);
          } // Changing to presentation mode requires statementsList to be initialized. statementsList is initialized asynchronously.
          // When presentation mode is default, we cannot change before statementsList has been calculated.
          // Cleaner implementation would be to make toggleEditorMode statementsList asynchronous
          // However this is currently impossible due to delete _notebook.presentationSnippets()[key];


          _this.parentNotebook.isPresentationModeInitialized(true);

          _this.parentNotebook.isPresentationMode(_this.parentNotebook.isPresentationModeDefault());
        }
      }
    }, this.parentVm.huePubSubId);
    this.aceSize = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.aceSize || 100);
    this.status = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.status || STATUS.loading);
    this.statusForButtons = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](STATUS_FOR_BUTTONS.executed);
    this.properties = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(snippetRaw.properties || getDefaultSnippetProperties(this.type())));
    this.hasProperties = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return Object.keys(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(_this.properties())).length > 0;
    });
    this.viewSettings = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.parentVm.getSnippetViewSettings(_this.type());
    });
    var previousProperties = {};
    this.type.subscribe(function (oldValue) {
      previousProperties[oldValue] = _this.properties();
    }, null, 'beforeChange');
    this.type.subscribe(function (newValue) {
      if (typeof previousProperties[newValue] !== 'undefined') {
        _this.properties(previousProperties[newValue]);
      } else {
        _this.properties(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(getDefaultSnippetProperties(newValue)));
      }

      window.setTimeout(function () {
        if (_this.ace() !== null) {
          _this.ace().focus();
        }
      }, 100);
    });

    if (snippetRaw.variables) {
      snippetRaw.variables.forEach(function (variable) {
        variable.meta = _typeof(variable.defaultValue) === 'object' && variable.defaultValue || {
          type: 'text',
          placeholder: ''
        };
        variable.value = variable.value || '';
        variable.type = variable.type || 'text';
        variable.sample = [];
        variable.sampleUser = variable.sampleUser || [];
        variable.path = variable.path || '';
        variable.step = '';
        delete variable.defaultValue;
      });
    }

    this.variables = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(snippetRaw.variables || []);
    this.variables.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('updateResultHeaders', _this);
    });
    this.hasCurlyBracketParameters = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.type() !== TYPE.pig;
    });
    this.variableNames = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var match,
          matches = {},
          matchList;

      if (_this.type() === TYPE.pig) {
        matches = _this.getPigParameters();
      } else {
        var re = /(?:^|\W)\${(\w*)=?([^{}]*)}/g;
        var reComment = /(^\s*--.*)|(\/\*[\s\S]*?\*\/)/gm;
        var reList = /(?!\s*$)\s*(?:(?:([^,|()\\]*)\(\s*([^,|()\\]*)\)(?:\\[\S\s][^,|()\\]*)?)|([^,|\\]*(?:\\[\S\s][^,|\\]*)*))\s*(?:,|\||$)/g;

        var statement = _this.statement_raw();

        var matchComment = reComment.exec(statement); // if re is n & reComment is m
        // finding variables is O(n+m)

        var _loop2 = function _loop2() {
          while (matchComment && match.index > matchComment.index + matchComment[0].length) {
            // Comments before our match
            matchComment = reComment.exec(statement);
          }

          var isWithinComment = matchComment && match.index >= matchComment.index;

          if (isWithinComment) {
            return "continue";
          } // If 1 match, text value
          // If multiple matches, list value


          var value = {
            type: 'text',
            placeholder: ''
          };

          while (matchList = reList.exec(match[2])) {
            var option = {
              text: matchList[2] || matchList[3],
              value: matchList[3] || matchList[1]
            };
            option.text = option.text && option.text.trim();
            option.value = option.value && option.value.trim().replace(',', ',').replace('(', '(').replace(')', ')');

            if (value.placeholder || matchList[2]) {
              if (!value.options) {
                value.options = [];
                value.type = 'select';
              }

              value.options.push(option);
            }

            if (!value.placeholder) {
              value.placeholder = option.value;
            }
          }

          var isPlaceholderInOptions = !value.options || value.options.some(function (current) {
            return current.value === value.placeholder;
          });

          if (!isPlaceholderInOptions) {
            value.options.unshift({
              text: value.placeholder,
              value: value.placeholder
            });
          }

          matches[match[1]] = matches[match[1]] || value;
        };

        while (match = re.exec(statement)) {
          var _ret2 = _loop2();

          if (_ret2 === "continue") continue;
        }
      }

      return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(matches, function (match, key) {
        var isMatchObject = _typeof(matches[key]) === 'object';
        var meta = isMatchObject ? matches[key] : {
          type: 'text',
          placeholder: matches[key]
        };
        return {
          name: key,
          meta: meta
        };
      });
    });
    this.variableValues = {};
    this.variableNames.extend({
      rateLimit: 150
    });
    this.variableNames.subscribe(function (newVal) {
      var variablesLength = _this.variables().length;

      var diffLengthVariables = variablesLength - newVal.length;
      var needsMore = diffLengthVariables < 0;
      var needsLess = diffLengthVariables > 0;
      _this.variableValues = _this.variables().reduce(function (variableValues, variable) {
        if (!variableValues[variable.name()]) {
          variableValues[variable.name()] = {
            sampleUser: []
          };
        }

        variableValues[variable.name()].value = variable.value();
        variableValues[variable.name()].sampleUser = variable.sampleUser();
        variableValues[variable.name()].catalogEntry = variable.catalogEntry;
        variableValues[variable.name()].path = variable.path();
        variableValues[variable.name()].type = variable.type();
        return variableValues;
      }, _this.variableValues);

      if (needsMore) {
        for (var i = 0, length = Math.abs(diffLengthVariables); i < length; i++) {
          _this.variables.push(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS({
            name: '',
            value: '',
            meta: {
              type: 'text',
              placeholder: '',
              options: []
            },
            sample: [],
            sampleUser: [],
            type: 'text',
            step: '',
            path: ''
          }));
        }
      } else if (needsLess) {
        _this.variables.splice(_this.variables().length - diffLengthVariables, diffLengthVariables);
      }

      newVal.forEach(function (item, index) {
        var variable = _this.variables()[index];

        variable.name(item.name);
        window.setTimeout(function () {
          variable.value(_this.variableValues[item.name] ? _this.variableValues[item.name].value : !needsMore && variable.value() || '');
        }, 0);
        variable.meta = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(item.meta, {}, variable.meta);
        variable.sample(variable.meta.options ? variable.meta.options().concat(variable.sampleUser()) : variable.sampleUser());
        variable.sampleUser(_this.variableValues[item.name] ? _this.variableValues[item.name].sampleUser : []);
        variable.type(_this.variableValues[item.name] ? _this.variableValues[item.name].type || 'text' : 'text');
        variable.path(_this.variableValues[item.name] ? _this.variableValues[item.name].path || '' : '');
        variable.catalogEntry = _this.variableValues[item.name] && _this.variableValues[item.name].catalogEntry;
      });
    });
    var activeSourcePromises = [];
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].subscribe('ace.sql.location.worker.message', function (e) {
      while (activeSourcePromises.length) {
        var promise = activeSourcePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }

      var oLocations = e.data.locations.filter(function (location) {
        return location.type === 'variable' && location.colRef;
      }).reduce(function (variables, location) {
        var re = /\${(\w*)=?([^{}]*)}/g;
        var name = re.exec(location.value)[1];
        variables[name] = location;
        return variables;
      }, {});

      var updateVariableType = function updateVariableType(variable, sourceMeta) {
        var type;

        if (sourceMeta && sourceMeta.type) {
          type = sourceMeta.type.toLowerCase();
        } else {
          type = 'string';
        }

        var variablesValues = {};
        var value = variable.value();

        switch (type) {
          case 'timestamp':
            variablesValues.type = 'datetime-local';
            variablesValues.step = '1';
            variablesValues.value = value && moment.utc(value).format('YYYY-MM-DD HH:mm:ss.S') || moment(Date.now()).format('YYYY-MM-DD 00:00:00.0');
            break;

          case 'decimal':
          case 'double':
          case 'float':
            variablesValues.type = 'number';
            variablesValues.step = 'any';
            break;

          case 'int':
          case 'smallint':
          case 'tinyint':
          case 'bigint':
            variablesValues.type = 'number';
            variablesValues.step = '1';
            break;

          case 'date':
            variablesValues.type = 'date';
            variablesValues.step = '';
            variablesValues.value = value && moment.utc(value).format('YYYY-MM-DD') || moment(Date.now()).format('YYYY-MM-DD');
            break;

          case 'boolean':
            variablesValues.type = 'checkbox';
            variablesValues.step = '';
            break;

          default:
            variablesValues.type = 'text';
            variablesValues.step = '';
        }

        if (variablesValues.value) {
          setTimeout(function () {
            variable.value(variablesValues.value);
          }, 0);
        }

        variable.type(variablesValues.type);
        variable.step(variablesValues.step);
      };

      _this.variables().forEach(function (variable) {
        if (oLocations[variable.name()]) {
          activeSourcePromises.push(oLocations[variable.name()].resolveCatalogEntry({
            cancellable: true
          }).done(function (entry) {
            variable.path(entry.path.join('.'));
            variable.catalogEntry = entry;
            activeSourcePromises.push(entry.getSourceMeta({
              silenceErrors: true,
              cancellable: true
            }).then(updateVariableType.bind(_this, variable)));
          }));
        } else {
          updateVariableType(variable, {
            type: 'text'
          });
        }
      });
    });
    this.statement = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var statement = _this.isSqlDialect() ? _this.selectedStatement() ? _this.selectedStatement() : _this.positionStatement() !== null ? _this.positionStatement().statement : _this.statement_raw() : _this.statement_raw();

      var variables = _this.variables().reduce(function (variables, variable) {
        variables[variable.name()] = variable;
        return variables;
      }, {});

      if (_this.variables().length) {
        var variablesString = _this.variables().map(function (variable) {
          return variable.name();
        }).join('|');

        statement = statement.replace(RegExp('([^\\\\])?\\$' + (_this.hasCurlyBracketParameters() ? '{(' : '(') + variablesString + ')(=[^}]*)?' + (_this.hasCurlyBracketParameters() ? '}' : ''), 'g'), function (match, p1, p2) {
          var variable = variables[p2];
          var pad = variable.type() === 'datetime-local' && variable.value().length === 16 ? ':00' : ''; // Chrome drops the seconds from the timestamp when it's at 0 second.

          var value = variable.value();
          var isValuePresent = //If value is string there is a need to check whether it is empty
          typeof value === 'string' ? value : value !== undefined && value !== null;
          return p1 + (isValuePresent ? value + pad : variable.meta.placeholder && variable.meta.placeholder());
        });
      }

      return statement;
    });
    var defaultShowLogs = true;

    if (this.parentVm.editorMode() && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs')) {
      defaultShowLogs = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs');
    }

    this.showLogs = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.showLogs || defaultShowLogs);
    this.jobs = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](snippetRaw.jobs || []);
    this.executeNextTimeout = -1;
    this.refreshTimeouts = {};
    this.showLogs.subscribe(function (val) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish(_events__WEBPACK_IMPORTED_MODULE_17__["REDRAW_FIXED_HEADERS_EVENT"]);

      if (_this.parentVm.editorMode()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.showLogs', val);
      }
    });
    this.isLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.status() === STATUS.loading;
    });
    this.resultsKlass = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return 'results ' + _this.type();
    });
    this.errorsKlass = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.resultsKlass() + ' alert alert-error';
    });
    this.is_redacted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!snippetRaw.is_redacted);
    this.settingsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!snippetRaw.settingsVisible);
    this.saveResultsModalVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.complexity = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.hasComplexity = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.complexity() && Object.keys(_this.complexity()).length > 0;
    });
    this.hasRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.hasComplexity() && _this.complexity()['hints'] && _this.complexity()['hints'].length > 0;
    });
    this.topRisk = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.hasRisks() ? _this.complexity()['hints'][0] : undefined;
    });
    this.suggestion = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    this.hasSuggestion = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    this.compatibilityCheckRunning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.compatibilitySourcePlatforms = [];
    Object.keys(COMPATIBILITY_SOURCE_PLATFORMS).forEach(function (key) {
      _this.compatibilitySourcePlatforms.push(COMPATIBILITY_SOURCE_PLATFORMS[key]);
    });
    this.compatibilitySourcePlatform = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](COMPATIBILITY_SOURCE_PLATFORMS[this.type()]);
    this.compatibilitySourcePlatform.subscribe(function (newValue) {
      if (newValue && newValue.value !== _this.type()) {
        _this.hasSuggestion(null);

        _this.compatibilityTargetPlatform(COMPATIBILITY_TARGET_PLATFORMS[_this.type()]);

        _this.queryCompatibility();
      }
    });
    this.compatibilityTargetPlatforms = [];
    Object.keys(COMPATIBILITY_TARGET_PLATFORMS).forEach(function (key) {
      _this.compatibilityTargetPlatforms.push(COMPATIBILITY_TARGET_PLATFORMS[key]);
    });
    this.compatibilityTargetPlatform = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](COMPATIBILITY_TARGET_PLATFORMS[this.type()]);
    this.showOptimizer = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].getFromTotalStorage('editor', 'show.optimizer', false));
    this.showOptimizer.subscribe(function (newValue) {
      if (newValue !== null) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].setInTotalStorage('editor', 'show.optimizer', newValue);
      }
    });

    if (HAS_OPTIMIZER && !this.parentVm.isNotificationManager()) {
      var lastComplexityRequest;
      var lastCheckedComplexityStatement;
      var knownResponses = [];
      this.delayedStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](this.statement).extend({
        rateLimit: {
          method: 'notifyWhenChangesStop',
          timeout: 2000
        }
      });

      var handleRiskResponse = function handleRiskResponse(data) {
        if (data.status === 0) {
          _this.hasSuggestion('');

          _this.complexity(data.query_complexity);
        } else {
          _this.hasSuggestion('error');

          _this.complexity({
            hints: []
          });
        }

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.active.risks', {
          editor: _this.ace(),
          risks: _this.complexity() || {}
        });
        lastCheckedComplexityStatement = _this.statement();
      };

      var clearActiveRisks = function clearActiveRisks() {
        if (_this.hasSuggestion() !== null && typeof _this.hasSuggestion() !== 'undefined') {
          _this.hasSuggestion(null);
        }

        if (_this.suggestion() !== '') {
          _this.suggestion('');
        }

        if (_this.complexity() !== {}) {
          _this.complexity(undefined);

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.active.risks', {
            editor: _this.ace(),
            risks: {}
          });
        }
      };

      this.positionStatement.subscribe(function (newStatement) {
        if (newStatement) {
          var hash = newStatement.statement.hashCode();
          var unknownResponse = knownResponses.every(function (knownResponse) {
            if (knownResponse.hash === hash) {
              handleRiskResponse(knownResponse.data);
              return false;
            }

            return true;
          });

          if (unknownResponse) {
            clearActiveRisks();
          }
        }
      });

      this.checkComplexity = function _callee() {
        var changeSubscription, hash, unknownResponse;
        return regeneratorRuntime.async(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (!(!_this.inFocus() || lastCheckedComplexityStatement === _this.statement())) {
                  _context.next = 2;
                  break;
                }

                return _context.abrupt("return");

              case 2:
                if (!(_this.positionStatement() && _this.positionStatement().syntaxError)) {
                  _context.next = 4;
                  break;
                }

                return _context.abrupt("return");

              case 4:
                _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].cancelActiveRequest(lastComplexityRequest);
                _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].log('notebook', 'get_query_risk');
                clearActiveRisks();
                changeSubscription = _this.statement.subscribe(function () {
                  changeSubscription.dispose();
                  _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].cancelActiveRequest(lastComplexityRequest);
                });
                hash = _this.statement().hashCode();
                unknownResponse = knownResponses.every(function (knownResponse) {
                  if (knownResponse.hash === hash) {
                    handleRiskResponse(knownResponse.data);
                    return false;
                  }

                  return true;
                });

                if (!unknownResponse) {
                  _context.next = 20;
                  break;
                }

                _context.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"];
                _context.next = 14;
                return regeneratorRuntime.awrap(_this.parentNotebook.toContextJson());

              case 14:
                _context.t1 = _context.sent;
                _context.t2 = _this.toContextJson();
                _context.t3 = {
                  notebookJson: _context.t1,
                  snippetJson: _context.t2
                };

                _context.t4 = function (data) {
                  knownResponses.unshift({
                    hash: hash,
                    data: data
                  });

                  if (knownResponses.length > 50) {
                    knownResponses.pop();
                  }

                  handleRiskResponse(data);
                };

                _context.t5 = function () {
                  changeSubscription.dispose();
                };

                lastComplexityRequest = _context.t0.statementRisk.call(_context.t0, _context.t3).then(_context.t4).always(_context.t5);

              case 20:
              case "end":
                return _context.stop();
            }
          }
        });
      };

      if (this.type() === TYPE.hive || this.type() === TYPE.impala) {
        if (this.statement_raw()) {
          window.setTimeout(function () {
            _this.checkComplexity();
          }, 2000);
        }

        this.delayedStatement.subscribe(function () {
          _this.checkComplexity();
        });
      }
    }

    this.wasBatchExecuted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!snippetRaw.wasBatchExecuted);
    this.isReady = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.statementType() === 'text' && (_this.isSqlDialect() && _this.statement() !== '' || [TYPE.jar, TYPE.java, TYPE.spark2, TYPE.distcp].indexOf(_this.type()) === -1 && _this.statement() !== '' || [TYPE.jar, TYPE.java].indexOf(_this.type()) !== -1 && _this.properties().app_jar() !== '' && _this.properties()["class"]() !== '' || TYPE.spark2 === _this.type() && _this.properties().jars().length > 0 || TYPE.shell === _this.type() && _this.properties().command_path().length > 0 || TYPE.mapreduce === _this.type() && _this.properties().app_jar().length > 0 || TYPE.distcp === _this.type() && _this.properties().source_path().length > 0 && _this.properties().destination_path().length > 0) || _this.statementType() === 'file' && _this.statementPath().length > 0 || _this.statementType() === 'document' && _this.associatedDocumentUuid() && _this.associatedDocumentUuid().length > 0;
    });
    this.lastExecuted = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.lastExecuted || 0);
    this.lastAceSelectionRowOffset = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](snippetRaw.lastAceSelectionRowOffset || 0);
    this.executingBlockingOperation = null; // A ExecuteStatement()

    this.showLongOperationWarning = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.showLongOperationWarning.subscribe(function (newValue) {
      if (newValue) {
        _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].convert('editor', 'showLongOperationWarning');
      }
    });
    this.longOperationTimeout = -1;
    this.lastCompatibilityRequest = undefined;
    this.isFetchingData = false;
    this.isCanceling = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.autocompleter = new _notebook_aceAutocompleteWrapper__WEBPACK_IMPORTED_MODULE_9__["default"]({
      snippet: this,
      user: this.parentVm.user,
      optEnabled: false,
      timeout: this.parentVm.autocompleteTimeout
    });
    this.activeExecutable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.executor = new _execution_executor__WEBPACK_IMPORTED_MODULE_11__["default"]({
      compute: this.compute,
      database: this.database,
      sourceType: this.type,
      namespace: this.namespace,
      isOptimizerEnabled: this.parentVm.isOptimizerEnabled(),
      snippet: this,
      isSqlEngine: this.isSqlDialect
    });

    if (snippetRaw.executor) {
      try {
        this.executor.executables = snippetRaw.executor.executables.map(function (executableRaw) {
          switch (executableRaw.type) {
            case 'sqlExecutable':
              {
                return _execution_sqlExecutable__WEBPACK_IMPORTED_MODULE_16__["default"].fromJs(_this.executor, executableRaw);
              }

            default:
              {
                throw new Error('Failed to created executable of type ' + executableRaw.type);
              }
          }
        });
        this.executor.executables.forEach(function _callee2(executable) {
          return regeneratorRuntime.async(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  if (!(executable.status !== _execution_executable__WEBPACK_IMPORTED_MODULE_18__["EXECUTION_STATUS"].ready)) {
                    _context2.next = 5;
                    break;
                  }

                  _context2.next = 3;
                  return regeneratorRuntime.awrap(executable.checkStatus());

                case 3:
                  _context2.next = 6;
                  break;

                case 5:
                  executable.notify();

                case 6:
                case "end":
                  return _context2.stop();
              }
            }
          });
        });
      } catch (err) {
        console.error(err); // TODO: Move up
      }
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].subscribe(_execution_executable__WEBPACK_IMPORTED_MODULE_18__["EXECUTABLE_UPDATED_EVENT"], function (executable) {
      if (_this.activeExecutable() === executable) {
        _this.updateFromExecutable(executable);
      }
    });
    this.activeExecutable.subscribe(this.updateFromExecutable.bind(this));
    this.refreshHistory = notebook.fetchHistory;
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish(_ko_bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_19__["REFRESH_STATEMENT_LOCATIONS_EVENT"], this);
  }

  _createClass(Snippet, [{
    key: "updateFromExecutable",
    value: function updateFromExecutable(executable) {
      if (executable) {
        this.status(executable.status);

        if (executable.result) {
          this.currentQueryTab('queryResults');
        }

        if (this.parentVm.editorMode() && executable.history) {
          this.parentNotebook.id(executable.history.id);
          this.parentNotebook.uuid(executable.history.uuid);
          this.parentNotebook.isHistory(true);
          this.parentNotebook.parentSavedQueryUuid(executable.history.parentId);

          if (!this.parentVm.isNotificationManager()) {
            var url = this.parentVm.URLS.editor + '?editor=' + executable.history.id;
            this.parentVm.changeURL(url);
          }
        }
      }
    }
  }, {
    key: "ace",
    value: function ace(newVal) {
      if (newVal) {
        this.aceEditor = newVal;

        if (!this.parentNotebook.isPresentationMode()) {
          this.aceEditor.focus();
        }
      }

      return this.aceEditor;
    }
  }, {
    key: "checkCompatibility",
    value: function checkCompatibility() {
      this.hasSuggestion(null);
      this.compatibilitySourcePlatform(COMPATIBILITY_SOURCE_PLATFORMS[this.type()]);
      this.compatibilityTargetPlatform(COMPATIBILITY_TARGET_PLATFORMS[this.type() === TYPE.hive ? TYPE.impala : TYPE.hive]);
      this.queryCompatibility();
    }
  }, {
    key: "close",
    value: function close() {
      return regeneratorRuntime.async(function close$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.t0 = jquery__WEBPACK_IMPORTED_MODULE_0___default.a;
              _context3.next = 3;
              return regeneratorRuntime.awrap(this.parentNotebook.toContextJson());

            case 3:
              _context3.t1 = _context3.sent;
              _context3.t2 = this.toContextJson();
              _context3.t3 = {
                notebook: _context3.t1,
                snippet: _context3.t2
              };

              _context3.t0.post.call(_context3.t0, '/notebook/api/close_statement', _context3.t3);

            case 7:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this);
    } // async executeNext() {
    //   hueAnalytics.log('notebook', 'execute/' + this.type());
    //
    //   const now = new Date().getTime();
    //   if (now - this.lastExecuted() < 1000) {
    //     return; // Prevent fast clicks
    //   }
    //   this.lastExecuted(now);
    //
    //   if (this.type() === TYPE.impala) {
    //     this.showExecutionAnalysis(false);
    //     huePubSub.publish('editor.clear.execution.analysis');
    //   }
    //
    //   // Editor based execution
    //   if (this.ace()) {
    //     const selectionRange = this.ace().getSelectionRange();
    //
    //     huePubSub.publish('ace.set.autoexpand', { autoExpand: false, snippet: this });
    //     this.lastAceSelectionRowOffset(Math.min(selectionRange.start.row, selectionRange.end.row));
    //   }
    //
    //   const $snip = $('#snippet_' + this.id());
    //   $snip.find('.progress-snippet').animate(
    //     {
    //       height: '3px'
    //     },
    //     100
    //   );
    //
    //   $('.jHueNotify').remove();
    //   this.parentNotebook.forceHistoryInitialHeight(true);
    //   this.errors([]);
    //   huePubSub.publish('editor.clear.highlighted.errors', this.ace());
    //   this.jobs([]);
    //
    //   this.parentNotebook.historyCurrentPage(1);
    //
    //   this.startLongOperationTimeout();
    //
    //   try {
    //     await this.executor.executeNext();
    //   } catch (error) {}
    //   this.stopLongOperationTimeout();
    // }

  }, {
    key: "execute",
    value: function execute() {
      // From ctrl + enter
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish(_components_ko_executableActions__WEBPACK_IMPORTED_MODULE_4__["EXECUTE_ACTIVE_EXECUTABLE_EVENT"], this.activeExecutable());
    }
  }, {
    key: "exportHistory",
    value: function exportHistory() {
      var historyResponse;
      return regeneratorRuntime.async(function exportHistory$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              _context4.next = 2;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].getHistory({
                type: this.type(),
                limit: 500
              }));

            case 2:
              historyResponse = _context4.sent;

              if (historyResponse && historyResponse.history) {
                window.location.href = window.HUE_BASE_URL + '/desktop/api2/doc/export?history=true&documents=[' + historyResponse.history.map(function (historyDoc) {
                  return historyDoc.id;
                }).join(',') + ']';
              }

            case 4:
            case "end":
              return _context4.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "fetchExecutionAnalysis",
    value: function fetchExecutionAnalysis() {
      if (this.type() === TYPE.impala) {
        // TODO: Use real query ID
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.update.execution.analysis', {
          analysisPossible: true,
          compute: this.compute(),
          queryId: this.parentNotebook.id(),
          name: this.jobs()[0] && this.jobs()[0].name
        });
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.update.execution.analysis', {
          analysisPossible: false
        });
      }
    }
  }, {
    key: "fetchQueries",
    value: function fetchQueries() {
      var _this2 = this;

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].cancelActiveRequest(this.lastFetchQueriesRequest);
      var QUERIES_PER_PAGE = 50;
      this.lastQueriesPage = this.queriesCurrentPage();
      this.loadingQueries(true);
      this.queriesHasErrors(false);
      this.lastFetchQueriesRequest = _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].searchDocuments({
        successCallback: function successCallback(foundDocuments) {
          _this2.queriesTotalPages(Math.ceil(foundDocuments.count / QUERIES_PER_PAGE));

          _this2.queries(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(foundDocuments.documents)());

          _this2.loadingQueries(false);

          _this2.queriesHasErrors(false);
        },
        errorCallback: function errorCallback() {
          _this2.loadingQueries(false);

          _this2.queriesHasErrors(true);
        },
        page: this.queriesCurrentPage(),
        limit: QUERIES_PER_PAGE,
        type: 'query-' + this.type(),
        query: this.queriesFilter(),
        include_trashed: false
      });
    }
  }, {
    key: "getExternalStatement",
    value: function getExternalStatement() {
      var _this3 = this;

      return regeneratorRuntime.async(function getExternalStatement$(_context5) {
        while (1) {
          switch (_context5.prev = _context5.next) {
            case 0:
              this.externalStatementLoaded(false);
              _context5.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"];
              _context5.next = 4;
              return regeneratorRuntime.awrap(this.parentNotebook.toContextJson());

            case 4:
              _context5.t1 = _context5.sent;
              _context5.t2 = this.toContextJson();
              _context5.t3 = {
                notebookJson: _context5.t1,
                snippetJson: _context5.t2
              };

              _context5.t4 = function (data) {
                if (data.status === 0) {
                  _this3.externalStatementLoaded(true);

                  _this3.statement_raw(data.statement);

                  _this3.ace().setValue(_this3.statement_raw(), 1);
                } else {
                  _this3.handleAjaxError(data);
                }
              };

              _context5.t0.getExternalStatement.call(_context5.t0, _context5.t3).then(_context5.t4);

            case 9:
            case "end":
              return _context5.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "getPigParameters",
    value: function getPigParameters() {
      var params = {};
      var variables = this.statement_raw().match(/([^\\]|^)\$[^\d'"](\w*)/g);
      var declares = this.statement_raw().match(/%declare +([^ ])+/gi);
      var defaults = this.statement_raw().match(/%default +([^;])+/gi);
      var macro_defines = this.statement_raw().match(/define [^ ]+ *\(([^)]*)\)/gi); // no multiline

      var macro_returns = this.statement_raw().match(/returns +([^{]*)/gi); // no multiline

      if (variables) {
        variables.forEach(function (param) {
          var p = param.substring(param.indexOf('$') + 1);
          params[p] = '';
        });
      }

      if (declares) {
        declares.forEach(function (param) {
          param = param.match(/(\w+)/g);

          if (param && param.length >= 2) {
            delete params[param[1]];
          }
        });
      }

      if (defaults) {
        defaults.forEach(function (param) {
          var line = param.match(/(\w+)/g);

          if (line && line.length >= 2) {
            var name = line[1];
            params[name] = param.substring(param.indexOf(name) + name.length + 1);
          }
        });
      }

      if (macro_defines) {
        macro_defines.forEach(function (params_line) {
          var param_line = params_line.match(/(\w+)/g);

          if (param_line && param_line.length > 2) {
            param_line.forEach(function (param, index) {
              if (index >= 2) {
                // Skips define NAME
                delete params[param];
              }
            });
          }
        });
      }

      if (macro_returns) {
        macro_returns.forEach(function (params_line) {
          var param_line = params_line.match(/(\w+)/g);

          if (param_line) {
            param_line.forEach(function (param, index) {
              if (index >= 1) {
                // Skip returns
                delete params[param];
              }
            });
          }
        });
      }

      return params;
    }
  }, {
    key: "getPlaceHolder",
    value: function getPlaceHolder() {
      return this.parentVm.getSnippetViewSettings(this.type()).placeHolder;
    }
  }, {
    key: "getSimilarQueries",
    value: function getSimilarQueries() {
      return regeneratorRuntime.async(function getSimilarQueries$(_context6) {
        while (1) {
          switch (_context6.prev = _context6.next) {
            case 0:
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].log('notebook', 'get_query_similarity');
              _context6.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"];
              _context6.next = 4;
              return regeneratorRuntime.awrap(this.parentNotebook.toContextJson());

            case 4:
              _context6.t1 = _context6.sent;
              _context6.t2 = this.toContextJson();
              _context6.t3 = this.type();
              _context6.t4 = {
                notebookJson: _context6.t1,
                snippetJson: _context6.t2,
                sourcePlatform: _context6.t3
              };

              _context6.t5 = function (data) {
                if (data.status === 0) {
                  // eslint-disable-next-line no-restricted-syntax
                  console.log(data.statement_similarity);
                } else {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
                }
              };

              _context6.t0.statementSimilarity.call(_context6.t0, _context6.t4).then(_context6.t5);

            case 10:
            case "end":
              return _context6.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "handleAjaxError",
    value: function handleAjaxError(data, callback) {
      var _this4 = this;

      if (data.status === -2) {// TODO: Session expired, check if handleAjaxError is used for ENABLE_NOTEBOOK_2
      } else if (data.status === -3) {
        // Statement expired
        this.status(STATUS.expired);

        if (data.message) {
          this.errors.push({
            message: data.message,
            help: null,
            line: null,
            col: null
          });
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('editor.snippet.result.normal', this);
        }
      } else if (data.status === -4) {
        // Operation timed out
        this.parentNotebook.retryModalCancel = function () {
          _this4.status(STATUS.failed);

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('hide.retry.modal');
        };

        this.parentNotebook.retryModalConfirm = function () {
          if (callback) {
            callback();
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('hide.retry.modal');
        };

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_13__["default"].publish('show.retry.modal');
      } else if (data.status === 401) {
        // Auth required
        this.status(STATUS.expired);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('showAuthModal', {
          type: this.type(),
          callback: this.execute,
          message: data.message
        });
      } else if (data.status === 1 || data.status === -1) {
        this.status(STATUS.failed);
        var match = ERROR_REGEX.exec(data.message);

        if (match) {
          var errorLine = parseInt(match[1]);
          var errorCol;

          if (typeof match[3] !== 'undefined') {
            errorCol = parseInt(match[3]);
          }

          if (this.positionStatement()) {
            if (errorCol && errorLine === 1) {
              errorCol += this.positionStatement().location.first_column;
            }

            errorLine += this.positionStatement().location.first_line - 1;
          }

          this.errors.push({
            message: data.message.replace(match[0], 'line ' + errorLine + (errorCol !== null ? ':' + errorCol : '')),
            help: null,
            line: errorLine - 1,
            col: errorCol
          });
        } else {
          this.errors.push({
            message: data.message,
            help: data.help,
            line: null,
            col: null
          });
        }
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        this.status(STATUS.failed);
      }
    }
  }, {
    key: "handleAssistSelection",
    value: function handleAssistSelection(databaseDef) {
      if (this.ignoreNextAssistDatabaseUpdate) {
        this.ignoreNextAssistDatabaseUpdate = false;
      } else if (databaseDef.sourceType === this.type()) {
        if (this.namespace() !== databaseDef.namespace) {
          this.namespace(databaseDef.namespace);
        }

        if (this.database() !== databaseDef.name) {
          this.database(databaseDef.name);
        }
      }
    }
  }, {
    key: "init",
    value: function init() {
      if ((this.status() === STATUS.running || this.status() === STATUS.available) && this.parentNotebook.isHistory()) {// this.checkStatus();
      } else if (this.status() === STATUS.loading) {
        this.status(STATUS.failed);
        this.jobs([]);
      } else if (this.status() === STATUS.readyExecute) {
        this.execute();
      }
    }
  }, {
    key: "nextQueriesPage",
    value: function nextQueriesPage() {
      if (this.queriesCurrentPage() !== this.queriesTotalPages()) {
        this.queriesCurrentPage(this.queriesCurrentPage() + 1);
        this.fetchQueries();
      }
    }
  }, {
    key: "onKeydownInVariable",
    value: function onKeydownInVariable(context, e) {
      if ((e.ctrlKey || e.metaKey) && e.which === 13) {
        // Ctrl-enter
        this.ace().commands.commands['execute'].exec();
      } else if ((e.ctrlKey || e.metaKey) && e.which === 83) {
        // Ctrl-s
        this.ace().commands.commands['save'].exec();
        e.preventDefault(); // Prevent browser page save dialog
      }

      return true;
    }
  }, {
    key: "prevQueriesPage",
    value: function prevQueriesPage() {
      if (this.queriesCurrentPage() !== 1) {
        this.queriesCurrentPage(this.queriesCurrentPage() - 1);
        this.fetchQueries();
      }
    }
  }, {
    key: "queryCompatibility",
    value: function queryCompatibility(targetPlatform) {
      var _this5 = this;

      var positionStatement;
      return regeneratorRuntime.async(function queryCompatibility$(_context7) {
        while (1) {
          switch (_context7.prev = _context7.next) {
            case 0:
              _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"].cancelActiveRequest(this.lastCompatibilityRequest);
              _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].log('notebook', 'compatibility');
              this.compatibilityCheckRunning(targetPlatform !== this.type());
              this.hasSuggestion(null);
              positionStatement = this.positionStatement();
              _context7.t0 = _api_apiHelper__WEBPACK_IMPORTED_MODULE_10__["default"];
              _context7.next = 8;
              return regeneratorRuntime.awrap(this.parentNotebook.toContextJson());

            case 8:
              _context7.t1 = _context7.sent;
              _context7.t2 = this.toContextJson();
              _context7.t3 = this.compatibilitySourcePlatform().value;
              _context7.t4 = this.compatibilityTargetPlatform().value;
              _context7.t5 = {
                notebookJson: _context7.t1,
                snippetJson: _context7.t2,
                sourcePlatform: _context7.t3,
                targetPlatform: _context7.t4
              };

              _context7.t6 = function (data) {
                if (data.status === 0) {
                  _this5.aceErrorsHolder([]);

                  _this5.aceWarningsHolder([]);

                  _this5.suggestion(knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.fromJS(data.query_compatibility));

                  if (_this5.suggestion().queryError && _this5.suggestion().queryError.errorString()) {
                    var match = ERROR_REGEX.exec(_this5.suggestion().queryError.errorString());
                    var line = null;

                    if (match) {
                      if (positionStatement) {
                        line = positionStatement.location.first_line + parseInt(match[1]) + 1;
                      } else {
                        line = parseInt(match[1]) - 1;
                      }
                    }

                    _this5.aceWarningsHolder.push({
                      message: _this5.suggestion().queryError.errorString(),
                      line: line,
                      col: match === null ? null : typeof match[3] !== 'undefined' ? parseInt(match[3]) : null
                    });

                    _this5.status(STATUS.withOptimizerReport);
                  }

                  if (_this5.suggestion().parseError()) {
                    var _match = ERROR_REGEX.exec(_this5.suggestion().parseError());

                    _this5.aceErrorsHolder.push({
                      message: _this5.suggestion().parseError(),
                      line: _match === null ? null : parseInt(_match[1]) - 1,
                      col: _match === null ? null : typeof _match[3] !== 'undefined' ? parseInt(_match[3]) : null
                    });

                    _this5.status(STATUS.withOptimizerReport);
                  }

                  _this5.showOptimizer(true);

                  _this5.hasSuggestion(true);
                } else {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
                }
              };

              _context7.t7 = function (xhr) {
                if (xhr.status !== 502) {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
                }
              };

              _context7.t8 = function () {
                _this5.compatibilityCheckRunning(false);
              };

              this.lastCompatibilityRequest = _context7.t0.statementCompatibility.call(_context7.t0, _context7.t5).then(_context7.t6).fail(_context7.t7).always(_context7.t8);

            case 17:
            case "end":
              return _context7.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "removeContextTab",
    value: function removeContextTab(context) {
      if (context.tabId === this.currentQueryTab()) {
        this.currentQueryTab('queryHistory');
      }

      this.pinnedContextTabs.remove(context);
    }
  }, {
    key: "renderMarkdown",
    value: function renderMarkdown() {
      return this.statement_raw().replace(/([^$]*)([$]+[^$]*[$]+)?/g, function (a, textRepl, code) {
        return markdown__WEBPACK_IMPORTED_MODULE_3__["markdown"].toHTML(textRepl).replace(/^<p>|<\/p>$/g, '') + (code ? code : '');
      });
    }
  }, {
    key: "startLongOperationTimeout",
    value: function startLongOperationTimeout() {
      var _this6 = this;

      this.longOperationTimeout = window.setTimeout(function () {
        _this6.showLongOperationWarning(true);
      }, 2000);
    }
  }, {
    key: "stopLongOperationTimeout",
    value: function stopLongOperationTimeout() {
      window.clearTimeout(this.longOperationTimeout);
      this.showLongOperationWarning(false);
    }
  }, {
    key: "toContextJson",
    value: function toContextJson() {
      return JSON.stringify({
        id: this.id(),
        type: this.type(),
        status: this.status(),
        statementType: this.statementType(),
        statement: this.statement(),
        aceCursorPosition: this.aceCursorPosition(),
        statementPath: this.statementPath(),
        associatedDocumentUuid: this.associatedDocumentUuid(),
        properties: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(this.properties),
        // TODO: Drop komapping
        result: {},
        // TODO: Moved to executor but backend requires it
        database: this.database(),
        compute: this.compute(),
        wasBatchExecuted: this.wasBatchExecuted()
      });
    }
  }, {
    key: "toJs",
    value: function toJs() {
      return {
        aceCursorPosition: this.aceCursorPosition(),
        aceSize: this.aceSize(),
        associatedDocumentUuid: this.associatedDocumentUuid(),
        executor: this.executor.toJs(),
        compute: this.compute(),
        currentQueryTab: this.currentQueryTab(),
        database: this.database(),
        id: this.id(),
        is_redacted: this.is_redacted(),
        lastAceSelectionRowOffset: this.lastAceSelectionRowOffset(),
        lastExecuted: this.lastExecuted(),
        name: this.name(),
        namespace: this.namespace(),
        pinnedContextTabs: this.pinnedContextTabs(),
        properties: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJS(this.properties),
        // TODO: Drop komapping
        settingsVisible: this.settingsVisible(),
        showLogs: this.showLogs(),
        statement_raw: this.statement_raw(),
        statementPath: this.statementPath(),
        statementType: this.statementType(),
        status: this.status(),
        type: this.type(),
        variables: this.variables().map(function (variable) {
          return {
            meta: variable.meta && {
              options: variable.meta.options && variable.meta.options(),
              // TODO: Map?
              placeHolder: variable.meta.placeHolder && variable.meta.placeHolder(),
              type: variable.meta.type && variable.meta.type()
            },
            name: variable.name(),
            path: variable.path(),
            sample: variable.sample(),
            sampleUser: variable.sampleUser(),
            step: variable.step(),
            type: variable.type(),
            value: variable.value()
          };
        }),
        wasBatchExecuted: this.wasBatchExecuted()
      };
    }
  }, {
    key: "uploadQuery",
    value: function uploadQuery(query_id) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/query', {
        query_id: query_id,
        sourcePlatform: this.type()
      });
    }
  }, {
    key: "uploadQueryHistory",
    value: function uploadQueryHistory(n) {
      var _this7 = this;

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].log('notebook', 'upload_query_history');
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/history', {
        n: typeof n != 'undefined' ? n : null,
        sourcePlatform: this.type()
      }).then(function (data) {
        if (data.status === 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.upload_history[_this7.type()].count + ' queries uploaded successfully. Processing them...');

          _this7.watchUploadStatus(data.upload_history[_this7.type()].status.workloadId);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      });
    }
  }, {
    key: "uploadTableStats",
    value: function uploadTableStats(options) {
      var _this8 = this;

      _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_12__["default"].log('notebook', 'load_table_stats');

      if (options.showProgress) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', 'Preparing table data...');
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/table_stats', {
        db_tables: JSON.stringify(options.activeTables.map(function (table) {
          return table.databaseName + '.' + table.tableName;
        })),
        sourcePlatform: JSON.stringify(this.type()),
        with_ddl: JSON.stringify(true),
        with_table_stats: JSON.stringify(true),
        with_columns_stats: JSON.stringify(true)
      }, function (data) {
        if (data.status === 0) {
          if (options.showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(options.activeTables, function (table) {
              return table.tableName;
            }) + ' stats sent to analyse');
          }

          if (data.upload_table_ddl && options.showProgress) {
            // With showProgress only currently as can be very slow
            _this8.watchUploadStatus(data.upload_table_ddl.status.workloadId, options.showProgress);
          }
        } else if (options.showProgress) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).always(function () {
        if (options.callback) {
          options.callback();
        }
      });
    }
  }, {
    key: "watchUploadStatus",
    value: function watchUploadStatus(workloadId, showProgress) {
      var _this9 = this;

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/metadata/api/optimizer/upload/status', {
        workloadId: workloadId
      }).then(function (data) {
        if (data.status === 0) {
          if (showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', 'Query processing: ' + data.upload_status.status.state);
          }

          if (['WAITING', 'IN_PROGRESS'].indexOf(data.upload_status.status.state) !== -1) {
            window.setTimeout(function () {
              _this9.watchUploadStatus(workloadId);
            }, 2000);
          } else if (showProgress) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('warn', data.upload_status.status.statusMsg + (data.upload_status.status.failedQueries > 0 ? '. ' + data.upload_status.status.failQueryDetails.map(function (query) {
              return query.error;
            }) : ''));
          }
        } else if (showProgress) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      });
    }
  }, {
    key: "whenContextSet",
    value: function whenContextSet() {
      var namespaceSub;
      var namespaceDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (this.namespace()) {
        namespaceDeferred.resolve(this.namespace());
      } else {
        namespaceSub = this.namespace.subscribe(function (newVal) {
          if (newVal) {
            namespaceDeferred.resolve(newVal);
            namespaceSub.dispose();
          }
        });
      }

      var computeSub;
      var computeDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (this.compute()) {
        computeDeferred.resolve(this.compute());
      } else {
        computeSub = this.compute.subscribe(function (newVal) {
          if (newVal) {
            computeDeferred.resolve(newVal);
            computeSub.dispose();
          }
        });
      }

      var contextSetPromise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(namespaceDeferred, computeDeferred);

      contextSetPromise.dispose = function () {
        if (namespaceSub) {
          namespaceSub.dispose();
        }

        if (computeSub) {
          computeSub.dispose();
        }

        namespaceDeferred.reject();
        computeDeferred.reject();
      };

      return contextSetPromise;
    }
  }]);

  return Snippet;
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/doc/docSupport.js":
/*!*******************************************************!*\
  !*** ./desktop/core/src/desktop/js/doc/docSupport.js ***!
  \*******************************************************/
/*! exports provided: DOCUMENT_TYPE_I18n, DOCUMENT_TYPES */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DOCUMENT_TYPE_I18n", function() { return DOCUMENT_TYPE_I18n; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DOCUMENT_TYPES", function() { return DOCUMENT_TYPES; });
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var DOCUMENT_TYPE_I18n = {
  all: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('All'),
  directory: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Directory'),
  'link-pigscript': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Pig Design'),
  'link-workflow': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Job Design'),
  notebook: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Notebook'),
  'oozie-bundle2': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Oozie Bundle'),
  'oozie-coordinator2': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Oozie Schedule'),
  'oozie-workflow2': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Oozie Workflow'),
  'query-hive': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Hive Query'),
  'query-impala': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Impala Query'),
  'search-dashboard': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Search Dashboard'),
  'query-mapreduce': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('MapReduce Job'),
  'query-sqoop1': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Import Job'),
  'query-spark2': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Spark Job'),
  'query-java': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Java Job'),
  'query-pig': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Pig Script'),
  'query-shell': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('Shell Script'),
  'query-distcp': Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["default"])('DistCp Job')
};
var DOCUMENT_TYPES = [];
Object.keys(DOCUMENT_TYPE_I18n).forEach(function (key) {
  if (key !== 'all') {
    DOCUMENT_TYPES.push({
      type: key,
      label: DOCUMENT_TYPE_I18n[key]
    });
  }
});
DOCUMENT_TYPES.sort(function (a, b) {
  return a.label.localeCompare(b.label);
});
DOCUMENT_TYPES.unshift({
  type: 'all',
  label: DOCUMENT_TYPE_I18n['all']
});


/***/ }),

/***/ "./desktop/core/src/desktop/js/doc/hueDocument.js":
/*!********************************************************!*\
  !*** ./desktop/core/src/desktop/js/doc/hueDocument.js ***!
  \********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var HueDocument =
/*#__PURE__*/
function () {
  /**
   *
   * @param {Object} options
   * @param {HueFileEntry} options.fileEntry
   *
   * @constructor
   */
  function HueDocument(options) {
    _classCallCheck(this, HueDocument);

    this.fileEntry = options.fileEntry;
    this.definition = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.loaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.searchInput = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.selectedUserOrGroup = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.selectedPerm = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('read');
    this.userMap = {};
    this.idToUserMap = {};
    this.groupMap = {};
    this.items = [];
  }

  _createClass(HueDocument, [{
    key: "isShared",
    value: function isShared() {
      var perms = this.definition() && this.definition().perms;
      return perms && (perms.read.users.length > 0 || perms.read.groups.length > 0 || perms.write.users.length > 0 || perms.write.groups.length > 0);
    }
  }, {
    key: "onShareAutocompleteUserEnter",
    value: function onShareAutocompleteUserEnter() {
      var self = this;
      var searchAutoCompInput = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#shareDocUserInput').val();
      var selectedUserOrGroup = self.userMap[searchAutoCompInput] ? self.userMap[searchAutoCompInput] : self.groupMap[searchAutoCompInput];

      if (selectedUserOrGroup != null) {
        if (typeof selectedUserOrGroup.username !== 'undefined') {
          this.definition().perms[self.selectedPerm()].users.push(selectedUserOrGroup);
        } else {
          this.definition().perms[self.selectedPerm()].groups.push(selectedUserOrGroup);
        }

        this.persistPerms();
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#shareDocUserInput').val('');
    }
  }, {
    key: "shareAutocompleteUserSource",
    value: function shareAutocompleteUserSource(request, callback) {
      var self = this;

      var successCallback = function successCallback(jsonUserGroups) {
        self.items = [];
        jsonUserGroups.users.forEach(function (user) {
          var label = self.prettifyUsername(user);
          var highLightedLabel = _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__["default"].highlight(label, request.term);
          self.userMap[label] = user;
          self.items.push({
            data: {
              icon: 'fa fa-user',
              label: highLightedLabel
            },
            value: label
          });
          self.idToUserMap[user.id] = user;
        });
        jsonUserGroups.groups.forEach(function (group) {
          self.groupMap[group.name] = group;
          var highLightedLabel = _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__["default"].highlight(group.name, request.term);
          self.items.push({
            data: {
              icon: 'fa fa-users',
              label: highLightedLabel
            },
            value: group.name
          });
        });

        if (self.items.length === 0) {
          self.items.push({
            noMatch: true
          });
        }

        callback(self.items);
      };

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchUsersAndGroups({
        data: {
          filter: request.term
        },
        successCallback: successCallback,
        errorCallback: function errorCallback() {}
      });
    }
  }, {
    key: "persistPerms",
    value: function persistPerms() {
      var self = this;
      var postPerms = {
        read: {
          user_ids: self.definition().perms.read.users.map(function (user) {
            return user.id;
          }),
          group_ids: self.definition().perms.read.groups.map(function (group) {
            return group.id;
          })
        },
        write: {
          user_ids: self.definition().perms.write.users.map(function (user) {
            return user.id;
          }),
          group_ids: self.definition().perms.write.groups.map(function (group) {
            return group.id;
          })
        }
      };
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/desktop/api2/doc/share', {
        uuid: JSON.stringify(self.fileEntry.definition().uuid),
        data: JSON.stringify(postPerms)
      }, function (response) {
        if (response != null) {
          if (response.status !== 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', 'There was an error processing your action: ' + response.message);
          } else {
            self.load();
          }
        }
      }).fail(function (response) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', 'There was an error processing your action: ' + response.responseText);
      });
    }
  }, {
    key: "load",
    value: function load(callback) {
      var self = this;

      if (self.loading()) {
        return;
      }

      self.loading(true);
      self.hasErrors(false);

      var fetchDocumentsSuccessCallback = function fetchDocumentsSuccessCallback(data) {
        var readUsers = data.document.perms.read.users.map(function (user) {
          return user.id;
        });
        var writeUsers = data.document.perms.write.users.map(function (user) {
          return user.id;
        });
        var allUsers = readUsers.concat(writeUsers);

        if (allUsers.length > 0) {
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchUsersByIds({
            userids: JSON.stringify(allUsers),
            successCallback: function successCallback(response) {
              response.users.forEach(function (user) {
                // Needed for getting prettyusername of already shared users
                self.idToUserMap[user.id] = user;
              });
              self.definition(data.document);
            },
            errorCallback: function errorCallback() {}
          });
        } else {
          self.definition(data.document);
        }
      };

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDocument({
        uuid: self.fileEntry.definition().uuid
      }).done(function (data) {
        fetchDocumentsSuccessCallback(data);
        self.loading(false);
        self.loaded(true);

        if (callback) {
          callback();
        }
      }).fail(function () {
        self.hasErrors(true);
        self.loading(false);
        self.loaded(true);
      });
    }
  }, {
    key: "prettifyUsernameById",
    value: function prettifyUsernameById(id) {
      return this.prettifyUsername(this.idToUserMap[id]);
    }
  }, {
    key: "prettifyUsername",
    value: function prettifyUsername(user) {
      user.prettyName = '';

      if (user.first_name) {
        user.prettyName += user.first_name + ' ';
      }

      if (user.last_name) {
        user.prettyName += user.last_name + ' ';
      }

      if (user.prettyName) {
        user.prettyName += '(' + user.username + ')';
      } else {
        user.prettyName += user.username;
      }

      return user.prettyName;
    }
  }, {
    key: "removeFromPerms",
    value: function removeFromPerms(perms, id) {
      var self = this;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(perms).each(function (cnt, item) {
        if (item.id === id) {
          perms.splice(cnt, 1);
        }
      });
      self.persistPerms();
    }
  }, {
    key: "removeUserReadShare",
    value: function removeUserReadShare(user) {
      this.removeFromPerms(this.definition().perms.read.users, user.id);
    }
  }, {
    key: "removeUserWriteShare",
    value: function removeUserWriteShare(user) {
      this.removeFromPerms(this.definition().perms.write.users, user.id);
    }
  }, {
    key: "removeGroupReadShare",
    value: function removeGroupReadShare(group) {
      this.removeFromPerms(this.definition().perms.read.groups, group.id);
    }
  }, {
    key: "removeGroupWriteShare",
    value: function removeGroupWriteShare(group) {
      this.removeFromPerms(this.definition().perms.write.groups, group.id);
    }
  }]);

  return HueDocument;
}();

/* harmony default export */ __webpack_exports__["default"] = (HueDocument);

/***/ }),

/***/ "./desktop/core/src/desktop/js/doc/hueFileEntry.js":
/*!*********************************************************!*\
  !*** ./desktop/core/src/desktop/js/doc/hueFileEntry.js ***!
  \*********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _hueDocument__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./hueDocument */ "./desktop/core/src/desktop/js/doc/hueDocument.js");
/* harmony import */ var _docSupport__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./docSupport */ "./desktop/core/src/desktop/js/doc/docSupport.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var SORTS = {
  defaultAsc: function defaultAsc(a, b) {
    if (a.isDirectory() && !b.isDirectory()) {
      return -1;
    }

    if (!a.isDirectory() && b.isDirectory()) {
      return 1;
    }

    if (a.isDirectory() && b.isDirectory()) {
      return SORTS.nameAsc(a, b);
    }

    return SORTS.lastModifiedDesc(a, b);
  },
  nameAsc: function nameAsc(a, b) {
    return a.definition().name.localeCompare(b.definition().name);
  },
  nameDesc: function nameDesc(a, b) {
    return SORTS.nameAsc(b, a);
  },
  descriptionAsc: function descriptionAsc(a, b) {
    return a.definition().description.localeCompare(b.definition().description);
  },
  descriptionDesc: function descriptionDesc(a, b) {
    return SORTS.descriptionAsc(b, a);
  },
  typeAsc: function typeAsc(a, b) {
    return a.definition().type.localeCompare(b.definition().type);
  },
  typeDesc: function typeDesc(a, b) {
    return SORTS.typeAsc(b, a);
  },
  ownerAsc: function ownerAsc(a, b) {
    return a.definition().owner.localeCompare(b.definition().owner);
  },
  ownerDesc: function ownerDesc(a, b) {
    return SORTS.ownerAsc(b, a);
  },
  lastModifiedAsc: function lastModifiedAsc(a, b) {
    return a.definition().last_modified_ts - b.definition().last_modified_ts;
  },
  lastModifiedDesc: function lastModifiedDesc(a, b) {
    return SORTS.lastModifiedAsc(b, a);
  }
};

var HueFileEntry =
/*#__PURE__*/
function () {
  /**
   *
   * @param {Object} options
   * @param {Object} options.definition
   * @param {Function} options.activeEntry - The observable keeping track of the current open directory
   * @param {Function} options.trashEntry - The observable keeping track of the trash directory
   * @param {HueFolder} options.parent
   * @param {string} options.app - Currently only 'documents' is supported
   * @param {string} options.user
   *
   * @constructor
   */
  function HueFileEntry(options) {
    var _this = this;

    _classCallCheck(this, HueFileEntry);

    this.activeEntry = options.activeEntry;
    this.trashEntry = options.trashEntry;
    this.parent = options.parent;
    this.definition = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.definition);
    this.app = options.app;
    this.user = options.user;
    this.superuser = options.superuser;
    this.serverTypeFilter = options.serverTypeFilter || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
      type: 'all'
    });
    this.statsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.highlight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.document = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.selectedDocsWithDependents = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]([]);
    this.importedDocSummary = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.showTable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]); // Filter is only used in the assist panel at the moment

    this.isFilterVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.filter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('').extend({
      rateLimit: 400
    });
    this.typeFilter = options.typeFilter || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_docSupport__WEBPACK_IMPORTED_MODULE_5__["DOCUMENT_TYPES"][0]); // First one is always 'all'

    this.isFilterVisible.subscribe(function (newValue) {
      if (!newValue && _this.filter()) {
        _this.filter('');
      }
    });
    this.filteredEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var filter = _this.filter().toLowerCase();

      var typeFilter = _this.typeFilter().type;

      if (filter || typeFilter !== 'all') {
        return _this.entries().filter(function (entry) {
          var entryType = entry.definition().type;
          return (typeFilter === 'all' || entryType === typeFilter || entryType === 'directory') && (!filter || entry.definition().name.toLowerCase().indexOf(filter) !== -1 || _docSupport__WEBPACK_IMPORTED_MODULE_5__["DOCUMENT_TYPE_I18n"][entryType] && _docSupport__WEBPACK_IMPORTED_MODULE_5__["DOCUMENT_TYPE_I18n"][entryType].toLowerCase().indexOf(filter) !== -1 || entry.definition().description.toLowerCase().indexOf(filter) !== -1);
        });
      }

      return _this.entries();
    });

    this.getSelectedDocsWithDependents = function () {
      _this.selectedDocsWithDependents([]);

      var uuids = _this.selectedEntries().map(function (entry) {
        return entry.definition().uuid;
      }).join(',');

      var data = {
        uuids: uuids,
        data: 'false',
        dependencies: 'true'
      };
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get('/desktop/api2/doc/', data, function (response) {
        var docsWithDependents = [];

        if (response && response.data_list) {
          for (var index = 0; index < response.data_list.length; index++) {
            docsWithDependents.push({
              name: response.data_list[index].document.name,
              dependents: response.data_list[index].dependents
            });
          }
        }

        _this.selectedDocsWithDependents(docsWithDependents);
      }).fail(function (response) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', 'Error getting document data: ' + response.responseText);
      });
    };

    this.isTrash = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.definition().name === '.Trash';
    });
    this.isTrashed = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (typeof _this.parent !== 'undefined' && _this.parent !== null) {
        return _this.parent.isTrash() || _this.parent.isTrashed();
      }

      return false;
    });
    this.isRoot = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.definition().name === '';
    });
    this.isDirectory = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.definition().type === 'directory';
    });
    this.isShared = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var perms = _this.definition().perms;

      return perms && (perms.read.users.length > 0 || perms.read.groups.length > 0 || perms.write.users.length > 0 || perms.write.groups.length > 0);
    });
    this.isSharedWithMe = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.user !== _this.definition().owner;
    });
    this.canModify = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var perms = _this.definition().perms;

      return !_this.isSharedWithMe() || _this.superuser || perms && (perms.write.users.some(function (user) {
        return user.username === _this.user;
      }) || perms.write.groups.some(function (writeGroup) {
        return LOGGED_USERGROUPS.indexOf(writeGroup.name) !== -1;
      }));
    });
    this.canReshare = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!_this.isSharedWithMe()) {
        return true;
      }

      var target = _this;

      while (target.parent && !target.isShared()) {
        target = target.parent;
      }

      return target.canModify();
    });
    this.entriesToDelete = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.deletingEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.selected = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.loaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.uploading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.uploadComplete = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.uploadFailed = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.selectedImportFile = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    this.importEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedImportFile() !== '';
    });
    this.activeSort = options.activeSort;
    this.selectedEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.entries().filter(function (entry) {
        return entry.selected();
      });
    });
    this.sharedWithMeSelected = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedEntries().some(function (entry) {
        return entry.isSharedWithMe();
      });
    });
    this.directorySelected = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.selectedEntries().some(function (entry) {
        return entry.isDirectory();
      });
    });
    this.selectedEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (_this.selectedEntries().length === 1) {
        return _this.selectedEntries()[0];
      }

      return null;
    });
    this.breadcrumbs = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var result = [];
      var lastParent = _this.parent;

      while (lastParent) {
        result.unshift(lastParent);
        lastParent = lastParent.parent;
      }

      return result;
    });
  }

  _createClass(HueFileEntry, [{
    key: "getDirectory",
    value: function getDirectory() {
      if (!this.definition() || this.isRoot()) {
        return null;
      } else {
        return this.definition().uuid;
      }
    }
  }, {
    key: "highlightInside",
    value: function highlightInside(uuid) {
      var self = this;
      self.typeFilter(_docSupport__WEBPACK_IMPORTED_MODULE_5__["DOCUMENT_TYPES"][0]);
      var foundEntry;
      self.entries().forEach(function (entry) {
        entry.highlight(false);

        if (entry.definition() && entry.definition().uuid === uuid) {
          foundEntry = entry;
        }
      });

      if (foundEntry) {
        if (foundEntry.definition().type === 'directory') {
          self.activeEntry(foundEntry);

          if (!foundEntry.entries().length) {
            foundEntry.load();
          }
        } else {
          window.setTimeout(function () {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribeOnce('assist.db.scrollToComplete', function () {
              foundEntry.highlight(true); // Timeout is for animation effect

              window.setTimeout(function () {
                foundEntry.highlight(false);
              }, 1800);
            });
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.db.scrollTo', foundEntry);
          }, 0);
        }
      }
    }
  }, {
    key: "showContextPopover",
    value: function showContextPopover(entry, event, positionAdjustment) {
      var self = this;
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target);
      var offset = $source.offset();

      if (positionAdjustment) {
        offset.left += positionAdjustment.left;
        offset.top += positionAdjustment.top;
      }

      self.statsVisible(true);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
        data: {
          type: 'hue',
          definition: self.definition()
        },
        showInAssistEnabled: false,
        orientation: 'right',
        pinEnabled: false,
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 3,
          right: offset.left + $source.width() + 1,
          bottom: offset.top + $source.height() - 3
        }
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribeOnce('context.popover.hidden', function () {
        self.statsVisible(false);
      });
    }
  }, {
    key: "addDirectoryParamToUrl",
    value: function addDirectoryParamToUrl(url) {
      var self = this;
      var directoryId = self.getDirectory();

      if (!directoryId) {
        return url;
      } else if (url.indexOf('?') !== -1) {
        return url + '&directory_uuid=' + self.definition().uuid;
      } else {
        return url + '?directory_uuid=' + self.definition().uuid;
      }
    }
  }, {
    key: "beforeContextOpen",
    value: function beforeContextOpen() {
      if (!this.selected()) {
        this.parent.selectedEntries().forEach(function (entry) {
          entry.selected(false);
        });
        this.selected(true);
      }
    }
  }, {
    key: "showNewDirectoryModal",
    value: function showNewDirectoryModal() {
      if (!this.isTrash() && !this.isTrashed() && this.canModify()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#createDirectoryModal').modal('show');
      }
    }
  }, {
    key: "showRenameDirectoryModal",
    value: function showRenameDirectoryModal() {
      var selectedEntry = this;

      if (!selectedEntry.selected()) {
        selectedEntry = selectedEntry.selectedEntry();
      }

      if (!selectedEntry.isTrash() && !selectedEntry.isTrashed() && selectedEntry.canModify()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#renameDirectoryName').val(selectedEntry.definition().name);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#renameDirectoryModal').modal('show');
      }
    }
  }, {
    key: "setSort",
    value: function setSort(name) {
      if (this.activeSort().indexOf(name) === -1) {
        if (name === 'lastModified') {
          this.activeSort('lastModifiedDesc');
        } else {
          this.activeSort(name + 'Asc');
        }
      } else if (name !== 'lastModified' && this.activeSort().indexOf('Asc') !== -1) {
        this.activeSort(name + 'Desc');
      } else if (name === 'lastModified' && this.activeSort().indexOf('Desc') !== -1) {
        this.activeSort('lastModifiedAsc');
      } else {
        this.activeSort('defaultAsc');
      }

      this.entries.sort(SORTS[this.activeSort()]);
    }
  }, {
    key: "showSharingModal",
    value: function showSharingModal(entry) {
      if (entry) {
        this.selectedEntries().forEach(function (otherEntry) {
          if (otherEntry !== entry) {
            otherEntry.selected(false);
          }
        });
        entry.selected(true);
      }

      if (this.selectedEntry()) {
        this.selectedEntry().loadDocument();
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('doc.show.share.modal', this.selectedEntry());
      }
    }
  }, {
    key: "copy",
    value: function copy() {
      var self = this;

      if (self.selectedEntries().indexOf(self) !== -1) {
        self.activeEntry(self.parent);
      }

      var copyNext = function copyNext() {
        if (self.selectedEntries().length > 0) {
          var nextUuid = self.selectedEntries().shift().definition().uuid;
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].copyDocument({
            uuid: nextUuid,
            successCallback: function successCallback() {
              copyNext();
            },
            errorCallback: function errorCallback() {
              self.activeEntry().load();
            }
          });
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
          self.activeEntry().load();
        }
      };

      copyNext();
    }
  }, {
    key: "loadDocument",
    value: function loadDocument(callback) {
      this.document(new _hueDocument__WEBPACK_IMPORTED_MODULE_4__["default"]({
        fileEntry: this
      }));
      this.document().load(callback);
    }
    /**
     * @param {HueFileEntry[]} entries
     */

  }, {
    key: "moveHere",
    value: function moveHere(entries) {
      var self = this;

      if (self.app === 'documents') {
        var moveNext = function moveNext() {
          if (entries.length > 0) {
            var nextId = entries.shift().definition().uuid;
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].moveDocument({
              successCallback: function successCallback() {
                moveNext();
              },
              errorCallback: function errorCallback() {
                self.activeEntry().load();
              },
              sourceId: nextId,
              destinationId: self.definition().uuid
            });
          } else {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');

            if (self !== self.activeEntry()) {
              self.load();
            }

            self.activeEntry().load();
          }
        };

        moveNext();
      }
    }
  }, {
    key: "createNewEntry",
    value: function createNewEntry(options) {
      return new HueFileEntry(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
        activeEntry: this.activeEntry,
        activeSort: this.activeSort,
        trashEntry: this.trashEntry,
        serverTypeFilter: this.serverTypeFilter,
        typeFilter: this.typeFilter,
        app: this.app,
        user: this.user,
        superuser: this.superuser
      }, options));
    }
  }, {
    key: "search",
    value: function search(query) {
      var self = this;
      var owner = self.definition().isSearchResult ? self.parent : self;

      if (!query) {
        if (self.definition().isSearchResult) {
          self.activeEntry(self.parent);
        }

        return;
      }

      var resultEntry = self.createNewEntry({
        definition: {
          isSearchResult: true,
          name: '"' + query + '"'
        },
        parent: owner
      });
      self.activeEntry(resultEntry);
      resultEntry.loading(true);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].searchDocuments({
        uuid: owner.uuid,
        query: query,
        type: self.serverTypeFilter().type,
        successCallback: function successCallback(data) {
          resultEntry.hasErrors(false);
          var newEntries = [];
          data.documents.forEach(function (definition) {
            var entry = self.createNewEntry({
              definition: definition,
              parent: self
            });

            if (!entry.isTrash()) {
              newEntries.push(entry);
            }
          });
          resultEntry.entries(newEntries);
          resultEntry.loading(false);
          resultEntry.loaded(true);
        },
        errorCallback: function errorCallback() {
          resultEntry.hasErrors(true);
          resultEntry.loading(false);
          resultEntry.loaded(true);
        }
      });
    }
  }, {
    key: "toggleSelected",
    value: function toggleSelected() {
      this.selected(!this.selected());
    }
  }, {
    key: "openSelected",
    value: function openSelected() {
      if (this.selectedEntries().length === 1) {
        this.selectedEntry().open();
      }
    }
  }, {
    key: "open",
    value: function open() {
      if (this.definition().type === 'directory') {
        this.makeActive();
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('file.browser.directory.opened');

        if (!this.loaded()) {
          this.load();
        }
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('open.link', this.definition().absoluteUrl);
      }
    }
  }, {
    key: "load",
    value: function load(_successCallback, _errorCallback, silenceErrors) {
      var self = this;

      if (self.loading()) {
        return;
      }

      self.loading(true);

      if (self.app === 'documents') {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDocuments({
          uuid: self.definition().uuid,
          type: self.serverTypeFilter().type,
          silenceErrors: !!silenceErrors,
          successCallback: function successCallback(data) {
            self.definition(data.document);
            self.hasErrors(false);
            var newEntries = [];
            data.children.forEach(function (definition) {
              var entry = self.createNewEntry({
                definition: definition,
                parent: self
              });

              if (entry.isTrash()) {
                self.trashEntry(entry);
              } else {
                newEntries.push(entry);
              }
            });
            newEntries.sort(SORTS[self.activeSort()]);
            self.entries(newEntries);

            if (!self.parent && data.parent) {
              self.parent = self.createNewEntry({
                definition: data.parent.path === '/' && self.isSharedWithMe() ? {
                  name: '/'
                } : data.parent,
                parent: null
              });
            }

            self.loading(false);
            self.loaded(true);

            if (self.isRoot() && self.entries().length === 1 && self.entries()[0].definition().type === 'directory' && self.entries()[0].isSharedWithMe()) {
              self.activeEntry(self.entries()[0]);
              self.activeEntry().load(_successCallback);
            } else if (_successCallback && typeof _successCallback === 'function') {
              _successCallback();
            }
          },
          errorCallback: function errorCallback() {
            self.hasErrors(true);
            self.loading(false);
            self.loaded(true);

            if (_errorCallback) {
              _errorCallback();
            }
          }
        });
      }
    }
  }, {
    key: "showTrash",
    value: function showTrash() {
      if (this.trashEntry()) {
        this.trashEntry().open();
      }
    }
  }, {
    key: "emptyTrash",
    value: function emptyTrash() {
      if (this.trashEntry()) {
        if (!this.trashEntry().loaded()) {
          this.trashEntry().load(function () {
            this.entriesToDelete(this.trashEntry().entries());
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal').modal('show');
          });
        } else {
          this.entriesToDelete(this.trashEntry().entries());
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal').modal('show');
        }
      }
    }
  }, {
    key: "moveToTrash",
    value: function moveToTrash() {
      if (this.selectedEntries().length > 0 && (this.superuser || !this.sharedWithMeSelected())) {
        this.entriesToDelete(this.selectedEntries());
        this.removeDocuments(false);
      }
    }
  }, {
    key: "showRestoreConfirmation",
    value: function showRestoreConfirmation() {
      if (this.selectedEntries().length > 0 && (this.superuser || !this.sharedWithMeSelected())) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#restoreFromTrashModal').modal('show');
      }
    }
  }, {
    key: "showDeleteConfirmation",
    value: function showDeleteConfirmation() {
      if (this.selectedEntries().length > 0 && (this.superuser || !this.sharedWithMeSelected())) {
        this.entriesToDelete(this.selectedEntries());
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal').modal('show');
      }
    }
  }, {
    key: "removeDocuments",
    value: function removeDocuments(deleteForever) {
      var self = this;

      if (self.entriesToDelete().indexOf(self) !== -1) {
        self.activeEntry(self.parent);
      }

      var deleteNext = function deleteNext() {
        if (self.entriesToDelete().length > 0) {
          var nextUuid = self.entriesToDelete().shift().definition().uuid;
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].deleteDocument({
            uuid: nextUuid,
            skipTrash: deleteForever,
            successCallback: function successCallback() {
              deleteNext();
            },
            errorCallback: function errorCallback() {
              self.activeEntry().load();
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal').modal('hide');
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal-backdrop').remove();
              self.deletingEntries(false);
            }
          });
        } else {
          self.deletingEntries(false);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal').modal('hide');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal-backdrop').remove();
          self.activeEntry().load();
        }
      };

      self.deletingEntries(true);
      deleteNext();
    }
  }, {
    key: "closeUploadModal",
    value: function closeUploadModal() {
      var _this2 = this;

      if (this.app === 'documents') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('hide.import.documents.modal');
      } // Allow the modal to hide


      window.setTimeout(function () {
        _this2.uploading(false);

        _this2.uploadComplete(false);

        _this2.uploadFailed(false);
      }, 400);
    }
  }, {
    key: "upload",
    value: function upload(importSuccessCallback) {
      var self = this;

      if (document.getElementById('importDocumentInput').files.length > 0 && self.app === 'documents') {
        self.uploading(true);
        self.uploadComplete(false);
        self.uploadFailed(false);
        self.importedDocSummary(null);
        self.showTable(false);
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].uploadDocument({
          formData: new FormData(jquery__WEBPACK_IMPORTED_MODULE_0___default()('#importDocumentsForm')[0]),
          successCallback: function successCallback(data) {
            self.uploading(false);
            self.uploadComplete(true);
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
            self.load();
            self.importedDocSummary(data);

            if (importSuccessCallback) {
              importSuccessCallback();
            }
          },
          progressHandler: function progressHandler(event) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('#importDocumentsProgress').val(Math.round(event.loaded / event.total * 100));
          },
          errorCallback: function errorCallback() {
            self.uploading(false);
            self.uploadComplete(true);
            self.uploadFailed(true);
          }
        });
      }
    }
  }, {
    key: "importedDocumentCount",
    value: function importedDocumentCount() {
      if (this.importedDocSummary()) {
        return this.importedDocSummary()['documents'].length;
      }

      return 0;
    }
  }, {
    key: "toggleShowTable",
    value: function toggleShowTable() {
      this.showTable(!this.showTable());
    }
  }, {
    key: "makeActive",
    value: function makeActive() {
      if (!this.loaded()) {
        this.load();
      }

      this.activeEntry(this);
    }
  }, {
    key: "showUploadModal",
    value: function showUploadModal() {
      if (this.app === 'documents' && !this.isTrash() && !this.isTrashed()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('show.import.documents.modal', {
          fileEntry: this
        });
      }
    }
  }, {
    key: "contextMenuDownload",
    value: function contextMenuDownload() {
      if (this.selected()) {
        this.parent.download();
      } else {
        this.downloadThis();
      }
    }
  }, {
    key: "downloadThis",
    value: function downloadThis() {
      window.location.href = window.HUE_BASE_URL + '/desktop/api2/doc/export?documents=' + knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON([this.definition().id]);
    }
  }, {
    key: "download",
    value: function download() {
      if (this.app === 'documents') {
        if (this.selectedEntries().length > 0) {
          var ids = this.selectedEntries().map(function (entry) {
            return entry.definition().id;
          });
          window.location.href = window.HUE_BASE_URL + '/desktop/api2/doc/export?documents=' + knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON(ids);
        } else {
          this.downloadThis();
        }
      }
    }
  }, {
    key: "restoreFromTrash",
    value: function restoreFromTrash() {
      var self = this;

      if (self.app === 'documents') {
        if (self.selectedEntries().indexOf(self) !== -1) {
          self.activeEntry(self.parent);
        }

        if (self.selectedEntries().length > 0) {
          var uuids = self.selectedEntries().map(function (entry) {
            return entry.definition().uuid;
          }).join(',');
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].restoreDocument({
            uuids: uuids,
            successCallback: function successCallback() {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
              self.activeEntry().load();
            },
            errorCallback: function errorCallback() {
              self.activeEntry().load();
            }
          });
        } else {
          self.activeEntry().load();
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#restoreFromTrashModal').modal('hide');
      }
    }
  }, {
    key: "createDirectory",
    value: function createDirectory(name) {
      var self = this;

      if (name && self.app === 'documents') {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].createDocumentsFolder({
          successCallback: function successCallback() {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
            self.load();
          },
          parentUuid: self.definition().uuid,
          name: name
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#newDirectoryName').val(null);
      }
    }
  }, {
    key: "renameDirectory",
    value: function renameDirectory(name) {
      var self = this;

      if (name && self.app === 'documents') {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].updateDocument({
          successCallback: function successCallback() {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
            self.load();
          },
          uuid: self.definition().uuid,
          name: name
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#renameDirectoryName').val(null);
      }
    }
  }]);

  return HueFileEntry;
}();

/* harmony default export */ __webpack_exports__["default"] = (HueFileEntry);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/bootstrap-editable.1.5.1.min.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/bootstrap-editable.1.5.1.min.js ***!
  \*************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*! X-editable - v1.5.1
* In-place editing with Twitter Bootstrap, jQuery UI or pure jQuery
* http://github.com/vitalets/x-editable
* Copyright (c) 2013 Vitaliy Potapov; Licensed MIT */

!function (a) {
  "use strict";

  var b = function b(_b, c) {
    this.options = a.extend({}, a.fn.editableform.defaults, c), this.$div = a(_b), this.options.scope || (this.options.scope = this);
  };

  b.prototype = {
    constructor: b,
    initInput: function initInput() {
      this.input = this.options.input, this.value = this.input.str2value(this.options.value), this.input.prerender();
    },
    initTemplate: function initTemplate() {
      this.$form = a(a.fn.editableform.template);
    },
    initButtons: function initButtons() {
      var b = this.$form.find(".editable-buttons");
      b.append(a.fn.editableform.buttons), "bottom" === this.options.showbuttons && b.addClass("editable-buttons-bottom");
    },
    render: function render() {
      this.$loading = a(a.fn.editableform.loading), this.$div.empty().append(this.$loading), this.initTemplate(), this.options.showbuttons ? this.initButtons() : this.$form.find(".editable-buttons").remove(), this.showLoading(), this.isSaving = !1, this.$div.triggerHandler("rendering"), this.initInput(), this.$form.find("div.editable-input").append(this.input.$tpl), this.$div.append(this.$form), a.when(this.input.render()).then(a.proxy(function () {
        if (this.options.showbuttons || this.input.autosubmit(), this.$form.find(".editable-cancel").click(a.proxy(this.cancel, this)), this.input.error) this.error(this.input.error), this.$form.find(".editable-submit").attr("disabled", !0), this.input.$input.attr("disabled", !0), this.$form.submit(function (a) {
          a.preventDefault();
        });else {
          this.error(!1), this.input.$input.removeAttr("disabled"), this.$form.find(".editable-submit").removeAttr("disabled");
          var b = null === this.value || void 0 === this.value || "" === this.value ? this.options.defaultValue : this.value;
          this.input.value2input(b), this.$form.submit(a.proxy(this.submit, this));
        }
        this.$div.triggerHandler("rendered"), this.showForm(), this.input.postrender && this.input.postrender();
      }, this));
    },
    cancel: function cancel() {
      this.$div.triggerHandler("cancel");
    },
    showLoading: function showLoading() {
      var a, b;
      this.$form ? (a = this.$form.outerWidth(), b = this.$form.outerHeight(), a && this.$loading.width(a), b && this.$loading.height(b), this.$form.hide()) : (a = this.$loading.parent().width(), a && this.$loading.width(a)), this.$loading.show();
    },
    showForm: function showForm(a) {
      this.$loading.hide(), this.$form.show(), a !== !1 && this.input.activate(), this.$div.triggerHandler("show");
    },
    error: function error(b) {
      var c,
          d = this.$form.find(".control-group"),
          e = this.$form.find(".editable-error-block");
      if (b === !1) d.removeClass(a.fn.editableform.errorGroupClass), e.removeClass(a.fn.editableform.errorBlockClass).empty().hide();else {
        if (b) {
          c = ("" + b).split("\n");

          for (var f = 0; f < c.length; f++) {
            c[f] = a("<div>").text(c[f]).html();
          }

          b = c.join("<br>");
        }

        d.addClass(a.fn.editableform.errorGroupClass), e.addClass(a.fn.editableform.errorBlockClass).html(b).show();
      }
    },
    submit: function submit(b) {
      b.stopPropagation(), b.preventDefault();
      var c = this.input.input2value(),
          d = this.validate(c);

      if ("object" === a.type(d) && void 0 !== d.newValue) {
        if (c = d.newValue, this.input.value2input(c), "string" == typeof d.msg) return this.error(d.msg), this.showForm(), void 0;
      } else if (d) return this.error(d), this.showForm(), void 0;

      if (!this.options.savenochange && this.input.value2str(c) == this.input.value2str(this.value)) return this.$div.triggerHandler("nochange"), void 0;
      var e = this.input.value2submit(c);
      this.isSaving = !0, a.when(this.save(e)).done(a.proxy(function (a) {
        this.isSaving = !1;
        var b = "function" == typeof this.options.success ? this.options.success.call(this.options.scope, a, c) : null;
        return b === !1 ? (this.error(!1), this.showForm(!1), void 0) : "string" == typeof b ? (this.error(b), this.showForm(), void 0) : (b && "object" == _typeof(b) && b.hasOwnProperty("newValue") && (c = b.newValue), this.error(!1), this.value = c, this.$div.triggerHandler("save", {
          newValue: c,
          submitValue: e,
          response: a
        }), void 0);
      }, this)).fail(a.proxy(function (a) {
        this.isSaving = !1;
        var b;
        b = "function" == typeof this.options.error ? this.options.error.call(this.options.scope, a, c) : "string" == typeof a ? a : a.responseText || a.statusText || "Unknown error!", this.error(b), this.showForm();
      }, this));
    },
    save: function save(b) {
      this.options.pk = a.fn.editableutils.tryParseJson(this.options.pk, !0);
      var c,
          d = "function" == typeof this.options.pk ? this.options.pk.call(this.options.scope) : this.options.pk,
          e = !!("function" == typeof this.options.url || this.options.url && ("always" === this.options.send || "auto" === this.options.send && null !== d && void 0 !== d));
      return e ? (this.showLoading(), c = {
        name: this.options.name || "",
        value: b,
        pk: d
      }, "function" == typeof this.options.params ? c = this.options.params.call(this.options.scope, c) : (this.options.params = a.fn.editableutils.tryParseJson(this.options.params, !0), a.extend(c, this.options.params)), "function" == typeof this.options.url ? this.options.url.call(this.options.scope, c) : a.ajax(a.extend({
        url: this.options.url,
        data: c,
        type: "POST"
      }, this.options.ajaxOptions))) : void 0;
    },
    validate: function validate(a) {
      return void 0 === a && (a = this.value), "function" == typeof this.options.validate ? this.options.validate.call(this.options.scope, a) : void 0;
    },
    option: function option(a, b) {
      a in this.options && (this.options[a] = b), "value" === a && this.setValue(b);
    },
    setValue: function setValue(a, b) {
      this.value = b ? this.input.str2value(a) : a, this.$form && this.$form.is(":visible") && this.input.value2input(this.value);
    }
  }, a.fn.editableform = function (c) {
    var d = arguments;
    return this.each(function () {
      var e = a(this),
          f = e.data("editableform"),
          g = "object" == _typeof(c) && c;
      f || e.data("editableform", f = new b(this, g)), "string" == typeof c && f[c].apply(f, Array.prototype.slice.call(d, 1));
    });
  }, a.fn.editableform.Constructor = b, a.fn.editableform.defaults = {
    type: "text",
    url: null,
    params: null,
    name: null,
    pk: null,
    value: null,
    defaultValue: null,
    send: "auto",
    validate: null,
    success: null,
    error: null,
    ajaxOptions: null,
    showbuttons: !0,
    scope: null,
    savenochange: !1
  }, a.fn.editableform.template = '<form class="form-inline editableform"><div class="control-group"><div><div class="editable-input"></div><div class="editable-buttons"></div></div><div class="editable-error-block"></div></div></form>', a.fn.editableform.loading = '<div class="editableform-loading"></div>', a.fn.editableform.buttons = '<button type="submit" class="editable-submit">ok</button><button type="button" class="editable-cancel">cancel</button>', a.fn.editableform.errorGroupClass = null, a.fn.editableform.errorBlockClass = "editable-error", a.fn.editableform.engine = "jquery";
}(window.jQuery), function (a) {
  "use strict";

  a.fn.editableutils = {
    inherit: function inherit(a, b) {
      var c = function c() {};

      c.prototype = b.prototype, a.prototype = new c(), a.prototype.constructor = a, a.superclass = b.prototype;
    },
    setCursorPosition: function setCursorPosition(a, b) {
      if (a.setSelectionRange) a.setSelectionRange(b, b);else if (a.createTextRange) {
        var c = a.createTextRange();
        c.collapse(!0), c.moveEnd("character", b), c.moveStart("character", b), c.select();
      }
    },
    tryParseJson: function tryParseJson(a, b) {
      if ("string" == typeof a && a.length && a.match(/^[\{\[].*[\}\]]$/)) if (b) try {
        a = new Function("return " + a)();
      } catch (c) {} finally {
        return a;
      } else a = new Function("return " + a)();
      return a;
    },
    sliceObj: function sliceObj(b, c, d) {
      var e,
          f,
          g = {};
      if (!a.isArray(c) || !c.length) return g;

      for (var h = 0; h < c.length; h++) {
        e = c[h], b.hasOwnProperty(e) && (g[e] = b[e]), d !== !0 && (f = e.toLowerCase(), b.hasOwnProperty(f) && (g[e] = b[f]));
      }

      return g;
    },
    getConfigData: function getConfigData(b) {
      var c = {};
      return a.each(b.data(), function (a, b) {
        ("object" != _typeof(b) || b && "object" == _typeof(b) && (b.constructor === Object || b.constructor === Array)) && (c[a] = b);
      }), c;
    },
    objectKeys: function objectKeys(a) {
      if (Object.keys) return Object.keys(a);
      if (a !== Object(a)) throw new TypeError("Object.keys called on a non-object");
      var b,
          c = [];

      for (b in a) {
        Object.prototype.hasOwnProperty.call(a, b) && c.push(b);
      }

      return c;
    },
    escape: function escape(b) {
      return a("<div>").text(b).html();
    },
    itemsByValue: function itemsByValue(b, c, d) {
      if (!c || null === b) return [];

      if ("function" != typeof d) {
        var e = d || "value";

        d = function d(a) {
          return a[e];
        };
      }

      var f = a.isArray(b),
          g = [],
          h = this;
      return a.each(c, function (c, e) {
        if (e.children) g = g.concat(h.itemsByValue(b, e.children, d));else if (f) a.grep(b, function (a) {
          return a == (e && "object" == _typeof(e) ? d(e) : e);
        }).length && g.push(e);else {
          var i = e && "object" == _typeof(e) ? d(e) : e;
          b == i && g.push(e);
        }
      }), g;
    },
    createInput: function createInput(b) {
      var c,
          d,
          e,
          f = b.type;
      return "date" === f && ("inline" === b.mode ? a.fn.editabletypes.datefield ? f = "datefield" : a.fn.editabletypes.dateuifield && (f = "dateuifield") : a.fn.editabletypes.date ? f = "date" : a.fn.editabletypes.dateui && (f = "dateui"), "date" !== f || a.fn.editabletypes.date || (f = "combodate")), "datetime" === f && "inline" === b.mode && (f = "datetimefield"), "wysihtml5" !== f || a.fn.editabletypes[f] || (f = "textarea"), "function" == typeof a.fn.editabletypes[f] ? (c = a.fn.editabletypes[f], d = this.sliceObj(b, this.objectKeys(c.defaults)), e = new c(d)) : (a.error("Unknown type: " + f), !1);
    },
    supportsTransitions: function supportsTransitions() {
      var a = document.body || document.documentElement,
          b = a.style,
          c = "transition",
          d = ["Moz", "Webkit", "Khtml", "O", "ms"];
      if ("string" == typeof b[c]) return !0;
      c = c.charAt(0).toUpperCase() + c.substr(1);

      for (var e = 0; e < d.length; e++) {
        if ("string" == typeof b[d[e] + c]) return !0;
      }

      return !1;
    }
  };
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a, _b2) {
    this.init(a, _b2);
  },
      c = function c(a, b) {
    this.init(a, b);
  };

  b.prototype = {
    containerName: null,
    containerDataName: null,
    innerCss: null,
    containerClass: "editable-container editable-popup",
    defaults: {},
    init: function init(c, d) {
      this.$element = a(c), this.options = a.extend({}, a.fn.editableContainer.defaults, d), this.splitOptions(), this.formOptions.scope = this.$element[0], this.initContainer(), this.delayedHide = !1, this.$element.on("destroyed", a.proxy(function () {
        this.destroy();
      }, this)), a(document).data("editable-handlers-attached") || (a(document).on("keyup.editable", function (b) {
        27 === b.which && a(".editable-open").editableContainer("hide");
      }), a(document).on("click.editable", function (c) {
        var d,
            e = a(c.target),
            f = [".editable-container", ".ui-datepicker-header", ".datepicker", ".modal-backdrop", ".bootstrap-wysihtml5-insert-image-modal", ".bootstrap-wysihtml5-insert-link-modal"];

        if (a.contains(document.documentElement, c.target) && !e.is(document)) {
          for (d = 0; d < f.length; d++) {
            if (e.is(f[d]) || e.parents(f[d]).length) return;
          }

          b.prototype.closeOthers(c.target);
        }
      }), a(document).data("editable-handlers-attached", !0));
    },
    splitOptions: function splitOptions() {
      if (this.containerOptions = {}, this.formOptions = {}, !a.fn[this.containerName]) throw new Error(this.containerName + " not found. Have you included corresponding js file?");

      for (var b in this.options) {
        b in this.defaults ? this.containerOptions[b] = this.options[b] : this.formOptions[b] = this.options[b];
      }
    },
    tip: function tip() {
      return this.container() ? this.container().$tip : null;
    },
    container: function container() {
      var a;
      return this.containerDataName && (a = this.$element.data(this.containerDataName)) ? a : a = this.$element.data(this.containerName);
    },
    call: function call() {
      this.$element[this.containerName].apply(this.$element, arguments);
    },
    initContainer: function initContainer() {
      this.call(this.containerOptions);
    },
    renderForm: function renderForm() {
      this.$form.editableform(this.formOptions).on({
        save: a.proxy(this.save, this),
        nochange: a.proxy(function () {
          this.hide("nochange");
        }, this),
        cancel: a.proxy(function () {
          this.hide("cancel");
        }, this),
        show: a.proxy(function () {
          this.delayedHide ? (this.hide(this.delayedHide.reason), this.delayedHide = !1) : this.setPosition();
        }, this),
        rendering: a.proxy(this.setPosition, this),
        resize: a.proxy(this.setPosition, this),
        rendered: a.proxy(function () {
          this.$element.triggerHandler("shown", a(this.options.scope).data("editable"));
        }, this)
      }).editableform("render");
    },
    show: function show(b) {
      this.$element.addClass("editable-open"), b !== !1 && this.closeOthers(this.$element[0]), this.innerShow(), this.tip().addClass(this.containerClass), this.$form, this.$form = a("<div>"), this.tip().is(this.innerCss) ? this.tip().append(this.$form) : this.tip().find(this.innerCss).append(this.$form), this.renderForm();
    },
    hide: function hide(a) {
      if (this.tip() && this.tip().is(":visible") && this.$element.hasClass("editable-open")) {
        if (this.$form.data("editableform").isSaving) return this.delayedHide = {
          reason: a
        }, void 0;
        this.delayedHide = !1, this.$element.removeClass("editable-open"), this.innerHide(), this.$element.triggerHandler("hidden", a || "manual");
      }
    },
    innerShow: function innerShow() {},
    innerHide: function innerHide() {},
    toggle: function toggle(a) {
      this.container() && this.tip() && this.tip().is(":visible") ? this.hide() : this.show(a);
    },
    setPosition: function setPosition() {},
    save: function save(a, b) {
      this.$element.triggerHandler("save", b), this.hide("save");
    },
    option: function option(a, b) {
      this.options[a] = b, a in this.containerOptions ? (this.containerOptions[a] = b, this.setContainerOption(a, b)) : (this.formOptions[a] = b, this.$form && this.$form.editableform("option", a, b));
    },
    setContainerOption: function setContainerOption(a, b) {
      this.call("option", a, b);
    },
    destroy: function destroy() {
      this.hide(), this.innerDestroy(), this.$element.off("destroyed"), this.$element.removeData("editableContainer");
    },
    innerDestroy: function innerDestroy() {},
    closeOthers: function closeOthers(b) {
      a(".editable-open").each(function (c, d) {
        if (d !== b && !a(d).find(b).length) {
          var e = a(d),
              f = e.data("editableContainer");
          f && ("cancel" === f.options.onblur ? e.data("editableContainer").hide("onblur") : "submit" === f.options.onblur && e.data("editableContainer").tip().find("form").submit());
        }
      });
    },
    activate: function activate() {
      this.tip && this.tip().is(":visible") && this.$form && this.$form.data("editableform").input.activate();
    }
  }, a.fn.editableContainer = function (d) {
    var e = arguments;
    return this.each(function () {
      var f = a(this),
          g = "editableContainer",
          h = f.data(g),
          i = "object" == _typeof(d) && d,
          j = "inline" === i.mode ? c : b;
      h || f.data(g, h = new j(this, i)), "string" == typeof d && h[d].apply(h, Array.prototype.slice.call(e, 1));
    });
  }, a.fn.editableContainer.Popup = b, a.fn.editableContainer.Inline = c, a.fn.editableContainer.defaults = {
    value: null,
    placement: "top",
    autohide: !0,
    onblur: "cancel",
    anim: !1,
    mode: "popup"
  }, jquery__WEBPACK_IMPORTED_MODULE_0___default.a.event.special.destroyed = {
    remove: function remove(a) {
      a.handler && a.handler();
    }
  };
}(window.jQuery), function (a) {
  "use strict";

  a.extend(a.fn.editableContainer.Inline.prototype, a.fn.editableContainer.Popup.prototype, {
    containerName: "editableform",
    innerCss: ".editable-inline",
    containerClass: "editable-container editable-inline",
    initContainer: function initContainer() {
      this.$tip = a("<span></span>"), this.options.anim || (this.options.anim = 0);
    },
    splitOptions: function splitOptions() {
      this.containerOptions = {}, this.formOptions = this.options;
    },
    tip: function tip() {
      return this.$tip;
    },
    innerShow: function innerShow() {
      this.$element.hide(), this.tip().insertAfter(this.$element).show();
    },
    innerHide: function innerHide() {
      this.$tip.hide(this.options.anim, a.proxy(function () {
        this.$element.show(), this.innerDestroy();
      }, this));
    },
    innerDestroy: function innerDestroy() {
      this.tip() && this.tip().empty().remove();
    }
  });
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(_b3, c) {
    this.$element = a(_b3), this.options = a.extend({}, a.fn.editable.defaults, c, a.fn.editableutils.getConfigData(this.$element)), this.options.selector ? this.initLive() : this.init(), this.options.highlight && !a.fn.editableutils.supportsTransitions() && (this.options.highlight = !1);
  };

  b.prototype = {
    constructor: b,
    init: function init() {
      var b,
          c = !1;

      if (this.options.name = this.options.name || this.$element.attr("id"), this.options.scope = this.$element[0], this.input = a.fn.editableutils.createInput(this.options), this.input) {
        switch (void 0 === this.options.value || null === this.options.value ? (this.value = this.input.html2value(a.trim(this.$element.html())), c = !0) : (this.options.value = a.fn.editableutils.tryParseJson(this.options.value, !0), this.value = "string" == typeof this.options.value ? this.input.str2value(this.options.value) : this.options.value), this.$element.addClass("editable"), "textarea" === this.input.type && this.$element.addClass("editable-pre-wrapped"), "manual" !== this.options.toggle ? (this.$element.addClass("editable-click"), this.$element.on(this.options.toggle + ".editable", a.proxy(function (a) {
          if (this.options.disabled || a.preventDefault(), "mouseenter" === this.options.toggle) this.show();else {
            var b = "click" !== this.options.toggle;
            this.toggle(b);
          }
        }, this))) : this.$element.attr("tabindex", -1), "function" == typeof this.options.display && (this.options.autotext = "always"), this.options.autotext) {
          case "always":
            b = !0;
            break;

          case "auto":
            b = !a.trim(this.$element.text()).length && null !== this.value && void 0 !== this.value && !c;
            break;

          default:
            b = !1;
        }

        a.when(b ? this.render() : !0).then(a.proxy(function () {
          this.options.disabled ? this.disable() : this.enable(), this.$element.triggerHandler("init", this);
        }, this));
      }
    },
    initLive: function initLive() {
      var b = this.options.selector;
      this.options.selector = !1, this.options.autotext = "never", this.$element.on(this.options.toggle + ".editable", b, a.proxy(function (b) {
        var c = a(b.target);
        c.data("editable") || (c.hasClass(this.options.emptyclass) && c.empty(), c.editable(this.options).trigger(b));
      }, this));
    },
    render: function render(a) {
      return this.options.display !== !1 ? this.input.value2htmlFinal ? this.input.value2html(this.value, this.$element[0], this.options.display, a) : "function" == typeof this.options.display ? this.options.display.call(this.$element[0], this.value, a) : this.input.value2html(this.value, this.$element[0]) : void 0;
    },
    enable: function enable() {
      this.options.disabled = !1, this.$element.removeClass("editable-disabled"), this.handleEmpty(this.isEmpty), "manual" !== this.options.toggle && "-1" === this.$element.attr("tabindex") && this.$element.removeAttr("tabindex");
    },
    disable: function disable() {
      this.options.disabled = !0, this.hide(), this.$element.addClass("editable-disabled"), this.handleEmpty(this.isEmpty), this.$element.attr("tabindex", -1);
    },
    toggleDisabled: function toggleDisabled() {
      this.options.disabled ? this.enable() : this.disable();
    },
    option: function option(b, c) {
      return b && "object" == _typeof(b) ? (a.each(b, a.proxy(function (b, c) {
        this.option(a.trim(b), c);
      }, this)), void 0) : (this.options[b] = c, "disabled" === b ? c ? this.disable() : this.enable() : ("value" === b && this.setValue(c), this.container && this.container.option(b, c), this.input.option && this.input.option(b, c), void 0));
    },
    handleEmpty: function handleEmpty(b) {
      this.options.display !== !1 && (this.isEmpty = void 0 !== b ? b : "function" == typeof this.input.isEmpty ? this.input.isEmpty(this.$element) : "" === a.trim(this.$element.html()), this.options.disabled ? this.isEmpty && (this.$element.empty(), this.options.emptyclass && this.$element.removeClass(this.options.emptyclass)) : this.isEmpty ? (this.$element.html(this.options.emptytext), this.options.emptyclass && this.$element.addClass(this.options.emptyclass)) : this.options.emptyclass && this.$element.removeClass(this.options.emptyclass));
    },
    show: function show(b) {
      if (!this.options.disabled) {
        if (this.container) {
          if (this.container.tip().is(":visible")) return;
        } else {
          var c = a.extend({}, this.options, {
            value: this.value,
            input: this.input
          });
          this.$element.editableContainer(c), this.$element.on("save.internal", a.proxy(this.save, this)), this.container = this.$element.data("editableContainer");
        }

        this.container.show(b);
      }
    },
    hide: function hide() {
      this.container && this.container.hide();
    },
    toggle: function toggle(a) {
      this.container && this.container.tip().is(":visible") ? this.hide() : this.show(a);
    },
    save: function save(a, b) {
      if (this.options.unsavedclass) {
        var c = !1;
        c = c || "function" == typeof this.options.url, c = c || this.options.display === !1, c = c || void 0 !== b.response, c = c || this.options.savenochange && this.input.value2str(this.value) !== this.input.value2str(b.newValue), c ? this.$element.removeClass(this.options.unsavedclass) : this.$element.addClass(this.options.unsavedclass);
      }

      if (this.options.highlight) {
        var d = this.$element,
            e = d.css("background-color");
        d.css("background-color", this.options.highlight), setTimeout(function () {
          "transparent" === e && (e = ""), d.css("background-color", e), d.addClass("editable-bg-transition"), setTimeout(function () {
            d.removeClass("editable-bg-transition");
          }, 1700);
        }, 10);
      }

      this.setValue(b.newValue, !1, b.response);
    },
    validate: function validate() {
      return "function" == typeof this.options.validate ? this.options.validate.call(this, this.value) : void 0;
    },
    setValue: function setValue(b, c, d) {
      this.value = c ? this.input.str2value(b) : b, this.container && this.container.option("value", this.value), a.when(this.render(d)).then(a.proxy(function () {
        this.handleEmpty();
      }, this));
    },
    activate: function activate() {
      this.container && this.container.activate();
    },
    destroy: function destroy() {
      this.disable(), this.container && this.container.destroy(), this.input.destroy(), "manual" !== this.options.toggle && (this.$element.removeClass("editable-click"), this.$element.off(this.options.toggle + ".editable")), this.$element.off("save.internal"), this.$element.removeClass("editable editable-open editable-disabled"), this.$element.removeData("editable");
    }
  }, a.fn.editable = function (c) {
    var d = {},
        e = arguments,
        f = "editable";

    switch (c) {
      case "validate":
        return this.each(function () {
          var b,
              c = a(this),
              e = c.data(f);
          e && (b = e.validate()) && (d[e.options.name] = b);
        }), d;

      case "getValue":
        return 2 === arguments.length && arguments[1] === !0 ? d = this.eq(0).data(f).value : this.each(function () {
          var b = a(this),
              c = b.data(f);
          c && void 0 !== c.value && null !== c.value && (d[c.options.name] = c.input.value2submit(c.value));
        }), d;

      case "submit":
        var g = arguments[1] || {},
            h = this,
            i = this.editable("validate");

        if (a.isEmptyObject(i)) {
          var j = {};

          if (1 === h.length) {
            var k = h.data("editable"),
                l = {
              name: k.options.name || "",
              value: k.input.value2submit(k.value),
              pk: "function" == typeof k.options.pk ? k.options.pk.call(k.options.scope) : k.options.pk
            };
            "function" == typeof k.options.params ? l = k.options.params.call(k.options.scope, l) : (k.options.params = a.fn.editableutils.tryParseJson(k.options.params, !0), a.extend(l, k.options.params)), j = {
              url: k.options.url,
              data: l,
              type: "POST"
            }, g.success = g.success || k.options.success, g.error = g.error || k.options.error;
          } else {
            var m = this.editable("getValue");
            j = {
              url: g.url,
              data: m,
              type: "POST"
            };
          }

          j.success = "function" == typeof g.success ? function (a) {
            g.success.call(h, a, g);
          } : a.noop, j.error = "function" == typeof g.error ? function () {
            g.error.apply(h, arguments);
          } : a.noop, g.ajaxOptions && a.extend(j, g.ajaxOptions), g.data && a.extend(j.data, g.data), a.ajax(j);
        } else "function" == typeof g.error && g.error.call(h, i);

        return this;
    }

    return this.each(function () {
      var d = a(this),
          g = d.data(f),
          h = "object" == _typeof(c) && c;
      return h && h.selector ? (g = new b(this, h), void 0) : (g || d.data(f, g = new b(this, h)), "string" == typeof c && g[c].apply(g, Array.prototype.slice.call(e, 1)), void 0);
    });
  }, a.fn.editable.defaults = {
    type: "text",
    disabled: !1,
    toggle: "click",
    emptytext: "Empty",
    autotext: "auto",
    value: null,
    display: null,
    emptyclass: "editable-empty",
    unsavedclass: "editable-unsaved",
    selector: null,
    highlight: "#FFFF80"
  };
}(window.jQuery), function (a) {
  "use strict";

  a.fn.editabletypes = {};

  var b = function b() {};

  b.prototype = {
    init: function init(b, c, d) {
      this.type = b, this.options = a.extend({}, d, c);
    },
    prerender: function prerender() {
      this.$tpl = a(this.options.tpl), this.$input = this.$tpl, this.$clear = null, this.error = null;
    },
    render: function render() {},
    value2html: function value2html(b, c) {
      a(c)[this.options.escape ? "text" : "html"](a.trim(b));
    },
    html2value: function html2value(b) {
      return a("<div>").html(b).text();
    },
    value2str: function value2str(a) {
      return a;
    },
    str2value: function str2value(a) {
      return a;
    },
    value2submit: function value2submit(a) {
      return a;
    },
    value2input: function value2input(a) {
      this.$input.val(a);
    },
    input2value: function input2value() {
      return this.$input.val();
    },
    activate: function activate() {
      this.$input.is(":visible") && this.$input.focus();
    },
    clear: function clear() {
      this.$input.val(null);
    },
    escape: function escape(b) {
      return a("<div>").text(b).html();
    },
    autosubmit: function autosubmit() {},
    destroy: function destroy() {},
    setClass: function setClass() {
      this.options.inputclass && this.$input.addClass(this.options.inputclass);
    },
    setAttr: function setAttr(a) {
      void 0 !== this.options[a] && null !== this.options[a] && this.$input.attr(a, this.options[a]);
    },
    option: function option(a, b) {
      this.options[a] = b;
    }
  }, b.defaults = {
    tpl: "",
    inputclass: null,
    escape: !0,
    scope: null,
    showbuttons: !0
  }, a.extend(a.fn.editabletypes, {
    abstractinput: b
  });
}(window.jQuery), function (a) {
  "use strict";

  var b = function b() {};

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      var b = a.Deferred();
      return this.error = null, this.onSourceReady(function () {
        this.renderList(), b.resolve();
      }, function () {
        this.error = this.options.sourceError, b.resolve();
      }), b.promise();
    },
    html2value: function html2value() {
      return null;
    },
    value2html: function value2html(b, c, d, e) {
      var f = a.Deferred(),
          g = function g() {
        "function" == typeof d ? d.call(c, b, this.sourceData, e) : this.value2htmlFinal(b, c), f.resolve();
      };

      return null === b ? g.call(this) : this.onSourceReady(g, function () {
        f.resolve();
      }), f.promise();
    },
    onSourceReady: function onSourceReady(b, c) {
      var d;
      if (a.isFunction(this.options.source) ? (d = this.options.source.call(this.options.scope), this.sourceData = null) : d = this.options.source, this.options.sourceCache && a.isArray(this.sourceData)) return b.call(this), void 0;

      try {
        d = a.fn.editableutils.tryParseJson(d, !1);
      } catch (e) {
        return c.call(this), void 0;
      }

      if ("string" == typeof d) {
        if (this.options.sourceCache) {
          var f,
              g = d;
          if (a(document).data(g) || a(document).data(g, {}), f = a(document).data(g), f.loading === !1 && f.sourceData) return this.sourceData = f.sourceData, this.doPrepend(), b.call(this), void 0;
          if (f.loading === !0) return f.callbacks.push(a.proxy(function () {
            this.sourceData = f.sourceData, this.doPrepend(), b.call(this);
          }, this)), f.err_callbacks.push(a.proxy(c, this)), void 0;
          f.loading = !0, f.callbacks = [], f.err_callbacks = [];
        }

        var h = a.extend({
          url: d,
          type: "get",
          cache: !1,
          dataType: "json",
          success: a.proxy(function (d) {
            f && (f.loading = !1), this.sourceData = this.makeArray(d), a.isArray(this.sourceData) ? (f && (f.sourceData = this.sourceData, a.each(f.callbacks, function () {
              this.call();
            })), this.doPrepend(), b.call(this)) : (c.call(this), f && a.each(f.err_callbacks, function () {
              this.call();
            }));
          }, this),
          error: a.proxy(function () {
            c.call(this), f && (f.loading = !1, a.each(f.err_callbacks, function () {
              this.call();
            }));
          }, this)
        }, this.options.sourceOptions);
        a.ajax(h);
      } else this.sourceData = this.makeArray(d), a.isArray(this.sourceData) ? (this.doPrepend(), b.call(this)) : c.call(this);
    },
    doPrepend: function doPrepend() {
      null !== this.options.prepend && void 0 !== this.options.prepend && (a.isArray(this.prependData) || (a.isFunction(this.options.prepend) && (this.options.prepend = this.options.prepend.call(this.options.scope)), this.options.prepend = a.fn.editableutils.tryParseJson(this.options.prepend, !0), "string" == typeof this.options.prepend && (this.options.prepend = {
        "": this.options.prepend
      }), this.prependData = this.makeArray(this.options.prepend)), a.isArray(this.prependData) && a.isArray(this.sourceData) && (this.sourceData = this.prependData.concat(this.sourceData)));
    },
    renderList: function renderList() {},
    value2htmlFinal: function value2htmlFinal() {},
    makeArray: function makeArray(b) {
      var c,
          d,
          e,
          f,
          g = [];
      if (!b || "string" == typeof b) return null;

      if (a.isArray(b)) {
        f = function f(a, b) {
          return d = {
            value: a,
            text: b
          }, c++ >= 2 ? !1 : void 0;
        };

        for (var h = 0; h < b.length; h++) {
          e = b[h], "object" == _typeof(e) ? (c = 0, a.each(e, f), 1 === c ? g.push(d) : c > 1 && (e.children && (e.children = this.makeArray(e.children)), g.push(e))) : g.push({
            value: e,
            text: e
          });
        }
      } else a.each(b, function (a, b) {
        g.push({
          value: a,
          text: b
        });
      });

      return g;
    },
    option: function option(a, b) {
      this.options[a] = b, "source" === a && (this.sourceData = null), "prepend" === a && (this.prependData = null);
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    source: null,
    prepend: !1,
    sourceError: "Error when loading list",
    sourceCache: !0,
    sourceOptions: null
  }), a.fn.editabletypes.list = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("text", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      this.renderClear(), this.setClass(), this.setAttr("placeholder");
    },
    activate: function activate() {
      this.$input.is(":visible") && (this.$input.focus(), a.fn.editableutils.setCursorPosition(this.$input.get(0), this.$input.val().length), this.toggleClear && this.toggleClear());
    },
    renderClear: function renderClear() {
      this.options.clear && (this.$clear = a('<span class="editable-clear-x"></span>'), this.$input.after(this.$clear).css("padding-right", 24).keyup(a.proxy(function (b) {
        if (!~a.inArray(b.keyCode, [40, 38, 9, 13, 27])) {
          clearTimeout(this.t);
          var c = this;
          this.t = setTimeout(function () {
            c.toggleClear(b);
          }, 100);
        }
      }, this)).parent().css("position", "relative"), this.$clear.click(a.proxy(this.clear, this)));
    },
    postrender: function postrender() {},
    toggleClear: function toggleClear() {
      if (this.$clear) {
        var a = this.$input.val().length,
            b = this.$clear.is(":visible");
        a && !b && this.$clear.show(), !a && b && this.$clear.hide();
      }
    },
    clear: function clear() {
      this.$clear.hide(), this.$input.val("").focus();
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<input type="text">',
    placeholder: null,
    clear: !0
  }), a.fn.editabletypes.text = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("textarea", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      this.setClass(), this.setAttr("placeholder"), this.setAttr("rows"), this.$input.keydown(function (b) {
        b.ctrlKey && 13 === b.which && a(this).closest("form").submit();
      });
    },
    activate: function activate() {
      a.fn.editabletypes.text.prototype.activate.call(this);
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: "<textarea></textarea>",
    inputclass: "input-large",
    placeholder: null,
    rows: 7
  }), a.fn.editabletypes.textarea = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("select", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.list), a.extend(b.prototype, {
    renderList: function renderList() {
      this.$input.empty();

      var b = function b(c, d) {
        var e;
        if (a.isArray(d)) for (var f = 0; f < d.length; f++) {
          e = {}, d[f].children ? (e.label = d[f].text, c.append(b(a("<optgroup>", e), d[f].children))) : (e.value = d[f].value, d[f].disabled && (e.disabled = !0), c.append(a("<option>", e).text(d[f].text)));
        }
        return c;
      };

      b(this.$input, this.sourceData), this.setClass(), this.$input.on("keydown.editable", function (b) {
        13 === b.which && a(this).closest("form").submit();
      });
    },
    value2htmlFinal: function value2htmlFinal(b, c) {
      var d = "",
          e = a.fn.editableutils.itemsByValue(b, this.sourceData);
      e.length && (d = e[0].text), a.fn.editabletypes.abstractinput.prototype.value2html.call(this, d, c);
    },
    autosubmit: function autosubmit() {
      this.$input.off("keydown.editable").on("change.editable", function () {
        a(this).closest("form").submit();
      });
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.list.defaults, {
    tpl: "<select></select>"
  }), a.fn.editabletypes.select = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("checklist", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.list), a.extend(b.prototype, {
    renderList: function renderList() {
      var b;

      if (this.$tpl.empty(), a.isArray(this.sourceData)) {
        for (var c = 0; c < this.sourceData.length; c++) {
          b = a("<label>").append(a("<input>", {
            type: "checkbox",
            value: this.sourceData[c].value
          })).append(a("<span>").text(" " + this.sourceData[c].text)), a("<div>").append(b).appendTo(this.$tpl);
        }

        this.$input = this.$tpl.find('input[type="checkbox"]'), this.setClass();
      }
    },
    value2str: function value2str(b) {
      return a.isArray(b) ? b.sort().join(a.trim(this.options.separator)) : "";
    },
    str2value: function str2value(b) {
      var c,
          d = null;
      return "string" == typeof b && b.length ? (c = new RegExp("\\s*" + a.trim(this.options.separator) + "\\s*"), d = b.split(c)) : d = a.isArray(b) ? b : [b], d;
    },
    value2input: function value2input(b) {
      this.$input.prop("checked", !1), a.isArray(b) && b.length && this.$input.each(function (c, d) {
        var e = a(d);
        a.each(b, function (a, b) {
          e.val() == b && e.prop("checked", !0);
        });
      });
    },
    input2value: function input2value() {
      var b = [];
      return this.$input.filter(":checked").each(function (c, d) {
        b.push(a(d).val());
      }), b;
    },
    value2htmlFinal: function value2htmlFinal(b, c) {
      var d = [],
          e = a.fn.editableutils.itemsByValue(b, this.sourceData),
          f = this.options.escape;
      e.length ? (a.each(e, function (b, c) {
        var e = f ? a.fn.editableutils.escape(c.text) : c.text;
        d.push(e);
      }), a(c).html(d.join("<br>"))) : a(c).empty();
    },
    activate: function activate() {
      this.$input.first().focus();
    },
    autosubmit: function autosubmit() {
      this.$input.on("keydown", function (b) {
        13 === b.which && a(this).closest("form").submit();
      });
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.list.defaults, {
    tpl: '<div class="editable-checklist"></div>',
    inputclass: null,
    separator: ","
  }), a.fn.editabletypes.checklist = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("password", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.text), a.extend(b.prototype, {
    value2html: function value2html(b, c) {
      b ? a(c).text("[hidden]") : a(c).empty();
    },
    html2value: function html2value() {
      return null;
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.text.defaults, {
    tpl: '<input type="password">'
  }), a.fn.editabletypes.password = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("email", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.text), b.defaults = a.extend({}, a.fn.editabletypes.text.defaults, {
    tpl: '<input type="email">'
  }), a.fn.editabletypes.email = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("url", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.text), b.defaults = a.extend({}, a.fn.editabletypes.text.defaults, {
    tpl: '<input type="url">'
  }), a.fn.editabletypes.url = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("tel", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.text), b.defaults = a.extend({}, a.fn.editabletypes.text.defaults, {
    tpl: '<input type="tel">'
  }), a.fn.editabletypes.tel = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("number", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.text), a.extend(b.prototype, {
    render: function render() {
      b.superclass.render.call(this), this.setAttr("min"), this.setAttr("max"), this.setAttr("step");
    },
    postrender: function postrender() {
      this.$clear && this.$clear.css({
        right: 24
      });
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.text.defaults, {
    tpl: '<input type="number">',
    inputclass: "input-mini",
    min: null,
    max: null,
    step: null
  }), a.fn.editabletypes.number = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("range", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.number), a.extend(b.prototype, {
    render: function render() {
      this.$input = this.$tpl.filter("input"), this.setClass(), this.setAttr("min"), this.setAttr("max"), this.setAttr("step"), this.$input.on("input", function () {
        a(this).siblings("output").text(a(this).val());
      });
    },
    activate: function activate() {
      this.$input.focus();
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.number.defaults, {
    tpl: '<input type="range"><output style="width: 30px; display: inline-block"></output>',
    inputclass: "input-medium"
  }), a.fn.editabletypes.range = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("time", a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      this.setClass();
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<input type="time">'
  }), a.fn.editabletypes.time = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(c) {
    if (this.init("select2", c, b.defaults), c.select2 = c.select2 || {}, this.sourceData = null, c.placeholder && (c.select2.placeholder = c.placeholder), !c.select2.tags && c.source) {
      var d = c.source;
      a.isFunction(c.source) && (d = c.source.call(c.scope)), "string" == typeof d ? (c.select2.ajax = c.select2.ajax || {}, c.select2.ajax.data || (c.select2.ajax.data = function (a) {
        return {
          query: a
        };
      }), c.select2.ajax.results || (c.select2.ajax.results = function (a) {
        return {
          results: a
        };
      }), c.select2.ajax.url = d) : (this.sourceData = this.convertSource(d), c.select2.data = this.sourceData);
    }

    if (this.options.select2 = a.extend({}, b.defaults.select2, c.select2), this.isMultiple = this.options.select2.tags || this.options.select2.multiple, this.isRemote = "ajax" in this.options.select2, this.idFunc = this.options.select2.id, "function" != typeof this.idFunc) {
      var e = this.idFunc || "id";

      this.idFunc = function (a) {
        return a[e];
      };
    }

    this.formatSelection = this.options.select2.formatSelection, "function" != typeof this.formatSelection && (this.formatSelection = function (a) {
      return a.text;
    });
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      this.setClass(), this.isRemote && this.$input.on("select2-loaded", a.proxy(function (a) {
        this.sourceData = a.items.results;
      }, this)), this.isMultiple && this.$input.on("change", function () {
        a(this).closest("form").parent().triggerHandler("resize");
      });
    },
    value2html: function value2html(c, d) {
      var e,
          f = "",
          g = this;
      this.options.select2.tags ? e = c : this.sourceData && (e = a.fn.editableutils.itemsByValue(c, this.sourceData, this.idFunc)), a.isArray(e) ? (f = [], a.each(e, function (a, b) {
        f.push(b && "object" == _typeof(b) ? g.formatSelection(b) : b);
      })) : e && (f = g.formatSelection(e)), f = a.isArray(f) ? f.join(this.options.viewseparator) : f, b.superclass.value2html.call(this, f, d);
    },
    html2value: function html2value(a) {
      return this.options.select2.tags ? this.str2value(a, this.options.viewseparator) : null;
    },
    value2input: function value2input(b) {
      if (a.isArray(b) && (b = b.join(this.getSeparator())), this.$input.data("select2") ? this.$input.val(b).trigger("change", !0) : (this.$input.val(b), this.$input.select2(this.options.select2)), this.isRemote && !this.isMultiple && !this.options.select2.initSelection) {
        var c = this.options.select2.id,
            d = this.options.select2.formatSelection;

        if (!c && !d) {
          var e = a(this.options.scope);

          if (!e.data("editable").isEmpty) {
            var f = {
              id: b,
              text: e.text()
            };
            this.$input.select2("data", f);
          }
        }
      }
    },
    input2value: function input2value() {
      return this.$input.select2("val");
    },
    str2value: function str2value(b, c) {
      if ("string" != typeof b || !this.isMultiple) return b;
      c = c || this.getSeparator();
      var d, e, f;
      if (null === b || b.length < 1) return null;

      for (d = b.split(c), e = 0, f = d.length; f > e; e += 1) {
        d[e] = a.trim(d[e]);
      }

      return d;
    },
    autosubmit: function autosubmit() {
      this.$input.on("change", function (b, c) {
        c || a(this).closest("form").submit();
      });
    },
    getSeparator: function getSeparator() {
      return this.options.select2.separator || a.fn.select2.defaults.separator;
    },
    convertSource: function convertSource(b) {
      if (a.isArray(b) && b.length && void 0 !== b[0].value) for (var c = 0; c < b.length; c++) {
        void 0 !== b[c].value && (b[c].id = b[c].value, delete b[c].value);
      }
      return b;
    },
    destroy: function destroy() {
      this.$input.data("select2") && this.$input.select2("destroy");
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<input type="hidden">',
    select2: null,
    placeholder: null,
    source: null,
    viewseparator: ", "
  }), a.fn.editabletypes.select2 = b;
}(window.jQuery), function (a) {
  var b = function b(_b4, c) {
    return this.$element = a(_b4), this.$element.is("input") ? (this.options = a.extend({}, a.fn.combodate.defaults, c, this.$element.data()), this.init(), void 0) : (a.error("Combodate should be applied to INPUT element"), void 0);
  };

  b.prototype = {
    constructor: b,
    init: function init() {
      this.map = {
        day: ["D", "date"],
        month: ["M", "month"],
        year: ["Y", "year"],
        hour: ["[Hh]", "hours"],
        minute: ["m", "minutes"],
        second: ["s", "seconds"],
        ampm: ["[Aa]", ""]
      }, this.$widget = a('<span class="combodate"></span>').html(this.getTemplate()), this.initCombos(), this.$widget.on("change", "select", a.proxy(function (b) {
        this.$element.val(this.getValue()).change(), this.options.smartDays && (a(b.target).is(".month") || a(b.target).is(".year")) && this.fillCombo("day");
      }, this)), this.$widget.find("select").css("width", "auto"), this.$element.hide().after(this.$widget), this.setValue(this.$element.val() || this.options.value);
    },
    getTemplate: function getTemplate() {
      var b = this.options.template;
      return a.each(this.map, function (a, c) {
        c = c[0];
        var d = new RegExp(c + "+"),
            e = c.length > 1 ? c.substring(1, 2) : c;
        b = b.replace(d, "{" + e + "}");
      }), b = b.replace(/ /g, "&nbsp;"), a.each(this.map, function (a, c) {
        c = c[0];
        var d = c.length > 1 ? c.substring(1, 2) : c;
        b = b.replace("{" + d + "}", '<select class="' + a + '"></select>');
      }), b;
    },
    initCombos: function initCombos() {
      for (var a in this.map) {
        var b = this.$widget.find("." + a);
        this["$" + a] = b.length ? b : null, this.fillCombo(a);
      }
    },
    fillCombo: function fillCombo(a) {
      var b = this["$" + a];

      if (b) {
        var c = "fill" + a.charAt(0).toUpperCase() + a.slice(1),
            d = this[c](),
            e = b.val();
        b.empty();

        for (var f = 0; f < d.length; f++) {
          b.append('<option value="' + d[f][0] + '">' + d[f][1] + "</option>");
        }

        b.val(e);
      }
    },
    fillCommon: function fillCommon(a) {
      var b,
          c = [];

      if ("name" === this.options.firstItem) {
        b = moment.relativeTime || moment.langData()._relativeTime;
        var d = "function" == typeof b[a] ? b[a](1, !0, a, !1) : b[a];
        d = d.split(" ").reverse()[0], c.push(["", d]);
      } else "empty" === this.options.firstItem && c.push(["", ""]);

      return c;
    },
    fillDay: function fillDay() {
      var a,
          b,
          c = this.fillCommon("d"),
          d = -1 !== this.options.template.indexOf("DD"),
          e = 31;

      if (this.options.smartDays && this.$month && this.$year) {
        var f = parseInt(this.$month.val(), 10),
            g = parseInt(this.$year.val(), 10);
        isNaN(f) || isNaN(g) || (e = moment([g, f]).daysInMonth());
      }

      for (b = 1; e >= b; b++) {
        a = d ? this.leadZero(b) : b, c.push([b, a]);
      }

      return c;
    },
    fillMonth: function fillMonth() {
      var a,
          b,
          c = this.fillCommon("M"),
          d = -1 !== this.options.template.indexOf("MMMM"),
          e = -1 !== this.options.template.indexOf("MMM"),
          f = -1 !== this.options.template.indexOf("MM");

      for (b = 0; 11 >= b; b++) {
        a = d ? moment().date(1).month(b).format("MMMM") : e ? moment().date(1).month(b).format("MMM") : f ? this.leadZero(b + 1) : b + 1, c.push([b, a]);
      }

      return c;
    },
    fillYear: function fillYear() {
      var a,
          b,
          c = [],
          d = -1 !== this.options.template.indexOf("YYYY");

      for (b = this.options.maxYear; b >= this.options.minYear; b--) {
        a = d ? b : (b + "").substring(2), c[this.options.yearDescending ? "push" : "unshift"]([b, a]);
      }

      return c = this.fillCommon("y").concat(c);
    },
    fillHour: function fillHour() {
      var a,
          b,
          c = this.fillCommon("h"),
          d = -1 !== this.options.template.indexOf("h"),
          e = (-1 !== this.options.template.indexOf("H"), -1 !== this.options.template.toLowerCase().indexOf("hh")),
          f = d ? 1 : 0,
          g = d ? 12 : 23;

      for (b = f; g >= b; b++) {
        a = e ? this.leadZero(b) : b, c.push([b, a]);
      }

      return c;
    },
    fillMinute: function fillMinute() {
      var a,
          b,
          c = this.fillCommon("m"),
          d = -1 !== this.options.template.indexOf("mm");

      for (b = 0; 59 >= b; b += this.options.minuteStep) {
        a = d ? this.leadZero(b) : b, c.push([b, a]);
      }

      return c;
    },
    fillSecond: function fillSecond() {
      var a,
          b,
          c = this.fillCommon("s"),
          d = -1 !== this.options.template.indexOf("ss");

      for (b = 0; 59 >= b; b += this.options.secondStep) {
        a = d ? this.leadZero(b) : b, c.push([b, a]);
      }

      return c;
    },
    fillAmpm: function fillAmpm() {
      var a = -1 !== this.options.template.indexOf("a"),
          b = (-1 !== this.options.template.indexOf("A"), [["am", a ? "am" : "AM"], ["pm", a ? "pm" : "PM"]]);
      return b;
    },
    getValue: function getValue(b) {
      var c,
          d = {},
          e = this,
          f = !1;
      return a.each(this.map, function (a) {
        if ("ampm" !== a) {
          var b = "day" === a ? 1 : 0;
          return d[a] = e["$" + a] ? parseInt(e["$" + a].val(), 10) : b, isNaN(d[a]) ? (f = !0, !1) : void 0;
        }
      }), f ? "" : (this.$ampm && (d.hour = 12 === d.hour ? "am" === this.$ampm.val() ? 0 : 12 : "am" === this.$ampm.val() ? d.hour : d.hour + 12), c = moment([d.year, d.month, d.day, d.hour, d.minute, d.second]), this.highlight(c), b = void 0 === b ? this.options.format : b, null === b ? c.isValid() ? c : null : c.isValid() ? c.format(b) : "");
    },
    setValue: function setValue(b) {
      function c(b, c) {
        var d = {};
        return b.children("option").each(function (b, e) {
          var f,
              g = a(e).attr("value");
          "" !== g && (f = Math.abs(g - c), ("undefined" == typeof d.distance || f < d.distance) && (d = {
            value: g,
            distance: f
          }));
        }), d.value;
      }

      if (b) {
        var d = "string" == typeof b ? moment(b, this.options.format) : moment(b),
            e = this,
            f = {};
        d.isValid() && (a.each(this.map, function (a, b) {
          "ampm" !== a && (f[a] = d[b[1]]());
        }), this.$ampm && (f.hour >= 12 ? (f.ampm = "pm", f.hour > 12 && (f.hour -= 12)) : (f.ampm = "am", 0 === f.hour && (f.hour = 12))), a.each(f, function (a, b) {
          e["$" + a] && ("minute" === a && e.options.minuteStep > 1 && e.options.roundTime && (b = c(e["$" + a], b)), "second" === a && e.options.secondStep > 1 && e.options.roundTime && (b = c(e["$" + a], b)), e["$" + a].val(b));
        }), this.options.smartDays && this.fillCombo("day"), this.$element.val(d.format(this.options.format)).change());
      }
    },
    highlight: function highlight(a) {
      a.isValid() ? this.options.errorClass ? this.$widget.removeClass(this.options.errorClass) : this.$widget.find("select").css("border-color", this.borderColor) : this.options.errorClass ? this.$widget.addClass(this.options.errorClass) : (this.borderColor || (this.borderColor = this.$widget.find("select").css("border-color")), this.$widget.find("select").css("border-color", "red"));
    },
    leadZero: function leadZero(a) {
      return 9 >= a ? "0" + a : a;
    },
    destroy: function destroy() {
      this.$widget.remove(), this.$element.removeData("combodate").show();
    }
  }, a.fn.combodate = function (c) {
    var d,
        e = Array.apply(null, arguments);
    return e.shift(), "getValue" === c && this.length && (d = this.eq(0).data("combodate")) ? d.getValue.apply(d, e) : this.each(function () {
      var d = a(this),
          f = d.data("combodate"),
          g = "object" == _typeof(c) && c;
      f || d.data("combodate", f = new b(this, g)), "string" == typeof c && "function" == typeof f[c] && f[c].apply(f, e);
    });
  }, a.fn.combodate.defaults = {
    format: "DD-MM-YYYY HH:mm",
    template: "D / MMM / YYYY   H : mm",
    value: null,
    minYear: 1970,
    maxYear: 2015,
    yearDescending: !0,
    minuteStep: 5,
    secondStep: 1,
    firstItem: "empty",
    errorClass: null,
    roundTime: !0,
    smartDays: !1
  };
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(c) {
    this.init("combodate", c, b.defaults), this.options.viewformat || (this.options.viewformat = this.options.format), c.combodate = a.fn.editableutils.tryParseJson(c.combodate, !0), this.options.combodate = a.extend({}, b.defaults.combodate, c.combodate, {
      format: this.options.format,
      template: this.options.template
    });
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    render: function render() {
      this.$input.combodate(this.options.combodate), "bs3" === a.fn.editableform.engine && this.$input.siblings().find("select").addClass("form-control"), this.options.inputclass && this.$input.siblings().find("select").addClass(this.options.inputclass);
    },
    value2html: function value2html(a, c) {
      var d = a ? a.format(this.options.viewformat) : "";
      b.superclass.value2html.call(this, d, c);
    },
    html2value: function html2value(a) {
      return a ? moment(a, this.options.viewformat) : null;
    },
    value2str: function value2str(a) {
      return a ? a.format(this.options.format) : "";
    },
    str2value: function str2value(a) {
      return a ? moment(a, this.options.format) : null;
    },
    value2submit: function value2submit(a) {
      return this.value2str(a);
    },
    value2input: function value2input(a) {
      this.$input.combodate("setValue", a);
    },
    input2value: function input2value() {
      return this.$input.combodate("getValue", null);
    },
    activate: function activate() {
      this.$input.siblings(".combodate").find("select").eq(0).focus();
    },
    autosubmit: function autosubmit() {}
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<input type="text">',
    inputclass: null,
    format: "YYYY-MM-DD",
    viewformat: null,
    template: "D / MMM / YYYY",
    combodate: null
  }), a.fn.editabletypes.combodate = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = a.fn.editableform.Constructor.prototype.initInput;
  a.extend(a.fn.editableform.Constructor.prototype, {
    initTemplate: function initTemplate() {
      this.$form = a(a.fn.editableform.template), this.$form.find(".editable-error-block").addClass("help-block");
    },
    initInput: function initInput() {
      b.apply(this);
      var c = null === this.input.options.inputclass || this.input.options.inputclass === !1,
          d = "input-medium",
          e = "text,select,textarea,password,email,url,tel,number,range,time".split(",");
      ~a.inArray(this.input.type, e) && c && (this.input.options.inputclass = d, this.input.$input.addClass(d));
    }
  }), a.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit"><i class="icon-ok icon-white"></i></button><button type="button" class="btn editable-cancel"><i class="icon-remove"></i></button>', a.fn.editableform.errorGroupClass = "error", a.fn.editableform.errorBlockClass = null, a.fn.editableform.engine = "bs2";
}(window.jQuery), function (a) {
  "use strict";

  a.extend(a.fn.editableContainer.Popup.prototype, {
    containerName: "popover",
    innerCss: a.fn.popover && a(a.fn.popover.defaults.template).find("p").length ? ".popover-content p" : ".popover-content",
    defaults: a.fn.popover.defaults,
    initContainer: function initContainer() {
      a.extend(this.containerOptions, {
        trigger: "manual",
        selector: !1,
        content: " ",
        template: this.defaults.template
      });
      var b;
      this.$element.data("template") && (b = this.$element.data("template"), this.$element.removeData("template")), this.call(this.containerOptions), b && this.$element.data("template", b);
    },
    innerShow: function innerShow() {
      this.call("show");
    },
    innerHide: function innerHide() {
      this.call("hide");
    },
    innerDestroy: function innerDestroy() {
      this.call("destroy");
    },
    setContainerOption: function setContainerOption(a, b) {
      this.container().options[a] = b;
    },
    setPosition: function setPosition() {
      !function () {
        var b,
            c,
            d,
            e,
            f,
            g,
            h,
            i,
            j,
            k,
            l = this.tip();

        switch (f = "function" == typeof this.options.placement ? this.options.placement.call(this, l[0], this.$element[0]) : this.options.placement, b = /in/.test(f), l.removeClass("top right bottom left").css({
          top: 0,
          left: 0,
          display: "block"
        }), c = this.getPosition(b), d = l[0].offsetWidth, e = l[0].offsetHeight, f = b ? f.split(" ")[1] : f, i = {
          top: c.top + c.height,
          left: c.left + c.width / 2 - d / 2
        }, h = {
          top: c.top - e,
          left: c.left + c.width / 2 - d / 2
        }, j = {
          top: c.top + c.height / 2 - e / 2,
          left: c.left - d
        }, k = {
          top: c.top + c.height / 2 - e / 2,
          left: c.left + c.width
        }, f) {
          case "bottom":
            i.top + e > a(window).scrollTop() + a(window).height() && (f = h.top > a(window).scrollTop() ? "top" : k.left + d < a(window).scrollLeft() + a(window).width() ? "right" : j.left > a(window).scrollLeft() ? "left" : "right");
            break;

          case "top":
            h.top < a(window).scrollTop() && (f = i.top + e < a(window).scrollTop() + a(window).height() ? "bottom" : k.left + d < a(window).scrollLeft() + a(window).width() ? "right" : j.left > a(window).scrollLeft() ? "left" : "right");
            break;

          case "left":
            j.left < a(window).scrollLeft() && (f = k.left + d < a(window).scrollLeft() + a(window).width() ? "right" : h.top > a(window).scrollTop() ? "top" : h.top > a(window).scrollTop() ? "bottom" : "right");
            break;

          case "right":
            k.left + d > a(window).scrollLeft() + a(window).width() && (j.left > a(window).scrollLeft() ? f = "left" : h.top > a(window).scrollTop() ? f = "top" : h.top > a(window).scrollTop() && (f = "bottom"));
        }

        switch (f) {
          case "bottom":
            g = i;
            break;

          case "top":
            g = h;
            break;

          case "left":
            g = j;
            break;

          case "right":
            g = k;
        }

        l.offset(g).addClass(f).addClass("in");
      }.call(this.container());
    }
  });
}(window.jQuery), function (a) {
  function b() {
    return new Date(Date.UTC.apply(Date, arguments));
  }

  function c(b, c) {
    var d,
        e = a(b).data(),
        f = {},
        g = new RegExp("^" + c.toLowerCase() + "([A-Z])"),
        c = new RegExp("^" + c.toLowerCase());

    for (var h in e) {
      c.test(h) && (d = h.replace(g, function (a, b) {
        return b.toLowerCase();
      }), f[d] = e[h]);
    }

    return f;
  }

  function d(b) {
    var c = {};

    if (k[b] || (b = b.split("-")[0], k[b])) {
      var d = k[b];
      return a.each(j, function (a, b) {
        b in d && (c[b] = d[b]);
      }), c;
    }
  }

  var e = function e(b, c) {
    this._process_options(c), this.element = a(b), this.isInline = !1, this.isInput = this.element.is("input"), this.component = this.element.is(".date") ? this.element.find(".add-on, .btn") : !1, this.hasInput = this.component && this.element.find("input").length, this.component && 0 === this.component.length && (this.component = !1), this.picker = a(l.template), this._buildEvents(), this._attachEvents(), this.isInline ? this.picker.addClass("datepicker-inline").appendTo(this.element) : this.picker.addClass("datepicker-dropdown dropdown-menu"), this.o.rtl && (this.picker.addClass("datepicker-rtl"), this.picker.find(".prev i, .next i").toggleClass("icon-arrow-left icon-arrow-right")), this.viewMode = this.o.startView, this.o.calendarWeeks && this.picker.find("tfoot th.today").attr("colspan", function (a, b) {
      return parseInt(b) + 1;
    }), this._allow_update = !1, this.setStartDate(this.o.startDate), this.setEndDate(this.o.endDate), this.setDaysOfWeekDisabled(this.o.daysOfWeekDisabled), this.fillDow(), this.fillMonths(), this._allow_update = !0, this.update(), this.showMode(), this.isInline && this.show();
  };

  e.prototype = {
    constructor: e,
    _process_options: function _process_options(b) {
      this._o = a.extend({}, this._o, b);
      var c = this.o = a.extend({}, this._o),
          d = c.language;

      switch (k[d] || (d = d.split("-")[0], k[d] || (d = i.language)), c.language = d, c.startView) {
        case 2:
        case "decade":
          c.startView = 2;
          break;

        case 1:
        case "year":
          c.startView = 1;
          break;

        default:
          c.startView = 0;
      }

      switch (c.minViewMode) {
        case 1:
        case "months":
          c.minViewMode = 1;
          break;

        case 2:
        case "years":
          c.minViewMode = 2;
          break;

        default:
          c.minViewMode = 0;
      }

      c.startView = Math.max(c.startView, c.minViewMode), c.weekStart %= 7, c.weekEnd = (c.weekStart + 6) % 7;
      var e = l.parseFormat(c.format);
      c.startDate !== -1 / 0 && (c.startDate = l.parseDate(c.startDate, e, c.language)), 1 / 0 !== c.endDate && (c.endDate = l.parseDate(c.endDate, e, c.language)), c.daysOfWeekDisabled = c.daysOfWeekDisabled || [], a.isArray(c.daysOfWeekDisabled) || (c.daysOfWeekDisabled = c.daysOfWeekDisabled.split(/[,\s]*/)), c.daysOfWeekDisabled = a.map(c.daysOfWeekDisabled, function (a) {
        return parseInt(a, 10);
      });
    },
    _events: [],
    _secondaryEvents: [],
    _applyEvents: function _applyEvents(a) {
      for (var b, c, d = 0; d < a.length; d++) {
        b = a[d][0], c = a[d][1], b.on(c);
      }
    },
    _unapplyEvents: function _unapplyEvents(a) {
      for (var b, c, d = 0; d < a.length; d++) {
        b = a[d][0], c = a[d][1], b.off(c);
      }
    },
    _buildEvents: function _buildEvents() {
      this.isInput ? this._events = [[this.element, {
        focus: a.proxy(this.show, this),
        keyup: a.proxy(this.update, this),
        keydown: a.proxy(this.keydown, this)
      }]] : this.component && this.hasInput ? this._events = [[this.element.find("input"), {
        focus: a.proxy(this.show, this),
        keyup: a.proxy(this.update, this),
        keydown: a.proxy(this.keydown, this)
      }], [this.component, {
        click: a.proxy(this.show, this)
      }]] : this.element.is("div") ? this.isInline = !0 : this._events = [[this.element, {
        click: a.proxy(this.show, this)
      }]], this._secondaryEvents = [[this.picker, {
        click: a.proxy(this.click, this)
      }], [a(window), {
        resize: a.proxy(this.place, this)
      }], [a(document), {
        mousedown: a.proxy(function (a) {
          this.element.is(a.target) || this.element.find(a.target).size() || this.picker.is(a.target) || this.picker.find(a.target).size() || this.hide();
        }, this)
      }]];
    },
    _attachEvents: function _attachEvents() {
      this._detachEvents(), this._applyEvents(this._events);
    },
    _detachEvents: function _detachEvents() {
      this._unapplyEvents(this._events);
    },
    _attachSecondaryEvents: function _attachSecondaryEvents() {
      this._detachSecondaryEvents(), this._applyEvents(this._secondaryEvents);
    },
    _detachSecondaryEvents: function _detachSecondaryEvents() {
      this._unapplyEvents(this._secondaryEvents);
    },
    _trigger: function _trigger(b, c) {
      var d = c || this.date,
          e = new Date(d.getTime() + 6e4 * d.getTimezoneOffset());
      this.element.trigger({
        type: b,
        date: e,
        format: a.proxy(function (a) {
          var b = a || this.o.format;
          return l.formatDate(d, b, this.o.language);
        }, this)
      });
    },
    show: function show(a) {
      this.isInline || this.picker.appendTo("body"), this.picker.show(), this.height = this.component ? this.component.outerHeight() : this.element.outerHeight(), this.place(), this._attachSecondaryEvents(), a && a.preventDefault(), this._trigger("show");
    },
    hide: function hide() {
      this.isInline || this.picker.is(":visible") && (this.picker.hide().detach(), this._detachSecondaryEvents(), this.viewMode = this.o.startView, this.showMode(), this.o.forceParse && (this.isInput && this.element.val() || this.hasInput && this.element.find("input").val()) && this.setValue(), this._trigger("hide"));
    },
    remove: function remove() {
      this.hide(), this._detachEvents(), this._detachSecondaryEvents(), this.picker.remove(), delete this.element.data().datepicker, this.isInput || delete this.element.data().date;
    },
    getDate: function getDate() {
      var a = this.getUTCDate();
      return new Date(a.getTime() + 6e4 * a.getTimezoneOffset());
    },
    getUTCDate: function getUTCDate() {
      return this.date;
    },
    setDate: function setDate(a) {
      this.setUTCDate(new Date(a.getTime() - 6e4 * a.getTimezoneOffset()));
    },
    setUTCDate: function setUTCDate(a) {
      this.date = a, this.setValue();
    },
    setValue: function setValue() {
      var a = this.getFormattedDate();
      this.isInput ? this.element.val(a) : this.component && this.element.find("input").val(a);
    },
    getFormattedDate: function getFormattedDate(a) {
      return void 0 === a && (a = this.o.format), l.formatDate(this.date, a, this.o.language);
    },
    setStartDate: function setStartDate(a) {
      this._process_options({
        startDate: a
      }), this.update(), this.updateNavArrows();
    },
    setEndDate: function setEndDate(a) {
      this._process_options({
        endDate: a
      }), this.update(), this.updateNavArrows();
    },
    setDaysOfWeekDisabled: function setDaysOfWeekDisabled(a) {
      this._process_options({
        daysOfWeekDisabled: a
      }), this.update(), this.updateNavArrows();
    },
    place: function place() {
      if (!this.isInline) {
        var b = parseInt(this.element.parents().filter(function () {
          return "auto" != a(this).css("z-index");
        }).first().css("z-index")) + 10,
            c = this.component ? this.component.parent().offset() : this.element.offset(),
            d = this.component ? this.component.outerHeight(!0) : this.element.outerHeight(!0);
        this.picker.css({
          top: c.top + d,
          left: c.left,
          zIndex: b
        });
      }
    },
    _allow_update: !0,
    update: function update() {
      if (this._allow_update) {
        var a,
            b = !1;
        arguments && arguments.length && ("string" == typeof arguments[0] || arguments[0] instanceof Date) ? (a = arguments[0], b = !0) : (a = this.isInput ? this.element.val() : this.element.data("date") || this.element.find("input").val(), delete this.element.data().date), this.date = l.parseDate(a, this.o.format, this.o.language), b && this.setValue(), this.viewDate = this.date < this.o.startDate ? new Date(this.o.startDate) : this.date > this.o.endDate ? new Date(this.o.endDate) : new Date(this.date), this.fill();
      }
    },
    fillDow: function fillDow() {
      var a = this.o.weekStart,
          b = "<tr>";

      if (this.o.calendarWeeks) {
        var c = '<th class="cw">&nbsp;</th>';
        b += c, this.picker.find(".datepicker-days thead tr:first-child").prepend(c);
      }

      for (; a < this.o.weekStart + 7;) {
        b += '<th class="dow">' + k[this.o.language].daysMin[a++ % 7] + "</th>";
      }

      b += "</tr>", this.picker.find(".datepicker-days thead").append(b);
    },
    fillMonths: function fillMonths() {
      for (var a = "", b = 0; 12 > b;) {
        a += '<span class="month">' + k[this.o.language].monthsShort[b++] + "</span>";
      }

      this.picker.find(".datepicker-months td").html(a);
    },
    setRange: function setRange(b) {
      b && b.length ? this.range = a.map(b, function (a) {
        return a.valueOf();
      }) : delete this.range, this.fill();
    },
    getClassNames: function getClassNames(b) {
      var c = [],
          d = this.viewDate.getUTCFullYear(),
          e = this.viewDate.getUTCMonth(),
          f = this.date.valueOf(),
          g = new Date();
      return b.getUTCFullYear() < d || b.getUTCFullYear() == d && b.getUTCMonth() < e ? c.push("old") : (b.getUTCFullYear() > d || b.getUTCFullYear() == d && b.getUTCMonth() > e) && c.push("new"), this.o.todayHighlight && b.getUTCFullYear() == g.getFullYear() && b.getUTCMonth() == g.getMonth() && b.getUTCDate() == g.getDate() && c.push("today"), f && b.valueOf() == f && c.push("active"), (b.valueOf() < this.o.startDate || b.valueOf() > this.o.endDate || -1 !== a.inArray(b.getUTCDay(), this.o.daysOfWeekDisabled)) && c.push("disabled"), this.range && (b > this.range[0] && b < this.range[this.range.length - 1] && c.push("range"), -1 != a.inArray(b.valueOf(), this.range) && c.push("selected")), c;
    },
    fill: function fill() {
      var c,
          d = new Date(this.viewDate),
          e = d.getUTCFullYear(),
          f = d.getUTCMonth(),
          g = this.o.startDate !== -1 / 0 ? this.o.startDate.getUTCFullYear() : -1 / 0,
          h = this.o.startDate !== -1 / 0 ? this.o.startDate.getUTCMonth() : -1 / 0,
          i = 1 / 0 !== this.o.endDate ? this.o.endDate.getUTCFullYear() : 1 / 0,
          j = 1 / 0 !== this.o.endDate ? this.o.endDate.getUTCMonth() : 1 / 0;
      this.date && this.date.valueOf(), this.picker.find(".datepicker-days thead th.datepicker-switch").text(k[this.o.language].months[f] + " " + e), this.picker.find("tfoot th.today").text(k[this.o.language].today).toggle(this.o.todayBtn !== !1), this.picker.find("tfoot th.clear").text(k[this.o.language].clear).toggle(this.o.clearBtn !== !1), this.updateNavArrows(), this.fillMonths();
      var m = b(e, f - 1, 28, 0, 0, 0, 0),
          n = l.getDaysInMonth(m.getUTCFullYear(), m.getUTCMonth());
      m.setUTCDate(n), m.setUTCDate(n - (m.getUTCDay() - this.o.weekStart + 7) % 7);
      var o = new Date(m);
      o.setUTCDate(o.getUTCDate() + 42), o = o.valueOf();

      for (var p, q = []; m.valueOf() < o;) {
        if (m.getUTCDay() == this.o.weekStart && (q.push("<tr>"), this.o.calendarWeeks)) {
          var r = new Date(+m + 864e5 * ((this.o.weekStart - m.getUTCDay() - 7) % 7)),
              s = new Date(+r + 864e5 * ((11 - r.getUTCDay()) % 7)),
              t = new Date(+(t = b(s.getUTCFullYear(), 0, 1)) + 864e5 * ((11 - t.getUTCDay()) % 7)),
              u = (s - t) / 864e5 / 7 + 1;
          q.push('<td class="cw">' + u + "</td>");
        }

        p = this.getClassNames(m), p.push("day");
        var v = this.o.beforeShowDay(m);
        void 0 === v ? v = {} : "boolean" == typeof v ? v = {
          enabled: v
        } : "string" == typeof v && (v = {
          classes: v
        }), v.enabled === !1 && p.push("disabled"), v.classes && (p = p.concat(v.classes.split(/\s+/))), v.tooltip && (c = v.tooltip), p = a.unique(p), q.push('<td class="' + p.join(" ") + '"' + (c ? ' title="' + c + '"' : "") + ">" + m.getUTCDate() + "</td>"), m.getUTCDay() == this.o.weekEnd && q.push("</tr>"), m.setUTCDate(m.getUTCDate() + 1);
      }

      this.picker.find(".datepicker-days tbody").empty().append(q.join(""));
      var w = this.date && this.date.getUTCFullYear(),
          x = this.picker.find(".datepicker-months").find("th:eq(1)").text(e).end().find("span").removeClass("active");
      w && w == e && x.eq(this.date.getUTCMonth()).addClass("active"), (g > e || e > i) && x.addClass("disabled"), e == g && x.slice(0, h).addClass("disabled"), e == i && x.slice(j + 1).addClass("disabled"), q = "", e = 10 * parseInt(e / 10, 10);
      var y = this.picker.find(".datepicker-years").find("th:eq(1)").text(e + "-" + (e + 9)).end().find("td");
      e -= 1;

      for (var z = -1; 11 > z; z++) {
        q += '<span class="year' + (-1 == z ? " old" : 10 == z ? " new" : "") + (w == e ? " active" : "") + (g > e || e > i ? " disabled" : "") + '">' + e + "</span>", e += 1;
      }

      y.html(q);
    },
    updateNavArrows: function updateNavArrows() {
      if (this._allow_update) {
        var a = new Date(this.viewDate),
            b = a.getUTCFullYear(),
            c = a.getUTCMonth();

        switch (this.viewMode) {
          case 0:
            this.o.startDate !== -1 / 0 && b <= this.o.startDate.getUTCFullYear() && c <= this.o.startDate.getUTCMonth() ? this.picker.find(".prev").css({
              visibility: "hidden"
            }) : this.picker.find(".prev").css({
              visibility: "visible"
            }), 1 / 0 !== this.o.endDate && b >= this.o.endDate.getUTCFullYear() && c >= this.o.endDate.getUTCMonth() ? this.picker.find(".next").css({
              visibility: "hidden"
            }) : this.picker.find(".next").css({
              visibility: "visible"
            });
            break;

          case 1:
          case 2:
            this.o.startDate !== -1 / 0 && b <= this.o.startDate.getUTCFullYear() ? this.picker.find(".prev").css({
              visibility: "hidden"
            }) : this.picker.find(".prev").css({
              visibility: "visible"
            }), 1 / 0 !== this.o.endDate && b >= this.o.endDate.getUTCFullYear() ? this.picker.find(".next").css({
              visibility: "hidden"
            }) : this.picker.find(".next").css({
              visibility: "visible"
            });
        }
      }
    },
    click: function click(c) {
      c.preventDefault();
      var d = a(c.target).closest("span, td, th");
      if (1 == d.length) switch (d[0].nodeName.toLowerCase()) {
        case "th":
          switch (d[0].className) {
            case "datepicker-switch":
              this.showMode(1);
              break;

            case "prev":
            case "next":
              var e = l.modes[this.viewMode].navStep * ("prev" == d[0].className ? -1 : 1);

              switch (this.viewMode) {
                case 0:
                  this.viewDate = this.moveMonth(this.viewDate, e);
                  break;

                case 1:
                case 2:
                  this.viewDate = this.moveYear(this.viewDate, e);
              }

              this.fill();
              break;

            case "today":
              var f = new Date();
              f = b(f.getFullYear(), f.getMonth(), f.getDate(), 0, 0, 0), this.showMode(-2);
              var g = "linked" == this.o.todayBtn ? null : "view";

              this._setDate(f, g);

              break;

            case "clear":
              var h;
              this.isInput ? h = this.element : this.component && (h = this.element.find("input")), h && h.val("").change(), this._trigger("changeDate"), this.update(), this.o.autoclose && this.hide();
          }

          break;

        case "span":
          if (!d.is(".disabled")) {
            if (this.viewDate.setUTCDate(1), d.is(".month")) {
              var i = 1,
                  j = d.parent().find("span").index(d),
                  k = this.viewDate.getUTCFullYear();
              this.viewDate.setUTCMonth(j), this._trigger("changeMonth", this.viewDate), 1 === this.o.minViewMode && this._setDate(b(k, j, i, 0, 0, 0, 0));
            } else {
              var k = parseInt(d.text(), 10) || 0,
                  i = 1,
                  j = 0;
              this.viewDate.setUTCFullYear(k), this._trigger("changeYear", this.viewDate), 2 === this.o.minViewMode && this._setDate(b(k, j, i, 0, 0, 0, 0));
            }

            this.showMode(-1), this.fill();
          }

          break;

        case "td":
          if (d.is(".day") && !d.is(".disabled")) {
            var i = parseInt(d.text(), 10) || 1,
                k = this.viewDate.getUTCFullYear(),
                j = this.viewDate.getUTCMonth();
            d.is(".old") ? 0 === j ? (j = 11, k -= 1) : j -= 1 : d.is(".new") && (11 == j ? (j = 0, k += 1) : j += 1), this._setDate(b(k, j, i, 0, 0, 0, 0));
          }

      }
    },
    _setDate: function _setDate(a, b) {
      b && "date" != b || (this.date = new Date(a)), b && "view" != b || (this.viewDate = new Date(a)), this.fill(), this.setValue(), this._trigger("changeDate");
      var c;
      this.isInput ? c = this.element : this.component && (c = this.element.find("input")), c && (c.change(), !this.o.autoclose || b && "date" != b || this.hide());
    },
    moveMonth: function moveMonth(a, b) {
      if (!b) return a;
      var c,
          d,
          e = new Date(a.valueOf()),
          f = e.getUTCDate(),
          g = e.getUTCMonth(),
          h = Math.abs(b);
      if (b = b > 0 ? 1 : -1, 1 == h) d = -1 == b ? function () {
        return e.getUTCMonth() == g;
      } : function () {
        return e.getUTCMonth() != c;
      }, c = g + b, e.setUTCMonth(c), (0 > c || c > 11) && (c = (c + 12) % 12);else {
        for (var i = 0; h > i; i++) {
          e = this.moveMonth(e, b);
        }

        c = e.getUTCMonth(), e.setUTCDate(f), d = function d() {
          return c != e.getUTCMonth();
        };
      }

      for (; d();) {
        e.setUTCDate(--f), e.setUTCMonth(c);
      }

      return e;
    },
    moveYear: function moveYear(a, b) {
      return this.moveMonth(a, 12 * b);
    },
    dateWithinRange: function dateWithinRange(a) {
      return a >= this.o.startDate && a <= this.o.endDate;
    },
    keydown: function keydown(a) {
      if (this.picker.is(":not(:visible)")) return 27 == a.keyCode && this.show(), void 0;
      var b,
          c,
          d,
          e = !1;

      switch (a.keyCode) {
        case 27:
          this.hide(), a.preventDefault();
          break;

        case 37:
        case 39:
          if (!this.o.keyboardNavigation) break;
          b = 37 == a.keyCode ? -1 : 1, a.ctrlKey ? (c = this.moveYear(this.date, b), d = this.moveYear(this.viewDate, b)) : a.shiftKey ? (c = this.moveMonth(this.date, b), d = this.moveMonth(this.viewDate, b)) : (c = new Date(this.date), c.setUTCDate(this.date.getUTCDate() + b), d = new Date(this.viewDate), d.setUTCDate(this.viewDate.getUTCDate() + b)), this.dateWithinRange(c) && (this.date = c, this.viewDate = d, this.setValue(), this.update(), a.preventDefault(), e = !0);
          break;

        case 38:
        case 40:
          if (!this.o.keyboardNavigation) break;
          b = 38 == a.keyCode ? -1 : 1, a.ctrlKey ? (c = this.moveYear(this.date, b), d = this.moveYear(this.viewDate, b)) : a.shiftKey ? (c = this.moveMonth(this.date, b), d = this.moveMonth(this.viewDate, b)) : (c = new Date(this.date), c.setUTCDate(this.date.getUTCDate() + 7 * b), d = new Date(this.viewDate), d.setUTCDate(this.viewDate.getUTCDate() + 7 * b)), this.dateWithinRange(c) && (this.date = c, this.viewDate = d, this.setValue(), this.update(), a.preventDefault(), e = !0);
          break;

        case 13:
          this.hide(), a.preventDefault();
          break;

        case 9:
          this.hide();
      }

      if (e) {
        this._trigger("changeDate");

        var f;
        this.isInput ? f = this.element : this.component && (f = this.element.find("input")), f && f.change();
      }
    },
    showMode: function showMode(a) {
      a && (this.viewMode = Math.max(this.o.minViewMode, Math.min(2, this.viewMode + a))), this.picker.find(">div").hide().filter(".datepicker-" + l.modes[this.viewMode].clsName).css("display", "block"), this.updateNavArrows();
    }
  };

  var f = function f(b, c) {
    this.element = a(b), this.inputs = a.map(c.inputs, function (a) {
      return a.jquery ? a[0] : a;
    }), delete c.inputs, a(this.inputs).datepicker(c).bind("changeDate", a.proxy(this.dateUpdated, this)), this.pickers = a.map(this.inputs, function (b) {
      return a(b).data("datepicker");
    }), this.updateDates();
  };

  f.prototype = {
    updateDates: function updateDates() {
      this.dates = a.map(this.pickers, function (a) {
        return a.date;
      }), this.updateRanges();
    },
    updateRanges: function updateRanges() {
      var b = a.map(this.dates, function (a) {
        return a.valueOf();
      });
      a.each(this.pickers, function (a, c) {
        c.setRange(b);
      });
    },
    dateUpdated: function dateUpdated(b) {
      var c = a(b.target).data("datepicker"),
          d = c.getUTCDate(),
          e = a.inArray(b.target, this.inputs),
          f = this.inputs.length;

      if (-1 != e) {
        if (d < this.dates[e]) for (; e >= 0 && d < this.dates[e];) {
          this.pickers[e--].setUTCDate(d);
        } else if (d > this.dates[e]) for (; f > e && d > this.dates[e];) {
          this.pickers[e++].setUTCDate(d);
        }
        this.updateDates();
      }
    },
    remove: function remove() {
      a.map(this.pickers, function (a) {
        a.remove();
      }), delete this.element.data().datepicker;
    }
  };

  var g = a.fn.datepicker,
      h = a.fn.datepicker = function (b) {
    var g = Array.apply(null, arguments);
    g.shift();
    var h;
    return this.each(function () {
      var j = a(this),
          k = j.data("datepicker"),
          l = "object" == _typeof(b) && b;

      if (!k) {
        var m = c(this, "date"),
            n = a.extend({}, i, m, l),
            o = d(n.language),
            p = a.extend({}, i, o, m, l);

        if (j.is(".input-daterange") || p.inputs) {
          var q = {
            inputs: p.inputs || j.find("input").toArray()
          };
          j.data("datepicker", k = new f(this, a.extend(p, q)));
        } else j.data("datepicker", k = new e(this, p));
      }

      return "string" == typeof b && "function" == typeof k[b] && (h = k[b].apply(k, g), void 0 !== h) ? !1 : void 0;
    }), void 0 !== h ? h : this;
  },
      i = a.fn.datepicker.defaults = {
    autoclose: !1,
    beforeShowDay: a.noop,
    calendarWeeks: !1,
    clearBtn: !1,
    daysOfWeekDisabled: [],
    endDate: 1 / 0,
    forceParse: !0,
    format: "mm/dd/yyyy",
    keyboardNavigation: !0,
    language: "en",
    minViewMode: 0,
    rtl: !1,
    startDate: -1 / 0,
    startView: 0,
    todayBtn: !1,
    todayHighlight: !1,
    weekStart: 0
  },
      j = a.fn.datepicker.locale_opts = ["format", "rtl", "weekStart"];

  a.fn.datepicker.Constructor = e;
  var k = a.fn.datepicker.dates = {
    en: {
      days: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"],
      daysShort: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun"],
      daysMin: ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa", "Su"],
      months: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
      monthsShort: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
      today: "Today",
      clear: "Clear"
    }
  },
      l = {
    modes: [{
      clsName: "days",
      navFnc: "Month",
      navStep: 1
    }, {
      clsName: "months",
      navFnc: "FullYear",
      navStep: 1
    }, {
      clsName: "years",
      navFnc: "FullYear",
      navStep: 10
    }],
    isLeapYear: function isLeapYear(a) {
      return 0 === a % 4 && 0 !== a % 100 || 0 === a % 400;
    },
    getDaysInMonth: function getDaysInMonth(a, b) {
      return [31, l.isLeapYear(a) ? 29 : 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][b];
    },
    validParts: /dd?|DD?|mm?|MM?|yy(?:yy)?/g,
    nonpunctuation: /[^ -\/:-@\[\u3400-\u9fff-`{-~\t\n\r]+/g,
    parseFormat: function parseFormat(a) {
      var b = a.replace(this.validParts, "\0").split("\0"),
          c = a.match(this.validParts);
      if (!b || !b.length || !c || 0 === c.length) throw new Error("Invalid date format.");
      return {
        separators: b,
        parts: c
      };
    },
    parseDate: function parseDate(c, d, f) {
      if (c instanceof Date) return c;

      if ("string" == typeof d && (d = l.parseFormat(d)), /^[\-+]\d+[dmwy]([\s,]+[\-+]\d+[dmwy])*$/.test(c)) {
        var g,
            h,
            i = /([\-+]\d+)([dmwy])/,
            j = c.match(/([\-+]\d+)([dmwy])/g);
        c = new Date();

        for (var m = 0; m < j.length; m++) {
          switch (g = i.exec(j[m]), h = parseInt(g[1]), g[2]) {
            case "d":
              c.setUTCDate(c.getUTCDate() + h);
              break;

            case "m":
              c = e.prototype.moveMonth.call(e.prototype, c, h);
              break;

            case "w":
              c.setUTCDate(c.getUTCDate() + 7 * h);
              break;

            case "y":
              c = e.prototype.moveYear.call(e.prototype, c, h);
          }
        }

        return b(c.getUTCFullYear(), c.getUTCMonth(), c.getUTCDate(), 0, 0, 0);
      }

      var n,
          o,
          g,
          j = c && c.match(this.nonpunctuation) || [],
          c = new Date(),
          p = {},
          q = ["yyyy", "yy", "M", "MM", "m", "mm", "d", "dd"],
          r = {
        yyyy: function yyyy(a, b) {
          return a.setUTCFullYear(b);
        },
        yy: function yy(a, b) {
          return a.setUTCFullYear(2e3 + b);
        },
        m: function m(a, b) {
          for (b -= 1; 0 > b;) {
            b += 12;
          }

          for (b %= 12, a.setUTCMonth(b); a.getUTCMonth() != b;) {
            a.setUTCDate(a.getUTCDate() - 1);
          }

          return a;
        },
        d: function d(a, b) {
          return a.setUTCDate(b);
        }
      };
      r.M = r.MM = r.mm = r.m, r.dd = r.d, c = b(c.getFullYear(), c.getMonth(), c.getDate(), 0, 0, 0);
      var s = d.parts.slice();

      if (j.length != s.length && (s = a(s).filter(function (b, c) {
        return -1 !== a.inArray(c, q);
      }).toArray()), j.length == s.length) {
        for (var m = 0, t = s.length; t > m; m++) {
          if (n = parseInt(j[m], 10), g = s[m], isNaN(n)) switch (g) {
            case "MM":
              o = a(k[f].months).filter(function () {
                var a = this.slice(0, j[m].length),
                    b = j[m].slice(0, a.length);
                return a == b;
              }), n = a.inArray(o[0], k[f].months) + 1;
              break;

            case "M":
              o = a(k[f].monthsShort).filter(function () {
                var a = this.slice(0, j[m].length),
                    b = j[m].slice(0, a.length);
                return a == b;
              }), n = a.inArray(o[0], k[f].monthsShort) + 1;
          }
          p[g] = n;
        }

        for (var u, m = 0; m < q.length; m++) {
          u = q[m], u in p && !isNaN(p[u]) && r[u](c, p[u]);
        }
      }

      return c;
    },
    formatDate: function formatDate(b, c, d) {
      "string" == typeof c && (c = l.parseFormat(c));
      var e = {
        d: b.getUTCDate(),
        D: k[d].daysShort[b.getUTCDay()],
        DD: k[d].days[b.getUTCDay()],
        m: b.getUTCMonth() + 1,
        M: k[d].monthsShort[b.getUTCMonth()],
        MM: k[d].months[b.getUTCMonth()],
        yy: b.getUTCFullYear().toString().substring(2),
        yyyy: b.getUTCFullYear()
      };
      e.dd = (e.d < 10 ? "0" : "") + e.d, e.mm = (e.m < 10 ? "0" : "") + e.m;

      for (var b = [], f = a.extend([], c.separators), g = 0, h = c.parts.length; h >= g; g++) {
        f.length && b.push(f.shift()), b.push(e[c.parts[g]]);
      }

      return b.join("");
    },
    headTemplate: '<thead><tr><th class="prev"><i class="icon-arrow-left"/></th><th colspan="5" class="datepicker-switch"></th><th class="next"><i class="icon-arrow-right"/></th></tr></thead>',
    contTemplate: '<tbody><tr><td colspan="7"></td></tr></tbody>',
    footTemplate: '<tfoot><tr><th colspan="7" class="today"></th></tr><tr><th colspan="7" class="clear"></th></tr></tfoot>'
  };
  l.template = '<div class="datepicker"><div class="datepicker-days"><table class=" table-condensed">' + l.headTemplate + "<tbody></tbody>" + l.footTemplate + "</table>" + "</div>" + '<div class="datepicker-months">' + '<table class="table-condensed">' + l.headTemplate + l.contTemplate + l.footTemplate + "</table>" + "</div>" + '<div class="datepicker-years">' + '<table class="table-condensed">' + l.headTemplate + l.contTemplate + l.footTemplate + "</table>" + "</div>" + "</div>", a.fn.datepicker.DPGlobal = l, a.fn.datepicker.noConflict = function () {
    return a.fn.datepicker = g, this;
  }, a(document).on("focus.datepicker.data-api click.datepicker.data-api", '[data-provide="datepicker"]', function (b) {
    var c = a(this);
    c.data("datepicker") || (b.preventDefault(), h.call(c, "show"));
  }), a(function () {
    h.call(a('[data-provide="datepicker-inline"]'));
  });
}(window.jQuery), function (a) {
  "use strict";

  a.fn.bdatepicker = a.fn.datepicker.noConflict(), a.fn.datepicker || (a.fn.datepicker = a.fn.bdatepicker);

  var b = function b(a) {
    this.init("date", a, b.defaults), this.initPicker(a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    initPicker: function initPicker(b, c) {
      this.options.viewformat || (this.options.viewformat = this.options.format), b.datepicker = a.fn.editableutils.tryParseJson(b.datepicker, !0), this.options.datepicker = a.extend({}, c.datepicker, b.datepicker, {
        format: this.options.viewformat
      }), this.options.datepicker.language = this.options.datepicker.language || "en", this.dpg = a.fn.bdatepicker.DPGlobal, this.parsedFormat = this.dpg.parseFormat(this.options.format), this.parsedViewFormat = this.dpg.parseFormat(this.options.viewformat);
    },
    render: function render() {
      this.$input.bdatepicker(this.options.datepicker), this.options.clear && (this.$clear = a('<a href="#"></a>').html(this.options.clear).click(a.proxy(function (a) {
        a.preventDefault(), a.stopPropagation(), this.clear();
      }, this)), this.$tpl.parent().append(a('<div class="editable-clear">').append(this.$clear)));
    },
    value2html: function value2html(a, c) {
      var d = a ? this.dpg.formatDate(a, this.parsedViewFormat, this.options.datepicker.language) : "";
      b.superclass.value2html.call(this, d, c);
    },
    html2value: function html2value(a) {
      return this.parseDate(a, this.parsedViewFormat);
    },
    value2str: function value2str(a) {
      return a ? this.dpg.formatDate(a, this.parsedFormat, this.options.datepicker.language) : "";
    },
    str2value: function str2value(a) {
      return this.parseDate(a, this.parsedFormat);
    },
    value2submit: function value2submit(a) {
      return this.value2str(a);
    },
    value2input: function value2input(a) {
      this.$input.bdatepicker("update", a);
    },
    input2value: function input2value() {
      return this.$input.data("datepicker").date;
    },
    activate: function activate() {},
    clear: function clear() {
      this.$input.data("datepicker").date = null, this.$input.find(".active").removeClass("active"), this.options.showbuttons || this.$input.closest("form").submit();
    },
    autosubmit: function autosubmit() {
      this.$input.on("mouseup", ".day", function (b) {
        if (!a(b.currentTarget).is(".old") && !a(b.currentTarget).is(".new")) {
          var c = a(this).closest("form");
          setTimeout(function () {
            c.submit();
          }, 200);
        }
      });
    },
    parseDate: function parseDate(a, b) {
      var c,
          d = null;
      return a && (d = this.dpg.parseDate(a, b, this.options.datepicker.language), "string" == typeof a && (c = this.dpg.formatDate(d, b, this.options.datepicker.language), a !== c && (d = null))), d;
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<div class="editable-date well"></div>',
    inputclass: null,
    format: "yyyy-mm-dd",
    viewformat: null,
    datepicker: {
      weekStart: 0,
      startView: 0,
      minViewMode: 0,
      autoclose: !1
    },
    clear: "&times; clear"
  }), a.fn.editabletypes.date = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("datefield", a, b.defaults), this.initPicker(a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.date), a.extend(b.prototype, {
    render: function render() {
      this.$input = this.$tpl.find("input"), this.setClass(), this.setAttr("placeholder"), this.$tpl.bdatepicker(this.options.datepicker), this.$input.off("focus keydown"), this.$input.keyup(a.proxy(function () {
        this.$tpl.removeData("date"), this.$tpl.bdatepicker("update");
      }, this));
    },
    value2input: function value2input(a) {
      this.$input.val(a ? this.dpg.formatDate(a, this.parsedViewFormat, this.options.datepicker.language) : ""), this.$tpl.bdatepicker("update");
    },
    input2value: function input2value() {
      return this.html2value(this.$input.val());
    },
    activate: function activate() {
      a.fn.editabletypes.text.prototype.activate.call(this);
    },
    autosubmit: function autosubmit() {}
  }), b.defaults = a.extend({}, a.fn.editabletypes.date.defaults, {
    tpl: '<div class="input-append date"><input type="text"/><span class="add-on"><i class="icon-th"></i></span></div>',
    inputclass: "input-small",
    datepicker: {
      weekStart: 0,
      startView: 0,
      minViewMode: 0,
      autoclose: !0
    }
  }), a.fn.editabletypes.datefield = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("datetime", a, b.defaults), this.initPicker(a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.abstractinput), a.extend(b.prototype, {
    initPicker: function initPicker(b, c) {
      this.options.viewformat || (this.options.viewformat = this.options.format), b.datetimepicker = a.fn.editableutils.tryParseJson(b.datetimepicker, !0), this.options.datetimepicker = a.extend({}, c.datetimepicker, b.datetimepicker, {
        format: this.options.viewformat
      }), this.options.datetimepicker.language = this.options.datetimepicker.language || "en", this.dpg = a.fn.datetimepicker.DPGlobal, this.parsedFormat = this.dpg.parseFormat(this.options.format, this.options.formatType), this.parsedViewFormat = this.dpg.parseFormat(this.options.viewformat, this.options.formatType);
    },
    render: function render() {
      this.$input.datetimepicker(this.options.datetimepicker), this.$input.on("changeMode", function () {
        var b = a(this).closest("form").parent();
        setTimeout(function () {
          b.triggerHandler("resize");
        }, 0);
      }), this.options.clear && (this.$clear = a('<a href="#"></a>').html(this.options.clear).click(a.proxy(function (a) {
        a.preventDefault(), a.stopPropagation(), this.clear();
      }, this)), this.$tpl.parent().append(a('<div class="editable-clear">').append(this.$clear)));
    },
    value2html: function value2html(a, c) {
      var d = a ? this.dpg.formatDate(this.toUTC(a), this.parsedViewFormat, this.options.datetimepicker.language, this.options.formatType) : "";
      return c ? (b.superclass.value2html.call(this, d, c), void 0) : d;
    },
    html2value: function html2value(a) {
      var b = this.parseDate(a, this.parsedViewFormat);
      return b ? this.fromUTC(b) : null;
    },
    value2str: function value2str(a) {
      return a ? this.dpg.formatDate(this.toUTC(a), this.parsedFormat, this.options.datetimepicker.language, this.options.formatType) : "";
    },
    str2value: function str2value(a) {
      var b = this.parseDate(a, this.parsedFormat);
      return b ? this.fromUTC(b) : null;
    },
    value2submit: function value2submit(a) {
      return this.value2str(a);
    },
    value2input: function value2input(a) {
      a && this.$input.data("datetimepicker").setDate(a);
    },
    input2value: function input2value() {
      var a = this.$input.data("datetimepicker");
      return a.date ? a.getDate() : null;
    },
    activate: function activate() {},
    clear: function clear() {
      this.$input.data("datetimepicker").date = null, this.$input.find(".active").removeClass("active"), this.options.showbuttons || this.$input.closest("form").submit();
    },
    autosubmit: function autosubmit() {
      this.$input.on("mouseup", ".minute", function () {
        var b = a(this).closest("form");
        setTimeout(function () {
          b.submit();
        }, 200);
      });
    },
    toUTC: function toUTC(a) {
      return a ? new Date(a.valueOf() - 6e4 * a.getTimezoneOffset()) : a;
    },
    fromUTC: function fromUTC(a) {
      return a ? new Date(a.valueOf() + 6e4 * a.getTimezoneOffset()) : a;
    },
    parseDate: function parseDate(a, b) {
      var c,
          d = null;
      return a && (d = this.dpg.parseDate(a, b, this.options.datetimepicker.language, this.options.formatType), "string" == typeof a && (c = this.dpg.formatDate(d, b, this.options.datetimepicker.language, this.options.formatType), a !== c && (d = null))), d;
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.abstractinput.defaults, {
    tpl: '<div class="editable-date well"></div>',
    inputclass: null,
    format: "yyyy-mm-dd hh:ii",
    formatType: "standard",
    viewformat: null,
    datetimepicker: {
      todayHighlight: !1,
      autoclose: !1
    },
    clear: "&times; clear"
  }), a.fn.editabletypes.datetime = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(a) {
    this.init("datetimefield", a, b.defaults), this.initPicker(a, b.defaults);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.datetime), a.extend(b.prototype, {
    render: function render() {
      this.$input = this.$tpl.find("input"), this.setClass(), this.setAttr("placeholder"), this.$tpl.datetimepicker(this.options.datetimepicker), this.$input.off("focus keydown"), this.$input.keyup(a.proxy(function () {
        this.$tpl.removeData("date"), this.$tpl.datetimepicker("update");
      }, this));
    },
    value2input: function value2input(a) {
      this.$input.val(this.value2html(a)), this.$tpl.datetimepicker("update");
    },
    input2value: function input2value() {
      return this.html2value(this.$input.val());
    },
    activate: function activate() {
      a.fn.editabletypes.text.prototype.activate.call(this);
    },
    autosubmit: function autosubmit() {}
  }), b.defaults = a.extend({}, a.fn.editabletypes.datetime.defaults, {
    tpl: '<div class="input-append date"><input type="text"/><span class="add-on"><i class="icon-th"></i></span></div>',
    inputclass: "input-medium",
    datetimepicker: {
      todayHighlight: !1,
      autoclose: !0
    }
  }), a.fn.editabletypes.datetimefield = b;
}(window.jQuery), function (a) {
  "use strict";

  var b = function b(c) {
    this.init("typeahead", c, b.defaults), this.options.typeahead = a.extend({}, b.defaults.typeahead, {
      matcher: this.matcher,
      sorter: this.sorter,
      highlighter: this.highlighter,
      updater: this.updater
    }, c.typeahead);
  };

  a.fn.editableutils.inherit(b, a.fn.editabletypes.list), a.extend(b.prototype, {
    renderList: function renderList() {
      this.$input = this.$tpl.is("input") ? this.$tpl : this.$tpl.find('input[type="text"]'), this.options.typeahead.source = this.sourceData, this.$input.typeahead(this.options.typeahead);
      var b = this.$input.data("typeahead");
      b.render = a.proxy(this.typeaheadRender, b), b.select = a.proxy(this.typeaheadSelect, b), b.move = a.proxy(this.typeaheadMove, b), this.renderClear(), this.setClass(), this.setAttr("placeholder");
    },
    value2htmlFinal: function value2htmlFinal(b, c) {
      if (this.getIsObjects()) {
        var d = a.fn.editableutils.itemsByValue(b, this.sourceData);
        b = d.length ? d[0].text : "";
      }

      a.fn.editabletypes.abstractinput.prototype.value2html.call(this, b, c);
    },
    html2value: function html2value(a) {
      return a ? a : null;
    },
    value2input: function value2input(b) {
      if (this.getIsObjects()) {
        var c = a.fn.editableutils.itemsByValue(b, this.sourceData);
        this.$input.data("value", b).val(c.length ? c[0].text : "");
      } else this.$input.val(b);
    },
    input2value: function input2value() {
      if (this.getIsObjects()) {
        var b = this.$input.data("value"),
            c = a.fn.editableutils.itemsByValue(b, this.sourceData);
        return c.length && c[0].text.toLowerCase() === this.$input.val().toLowerCase() ? b : null;
      }

      return this.$input.val();
    },
    getIsObjects: function getIsObjects() {
      if (void 0 === this.isObjects) {
        this.isObjects = !1;

        for (var a = 0; a < this.sourceData.length; a++) {
          if (this.sourceData[a].value !== this.sourceData[a].text) {
            this.isObjects = !0;
            break;
          }
        }
      }

      return this.isObjects;
    },
    activate: a.fn.editabletypes.text.prototype.activate,
    renderClear: a.fn.editabletypes.text.prototype.renderClear,
    postrender: a.fn.editabletypes.text.prototype.postrender,
    toggleClear: a.fn.editabletypes.text.prototype.toggleClear,
    clear: function clear() {
      a.fn.editabletypes.text.prototype.clear.call(this), this.$input.data("value", "");
    },
    matcher: function matcher(b) {
      return a.fn.typeahead.Constructor.prototype.matcher.call(this, b.text);
    },
    sorter: function sorter(a) {
      for (var b, c, d = [], e = [], f = []; b = a.shift();) {
        c = b.text, c.toLowerCase().indexOf(this.query.toLowerCase()) ? ~c.indexOf(this.query) ? e.push(b) : f.push(b) : d.push(b);
      }

      return d.concat(e, f);
    },
    highlighter: function highlighter(b) {
      return a.fn.typeahead.Constructor.prototype.highlighter.call(this, b.text);
    },
    updater: function updater(a) {
      return this.$element.data("value", a.value), a.text;
    },
    typeaheadRender: function typeaheadRender(b) {
      var c = this;
      return b = a(b).map(function (b, d) {
        return b = a(c.options.item).data("item", d), b.find("a").html(c.highlighter(d)), b[0];
      }), this.options.autoSelect && b.first().addClass("active"), this.$menu.html(b), this;
    },
    typeaheadSelect: function typeaheadSelect() {
      var a = this.$menu.find(".active").data("item");
      return (this.options.autoSelect || a) && this.$element.val(this.updater(a)).change(), this.hide();
    },
    typeaheadMove: function typeaheadMove(a) {
      if (this.shown) {
        switch (a.keyCode) {
          case 9:
          case 13:
          case 27:
            if (!this.$menu.find(".active").length) return;
            a.preventDefault();
            break;

          case 38:
            a.preventDefault(), this.prev();
            break;

          case 40:
            a.preventDefault(), this.next();
        }

        a.stopPropagation();
      }
    }
  }), b.defaults = a.extend({}, a.fn.editabletypes.list.defaults, {
    tpl: '<input type="text">',
    typeahead: null,
    clear: !0
  }), a.fn.editabletypes.typeahead = b;
}(jquery__WEBPACK_IMPORTED_MODULE_0___default.a);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/bootstrap.2.3.2.min.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/bootstrap.2.3.2.min.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*!
* Bootstrap.js by @fat & @mdo
* Copyright 2012 Twitter, Inc.
* http://www.apache.org/licenses/LICENSE-2.0.txt
*/

!function (e) {
  e(function () {
    "use strict";

    e.support.transition = function () {
      var e = function () {
        var e = document.createElement("bootstrap"),
            t = {
          WebkitTransition: "webkitTransitionEnd",
          MozTransition: "transitionend",
          OTransition: "oTransitionEnd otransitionend",
          transition: "transitionend"
        },
            n;

        for (n in t) {
          if (e.style[n] !== undefined) return t[n];
        }
      }();

      return e && {
        end: e
      };
    }();
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = '[data-dismiss="alert"]',
      n = function n(_n) {
    e(_n).on("click", t, this.close);
  };

  n.prototype.close = function (t) {
    function s() {
      i.trigger("closed").remove();
    }

    var n = e(this),
        r = n.attr("data-target"),
        i;
    r || (r = n.attr("href"), r = r && r.replace(/.*(?=#[^\s]*$)/, "")), i = e(r), t && t.preventDefault(), i.length || (i = n.hasClass("alert") ? n : n.parent()), i.trigger(t = e.Event("close"));
    if (t.isDefaultPrevented()) return;
    i.removeClass("in"), e.support.transition && i.hasClass("fade") ? i.on(e.support.transition.end, s) : s();
  }, e.fn.alert = function (t) {
    return this.each(function () {
      var r = e(this),
          i = r.data("alert");
      i || r.data("alert", i = new n(this)), typeof t == "string" && i[t].call(r);
    });
  }, e.fn.alert.Constructor = n, e(function () {
    e("body").on("click.alert.data-api", t, n.prototype.close);
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t, n) {
    this.$element = e(_t), this.options = e.extend({}, e.fn.button.defaults, n);
  };

  t.prototype.setState = function (e) {
    var t = "disabled",
        n = this.$element,
        r = n.data(),
        i = n.is("input") ? "val" : "html";
    e += "Text", r.resetText || n.data("resetText", n[i]()), n[i](r[e] || this.options[e]), setTimeout(function () {
      e == "loadingText" ? n.addClass(t).attr(t, t) : n.removeClass(t).removeAttr(t);
    }, 0);
  }, t.prototype.toggle = function () {
    var e = this.$element.closest('[data-toggle="buttons-radio"]');
    e && e.find(".active").removeClass("active"), this.$element.toggleClass("active");
  }, e.fn.button = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("button"),
          s = _typeof(n) == "object" && n;
      i || r.data("button", i = new t(this, s)), n == "toggle" ? i.toggle() : n && i.setState(n);
    });
  }, e.fn.button.defaults = {
    loadingText: "loading..."
  }, e.fn.button.Constructor = t, e(function () {
    e("body").on("click.button.data-api", "[data-toggle^=button]", function (t) {
      var n = e(t.target);
      n.hasClass("btn") || (n = n.closest(".btn")), n.button("toggle");
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t2, n) {
    this.$element = e(_t2), this.options = n, this.options.slide && this.slide(this.options.slide), this.options.pause == "hover" && this.$element.on("mouseenter", e.proxy(this.pause, this)).on("mouseleave", e.proxy(this.cycle, this));
  };

  t.prototype = {
    cycle: function cycle(t) {
      return t || (this.paused = !1), this.options.interval && !this.paused && (this.interval = setInterval(e.proxy(this.next, this), this.options.interval)), this;
    },
    to: function to(t) {
      var n = this.$element.find(".item.active"),
          r = n.parent().children(),
          i = r.index(n),
          s = this;
      if (t > r.length - 1 || t < 0) return;
      return this.sliding ? this.$element.one("slid", function () {
        s.to(t);
      }) : i == t ? this.pause().cycle() : this.slide(t > i ? "next" : "prev", e(r[t]));
    },
    pause: function pause(t) {
      return t || (this.paused = !0), this.$element.find(".next, .prev").length && e.support.transition.end && (this.$element.trigger(e.support.transition.end), this.cycle()), clearInterval(this.interval), this.interval = null, this;
    },
    next: function next() {
      if (this.sliding) return;
      return this.slide("next");
    },
    prev: function prev() {
      if (this.sliding) return;
      return this.slide("prev");
    },
    slide: function slide(t, n) {
      var r = this.$element.find(".item.active"),
          i = n || r[t](),
          s = this.interval,
          o = t == "next" ? "left" : "right",
          u = t == "next" ? "first" : "last",
          a = this,
          f = e.Event("slide", {
        relatedTarget: i[0]
      });
      this.sliding = !0, s && this.pause(), i = i.length ? i : this.$element.find(".item")[u]();
      if (i.hasClass("active")) return;

      if (e.support.transition && this.$element.hasClass("slide")) {
        this.$element.trigger(f);
        if (f.isDefaultPrevented()) return;
        i.addClass(t), i[0].offsetWidth, r.addClass(o), i.addClass(o), this.$element.one(e.support.transition.end, function () {
          i.removeClass([t, o].join(" ")).addClass("active"), r.removeClass(["active", o].join(" ")), a.sliding = !1, setTimeout(function () {
            a.$element.trigger("slid");
          }, 0);
        });
      } else {
        this.$element.trigger(f);
        if (f.isDefaultPrevented()) return;
        r.removeClass("active"), i.addClass("active"), this.sliding = !1, this.$element.trigger("slid");
      }

      return s && this.cycle(), this;
    }
  }, e.fn.carousel = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("carousel"),
          s = e.extend({}, e.fn.carousel.defaults, _typeof(n) == "object" && n),
          o = typeof n == "string" ? n : s.slide;
      i || r.data("carousel", i = new t(this, s)), typeof n == "number" ? i.to(n) : o ? i[o]() : s.interval && i.cycle();
    });
  }, e.fn.carousel.defaults = {
    interval: 5e3,
    pause: "hover"
  }, e.fn.carousel.Constructor = t, e(function () {
    e("body").on("click.carousel.data-api", "[data-slide]", function (t) {
      var n = e(this),
          r,
          i = e(n.attr("data-target") || (r = n.attr("href")) && r.replace(/.*(?=#[^\s]+$)/, "")),
          s = !i.data("modal") && e.extend({}, i.data(), n.data());
      i.carousel(s), t.preventDefault();
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t3, n) {
    this.$element = e(_t3), this.options = e.extend({}, e.fn.collapse.defaults, n), this.options.parent && (this.$parent = e(this.options.parent)), this.options.toggle && this.toggle();
  };

  t.prototype = {
    constructor: t,
    dimension: function dimension() {
      var e = this.$element.hasClass("width");
      return e ? "width" : "height";
    },
    show: function show() {
      var t, n, r, i;
      if (this.transitioning) return;
      t = this.dimension(), n = e.camelCase(["scroll", t].join("-")), r = this.$parent && this.$parent.find("> .accordion-group > .in");

      if (r && r.length) {
        i = r.data("collapse");
        if (i && i.transitioning) return;
        r.collapse("hide"), i || r.data("collapse", null);
      }

      this.$element[t](0), this.transition("addClass", e.Event("show"), "shown"), e.support.transition && this.$element[t](this.$element[0][n]);
    },
    hide: function hide() {
      var t;
      if (this.transitioning) return;
      t = this.dimension(), this.reset(this.$element[t]()), this.transition("removeClass", e.Event("hide"), "hidden"), this.$element[t](0);
    },
    reset: function reset(e) {
      var t = this.dimension();
      return this.$element.removeClass("collapse")[t](e || "auto")[0].offsetWidth, this.$element[e !== null ? "addClass" : "removeClass"]("collapse"), this;
    },
    transition: function transition(t, n, r) {
      var i = this,
          s = function s() {
        n.type == "show" && i.reset(), i.transitioning = 0, i.$element.trigger(r);
      };

      this.$element.trigger(n);
      if (n.isDefaultPrevented()) return;
      this.transitioning = 1, this.$element[t]("in"), e.support.transition && this.$element.hasClass("collapse") ? this.$element.one(e.support.transition.end, s) : s();
    },
    toggle: function toggle() {
      this[this.$element.hasClass("in") ? "hide" : "show"]();
    }
  }, e.fn.collapse = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("collapse"),
          s = _typeof(n) == "object" && n;
      i || r.data("collapse", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.collapse.defaults = {
    toggle: !0
  }, e.fn.collapse.Constructor = t, e(function () {
    e("body").on("click.collapse.data-api", "[data-toggle=collapse]", function (t) {
      var n = e(this),
          r,
          i = n.attr("data-target") || t.preventDefault() || (r = n.attr("href")) && r.replace(/.*(?=#[^\s]+$)/, ""),
          s = e(i).data("collapse") ? "toggle" : n.data();
      n[e(i).hasClass("in") ? "addClass" : "removeClass"]("collapsed"), e(i).collapse(s);
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  function r() {
    i(e(t)).removeClass("open");
  }

  function i(t) {
    var n = t.attr("data-target"),
        r;
    return n || (n = t.attr("href"), n = n && /#/.test(n) && n.replace(/.*(?=#[^\s]*$)/, "")), r = e(n), r.length || (r = t.parent()), r;
  }

  var t = "[data-toggle=dropdown]",
      n = function n(t) {
    var n = e(t).on("click.dropdown.data-api", this.toggle);
    e("html").on("click.dropdown.data-api", function () {
      n.parent().removeClass("open");
    });
  };

  n.prototype = {
    constructor: n,
    toggle: function toggle(t) {
      var n = e(this),
          s,
          o;
      if (n.is(".disabled, :disabled")) return;
      return s = i(n), o = s.hasClass("open"), r(), o || (s.toggleClass("open"), n.focus()), !1;
    },
    keydown: function keydown(t) {
      var n, r, s, o, u, a;
      if (!/(38|40|27)/.test(t.keyCode)) return;
      n = e(this), t.preventDefault(), t.stopPropagation();
      if (n.is(".disabled, :disabled")) return;
      o = i(n), u = o.hasClass("open");
      if (!u || u && t.keyCode == 27) return n.click();
      r = e("[role=menu] li:not(.divider) a", o);
      if (!r.length) return;
      a = r.index(r.filter(":focus")), t.keyCode == 38 && a > 0 && a--, t.keyCode == 40 && a < r.length - 1 && a++, ~a || (a = 0), r.eq(a).focus();
    }
  }, e.fn.dropdown = function (t) {
    return this.each(function () {
      var r = e(this),
          i = r.data("dropdown");
      i || r.data("dropdown", i = new n(this)), typeof t == "string" && i[t].call(r);
    });
  }, e.fn.dropdown.Constructor = n, e(function () {
    e("html").on("click.dropdown.data-api touchstart.dropdown.data-api", r), e("body").on("click.dropdown touchstart.dropdown.data-api", ".dropdown form", function (e) {
      e.stopPropagation();
    }).on("click.dropdown.data-api touchstart.dropdown.data-api", t, n.prototype.toggle).on("keydown.dropdown.data-api touchstart.dropdown.data-api", t + ", [role=menu]", n.prototype.keydown);
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t4, n) {
    this.options = n, this.$element = e(_t4).delegate('[data-dismiss="modal"]', "click.dismiss.modal", e.proxy(this.hide, this)), this.options.remote && this.$element.find(".modal-body").load(this.options.remote);
  };

  t.prototype = {
    constructor: t,
    toggle: function toggle() {
      return this[this.isShown ? "hide" : "show"]();
    },
    show: function show() {
      var t = this,
          n = e.Event("show");
      this.$element.trigger(n);
      if (this.isShown || n.isDefaultPrevented()) return;
      e("body").addClass("modal-open"), this.isShown = !0, this.escape(), this.backdrop(function () {
        var n = e.support.transition && t.$element.hasClass("fade");
        t.$element.parent().length || t.$element.appendTo(document.body), t.$element.show(), n && t.$element[0].offsetWidth, t.$element.addClass("in").attr("aria-hidden", !1).focus(), t.enforceFocus(), n ? t.$element.one(e.support.transition.end, function () {
          t.$element.trigger("shown");
        }) : t.$element.trigger("shown");
      });
    },
    hide: function hide(t) {
      t && t.preventDefault();
      var n = this;
      t = e.Event("hide"), this.$element.trigger(t);
      if (!this.isShown || t.isDefaultPrevented()) return;
      this.isShown = !1, e("body").removeClass("modal-open"), this.escape(), e(document).off("focusin.modal"), this.$element.removeClass("in").attr("aria-hidden", !0), e.support.transition && this.$element.hasClass("fade") ? this.hideWithTransition() : this.hideModal();
    },
    enforceFocus: function enforceFocus() {
      var t = this;
      e(document).on("focusin.modal", function (e) {
        t.$element[0] !== e.target && !t.$element.has(e.target).length && t.$element.focus();
      });
    },
    escape: function escape() {
      var e = this;
      this.isShown && this.options.keyboard ? this.$element.on("keyup.dismiss.modal", function (t) {
        t.which == 27 && e.hide();
      }) : this.isShown || this.$element.off("keyup.dismiss.modal");
    },
    hideWithTransition: function hideWithTransition() {
      var t = this,
          n = setTimeout(function () {
        t.$element.off(e.support.transition.end), t.hideModal();
      }, 500);
      this.$element.one(e.support.transition.end, function () {
        clearTimeout(n), t.hideModal();
      });
    },
    hideModal: function hideModal(e) {
      this.$element.hide().trigger("hidden"), this.backdrop();
    },
    removeBackdrop: function removeBackdrop() {
      this.$backdrop.remove(), this.$backdrop = null;
    },
    backdrop: function backdrop(t) {
      var n = this,
          r = this.$element.hasClass("fade") ? "fade" : "";

      if (this.isShown && this.options.backdrop) {
        var i = e.support.transition && r;
        this.$backdrop = e('<div class="modal-backdrop ' + r + '" />').appendTo(document.body), this.options.backdrop != "static" && this.$backdrop.click(e.proxy(this.hide, this)), i && this.$backdrop[0].offsetWidth, this.$backdrop.addClass("in"), i ? this.$backdrop.one(e.support.transition.end, t) : t();
      } else !this.isShown && this.$backdrop ? (this.$backdrop.removeClass("in"), e.support.transition && this.$element.hasClass("fade") ? this.$backdrop.one(e.support.transition.end, e.proxy(this.removeBackdrop, this)) : this.removeBackdrop()) : t && t();
    }
  }, e.fn.modal = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("modal"),
          s = e.extend({}, e.fn.modal.defaults, r.data(), _typeof(n) == "object" && n);
      i || r.data("modal", i = new t(this, s)), typeof n == "string" ? i[n]() : s.show && i.show();
    });
  }, e.fn.modal.defaults = {
    backdrop: !0,
    keyboard: !0,
    show: !0
  }, e.fn.modal.Constructor = t, e(function () {
    e("body").on("click.modal.data-api", '[data-toggle="modal"]', function (t) {
      var n = e(this),
          r = n.attr("href"),
          i = e(n.attr("data-target") || r && r.replace(/.*(?=#[^\s]+$)/, "")),
          s = i.data("modal") ? "toggle" : e.extend({
        remote: !/#/.test(r) && r
      }, i.data(), n.data());
      t.preventDefault(), i.modal(s).one("hide", function () {
        n.focus();
      });
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(e, _t5) {
    this.init("tooltip", e, _t5);
  };

  t.prototype = {
    constructor: t,
    init: function init(t, n, r) {
      var i, s;
      this.type = t, this.$element = e(n), this.options = this.getOptions(r), this.enabled = !0, this.options.trigger == "click" ? this.$element.on("click." + this.type, this.options.selector, e.proxy(this.toggle, this)) : this.options.trigger != "manual" && (i = this.options.trigger == "hover" ? "mouseenter" : "focus", s = this.options.trigger == "hover" ? "mouseleave" : "blur", this.$element.on(i + "." + this.type, this.options.selector, e.proxy(this.enter, this)), this.$element.on(s + "." + this.type, this.options.selector, e.proxy(this.leave, this))), this.options.selector ? this._options = e.extend({}, this.options, {
        trigger: "manual",
        selector: ""
      }) : this.fixTitle();
    },
    getOptions: function getOptions(t) {
      return t = e.extend({}, e.fn[this.type].defaults, t, this.$element.data()), t.delay && typeof t.delay == "number" && (t.delay = {
        show: t.delay,
        hide: t.delay
      }), t;
    },
    enter: function enter(t) {
      var n = e(t.currentTarget)[this.type](this._options).data(this.type);
      if (!n.options.delay || !n.options.delay.show) return n.show();
      clearTimeout(this.timeout), n.hoverState = "in", this.timeout = setTimeout(function () {
        n.hoverState == "in" && n.show();
      }, n.options.delay.show);
    },
    leave: function leave(t) {
      var n = e(t.currentTarget)[this.type](this._options).data(this.type);
      this.timeout && clearTimeout(this.timeout);
      if (!n.options.delay || !n.options.delay.hide) return n.hide();
      n.hoverState = "out", this.timeout = setTimeout(function () {
        n.hoverState == "out" && n.hide();
      }, n.options.delay.hide);
    },
    show: function show() {
      var e, t, n, r, i, s, o;

      if (this.hasContent() && this.enabled) {
        e = this.tip(), this.setContent(), this.options.animation && e.addClass("fade"), s = typeof this.options.placement == "function" ? this.options.placement.call(this, e[0], this.$element[0]) : this.options.placement, t = /in/.test(s), e.remove().css({
          top: 0,
          left: 0,
          display: "block"
        }).appendTo(t ? this.$element : document.body), n = this.getPosition(t), r = e[0].offsetWidth, i = e[0].offsetHeight;

        switch (t ? s.split(" ")[1] : s) {
          case "bottom":
            o = {
              top: n.top + n.height,
              left: n.left + n.width / 2 - r / 2
            };
            break;

          case "top":
            o = {
              top: n.top - i,
              left: n.left + n.width / 2 - r / 2
            };
            break;

          case "left":
            o = {
              top: n.top + n.height / 2 - i / 2,
              left: n.left - r
            };
            break;

          case "right":
            o = {
              top: n.top + n.height / 2 - i / 2,
              left: n.left + n.width
            };
        }

        e.css(o).addClass(s).addClass("in");
      }
    },
    setContent: function setContent() {
      var e = this.tip(),
          t = this.getTitle();
      e.find(".tooltip-inner")[this.options.html ? "html" : "text"](t), e.removeClass("fade in top bottom left right");
    },
    hide: function hide() {
      function r() {
        var t = setTimeout(function () {
          n.off(e.support.transition.end).remove();
        }, 500);
        n.one(e.support.transition.end, function () {
          clearTimeout(t), n.remove();
        });
      }

      var t = this,
          n = this.tip();
      return n.removeClass("in"), e.support.transition && this.$tip.hasClass("fade") ? r() : n.remove(), this;
    },
    fixTitle: function fixTitle() {
      var e = this.$element;
      (e.attr("title") || typeof e.attr("data-original-title") != "string") && e.attr("data-original-title", e.attr("title") || "").removeAttr("title");
    },
    hasContent: function hasContent() {
      return this.getTitle();
    },
    getPosition: function getPosition(t) {
      return e.extend({}, t ? {
        top: 0,
        left: 0
      } : this.$element.offset(), {
        width: this.$element[0].offsetWidth,
        height: this.$element[0].offsetHeight
      });
    },
    getTitle: function getTitle() {
      var e,
          t = this.$element,
          n = this.options;
      return e = t.attr("data-original-title") || (typeof n.title == "function" ? n.title.call(t[0]) : n.title), e;
    },
    tip: function tip() {
      return this.$tip = this.$tip || e(this.options.template);
    },
    validate: function validate() {
      this.$element[0].parentNode || (this.hide(), this.$element = null, this.options = null);
    },
    enable: function enable() {
      this.enabled = !0;
    },
    disable: function disable() {
      this.enabled = !1;
    },
    toggleEnabled: function toggleEnabled() {
      this.enabled = !this.enabled;
    },
    toggle: function toggle() {
      this[this.tip().hasClass("in") ? "hide" : "show"]();
    },
    destroy: function destroy() {
      this.hide().$element.off("." + this.type).removeData(this.type);
    }
  }, e.fn.tooltip = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("tooltip"),
          s = _typeof(n) == "object" && n;
      i || r.data("tooltip", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.tooltip.Constructor = t, e.fn.tooltip.defaults = {
    animation: !0,
    placement: "top",
    selector: !1,
    template: '<div class="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div>',
    trigger: "hover",
    title: "",
    delay: 0,
    html: !0
  };
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(e, _t6) {
    this.init("popover", e, _t6);
  };

  t.prototype = e.extend({}, e.fn.tooltip.Constructor.prototype, {
    constructor: t,
    setContent: function setContent() {
      var e = this.tip(),
          t = this.getTitle(),
          n = this.getContent();
      e.find(".popover-title")[this.options.html ? "html" : "text"](t), e.find(".popover-content > *")[this.options.html ? "html" : "text"](n), e.removeClass("fade top bottom left right in");
    },
    hasContent: function hasContent() {
      return this.getTitle() || this.getContent();
    },
    getContent: function getContent() {
      var e,
          t = this.$element,
          n = this.options;
      return e = t.attr("data-content") || (typeof n.content == "function" ? n.content.call(t[0]) : n.content), e;
    },
    tip: function tip() {
      return this.$tip || (this.$tip = e(this.options.template)), this.$tip;
    },
    destroy: function destroy() {
      this.hide().$element.off("." + this.type).removeData(this.type);
    }
  }), e.fn.popover = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("popover"),
          s = _typeof(n) == "object" && n;
      i || r.data("popover", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.popover.Constructor = t, e.fn.popover.defaults = e.extend({}, e.fn.tooltip.defaults, {
    placement: "right",
    trigger: "click",
    content: "",
    template: '<div class="popover"><div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"><p></p></div></div></div>'
  });
}(window.jQuery), !function (e) {
  "use strict";

  function t(t, n) {
    var r = e.proxy(this.process, this),
        i = e(t).is("body") ? e(window) : e(t),
        s;
    this.options = e.extend({}, e.fn.scrollspy.defaults, n), this.$scrollElement = i.on("scroll.scroll-spy.data-api", r), this.selector = (this.options.target || (s = e(t).attr("href")) && s.replace(/.*(?=#[^\s]+$)/, "") || "") + " .nav li > a", this.$body = e("body"), this.refresh(), this.process();
  }

  t.prototype = {
    constructor: t,
    refresh: function refresh() {
      var t = this,
          n;
      this.offsets = e([]), this.targets = e([]), n = this.$body.find(this.selector).map(function () {
        var t = e(this),
            n = t.data("target") || t.attr("href"),
            r = /^#\w/.test(n) && e(n);
        return r && r.length && [[r.position().top, n]] || null;
      }).sort(function (e, t) {
        return e[0] - t[0];
      }).each(function () {
        t.offsets.push(this[0]), t.targets.push(this[1]);
      });
    },
    process: function process() {
      var e = this.$scrollElement.scrollTop() + this.options.offset,
          t = this.$scrollElement[0].scrollHeight || this.$body[0].scrollHeight,
          n = t - this.$scrollElement.height(),
          r = this.offsets,
          i = this.targets,
          s = this.activeTarget,
          o;
      if (e >= n) return s != (o = i.last()[0]) && this.activate(o);

      for (o = r.length; o--;) {
        s != i[o] && e >= r[o] && (!r[o + 1] || e <= r[o + 1]) && this.activate(i[o]);
      }
    },
    activate: function activate(t) {
      var n, r;
      this.activeTarget = t, e(this.selector).parent(".active").removeClass("active"), r = this.selector + '[data-target="' + t + '"],' + this.selector + '[href="' + t + '"]', n = e(r).parent("li").addClass("active"), n.parent(".dropdown-menu").length && (n = n.closest("li.dropdown").addClass("active")), n.trigger("activate");
    }
  }, e.fn.scrollspy = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("scrollspy"),
          s = _typeof(n) == "object" && n;
      i || r.data("scrollspy", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.scrollspy.Constructor = t, e.fn.scrollspy.defaults = {
    offset: 10
  }, e(window).on("load", function () {
    e('[data-spy="scroll"]').each(function () {
      var t = e(this);
      t.scrollspy(t.data());
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t7) {
    this.element = e(_t7);
  };

  t.prototype = {
    constructor: t,
    show: function show() {
      var t = this.element,
          n = t.closest("ul:not(.dropdown-menu)"),
          r = t.attr("data-target"),
          i,
          s,
          o;
      r || (r = t.attr("href"), r = r && r.replace(/.*(?=#[^\s]*$)/, ""));
      if (t.parent("li").hasClass("active")) return;
      i = n.find(".active a").last()[0], o = e.Event("show", {
        relatedTarget: i
      }), t.trigger(o);
      if (o.isDefaultPrevented()) return;
      s = e(r), this.activate(t.parent("li"), n), this.activate(s, s.parent(), function () {
        t.trigger({
          type: "shown",
          relatedTarget: i
        });
      });
    },
    activate: function activate(t, n, r) {
      function o() {
        i.removeClass("active").find("> .dropdown-menu > .active").removeClass("active"), t.addClass("active"), s ? (t[0].offsetWidth, t.addClass("in")) : t.removeClass("fade"), t.parent(".dropdown-menu") && t.closest("li.dropdown").addClass("active"), r && r();
      }

      var i = n.find("> .active"),
          s = r && e.support.transition && i.hasClass("fade");
      s ? i.one(e.support.transition.end, o) : o(), i.removeClass("in");
    }
  }, e.fn.tab = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("tab");
      i || r.data("tab", i = new t(this)), typeof n == "string" && i[n]();
    });
  }, e.fn.tab.Constructor = t, e(function () {
    e("body").on("click.tab.data-api", '[data-toggle="tab"], [data-toggle="pill"]', function (t) {
      t.preventDefault(), e(this).tab("show");
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t8, n) {
    this.$element = e(_t8), this.options = e.extend({}, e.fn.typeahead.defaults, n), this.matcher = this.options.matcher || this.matcher, this.sorter = this.options.sorter || this.sorter, this.highlighter = this.options.highlighter || this.highlighter, this.updater = this.options.updater || this.updater, this.$menu = e(this.options.menu).appendTo("body"), this.source = this.options.source, this.shown = !1, this.listen();
  };

  t.prototype = {
    constructor: t,
    select: function select() {
      var e = this.$menu.find(".active").attr("data-value");
      return this.$element.val(this.updater(e)).change(), this.hide();
    },
    updater: function updater(e) {
      return e;
    },
    show: function show() {
      var t = e.extend({}, this.$element.offset(), {
        height: this.$element[0].offsetHeight
      });
      return this.$menu.css({
        top: t.top + t.height,
        left: t.left
      }), this.$menu.show(), this.shown = !0, this;
    },
    hide: function hide() {
      return this.$menu.hide(), this.shown = !1, this;
    },
    lookup: function lookup(t) {
      var n;
      return this.query = this.$element.val(), !this.query || this.query.length < this.options.minLength ? this.shown ? this.hide() : this : (n = e.isFunction(this.source) ? this.source(this.query, e.proxy(this.process, this)) : this.source, n ? this.process(n) : this);
    },
    process: function process(t) {
      var n = this;
      return t = e.grep(t, function (e) {
        return n.matcher(e);
      }), t = this.sorter(t), t.length ? this.render(t.slice(0, this.options.items)).show() : this.shown ? this.hide() : this;
    },
    matcher: function matcher(e) {
      return ~e.toLowerCase().indexOf(this.query.toLowerCase());
    },
    sorter: function sorter(e) {
      var t = [],
          n = [],
          r = [],
          i;

      while (i = e.shift()) {
        i.toLowerCase().indexOf(this.query.toLowerCase()) ? ~i.indexOf(this.query) ? n.push(i) : r.push(i) : t.push(i);
      }

      return t.concat(n, r);
    },
    highlighter: function highlighter(e) {
      var t = this.query.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g, "\\$&");
      return e.replace(new RegExp("(" + t + ")", "ig"), function (e, t) {
        return "<strong>" + t + "</strong>";
      });
    },
    render: function render(t) {
      var n = this;
      return t = e(t).map(function (t, r) {
        return t = e(n.options.item).attr("data-value", r), t.find("a").html(n.highlighter(r)), t[0];
      }), t.first().addClass("active"), this.$menu.html(t), this;
    },
    next: function next(t) {
      var n = this.$menu.find(".active").removeClass("active"),
          r = n.next();
      r.length || (r = e(this.$menu.find("li")[0])), r.addClass("active");
    },
    prev: function prev(e) {
      var t = this.$menu.find(".active").removeClass("active"),
          n = t.prev();
      n.length || (n = this.$menu.find("li").last()), n.addClass("active");
    },
    listen: function listen() {
      this.$element.on("blur", e.proxy(this.blur, this)).on("keypress", e.proxy(this.keypress, this)).on("keyup", e.proxy(this.keyup, this)), (e.browser.chrome || e.browser.webkit || e.browser.msie) && this.$element.on("keydown", e.proxy(this.keydown, this)), this.$menu.on("click", e.proxy(this.click, this)).on("mouseenter", "li", e.proxy(this.mouseenter, this));
    },
    move: function move(e) {
      if (!this.shown) return;

      switch (e.keyCode) {
        case 9:
        case 13:
        case 27:
          e.preventDefault();
          break;

        case 38:
          e.preventDefault(), this.prev();
          break;

        case 40:
          e.preventDefault(), this.next();
      }

      e.stopPropagation();
    },
    keydown: function keydown(t) {
      this.suppressKeyPressRepeat = !~e.inArray(t.keyCode, [40, 38, 9, 13, 27]), this.move(t);
    },
    keypress: function keypress(e) {
      if (this.suppressKeyPressRepeat) return;
      this.move(e);
    },
    keyup: function keyup(e) {
      switch (e.keyCode) {
        case 40:
        case 38:
          break;

        case 9:
        case 13:
          if (!this.shown) return;
          this.select();
          break;

        case 27:
          if (!this.shown) return;
          this.hide();
          break;

        default:
          this.lookup();
      }

      e.stopPropagation(), e.preventDefault();
    },
    blur: function blur(e) {
      var t = this;
      setTimeout(function () {
        t.hide();
      }, 150);
    },
    click: function click(e) {
      e.stopPropagation(), e.preventDefault(), this.select();
    },
    mouseenter: function mouseenter(t) {
      this.$menu.find(".active").removeClass("active"), e(t.currentTarget).addClass("active");
    }
  }, e.fn.typeahead = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("typeahead"),
          s = _typeof(n) == "object" && n;
      i || r.data("typeahead", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.typeahead.defaults = {
    source: [],
    items: 8,
    menu: '<ul class="typeahead dropdown-menu"></ul>',
    item: '<li><a href="#"></a></li>',
    minLength: 1
  }, e.fn.typeahead.Constructor = t, e(function () {
    e("body").on("focus.typeahead.data-api", '[data-provide="typeahead"]', function (t) {
      var n = e(this);
      if (n.data("typeahead")) return;
      t.preventDefault(), n.typeahead(n.data());
    });
  });
}(window.jQuery), !function (e) {
  "use strict";

  var t = function t(_t9, n) {
    this.options = e.extend({}, e.fn.affix.defaults, n), this.$window = e(window).on("scroll.affix.data-api", e.proxy(this.checkPosition, this)), this.$element = e(_t9), this.checkPosition();
  };

  t.prototype.checkPosition = function () {
    if (!this.$element.is(":visible")) return;
    var t = e(document).height(),
        n = this.$window.scrollTop(),
        r = this.$element.offset(),
        i = this.options.offset,
        s = i.bottom,
        o = i.top,
        u = "affix affix-top affix-bottom",
        a;
    _typeof(i) != "object" && (s = o = i), typeof o == "function" && (o = i.top()), typeof s == "function" && (s = i.bottom()), a = this.unpin != null && n + this.unpin <= r.top ? !1 : s != null && r.top + this.$element.height() >= t - s ? "bottom" : o != null && n <= o ? "top" : !1;
    if (this.affixed === a) return;
    this.affixed = a, this.unpin = a == "bottom" ? r.top - n : null, this.$element.removeClass(u).addClass("affix" + (a ? "-" + a : ""));
  }, e.fn.affix = function (n) {
    return this.each(function () {
      var r = e(this),
          i = r.data("affix"),
          s = _typeof(n) == "object" && n;
      i || r.data("affix", i = new t(this, s)), typeof n == "string" && i[n]();
    });
  }, e.fn.affix.Constructor = t, e.fn.affix.defaults = {
    offset: 0
  }, e(window).on("load", function () {
    e('[data-spy="affix"]').each(function () {
      var t = e(this),
          n = t.data();
      n.offset = n.offset || {}, n.offsetBottom && (n.offset.bottom = n.offsetBottom), n.offsetTop && (n.offset.top = n.offsetTop), t.affix(n);
    });
  });
}(window.jQuery);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/d3-tip.min.js":
/*!*******************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/d3-tip.min.js ***!
  \*******************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);

!function (e) {
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.d3tip = e(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a);
}(function (t) {
  return function () {
    function e(t) {
      b = d(t), C = b.createSVGPoint(), document.body.appendChild(T);
    }

    function n() {
      return "n";
    }

    function r() {
      return [0, 0];
    }

    function o() {
      return " ";
    }

    function l() {
      var t = h();
      return {
        top: t.n.y - T.offsetHeight,
        left: t.n.x - T.offsetWidth / 2
      };
    }

    function i() {
      var t = h();
      return {
        top: t.s.y,
        left: t.s.x - T.offsetWidth / 2
      };
    }

    function f() {
      var t = h();
      return {
        top: t.e.y - T.offsetHeight / 2,
        left: t.e.x
      };
    }

    function u() {
      var t = h();
      return {
        top: t.w.y - T.offsetHeight / 2,
        left: t.w.x - T.offsetWidth
      };
    }

    function s() {
      var t = h();
      return {
        top: t.nw.y - T.offsetHeight,
        left: t.nw.x - T.offsetWidth
      };
    }

    function a() {
      var t = h();
      return {
        top: t.ne.y - T.offsetHeight,
        left: t.ne.x
      };
    }

    function c() {
      var t = h();
      return {
        top: t.sw.y,
        left: t.sw.x - T.offsetWidth
      };
    }

    function p() {
      var t = h();
      return {
        top: t.se.y,
        left: t.e.x
      };
    }

    function y() {
      var e = t.select(document.createElement("div"));
      return e.style("position", "absolute").style("top", 0).style("opacity", 0).style("pointer-events", "none").style("box-sizing", "border-box"), e.node();
    }

    function d(t) {
      return t = t.node(), "svg" === t.tagName.toLowerCase() ? t : t.ownerSVGElement;
    }

    function m() {
      return null === T && (T = y(), document.body.appendChild(T)), t.select(T);
    }

    function h() {
      for (var e = E || t.event.target; "undefined" == typeof e.getScreenCTM && "undefined" === e.parentNode;) {
        e = e.parentNode;
      }

      var n = {},
          r = e.getScreenCTM(),
          o = e.getBBox(),
          l = o.width,
          i = o.height,
          f = o.x,
          u = o.y;
      return C.x = f, C.y = u, n.nw = C.matrixTransform(r), C.x += l, n.ne = C.matrixTransform(r), C.y += i, n.se = C.matrixTransform(r), C.x -= l, n.sw = C.matrixTransform(r), C.y -= i / 2, n.w = C.matrixTransform(r), C.x += l, n.e = C.matrixTransform(r), C.x -= l / 2, C.y -= i / 2, n.n = C.matrixTransform(r), C.y += i, n.s = C.matrixTransform(r), n;
    }

    function x(t) {
      return "function" == typeof t ? t : function () {
        return t;
      };
    }

    var v = n,
        g = r,
        w = o,
        T = y(),
        b = null,
        C = null,
        E = null;
    e.show = function () {
      var t = Array.prototype.slice.call(arguments);
      t[t.length - 1] instanceof SVGElement && (E = t.pop());
      var n,
          r = w.apply(this, t),
          o = g.apply(this, t),
          l = v.apply(this, t),
          i = m(),
          f = S.length,
          u = document.documentElement.scrollTop || document.body.scrollTop,
          s = document.documentElement.scrollLeft || document.body.scrollLeft;

      for (i.html(r).style("opacity", 1).style("pointer-events", "all"); f--;) {
        i.classed(S[f], !1);
      }

      return n = H.get(l).apply(this), i.classed(l, !0).style("top", n.top + o[0] + u + "px").style("left", n.left + o[1] + s + "px"), e;
    }, e.hide = function () {
      var t = m();
      return t.style("opacity", 0).style("pointer-events", "none"), e;
    }, e.attr = function (n, r) {
      if (arguments.length < 2 && "string" == typeof n) return m().attr(n);
      var o = Array.prototype.slice.call(arguments);
      return t.selection.prototype.attr.apply(m(), o), e;
    }, e.style = function (n, r) {
      if (arguments.length < 2 && "string" == typeof n) return m().style(n);
      var o = Array.prototype.slice.call(arguments);
      return t.selection.prototype.style.apply(m(), o), e;
    }, e.direction = function (t) {
      return arguments.length ? (v = null == t ? t : x(t), e) : v;
    }, e.offset = function (t) {
      return arguments.length ? (g = null == t ? t : x(t), e) : g;
    }, e.html = function (t) {
      return arguments.length ? (w = null == t ? t : x(t), e) : w;
    }, e.destroy = function () {
      return T && (m().remove(), T = null), e;
    };
    var H = t.map({
      n: l,
      s: i,
      e: f,
      w: u,
      nw: s,
      ne: a,
      sw: c,
      se: p
    }),
        S = H.keys();
    return e;
  };
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/fileuploader.custom.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/fileuploader.custom.js ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
 Multiple file upload component with progress-bar, drag-and-drop.
 http://github.com/valums/file-uploader

 Copyright (C) 2011 by Andris Valums

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 */
 //
// Helper functions
//

var qq = {};
/**
 * Adds all missing properties from second obj to first obj
 */

qq.extend = function (first, second) {
  for (var prop in second) {
    first[prop] = second[prop];
  }
};
/**
 * Searches for a given element in the array, returns -1 if it is not present.
 * @param {Number} [from] The index at which to begin the search
 */


qq.indexOf = function (arr, elt, from) {
  if (arr.indexOf) return arr.indexOf(elt, from);
  from = from || 0;
  var len = arr.length;
  if (from < 0) from += len;

  for (; from < len; from++) {
    if (from in arr && arr[from] === elt) {
      return from;
    }
  }

  return -1;
};

qq.getUniqueId = function () {
  var id = 0;
  return function () {
    return id++;
  };
}(); //
// Events


qq.attach = function (element, type, fn) {
  if (element.addEventListener) {
    element.addEventListener(type, fn, false);
  } else if (element.attachEvent) {
    element.attachEvent('on' + type, fn);
  }
};

qq.detach = function (element, type, fn) {
  if (element.removeEventListener) {
    element.removeEventListener(type, fn, false);
  } else if (element.attachEvent) {
    element.detachEvent('on' + type, fn);
  }
};

qq.preventDefault = function (e) {
  if (e.preventDefault) {
    e.preventDefault();
  } else {
    e.returnValue = false;
  }
}; //
// Node manipulations

/**
 * Insert node a before node b.
 */


qq.insertBefore = function (a, b) {
  b.parentNode.insertBefore(a, b);
};

qq.remove = function (element) {
  element.parentNode.removeChild(element);
};

qq.contains = function (parent, descendant) {
  // compareposition returns false in this case
  if (parent == descendant) return true;

  if (parent.contains) {
    return parent.contains(descendant);
  } else {
    return !!(descendant.compareDocumentPosition(parent) & 8);
  }
};
/**
 * Creates and returns element from html string
 * Uses innerHTML to create an element
 */


qq.toElement = function () {
  var div = document.createElement('div');
  return function (html) {
    div.innerHTML = html;
    var element = div.firstChild;
    div.removeChild(element);
    return element;
  };
}(); //
// Node properties and attributes

/**
 * Sets styles for an element.
 * Fixes opacity in IE6-8.
 */


qq.css = function (element, styles) {
  if (styles.opacity != null) {
    if (typeof element.style.opacity != 'string' && typeof element.filters != 'undefined') {
      styles.filter = 'alpha(opacity=' + Math.round(100 * styles.opacity) + ')';
    }
  }

  qq.extend(element.style, styles);
};

qq.hasClass = function (element, name) {
  var re = new RegExp('(^| )' + name + '( |$)');
  return re.test(element.className);
};

qq.addClass = function (element, name) {
  if (!qq.hasClass(element, name)) {
    element.className += ' ' + name;
  }
};

qq.removeClass = function (element, name) {
  var re = new RegExp('(^| )' + name + '( |$)');
  element.className = element.className.replace(re, ' ').replace(/^\s+|\s+$/g, "");
};

qq.setText = function (element, text) {
  element.innerText = text;
  element.textContent = text;
}; //
// Selecting elements


qq.children = function (element) {
  var children = [],
      child = element.firstChild;

  while (child) {
    if (child.nodeType == 1) {
      children.push(child);
    }

    child = child.nextSibling;
  }

  return children;
};

qq.getByClass = function (element, className) {
  if (element.querySelectorAll) {
    return element.querySelectorAll('.' + className);
  }

  var result = [];
  var candidates = element.getElementsByTagName("*");
  var len = candidates.length;

  for (var i = 0; i < len; i++) {
    if (qq.hasClass(candidates[i], className)) {
      result.push(candidates[i]);
    }
  }

  return result;
};
/**
 * obj2url() takes a json-object as argument and generates
 * a querystring. pretty much like jQuery.param()
 *
 * how to use:
 *
 *    `qq.obj2url({a:'b',c:'d'},'http://any.url/upload?otherParam=value');`
 *
 * will result in:
 *
 *    `http://any.url/upload?otherParam=value&a=b&c=d`
 *
 * @param  Object JSON-Object
 * @param  String current querystring-part
 * @return String encoded querystring
 */


qq.obj2url = function (obj, temp, prefixDone) {
  var uristrings = [],
      prefix = '&',
      add = function add(nextObj, i) {
    var nextTemp = temp ? /\[\]$/.test(temp) ? // prevent double-encoding
    temp : temp + '[' + i + ']' : i;

    if (nextTemp != 'undefined' && i != 'undefined') {
      uristrings.push(_typeof(nextObj) === 'object' ? qq.obj2url(nextObj, nextTemp, true) : Object.prototype.toString.call(nextObj) === '[object Function]' ? encodeURIComponent(nextTemp) + '=' + encodeURIComponent(nextObj()) : encodeURIComponent(nextTemp) + '=' + encodeURIComponent(nextObj));
    }
  };

  if (!prefixDone && temp) {
    prefix = /\?/.test(temp) ? /\?$/.test(temp) ? '' : '&' : '?';
    uristrings.push(temp);
    uristrings.push(qq.obj2url(obj));
  } else if (Object.prototype.toString.call(obj) === '[object Array]' && typeof obj != 'undefined') {
    // we wont use a for-in-loop on an array (performance)
    for (var i = 0, len = obj.length; i < len; ++i) {
      add(obj[i], i);
    }
  } else if (typeof obj != 'undefined' && obj !== null && _typeof(obj) === "object") {
    // for anything else but a scalar, we will use for-in-loop
    for (var i in obj) {
      add(obj[i], i);
    }
  } else {
    uristrings.push(encodeURIComponent(temp) + '=' + encodeURIComponent(obj));
  }

  return uristrings.join(prefix).replace(/^&/, '').replace(/%20/g, '+');
}; //
//
// Uploader Classes
//
//

/**
 * Creates upload button, validates upload, but doesn't create file list or dd.
 */


qq.FileUploaderBasic = function (o) {
  this._options = {
    // set to true to see the server response
    debug: false,
    action: '/server/upload',
    dest: '/',
    fileFieldLabel: 'hdfs_file',
    params: {},
    button: null,
    multiple: true,
    maxConnections: 3,
    // validation
    allowedExtensions: [],
    sizeLimit: 0,
    minSizeLimit: 0,
    // events
    // return false to cancel submit
    onSubmit: function onSubmit(id, fileName) {},
    onProgress: function onProgress(id, fileName, loaded, total) {},
    onComplete: function onComplete(id, fileName, responseJSON) {},
    onCancel: function onCancel(id, fileName) {},
    // messages
    messages: {
      typeError: "{file} has invalid extension. Only {extensions} are allowed.",
      sizeError: "{file} is too large, maximum file size is {sizeLimit}.",
      minSizeError: "{file} is too small, minimum file size is {minSizeLimit}.",
      emptyError: "{file} is empty, please select files again without it.",
      onLeave: "The files are being uploaded, if you leave now the upload will be cancelled."
    },
    showMessage: function showMessage(message) {
      alert(message);
    }
  };
  qq.extend(this._options, o); // number of files being uploaded

  this._filesInProgress = 0;
  this._handler = this._createUploadHandler();

  if (this._options.button) {
    this._button = this._createUploadButton(this._options.button);
  }

  this._preventLeaveInProgress();
};

qq.FileUploaderBasic.prototype = {
  setParams: function setParams(params) {
    this._options.params = params;
  },
  getInProgress: function getInProgress() {
    return this._filesInProgress;
  },
  _createUploadButton: function _createUploadButton(element) {
    var self = this;
    return new qq.UploadButton({
      element: element,
      multiple: this._options.multiple && qq.UploadHandlerXhr.isSupported(),
      onChange: function onChange(input) {
        self._onInputChange(input);
      }
    });
  },
  _createUploadHandler: function _createUploadHandler() {
    var self = this,
        handlerClass;

    if (qq.UploadHandlerXhr.isSupported()) {
      handlerClass = 'UploadHandlerXhr';
    } else {
      handlerClass = 'UploadHandlerForm';
    }

    var handler = new qq[handlerClass]({
      debug: this._options.debug,
      action: this._options.action,
      dest: '/',
      fileFieldLabel: 'hdfs_file',
      maxConnections: this._options.maxConnections,
      onProgress: function onProgress(id, fileName, loaded, total) {
        self._onProgress(id, fileName, loaded, total);

        self._options.onProgress(id, fileName, loaded, total);
      },
      onComplete: function onComplete(id, fileName, result) {
        self._onComplete(id, fileName, result);

        self._options.onComplete(id, fileName, result);
      },
      onCancel: function onCancel(id, fileName) {
        self._onCancel(id, fileName);

        self._options.onCancel(id, fileName);
      }
    });
    return handler;
  },
  _preventLeaveInProgress: function _preventLeaveInProgress() {
    var self = this;
    qq.attach(window, 'beforeunload', function (e) {
      if (!self._filesInProgress) {
        return;
      }

      var e = e || window.event; // for ie, ff

      e.returnValue = self._options.messages.onLeave; // for webkit

      return self._options.messages.onLeave;
    });
  },
  _onSubmit: function _onSubmit(id, fileName) {
    this._filesInProgress++;
  },
  _onProgress: function _onProgress(id, fileName, loaded, total) {},
  _onComplete: function _onComplete(id, fileName, result) {
    this._filesInProgress--;

    if (result.error) {
      this._options.showMessage(result.error);
    }
  },
  _onCancel: function _onCancel(id, fileName) {
    this._filesInProgress--;
  },
  _onInputChange: function _onInputChange(input) {
    if (this._handler instanceof qq.UploadHandlerXhr) {
      this._uploadFileList(input.files);
    } else {
      if (this._validateFile(input)) {
        this._uploadFile(input);
      }
    }

    this._button.reset();
  },
  _uploadFileList: function _uploadFileList(files) {
    for (var i = 0; i < files.length; i++) {
      if (!this._validateFile(files[i])) {
        return;
      }
    }

    for (var i = 0; i < files.length; i++) {
      this._uploadFile(files[i]);
    }
  },
  _uploadFile: function _uploadFile(fileContainer) {
    var id = this._handler.add(fileContainer);

    var fileName = this._handler.getName(id);

    if (this._options.onSubmit(id, fileName) !== false) {
      this._onSubmit(id, fileName);

      this._handler.upload(id, this._options.params);
    }
  },
  _validateFile: function _validateFile(file) {
    var name, size;

    if (file.value) {
      // it is a file input
      // get input value and remove path to normalize
      name = file.value.replace(/.*(\/|\\)/, "");
    } else {
      // fix missing properties in Safari
      name = file.fileName != null ? file.fileName : file.name;
      size = file.fileSize != null ? file.fileSize : file.size;
    }

    if (!this._isAllowedExtension(name)) {
      this._error('typeError', name);

      return false;
    } else if (size === 0) {
      this._error('emptyError', name);

      return false;
    } else if (size && this._options.sizeLimit && size > this._options.sizeLimit) {
      this._error('sizeError', name);

      return false;
    } else if (size && size < this._options.minSizeLimit) {
      this._error('minSizeError', name);

      return false;
    }

    return true;
  },
  _error: function _error(code, fileName) {
    var message = this._options.messages[code];

    function r(name, replacement) {
      message = message.replace(name, replacement);
    }

    r('{file}', this._formatFileName(fileName));
    r('{extensions}', this._options.allowedExtensions.join(', '));
    r('{sizeLimit}', this._formatSize(this._options.sizeLimit));
    r('{minSizeLimit}', this._formatSize(this._options.minSizeLimit));

    this._options.showMessage(message);
  },
  _formatFileName: function _formatFileName(name) {
    if (name.length > 33) {
      name = name.slice(0, 19) + '...' + name.slice(-13);
    }

    return name;
  },
  _isAllowedExtension: function _isAllowedExtension(fileName) {
    var ext = -1 !== fileName.indexOf('.') ? fileName.replace(/.*[.]/, '').toLowerCase() : '';
    var allowed = this._options.allowedExtensions;

    if (!allowed.length) {
      return true;
    }

    for (var i = 0; i < allowed.length; i++) {
      if (allowed[i].toLowerCase() == ext) {
        return true;
      }
    }

    return false;
  },
  _formatSize: function _formatSize(bytes) {
    var i = -1;

    do {
      bytes = bytes / 1024;
      i++;
    } while (bytes > 99);

    return Math.max(bytes, 0.1).toFixed(1) + ['kB', 'MB', 'GB', 'TB', 'PB', 'EB'][i];
  }
};
/**
 * Class that creates upload widget with drag-and-drop and file list
 * @inherits qq.FileUploaderBasic
 */

qq.FileUploader = function (o) {
  // call parent constructor
  qq.FileUploaderBasic.apply(this, arguments); // additional options

  qq.extend(this._options, {
    element: null,
    // if set, will be used instead of qq-upload-list in template
    listElement: null,
    template: '<div class="qq-uploader">' + '<div class="qq-upload-drop-area"><span>Drop files here to upload</span></div>' + '<div class="qq-upload-button">Upload a file</div>' + '<ul class="qq-upload-list"></ul>' + '</div>',
    // template for one item in file list
    fileTemplate: '<li>' + '<span class="qq-upload-file"></span>' + '<span class="qq-upload-spinner"></span>' + '<span class="qq-upload-size"></span>' + '<a class="qq-upload-cancel" href="#">Cancel</a>' + '<span class="qq-upload-failed-text">Failed</span>' + '</li>',
    classes: {
      // used to get elements from templates
      button: 'qq-upload-button',
      drop: 'qq-upload-drop-area',
      dropActive: 'qq-upload-drop-area-active',
      list: 'qq-upload-list',
      file: 'qq-upload-file',
      extendedFileName: 'qq-upload-file-extended',
      spinner: 'qq-upload-spinner',
      size: 'qq-upload-size',
      cancel: 'qq-upload-cancel',
      // added to list item when upload completes
      // used in css to hide progress spinner
      success: 'qq-upload-success',
      fail: 'qq-upload-fail'
    }
  }); // overwrite options with user supplied

  this._options.dest = "";
  this._options.fileFieldLabel = "";
  qq.extend(this._options, o);
  this._element = this._options.element;
  this._element.innerHTML = this._options.template;
  this._listElement = this._options.listElement || this._find(this._element, 'list');
  this._classes = this._options.classes;
  this._button = this._createUploadButton(this._find(this._element, 'button'));

  this._bindCancelEvent();

  this._bindCancelAllEvent();

  this._setupDragDrop();
}; // inherit from Basic Uploader


qq.extend(qq.FileUploader.prototype, qq.FileUploaderBasic.prototype);
qq.extend(qq.FileUploader.prototype, {
  /**
   * Gets one of the elements listed in this._options.classes
   **/
  _find: function _find(parent, type, skipIfNotFound) {
    var element = qq.getByClass(parent, this._options.classes[type])[0];

    if (!element && typeof skipIfNotFound === 'undefined') {
      throw new Error('element not found ' + type);
    }

    return element;
  },
  _setupDragDrop: function _setupDragDrop() {
    var self = this,
        dropArea = this._find(this._element, 'drop');

    var dz = new qq.UploadDropZone({
      element: dropArea,
      onEnter: function onEnter(e) {
        qq.addClass(dropArea, self._classes.dropActive);
        e.stopPropagation();
      },
      onLeave: function onLeave(e) {
        e.stopPropagation();
      },
      onLeaveNotDescendants: function onLeaveNotDescendants(e) {
        qq.removeClass(dropArea, self._classes.dropActive);
      },
      onDrop: function onDrop(e) {
        dropArea.style.display = 'none';
        qq.removeClass(dropArea, self._classes.dropActive);

        self._uploadFileList(e.dataTransfer.files);
      }
    });
    dropArea.style.display = 'none';
    qq.attach(document, 'dragenter', function (e) {
      if (!dz._isValidFileDrag(e)) return;
      dropArea.style.display = 'block';
    });
    qq.attach(document, 'dragleave', function (e) {
      if (!dz._isValidFileDrag(e)) return;
      var relatedTarget = document.elementFromPoint(e.clientX, e.clientY); // only fire when leaving document out

      if (!relatedTarget || relatedTarget.nodeName == "HTML") {
        dropArea.style.display = 'none';
      }
    });
  },
  _onSubmit: function _onSubmit(id, fileName) {
    qq.FileUploaderBasic.prototype._onSubmit.apply(this, arguments);

    this._addToList(id, fileName);
  },
  _onProgress: function _onProgress(id, fileName, loaded, total) {
    qq.FileUploaderBasic.prototype._onProgress.apply(this, arguments);

    var item = this._getItemByFileId(id);

    var size = this._find(item, 'size');

    size.style.display = 'inline';
    var text;

    if (loaded != total) {
      text = Math.round(loaded / total * 100) + '% from ' + this._formatSize(total);
    } else {
      text = this._formatSize(total);
    }

    qq.setText(size, text);
  },
  _onComplete: function _onComplete(id, fileName, result) {
    qq.FileUploaderBasic.prototype._onComplete.apply(this, arguments); // mark completed


    var item = this._getItemByFileId(id);

    qq.remove(this._find(item, 'cancel'));
    qq.remove(this._find(item, 'spinner'));

    if (result.status && result.status == -1) {
      qq.addClass(item, this._classes.fail);
    } else {
      qq.addClass(item, this._classes.success);
    }
  },
  _addToList: function _addToList(id, fileName) {
    var item = qq.toElement(this._options.fileTemplate);
    item.qqFileId = id;

    var fileElement = this._find(item, 'file');

    qq.setText(fileElement, this._formatFileName(fileName));

    var extendedFileElement = this._find(item, 'extendedFileName', true);

    if (extendedFileElement) {
      qq.setText(extendedFileElement, fileName);
    }

    this._find(item, 'size').style.display = 'none';

    this._listElement.appendChild(item);
  },
  _getItemByFileId: function _getItemByFileId(id) {
    var item = this._listElement.firstChild; // there can't be txt nodes in dynamically created list
    // and we can  use nextSibling

    while (item) {
      if (item.qqFileId == id) return item;
      item = item.nextSibling;
    }
  },

  /**
   * delegate click event for cancel link
   **/
  _bindCancelEvent: function _bindCancelEvent() {
    var self = this,
        list = this._listElement;
    qq.attach(list, 'click', function (e) {
      e = e || window.event;
      var target = e.target || e.srcElement;

      if (qq.hasClass(target, self._classes.cancel)) {
        qq.preventDefault(e);
        var item = target.parentNode;

        if (qq.hasClass(item, 'complex-layout')) {
          item = item.parentNode.parentNode.parentNode;
        }

        self._handler.cancel(item.qqFileId);

        qq.remove(item);
      }
    });
  },
  _bindCancelAllEvent: function _bindCancelAllEvent() {
    var self = this,
        list = this._listElement;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#uploadFileModal').on('hidden', function () {
      for (var i = 0, l = list && list.childNodes.length; i < l; i++) {
        self._handler.cancel(list.childNodes[i].qqFileId);
      }
    });
  }
});

qq.UploadDropZone = function (o) {
  this._options = {
    element: null,
    onEnter: function onEnter(e) {},
    onLeave: function onLeave(e) {},
    // is not fired when leaving element by hovering descendants
    onLeaveNotDescendants: function onLeaveNotDescendants(e) {},
    onDrop: function onDrop(e) {}
  };
  qq.extend(this._options, o);
  this._element = this._options.element;

  this._disableDropOutside();

  this._attachEvents();
};

qq.UploadDropZone.prototype = {
  _disableDropOutside: function _disableDropOutside(e) {
    // run only once for all instances
    if (!qq.UploadDropZone.dropOutsideDisabled) {
      qq.attach(document, 'dragover', function (e) {
        if (e.dataTransfer) {
          e.dataTransfer.dropEffect = 'none';
          e.preventDefault();
        }
      });
      qq.UploadDropZone.dropOutsideDisabled = true;
    }
  },
  _attachEvents: function _attachEvents() {
    var self = this;
    qq.attach(self._element, 'dragover', function (e) {
      if (!self._isValidFileDrag(e)) return;
      var effect = e.dataTransfer.effectAllowed;

      if (effect == 'move' || effect == 'linkMove') {
        e.dataTransfer.dropEffect = 'move'; // for FF (only move allowed)
      } else {
        e.dataTransfer.dropEffect = 'copy'; // for Chrome
      }

      e.stopPropagation();
      e.preventDefault();
    });
    qq.attach(self._element, 'dragenter', function (e) {
      if (!self._isValidFileDrag(e)) return;

      self._options.onEnter(e);
    });
    qq.attach(self._element, 'dragleave', function (e) {
      if (!self._isValidFileDrag(e)) return;

      self._options.onLeave(e);

      var relatedTarget = document.elementFromPoint(e.clientX, e.clientY); // do not fire when moving a mouse over a descendant

      if (qq.contains(this, relatedTarget)) return;

      self._options.onLeaveNotDescendants(e);
    });
    qq.attach(self._element, 'drop', function (e) {
      if (!self._isValidFileDrag(e)) return;
      e.preventDefault();

      self._options.onDrop(e);
    });
  },
  _isValidFileDrag: function _isValidFileDrag(e) {
    var dt = e.dataTransfer; // do not check dt.types.contains in webkit, because it crashes safari 4

    var isWebkit = navigator.userAgent.indexOf("AppleWebKit") > -1;
    var isIE9 = navigator.appVersion.indexOf("MSIE 9") > -1;
    if (isIE9) return false; // dt.effectAllowed is none in Safari 5
    // dt.types.contains check is for firefox

    return dt && dt.effectAllowed != 'none' && (dt.files || !isWebkit && dt.types && dt.types.contains && dt.types.contains('Files'));
  }
};

qq.UploadButton = function (o) {
  this._options = {
    element: null,
    // if set to true adds multiple attribute to file input
    multiple: false,
    // name attribute of file input
    name: 'file',
    onChange: function onChange(input) {},
    hoverClass: 'qq-upload-button-hover',
    focusClass: 'qq-upload-button-focus'
  };
  qq.extend(this._options, o);
  this._element = this._options.element; // make button suitable container for input

  qq.css(this._element, {
    position: 'relative',
    overflow: 'hidden',
    // Make sure browse button is in the right side
    // in Internet Explorer
    direction: 'ltr'
  });
  this._input = this._createInput();
};

qq.UploadButton.prototype = {
  /* returns file input element */
  getInput: function getInput() {
    return this._input;
  },

  /* cleans/recreates the file input */
  reset: function reset() {
    if (this._input.parentNode) {
      qq.remove(this._input);
    }

    qq.removeClass(this._element, this._options.focusClass);
    this._input = this._createInput();
  },
  _createInput: function _createInput() {
    var input = document.createElement("input");

    if (this._options.multiple) {
      input.setAttribute("multiple", "multiple");
    }

    input.setAttribute("type", "file");
    input.setAttribute("name", this._options.name);
    qq.css(input, {
      position: 'absolute',
      // in Opera only 'browse' button
      // is clickable and it is located at
      // the right side of the input
      right: 0,
      top: 0,
      fontFamily: 'Arial',
      // 4 persons reported this, the max values that worked for them were 243, 236, 236, 118
      fontSize: '118px',
      margin: 0,
      padding: 0,
      cursor: 'pointer',
      opacity: 0
    });

    this._element.appendChild(input);

    var self = this;
    qq.attach(input, 'change', function () {
      self._options.onChange(input);
    });
    qq.attach(input, 'mouseover', function () {
      qq.addClass(self._element, self._options.hoverClass);
    });
    qq.attach(input, 'mouseout', function () {
      qq.removeClass(self._element, self._options.hoverClass);
    });
    qq.attach(input, 'focus', function () {
      qq.addClass(self._element, self._options.focusClass);
    });
    qq.attach(input, 'blur', function () {
      qq.removeClass(self._element, self._options.focusClass);
    }); // IE and Opera, unfortunately have 2 tab stops on file input
    // which is unacceptable in our case, disable keyboard access

    if (window.attachEvent) {
      // it is IE or Opera
      input.setAttribute('tabIndex', "-1");
    }

    return input;
  }
};
/**
 * Class for uploading files, uploading itself is handled by child classes
 */

qq.UploadHandlerAbstract = function (o) {
  this._options = {
    debug: false,
    action: '/upload.php',
    // maximum number of concurrent uploads
    maxConnections: 999,
    onProgress: function onProgress(id, fileName, loaded, total) {},
    onComplete: function onComplete(id, fileName, response) {},
    onCancel: function onCancel(id, fileName) {}
  };
  qq.extend(this._options, o);
  this._queue = []; // params for files in queue

  this._params = [];
};

qq.UploadHandlerAbstract.prototype = {
  log: function log(str) {
    if (this._options.debug && window.console) console.log('[uploader] ' + str);
  },

  /**
   * Adds file or file input to the queue
   * @returns id
   **/
  add: function add(file) {},

  /**
   * Sends the file identified by id and additional query params to the server
   */
  upload: function upload(id, params) {
    var len = this._queue.push(id);

    var copy = {};
    qq.extend(copy, params);
    this._params[id] = copy; // if too many active uploads, wait...

    if (len <= this._options.maxConnections) {
      this._upload(id, this._params[id]);
    }
  },

  /**
   * Cancels file upload by id
   */
  cancel: function cancel(id) {
    this._cancel(id);

    this._dequeue(id);
  },

  /**
   * Cancells all uploads
   */
  cancelAll: function cancelAll() {
    for (var i = 0; i < this._queue.length; i++) {
      this._cancel(this._queue[i]);
    }

    this._queue = [];
  },

  /**
   * Returns name of the file identified by id
   */
  getName: function getName(id) {},

  /**
   * Returns size of the file identified by id
   */
  getSize: function getSize(id) {},

  /**
   * Returns id of files being uploaded or
   * waiting for their turn
   */
  getQueue: function getQueue() {
    return this._queue;
  },

  /**
   * Actual upload method
   */
  _upload: function _upload(id) {},

  /**
   * Actual cancel method
   */
  _cancel: function _cancel(id) {},

  /**
   * Removes element from queue, starts upload of next
   */
  _dequeue: function _dequeue(id) {
    var i = qq.indexOf(this._queue, id);

    this._queue.splice(i, 1);

    var max = this._options.maxConnections;

    if (this._queue.length >= max && i < max) {
      var nextId = this._queue[max - 1];

      this._upload(nextId, this._params[nextId]);
    }
  }
};
/**
 * Class for uploading files using form and iframe
 * @inherits qq.UploadHandlerAbstract
 */

qq.UploadHandlerForm = function (o) {
  qq.UploadHandlerAbstract.apply(this, arguments);
  this._inputs = {};
}; // @inherits qq.UploadHandlerAbstract


qq.extend(qq.UploadHandlerForm.prototype, qq.UploadHandlerAbstract.prototype);
qq.extend(qq.UploadHandlerForm.prototype, {
  add: function add(fileInput) {
    fileInput.setAttribute('name', 'qqfile');
    var id = 'qq-upload-handler-iframe' + qq.getUniqueId();
    this._inputs[id] = fileInput; // remove file input from DOM

    if (fileInput.parentNode) {
      qq.remove(fileInput);
    }

    return id;
  },
  getName: function getName(id) {
    // get input value and remove path to normalize
    return this._inputs[id].value.replace(/.*(\/|\\)/, "");
  },
  _cancel: function _cancel(id) {
    if (this._inputs[id]) {
      this._options.onCancel(id, this.getName(id));
    }

    delete this._inputs[id];
    var iframe = document.getElementById(id);

    if (iframe) {
      // to cancel request set src to something else
      // we use src="javascript:false;" because it doesn't
      // trigger ie6 prompt on https
      iframe.setAttribute('src', 'javascript:false;');
      qq.remove(iframe);
    }
  },
  _upload: function _upload(id, params) {
    var input = this._inputs[id];

    if (!input) {
      throw new Error('file with passed id was not added, or already uploaded or cancelled');
    }

    var fileName = this.getName(id);

    var iframe = this._createIframe(id);

    var form = this._createForm(iframe, params);

    input.name = params.fileFieldLabel;
    form.appendChild(input);
    var dest = document.createElement('input');
    dest.type = 'text';
    dest.name = 'dest';
    dest.value = params.dest;
    form.appendChild(dest);
    var csrfmiddlewaretoken = document.createElement('input');
    csrfmiddlewaretoken.type = 'hidden';
    csrfmiddlewaretoken.name = 'csrfmiddlewaretoken';
    csrfmiddlewaretoken.value = "${request and request.COOKIES.get('csrftoken', '')}";
    form.appendChild(csrfmiddlewaretoken);
    var self = this;

    this._attachLoadEvent(iframe, function () {
      self.log('iframe loaded');

      var response = self._getIframeContentJSON(iframe);

      self._options.onComplete(id, fileName, response);

      self._dequeue(id);

      delete self._inputs[id]; // timeout added to fix busy state in FF3.6

      setTimeout(function () {
        qq.remove(iframe);
      }, 1);
    });

    form.submit();
    qq.remove(form);
    return id;
  },
  _attachLoadEvent: function _attachLoadEvent(iframe, callback) {
    qq.attach(iframe, 'load', function () {
      // when we remove iframe from dom
      // the request stops, but in IE load
      // event fires
      if (!iframe.parentNode) {
        return;
      } // fixing Opera 10.53


      if (iframe.contentDocument && iframe.contentDocument.body && iframe.contentDocument.body.innerHTML == "false") {
        // In Opera event is fired second time
        // when body.innerHTML changed from false
        // to server response approx. after 1 sec
        // when we upload file with iframe
        return;
      }

      callback();
    });
  },

  /**
   * Returns json object received by iframe from server.
   */
  _getIframeContentJSON: function _getIframeContentJSON(iframe) {
    // iframe.contentWindow.document - for IE<7
    var doc = iframe.contentDocument ? iframe.contentDocument : iframe.contentWindow.document,
        response;
    this.log("converting iframe's innerHTML to JSON");
    this.log("innerHTML = " + jquery__WEBPACK_IMPORTED_MODULE_0___default()(doc.body.innerHTML).text());

    try {
      response = eval("(" + jquery__WEBPACK_IMPORTED_MODULE_0___default()(doc.body.innerHTML).text() + ")");
    } catch (err) {
      response = {};
    }

    return response;
  },

  /**
   * Creates iframe with unique name
   */
  _createIframe: function _createIframe(id) {
    // We can't use following code as the name attribute
    // won't be properly registered in IE6, and new window
    // on form submit will open
    // var iframe = document.createElement('iframe');
    // iframe.setAttribute('name', id);
    var iframe = qq.toElement('<iframe src="javascript:false;" name="' + id + '" />'); // src="javascript:false;" removes ie6 prompt on https

    iframe.setAttribute('id', id);
    iframe.style.display = 'none';
    document.body.appendChild(iframe);
    return iframe;
  },

  /**
   * Creates form, that will be submitted to iframe
   */
  _createForm: function _createForm(iframe, params) {
    // We can't use the following code in IE6
    // var form = document.createElement('form');
    // form.setAttribute('method', 'post');
    // form.setAttribute('enctype', 'multipart/form-data');
    // Because in this case file won't be attached to request
    var form = qq.toElement('<form method="post" enctype="multipart/form-data"></form>');
    form.setAttribute('action', this._options.action);
    form.setAttribute('target', iframe.name);
    form.style.display = 'none';
    document.body.appendChild(form);
    return form;
  }
});
/**
 * Class for uploading files using xhr
 * @inherits qq.UploadHandlerAbstract
 */

qq.UploadHandlerXhr = function (o) {
  qq.UploadHandlerAbstract.apply(this, arguments);
  this._files = [];
  this._xhrs = []; // current loaded size in bytes for each file

  this._loaded = [];
}; // static method


qq.UploadHandlerXhr.isSupported = function () {
  var input = document.createElement('input');
  input.type = 'file';
  return 'multiple' in input && typeof File != "undefined" && typeof new XMLHttpRequest().upload != "undefined";
}; // @inherits qq.UploadHandlerAbstract


qq.extend(qq.UploadHandlerXhr.prototype, qq.UploadHandlerAbstract.prototype);
qq.extend(qq.UploadHandlerXhr.prototype, {
  /**
   * Adds file to the queue
   * Returns id to use with upload, cancel
   **/
  add: function add(file) {
    // HUE-815: [fb] Upload button does not work in Firefox 3.6
    // see https://github.com/valums/ajax-upload/issues/91
    //if (!(file instanceof File)){
    if (!(file instanceof File || file.__proto__ && file.__proto__.constructor.name == 'File' || file instanceof Object)) {
      throw new Error('Passed obj in not a File (in qq.UploadHandlerXhr)');
    }

    return this._files.push(file) - 1;
  },
  getName: function getName(id) {
    var file = this._files[id]; // fix missing name in Safari 4

    return file && (file.fileName || file.name);
  },
  getSize: function getSize(id) {
    var file = this._files[id];
    return file && (file.fileSize || file.size);
  },

  /**
   * Returns uploaded bytes for file identified by id
   */
  getLoaded: function getLoaded(id) {
    return this._loaded[id] || 0;
  },

  /**
   * Sends the file identified by id and additional query params to the server
   * @param {Object} params name-value string pairs
   */
  _upload: function _upload(id, params) {
    var file = this._files[id],
        name = this.getName(id),
        size = this.getSize(id);
    this._loaded[id] = 0;
    var xhr = this._xhrs[id] = new XMLHttpRequest();
    var self = this;

    xhr.upload.onprogress = function (e) {
      if (e.lengthComputable) {
        self._loaded[id] = e.loaded;

        self._options.onProgress(id, name, e.loaded, e.total);
      }
    };

    xhr.onreadystatechange = function () {
      if (xhr.readyState == 4) {
        self._onComplete(id, xhr);
      }
    };

    var formData = new FormData();
    formData.append(params.fileFieldLabel, file);
    formData.append('dest', params.dest);
    var action = this._options.action + "?dest=" + params.dest;
    xhr.open("POST", action, true);
    xhr.send(formData);
  },
  _onComplete: function _onComplete(id, xhr) {
    // the request was aborted/cancelled
    if (!this._files[id]) return;
    var name = this.getName(id);
    var size = this.getSize(id);

    this._options.onProgress(id, name, size, size);

    if (xhr.status == 200) {
      this.log("xhr - server response received");
      this.log("responseText = " + xhr.responseText);
      var response;

      try {
        response = eval("(" + xhr.responseText + ")");
      } catch (err) {
        response = {};
      }

      this._options.onComplete(id, name, response);
    } else {
      this._options.onComplete(id, name, xhr);
    }

    this._files[id] = null;
    this._xhrs[id] = null;

    this._dequeue(id);
  },
  _cancel: function _cancel(id) {
    if (this._files[id]) {
      this._options.onCancel(id, this.getName(id));
    }

    this._files[id] = null;

    if (this._xhrs[id]) {
      this._xhrs[id].abort();

      this._xhrs[id] = null;
    }
  }
});
/* harmony default export */ __webpack_exports__["default"] = (qq);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/jquery.chosen.1.0.0.min.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/jquery.chosen.1.0.0.min.js ***!
  \********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* Chosen v1.0.0 | (c) 2011-2013 by Harvest | MIT License, https://github.com/harvesthq/chosen/blob/master/LICENSE.md */

!function () {
  var a,
      AbstractChosen,
      Chosen,
      SelectParser,
      b,
      c = {}.hasOwnProperty,
      d = function d(a, b) {
    function d() {
      this.constructor = a;
    }

    for (var e in b) {
      c.call(b, e) && (a[e] = b[e]);
    }

    return d.prototype = b.prototype, a.prototype = new d(), a.__super__ = b.prototype, a;
  };

  SelectParser = function () {
    function SelectParser() {
      this.options_index = 0, this.parsed = [];
    }

    return SelectParser.prototype.add_node = function (a) {
      return "OPTGROUP" === a.nodeName.toUpperCase() ? this.add_group(a) : this.add_option(a);
    }, SelectParser.prototype.add_group = function (a) {
      var b, c, d, e, f, g;

      for (b = this.parsed.length, this.parsed.push({
        array_index: b,
        group: !0,
        label: this.escapeExpression(a.label),
        children: 0,
        disabled: a.disabled
      }), f = a.childNodes, g = [], d = 0, e = f.length; e > d; d++) {
        c = f[d], g.push(this.add_option(c, b, a.disabled));
      }

      return g;
    }, SelectParser.prototype.add_option = function (a, b, c) {
      return "OPTION" === a.nodeName.toUpperCase() ? ("" !== a.text ? (null != b && (this.parsed[b].children += 1), this.parsed.push({
        array_index: this.parsed.length,
        options_index: this.options_index,
        value: a.value,
        text: a.text,
        html: a.innerHTML,
        selected: a.selected,
        disabled: c === !0 ? c : a.disabled,
        group_array_index: b,
        classes: a.className,
        style: a.style.cssText
      })) : this.parsed.push({
        array_index: this.parsed.length,
        options_index: this.options_index,
        empty: !0
      }), this.options_index += 1) : void 0;
    }, SelectParser.prototype.escapeExpression = function (a) {
      var b, c;
      return null == a || a === !1 ? "" : /[\&\<\>\"\'\`]/.test(a) ? (b = {
        "<": "&lt;",
        ">": "&gt;",
        '"': "&quot;",
        "'": "&#x27;",
        "`": "&#x60;"
      }, c = /&(?!\w+;)|[\<\>\"\'\`]/g, a.replace(c, function (a) {
        return b[a] || "&amp;";
      })) : a;
    }, SelectParser;
  }(), SelectParser.select_to_array = function (a) {
    var b, c, d, e, f;

    for (c = new SelectParser(), f = a.childNodes, d = 0, e = f.length; e > d; d++) {
      b = f[d], c.add_node(b);
    }

    return c.parsed;
  }, AbstractChosen = function () {
    function AbstractChosen(a, b) {
      this.form_field = a, this.options = null != b ? b : {}, AbstractChosen.browser_is_supported() && (this.is_multiple = this.form_field.multiple, this.set_default_text(), this.set_default_values(), this.setup(), this.set_up_html(), this.register_observers());
    }

    return AbstractChosen.prototype.set_default_values = function () {
      var a = this;
      return this.click_test_action = function (b) {
        return a.test_active_click(b);
      }, this.activate_action = function (b) {
        return a.activate_field(b);
      }, this.active_field = !1, this.mouse_on_container = !1, this.results_showing = !1, this.result_highlighted = null, this.result_single_selected = null, this.allow_single_deselect = null != this.options.allow_single_deselect && null != this.form_field.options[0] && "" === this.form_field.options[0].text ? this.options.allow_single_deselect : !1, this.disable_search_threshold = this.options.disable_search_threshold || 0, this.disable_search = this.options.disable_search || !1, this.enable_split_word_search = null != this.options.enable_split_word_search ? this.options.enable_split_word_search : !0, this.group_search = null != this.options.group_search ? this.options.group_search : !0, this.search_contains = this.options.search_contains || !1, this.single_backstroke_delete = null != this.options.single_backstroke_delete ? this.options.single_backstroke_delete : !0, this.max_selected_options = this.options.max_selected_options || 1 / 0, this.inherit_select_classes = this.options.inherit_select_classes || !1, this.display_selected_options = null != this.options.display_selected_options ? this.options.display_selected_options : !0, this.display_disabled_options = null != this.options.display_disabled_options ? this.options.display_disabled_options : !0;
    }, AbstractChosen.prototype.set_default_text = function () {
      return this.default_text = this.form_field.getAttribute("data-placeholder") ? this.form_field.getAttribute("data-placeholder") : this.is_multiple ? this.options.placeholder_text_multiple || this.options.placeholder_text || AbstractChosen.default_multiple_text : this.options.placeholder_text_single || this.options.placeholder_text || AbstractChosen.default_single_text, this.results_none_found = this.form_field.getAttribute("data-no_results_text") || this.options.no_results_text || AbstractChosen.default_no_result_text;
    }, AbstractChosen.prototype.mouse_enter = function () {
      return this.mouse_on_container = !0;
    }, AbstractChosen.prototype.mouse_leave = function () {
      return this.mouse_on_container = !1;
    }, AbstractChosen.prototype.input_focus = function () {
      var a = this;

      if (this.is_multiple) {
        if (!this.active_field) return setTimeout(function () {
          return a.container_mousedown();
        }, 50);
      } else if (!this.active_field) return this.activate_field();
    }, AbstractChosen.prototype.input_blur = function () {
      var a = this;
      return this.mouse_on_container ? void 0 : (this.active_field = !1, setTimeout(function () {
        return a.blur_test();
      }, 100));
    }, AbstractChosen.prototype.results_option_build = function (a) {
      var b, c, d, e, f;

      for (b = "", f = this.results_data, d = 0, e = f.length; e > d; d++) {
        c = f[d], b += c.group ? this.result_add_group(c) : this.result_add_option(c), (null != a ? a.first : void 0) && (c.selected && this.is_multiple ? this.choice_build(c) : c.selected && !this.is_multiple && this.single_set_selected_text(c.text));
      }

      return b;
    }, AbstractChosen.prototype.result_add_option = function (a) {
      var b, c;
      return a.search_match ? this.include_option_in_results(a) ? (b = [], a.disabled || a.selected && this.is_multiple || b.push("active-result"), !a.disabled || a.selected && this.is_multiple || b.push("disabled-result"), a.selected && b.push("result-selected"), null != a.group_array_index && b.push("group-option"), "" !== a.classes && b.push(a.classes), c = "" !== a.style.cssText ? ' style="' + a.style + '"' : "", '<li class="' + b.join(" ") + '"' + c + ' data-option-array-index="' + a.array_index + '">' + a.search_text + "</li>") : "" : "";
    }, AbstractChosen.prototype.result_add_group = function (a) {
      return a.search_match || a.group_match ? a.active_options > 0 ? '<li class="group-result">' + a.search_text + "</li>" : "" : "";
    }, AbstractChosen.prototype.results_update_field = function () {
      return this.set_default_text(), this.is_multiple || this.results_reset_cleanup(), this.result_clear_highlight(), this.result_single_selected = null, this.results_build(), this.results_showing ? this.winnow_results() : void 0;
    }, AbstractChosen.prototype.results_toggle = function () {
      return this.results_showing ? this.results_hide() : this.results_show();
    }, AbstractChosen.prototype.results_search = function () {
      return this.results_showing ? this.winnow_results() : this.results_show();
    }, AbstractChosen.prototype.winnow_results = function () {
      var a, b, c, d, e, f, g, h, i, j, k, l, m;

      for (this.no_results_clear(), e = 0, g = this.get_search_text(), a = g.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&"), d = this.search_contains ? "" : "^", c = new RegExp(d + a, "i"), j = new RegExp(a, "i"), m = this.results_data, k = 0, l = m.length; l > k; k++) {
        b = m[k], b.search_match = !1, f = null, this.include_option_in_results(b) && (b.group && (b.group_match = !1, b.active_options = 0), null != b.group_array_index && this.results_data[b.group_array_index] && (f = this.results_data[b.group_array_index], 0 === f.active_options && f.search_match && (e += 1), f.active_options += 1), (!b.group || this.group_search) && (b.search_text = b.group ? b.label : b.html, b.search_match = this.search_string_match(b.search_text, c), b.search_match && !b.group && (e += 1), b.search_match ? (g.length && (h = b.search_text.search(j), i = b.search_text.substr(0, h + g.length) + "</em>" + b.search_text.substr(h + g.length), b.search_text = i.substr(0, h) + "<em>" + i.substr(h)), null != f && (f.group_match = !0)) : null != b.group_array_index && this.results_data[b.group_array_index].search_match && (b.search_match = !0)));
      }

      return this.result_clear_highlight(), 1 > e && g.length ? (this.update_results_content(""), this.no_results(g)) : (this.update_results_content(this.results_option_build()), this.winnow_results_set_highlight());
    }, AbstractChosen.prototype.search_string_match = function (a, b) {
      var c, d, e, f;
      if (b.test(a)) return !0;
      if (this.enable_split_word_search && (a.indexOf(" ") >= 0 || 0 === a.indexOf("[")) && (d = a.replace(/\[|\]/g, "").split(" "), d.length)) for (e = 0, f = d.length; f > e; e++) {
        if (c = d[e], b.test(c)) return !0;
      }
    }, AbstractChosen.prototype.choices_count = function () {
      var a, b, c, d;
      if (null != this.selected_option_count) return this.selected_option_count;

      for (this.selected_option_count = 0, d = this.form_field.options, b = 0, c = d.length; c > b; b++) {
        a = d[b], a.selected && (this.selected_option_count += 1);
      }

      return this.selected_option_count;
    }, AbstractChosen.prototype.choices_click = function (a) {
      return a.preventDefault(), this.results_showing || this.is_disabled ? void 0 : this.results_show();
    }, AbstractChosen.prototype.keyup_checker = function (a) {
      var b, c;

      switch (b = null != (c = a.which) ? c : a.keyCode, this.search_field_scale(), b) {
        case 8:
          if (this.is_multiple && this.backstroke_length < 1 && this.choices_count() > 0) return this.keydown_backstroke();
          if (!this.pending_backstroke) return this.result_clear_highlight(), this.results_search();
          break;

        case 13:
          if (a.preventDefault(), this.results_showing) return this.result_select(a);
          break;

        case 27:
          return this.results_showing && this.results_hide(), !0;

        case 9:
        case 38:
        case 40:
        case 16:
        case 91:
        case 17:
          break;

        default:
          return this.results_search();
      }
    }, AbstractChosen.prototype.container_width = function () {
      return null != this.options.width ? this.options.width : "" + this.form_field.offsetWidth + "px";
    }, AbstractChosen.prototype.include_option_in_results = function (a) {
      return this.is_multiple && !this.display_selected_options && a.selected ? !1 : !this.display_disabled_options && a.disabled ? !1 : a.empty ? !1 : !0;
    }, AbstractChosen.browser_is_supported = function () {
      return "Microsoft Internet Explorer" === window.navigator.appName ? document.documentMode >= 8 : /iP(od|hone)/i.test(window.navigator.userAgent) ? !1 : /Android/i.test(window.navigator.userAgent) && /Mobile/i.test(window.navigator.userAgent) ? !1 : !0;
    }, AbstractChosen.default_multiple_text = "Select Some Options", AbstractChosen.default_single_text = "Select an Option", AbstractChosen.default_no_result_text = "No results match", AbstractChosen;
  }(), a = jquery__WEBPACK_IMPORTED_MODULE_0___default.a, a.fn.extend({
    chosen: function chosen(b) {
      return AbstractChosen.browser_is_supported() ? this.each(function () {
        var c, d;
        c = a(this), d = c.data("chosen"), "destroy" === b && d ? d.destroy() : d || c.data("chosen", new Chosen(this, b));
      }) : this;
    }
  }), Chosen = function (c) {
    function Chosen() {
      return b = Chosen.__super__.constructor.apply(this, arguments);
    }

    return d(Chosen, c), Chosen.prototype.setup = function () {
      return this.form_field_jq = a(this.form_field), this.current_selectedIndex = this.form_field.selectedIndex, this.is_rtl = this.form_field_jq.hasClass("chosen-rtl");
    }, Chosen.prototype.set_up_html = function () {
      var b, c;
      return b = ["chosen-container"], b.push("chosen-container-" + (this.is_multiple ? "multi" : "single")), this.inherit_select_classes && this.form_field.className && b.push(this.form_field.className), this.is_rtl && b.push("chosen-rtl"), c = {
        "class": b.join(" "),
        style: "width: " + this.container_width() + ";",
        title: this.form_field.title
      }, this.form_field.id.length && (c.id = this.form_field.id.replace(/[^\w]/g, "_") + "_chosen"), this.container = a("<div />", c), this.is_multiple ? this.container.html('<ul class="chosen-choices"><li class="search-field"><input type="text" value="' + this.default_text + '" class="default" autocomplete="off" style="width:25px;" /></li></ul><div class="chosen-drop"><ul class="chosen-results"></ul></div>') : this.container.html('<a class="chosen-single chosen-default" tabindex="-1"><span>' + this.default_text + '</span><div><b></b></div></a><div class="chosen-drop"><div class="chosen-search"><input type="text" autocomplete="off" /></div><ul class="chosen-results"></ul></div>'), this.form_field_jq.hide().after(this.container), this.dropdown = this.container.find("div.chosen-drop").first(), this.search_field = this.container.find("input").first(), this.search_results = this.container.find("ul.chosen-results").first(), this.search_field_scale(), this.search_no_results = this.container.find("li.no-results").first(), this.is_multiple ? (this.search_choices = this.container.find("ul.chosen-choices").first(), this.search_container = this.container.find("li.search-field").first()) : (this.search_container = this.container.find("div.chosen-search").first(), this.selected_item = this.container.find(".chosen-single").first()), this.results_build(), this.set_tab_index(), this.set_label_behavior(), this.form_field_jq.trigger("chosen:ready", {
        chosen: this
      });
    }, Chosen.prototype.register_observers = function () {
      var a = this;
      return this.container.bind("mousedown.chosen", function (b) {
        a.container_mousedown(b);
      }), this.container.bind("mouseup.chosen", function (b) {
        a.container_mouseup(b);
      }), this.container.bind("mouseenter.chosen", function (b) {
        a.mouse_enter(b);
      }), this.container.bind("mouseleave.chosen", function (b) {
        a.mouse_leave(b);
      }), this.search_results.bind("mouseup.chosen", function (b) {
        a.search_results_mouseup(b);
      }), this.search_results.bind("mouseover.chosen", function (b) {
        a.search_results_mouseover(b);
      }), this.search_results.bind("mouseout.chosen", function (b) {
        a.search_results_mouseout(b);
      }), this.search_results.bind("mousewheel.chosen DOMMouseScroll.chosen", function (b) {
        a.search_results_mousewheel(b);
      }), this.form_field_jq.bind("chosen:updated.chosen", function (b) {
        a.results_update_field(b);
      }), this.form_field_jq.bind("chosen:activate.chosen", function (b) {
        a.activate_field(b);
      }), this.form_field_jq.bind("chosen:open.chosen", function (b) {
        a.container_mousedown(b);
      }), this.search_field.bind("blur.chosen", function (b) {
        a.input_blur(b);
      }), this.search_field.bind("keyup.chosen", function (b) {
        a.keyup_checker(b);
      }), this.search_field.bind("keydown.chosen", function (b) {
        a.keydown_checker(b);
      }), this.search_field.bind("focus.chosen", function (b) {
        a.input_focus(b);
      }), this.is_multiple ? this.search_choices.bind("click.chosen", function (b) {
        a.choices_click(b);
      }) : this.container.bind("click.chosen", function (a) {
        a.preventDefault();
      });
    }, Chosen.prototype.destroy = function () {
      return a(document).unbind("click.chosen", this.click_test_action), this.search_field[0].tabIndex && (this.form_field_jq[0].tabIndex = this.search_field[0].tabIndex), this.container.remove(), this.form_field_jq.removeData("chosen"), this.form_field_jq.show();
    }, Chosen.prototype.search_field_disabled = function () {
      return this.is_disabled = this.form_field_jq[0].disabled, this.is_disabled ? (this.container.addClass("chosen-disabled"), this.search_field[0].disabled = !0, this.is_multiple || this.selected_item.unbind("focus.chosen", this.activate_action), this.close_field()) : (this.container.removeClass("chosen-disabled"), this.search_field[0].disabled = !1, this.is_multiple ? void 0 : this.selected_item.bind("focus.chosen", this.activate_action));
    }, Chosen.prototype.container_mousedown = function (b) {
      return this.is_disabled || (b && "mousedown" === b.type && !this.results_showing && b.preventDefault(), null != b && a(b.target).hasClass("search-choice-close")) ? void 0 : (this.active_field ? this.is_multiple || !b || a(b.target)[0] !== this.selected_item[0] && !a(b.target).parents("a.chosen-single").length || (b.preventDefault(), this.results_toggle()) : (this.is_multiple && this.search_field.val(""), a(document).bind("click.chosen", this.click_test_action), this.results_show()), this.activate_field());
    }, Chosen.prototype.container_mouseup = function (a) {
      return "ABBR" !== a.target.nodeName || this.is_disabled ? void 0 : this.results_reset(a);
    }, Chosen.prototype.search_results_mousewheel = function (a) {
      var b, c, d;
      return b = -(null != (c = a.originalEvent) ? c.wheelDelta : void 0) || (null != (d = a.originialEvent) ? d.detail : void 0), null != b ? (a.preventDefault(), "DOMMouseScroll" === a.type && (b = 40 * b), this.search_results.scrollTop(b + this.search_results.scrollTop())) : void 0;
    }, Chosen.prototype.blur_test = function () {
      return !this.active_field && this.container.hasClass("chosen-container-active") ? this.close_field() : void 0;
    }, Chosen.prototype.close_field = function () {
      return a(document).unbind("click.chosen", this.click_test_action), this.active_field = !1, this.results_hide(), this.container.removeClass("chosen-container-active"), this.clear_backstroke(), this.show_search_field_default(), this.search_field_scale();
    }, Chosen.prototype.activate_field = function () {
      return this.container.addClass("chosen-container-active"), this.active_field = !0, this.search_field.val(this.search_field.val()), this.search_field.focus();
    }, Chosen.prototype.test_active_click = function (b) {
      return this.container.is(a(b.target).closest(".chosen-container")) ? this.active_field = !0 : this.close_field();
    }, Chosen.prototype.results_build = function () {
      return this.parsing = !0, this.selected_option_count = null, this.results_data = SelectParser.select_to_array(this.form_field), this.is_multiple ? this.search_choices.find("li.search-choice").remove() : this.is_multiple || (this.single_set_selected_text(), this.disable_search || this.form_field.options.length <= this.disable_search_threshold ? (this.search_field[0].readOnly = !0, this.container.addClass("chosen-container-single-nosearch")) : (this.search_field[0].readOnly = !1, this.container.removeClass("chosen-container-single-nosearch"))), this.update_results_content(this.results_option_build({
        first: !0
      })), this.search_field_disabled(), this.show_search_field_default(), this.search_field_scale(), this.parsing = !1;
    }, Chosen.prototype.result_do_highlight = function (a) {
      var b, c, d, e, f;

      if (a.length) {
        if (this.result_clear_highlight(), this.result_highlight = a, this.result_highlight.addClass("highlighted"), d = parseInt(this.search_results.css("maxHeight"), 10), f = this.search_results.scrollTop(), e = d + f, c = this.result_highlight.position().top + this.search_results.scrollTop(), b = c + this.result_highlight.outerHeight(), b >= e) return this.search_results.scrollTop(b - d > 0 ? b - d : 0);
        if (f > c) return this.search_results.scrollTop(c);
      }
    }, Chosen.prototype.result_clear_highlight = function () {
      return this.result_highlight && this.result_highlight.removeClass("highlighted"), this.result_highlight = null;
    }, Chosen.prototype.results_show = function () {
      return this.is_multiple && this.max_selected_options <= this.choices_count() ? (this.form_field_jq.trigger("chosen:maxselected", {
        chosen: this
      }), !1) : (this.container.addClass("chosen-with-drop"), this.form_field_jq.trigger("chosen:showing_dropdown", {
        chosen: this
      }), this.results_showing = !0, this.search_field.focus(), this.search_field.val(this.search_field.val()), this.winnow_results());
    }, Chosen.prototype.update_results_content = function (a) {
      return this.search_results.html(a);
    }, Chosen.prototype.results_hide = function () {
      return this.results_showing && (this.result_clear_highlight(), this.container.removeClass("chosen-with-drop"), this.form_field_jq.trigger("chosen:hiding_dropdown", {
        chosen: this
      })), this.results_showing = !1;
    }, Chosen.prototype.set_tab_index = function () {
      var a;
      return this.form_field.tabIndex ? (a = this.form_field.tabIndex, this.form_field.tabIndex = -1, this.search_field[0].tabIndex = a) : void 0;
    }, Chosen.prototype.set_label_behavior = function () {
      var b = this;
      return this.form_field_label = this.form_field_jq.parents("label"), !this.form_field_label.length && this.form_field.id.length && (this.form_field_label = a("label[for='" + this.form_field.id + "']")), this.form_field_label.length > 0 ? this.form_field_label.bind("click.chosen", function (a) {
        return b.is_multiple ? b.container_mousedown(a) : b.activate_field();
      }) : void 0;
    }, Chosen.prototype.show_search_field_default = function () {
      return this.is_multiple && this.choices_count() < 1 && !this.active_field ? (this.search_field.val(this.default_text), this.search_field.addClass("default")) : (this.search_field.val(""), this.search_field.removeClass("default"));
    }, Chosen.prototype.search_results_mouseup = function (b) {
      var c;
      return c = a(b.target).hasClass("active-result") ? a(b.target) : a(b.target).parents(".active-result").first(), c.length ? (this.result_highlight = c, this.result_select(b), this.search_field.focus()) : void 0;
    }, Chosen.prototype.search_results_mouseover = function (b) {
      var c;
      return c = a(b.target).hasClass("active-result") ? a(b.target) : a(b.target).parents(".active-result").first(), c ? this.result_do_highlight(c) : void 0;
    }, Chosen.prototype.search_results_mouseout = function (b) {
      return a(b.target).hasClass("active-result") ? this.result_clear_highlight() : void 0;
    }, Chosen.prototype.choice_build = function (b) {
      var c,
          d,
          e = this;
      return c = a("<li />", {
        "class": "search-choice"
      }).html("<span>" + b.html + "</span>"), b.disabled ? c.addClass("search-choice-disabled") : (d = a("<a />", {
        "class": "search-choice-close",
        "data-option-array-index": b.array_index
      }), d.bind("click.chosen", function (a) {
        return e.choice_destroy_link_click(a);
      }), c.append(d)), this.search_container.before(c);
    }, Chosen.prototype.choice_destroy_link_click = function (b) {
      return b.preventDefault(), b.stopPropagation(), this.is_disabled ? void 0 : this.choice_destroy(a(b.target));
    }, Chosen.prototype.choice_destroy = function (a) {
      return this.result_deselect(a[0].getAttribute("data-option-array-index")) ? (this.show_search_field_default(), this.is_multiple && this.choices_count() > 0 && this.search_field.val().length < 1 && this.results_hide(), a.parents("li").first().remove(), this.search_field_scale()) : void 0;
    }, Chosen.prototype.results_reset = function () {
      return this.form_field.options[0].selected = !0, this.selected_option_count = null, this.single_set_selected_text(), this.show_search_field_default(), this.results_reset_cleanup(), this.form_field_jq.trigger("change"), this.active_field ? this.results_hide() : void 0;
    }, Chosen.prototype.results_reset_cleanup = function () {
      return this.current_selectedIndex = this.form_field.selectedIndex, this.selected_item.find("abbr").remove();
    }, Chosen.prototype.result_select = function (a) {
      var b, c, d;
      return this.result_highlight ? (b = this.result_highlight, this.result_clear_highlight(), this.is_multiple && this.max_selected_options <= this.choices_count() ? (this.form_field_jq.trigger("chosen:maxselected", {
        chosen: this
      }), !1) : (this.is_multiple ? b.removeClass("active-result") : (this.result_single_selected && (this.result_single_selected.removeClass("result-selected"), d = this.result_single_selected[0].getAttribute("data-option-array-index"), this.results_data[d].selected = !1), this.result_single_selected = b), b.addClass("result-selected"), c = this.results_data[b[0].getAttribute("data-option-array-index")], c.selected = !0, this.form_field.options[c.options_index].selected = !0, this.selected_option_count = null, this.is_multiple ? this.choice_build(c) : this.single_set_selected_text(c.text), (a.metaKey || a.ctrlKey) && this.is_multiple || this.results_hide(), this.search_field.val(""), (this.is_multiple || this.form_field.selectedIndex !== this.current_selectedIndex) && this.form_field_jq.trigger("change", {
        selected: this.form_field.options[c.options_index].value
      }), this.current_selectedIndex = this.form_field.selectedIndex, this.search_field_scale())) : void 0;
    }, Chosen.prototype.single_set_selected_text = function (a) {
      return null == a && (a = this.default_text), a === this.default_text ? this.selected_item.addClass("chosen-default") : (this.single_deselect_control_build(), this.selected_item.removeClass("chosen-default")), this.selected_item.find("span").text(a);
    }, Chosen.prototype.result_deselect = function (a) {
      var b;
      return b = this.results_data[a], this.form_field.options[b.options_index].disabled ? !1 : (b.selected = !1, this.form_field.options[b.options_index].selected = !1, this.selected_option_count = null, this.result_clear_highlight(), this.results_showing && this.winnow_results(), this.form_field_jq.trigger("change", {
        deselected: this.form_field.options[b.options_index].value
      }), this.search_field_scale(), !0);
    }, Chosen.prototype.single_deselect_control_build = function () {
      return this.allow_single_deselect ? (this.selected_item.find("abbr").length || this.selected_item.find("span").first().after('<abbr class="search-choice-close"></abbr>'), this.selected_item.addClass("chosen-single-with-deselect")) : void 0;
    }, Chosen.prototype.get_search_text = function () {
      return this.search_field.val() === this.default_text ? "" : a("<div/>").text(a.trim(this.search_field.val())).html();
    }, Chosen.prototype.winnow_results_set_highlight = function () {
      var a, b;
      return b = this.is_multiple ? [] : this.search_results.find(".result-selected.active-result"), a = b.length ? b.first() : this.search_results.find(".active-result").first(), null != a ? this.result_do_highlight(a) : void 0;
    }, Chosen.prototype.no_results = function (b) {
      var c;
      return c = a('<li class="no-results">' + this.results_none_found + ' "<span></span>"</li>'), c.find("span").first().html(b), this.search_results.append(c);
    }, Chosen.prototype.no_results_clear = function () {
      return this.search_results.find(".no-results").remove();
    }, Chosen.prototype.keydown_arrow = function () {
      var a;
      return this.results_showing && this.result_highlight ? (a = this.result_highlight.nextAll("li.active-result").first()) ? this.result_do_highlight(a) : void 0 : this.results_show();
    }, Chosen.prototype.keyup_arrow = function () {
      var a;
      return this.results_showing || this.is_multiple ? this.result_highlight ? (a = this.result_highlight.prevAll("li.active-result"), a.length ? this.result_do_highlight(a.first()) : (this.choices_count() > 0 && this.results_hide(), this.result_clear_highlight())) : void 0 : this.results_show();
    }, Chosen.prototype.keydown_backstroke = function () {
      var a;
      return this.pending_backstroke ? (this.choice_destroy(this.pending_backstroke.find("a").first()), this.clear_backstroke()) : (a = this.search_container.siblings("li.search-choice").last(), a.length && !a.hasClass("search-choice-disabled") ? (this.pending_backstroke = a, this.single_backstroke_delete ? this.keydown_backstroke() : this.pending_backstroke.addClass("search-choice-focus")) : void 0);
    }, Chosen.prototype.clear_backstroke = function () {
      return this.pending_backstroke && this.pending_backstroke.removeClass("search-choice-focus"), this.pending_backstroke = null;
    }, Chosen.prototype.keydown_checker = function (a) {
      var b, c;

      switch (b = null != (c = a.which) ? c : a.keyCode, this.search_field_scale(), 8 !== b && this.pending_backstroke && this.clear_backstroke(), b) {
        case 8:
          this.backstroke_length = this.search_field.val().length;
          break;

        case 9:
          this.results_showing && !this.is_multiple && this.result_select(a), this.mouse_on_container = !1;
          break;

        case 13:
          a.preventDefault();
          break;

        case 38:
          a.preventDefault(), this.keyup_arrow();
          break;

        case 40:
          a.preventDefault(), this.keydown_arrow();
      }
    }, Chosen.prototype.search_field_scale = function () {
      var b, c, d, e, f, g, h, i, j;

      if (this.is_multiple) {
        for (d = 0, h = 0, f = "position:absolute; left: -1000px; top: -1000px; display:none;", g = ["font-size", "font-style", "font-weight", "font-family", "line-height", "text-transform", "letter-spacing"], i = 0, j = g.length; j > i; i++) {
          e = g[i], f += e + ":" + this.search_field.css(e) + ";";
        }

        return b = a("<div />", {
          style: f
        }), b.text(this.search_field.val()), a("body").append(b), h = b.width() + 25, b.remove(), c = this.container.outerWidth(), h > c - 10 && (h = c - 10), this.search_field.css({
          width: h + "px"
        });
      }
    }, Chosen;
  }(AbstractChosen);
}.call(undefined);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/jquery.dataTables.1.8.2.min.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/jquery.dataTables.1.8.2.min.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
 * File:        jquery.dataTables.min.js
 * Version:     1.8.2
 * Author:      Allan Jardine (www.sprymedia.co.uk)
 * Info:        www.datatables.net
 *
 * Copyright 2008-2011 Allan Jardine, all rights reserved.
 *
 * This source file is free software, under either the GPL v2 license or a
 * BSD style license, as supplied with this software.
 *
 * This source file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the license files for details.
 */


(function (i, za, p) {
  i.fn.dataTableSettings = [];
  var D = i.fn.dataTableSettings;
  i.fn.dataTableExt = {};
  var n = i.fn.dataTableExt;
  n.sVersion = "1.8.2";
  n.sErrMode = "alert";
  n.iApiIndex = 0;
  n.oApi = {};
  n.afnFiltering = [];
  n.aoFeatures = [];
  n.ofnSearch = {};
  n.afnSortData = [];
  n.oStdClasses = {
    sPagePrevEnabled: "paginate_enabled_previous",
    sPagePrevDisabled: "paginate_disabled_previous",
    sPageNextEnabled: "paginate_enabled_next",
    sPageNextDisabled: "paginate_disabled_next",
    sPageJUINext: "",
    sPageJUIPrev: "",
    sPageButton: "paginate_button",
    sPageButtonActive: "paginate_active",
    sPageButtonStaticDisabled: "paginate_button paginate_button_disabled",
    sPageFirst: "first",
    sPagePrevious: "previous",
    sPageNext: "next",
    sPageLast: "last",
    sStripeOdd: "odd",
    sStripeEven: "even",
    sRowEmpty: "dataTables_empty",
    sWrapper: "dataTables_wrapper",
    sFilter: "dataTables_filter",
    sInfo: "dataTables_info",
    sPaging: "dataTables_paginate paging_",
    sLength: "dataTables_length",
    sProcessing: "dataTables_processing",
    sSortAsc: "sorting_asc",
    sSortDesc: "sorting_desc",
    sSortable: "sorting",
    sSortableAsc: "sorting_asc_disabled",
    sSortableDesc: "sorting_desc_disabled",
    sSortableNone: "sorting_disabled",
    sSortColumn: "sorting_",
    sSortJUIAsc: "",
    sSortJUIDesc: "",
    sSortJUI: "",
    sSortJUIAscAllowed: "",
    sSortJUIDescAllowed: "",
    sSortJUIWrapper: "",
    sSortIcon: "",
    sScrollWrapper: "dataTables_scroll",
    sScrollHead: "dataTables_scrollHead",
    sScrollHeadInner: "dataTables_scrollHeadInner",
    sScrollBody: "dataTables_scrollBody",
    sScrollFoot: "dataTables_scrollFoot",
    sScrollFootInner: "dataTables_scrollFootInner",
    sFooterTH: ""
  };
  n.oJUIClasses = {
    sPagePrevEnabled: "fg-button ui-button ui-state-default ui-corner-left",
    sPagePrevDisabled: "fg-button ui-button ui-state-default ui-corner-left ui-state-disabled",
    sPageNextEnabled: "fg-button ui-button ui-state-default ui-corner-right",
    sPageNextDisabled: "fg-button ui-button ui-state-default ui-corner-right ui-state-disabled",
    sPageJUINext: "ui-icon ui-icon-circle-arrow-e",
    sPageJUIPrev: "ui-icon ui-icon-circle-arrow-w",
    sPageButton: "fg-button ui-button ui-state-default",
    sPageButtonActive: "fg-button ui-button ui-state-default ui-state-disabled",
    sPageButtonStaticDisabled: "fg-button ui-button ui-state-default ui-state-disabled",
    sPageFirst: "first ui-corner-tl ui-corner-bl",
    sPagePrevious: "previous",
    sPageNext: "next",
    sPageLast: "last ui-corner-tr ui-corner-br",
    sStripeOdd: "odd",
    sStripeEven: "even",
    sRowEmpty: "dataTables_empty",
    sWrapper: "dataTables_wrapper",
    sFilter: "dataTables_filter",
    sInfo: "dataTables_info",
    sPaging: "dataTables_paginate fg-buttonset ui-buttonset fg-buttonset-multi ui-buttonset-multi paging_",
    sLength: "dataTables_length",
    sProcessing: "dataTables_processing",
    sSortAsc: "ui-state-default",
    sSortDesc: "ui-state-default",
    sSortable: "ui-state-default",
    sSortableAsc: "ui-state-default",
    sSortableDesc: "ui-state-default",
    sSortableNone: "ui-state-default",
    sSortColumn: "sorting_",
    sSortJUIAsc: "css_right ui-icon ui-icon-triangle-1-n",
    sSortJUIDesc: "css_right ui-icon ui-icon-triangle-1-s",
    sSortJUI: "css_right ui-icon ui-icon-carat-2-n-s",
    sSortJUIAscAllowed: "css_right ui-icon ui-icon-carat-1-n",
    sSortJUIDescAllowed: "css_right ui-icon ui-icon-carat-1-s",
    sSortJUIWrapper: "DataTables_sort_wrapper",
    sSortIcon: "DataTables_sort_icon",
    sScrollWrapper: "dataTables_scroll",
    sScrollHead: "dataTables_scrollHead ui-state-default",
    sScrollHeadInner: "dataTables_scrollHeadInner",
    sScrollBody: "dataTables_scrollBody",
    sScrollFoot: "dataTables_scrollFoot ui-state-default",
    sScrollFootInner: "dataTables_scrollFootInner",
    sFooterTH: "ui-state-default"
  };
  n.oPagination = {
    two_button: {
      fnInit: function fnInit(g, l, s) {
        var t, w, y;

        if (g.bJUI) {
          t = p.createElement("a");
          w = p.createElement("a");
          y = p.createElement("span");
          y.className = g.oClasses.sPageJUINext;
          w.appendChild(y);
          y = p.createElement("span");
          y.className = g.oClasses.sPageJUIPrev;
          t.appendChild(y);
        } else {
          t = p.createElement("div");
          w = p.createElement("div");
        }

        t.className = g.oClasses.sPagePrevDisabled;
        w.className = g.oClasses.sPageNextDisabled;
        t.title = g.oLanguage.oPaginate.sPrevious;
        w.title = g.oLanguage.oPaginate.sNext;
        l.appendChild(t);
        l.appendChild(w);
        i(t).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "previous") && s(g);
        });
        i(w).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "next") && s(g);
        });
        i(t).bind("selectstart.DT", function () {
          return false;
        });
        i(w).bind("selectstart.DT", function () {
          return false;
        });

        if (g.sTableId !== "" && typeof g.aanFeatures.p == "undefined") {
          l.setAttribute("id", g.sTableId + "_paginate");
          t.setAttribute("id", g.sTableId + "_previous");
          w.setAttribute("id", g.sTableId + "_next");
        }
      },
      fnUpdate: function fnUpdate(g) {
        if (g.aanFeatures.p) for (var l = g.aanFeatures.p, s = 0, t = l.length; s < t; s++) {
          if (l[s].childNodes.length !== 0) {
            l[s].childNodes[0].className = g._iDisplayStart === 0 ? g.oClasses.sPagePrevDisabled : g.oClasses.sPagePrevEnabled;
            l[s].childNodes[1].className = g.fnDisplayEnd() == g.fnRecordsDisplay() ? g.oClasses.sPageNextDisabled : g.oClasses.sPageNextEnabled;
          }
        }
      }
    },
    iFullNumbersShowPages: 5,
    full_numbers: {
      fnInit: function fnInit(g, l, s) {
        var t = p.createElement("span"),
            w = p.createElement("span"),
            y = p.createElement("span"),
            F = p.createElement("span"),
            x = p.createElement("span");
        t.innerHTML = g.oLanguage.oPaginate.sFirst;
        w.innerHTML = g.oLanguage.oPaginate.sPrevious;
        F.innerHTML = g.oLanguage.oPaginate.sNext;
        x.innerHTML = g.oLanguage.oPaginate.sLast;
        var v = g.oClasses;
        t.className = v.sPageButton + " " + v.sPageFirst;
        w.className = v.sPageButton + " " + v.sPagePrevious;
        F.className = v.sPageButton + " " + v.sPageNext;
        x.className = v.sPageButton + " " + v.sPageLast;
        l.appendChild(t);
        l.appendChild(w);
        l.appendChild(y);
        l.appendChild(F);
        l.appendChild(x);
        i(t).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "first") && s(g);
        });
        i(w).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "previous") && s(g);
        });
        i(F).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "next") && s(g);
        });
        i(x).bind("click.DT", function () {
          g.oApi._fnPageChange(g, "last") && s(g);
        });
        i("span", l).bind("mousedown.DT", function () {
          return false;
        }).bind("selectstart.DT", function () {
          return false;
        });

        if (g.sTableId !== "" && typeof g.aanFeatures.p == "undefined") {
          l.setAttribute("id", g.sTableId + "_paginate");
          t.setAttribute("id", g.sTableId + "_first");
          w.setAttribute("id", g.sTableId + "_previous");
          F.setAttribute("id", g.sTableId + "_next");
          x.setAttribute("id", g.sTableId + "_last");
        }
      },
      fnUpdate: function fnUpdate(g, l) {
        if (g.aanFeatures.p) {
          var s = n.oPagination.iFullNumbersShowPages,
              t = Math.floor(s / 2),
              w = Math.ceil(g.fnRecordsDisplay() / g._iDisplayLength),
              y = Math.ceil(g._iDisplayStart / g._iDisplayLength) + 1,
              F = "",
              x,
              v = g.oClasses;

          if (w < s) {
            t = 1;
            x = w;
          } else if (y <= t) {
            t = 1;
            x = s;
          } else if (y >= w - t) {
            t = w - s + 1;
            x = w;
          } else {
            t = y - Math.ceil(s / 2) + 1;
            x = t + s - 1;
          }

          for (s = t; s <= x; s++) {
            F += y != s ? '<span class="' + v.sPageButton + '">' + s + "</span>" : '<span class="' + v.sPageButtonActive + '">' + s + "</span>";
          }

          x = g.aanFeatures.p;

          var z,
              $ = function $(M) {
            g._iDisplayStart = (this.innerHTML * 1 - 1) * g._iDisplayLength;
            l(g);
            M.preventDefault();
          },
              X = function X() {
            return false;
          };

          s = 0;

          for (t = x.length; s < t; s++) {
            if (x[s].childNodes.length !== 0) {
              z = i("span:eq(2)", x[s]);
              z.html(F);
              i("span", z).bind("click.DT", $).bind("mousedown.DT", X).bind("selectstart.DT", X);
              z = x[s].getElementsByTagName("span");
              z = [z[0], z[1], z[z.length - 2], z[z.length - 1]];
              i(z).removeClass(v.sPageButton + " " + v.sPageButtonActive + " " + v.sPageButtonStaticDisabled);

              if (y == 1) {
                z[0].className += " " + v.sPageButtonStaticDisabled;
                z[1].className += " " + v.sPageButtonStaticDisabled;
              } else {
                z[0].className += " " + v.sPageButton;
                z[1].className += " " + v.sPageButton;
              }

              if (w === 0 || y == w || g._iDisplayLength == -1) {
                z[2].className += " " + v.sPageButtonStaticDisabled;
                z[3].className += " " + v.sPageButtonStaticDisabled;
              } else {
                z[2].className += " " + v.sPageButton;
                z[3].className += " " + v.sPageButton;
              }
            }
          }
        }
      }
    }
  };
  n.oSort = {
    "string-asc": function stringAsc(g, l) {
      if (typeof g != "string") g = "";
      if (typeof l != "string") l = "";
      g = g.toLowerCase();
      l = l.toLowerCase();
      return g < l ? -1 : g > l ? 1 : 0;
    },
    "string-desc": function stringDesc(g, l) {
      if (typeof g != "string") g = "";
      if (typeof l != "string") l = "";
      g = g.toLowerCase();
      l = l.toLowerCase();
      return g < l ? 1 : g > l ? -1 : 0;
    },
    "html-asc": function htmlAsc(g, l) {
      g = g.replace(/<.*?>/g, "").toLowerCase();
      l = l.replace(/<.*?>/g, "").toLowerCase();
      return g < l ? -1 : g > l ? 1 : 0;
    },
    "html-desc": function htmlDesc(g, l) {
      g = g.replace(/<.*?>/g, "").toLowerCase();
      l = l.replace(/<.*?>/g, "").toLowerCase();
      return g < l ? 1 : g > l ? -1 : 0;
    },
    "date-asc": function dateAsc(g, l) {
      g = Date.parse(g);
      l = Date.parse(l);
      if (isNaN(g) || g === "") g = Date.parse("01/01/1970 00:00:00");
      if (isNaN(l) || l === "") l = Date.parse("01/01/1970 00:00:00");
      return g - l;
    },
    "date-desc": function dateDesc(g, l) {
      g = Date.parse(g);
      l = Date.parse(l);
      if (isNaN(g) || g === "") g = Date.parse("01/01/1970 00:00:00");
      if (isNaN(l) || l === "") l = Date.parse("01/01/1970 00:00:00");
      return l - g;
    },
    "numeric-asc": function numericAsc(g, l) {
      return (g == "-" || g === "" ? 0 : g * 1) - (l == "-" || l === "" ? 0 : l * 1);
    },
    "numeric-desc": function numericDesc(g, l) {
      return (l == "-" || l === "" ? 0 : l * 1) - (g == "-" || g === "" ? 0 : g * 1);
    }
  };
  n.aTypes = [function (g) {
    if (typeof g == "number") return "numeric";else if (typeof g != "string") return null;
    var l,
        s = false;
    l = g.charAt(0);
    if ("0123456789-".indexOf(l) == -1) return null;

    for (var t = 1; t < g.length; t++) {
      l = g.charAt(t);
      if ("0123456789.".indexOf(l) == -1) return null;

      if (l == ".") {
        if (s) return null;
        s = true;
      }
    }

    return "numeric";
  }, function (g) {
    var l = Date.parse(g);
    if (l !== null && !isNaN(l) || typeof g == "string" && g.length === 0) return "date";
    return null;
  }, function (g) {
    if (typeof g == "string" && g.indexOf("<") != -1 && g.indexOf(">") != -1) return "html";
    return null;
  }];

  n.fnVersionCheck = function (g) {
    var l = function l(x, v) {
      for (; x.length < v;) {
        x += "0";
      }

      return x;
    },
        s = n.sVersion.split(".");

    g = g.split(".");

    for (var t = "", w = "", y = 0, F = g.length; y < F; y++) {
      t += l(s[y], 3);
      w += l(g[y], 3);
    }

    return parseInt(t, 10) >= parseInt(w, 10);
  };

  n._oExternConfig = {
    iNextUnique: 0
  };

  i.fn.dataTable = function (g) {
    function l() {
      this.fnRecordsTotal = function () {
        return this.oFeatures.bServerSide ? parseInt(this._iRecordsTotal, 10) : this.aiDisplayMaster.length;
      };

      this.fnRecordsDisplay = function () {
        return this.oFeatures.bServerSide ? parseInt(this._iRecordsDisplay, 10) : this.aiDisplay.length;
      };

      this.fnDisplayEnd = function () {
        return this.oFeatures.bServerSide ? this.oFeatures.bPaginate === false || this._iDisplayLength == -1 ? this._iDisplayStart + this.aiDisplay.length : Math.min(this._iDisplayStart + this._iDisplayLength, this._iRecordsDisplay) : this._iDisplayEnd;
      };

      this.sInstance = this.oInstance = null;
      this.oFeatures = {
        bPaginate: true,
        bLengthChange: true,
        bFilter: true,
        bSort: true,
        bInfo: true,
        bAutoWidth: true,
        bProcessing: false,
        bSortClasses: true,
        bStateSave: false,
        bServerSide: false,
        bDeferRender: false
      };
      this.oScroll = {
        sX: "",
        sXInner: "",
        sY: "",
        bCollapse: false,
        bInfinite: false,
        iLoadGap: 100,
        iBarWidth: 0,
        bAutoCss: true
      };
      this.aanFeatures = [];
      this.oLanguage = {
        sProcessing: "Processing...",
        sLengthMenu: "Show _MENU_ entries",
        sZeroRecords: "No matching records found",
        sEmptyTable: "No data available in table",
        sLoadingRecords: "Loading...",
        sInfo: "Showing _START_ to _END_ of _TOTAL_ entries",
        sInfoEmpty: "Showing 0 to 0 of 0 entries",
        sInfoFiltered: "(filtered from _MAX_ total entries)",
        sInfoPostFix: "",
        sInfoThousands: ",",
        sSearch: "Search:",
        sUrl: "",
        oPaginate: {
          sFirst: "First",
          sPrevious: "Previous",
          sNext: "Next",
          sLast: "Last"
        },
        fnInfoCallback: null
      };
      this.aoData = [];
      this.aiDisplay = [];
      this.aiDisplayMaster = [];
      this.aoColumns = [];
      this.aoHeader = [];
      this.aoFooter = [];
      this.iNextId = 0;
      this.asDataSearch = [];
      this.oPreviousSearch = {
        sSearch: "",
        bRegex: false,
        bSmart: true
      };
      this.aoPreSearchCols = [];
      this.aaSorting = [[0, "asc", 0]];
      this.aaSortingFixed = null;
      this.asStripeClasses = [];
      this.asDestroyStripes = [];
      this.sDestroyWidth = 0;
      this.fnFooterCallback = this.fnHeaderCallback = this.fnRowCallback = null;
      this.aoDrawCallback = [];
      this.fnInitComplete = this.fnPreDrawCallback = null;
      this.sTableId = "";
      this.nTableWrapper = this.nTBody = this.nTFoot = this.nTHead = this.nTable = null;
      this.bInitialised = this.bDeferLoading = false;
      this.aoOpenRows = [];
      this.sDom = "lfrtip";
      this.sPaginationType = "two_button";
      this.iCookieDuration = 7200;
      this.sCookiePrefix = "SpryMedia_DataTables_";
      this.fnCookieCallback = null;
      this.aoStateSave = [];
      this.aoStateLoad = [];
      this.sAjaxSource = this.oLoadedState = null;
      this.sAjaxDataProp = "aaData";
      this.bAjaxDataGet = true;
      this.jqXHR = null;

      this.fnServerData = function (a, b, c, d) {
        d.jqXHR = i.ajax({
          url: a,
          data: b,
          success: function success(f) {
            i(d.oInstance).trigger("xhr", d);
            c(f);
          },
          dataType: "json",
          cache: false,
          error: function error(f, e) {
            e == "parsererror" && alert("DataTables warning: JSON data from server could not be parsed. This is caused by a JSON formatting error.");
          }
        });
      };

      this.aoServerParams = [];

      this.fnFormatNumber = function (a) {
        if (a < 1E3) return a;else {
          var b = a + "";
          a = b.split("");
          var c = "";
          b = b.length;

          for (var d = 0; d < b; d++) {
            if (d % 3 === 0 && d !== 0) c = this.oLanguage.sInfoThousands + c;
            c = a[b - d - 1] + c;
          }
        }
        return c;
      };

      this.aLengthMenu = [10, 25, 50, 100];
      this.bDrawing = this.iDraw = 0;
      this.iDrawError = -1;
      this._iDisplayLength = 10;
      this._iDisplayStart = 0;
      this._iDisplayEnd = 10;
      this._iRecordsDisplay = this._iRecordsTotal = 0;
      this.bJUI = false;
      this.oClasses = n.oStdClasses;
      this.bSortCellsTop = this.bSorted = this.bFiltered = false;
      this.oInit = null;
      this.aoDestroyCallback = [];
    }

    function s(a) {
      return function () {
        var b = [A(this[n.iApiIndex])].concat(Array.prototype.slice.call(arguments));
        return n.oApi[a].apply(this, b);
      };
    }

    function t(a) {
      var b,
          c,
          d = a.iInitDisplayStart;
      if (a.bInitialised === false) setTimeout(function () {
        t(a);
      }, 200);else {
        Aa(a);
        X(a);
        M(a, a.aoHeader);
        a.nTFoot && M(a, a.aoFooter);
        K(a, true);
        a.oFeatures.bAutoWidth && ga(a);
        b = 0;

        for (c = a.aoColumns.length; b < c; b++) {
          if (a.aoColumns[b].sWidth !== null) a.aoColumns[b].nTh.style.width = q(a.aoColumns[b].sWidth);
        }

        if (a.oFeatures.bSort) R(a);else if (a.oFeatures.bFilter) N(a, a.oPreviousSearch);else {
          a.aiDisplay = a.aiDisplayMaster.slice();
          E(a);
          C(a);
        }

        if (a.sAjaxSource !== null && !a.oFeatures.bServerSide) {
          c = [];
          ha(a, c);
          a.fnServerData.call(a.oInstance, a.sAjaxSource, c, function (f) {
            var e = f;
            if (a.sAjaxDataProp !== "") e = aa(a.sAjaxDataProp)(f);

            for (b = 0; b < e.length; b++) {
              v(a, e[b]);
            }

            a.iInitDisplayStart = d;
            if (a.oFeatures.bSort) R(a);else {
              a.aiDisplay = a.aiDisplayMaster.slice();
              E(a);
              C(a);
            }
            K(a, false);
            w(a, f);
          }, a);
        } else if (!a.oFeatures.bServerSide) {
          K(a, false);
          w(a);
        }
      }
    }

    function w(a, b) {
      a._bInitComplete = true;
      if (typeof a.fnInitComplete == "function") typeof b != "undefined" ? a.fnInitComplete.call(a.oInstance, a, b) : a.fnInitComplete.call(a.oInstance, a);
    }

    function y(a, b, c) {
      a.oLanguage = i.extend(true, a.oLanguage, b);
      typeof b.sEmptyTable == "undefined" && typeof b.sZeroRecords != "undefined" && o(a.oLanguage, b, "sZeroRecords", "sEmptyTable");
      typeof b.sLoadingRecords == "undefined" && typeof b.sZeroRecords != "undefined" && o(a.oLanguage, b, "sZeroRecords", "sLoadingRecords");
      c && t(a);
    }

    function F(a, b) {
      var c = a.aoColumns.length;
      b = {
        sType: null,
        _bAutoType: true,
        bVisible: true,
        bSearchable: true,
        bSortable: true,
        asSorting: ["asc", "desc"],
        sSortingClass: a.oClasses.sSortable,
        sSortingClassJUI: a.oClasses.sSortJUI,
        sTitle: b ? b.innerHTML : "",
        sName: "",
        sWidth: null,
        sWidthOrig: null,
        sClass: null,
        fnRender: null,
        bUseRendered: true,
        iDataSort: c,
        mDataProp: c,
        fnGetData: null,
        fnSetData: null,
        sSortDataType: "std",
        sDefaultContent: null,
        sContentPadding: "",
        nTh: b ? b : p.createElement("th"),
        nTf: null
      };
      a.aoColumns.push(b);
      if (typeof a.aoPreSearchCols[c] == "undefined" || a.aoPreSearchCols[c] === null) a.aoPreSearchCols[c] = {
        sSearch: "",
        bRegex: false,
        bSmart: true
      };else {
        if (typeof a.aoPreSearchCols[c].bRegex == "undefined") a.aoPreSearchCols[c].bRegex = true;
        if (typeof a.aoPreSearchCols[c].bSmart == "undefined") a.aoPreSearchCols[c].bSmart = true;
      }
      x(a, c, null);
    }

    function x(a, b, c) {
      b = a.aoColumns[b];

      if (typeof c != "undefined" && c !== null) {
        if (typeof c.sType != "undefined") {
          b.sType = c.sType;
          b._bAutoType = false;
        }

        o(b, c, "bVisible");
        o(b, c, "bSearchable");
        o(b, c, "bSortable");
        o(b, c, "sTitle");
        o(b, c, "sName");
        o(b, c, "sWidth");
        o(b, c, "sWidth", "sWidthOrig");
        o(b, c, "sClass");
        o(b, c, "fnRender");
        o(b, c, "bUseRendered");
        o(b, c, "iDataSort");
        o(b, c, "mDataProp");
        o(b, c, "asSorting");
        o(b, c, "sSortDataType");
        o(b, c, "sDefaultContent");
        o(b, c, "sContentPadding");
      }

      b.fnGetData = aa(b.mDataProp);
      b.fnSetData = Ba(b.mDataProp);
      if (!a.oFeatures.bSort) b.bSortable = false;

      if (!b.bSortable || i.inArray("asc", b.asSorting) == -1 && i.inArray("desc", b.asSorting) == -1) {
        b.sSortingClass = a.oClasses.sSortableNone;
        b.sSortingClassJUI = "";
      } else if (b.bSortable || i.inArray("asc", b.asSorting) == -1 && i.inArray("desc", b.asSorting) == -1) {
        b.sSortingClass = a.oClasses.sSortable;
        b.sSortingClassJUI = a.oClasses.sSortJUI;
      } else if (i.inArray("asc", b.asSorting) != -1 && i.inArray("desc", b.asSorting) == -1) {
        b.sSortingClass = a.oClasses.sSortableAsc;
        b.sSortingClassJUI = a.oClasses.sSortJUIAscAllowed;
      } else if (i.inArray("asc", b.asSorting) == -1 && i.inArray("desc", b.asSorting) != -1) {
        b.sSortingClass = a.oClasses.sSortableDesc;
        b.sSortingClassJUI = a.oClasses.sSortJUIDescAllowed;
      }
    }

    function v(a, b) {
      var c;
      c = i.isArray(b) ? b.slice() : i.extend(true, {}, b);
      b = a.aoData.length;
      var d = {
        nTr: null,
        _iId: a.iNextId++,
        _aData: c,
        _anHidden: [],
        _sRowStripe: ""
      };
      a.aoData.push(d);

      for (var f, e = 0, h = a.aoColumns.length; e < h; e++) {
        c = a.aoColumns[e];
        typeof c.fnRender == "function" && c.bUseRendered && c.mDataProp !== null && O(a, b, e, c.fnRender({
          iDataRow: b,
          iDataColumn: e,
          aData: d._aData,
          oSettings: a
        }));

        if (c._bAutoType && c.sType != "string") {
          f = G(a, b, e, "type");

          if (f !== null && f !== "") {
            f = ia(f);
            if (c.sType === null) c.sType = f;else if (c.sType != f && c.sType != "html") c.sType = "string";
          }
        }
      }

      a.aiDisplayMaster.push(b);
      a.oFeatures.bDeferRender || z(a, b);
      return b;
    }

    function z(a, b) {
      var c = a.aoData[b],
          d;

      if (c.nTr === null) {
        c.nTr = p.createElement("tr");
        typeof c._aData.DT_RowId != "undefined" && c.nTr.setAttribute("id", c._aData.DT_RowId);
        typeof c._aData.DT_RowClass != "undefined" && i(c.nTr).addClass(c._aData.DT_RowClass);

        for (var f = 0, e = a.aoColumns.length; f < e; f++) {
          var h = a.aoColumns[f];
          d = p.createElement("td");
          d.innerHTML = typeof h.fnRender == "function" && (!h.bUseRendered || h.mDataProp === null) ? h.fnRender({
            iDataRow: b,
            iDataColumn: f,
            aData: c._aData,
            oSettings: a
          }) : G(a, b, f, "display");
          if (h.sClass !== null) d.className = h.sClass;

          if (h.bVisible) {
            c.nTr.appendChild(d);
            c._anHidden[f] = null;
          } else c._anHidden[f] = d;
        }
      }
    }

    function $(a) {
      var b, c, d, f, e, h, j, k, m;

      if (a.bDeferLoading || a.sAjaxSource === null) {
        j = a.nTBody.childNodes;
        b = 0;

        for (c = j.length; b < c; b++) {
          if (j[b].nodeName.toUpperCase() == "TR") {
            k = a.aoData.length;
            a.aoData.push({
              nTr: j[b],
              _iId: a.iNextId++,
              _aData: [],
              _anHidden: [],
              _sRowStripe: ""
            });
            a.aiDisplayMaster.push(k);
            h = j[b].childNodes;
            d = e = 0;

            for (f = h.length; d < f; d++) {
              m = h[d].nodeName.toUpperCase();

              if (m == "TD" || m == "TH") {
                O(a, k, e, i.trim(h[d].innerHTML));
                e++;
              }
            }
          }
        }
      }

      j = ba(a);
      h = [];
      b = 0;

      for (c = j.length; b < c; b++) {
        d = 0;

        for (f = j[b].childNodes.length; d < f; d++) {
          e = j[b].childNodes[d];
          m = e.nodeName.toUpperCase();
          if (m == "TD" || m == "TH") h.push(e);
        }
      }

      h.length != j.length * a.aoColumns.length && J(a, 1, "Unexpected number of TD elements. Expected " + j.length * a.aoColumns.length + " and got " + h.length + ". DataTables does not support rowspan / colspan in the table body, and there must be one cell for each row/column combination.");
      d = 0;

      for (f = a.aoColumns.length; d < f; d++) {
        if (a.aoColumns[d].sTitle === null) a.aoColumns[d].sTitle = a.aoColumns[d].nTh.innerHTML;
        j = a.aoColumns[d]._bAutoType;
        m = typeof a.aoColumns[d].fnRender == "function";
        e = a.aoColumns[d].sClass !== null;
        k = a.aoColumns[d].bVisible;
        var u, r;

        if (j || m || e || !k) {
          b = 0;

          for (c = a.aoData.length; b < c; b++) {
            u = h[b * f + d];

            if (j && a.aoColumns[d].sType != "string") {
              r = G(a, b, d, "type");

              if (r !== "") {
                r = ia(r);
                if (a.aoColumns[d].sType === null) a.aoColumns[d].sType = r;else if (a.aoColumns[d].sType != r && a.aoColumns[d].sType != "html") a.aoColumns[d].sType = "string";
              }
            }

            if (m) {
              r = a.aoColumns[d].fnRender({
                iDataRow: b,
                iDataColumn: d,
                aData: a.aoData[b]._aData,
                oSettings: a
              });
              u.innerHTML = r;
              a.aoColumns[d].bUseRendered && O(a, b, d, r);
            }

            if (e) u.className += " " + a.aoColumns[d].sClass;
            if (k) a.aoData[b]._anHidden[d] = null;else {
              a.aoData[b]._anHidden[d] = u;
              u.parentNode.removeChild(u);
            }
          }
        }
      }
    }

    function X(a) {
      var b, c, d;
      a.nTHead.getElementsByTagName("tr");

      if (a.nTHead.getElementsByTagName("th").length !== 0) {
        b = 0;

        for (d = a.aoColumns.length; b < d; b++) {
          c = a.aoColumns[b].nTh;
          a.aoColumns[b].sClass !== null && i(c).addClass(a.aoColumns[b].sClass);
          if (a.aoColumns[b].sTitle != c.innerHTML) c.innerHTML = a.aoColumns[b].sTitle;
        }
      } else {
        var f = p.createElement("tr");
        b = 0;

        for (d = a.aoColumns.length; b < d; b++) {
          c = a.aoColumns[b].nTh;
          c.innerHTML = a.aoColumns[b].sTitle;
          a.aoColumns[b].sClass !== null && i(c).addClass(a.aoColumns[b].sClass);
          f.appendChild(c);
        }

        i(a.nTHead).html("")[0].appendChild(f);
        Y(a.aoHeader, a.nTHead);
      }

      if (a.bJUI) {
        b = 0;

        for (d = a.aoColumns.length; b < d; b++) {
          c = a.aoColumns[b].nTh;
          f = p.createElement("div");
          f.className = a.oClasses.sSortJUIWrapper;
          i(c).contents().appendTo(f);
          var e = p.createElement("span");
          e.className = a.oClasses.sSortIcon;
          f.appendChild(e);
          c.appendChild(f);
        }
      }

      d = function d() {
        this.onselectstart = function () {
          return false;
        };

        return false;
      };

      if (a.oFeatures.bSort) for (b = 0; b < a.aoColumns.length; b++) {
        if (a.aoColumns[b].bSortable !== false) {
          ja(a, a.aoColumns[b].nTh, b);
          i(a.aoColumns[b].nTh).bind("mousedown.DT", d);
        } else i(a.aoColumns[b].nTh).addClass(a.oClasses.sSortableNone);
      }
      a.oClasses.sFooterTH !== "" && i(a.nTFoot).children("tr").children("th").addClass(a.oClasses.sFooterTH);

      if (a.nTFoot !== null) {
        c = S(a, null, a.aoFooter);
        b = 0;

        for (d = a.aoColumns.length; b < d; b++) {
          if (typeof c[b] != "undefined") a.aoColumns[b].nTf = c[b];
        }
      }
    }

    function M(a, b, c) {
      var d,
          f,
          e,
          h = [],
          j = [],
          k = a.aoColumns.length;
      if (typeof c == "undefined") c = false;
      d = 0;

      for (f = b.length; d < f; d++) {
        h[d] = b[d].slice();
        h[d].nTr = b[d].nTr;

        for (e = k - 1; e >= 0; e--) {
          !a.aoColumns[e].bVisible && !c && h[d].splice(e, 1);
        }

        j.push([]);
      }

      d = 0;

      for (f = h.length; d < f; d++) {
        if (h[d].nTr) {
          a = 0;

          for (e = h[d].nTr.childNodes.length; a < e; a++) {
            h[d].nTr.removeChild(h[d].nTr.childNodes[0]);
          }
        }

        e = 0;

        for (b = h[d].length; e < b; e++) {
          k = c = 1;

          if (typeof j[d][e] == "undefined") {
            h[d].nTr.appendChild(h[d][e].cell);

            for (j[d][e] = 1; typeof h[d + c] != "undefined" && h[d][e].cell == h[d + c][e].cell;) {
              j[d + c][e] = 1;
              c++;
            }

            for (; typeof h[d][e + k] != "undefined" && h[d][e].cell == h[d][e + k].cell;) {
              for (a = 0; a < c; a++) {
                j[d + a][e + k] = 1;
              }

              k++;
            }

            h[d][e].cell.rowSpan = c;
            h[d][e].cell.colSpan = k;
          }
        }
      }
    }

    function C(a) {
      var b,
          c,
          d = [],
          f = 0,
          e = false;
      b = a.asStripeClasses.length;
      c = a.aoOpenRows.length;

      if (!(a.fnPreDrawCallback !== null && a.fnPreDrawCallback.call(a.oInstance, a) === false)) {
        a.bDrawing = true;

        if (typeof a.iInitDisplayStart != "undefined" && a.iInitDisplayStart != -1) {
          a._iDisplayStart = a.oFeatures.bServerSide ? a.iInitDisplayStart : a.iInitDisplayStart >= a.fnRecordsDisplay() ? 0 : a.iInitDisplayStart;
          a.iInitDisplayStart = -1;
          E(a);
        }

        if (a.bDeferLoading) {
          a.bDeferLoading = false;
          a.iDraw++;
        } else if (a.oFeatures.bServerSide) {
          if (!a.bDestroying && !Ca(a)) return;
        } else a.iDraw++;

        if (a.aiDisplay.length !== 0) {
          var h = a._iDisplayStart,
              j = a._iDisplayEnd;

          if (a.oFeatures.bServerSide) {
            h = 0;
            j = a.aoData.length;
          }

          for (h = h; h < j; h++) {
            var k = a.aoData[a.aiDisplay[h]];
            k.nTr === null && z(a, a.aiDisplay[h]);
            var m = k.nTr;

            if (b !== 0) {
              var u = a.asStripeClasses[f % b];

              if (k._sRowStripe != u) {
                i(m).removeClass(k._sRowStripe).addClass(u);
                k._sRowStripe = u;
              }
            }

            if (typeof a.fnRowCallback == "function") {
              m = a.fnRowCallback.call(a.oInstance, m, a.aoData[a.aiDisplay[h]]._aData, f, h);

              if (!m && !e) {
                J(a, 0, "A node was not returned by fnRowCallback");
                e = true;
              }
            }

            d.push(m);
            f++;
            if (c !== 0) for (k = 0; k < c; k++) {
              m == a.aoOpenRows[k].nParent && d.push(a.aoOpenRows[k].nTr);
            }
          }
        } else {
          d[0] = p.createElement("tr");
          if (typeof a.asStripeClasses[0] != "undefined") d[0].className = a.asStripeClasses[0];
          e = a.oLanguage.sZeroRecords.replace("_MAX_", a.fnFormatNumber(a.fnRecordsTotal()));
          if (a.iDraw == 1 && a.sAjaxSource !== null && !a.oFeatures.bServerSide) e = a.oLanguage.sLoadingRecords;else if (typeof a.oLanguage.sEmptyTable != "undefined" && a.fnRecordsTotal() === 0) e = a.oLanguage.sEmptyTable;
          b = p.createElement("td");
          b.setAttribute("valign", "top");
          b.colSpan = Z(a);
          b.className = a.oClasses.sRowEmpty;
          b.innerHTML = e;
          d[f].appendChild(b);
        }

        typeof a.fnHeaderCallback == "function" && a.fnHeaderCallback.call(a.oInstance, i(a.nTHead).children("tr")[0], ca(a), a._iDisplayStart, a.fnDisplayEnd(), a.aiDisplay);
        typeof a.fnFooterCallback == "function" && a.fnFooterCallback.call(a.oInstance, i(a.nTFoot).children("tr")[0], ca(a), a._iDisplayStart, a.fnDisplayEnd(), a.aiDisplay);
        f = p.createDocumentFragment();
        b = p.createDocumentFragment();

        if (a.nTBody) {
          e = a.nTBody.parentNode;
          b.appendChild(a.nTBody);

          if (!a.oScroll.bInfinite || !a._bInitComplete || a.bSorted || a.bFiltered) {
            c = a.nTBody.childNodes;

            for (b = c.length - 1; b >= 0; b--) {
              c[b].parentNode.removeChild(c[b]);
            }
          }

          b = 0;

          for (c = d.length; b < c; b++) {
            f.appendChild(d[b]);
          }

          a.nTBody.appendChild(f);
          e !== null && e.appendChild(a.nTBody);
        }

        for (b = a.aoDrawCallback.length - 1; b >= 0; b--) {
          a.aoDrawCallback[b].fn.call(a.oInstance, a);
        }

        i(a.oInstance).trigger("draw", a);
        a.bSorted = false;
        a.bFiltered = false;
        a.bDrawing = false;

        if (a.oFeatures.bServerSide) {
          K(a, false);
          typeof a._bInitComplete == "undefined" && w(a);
        }
      }
    }

    function da(a) {
      if (a.oFeatures.bSort) R(a, a.oPreviousSearch);else if (a.oFeatures.bFilter) N(a, a.oPreviousSearch);else {
        E(a);
        C(a);
      }
    }

    function Ca(a) {
      if (a.bAjaxDataGet) {
        a.iDraw++;
        K(a, true);
        var b = Da(a);
        ha(a, b);
        a.fnServerData.call(a.oInstance, a.sAjaxSource, b, function (c) {
          Ea(a, c);
        }, a);
        return false;
      } else return true;
    }

    function Da(a) {
      var b = a.aoColumns.length,
          c = [],
          d,
          f;
      c.push({
        name: "sEcho",
        value: a.iDraw
      });
      c.push({
        name: "iColumns",
        value: b
      });
      c.push({
        name: "sColumns",
        value: ka(a)
      });
      c.push({
        name: "iDisplayStart",
        value: a._iDisplayStart
      });
      c.push({
        name: "iDisplayLength",
        value: a.oFeatures.bPaginate !== false ? a._iDisplayLength : -1
      });

      for (f = 0; f < b; f++) {
        d = a.aoColumns[f].mDataProp;
        c.push({
          name: "mDataProp_" + f,
          value: typeof d == "function" ? "function" : d
        });
      }

      if (a.oFeatures.bFilter !== false) {
        c.push({
          name: "sSearch",
          value: a.oPreviousSearch.sSearch
        });
        c.push({
          name: "bRegex",
          value: a.oPreviousSearch.bRegex
        });

        for (f = 0; f < b; f++) {
          c.push({
            name: "sSearch_" + f,
            value: a.aoPreSearchCols[f].sSearch
          });
          c.push({
            name: "bRegex_" + f,
            value: a.aoPreSearchCols[f].bRegex
          });
          c.push({
            name: "bSearchable_" + f,
            value: a.aoColumns[f].bSearchable
          });
        }
      }

      if (a.oFeatures.bSort !== false) {
        d = a.aaSortingFixed !== null ? a.aaSortingFixed.length : 0;
        var e = a.aaSorting.length;
        c.push({
          name: "iSortingCols",
          value: d + e
        });

        for (f = 0; f < d; f++) {
          c.push({
            name: "iSortCol_" + f,
            value: a.aaSortingFixed[f][0]
          });
          c.push({
            name: "sSortDir_" + f,
            value: a.aaSortingFixed[f][1]
          });
        }

        for (f = 0; f < e; f++) {
          c.push({
            name: "iSortCol_" + (f + d),
            value: a.aaSorting[f][0]
          });
          c.push({
            name: "sSortDir_" + (f + d),
            value: a.aaSorting[f][1]
          });
        }

        for (f = 0; f < b; f++) {
          c.push({
            name: "bSortable_" + f,
            value: a.aoColumns[f].bSortable
          });
        }
      }

      return c;
    }

    function ha(a, b) {
      for (var c = 0, d = a.aoServerParams.length; c < d; c++) {
        a.aoServerParams[c].fn.call(a.oInstance, b);
      }
    }

    function Ea(a, b) {
      if (typeof b.sEcho != "undefined") if (b.sEcho * 1 < a.iDraw) return;else a.iDraw = b.sEcho * 1;
      if (!a.oScroll.bInfinite || a.oScroll.bInfinite && (a.bSorted || a.bFiltered)) la(a);
      a._iRecordsTotal = b.iTotalRecords;
      a._iRecordsDisplay = b.iTotalDisplayRecords;
      var c = ka(a);
      if (c = typeof b.sColumns != "undefined" && c !== "" && b.sColumns != c) var d = Fa(a, b.sColumns);
      b = aa(a.sAjaxDataProp)(b);

      for (var f = 0, e = b.length; f < e; f++) {
        if (c) {
          for (var h = [], j = 0, k = a.aoColumns.length; j < k; j++) {
            h.push(b[f][d[j]]);
          }

          v(a, h);
        } else v(a, b[f]);
      }

      a.aiDisplay = a.aiDisplayMaster.slice();
      a.bAjaxDataGet = false;
      C(a);
      a.bAjaxDataGet = true;
      K(a, false);
    }

    function Aa(a) {
      var b = p.createElement("div");
      a.nTable.parentNode.insertBefore(b, a.nTable);
      a.nTableWrapper = p.createElement("div");
      a.nTableWrapper.className = a.oClasses.sWrapper;
      a.sTableId !== "" && a.nTableWrapper.setAttribute("id", a.sTableId + "_wrapper");
      a.nTableReinsertBefore = a.nTable.nextSibling;

      for (var c = a.nTableWrapper, d = a.sDom.split(""), f, e, h, j, k, m, u, r = 0; r < d.length; r++) {
        e = 0;
        h = d[r];

        if (h == "<") {
          j = p.createElement("div");
          k = d[r + 1];

          if (k == "'" || k == '"') {
            m = "";

            for (u = 2; d[r + u] != k;) {
              m += d[r + u];
              u++;
            }

            if (m == "H") m = "fg-toolbar ui-toolbar ui-widget-header ui-corner-tl ui-corner-tr ui-helper-clearfix";else if (m == "F") m = "fg-toolbar ui-toolbar ui-widget-header ui-corner-bl ui-corner-br ui-helper-clearfix";

            if (m.indexOf(".") != -1) {
              k = m.split(".");
              j.setAttribute("id", k[0].substr(1, k[0].length - 1));
              j.className = k[1];
            } else if (m.charAt(0) == "#") j.setAttribute("id", m.substr(1, m.length - 1));else j.className = m;

            r += u;
          }

          c.appendChild(j);
          c = j;
        } else if (h == ">") c = c.parentNode;else if (h == "l" && a.oFeatures.bPaginate && a.oFeatures.bLengthChange) {
          f = Ga(a);
          e = 1;
        } else if (h == "f" && a.oFeatures.bFilter) {
          f = Ha(a);
          e = 1;
        } else if (h == "r" && a.oFeatures.bProcessing) {
          f = Ia(a);
          e = 1;
        } else if (h == "t") {
          f = Ja(a);
          e = 1;
        } else if (h == "i" && a.oFeatures.bInfo) {
          f = Ka(a);
          e = 1;
        } else if (h == "p" && a.oFeatures.bPaginate) {
          f = La(a);
          e = 1;
        } else if (n.aoFeatures.length !== 0) {
          j = n.aoFeatures;
          u = 0;

          for (k = j.length; u < k; u++) {
            if (h == j[u].cFeature) {
              if (f = j[u].fnInit(a)) e = 1;
              break;
            }
          }
        }

        if (e == 1 && f !== null) {
          if (_typeof(a.aanFeatures[h]) != "object") a.aanFeatures[h] = [];
          a.aanFeatures[h].push(f);
          c.appendChild(f);
        }
      }

      b.parentNode.replaceChild(a.nTableWrapper, b);
    }

    function Ja(a) {
      if (a.oScroll.sX === "" && a.oScroll.sY === "") return a.nTable;
      var b = p.createElement("div"),
          c = p.createElement("div"),
          d = p.createElement("div"),
          f = p.createElement("div"),
          e = p.createElement("div"),
          h = p.createElement("div"),
          j = a.nTable.cloneNode(false),
          k = a.nTable.cloneNode(false),
          m = a.nTable.getElementsByTagName("thead")[0],
          u = a.nTable.getElementsByTagName("tfoot").length === 0 ? null : a.nTable.getElementsByTagName("tfoot")[0],
          r = typeof g.bJQueryUI != "undefined" && g.bJQueryUI ? n.oJUIClasses : n.oStdClasses;
      c.appendChild(d);
      e.appendChild(h);
      f.appendChild(a.nTable);
      b.appendChild(c);
      b.appendChild(f);
      d.appendChild(j);
      j.appendChild(m);

      if (u !== null) {
        b.appendChild(e);
        h.appendChild(k);
        k.appendChild(u);
      }

      b.className = r.sScrollWrapper;
      c.className = r.sScrollHead;
      d.className = r.sScrollHeadInner;
      f.className = r.sScrollBody;
      e.className = r.sScrollFoot;
      h.className = r.sScrollFootInner;

      if (a.oScroll.bAutoCss) {
        c.style.overflow = "hidden";
        c.style.position = "relative";
        e.style.overflow = "hidden";
        f.style.overflow = "auto";
      }

      c.style.border = "0";
      c.style.width = "100%";
      e.style.border = "0";
      d.style.width = "150%";
      j.removeAttribute("id");
      j.style.marginLeft = "0";
      a.nTable.style.marginLeft = "0";

      if (u !== null) {
        k.removeAttribute("id");
        k.style.marginLeft = "0";
      }

      d = i(a.nTable).children("caption");
      h = 0;

      for (k = d.length; h < k; h++) {
        j.appendChild(d[h]);
      }

      if (a.oScroll.sX !== "") {
        c.style.width = q(a.oScroll.sX);
        f.style.width = q(a.oScroll.sX);
        if (u !== null) e.style.width = q(a.oScroll.sX);
        i(f).scroll(function () {
          c.scrollLeft = this.scrollLeft;
          if (u !== null) e.scrollLeft = this.scrollLeft;
        });
      }

      if (a.oScroll.sY !== "") f.style.height = q(a.oScroll.sY);
      a.aoDrawCallback.push({
        fn: Ma,
        sName: "scrolling"
      });
      a.oScroll.bInfinite && i(f).scroll(function () {
        if (!a.bDrawing) if (i(this).scrollTop() + i(this).height() > i(a.nTable).height() - a.oScroll.iLoadGap) if (a.fnDisplayEnd() < a.fnRecordsDisplay()) {
          ma(a, "next");
          E(a);
          C(a);
        }
      });
      a.nScrollHead = c;
      a.nScrollFoot = e;
      return b;
    }

    function Ma(a) {
      var b = a.nScrollHead.getElementsByTagName("div")[0],
          c = b.getElementsByTagName("table")[0],
          d = a.nTable.parentNode,
          f,
          e,
          h,
          j,
          k,
          m,
          u,
          r,
          H = [],
          L = a.nTFoot !== null ? a.nScrollFoot.getElementsByTagName("div")[0] : null,
          T = a.nTFoot !== null ? L.getElementsByTagName("table")[0] : null,
          B = i.browser.msie && i.browser.version <= 7;
      h = a.nTable.getElementsByTagName("thead");
      h.length > 0 && a.nTable.removeChild(h[0]);

      if (a.nTFoot !== null) {
        k = a.nTable.getElementsByTagName("tfoot");
        k.length > 0 && a.nTable.removeChild(k[0]);
      }

      h = a.nTHead.cloneNode(true);
      a.nTable.insertBefore(h, a.nTable.childNodes[0]);

      if (a.nTFoot !== null) {
        k = a.nTFoot.cloneNode(true);
        a.nTable.insertBefore(k, a.nTable.childNodes[1]);
      }

      if (a.oScroll.sX === "") {
        d.style.width = "100%";
        b.parentNode.style.width = "100%";
      }

      var U = S(a, h);
      f = 0;

      for (e = U.length; f < e; f++) {
        u = Na(a, f);
        U[f].style.width = a.aoColumns[u].sWidth;
      }

      a.nTFoot !== null && P(function (I) {
        I.style.width = "";
      }, k.getElementsByTagName("tr"));
      f = i(a.nTable).outerWidth();

      if (a.oScroll.sX === "") {
        a.nTable.style.width = "100%";
        if (B && (d.scrollHeight > d.offsetHeight || i(d).css("overflow-y") == "scroll")) a.nTable.style.width = q(i(a.nTable).outerWidth() - a.oScroll.iBarWidth);
      } else if (a.oScroll.sXInner !== "") a.nTable.style.width = q(a.oScroll.sXInner);else if (f == i(d).width() && i(d).height() < i(a.nTable).height()) {
        a.nTable.style.width = q(f - a.oScroll.iBarWidth);
        if (i(a.nTable).outerWidth() > f - a.oScroll.iBarWidth) a.nTable.style.width = q(f);
      } else a.nTable.style.width = q(f);

      f = i(a.nTable).outerWidth();
      e = a.nTHead.getElementsByTagName("tr");
      h = h.getElementsByTagName("tr");
      P(function (I, na) {
        m = I.style;
        m.paddingTop = "0";
        m.paddingBottom = "0";
        m.borderTopWidth = "0";
        m.borderBottomWidth = "0";
        m.height = 0;
        r = i(I).width();
        na.style.width = q(r);
        H.push(r);
      }, h, e);
      i(h).height(0);

      if (a.nTFoot !== null) {
        j = k.getElementsByTagName("tr");
        k = a.nTFoot.getElementsByTagName("tr");
        P(function (I, na) {
          m = I.style;
          m.paddingTop = "0";
          m.paddingBottom = "0";
          m.borderTopWidth = "0";
          m.borderBottomWidth = "0";
          m.height = 0;
          r = i(I).width();
          na.style.width = q(r);
          H.push(r);
        }, j, k);
        i(j).height(0);
      }

      P(function (I) {
        I.innerHTML = "";
        I.style.width = q(H.shift());
      }, h);
      a.nTFoot !== null && P(function (I) {
        I.innerHTML = "";
        I.style.width = q(H.shift());
      }, j);

      if (i(a.nTable).outerWidth() < f) {
        j = d.scrollHeight > d.offsetHeight || i(d).css("overflow-y") == "scroll" ? f + a.oScroll.iBarWidth : f;
        if (B && (d.scrollHeight > d.offsetHeight || i(d).css("overflow-y") == "scroll")) a.nTable.style.width = q(j - a.oScroll.iBarWidth);
        d.style.width = q(j);
        b.parentNode.style.width = q(j);
        if (a.nTFoot !== null) L.parentNode.style.width = q(j);
        if (a.oScroll.sX === "") J(a, 1, "The table cannot fit into the current element which will cause column misalignment. The table has been drawn at its minimum possible width.");else a.oScroll.sXInner !== "" && J(a, 1, "The table cannot fit into the current element which will cause column misalignment. Increase the sScrollXInner value or remove it to allow automatic calculation");
      } else {
        d.style.width = q("100%");
        b.parentNode.style.width = q("100%");
        if (a.nTFoot !== null) L.parentNode.style.width = q("100%");
      }

      if (a.oScroll.sY === "") if (B) d.style.height = q(a.nTable.offsetHeight + a.oScroll.iBarWidth);

      if (a.oScroll.sY !== "" && a.oScroll.bCollapse) {
        d.style.height = q(a.oScroll.sY);
        B = a.oScroll.sX !== "" && a.nTable.offsetWidth > d.offsetWidth ? a.oScroll.iBarWidth : 0;
        if (a.nTable.offsetHeight < d.offsetHeight) d.style.height = q(i(a.nTable).height() + B);
      }

      B = i(a.nTable).outerWidth();
      c.style.width = q(B);
      b.style.width = q(B + a.oScroll.iBarWidth);

      if (a.nTFoot !== null) {
        L.style.width = q(a.nTable.offsetWidth + a.oScroll.iBarWidth);
        T.style.width = q(a.nTable.offsetWidth);
      }

      if (a.bSorted || a.bFiltered) d.scrollTop = 0;
    }

    function ea(a) {
      if (a.oFeatures.bAutoWidth === false) return false;
      ga(a);

      for (var b = 0, c = a.aoColumns.length; b < c; b++) {
        a.aoColumns[b].nTh.style.width = a.aoColumns[b].sWidth;
      }
    }

    function Ha(a) {
      var b = a.oLanguage.sSearch;
      b = b.indexOf("_INPUT_") !== -1 ? b.replace("_INPUT_", '<input type="text" />') : b === "" ? '<input type="text" />' : b + ' <input type="text" />';
      var c = p.createElement("div");
      c.className = a.oClasses.sFilter;
      c.innerHTML = "<label>" + b + "</label>";
      a.sTableId !== "" && typeof a.aanFeatures.f == "undefined" && c.setAttribute("id", a.sTableId + "_filter");
      b = i("input", c);
      b.val(a.oPreviousSearch.sSearch.replace('"', "&quot;"));
      b.bind("keyup.DT", function () {
        for (var d = a.aanFeatures.f, f = 0, e = d.length; f < e; f++) {
          d[f] != i(this).parents("div.dataTables_filter")[0] && i("input", d[f]).val(this.value);
        }

        this.value != a.oPreviousSearch.sSearch && N(a, {
          sSearch: this.value,
          bRegex: a.oPreviousSearch.bRegex,
          bSmart: a.oPreviousSearch.bSmart
        });
      });
      b.bind("keypress.DT", function (d) {
        if (d.keyCode == 13) return false;
      });
      return c;
    }

    function N(a, b, c) {
      Oa(a, b.sSearch, c, b.bRegex, b.bSmart);

      for (b = 0; b < a.aoPreSearchCols.length; b++) {
        Pa(a, a.aoPreSearchCols[b].sSearch, b, a.aoPreSearchCols[b].bRegex, a.aoPreSearchCols[b].bSmart);
      }

      n.afnFiltering.length !== 0 && Qa(a);
      a.bFiltered = true;
      i(a.oInstance).trigger("filter", a);
      a._iDisplayStart = 0;
      E(a);
      C(a);
      oa(a, 0);
    }

    function Qa(a) {
      for (var b = n.afnFiltering, c = 0, d = b.length; c < d; c++) {
        for (var f = 0, e = 0, h = a.aiDisplay.length; e < h; e++) {
          var j = a.aiDisplay[e - f];

          if (!b[c](a, fa(a, j, "filter"), j)) {
            a.aiDisplay.splice(e - f, 1);
            f++;
          }
        }
      }
    }

    function Pa(a, b, c, d, f) {
      if (b !== "") {
        var e = 0;
        b = pa(b, d, f);

        for (d = a.aiDisplay.length - 1; d >= 0; d--) {
          f = qa(G(a, a.aiDisplay[d], c, "filter"), a.aoColumns[c].sType);

          if (!b.test(f)) {
            a.aiDisplay.splice(d, 1);
            e++;
          }
        }
      }
    }

    function Oa(a, b, c, d, f) {
      var e = pa(b, d, f);
      if (typeof c == "undefined" || c === null) c = 0;
      if (n.afnFiltering.length !== 0) c = 1;

      if (b.length <= 0) {
        a.aiDisplay.splice(0, a.aiDisplay.length);
        a.aiDisplay = a.aiDisplayMaster.slice();
      } else if (a.aiDisplay.length == a.aiDisplayMaster.length || a.oPreviousSearch.sSearch.length > b.length || c == 1 || b.indexOf(a.oPreviousSearch.sSearch) !== 0) {
        a.aiDisplay.splice(0, a.aiDisplay.length);
        oa(a, 1);

        for (c = 0; c < a.aiDisplayMaster.length; c++) {
          e.test(a.asDataSearch[c]) && a.aiDisplay.push(a.aiDisplayMaster[c]);
        }
      } else {
        var h = 0;

        for (c = 0; c < a.asDataSearch.length; c++) {
          if (!e.test(a.asDataSearch[c])) {
            a.aiDisplay.splice(c - h, 1);
            h++;
          }
        }
      }

      a.oPreviousSearch.sSearch = b;
      a.oPreviousSearch.bRegex = d;
      a.oPreviousSearch.bSmart = f;
    }

    function oa(a, b) {
      if (!a.oFeatures.bServerSide) {
        a.asDataSearch.splice(0, a.asDataSearch.length);
        b = typeof b != "undefined" && b == 1 ? a.aiDisplayMaster : a.aiDisplay;

        for (var c = 0, d = b.length; c < d; c++) {
          a.asDataSearch[c] = ra(a, fa(a, b[c], "filter"));
        }
      }
    }

    function ra(a, b) {
      var c = "";
      if (typeof a.__nTmpFilter == "undefined") a.__nTmpFilter = p.createElement("div");

      for (var d = a.__nTmpFilter, f = 0, e = a.aoColumns.length; f < e; f++) {
        if (a.aoColumns[f].bSearchable) c += qa(b[f], a.aoColumns[f].sType) + "  ";
      }

      if (c.indexOf("&") !== -1) {
        d.innerHTML = c;
        c = d.textContent ? d.textContent : d.innerText;
        c = c.replace(/\n/g, " ").replace(/\r/g, "");
      }

      return c;
    }

    function pa(a, b, c) {
      if (c) {
        a = b ? a.split(" ") : sa(a).split(" ");
        a = "^(?=.*?" + a.join(")(?=.*?") + ").*$";
        return new RegExp(a, "i");
      } else {
        a = b ? a : sa(a);
        return new RegExp(a, "i");
      }
    }

    function qa(a, b) {
      if (typeof n.ofnSearch[b] == "function") return n.ofnSearch[b](a);else if (b == "html") return a.replace(/\n/g, " ").replace(/<.*?>/g, "");else if (typeof a == "string") return a.replace(/\n/g, " ");else if (a === null) return "";
      return a;
    }

    function R(a, b) {
      var c,
          d,
          f,
          e,
          h = [],
          j = [],
          k = n.oSort;
      d = a.aoData;
      var m = a.aoColumns;

      if (!a.oFeatures.bServerSide && (a.aaSorting.length !== 0 || a.aaSortingFixed !== null)) {
        h = a.aaSortingFixed !== null ? a.aaSortingFixed.concat(a.aaSorting) : a.aaSorting.slice();

        for (c = 0; c < h.length; c++) {
          var u = h[c][0];
          f = ta(a, u);
          e = a.aoColumns[u].sSortDataType;

          if (typeof n.afnSortData[e] != "undefined") {
            var r = n.afnSortData[e](a, u, f);
            f = 0;

            for (e = d.length; f < e; f++) {
              O(a, f, u, r[f]);
            }
          }
        }

        c = 0;

        for (d = a.aiDisplayMaster.length; c < d; c++) {
          j[a.aiDisplayMaster[c]] = c;
        }

        var H = h.length;
        a.aiDisplayMaster.sort(function (L, T) {
          var B, U;

          for (c = 0; c < H; c++) {
            B = m[h[c][0]].iDataSort;
            U = m[B].sType;
            B = k[(U ? U : "string") + "-" + h[c][1]](G(a, L, B, "sort"), G(a, T, B, "sort"));
            if (B !== 0) return B;
          }

          return k["numeric-asc"](j[L], j[T]);
        });
      }

      if ((typeof b == "undefined" || b) && !a.oFeatures.bDeferRender) V(a);
      a.bSorted = true;
      i(a.oInstance).trigger("sort", a);
      if (a.oFeatures.bFilter) N(a, a.oPreviousSearch, 1);else {
        a.aiDisplay = a.aiDisplayMaster.slice();
        a._iDisplayStart = 0;
        E(a);
        C(a);
      }
    }

    function ja(a, b, c, d) {
      i(b).bind("click.DT", function (f) {
        if (a.aoColumns[c].bSortable !== false) {
          var e = function e() {
            var h, j;

            if (f.shiftKey) {
              for (var k = false, m = 0; m < a.aaSorting.length; m++) {
                if (a.aaSorting[m][0] == c) {
                  k = true;
                  h = a.aaSorting[m][0];
                  j = a.aaSorting[m][2] + 1;
                  if (typeof a.aoColumns[h].asSorting[j] == "undefined") a.aaSorting.splice(m, 1);else {
                    a.aaSorting[m][1] = a.aoColumns[h].asSorting[j];
                    a.aaSorting[m][2] = j;
                  }
                  break;
                }
              }

              k === false && a.aaSorting.push([c, a.aoColumns[c].asSorting[0], 0]);
            } else if (a.aaSorting.length == 1 && a.aaSorting[0][0] == c) {
              h = a.aaSorting[0][0];
              j = a.aaSorting[0][2] + 1;
              if (typeof a.aoColumns[h].asSorting[j] == "undefined") j = 0;
              a.aaSorting[0][1] = a.aoColumns[h].asSorting[j];
              a.aaSorting[0][2] = j;
            } else {
              a.aaSorting.splice(0, a.aaSorting.length);
              a.aaSorting.push([c, a.aoColumns[c].asSorting[0], 0]);
            }

            R(a);
          };

          if (a.oFeatures.bProcessing) {
            K(a, true);
            setTimeout(function () {
              e();
              a.oFeatures.bServerSide || K(a, false);
            }, 0);
          } else e();

          typeof d == "function" && d(a);
        }
      });
    }

    function V(a) {
      var b,
          c,
          d,
          f,
          e,
          h = a.aoColumns.length,
          j = a.oClasses;

      for (b = 0; b < h; b++) {
        a.aoColumns[b].bSortable && i(a.aoColumns[b].nTh).removeClass(j.sSortAsc + " " + j.sSortDesc + " " + a.aoColumns[b].sSortingClass);
      }

      f = a.aaSortingFixed !== null ? a.aaSortingFixed.concat(a.aaSorting) : a.aaSorting.slice();

      for (b = 0; b < a.aoColumns.length; b++) {
        if (a.aoColumns[b].bSortable) {
          e = a.aoColumns[b].sSortingClass;
          d = -1;

          for (c = 0; c < f.length; c++) {
            if (f[c][0] == b) {
              e = f[c][1] == "asc" ? j.sSortAsc : j.sSortDesc;
              d = c;
              break;
            }
          }

          i(a.aoColumns[b].nTh).addClass(e);

          if (a.bJUI) {
            c = i("span", a.aoColumns[b].nTh);
            c.removeClass(j.sSortJUIAsc + " " + j.sSortJUIDesc + " " + j.sSortJUI + " " + j.sSortJUIAscAllowed + " " + j.sSortJUIDescAllowed);
            c.addClass(d == -1 ? a.aoColumns[b].sSortingClassJUI : f[d][1] == "asc" ? j.sSortJUIAsc : j.sSortJUIDesc);
          }
        } else i(a.aoColumns[b].nTh).addClass(a.aoColumns[b].sSortingClass);
      }

      e = j.sSortColumn;

      if (a.oFeatures.bSort && a.oFeatures.bSortClasses) {
        d = Q(a);
        if (a.oFeatures.bDeferRender) i(d).removeClass(e + "1 " + e + "2 " + e + "3");else if (d.length >= h) for (b = 0; b < h; b++) {
          if (d[b].className.indexOf(e + "1") != -1) {
            c = 0;

            for (a = d.length / h; c < a; c++) {
              d[h * c + b].className = i.trim(d[h * c + b].className.replace(e + "1", ""));
            }
          } else if (d[b].className.indexOf(e + "2") != -1) {
            c = 0;

            for (a = d.length / h; c < a; c++) {
              d[h * c + b].className = i.trim(d[h * c + b].className.replace(e + "2", ""));
            }
          } else if (d[b].className.indexOf(e + "3") != -1) {
            c = 0;

            for (a = d.length / h; c < a; c++) {
              d[h * c + b].className = i.trim(d[h * c + b].className.replace(" " + e + "3", ""));
            }
          }
        }
        j = 1;
        var k;

        for (b = 0; b < f.length; b++) {
          k = parseInt(f[b][0], 10);
          c = 0;

          for (a = d.length / h; c < a; c++) {
            d[h * c + k].className += " " + e + j;
          }

          j < 3 && j++;
        }
      }
    }

    function La(a) {
      if (a.oScroll.bInfinite) return null;
      var b = p.createElement("div");
      b.className = a.oClasses.sPaging + a.sPaginationType;
      n.oPagination[a.sPaginationType].fnInit(a, b, function (c) {
        E(c);
        C(c);
      });
      typeof a.aanFeatures.p == "undefined" && a.aoDrawCallback.push({
        fn: function fn(c) {
          n.oPagination[c.sPaginationType].fnUpdate(c, function (d) {
            E(d);
            C(d);
          });
        },
        sName: "pagination"
      });
      return b;
    }

    function ma(a, b) {
      var c = a._iDisplayStart;
      if (b == "first") a._iDisplayStart = 0;else if (b == "previous") {
        a._iDisplayStart = a._iDisplayLength >= 0 ? a._iDisplayStart - a._iDisplayLength : 0;
        if (a._iDisplayStart < 0) a._iDisplayStart = 0;
      } else if (b == "next") {
        if (a._iDisplayLength >= 0) {
          if (a._iDisplayStart + a._iDisplayLength < a.fnRecordsDisplay()) a._iDisplayStart += a._iDisplayLength;
        } else a._iDisplayStart = 0;
      } else if (b == "last") {
        if (a._iDisplayLength >= 0) {
          b = parseInt((a.fnRecordsDisplay() - 1) / a._iDisplayLength, 10) + 1;
          a._iDisplayStart = (b - 1) * a._iDisplayLength;
        } else a._iDisplayStart = 0;
      } else J(a, 0, "Unknown paging action: " + b);
      i(a.oInstance).trigger("page", a);
      return c != a._iDisplayStart;
    }

    function Ka(a) {
      var b = p.createElement("div");
      b.className = a.oClasses.sInfo;

      if (typeof a.aanFeatures.i == "undefined") {
        a.aoDrawCallback.push({
          fn: Ra,
          sName: "information"
        });
        a.sTableId !== "" && b.setAttribute("id", a.sTableId + "_info");
      }

      return b;
    }

    function Ra(a) {
      if (!(!a.oFeatures.bInfo || a.aanFeatures.i.length === 0)) {
        var b = a._iDisplayStart + 1,
            c = a.fnDisplayEnd(),
            d = a.fnRecordsTotal(),
            f = a.fnRecordsDisplay(),
            e = a.fnFormatNumber(b),
            h = a.fnFormatNumber(c),
            j = a.fnFormatNumber(d),
            k = a.fnFormatNumber(f);
        if (a.oScroll.bInfinite) e = a.fnFormatNumber(1);
        e = a.fnRecordsDisplay() === 0 && a.fnRecordsDisplay() == a.fnRecordsTotal() ? a.oLanguage.sInfoEmpty + a.oLanguage.sInfoPostFix : a.fnRecordsDisplay() === 0 ? a.oLanguage.sInfoEmpty + " " + a.oLanguage.sInfoFiltered.replace("_MAX_", j) + a.oLanguage.sInfoPostFix : a.fnRecordsDisplay() == a.fnRecordsTotal() ? a.oLanguage.sInfo.replace("_START_", e).replace("_END_", h).replace("_TOTAL_", k) + a.oLanguage.sInfoPostFix : a.oLanguage.sInfo.replace("_START_", e).replace("_END_", h).replace("_TOTAL_", k) + " " + a.oLanguage.sInfoFiltered.replace("_MAX_", a.fnFormatNumber(a.fnRecordsTotal())) + a.oLanguage.sInfoPostFix;
        if (a.oLanguage.fnInfoCallback !== null) e = a.oLanguage.fnInfoCallback(a, b, c, d, f, e);
        a = a.aanFeatures.i;
        b = 0;

        for (c = a.length; b < c; b++) {
          i(a[b]).html(e);
        }
      }
    }

    function Ga(a) {
      if (a.oScroll.bInfinite) return null;
      var b = '<select size="1" ' + (a.sTableId === "" ? "" : 'name="' + a.sTableId + '_length"') + ">",
          c,
          d;

      if (a.aLengthMenu.length == 2 && _typeof(a.aLengthMenu[0]) == "object" && _typeof(a.aLengthMenu[1]) == "object") {
        c = 0;

        for (d = a.aLengthMenu[0].length; c < d; c++) {
          b += '<option value="' + a.aLengthMenu[0][c] + '">' + a.aLengthMenu[1][c] + "</option>";
        }
      } else {
        c = 0;

        for (d = a.aLengthMenu.length; c < d; c++) {
          b += '<option value="' + a.aLengthMenu[c] + '">' + a.aLengthMenu[c] + "</option>";
        }
      }

      b += "</select>";
      var f = p.createElement("div");
      a.sTableId !== "" && typeof a.aanFeatures.l == "undefined" && f.setAttribute("id", a.sTableId + "_length");
      f.className = a.oClasses.sLength;
      f.innerHTML = "<label>" + a.oLanguage.sLengthMenu.replace("_MENU_", b) + "</label>";
      i('select option[value="' + a._iDisplayLength + '"]', f).attr("selected", true);
      i("select", f).bind("change.DT", function () {
        var e = i(this).val(),
            h = a.aanFeatures.l;
        c = 0;

        for (d = h.length; c < d; c++) {
          h[c] != this.parentNode && i("select", h[c]).val(e);
        }

        a._iDisplayLength = parseInt(e, 10);
        E(a);

        if (a.fnDisplayEnd() == a.fnRecordsDisplay()) {
          a._iDisplayStart = a.fnDisplayEnd() - a._iDisplayLength;
          if (a._iDisplayStart < 0) a._iDisplayStart = 0;
        }

        if (a._iDisplayLength == -1) a._iDisplayStart = 0;
        C(a);
      });
      return f;
    }

    function Ia(a) {
      var b = p.createElement("div");
      a.sTableId !== "" && typeof a.aanFeatures.r == "undefined" && b.setAttribute("id", a.sTableId + "_processing");
      b.innerHTML = a.oLanguage.sProcessing;
      b.className = a.oClasses.sProcessing;
      a.nTable.parentNode.insertBefore(b, a.nTable);
      return b;
    }

    function K(a, b) {
      if (a.oFeatures.bProcessing) {
        a = a.aanFeatures.r;

        for (var c = 0, d = a.length; c < d; c++) {
          a[c].style.visibility = b ? "visible" : "hidden";
        }
      }
    }

    function Na(a, b) {
      for (var c = -1, d = 0; d < a.aoColumns.length; d++) {
        a.aoColumns[d].bVisible === true && c++;
        if (c == b) return d;
      }

      return null;
    }

    function ta(a, b) {
      for (var c = -1, d = 0; d < a.aoColumns.length; d++) {
        a.aoColumns[d].bVisible === true && c++;
        if (d == b) return a.aoColumns[d].bVisible === true ? c : null;
      }

      return null;
    }

    function W(a, b) {
      var c, d;
      c = a._iDisplayStart;

      for (d = a._iDisplayEnd; c < d; c++) {
        if (a.aoData[a.aiDisplay[c]].nTr == b) return a.aiDisplay[c];
      }

      c = 0;

      for (d = a.aoData.length; c < d; c++) {
        if (a.aoData[c].nTr == b) return c;
      }

      return null;
    }

    function Z(a) {
      for (var b = 0, c = 0; c < a.aoColumns.length; c++) {
        a.aoColumns[c].bVisible === true && b++;
      }

      return b;
    }

    function E(a) {
      a._iDisplayEnd = a.oFeatures.bPaginate === false ? a.aiDisplay.length : a._iDisplayStart + a._iDisplayLength > a.aiDisplay.length || a._iDisplayLength == -1 ? a.aiDisplay.length : a._iDisplayStart + a._iDisplayLength;
    }

    function Sa(a, b) {
      if (!a || a === null || a === "") return 0;
      if (typeof b == "undefined") b = p.getElementsByTagName("body")[0];
      var c = p.createElement("div");
      c.style.width = q(a);
      b.appendChild(c);
      a = c.offsetWidth;
      b.removeChild(c);
      return a;
    }

    function ga(a) {
      var b = 0,
          c,
          d = 0,
          f = a.aoColumns.length,
          e,
          h = i("th", a.nTHead);

      for (e = 0; e < f; e++) {
        if (a.aoColumns[e].bVisible) {
          d++;

          if (a.aoColumns[e].sWidth !== null) {
            c = Sa(a.aoColumns[e].sWidthOrig, a.nTable.parentNode);
            if (c !== null) a.aoColumns[e].sWidth = q(c);
            b++;
          }
        }
      }

      if (f == h.length && b === 0 && d == f && a.oScroll.sX === "" && a.oScroll.sY === "") for (e = 0; e < a.aoColumns.length; e++) {
        c = i(h[e]).width();
        if (c !== null) a.aoColumns[e].sWidth = q(c);
      } else {
        b = a.nTable.cloneNode(false);
        e = a.nTHead.cloneNode(true);
        d = p.createElement("tbody");
        c = p.createElement("tr");
        b.removeAttribute("id");
        b.appendChild(e);

        if (a.nTFoot !== null) {
          b.appendChild(a.nTFoot.cloneNode(true));
          P(function (k) {
            k.style.width = "";
          }, b.getElementsByTagName("tr"));
        }

        b.appendChild(d);
        d.appendChild(c);
        d = i("thead th", b);
        if (d.length === 0) d = i("tbody tr:eq(0)>td", b);
        h = S(a, e);

        for (e = d = 0; e < f; e++) {
          var j = a.aoColumns[e];
          if (j.bVisible && j.sWidthOrig !== null && j.sWidthOrig !== "") h[e - d].style.width = q(j.sWidthOrig);else if (j.bVisible) h[e - d].style.width = "";else d++;
        }

        for (e = 0; e < f; e++) {
          if (a.aoColumns[e].bVisible) {
            d = Ta(a, e);

            if (d !== null) {
              d = d.cloneNode(true);
              if (a.aoColumns[e].sContentPadding !== "") d.innerHTML += a.aoColumns[e].sContentPadding;
              c.appendChild(d);
            }
          }
        }

        f = a.nTable.parentNode;
        f.appendChild(b);
        if (a.oScroll.sX !== "" && a.oScroll.sXInner !== "") b.style.width = q(a.oScroll.sXInner);else if (a.oScroll.sX !== "") {
          b.style.width = "";
          if (i(b).width() < f.offsetWidth) b.style.width = q(f.offsetWidth);
        } else if (a.oScroll.sY !== "") b.style.width = q(f.offsetWidth);
        b.style.visibility = "hidden";
        Ua(a, b);
        f = i("tbody tr:eq(0)", b).children();
        if (f.length === 0) f = S(a, i("thead", b)[0]);

        if (a.oScroll.sX !== "") {
          for (e = d = c = 0; e < a.aoColumns.length; e++) {
            if (a.aoColumns[e].bVisible) {
              c += a.aoColumns[e].sWidthOrig === null ? i(f[d]).outerWidth() : parseInt(a.aoColumns[e].sWidth.replace("px", ""), 10) + (i(f[d]).outerWidth() - i(f[d]).width());
              d++;
            }
          }

          b.style.width = q(c);
          a.nTable.style.width = q(c);
        }

        for (e = d = 0; e < a.aoColumns.length; e++) {
          if (a.aoColumns[e].bVisible) {
            c = i(f[d]).width();
            if (c !== null && c > 0) a.aoColumns[e].sWidth = q(c);
            d++;
          }
        }

        a.nTable.style.width = q(i(b).outerWidth());
        b.parentNode.removeChild(b);
      }
    }

    function Ua(a, b) {
      if (a.oScroll.sX === "" && a.oScroll.sY !== "") {
        i(b).width();
        b.style.width = q(i(b).outerWidth() - a.oScroll.iBarWidth);
      } else if (a.oScroll.sX !== "") b.style.width = q(i(b).outerWidth());
    }

    function Ta(a, b) {
      var c = Va(a, b);
      if (c < 0) return null;

      if (a.aoData[c].nTr === null) {
        var d = p.createElement("td");
        d.innerHTML = G(a, c, b, "");
        return d;
      }

      return Q(a, c)[b];
    }

    function Va(a, b) {
      for (var c = -1, d = -1, f = 0; f < a.aoData.length; f++) {
        var e = G(a, f, b, "display") + "";
        e = e.replace(/<.*?>/g, "");

        if (e.length > c) {
          c = e.length;
          d = f;
        }
      }

      return d;
    }

    function q(a) {
      if (a === null) return "0px";

      if (typeof a == "number") {
        if (a < 0) return "0px";
        return a + "px";
      }

      var b = a.charCodeAt(a.length - 1);
      if (b < 48 || b > 57) return a;
      return a + "px";
    }

    function Za(a, b) {
      if (a.length != b.length) return 1;

      for (var c = 0; c < a.length; c++) {
        if (a[c] != b[c]) return 2;
      }

      return 0;
    }

    function ia(a) {
      for (var b = n.aTypes, c = b.length, d = 0; d < c; d++) {
        var f = b[d](a);
        if (f !== null) return f;
      }

      return "string";
    }

    function A(a) {
      for (var b = 0; b < D.length; b++) {
        if (D[b].nTable == a) return D[b];
      }

      return null;
    }

    function ca(a) {
      for (var b = [], c = a.aoData.length, d = 0; d < c; d++) {
        b.push(a.aoData[d]._aData);
      }

      return b;
    }

    function ba(a) {
      for (var b = [], c = 0, d = a.aoData.length; c < d; c++) {
        a.aoData[c].nTr !== null && b.push(a.aoData[c].nTr);
      }

      return b;
    }

    function Q(a, b) {
      var c = [],
          d,
          f,
          e,
          h,
          j;
      f = 0;
      var k = a.aoData.length;

      if (typeof b != "undefined") {
        f = b;
        k = b + 1;
      }

      for (f = f; f < k; f++) {
        j = a.aoData[f];

        if (j.nTr !== null) {
          b = [];
          e = 0;

          for (h = j.nTr.childNodes.length; e < h; e++) {
            d = j.nTr.childNodes[e].nodeName.toLowerCase();
            if (d == "td" || d == "th") b.push(j.nTr.childNodes[e]);
          }

          e = d = 0;

          for (h = a.aoColumns.length; e < h; e++) {
            if (a.aoColumns[e].bVisible) c.push(b[e - d]);else {
              c.push(j._anHidden[e]);
              d++;
            }
          }
        }
      }

      return c;
    }

    function sa(a) {
      return a.replace(new RegExp("(\\/|\\.|\\*|\\+|\\?|\\||\\(|\\)|\\[|\\]|\\{|\\}|\\\\|\\$|\\^)", "g"), "\\$1");
    }

    function ua(a, b) {
      for (var c = -1, d = 0, f = a.length; d < f; d++) {
        if (a[d] == b) c = d;else a[d] > b && a[d]--;
      }

      c != -1 && a.splice(c, 1);
    }

    function Fa(a, b) {
      b = b.split(",");

      for (var c = [], d = 0, f = a.aoColumns.length; d < f; d++) {
        for (var e = 0; e < f; e++) {
          if (a.aoColumns[d].sName == b[e]) {
            c.push(e);
            break;
          }
        }
      }

      return c;
    }

    function ka(a) {
      for (var b = "", c = 0, d = a.aoColumns.length; c < d; c++) {
        b += a.aoColumns[c].sName + ",";
      }

      if (b.length == d) return "";
      return b.slice(0, -1);
    }

    function J(a, b, c) {
      a = a.sTableId === "" ? "DataTables warning: " + c : "DataTables warning (table id = '" + a.sTableId + "'): " + c;
      if (b === 0) {
        if (n.sErrMode == "alert") alert(a);else throw a;
      } else typeof console != "undefined" && typeof console.log != "undefined" && console.log(a);
    }

    function la(a) {
      a.aoData.splice(0, a.aoData.length);
      a.aiDisplayMaster.splice(0, a.aiDisplayMaster.length);
      a.aiDisplay.splice(0, a.aiDisplay.length);
      E(a);
    }

    function va(a) {
      if (!(!a.oFeatures.bStateSave || typeof a.bDestroying != "undefined")) {
        var b,
            c,
            d,
            f = "{";
        f += '"iCreate":' + new Date().getTime() + ",";
        f += '"iStart":' + (a.oScroll.bInfinite ? 0 : a._iDisplayStart) + ",";
        f += '"iEnd":' + (a.oScroll.bInfinite ? a._iDisplayLength : a._iDisplayEnd) + ",";
        f += '"iLength":' + a._iDisplayLength + ",";
        f += '"sFilter":"' + encodeURIComponent(a.oPreviousSearch.sSearch) + '",';
        f += '"sFilterEsc":' + !a.oPreviousSearch.bRegex + ",";
        f += '"aaSorting":[ ';

        for (b = 0; b < a.aaSorting.length; b++) {
          f += "[" + a.aaSorting[b][0] + ',"' + a.aaSorting[b][1] + '"],';
        }

        f = f.substring(0, f.length - 1);
        f += "],";
        f += '"aaSearchCols":[ ';

        for (b = 0; b < a.aoPreSearchCols.length; b++) {
          f += '["' + encodeURIComponent(a.aoPreSearchCols[b].sSearch) + '",' + !a.aoPreSearchCols[b].bRegex + "],";
        }

        f = f.substring(0, f.length - 1);
        f += "],";
        f += '"abVisCols":[ ';

        for (b = 0; b < a.aoColumns.length; b++) {
          f += a.aoColumns[b].bVisible + ",";
        }

        f = f.substring(0, f.length - 1);
        f += "]";
        b = 0;

        for (c = a.aoStateSave.length; b < c; b++) {
          d = a.aoStateSave[b].fn(a, f);
          if (d !== "") f = d;
        }

        f += "}";
        Wa(a.sCookiePrefix + a.sInstance, f, a.iCookieDuration, a.sCookiePrefix, a.fnCookieCallback);
      }
    }

    function Xa(a, b) {
      if (a.oFeatures.bStateSave) {
        var c, d, f;
        d = wa(a.sCookiePrefix + a.sInstance);

        if (d !== null && d !== "") {
          try {
            c = typeof i.parseJSON == "function" ? i.parseJSON(d.replace(/'/g, '"')) : eval("(" + d + ")");
          } catch (e) {
            return;
          }

          d = 0;

          for (f = a.aoStateLoad.length; d < f; d++) {
            if (!a.aoStateLoad[d].fn(a, c)) return;
          }

          a.oLoadedState = i.extend(true, {}, c);
          a._iDisplayStart = c.iStart;
          a.iInitDisplayStart = c.iStart;
          a._iDisplayEnd = c.iEnd;
          a._iDisplayLength = c.iLength;
          a.oPreviousSearch.sSearch = decodeURIComponent(c.sFilter);
          a.aaSorting = c.aaSorting.slice();
          a.saved_aaSorting = c.aaSorting.slice();
          if (typeof c.sFilterEsc != "undefined") a.oPreviousSearch.bRegex = !c.sFilterEsc;
          if (typeof c.aaSearchCols != "undefined") for (d = 0; d < c.aaSearchCols.length; d++) {
            a.aoPreSearchCols[d] = {
              sSearch: decodeURIComponent(c.aaSearchCols[d][0]),
              bRegex: !c.aaSearchCols[d][1]
            };
          }

          if (typeof c.abVisCols != "undefined") {
            b.saved_aoColumns = [];

            for (d = 0; d < c.abVisCols.length; d++) {
              b.saved_aoColumns[d] = {};
              b.saved_aoColumns[d].bVisible = c.abVisCols[d];
            }
          }
        }
      }
    }

    function Wa(a, b, c, d, f) {
      var e = new Date();
      e.setTime(e.getTime() + c * 1E3);
      c = za.location.pathname.split("/");
      a = a + "_" + c.pop().replace(/[\/:]/g, "").toLowerCase();
      var h;

      if (f !== null) {
        h = typeof i.parseJSON == "function" ? i.parseJSON(b) : eval("(" + b + ")");
        b = f(a, h, e.toGMTString(), c.join("/") + "/");
      } else b = a + "=" + encodeURIComponent(b) + "; expires=" + e.toGMTString() + "; path=" + c.join("/") + "/";

      f = "";
      e = 9999999999999;

      if ((wa(a) !== null ? p.cookie.length : b.length + p.cookie.length) + 10 > 4096) {
        a = p.cookie.split(";");

        for (var j = 0, k = a.length; j < k; j++) {
          if (a[j].indexOf(d) != -1) {
            var m = a[j].split("=");

            try {
              h = eval("(" + decodeURIComponent(m[1]) + ")");
            } catch (u) {
              continue;
            }

            if (typeof h.iCreate != "undefined" && h.iCreate < e) {
              f = m[0];
              e = h.iCreate;
            }
          }
        }

        if (f !== "") p.cookie = f + "=; expires=Thu, 01-Jan-1970 00:00:01 GMT; path=" + c.join("/") + "/";
      }

      p.cookie = b;
    }

    function wa(a) {
      var b = za.location.pathname.split("/");
      a = a + "_" + b[b.length - 1].replace(/[\/:]/g, "").toLowerCase() + "=";
      b = p.cookie.split(";");

      for (var c = 0; c < b.length; c++) {
        for (var d = b[c]; d.charAt(0) == " ";) {
          d = d.substring(1, d.length);
        }

        if (d.indexOf(a) === 0) return decodeURIComponent(d.substring(a.length, d.length));
      }

      return null;
    }

    function Y(a, b) {
      b = i(b).children("tr");

      var c,
          d,
          f,
          e,
          h,
          j,
          k,
          m,
          u = function u(L, T, B) {
        for (; typeof L[T][B] != "undefined";) {
          B++;
        }

        return B;
      };

      a.splice(0, a.length);
      d = 0;

      for (j = b.length; d < j; d++) {
        a.push([]);
      }

      d = 0;

      for (j = b.length; d < j; d++) {
        f = 0;

        for (k = b[d].childNodes.length; f < k; f++) {
          c = b[d].childNodes[f];

          if (c.nodeName.toUpperCase() == "TD" || c.nodeName.toUpperCase() == "TH") {
            var r = c.getAttribute("colspan") * 1,
                H = c.getAttribute("rowspan") * 1;
            r = !r || r === 0 || r === 1 ? 1 : r;
            H = !H || H === 0 || H === 1 ? 1 : H;
            m = u(a, d, 0);

            for (h = 0; h < r; h++) {
              for (e = 0; e < H; e++) {
                a[d + e][m + h] = {
                  cell: c,
                  unique: r == 1 ? true : false
                };
                a[d + e].nTr = b[d];
              }
            }
          }
        }
      }
    }

    function S(a, b, c) {
      var d = [];

      if (typeof c == "undefined") {
        c = a.aoHeader;

        if (typeof b != "undefined") {
          c = [];
          Y(c, b);
        }
      }

      b = 0;

      for (var f = c.length; b < f; b++) {
        for (var e = 0, h = c[b].length; e < h; e++) {
          if (c[b][e].unique && (typeof d[e] == "undefined" || !a.bSortCellsTop)) d[e] = c[b][e].cell;
        }
      }

      return d;
    }

    function Ya() {
      var a = p.createElement("p"),
          b = a.style;
      b.width = "100%";
      b.height = "200px";
      b.padding = "0px";
      var c = p.createElement("div");
      b = c.style;
      b.position = "absolute";
      b.top = "0px";
      b.left = "0px";
      b.visibility = "hidden";
      b.width = "200px";
      b.height = "150px";
      b.padding = "0px";
      b.overflow = "hidden";
      c.appendChild(a);
      p.body.appendChild(c);
      b = a.offsetWidth;
      c.style.overflow = "scroll";
      a = a.offsetWidth;
      if (b == a) a = c.clientWidth;
      p.body.removeChild(c);
      return b - a;
    }

    function P(a, b, c) {
      for (var d = 0, f = b.length; d < f; d++) {
        for (var e = 0, h = b[d].childNodes.length; e < h; e++) {
          if (b[d].childNodes[e].nodeType == 1) typeof c != "undefined" ? a(b[d].childNodes[e], c[d].childNodes[e]) : a(b[d].childNodes[e]);
        }
      }
    }

    function o(a, b, c, d) {
      if (typeof d == "undefined") d = c;
      if (typeof b[c] != "undefined") a[d] = b[c];
    }

    function fa(a, b, c) {
      for (var d = [], f = 0, e = a.aoColumns.length; f < e; f++) {
        d.push(G(a, b, f, c));
      }

      return d;
    }

    function G(a, b, c, d) {
      var f = a.aoColumns[c];

      if ((c = f.fnGetData(a.aoData[b]._aData)) === undefined) {
        if (a.iDrawError != a.iDraw && f.sDefaultContent === null) {
          J(a, 0, "Requested unknown parameter '" + f.mDataProp + "' from the data source for row " + b);
          a.iDrawError = a.iDraw;
        }

        return f.sDefaultContent;
      }

      if (c === null && f.sDefaultContent !== null) c = f.sDefaultContent;else if (typeof c == "function") return c();
      if (d == "display" && c === null) return "";
      return c;
    }

    function O(a, b, c, d) {
      a.aoColumns[c].fnSetData(a.aoData[b]._aData, d);
    }

    function aa(a) {
      if (a === null) return function () {
        return null;
      };else if (typeof a == "function") return function (c) {
        return a(c);
      };else if (typeof a == "string" && a.indexOf(".") != -1) {
        var b = a.split(".");
        return b.length == 2 ? function (c) {
          return c[b[0]][b[1]];
        } : b.length == 3 ? function (c) {
          return c[b[0]][b[1]][b[2]];
        } : function (c) {
          for (var d = 0, f = b.length; d < f; d++) {
            c = c[b[d]];
          }

          return c;
        };
      } else return function (c) {
        return c[a];
      };
    }

    function Ba(a) {
      if (a === null) return function () {};else if (typeof a == "function") return function (c, d) {
        return a(c, d);
      };else if (typeof a == "string" && a.indexOf(".") != -1) {
        var b = a.split(".");
        return b.length == 2 ? function (c, d) {
          c[b[0]][b[1]] = d;
        } : b.length == 3 ? function (c, d) {
          c[b[0]][b[1]][b[2]] = d;
        } : function (c, d) {
          for (var f = 0, e = b.length - 1; f < e; f++) {
            c = c[b[f]];
          }

          c[b[b.length - 1]] = d;
        };
      } else return function (c, d) {
        c[a] = d;
      };
    }

    this.oApi = {};

    this.fnDraw = function (a) {
      var b = A(this[n.iApiIndex]);

      if (typeof a != "undefined" && a === false) {
        E(b);
        C(b);
      } else da(b);
    };

    this.fnFilter = function (a, b, c, d, f) {
      var e = A(this[n.iApiIndex]);

      if (e.oFeatures.bFilter) {
        if (typeof c == "undefined") c = false;
        if (typeof d == "undefined") d = true;
        if (typeof f == "undefined") f = true;

        if (typeof b == "undefined" || b === null) {
          N(e, {
            sSearch: a,
            bRegex: c,
            bSmart: d
          }, 1);

          if (f && typeof e.aanFeatures.f != "undefined") {
            b = e.aanFeatures.f;
            c = 0;

            for (d = b.length; c < d; c++) {
              i("input", b[c]).val(a);
            }
          }
        } else {
          e.aoPreSearchCols[b].sSearch = a;
          e.aoPreSearchCols[b].bRegex = c;
          e.aoPreSearchCols[b].bSmart = d;
          N(e, e.oPreviousSearch, 1);
        }
      }
    };

    this.fnSettings = function () {
      return A(this[n.iApiIndex]);
    };

    this.fnVersionCheck = n.fnVersionCheck;

    this.fnSort = function (a) {
      var b = A(this[n.iApiIndex]);
      b.aaSorting = a;
      R(b);
    };

    this.fnSortListener = function (a, b, c) {
      ja(A(this[n.iApiIndex]), a, b, c);
    };

    this.fnAddData = function (a, b) {
      if (a.length === 0) return [];
      var c = [],
          d,
          f = A(this[n.iApiIndex]);
      if (_typeof(a[0]) == "object") for (var e = 0; e < a.length; e++) {
        d = v(f, a[e]);
        if (d == -1) return c;
        c.push(d);
      } else {
        d = v(f, a);
        if (d == -1) return c;
        c.push(d);
      }
      f.aiDisplay = f.aiDisplayMaster.slice();
      if (typeof b == "undefined" || b) da(f);
      return c;
    };

    this.fnDeleteRow = function (a, b, c) {
      var d = A(this[n.iApiIndex]);
      a = _typeof(a) == "object" ? W(d, a) : a;
      var f = d.aoData.splice(a, 1),
          e = i.inArray(a, d.aiDisplay);
      d.asDataSearch.splice(e, 1);
      ua(d.aiDisplayMaster, a);
      ua(d.aiDisplay, a);
      typeof b == "function" && b.call(this, d, f);

      if (d._iDisplayStart >= d.aiDisplay.length) {
        d._iDisplayStart -= d._iDisplayLength;
        if (d._iDisplayStart < 0) d._iDisplayStart = 0;
      }

      if (typeof c == "undefined" || c) {
        E(d);
        C(d);
      }

      return f;
    };

    this.fnClearTable = function (a) {
      var b = A(this[n.iApiIndex]);
      la(b);
      if (typeof a == "undefined" || a) C(b);
    };

    this.fnOpen = function (a, b, c) {
      var d = A(this[n.iApiIndex]);
      this.fnClose(a);
      var f = p.createElement("tr"),
          e = p.createElement("td");
      f.appendChild(e);
      e.className = c;
      e.colSpan = Z(d);
      if (typeof b.jquery != "undefined" || _typeof(b) == "object") e.appendChild(b);else e.innerHTML = b;
      b = i("tr", d.nTBody);
      i.inArray(a, b) != -1 && i(f).insertAfter(a);
      d.aoOpenRows.push({
        nTr: f,
        nParent: a
      });
      return f;
    };

    this.fnClose = function (a) {
      for (var b = A(this[n.iApiIndex]), c = 0; c < b.aoOpenRows.length; c++) {
        if (b.aoOpenRows[c].nParent == a) {
          (a = b.aoOpenRows[c].nTr.parentNode) && a.removeChild(b.aoOpenRows[c].nTr);
          b.aoOpenRows.splice(c, 1);
          return 0;
        }
      }

      return 1;
    };

    this.fnGetData = function (a, b) {
      var c = A(this[n.iApiIndex]);

      if (typeof a != "undefined") {
        a = _typeof(a) == "object" ? W(c, a) : a;
        if (typeof b != "undefined") return G(c, a, b, "");
        return typeof c.aoData[a] != "undefined" ? c.aoData[a]._aData : null;
      }

      return ca(c);
    };

    this.fnGetNodes = function (a) {
      var b = A(this[n.iApiIndex]);
      if (typeof a != "undefined") return typeof b.aoData[a] != "undefined" ? b.aoData[a].nTr : null;
      return ba(b);
    };

    this.fnGetPosition = function (a) {
      var b = A(this[n.iApiIndex]),
          c = a.nodeName.toUpperCase();
      if (c == "TR") return W(b, a);else if (c == "TD" || c == "TH") {
        c = W(b, a.parentNode);

        for (var d = Q(b, c), f = 0; f < b.aoColumns.length; f++) {
          if (d[f] == a) return [c, ta(b, f), f];
        }
      }
      return null;
    };

    this.fnUpdate = function (a, b, c, d, f) {
      var e = A(this[n.iApiIndex]);
      b = _typeof(b) == "object" ? W(e, b) : b;

      if (i.isArray(a) && _typeof(a) == "object") {
        e.aoData[b]._aData = a.slice();

        for (c = 0; c < e.aoColumns.length; c++) {
          this.fnUpdate(G(e, b, c), b, c, false, false);
        }
      } else if (a !== null && _typeof(a) == "object") {
        e.aoData[b]._aData = i.extend(true, {}, a);

        for (c = 0; c < e.aoColumns.length; c++) {
          this.fnUpdate(G(e, b, c), b, c, false, false);
        }
      } else {
        a = a;
        O(e, b, c, a);

        if (e.aoColumns[c].fnRender !== null) {
          a = e.aoColumns[c].fnRender({
            iDataRow: b,
            iDataColumn: c,
            aData: e.aoData[b]._aData,
            oSettings: e
          });
          e.aoColumns[c].bUseRendered && O(e, b, c, a);
        }

        if (e.aoData[b].nTr !== null) Q(e, b)[c].innerHTML = a;
      }

      c = i.inArray(b, e.aiDisplay);
      e.asDataSearch[c] = ra(e, fa(e, b, "filter"));
      if (typeof f == "undefined" || f) ea(e);
      if (typeof d == "undefined" || d) da(e);
      return 0;
    };

    this.fnSetColumnVis = function (a, b, c) {
      var d = A(this[n.iApiIndex]),
          f,
          e;
      e = d.aoColumns.length;
      var h, j;

      if (d.aoColumns[a].bVisible != b) {
        if (b) {
          for (f = j = 0; f < a; f++) {
            d.aoColumns[f].bVisible && j++;
          }

          j = j >= Z(d);
          if (!j) for (f = a; f < e; f++) {
            if (d.aoColumns[f].bVisible) {
              h = f;
              break;
            }
          }
          f = 0;

          for (e = d.aoData.length; f < e; f++) {
            if (d.aoData[f].nTr !== null) j ? d.aoData[f].nTr.appendChild(d.aoData[f]._anHidden[a]) : d.aoData[f].nTr.insertBefore(d.aoData[f]._anHidden[a], Q(d, f)[h]);
          }
        } else {
          f = 0;

          for (e = d.aoData.length; f < e; f++) {
            if (d.aoData[f].nTr !== null) {
              h = Q(d, f)[a];
              d.aoData[f]._anHidden[a] = h;
              h.parentNode.removeChild(h);
            }
          }
        }

        d.aoColumns[a].bVisible = b;
        M(d, d.aoHeader);
        d.nTFoot && M(d, d.aoFooter);
        f = 0;

        for (e = d.aoOpenRows.length; f < e; f++) {
          d.aoOpenRows[f].nTr.colSpan = Z(d);
        }

        if (typeof c == "undefined" || c) {
          ea(d);
          C(d);
        }

        va(d);
      }
    };

    this.fnPageChange = function (a, b) {
      var c = A(this[n.iApiIndex]);
      ma(c, a);
      E(c);
      if (typeof b == "undefined" || b) C(c);
    };

    this.fnDestroy = function () {
      var a = A(this[n.iApiIndex]),
          b = a.nTableWrapper.parentNode,
          c = a.nTBody,
          d,
          f;
      a.bDestroying = true;
      d = 0;

      for (f = a.aoDestroyCallback.length; d < f; d++) {
        a.aoDestroyCallback[d].fn();
      }

      d = 0;

      for (f = a.aoColumns.length; d < f; d++) {
        a.aoColumns[d].bVisible === false && this.fnSetColumnVis(d, true);
      }

      i(a.nTableWrapper).find("*").andSelf().unbind(".DT");
      i("tbody>tr>td." + a.oClasses.sRowEmpty, a.nTable).parent().remove();

      if (a.nTable != a.nTHead.parentNode) {
        i(a.nTable).children("thead").remove();
        a.nTable.appendChild(a.nTHead);
      }

      if (a.nTFoot && a.nTable != a.nTFoot.parentNode) {
        i(a.nTable).children("tfoot").remove();
        a.nTable.appendChild(a.nTFoot);
      }

      a.nTable.parentNode.removeChild(a.nTable);
      i(a.nTableWrapper).remove();
      a.aaSorting = [];
      a.aaSortingFixed = [];
      V(a);
      i(ba(a)).removeClass(a.asStripeClasses.join(" "));

      if (a.bJUI) {
        i("th", a.nTHead).removeClass([n.oStdClasses.sSortable, n.oJUIClasses.sSortableAsc, n.oJUIClasses.sSortableDesc, n.oJUIClasses.sSortableNone].join(" "));
        i("th span." + n.oJUIClasses.sSortIcon, a.nTHead).remove();
        i("th", a.nTHead).each(function () {
          var e = i("div." + n.oJUIClasses.sSortJUIWrapper, this),
              h = e.contents();
          i(this).append(h);
          e.remove();
        });
      } else i("th", a.nTHead).removeClass([n.oStdClasses.sSortable, n.oStdClasses.sSortableAsc, n.oStdClasses.sSortableDesc, n.oStdClasses.sSortableNone].join(" "));

      a.nTableReinsertBefore ? b.insertBefore(a.nTable, a.nTableReinsertBefore) : b.appendChild(a.nTable);
      d = 0;

      for (f = a.aoData.length; d < f; d++) {
        a.aoData[d].nTr !== null && c.appendChild(a.aoData[d].nTr);
      }

      if (a.oFeatures.bAutoWidth === true) a.nTable.style.width = q(a.sDestroyWidth);
      i(c).children("tr:even").addClass(a.asDestroyStripes[0]);
      i(c).children("tr:odd").addClass(a.asDestroyStripes[1]);
      d = 0;

      for (f = D.length; d < f; d++) {
        D[d] == a && D.splice(d, 1);
      }

      a = null;
    };

    this.fnAdjustColumnSizing = function (a) {
      var b = A(this[n.iApiIndex]);
      ea(b);
      if (typeof a == "undefined" || a) this.fnDraw(false);else if (b.oScroll.sX !== "" || b.oScroll.sY !== "") this.oApi._fnScrollDraw(b);
    };

    for (var xa in n.oApi) {
      if (xa) this[xa] = s(xa);
    }

    this.oApi._fnExternApiFunc = s;
    this.oApi._fnInitialise = t;
    this.oApi._fnInitComplete = w;
    this.oApi._fnLanguageProcess = y;
    this.oApi._fnAddColumn = F;
    this.oApi._fnColumnOptions = x;
    this.oApi._fnAddData = v;
    this.oApi._fnCreateTr = z;
    this.oApi._fnGatherData = $;
    this.oApi._fnBuildHead = X;
    this.oApi._fnDrawHead = M;
    this.oApi._fnDraw = C;
    this.oApi._fnReDraw = da;
    this.oApi._fnAjaxUpdate = Ca;
    this.oApi._fnAjaxParameters = Da;
    this.oApi._fnAjaxUpdateDraw = Ea;
    this.oApi._fnServerParams = ha;
    this.oApi._fnAddOptionsHtml = Aa;
    this.oApi._fnFeatureHtmlTable = Ja;
    this.oApi._fnScrollDraw = Ma;
    this.oApi._fnAdjustColumnSizing = ea;
    this.oApi._fnFeatureHtmlFilter = Ha;
    this.oApi._fnFilterComplete = N;
    this.oApi._fnFilterCustom = Qa;
    this.oApi._fnFilterColumn = Pa;
    this.oApi._fnFilter = Oa;
    this.oApi._fnBuildSearchArray = oa;
    this.oApi._fnBuildSearchRow = ra;
    this.oApi._fnFilterCreateSearch = pa;
    this.oApi._fnDataToSearch = qa;
    this.oApi._fnSort = R;
    this.oApi._fnSortAttachListener = ja;
    this.oApi._fnSortingClasses = V;
    this.oApi._fnFeatureHtmlPaginate = La;
    this.oApi._fnPageChange = ma;
    this.oApi._fnFeatureHtmlInfo = Ka;
    this.oApi._fnUpdateInfo = Ra;
    this.oApi._fnFeatureHtmlLength = Ga;
    this.oApi._fnFeatureHtmlProcessing = Ia;
    this.oApi._fnProcessingDisplay = K;
    this.oApi._fnVisibleToColumnIndex = Na;
    this.oApi._fnColumnIndexToVisible = ta;
    this.oApi._fnNodeToDataIndex = W;
    this.oApi._fnVisbleColumns = Z;
    this.oApi._fnCalculateEnd = E;
    this.oApi._fnConvertToWidth = Sa;
    this.oApi._fnCalculateColumnWidths = ga;
    this.oApi._fnScrollingWidthAdjust = Ua;
    this.oApi._fnGetWidestNode = Ta;
    this.oApi._fnGetMaxLenString = Va;
    this.oApi._fnStringToCss = q;
    this.oApi._fnArrayCmp = Za;
    this.oApi._fnDetectType = ia;
    this.oApi._fnSettingsFromNode = A;
    this.oApi._fnGetDataMaster = ca;
    this.oApi._fnGetTrNodes = ba;
    this.oApi._fnGetTdNodes = Q;
    this.oApi._fnEscapeRegex = sa;
    this.oApi._fnDeleteIndex = ua;
    this.oApi._fnReOrderIndex = Fa;
    this.oApi._fnColumnOrdering = ka;
    this.oApi._fnLog = J;
    this.oApi._fnClearTable = la;
    this.oApi._fnSaveState = va;
    this.oApi._fnLoadState = Xa;
    this.oApi._fnCreateCookie = Wa;
    this.oApi._fnReadCookie = wa;
    this.oApi._fnDetectHeader = Y;
    this.oApi._fnGetUniqueThs = S;
    this.oApi._fnScrollBarWidth = Ya;
    this.oApi._fnApplyToChildren = P;
    this.oApi._fnMap = o;
    this.oApi._fnGetRowData = fa;
    this.oApi._fnGetCellData = G;
    this.oApi._fnSetCellData = O;
    this.oApi._fnGetObjectDataFn = aa;
    this.oApi._fnSetObjectDataFn = Ba;
    var ya = this;
    return this.each(function () {
      var a = 0,
          b,
          c,
          d,
          f;
      a = 0;

      for (b = D.length; a < b; a++) {
        if (D[a].nTable == this) if (typeof g == "undefined" || typeof g.bRetrieve != "undefined" && g.bRetrieve === true) return D[a].oInstance;else if (typeof g.bDestroy != "undefined" && g.bDestroy === true) {
          D[a].oInstance.fnDestroy();
          break;
        } else {
          J(D[a], 0, "Cannot reinitialise DataTable.\n\nTo retrieve the DataTables object for this table, please pass either no arguments to the dataTable() function, or set bRetrieve to true. Alternatively, to destory the old table and create a new one, set bDestroy to true (note that a lot of changes to the configuration can be made through the API which is usually much faster).");
          return;
        }

        if (D[a].sTableId !== "" && D[a].sTableId == this.getAttribute("id")) {
          D.splice(a, 1);
          break;
        }
      }

      var e = new l();
      D.push(e);
      var h = false,
          j = false;
      a = this.getAttribute("id");

      if (a !== null) {
        e.sTableId = a;
        e.sInstance = a;
      } else e.sInstance = n._oExternConfig.iNextUnique++;

      if (this.nodeName.toLowerCase() != "table") J(e, 0, "Attempted to initialise DataTables on a node which is not a table: " + this.nodeName);else {
        e.nTable = this;
        e.oInstance = ya.length == 1 ? ya : i(this).dataTable();
        e.oApi = ya.oApi;
        e.sDestroyWidth = i(this).width();

        if (typeof g != "undefined" && g !== null) {
          e.oInit = g;
          o(e.oFeatures, g, "bPaginate");
          o(e.oFeatures, g, "bLengthChange");
          o(e.oFeatures, g, "bFilter");
          o(e.oFeatures, g, "bSort");
          o(e.oFeatures, g, "bInfo");
          o(e.oFeatures, g, "bProcessing");
          o(e.oFeatures, g, "bAutoWidth");
          o(e.oFeatures, g, "bSortClasses");
          o(e.oFeatures, g, "bServerSide");
          o(e.oFeatures, g, "bDeferRender");
          o(e.oScroll, g, "sScrollX", "sX");
          o(e.oScroll, g, "sScrollXInner", "sXInner");
          o(e.oScroll, g, "sScrollY", "sY");
          o(e.oScroll, g, "bScrollCollapse", "bCollapse");
          o(e.oScroll, g, "bScrollInfinite", "bInfinite");
          o(e.oScroll, g, "iScrollLoadGap", "iLoadGap");
          o(e.oScroll, g, "bScrollAutoCss", "bAutoCss");
          o(e, g, "asStripClasses", "asStripeClasses");
          o(e, g, "asStripeClasses");
          o(e, g, "fnPreDrawCallback");
          o(e, g, "fnRowCallback");
          o(e, g, "fnHeaderCallback");
          o(e, g, "fnFooterCallback");
          o(e, g, "fnCookieCallback");
          o(e, g, "fnInitComplete");
          o(e, g, "fnServerData");
          o(e, g, "fnFormatNumber");
          o(e, g, "aaSorting");
          o(e, g, "aaSortingFixed");
          o(e, g, "aLengthMenu");
          o(e, g, "sPaginationType");
          o(e, g, "sAjaxSource");
          o(e, g, "sAjaxDataProp");
          o(e, g, "iCookieDuration");
          o(e, g, "sCookiePrefix");
          o(e, g, "sDom");
          o(e, g, "bSortCellsTop");
          o(e, g, "oSearch", "oPreviousSearch");
          o(e, g, "aoSearchCols", "aoPreSearchCols");
          o(e, g, "iDisplayLength", "_iDisplayLength");
          o(e, g, "bJQueryUI", "bJUI");
          o(e.oLanguage, g, "fnInfoCallback");
          typeof g.fnDrawCallback == "function" && e.aoDrawCallback.push({
            fn: g.fnDrawCallback,
            sName: "user"
          });
          typeof g.fnServerParams == "function" && e.aoServerParams.push({
            fn: g.fnServerParams,
            sName: "user"
          });
          typeof g.fnStateSaveCallback == "function" && e.aoStateSave.push({
            fn: g.fnStateSaveCallback,
            sName: "user"
          });
          typeof g.fnStateLoadCallback == "function" && e.aoStateLoad.push({
            fn: g.fnStateLoadCallback,
            sName: "user"
          });
          if (e.oFeatures.bServerSide && e.oFeatures.bSort && e.oFeatures.bSortClasses) e.aoDrawCallback.push({
            fn: V,
            sName: "server_side_sort_classes"
          });else e.oFeatures.bDeferRender && e.aoDrawCallback.push({
            fn: V,
            sName: "defer_sort_classes"
          });

          if (typeof g.bJQueryUI != "undefined" && g.bJQueryUI) {
            e.oClasses = n.oJUIClasses;
            if (typeof g.sDom == "undefined") e.sDom = '<"H"lfr>t<"F"ip>';
          }

          if (e.oScroll.sX !== "" || e.oScroll.sY !== "") e.oScroll.iBarWidth = Ya();

          if (typeof g.iDisplayStart != "undefined" && typeof e.iInitDisplayStart == "undefined") {
            e.iInitDisplayStart = g.iDisplayStart;
            e._iDisplayStart = g.iDisplayStart;
          }

          if (typeof g.bStateSave != "undefined") {
            e.oFeatures.bStateSave = g.bStateSave;
            Xa(e, g);
            e.aoDrawCallback.push({
              fn: va,
              sName: "state_save"
            });
          }

          if (typeof g.iDeferLoading != "undefined") {
            e.bDeferLoading = true;
            e._iRecordsTotal = g.iDeferLoading;
            e._iRecordsDisplay = g.iDeferLoading;
          }

          if (typeof g.aaData != "undefined") j = true;
          if (typeof g != "undefined" && typeof g.aoData != "undefined") g.aoColumns = g.aoData;
          if (typeof g.oLanguage != "undefined") if (typeof g.oLanguage.sUrl != "undefined" && g.oLanguage.sUrl !== "") {
            e.oLanguage.sUrl = g.oLanguage.sUrl;
            i.getJSON(e.oLanguage.sUrl, null, function (u) {
              y(e, u, true);
            });
            h = true;
          } else y(e, g.oLanguage, false);
        } else g = {};

        if (typeof g.asStripClasses == "undefined" && typeof g.asStripeClasses == "undefined") {
          e.asStripeClasses.push(e.oClasses.sStripeOdd);
          e.asStripeClasses.push(e.oClasses.sStripeEven);
        }

        c = false;
        d = i(this).children("tbody").children("tr");
        a = 0;

        for (b = e.asStripeClasses.length; a < b; a++) {
          if (d.filter(":lt(2)").hasClass(e.asStripeClasses[a])) {
            c = true;
            break;
          }
        }

        if (c) {
          e.asDestroyStripes = ["", ""];
          if (i(d[0]).hasClass(e.oClasses.sStripeOdd)) e.asDestroyStripes[0] += e.oClasses.sStripeOdd + " ";
          if (i(d[0]).hasClass(e.oClasses.sStripeEven)) e.asDestroyStripes[0] += e.oClasses.sStripeEven;
          if (i(d[1]).hasClass(e.oClasses.sStripeOdd)) e.asDestroyStripes[1] += e.oClasses.sStripeOdd + " ";
          if (i(d[1]).hasClass(e.oClasses.sStripeEven)) e.asDestroyStripes[1] += e.oClasses.sStripeEven;
          d.removeClass(e.asStripeClasses.join(" "));
        }

        c = [];
        var k;
        a = this.getElementsByTagName("thead");

        if (a.length !== 0) {
          Y(e.aoHeader, a[0]);
          c = S(e);
        }

        if (typeof g.aoColumns == "undefined") {
          k = [];
          a = 0;

          for (b = c.length; a < b; a++) {
            k.push(null);
          }
        } else k = g.aoColumns;

        a = 0;

        for (b = k.length; a < b; a++) {
          if (typeof g.saved_aoColumns != "undefined" && g.saved_aoColumns.length == b) {
            if (k[a] === null) k[a] = {};
            k[a].bVisible = g.saved_aoColumns[a].bVisible;
          }

          F(e, c ? c[a] : null);
        }

        if (typeof g.aoColumnDefs != "undefined") for (a = g.aoColumnDefs.length - 1; a >= 0; a--) {
          var m = g.aoColumnDefs[a].aTargets;
          i.isArray(m) || J(e, 1, "aTargets must be an array of targets, not a " + _typeof(m));
          c = 0;

          for (d = m.length; c < d; c++) {
            if (typeof m[c] == "number" && m[c] >= 0) {
              for (; e.aoColumns.length <= m[c];) {
                F(e);
              }

              x(e, m[c], g.aoColumnDefs[a]);
            } else if (typeof m[c] == "number" && m[c] < 0) x(e, e.aoColumns.length + m[c], g.aoColumnDefs[a]);else if (typeof m[c] == "string") {
              b = 0;

              for (f = e.aoColumns.length; b < f; b++) {
                if (m[c] == "_all" || i(e.aoColumns[b].nTh).hasClass(m[c])) x(e, b, g.aoColumnDefs[a]);
              }
            }
          }
        }

        if (typeof k != "undefined") {
          a = 0;

          for (b = k.length; a < b; a++) {
            x(e, a, k[a]);
          }
        }

        a = 0;

        for (b = e.aaSorting.length; a < b; a++) {
          if (e.aaSorting[a][0] >= e.aoColumns.length) e.aaSorting[a][0] = 0;
          k = e.aoColumns[e.aaSorting[a][0]];
          if (typeof e.aaSorting[a][2] == "undefined") e.aaSorting[a][2] = 0;
          if (typeof g.aaSorting == "undefined" && typeof e.saved_aaSorting == "undefined") e.aaSorting[a][1] = k.asSorting[0];
          c = 0;

          for (d = k.asSorting.length; c < d; c++) {
            if (e.aaSorting[a][1] == k.asSorting[c]) {
              e.aaSorting[a][2] = c;
              break;
            }
          }
        }

        V(e);
        a = i(this).children("thead");

        if (a.length === 0) {
          a = [p.createElement("thead")];
          this.appendChild(a[0]);
        }

        e.nTHead = a[0];
        a = i(this).children("tbody");

        if (a.length === 0) {
          a = [p.createElement("tbody")];
          this.appendChild(a[0]);
        }

        e.nTBody = a[0];
        a = i(this).children("tfoot");

        if (a.length > 0) {
          e.nTFoot = a[0];
          Y(e.aoFooter, e.nTFoot);
        }

        if (j) for (a = 0; a < g.aaData.length; a++) {
          v(e, g.aaData[a]);
        } else $(e);
        e.aiDisplay = e.aiDisplayMaster.slice();
        e.bInitialised = true;
        h === false && t(e);
      }
    });
  };
})(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, window, document);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/jquery.select2.3.5.1.min.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/jquery.select2.3.5.1.min.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
Copyright 2014 Igor Vaynberg

Version: 3.5.1 Timestamp: Tue Jul 22 18:58:56 EDT 2014

This software is licensed under the Apache License, Version 2.0 (the "Apache License") or the GNU
General Public License version 2 (the "GPL License"). You may choose either license to govern your
use of this software only upon the condition that you accept all of the terms of either the Apache
License or the GPL License.

You may obtain a copy of the Apache License and the GPL License at:

http://www.apache.org/licenses/LICENSE-2.0
http://www.gnu.org/licenses/gpl-2.0.html

Unless required by applicable law or agreed to in writing, software distributed under the Apache License
or the GPL Licesnse is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied. See the Apache License and the GPL License for the specific language governing
permissions and limitations under the Apache License and the GPL License.
*/

!function (a) {
  "undefined" == typeof a.fn.each2 && a.extend(a.fn, {
    each2: function each2(b) {
      for (var c = a([0]), d = -1, e = this.length; ++d < e && (c.context = c[0] = this[d]) && b.call(c[0], d, c) !== !1;) {
        ;
      }

      return this;
    }
  });
}(jquery__WEBPACK_IMPORTED_MODULE_0___default.a), function (a, b) {
  "use strict";

  function n(b) {
    var c = a(document.createTextNode(""));
    b.before(c), c.before(b), c.remove();
  }

  function o(a) {
    function b(a) {
      return m[a] || a;
    }

    return a.replace(/[^\u0000-\u007E]/g, b);
  }

  function p(a, b) {
    for (var c = 0, d = b.length; d > c; c += 1) {
      if (r(a, b[c])) return c;
    }

    return -1;
  }

  function q() {
    var b = a(l);
    b.appendTo("body");
    var c = {
      width: b.width() - b[0].clientWidth,
      height: b.height() - b[0].clientHeight
    };
    return b.remove(), c;
  }

  function r(a, c) {
    return a === c ? !0 : a === b || c === b ? !1 : null === a || null === c ? !1 : a.constructor === String ? a + "" == c + "" : c.constructor === String ? c + "" == a + "" : !1;
  }

  function s(b, c) {
    var d, e, f;
    if (null === b || b.length < 1) return [];

    for (d = b.split(c), e = 0, f = d.length; f > e; e += 1) {
      d[e] = a.trim(d[e]);
    }

    return d;
  }

  function t(a) {
    return a.outerWidth(!1) - a.width();
  }

  function u(c) {
    var d = "keyup-change-value";
    c.on("keydown", function () {
      a.data(c, d) === b && a.data(c, d, c.val());
    }), c.on("keyup", function () {
      var e = a.data(c, d);
      e !== b && c.val() !== e && (a.removeData(c, d), c.trigger("keyup-change"));
    });
  }

  function v(c) {
    c.on("mousemove", function (c) {
      var d = i;
      (d === b || d.x !== c.pageX || d.y !== c.pageY) && a(c.target).trigger("mousemove-filtered", c);
    });
  }

  function w(a, c, d) {
    d = d || b;
    var e;
    return function () {
      var b = arguments;
      window.clearTimeout(e), e = window.setTimeout(function () {
        c.apply(d, b);
      }, a);
    };
  }

  function x(a, b) {
    var c = w(a, function (a) {
      b.trigger("scroll-debounced", a);
    });
    b.on("scroll", function (a) {
      p(a.target, b.get()) >= 0 && c(a);
    });
  }

  function y(a) {
    a[0] !== document.activeElement && window.setTimeout(function () {
      var d,
          b = a[0],
          c = a.val().length;
      a.focus();
      var e = b.offsetWidth > 0 || b.offsetHeight > 0;
      e && b === document.activeElement && (b.setSelectionRange ? b.setSelectionRange(c, c) : b.createTextRange && (d = b.createTextRange(), d.collapse(!1), d.select()));
    }, 0);
  }

  function z(b) {
    b = a(b)[0];
    var c = 0,
        d = 0;
    if ("selectionStart" in b) c = b.selectionStart, d = b.selectionEnd - c;else if ("selection" in document) {
      b.focus();
      var e = document.selection.createRange();
      d = document.selection.createRange().text.length, e.moveStart("character", -b.value.length), c = e.text.length - d;
    }
    return {
      offset: c,
      length: d
    };
  }

  function A(a) {
    a.preventDefault(), a.stopPropagation();
  }

  function B(a) {
    a.preventDefault(), a.stopImmediatePropagation();
  }

  function C(b) {
    if (!h) {
      var c = b[0].currentStyle || window.getComputedStyle(b[0], null);
      h = a(document.createElement("div")).css({
        position: "absolute",
        left: "-10000px",
        top: "-10000px",
        display: "none",
        fontSize: c.fontSize,
        fontFamily: c.fontFamily,
        fontStyle: c.fontStyle,
        fontWeight: c.fontWeight,
        letterSpacing: c.letterSpacing,
        textTransform: c.textTransform,
        whiteSpace: "nowrap"
      }), h.attr("class", "select2-sizer"), a("body").append(h);
    }

    return h.text(b.val()), h.width();
  }

  function D(b, c, d) {
    var e,
        g,
        f = [];
    e = a.trim(b.attr("class")), e && (e = "" + e, a(e.split(/\s+/)).each2(function () {
      0 === this.indexOf("select2-") && f.push(this);
    })), e = a.trim(c.attr("class")), e && (e = "" + e, a(e.split(/\s+/)).each2(function () {
      0 !== this.indexOf("select2-") && (g = d(this), g && f.push(g));
    })), b.attr("class", f.join(" "));
  }

  function E(a, b, c, d) {
    var e = o(a.toUpperCase()).indexOf(o(b.toUpperCase())),
        f = b.length;
    return 0 > e ? (c.push(d(a)), void 0) : (c.push(d(a.substring(0, e))), c.push("<span class='select2-match'>"), c.push(d(a.substring(e, e + f))), c.push("</span>"), c.push(d(a.substring(e + f, a.length))), void 0);
  }

  function F(a) {
    var b = {
      "\\": "&#92;",
      "&": "&amp;",
      "<": "&lt;",
      ">": "&gt;",
      '"': "&quot;",
      "'": "&#39;",
      "/": "&#47;"
    };
    return String(a).replace(/[&<>"'\/\\]/g, function (a) {
      return b[a];
    });
  }

  function G(c) {
    var d,
        e = null,
        f = c.quietMillis || 100,
        g = c.url,
        h = this;
    return function (i) {
      window.clearTimeout(d), d = window.setTimeout(function () {
        var d = c.data,
            f = g,
            j = c.transport || a.fn.select2.ajaxDefaults.transport,
            k = {
          type: c.type || "GET",
          cache: c.cache || !1,
          jsonpCallback: c.jsonpCallback || b,
          dataType: c.dataType || "json"
        },
            l = a.extend({}, a.fn.select2.ajaxDefaults.params, k);
        d = d ? d.call(h, i.term, i.page, i.context) : null, f = "function" == typeof f ? f.call(h, i.term, i.page, i.context) : f, e && "function" == typeof e.abort && e.abort(), c.params && (a.isFunction(c.params) ? a.extend(l, c.params.call(h)) : a.extend(l, c.params)), a.extend(l, {
          url: f,
          dataType: c.dataType,
          data: d,
          success: function success(a) {
            var b = c.results(a, i.page, i);
            i.callback(b);
          },
          error: function error(a, b, c) {
            var d = {
              hasError: !0,
              jqXHR: a,
              textStatus: b,
              errorThrown: c
            };
            i.callback(d);
          }
        }), e = j.call(h, l);
      }, f);
    };
  }

  function H(b) {
    var d,
        e,
        c = b,
        f = function f(a) {
      return "" + a.text;
    };

    a.isArray(c) && (e = c, c = {
      results: e
    }), a.isFunction(c) === !1 && (e = c, c = function c() {
      return e;
    });
    var g = c();
    return g.text && (f = g.text, a.isFunction(f) || (d = g.text, f = function f(a) {
      return a[d];
    })), function (b) {
      var _g,
          d = b.term,
          e = {
        results: []
      };

      return "" === d ? (b.callback(c()), void 0) : (_g = function g(c, e) {
        var h, i;

        if (c = c[0], c.children) {
          h = {};

          for (i in c) {
            c.hasOwnProperty(i) && (h[i] = c[i]);
          }

          h.children = [], a(c.children).each2(function (a, b) {
            _g(b, h.children);
          }), (h.children.length || b.matcher(d, f(h), c)) && e.push(h);
        } else b.matcher(d, f(c), c) && e.push(c);
      }, a(c().results).each2(function (a, b) {
        _g(b, e.results);
      }), b.callback(e), void 0);
    };
  }

  function I(c) {
    var d = a.isFunction(c);
    return function (e) {
      var f = e.term,
          g = {
        results: []
      },
          h = d ? c(e) : c;
      a.isArray(h) && (a(h).each(function () {
        var a = this.text !== b,
            c = a ? this.text : this;
        ("" === f || e.matcher(f, c)) && g.results.push(a ? this : {
          id: this,
          text: this
        });
      }), e.callback(g));
    };
  }

  function J(b, c) {
    if (a.isFunction(b)) return !0;
    if (!b) return !1;
    if ("string" == typeof b) return !0;
    throw new Error(c + " must be a string, function, or falsy value");
  }

  function K(b, c) {
    if (a.isFunction(b)) {
      var d = Array.prototype.slice.call(arguments, 2);
      return b.apply(c, d);
    }

    return b;
  }

  function L(b) {
    var c = 0;
    return a.each(b, function (a, b) {
      b.children ? c += L(b.children) : c++;
    }), c;
  }

  function M(a, c, d, e) {
    var h,
        i,
        j,
        k,
        l,
        f = a,
        g = !1;
    if (!e.createSearchChoice || !e.tokenSeparators || e.tokenSeparators.length < 1) return b;

    for (;;) {
      for (i = -1, j = 0, k = e.tokenSeparators.length; k > j && (l = e.tokenSeparators[j], i = a.indexOf(l), !(i >= 0)); j++) {
        ;
      }

      if (0 > i) break;

      if (h = a.substring(0, i), a = a.substring(i + l.length), h.length > 0 && (h = e.createSearchChoice.call(this, h, c), h !== b && null !== h && e.id(h) !== b && null !== e.id(h))) {
        for (g = !1, j = 0, k = c.length; k > j; j++) {
          if (r(e.id(h), e.id(c[j]))) {
            g = !0;
            break;
          }
        }

        g || d(h);
      }
    }

    return f !== a ? a : void 0;
  }

  function N() {
    var b = this;
    a.each(arguments, function (a, c) {
      b[c].remove(), b[c] = null;
    });
  }

  function O(b, c) {
    var d = function d() {};

    return d.prototype = new b(), d.prototype.constructor = d, d.prototype.parent = b.prototype, d.prototype = a.extend(d.prototype, c), d;
  }

  if (window.Select2 === b) {
    var c,
        d,
        e,
        f,
        g,
        h,
        j,
        k,
        i = {
      x: 0,
      y: 0
    },
        c = {
      TAB: 9,
      ENTER: 13,
      ESC: 27,
      SPACE: 32,
      LEFT: 37,
      UP: 38,
      RIGHT: 39,
      DOWN: 40,
      SHIFT: 16,
      CTRL: 17,
      ALT: 18,
      PAGE_UP: 33,
      PAGE_DOWN: 34,
      HOME: 36,
      END: 35,
      BACKSPACE: 8,
      DELETE: 46,
      isArrow: function isArrow(a) {
        switch (a = a.which ? a.which : a) {
          case c.LEFT:
          case c.RIGHT:
          case c.UP:
          case c.DOWN:
            return !0;
        }

        return !1;
      },
      isControl: function isControl(a) {
        var b = a.which;

        switch (b) {
          case c.SHIFT:
          case c.CTRL:
          case c.ALT:
            return !0;
        }

        return a.metaKey ? !0 : !1;
      },
      isFunctionKey: function isFunctionKey(a) {
        return a = a.which ? a.which : a, a >= 112 && 123 >= a;
      }
    },
        l = "<div class='select2-measure-scrollbar'></div>",
        m = {
      "\u24B6": "A",
      "\uFF21": "A",
      "\xc0": "A",
      "\xc1": "A",
      "\xc2": "A",
      "\u1EA6": "A",
      "\u1EA4": "A",
      "\u1EAA": "A",
      "\u1EA8": "A",
      "\xc3": "A",
      "\u0100": "A",
      "\u0102": "A",
      "\u1EB0": "A",
      "\u1EAE": "A",
      "\u1EB4": "A",
      "\u1EB2": "A",
      "\u0226": "A",
      "\u01E0": "A",
      "\xc4": "A",
      "\u01DE": "A",
      "\u1EA2": "A",
      "\xc5": "A",
      "\u01FA": "A",
      "\u01CD": "A",
      "\u0200": "A",
      "\u0202": "A",
      "\u1EA0": "A",
      "\u1EAC": "A",
      "\u1EB6": "A",
      "\u1E00": "A",
      "\u0104": "A",
      "\u023A": "A",
      "\u2C6F": "A",
      "\uA732": "AA",
      "\xc6": "AE",
      "\u01FC": "AE",
      "\u01E2": "AE",
      "\uA734": "AO",
      "\uA736": "AU",
      "\uA738": "AV",
      "\uA73A": "AV",
      "\uA73C": "AY",
      "\u24B7": "B",
      "\uFF22": "B",
      "\u1E02": "B",
      "\u1E04": "B",
      "\u1E06": "B",
      "\u0243": "B",
      "\u0182": "B",
      "\u0181": "B",
      "\u24B8": "C",
      "\uFF23": "C",
      "\u0106": "C",
      "\u0108": "C",
      "\u010A": "C",
      "\u010C": "C",
      "\xc7": "C",
      "\u1E08": "C",
      "\u0187": "C",
      "\u023B": "C",
      "\uA73E": "C",
      "\u24B9": "D",
      "\uFF24": "D",
      "\u1E0A": "D",
      "\u010E": "D",
      "\u1E0C": "D",
      "\u1E10": "D",
      "\u1E12": "D",
      "\u1E0E": "D",
      "\u0110": "D",
      "\u018B": "D",
      "\u018A": "D",
      "\u0189": "D",
      "\uA779": "D",
      "\u01F1": "DZ",
      "\u01C4": "DZ",
      "\u01F2": "Dz",
      "\u01C5": "Dz",
      "\u24BA": "E",
      "\uFF25": "E",
      "\xc8": "E",
      "\xc9": "E",
      "\xca": "E",
      "\u1EC0": "E",
      "\u1EBE": "E",
      "\u1EC4": "E",
      "\u1EC2": "E",
      "\u1EBC": "E",
      "\u0112": "E",
      "\u1E14": "E",
      "\u1E16": "E",
      "\u0114": "E",
      "\u0116": "E",
      "\xcb": "E",
      "\u1EBA": "E",
      "\u011A": "E",
      "\u0204": "E",
      "\u0206": "E",
      "\u1EB8": "E",
      "\u1EC6": "E",
      "\u0228": "E",
      "\u1E1C": "E",
      "\u0118": "E",
      "\u1E18": "E",
      "\u1E1A": "E",
      "\u0190": "E",
      "\u018E": "E",
      "\u24BB": "F",
      "\uFF26": "F",
      "\u1E1E": "F",
      "\u0191": "F",
      "\uA77B": "F",
      "\u24BC": "G",
      "\uFF27": "G",
      "\u01F4": "G",
      "\u011C": "G",
      "\u1E20": "G",
      "\u011E": "G",
      "\u0120": "G",
      "\u01E6": "G",
      "\u0122": "G",
      "\u01E4": "G",
      "\u0193": "G",
      "\uA7A0": "G",
      "\uA77D": "G",
      "\uA77E": "G",
      "\u24BD": "H",
      "\uFF28": "H",
      "\u0124": "H",
      "\u1E22": "H",
      "\u1E26": "H",
      "\u021E": "H",
      "\u1E24": "H",
      "\u1E28": "H",
      "\u1E2A": "H",
      "\u0126": "H",
      "\u2C67": "H",
      "\u2C75": "H",
      "\uA78D": "H",
      "\u24BE": "I",
      "\uFF29": "I",
      "\xcc": "I",
      "\xcd": "I",
      "\xce": "I",
      "\u0128": "I",
      "\u012A": "I",
      "\u012C": "I",
      "\u0130": "I",
      "\xcf": "I",
      "\u1E2E": "I",
      "\u1EC8": "I",
      "\u01CF": "I",
      "\u0208": "I",
      "\u020A": "I",
      "\u1ECA": "I",
      "\u012E": "I",
      "\u1E2C": "I",
      "\u0197": "I",
      "\u24BF": "J",
      "\uFF2A": "J",
      "\u0134": "J",
      "\u0248": "J",
      "\u24C0": "K",
      "\uFF2B": "K",
      "\u1E30": "K",
      "\u01E8": "K",
      "\u1E32": "K",
      "\u0136": "K",
      "\u1E34": "K",
      "\u0198": "K",
      "\u2C69": "K",
      "\uA740": "K",
      "\uA742": "K",
      "\uA744": "K",
      "\uA7A2": "K",
      "\u24C1": "L",
      "\uFF2C": "L",
      "\u013F": "L",
      "\u0139": "L",
      "\u013D": "L",
      "\u1E36": "L",
      "\u1E38": "L",
      "\u013B": "L",
      "\u1E3C": "L",
      "\u1E3A": "L",
      "\u0141": "L",
      "\u023D": "L",
      "\u2C62": "L",
      "\u2C60": "L",
      "\uA748": "L",
      "\uA746": "L",
      "\uA780": "L",
      "\u01C7": "LJ",
      "\u01C8": "Lj",
      "\u24C2": "M",
      "\uFF2D": "M",
      "\u1E3E": "M",
      "\u1E40": "M",
      "\u1E42": "M",
      "\u2C6E": "M",
      "\u019C": "M",
      "\u24C3": "N",
      "\uFF2E": "N",
      "\u01F8": "N",
      "\u0143": "N",
      "\xd1": "N",
      "\u1E44": "N",
      "\u0147": "N",
      "\u1E46": "N",
      "\u0145": "N",
      "\u1E4A": "N",
      "\u1E48": "N",
      "\u0220": "N",
      "\u019D": "N",
      "\uA790": "N",
      "\uA7A4": "N",
      "\u01CA": "NJ",
      "\u01CB": "Nj",
      "\u24C4": "O",
      "\uFF2F": "O",
      "\xd2": "O",
      "\xd3": "O",
      "\xd4": "O",
      "\u1ED2": "O",
      "\u1ED0": "O",
      "\u1ED6": "O",
      "\u1ED4": "O",
      "\xd5": "O",
      "\u1E4C": "O",
      "\u022C": "O",
      "\u1E4E": "O",
      "\u014C": "O",
      "\u1E50": "O",
      "\u1E52": "O",
      "\u014E": "O",
      "\u022E": "O",
      "\u0230": "O",
      "\xd6": "O",
      "\u022A": "O",
      "\u1ECE": "O",
      "\u0150": "O",
      "\u01D1": "O",
      "\u020C": "O",
      "\u020E": "O",
      "\u01A0": "O",
      "\u1EDC": "O",
      "\u1EDA": "O",
      "\u1EE0": "O",
      "\u1EDE": "O",
      "\u1EE2": "O",
      "\u1ECC": "O",
      "\u1ED8": "O",
      "\u01EA": "O",
      "\u01EC": "O",
      "\xd8": "O",
      "\u01FE": "O",
      "\u0186": "O",
      "\u019F": "O",
      "\uA74A": "O",
      "\uA74C": "O",
      "\u01A2": "OI",
      "\uA74E": "OO",
      "\u0222": "OU",
      "\u24C5": "P",
      "\uFF30": "P",
      "\u1E54": "P",
      "\u1E56": "P",
      "\u01A4": "P",
      "\u2C63": "P",
      "\uA750": "P",
      "\uA752": "P",
      "\uA754": "P",
      "\u24C6": "Q",
      "\uFF31": "Q",
      "\uA756": "Q",
      "\uA758": "Q",
      "\u024A": "Q",
      "\u24C7": "R",
      "\uFF32": "R",
      "\u0154": "R",
      "\u1E58": "R",
      "\u0158": "R",
      "\u0210": "R",
      "\u0212": "R",
      "\u1E5A": "R",
      "\u1E5C": "R",
      "\u0156": "R",
      "\u1E5E": "R",
      "\u024C": "R",
      "\u2C64": "R",
      "\uA75A": "R",
      "\uA7A6": "R",
      "\uA782": "R",
      "\u24C8": "S",
      "\uFF33": "S",
      "\u1E9E": "S",
      "\u015A": "S",
      "\u1E64": "S",
      "\u015C": "S",
      "\u1E60": "S",
      "\u0160": "S",
      "\u1E66": "S",
      "\u1E62": "S",
      "\u1E68": "S",
      "\u0218": "S",
      "\u015E": "S",
      "\u2C7E": "S",
      "\uA7A8": "S",
      "\uA784": "S",
      "\u24C9": "T",
      "\uFF34": "T",
      "\u1E6A": "T",
      "\u0164": "T",
      "\u1E6C": "T",
      "\u021A": "T",
      "\u0162": "T",
      "\u1E70": "T",
      "\u1E6E": "T",
      "\u0166": "T",
      "\u01AC": "T",
      "\u01AE": "T",
      "\u023E": "T",
      "\uA786": "T",
      "\uA728": "TZ",
      "\u24CA": "U",
      "\uFF35": "U",
      "\xd9": "U",
      "\xda": "U",
      "\xdb": "U",
      "\u0168": "U",
      "\u1E78": "U",
      "\u016A": "U",
      "\u1E7A": "U",
      "\u016C": "U",
      "\xdc": "U",
      "\u01DB": "U",
      "\u01D7": "U",
      "\u01D5": "U",
      "\u01D9": "U",
      "\u1EE6": "U",
      "\u016E": "U",
      "\u0170": "U",
      "\u01D3": "U",
      "\u0214": "U",
      "\u0216": "U",
      "\u01AF": "U",
      "\u1EEA": "U",
      "\u1EE8": "U",
      "\u1EEE": "U",
      "\u1EEC": "U",
      "\u1EF0": "U",
      "\u1EE4": "U",
      "\u1E72": "U",
      "\u0172": "U",
      "\u1E76": "U",
      "\u1E74": "U",
      "\u0244": "U",
      "\u24CB": "V",
      "\uFF36": "V",
      "\u1E7C": "V",
      "\u1E7E": "V",
      "\u01B2": "V",
      "\uA75E": "V",
      "\u0245": "V",
      "\uA760": "VY",
      "\u24CC": "W",
      "\uFF37": "W",
      "\u1E80": "W",
      "\u1E82": "W",
      "\u0174": "W",
      "\u1E86": "W",
      "\u1E84": "W",
      "\u1E88": "W",
      "\u2C72": "W",
      "\u24CD": "X",
      "\uFF38": "X",
      "\u1E8A": "X",
      "\u1E8C": "X",
      "\u24CE": "Y",
      "\uFF39": "Y",
      "\u1EF2": "Y",
      "\xdd": "Y",
      "\u0176": "Y",
      "\u1EF8": "Y",
      "\u0232": "Y",
      "\u1E8E": "Y",
      "\u0178": "Y",
      "\u1EF6": "Y",
      "\u1EF4": "Y",
      "\u01B3": "Y",
      "\u024E": "Y",
      "\u1EFE": "Y",
      "\u24CF": "Z",
      "\uFF3A": "Z",
      "\u0179": "Z",
      "\u1E90": "Z",
      "\u017B": "Z",
      "\u017D": "Z",
      "\u1E92": "Z",
      "\u1E94": "Z",
      "\u01B5": "Z",
      "\u0224": "Z",
      "\u2C7F": "Z",
      "\u2C6B": "Z",
      "\uA762": "Z",
      "\u24D0": "a",
      "\uFF41": "a",
      "\u1E9A": "a",
      "\xe0": "a",
      "\xe1": "a",
      "\xe2": "a",
      "\u1EA7": "a",
      "\u1EA5": "a",
      "\u1EAB": "a",
      "\u1EA9": "a",
      "\xe3": "a",
      "\u0101": "a",
      "\u0103": "a",
      "\u1EB1": "a",
      "\u1EAF": "a",
      "\u1EB5": "a",
      "\u1EB3": "a",
      "\u0227": "a",
      "\u01E1": "a",
      "\xe4": "a",
      "\u01DF": "a",
      "\u1EA3": "a",
      "\xe5": "a",
      "\u01FB": "a",
      "\u01CE": "a",
      "\u0201": "a",
      "\u0203": "a",
      "\u1EA1": "a",
      "\u1EAD": "a",
      "\u1EB7": "a",
      "\u1E01": "a",
      "\u0105": "a",
      "\u2C65": "a",
      "\u0250": "a",
      "\uA733": "aa",
      "\xe6": "ae",
      "\u01FD": "ae",
      "\u01E3": "ae",
      "\uA735": "ao",
      "\uA737": "au",
      "\uA739": "av",
      "\uA73B": "av",
      "\uA73D": "ay",
      "\u24D1": "b",
      "\uFF42": "b",
      "\u1E03": "b",
      "\u1E05": "b",
      "\u1E07": "b",
      "\u0180": "b",
      "\u0183": "b",
      "\u0253": "b",
      "\u24D2": "c",
      "\uFF43": "c",
      "\u0107": "c",
      "\u0109": "c",
      "\u010B": "c",
      "\u010D": "c",
      "\xe7": "c",
      "\u1E09": "c",
      "\u0188": "c",
      "\u023C": "c",
      "\uA73F": "c",
      "\u2184": "c",
      "\u24D3": "d",
      "\uFF44": "d",
      "\u1E0B": "d",
      "\u010F": "d",
      "\u1E0D": "d",
      "\u1E11": "d",
      "\u1E13": "d",
      "\u1E0F": "d",
      "\u0111": "d",
      "\u018C": "d",
      "\u0256": "d",
      "\u0257": "d",
      "\uA77A": "d",
      "\u01F3": "dz",
      "\u01C6": "dz",
      "\u24D4": "e",
      "\uFF45": "e",
      "\xe8": "e",
      "\xe9": "e",
      "\xea": "e",
      "\u1EC1": "e",
      "\u1EBF": "e",
      "\u1EC5": "e",
      "\u1EC3": "e",
      "\u1EBD": "e",
      "\u0113": "e",
      "\u1E15": "e",
      "\u1E17": "e",
      "\u0115": "e",
      "\u0117": "e",
      "\xeb": "e",
      "\u1EBB": "e",
      "\u011B": "e",
      "\u0205": "e",
      "\u0207": "e",
      "\u1EB9": "e",
      "\u1EC7": "e",
      "\u0229": "e",
      "\u1E1D": "e",
      "\u0119": "e",
      "\u1E19": "e",
      "\u1E1B": "e",
      "\u0247": "e",
      "\u025B": "e",
      "\u01DD": "e",
      "\u24D5": "f",
      "\uFF46": "f",
      "\u1E1F": "f",
      "\u0192": "f",
      "\uA77C": "f",
      "\u24D6": "g",
      "\uFF47": "g",
      "\u01F5": "g",
      "\u011D": "g",
      "\u1E21": "g",
      "\u011F": "g",
      "\u0121": "g",
      "\u01E7": "g",
      "\u0123": "g",
      "\u01E5": "g",
      "\u0260": "g",
      "\uA7A1": "g",
      "\u1D79": "g",
      "\uA77F": "g",
      "\u24D7": "h",
      "\uFF48": "h",
      "\u0125": "h",
      "\u1E23": "h",
      "\u1E27": "h",
      "\u021F": "h",
      "\u1E25": "h",
      "\u1E29": "h",
      "\u1E2B": "h",
      "\u1E96": "h",
      "\u0127": "h",
      "\u2C68": "h",
      "\u2C76": "h",
      "\u0265": "h",
      "\u0195": "hv",
      "\u24D8": "i",
      "\uFF49": "i",
      "\xec": "i",
      "\xed": "i",
      "\xee": "i",
      "\u0129": "i",
      "\u012B": "i",
      "\u012D": "i",
      "\xef": "i",
      "\u1E2F": "i",
      "\u1EC9": "i",
      "\u01D0": "i",
      "\u0209": "i",
      "\u020B": "i",
      "\u1ECB": "i",
      "\u012F": "i",
      "\u1E2D": "i",
      "\u0268": "i",
      "\u0131": "i",
      "\u24D9": "j",
      "\uFF4A": "j",
      "\u0135": "j",
      "\u01F0": "j",
      "\u0249": "j",
      "\u24DA": "k",
      "\uFF4B": "k",
      "\u1E31": "k",
      "\u01E9": "k",
      "\u1E33": "k",
      "\u0137": "k",
      "\u1E35": "k",
      "\u0199": "k",
      "\u2C6A": "k",
      "\uA741": "k",
      "\uA743": "k",
      "\uA745": "k",
      "\uA7A3": "k",
      "\u24DB": "l",
      "\uFF4C": "l",
      "\u0140": "l",
      "\u013A": "l",
      "\u013E": "l",
      "\u1E37": "l",
      "\u1E39": "l",
      "\u013C": "l",
      "\u1E3D": "l",
      "\u1E3B": "l",
      "\u017F": "l",
      "\u0142": "l",
      "\u019A": "l",
      "\u026B": "l",
      "\u2C61": "l",
      "\uA749": "l",
      "\uA781": "l",
      "\uA747": "l",
      "\u01C9": "lj",
      "\u24DC": "m",
      "\uFF4D": "m",
      "\u1E3F": "m",
      "\u1E41": "m",
      "\u1E43": "m",
      "\u0271": "m",
      "\u026F": "m",
      "\u24DD": "n",
      "\uFF4E": "n",
      "\u01F9": "n",
      "\u0144": "n",
      "\xf1": "n",
      "\u1E45": "n",
      "\u0148": "n",
      "\u1E47": "n",
      "\u0146": "n",
      "\u1E4B": "n",
      "\u1E49": "n",
      "\u019E": "n",
      "\u0272": "n",
      "\u0149": "n",
      "\uA791": "n",
      "\uA7A5": "n",
      "\u01CC": "nj",
      "\u24DE": "o",
      "\uFF4F": "o",
      "\xf2": "o",
      "\xf3": "o",
      "\xf4": "o",
      "\u1ED3": "o",
      "\u1ED1": "o",
      "\u1ED7": "o",
      "\u1ED5": "o",
      "\xf5": "o",
      "\u1E4D": "o",
      "\u022D": "o",
      "\u1E4F": "o",
      "\u014D": "o",
      "\u1E51": "o",
      "\u1E53": "o",
      "\u014F": "o",
      "\u022F": "o",
      "\u0231": "o",
      "\xf6": "o",
      "\u022B": "o",
      "\u1ECF": "o",
      "\u0151": "o",
      "\u01D2": "o",
      "\u020D": "o",
      "\u020F": "o",
      "\u01A1": "o",
      "\u1EDD": "o",
      "\u1EDB": "o",
      "\u1EE1": "o",
      "\u1EDF": "o",
      "\u1EE3": "o",
      "\u1ECD": "o",
      "\u1ED9": "o",
      "\u01EB": "o",
      "\u01ED": "o",
      "\xf8": "o",
      "\u01FF": "o",
      "\u0254": "o",
      "\uA74B": "o",
      "\uA74D": "o",
      "\u0275": "o",
      "\u01A3": "oi",
      "\u0223": "ou",
      "\uA74F": "oo",
      "\u24DF": "p",
      "\uFF50": "p",
      "\u1E55": "p",
      "\u1E57": "p",
      "\u01A5": "p",
      "\u1D7D": "p",
      "\uA751": "p",
      "\uA753": "p",
      "\uA755": "p",
      "\u24E0": "q",
      "\uFF51": "q",
      "\u024B": "q",
      "\uA757": "q",
      "\uA759": "q",
      "\u24E1": "r",
      "\uFF52": "r",
      "\u0155": "r",
      "\u1E59": "r",
      "\u0159": "r",
      "\u0211": "r",
      "\u0213": "r",
      "\u1E5B": "r",
      "\u1E5D": "r",
      "\u0157": "r",
      "\u1E5F": "r",
      "\u024D": "r",
      "\u027D": "r",
      "\uA75B": "r",
      "\uA7A7": "r",
      "\uA783": "r",
      "\u24E2": "s",
      "\uFF53": "s",
      "\xdf": "s",
      "\u015B": "s",
      "\u1E65": "s",
      "\u015D": "s",
      "\u1E61": "s",
      "\u0161": "s",
      "\u1E67": "s",
      "\u1E63": "s",
      "\u1E69": "s",
      "\u0219": "s",
      "\u015F": "s",
      "\u023F": "s",
      "\uA7A9": "s",
      "\uA785": "s",
      "\u1E9B": "s",
      "\u24E3": "t",
      "\uFF54": "t",
      "\u1E6B": "t",
      "\u1E97": "t",
      "\u0165": "t",
      "\u1E6D": "t",
      "\u021B": "t",
      "\u0163": "t",
      "\u1E71": "t",
      "\u1E6F": "t",
      "\u0167": "t",
      "\u01AD": "t",
      "\u0288": "t",
      "\u2C66": "t",
      "\uA787": "t",
      "\uA729": "tz",
      "\u24E4": "u",
      "\uFF55": "u",
      "\xf9": "u",
      "\xfa": "u",
      "\xfb": "u",
      "\u0169": "u",
      "\u1E79": "u",
      "\u016B": "u",
      "\u1E7B": "u",
      "\u016D": "u",
      "\xfc": "u",
      "\u01DC": "u",
      "\u01D8": "u",
      "\u01D6": "u",
      "\u01DA": "u",
      "\u1EE7": "u",
      "\u016F": "u",
      "\u0171": "u",
      "\u01D4": "u",
      "\u0215": "u",
      "\u0217": "u",
      "\u01B0": "u",
      "\u1EEB": "u",
      "\u1EE9": "u",
      "\u1EEF": "u",
      "\u1EED": "u",
      "\u1EF1": "u",
      "\u1EE5": "u",
      "\u1E73": "u",
      "\u0173": "u",
      "\u1E77": "u",
      "\u1E75": "u",
      "\u0289": "u",
      "\u24E5": "v",
      "\uFF56": "v",
      "\u1E7D": "v",
      "\u1E7F": "v",
      "\u028B": "v",
      "\uA75F": "v",
      "\u028C": "v",
      "\uA761": "vy",
      "\u24E6": "w",
      "\uFF57": "w",
      "\u1E81": "w",
      "\u1E83": "w",
      "\u0175": "w",
      "\u1E87": "w",
      "\u1E85": "w",
      "\u1E98": "w",
      "\u1E89": "w",
      "\u2C73": "w",
      "\u24E7": "x",
      "\uFF58": "x",
      "\u1E8B": "x",
      "\u1E8D": "x",
      "\u24E8": "y",
      "\uFF59": "y",
      "\u1EF3": "y",
      "\xfd": "y",
      "\u0177": "y",
      "\u1EF9": "y",
      "\u0233": "y",
      "\u1E8F": "y",
      "\xff": "y",
      "\u1EF7": "y",
      "\u1E99": "y",
      "\u1EF5": "y",
      "\u01B4": "y",
      "\u024F": "y",
      "\u1EFF": "y",
      "\u24E9": "z",
      "\uFF5A": "z",
      "\u017A": "z",
      "\u1E91": "z",
      "\u017C": "z",
      "\u017E": "z",
      "\u1E93": "z",
      "\u1E95": "z",
      "\u01B6": "z",
      "\u0225": "z",
      "\u0240": "z",
      "\u2C6C": "z",
      "\uA763": "z",
      "\u0386": "\u0391",
      "\u0388": "\u0395",
      "\u0389": "\u0397",
      "\u038A": "\u0399",
      "\u03AA": "\u0399",
      "\u038C": "\u039F",
      "\u038E": "\u03A5",
      "\u03AB": "\u03A5",
      "\u038F": "\u03A9",
      "\u03AC": "\u03B1",
      "\u03AD": "\u03B5",
      "\u03AE": "\u03B7",
      "\u03AF": "\u03B9",
      "\u03CA": "\u03B9",
      "\u0390": "\u03B9",
      "\u03CC": "\u03BF",
      "\u03CD": "\u03C5",
      "\u03CB": "\u03C5",
      "\u03B0": "\u03C5",
      "\u03C9": "\u03C9",
      "\u03C2": "\u03C3"
    };
    j = a(document), g = function () {
      var a = 1;
      return function () {
        return a++;
      };
    }(), d = O(Object, {
      bind: function bind(a) {
        var b = this;
        return function () {
          a.apply(b, arguments);
        };
      },
      init: function init(c) {
        var d,
            e,
            f = ".select2-results";
        this.opts = c = this.prepareOpts(c), this.id = c.id, c.element.data("select2") !== b && null !== c.element.data("select2") && c.element.data("select2").destroy(), this.container = this.createContainer(), this.liveRegion = a("<span>", {
          role: "status",
          "aria-live": "polite"
        }).addClass("select2-hidden-accessible").appendTo(document.body), this.containerId = "s2id_" + (c.element.attr("id") || "autogen" + g()), this.containerEventName = this.containerId.replace(/([.])/g, "_").replace(/([;&,\-\.\+\*\~':"\!\^#$%@\[\]\(\)=>\|])/g, "\\$1"), this.container.attr("id", this.containerId), this.container.attr("title", c.element.attr("title")), this.body = a("body"), D(this.container, this.opts.element, this.opts.adaptContainerCssClass), this.container.attr("style", c.element.attr("style")), this.container.css(K(c.containerCss, this.opts.element)), this.container.addClass(K(c.containerCssClass, this.opts.element)), this.elementTabIndex = this.opts.element.attr("tabindex"), this.opts.element.data("select2", this).attr("tabindex", "-1").before(this.container).on("click.select2", A), this.container.data("select2", this), this.dropdown = this.container.find(".select2-drop"), D(this.dropdown, this.opts.element, this.opts.adaptDropdownCssClass), this.dropdown.addClass(K(c.dropdownCssClass, this.opts.element)), this.dropdown.data("select2", this), this.dropdown.on("click", A), this.results = d = this.container.find(f), this.search = e = this.container.find("input.select2-input"), this.queryCount = 0, this.resultsPage = 0, this.context = null, this.initContainer(), this.container.on("click", A), v(this.results), this.dropdown.on("mousemove-filtered", f, this.bind(this.highlightUnderEvent)), this.dropdown.on("touchstart touchmove touchend", f, this.bind(function (a) {
          this._touchEvent = !0, this.highlightUnderEvent(a);
        })), this.dropdown.on("touchmove", f, this.bind(this.touchMoved)), this.dropdown.on("touchstart touchend", f, this.bind(this.clearTouchMoved)), this.dropdown.on("click", this.bind(function () {
          this._touchEvent && (this._touchEvent = !1, this.selectHighlighted());
        })), x(80, this.results), this.dropdown.on("scroll-debounced", f, this.bind(this.loadMoreIfNeeded)), a(this.container).on("change", ".select2-input", function (a) {
          a.stopPropagation();
        }), a(this.dropdown).on("change", ".select2-input", function (a) {
          a.stopPropagation();
        }), a.fn.mousewheel && d.mousewheel(function (a, b, c, e) {
          var f = d.scrollTop();
          e > 0 && 0 >= f - e ? (d.scrollTop(0), A(a)) : 0 > e && d.get(0).scrollHeight - d.scrollTop() + e <= d.height() && (d.scrollTop(d.get(0).scrollHeight - d.height()), A(a));
        }), u(e), e.on("keyup-change input paste", this.bind(this.updateResults)), e.on("focus", function () {
          e.addClass("select2-focused");
        }), e.on("blur", function () {
          e.removeClass("select2-focused");
        }), this.dropdown.on("mouseup", f, this.bind(function (b) {
          a(b.target).closest(".select2-result-selectable").length > 0 && (this.highlightUnderEvent(b), this.selectHighlighted(b));
        })), this.dropdown.on("click mouseup mousedown touchstart touchend focusin", function (a) {
          a.stopPropagation();
        }), this.nextSearchTerm = b, a.isFunction(this.opts.initSelection) && (this.initSelection(), this.monitorSource()), null !== c.maximumInputLength && this.search.attr("maxlength", c.maximumInputLength);
        var h = c.element.prop("disabled");
        h === b && (h = !1), this.enable(!h);
        var i = c.element.prop("readonly");
        i === b && (i = !1), this.readonly(i), k = k || q(), this.autofocus = c.element.prop("autofocus"), c.element.prop("autofocus", !1), this.autofocus && this.focus(), this.search.attr("placeholder", c.searchInputPlaceholder);
      },
      destroy: function destroy() {
        var a = this.opts.element,
            c = a.data("select2"),
            d = this;
        this.close(), a.length && a[0].detachEvent && a.each(function () {
          this.detachEvent("onpropertychange", d._sync);
        }), this.propertyObserver && (this.propertyObserver.disconnect(), this.propertyObserver = null), this._sync = null, c !== b && (c.container.remove(), c.liveRegion.remove(), c.dropdown.remove(), a.removeClass("select2-offscreen").removeData("select2").off(".select2").prop("autofocus", this.autofocus || !1), this.elementTabIndex ? a.attr({
          tabindex: this.elementTabIndex
        }) : a.removeAttr("tabindex"), a.show()), N.call(this, "container", "liveRegion", "dropdown", "results", "search");
      },
      optionToData: function optionToData(a) {
        return a.is("option") ? {
          id: a.prop("value"),
          text: a.text(),
          element: a.get(),
          css: a.attr("class"),
          disabled: a.prop("disabled"),
          locked: r(a.attr("locked"), "locked") || r(a.data("locked"), !0)
        } : a.is("optgroup") ? {
          text: a.attr("label"),
          children: [],
          element: a.get(),
          css: a.attr("class")
        } : void 0;
      },
      prepareOpts: function prepareOpts(c) {
        var d,
            e,
            f,
            h,
            i = this;

        if (d = c.element, "select" === d.get(0).tagName.toLowerCase() && (this.select = e = c.element), e && a.each(["id", "multiple", "ajax", "query", "createSearchChoice", "initSelection", "data", "tags"], function () {
          if (this in c) throw new Error("Option '" + this + "' is not allowed for Select2 when attached to a <select> element.");
        }), c = a.extend({}, {
          populateResults: function populateResults(d, e, f) {
            var _h,
                j = this.opts.id,
                k = this.liveRegion;

            _h = function h(d, e, l) {
              var m, n, o, p, q, r, s, t, u, v;
              d = c.sortResults(d, e, f);
              var w = [];

              for (m = 0, n = d.length; n > m; m += 1) {
                o = d[m], q = o.disabled === !0, p = !q && j(o) !== b, r = o.children && o.children.length > 0, s = a("<li></li>"), s.addClass("select2-results-dept-" + l), s.addClass("select2-result"), s.addClass(p ? "select2-result-selectable" : "select2-result-unselectable"), q && s.addClass("select2-disabled"), r && s.addClass("select2-result-with-children"), s.addClass(i.opts.formatResultCssClass(o)), s.attr("role", "presentation"), t = a(document.createElement("div")), t.addClass("select2-result-label"), t.attr("id", "select2-result-label-" + g()), t.attr("role", "option"), v = c.formatResult(o, t, f, i.opts.escapeMarkup), v !== b && (t.html(v), s.append(t)), r && (u = a("<ul></ul>"), u.addClass("select2-result-sub"), _h(o.children, u, l + 1), s.append(u)), s.data("select2-data", o), w.push(s[0]);
              }

              e.append(w), k.text(c.formatMatches(d.length));
            }, _h(e, d, 0);
          }
        }, a.fn.select2.defaults, c), "function" != typeof c.id && (f = c.id, c.id = function (a) {
          return a[f];
        }), a.isArray(c.element.data("select2Tags"))) {
          if ("tags" in c) throw "tags specified as both an attribute 'data-select2-tags' and in options of Select2 " + c.element.attr("id");
          c.tags = c.element.data("select2Tags");
        }

        if (e ? (c.query = this.bind(function (a) {
          var f,
              g,
              _h2,
              c = {
            results: [],
            more: !1
          },
              e = a.term;

          _h2 = function h(b, c) {
            var d;
            b.is("option") ? a.matcher(e, b.text(), b) && c.push(i.optionToData(b)) : b.is("optgroup") && (d = i.optionToData(b), b.children().each2(function (a, b) {
              _h2(b, d.children);
            }), d.children.length > 0 && c.push(d));
          }, f = d.children(), this.getPlaceholder() !== b && f.length > 0 && (g = this.getPlaceholderOption(), g && (f = f.not(g))), f.each2(function (a, b) {
            _h2(b, c.results);
          }), a.callback(c);
        }), c.id = function (a) {
          return a.id;
        }) : "query" in c || ("ajax" in c ? (h = c.element.data("ajax-url"), h && h.length > 0 && (c.ajax.url = h), c.query = G.call(c.element, c.ajax)) : "data" in c ? c.query = H(c.data) : "tags" in c && (c.query = I(c.tags), c.createSearchChoice === b && (c.createSearchChoice = function (b) {
          return {
            id: a.trim(b),
            text: a.trim(b)
          };
        }), c.initSelection === b && (c.initSelection = function (b, d) {
          var e = [];
          a(s(b.val(), c.separator)).each(function () {
            var b = {
              id: this,
              text: this
            },
                d = c.tags;
            a.isFunction(d) && (d = d()), a(d).each(function () {
              return r(this.id, b.id) ? (b = this, !1) : void 0;
            }), e.push(b);
          }), d(e);
        }))), "function" != typeof c.query) throw "query function not defined for Select2 " + c.element.attr("id");
        if ("top" === c.createSearchChoicePosition) c.createSearchChoicePosition = function (a, b) {
          a.unshift(b);
        };else if ("bottom" === c.createSearchChoicePosition) c.createSearchChoicePosition = function (a, b) {
          a.push(b);
        };else if ("function" != typeof c.createSearchChoicePosition) throw "invalid createSearchChoicePosition option must be 'top', 'bottom' or a custom function";
        return c;
      },
      monitorSource: function monitorSource() {
        var d,
            c = this.opts.element,
            e = this;
        c.on("change.select2", this.bind(function () {
          this.opts.element.data("select2-change-triggered") !== !0 && this.initSelection();
        })), this._sync = this.bind(function () {
          var a = c.prop("disabled");
          a === b && (a = !1), this.enable(!a);
          var d = c.prop("readonly");
          d === b && (d = !1), this.readonly(d), D(this.container, this.opts.element, this.opts.adaptContainerCssClass), this.container.addClass(K(this.opts.containerCssClass, this.opts.element)), D(this.dropdown, this.opts.element, this.opts.adaptDropdownCssClass), this.dropdown.addClass(K(this.opts.dropdownCssClass, this.opts.element));
        }), c.length && c[0].attachEvent && c.each(function () {
          this.attachEvent("onpropertychange", e._sync);
        }), d = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver, d !== b && (this.propertyObserver && (delete this.propertyObserver, this.propertyObserver = null), this.propertyObserver = new d(function (b) {
          a.each(b, e._sync);
        }), this.propertyObserver.observe(c.get(0), {
          attributes: !0,
          subtree: !1
        }));
      },
      triggerSelect: function triggerSelect(b) {
        var c = a.Event("select2-selecting", {
          val: this.id(b),
          object: b,
          choice: b
        });
        return this.opts.element.trigger(c), !c.isDefaultPrevented();
      },
      triggerChange: function triggerChange(b) {
        b = b || {}, b = a.extend({}, b, {
          type: "change",
          val: this.val()
        }), this.opts.element.data("select2-change-triggered", !0), this.opts.element.trigger(b), this.opts.element.data("select2-change-triggered", !1), this.opts.element.click(), this.opts.blurOnChange && this.opts.element.blur();
      },
      isInterfaceEnabled: function isInterfaceEnabled() {
        return this.enabledInterface === !0;
      },
      enableInterface: function enableInterface() {
        var a = this._enabled && !this._readonly,
            b = !a;
        return a === this.enabledInterface ? !1 : (this.container.toggleClass("select2-container-disabled", b), this.close(), this.enabledInterface = a, !0);
      },
      enable: function enable(a) {
        a === b && (a = !0), this._enabled !== a && (this._enabled = a, this.opts.element.prop("disabled", !a), this.enableInterface());
      },
      disable: function disable() {
        this.enable(!1);
      },
      readonly: function readonly(a) {
        a === b && (a = !1), this._readonly !== a && (this._readonly = a, this.opts.element.prop("readonly", a), this.enableInterface());
      },
      opened: function opened() {
        return this.container ? this.container.hasClass("select2-dropdown-open") : !1;
      },
      positionDropdown: function positionDropdown() {
        var t,
            u,
            v,
            w,
            x,
            b = this.dropdown,
            c = this.container.offset(),
            d = this.container.outerHeight(!1),
            e = this.container.outerWidth(!1),
            f = b.outerHeight(!1),
            g = a(window),
            h = g.width(),
            i = g.height(),
            j = g.scrollLeft() + h,
            l = g.scrollTop() + i,
            m = c.top + d,
            n = c.left,
            o = l >= m + f,
            p = c.top - f >= g.scrollTop(),
            q = b.outerWidth(!1),
            r = j >= n + q,
            s = b.hasClass("select2-drop-above");
        s ? (u = !0, !p && o && (v = !0, u = !1)) : (u = !1, !o && p && (v = !0, u = !0)), v && (b.hide(), c = this.container.offset(), d = this.container.outerHeight(!1), e = this.container.outerWidth(!1), f = b.outerHeight(!1), j = g.scrollLeft() + h, l = g.scrollTop() + i, m = c.top + d, n = c.left, q = b.outerWidth(!1), r = j >= n + q, b.show(), this.focusSearch()), this.opts.dropdownAutoWidth ? (x = a(".select2-results", b)[0], b.addClass("select2-drop-auto-width"), b.css("width", ""), q = b.outerWidth(!1) + (x.scrollHeight === x.clientHeight ? 0 : k.width), q > e ? e = q : q = e, f = b.outerHeight(!1), r = j >= n + q) : this.container.removeClass("select2-drop-auto-width"), "static" !== this.body.css("position") && (t = this.body.offset(), m -= t.top, n -= t.left), r || (n = c.left + this.container.outerWidth(!1) - q), w = {
          left: n,
          width: e
        }, u ? (w.top = c.top - f, w.bottom = "auto", this.container.addClass("select2-drop-above"), b.addClass("select2-drop-above")) : (w.top = m, w.bottom = "auto", this.container.removeClass("select2-drop-above"), b.removeClass("select2-drop-above")), w = a.extend(w, K(this.opts.dropdownCss, this.opts.element)), b.css(w);
      },
      shouldOpen: function shouldOpen() {
        var b;
        return this.opened() ? !1 : this._enabled === !1 || this._readonly === !0 ? !1 : (b = a.Event("select2-opening"), this.opts.element.trigger(b), !b.isDefaultPrevented());
      },
      clearDropdownAlignmentPreference: function clearDropdownAlignmentPreference() {
        this.container.removeClass("select2-drop-above"), this.dropdown.removeClass("select2-drop-above");
      },
      open: function open() {
        return this.shouldOpen() ? (this.opening(), j.on("mousemove.select2Event", function (a) {
          i.x = a.pageX, i.y = a.pageY;
        }), !0) : !1;
      },
      opening: function opening() {
        var f,
            b = this.containerEventName,
            c = "scroll." + b,
            d = "resize." + b,
            e = "orientationchange." + b;
        this.container.addClass("select2-dropdown-open").addClass("select2-container-active"), this.clearDropdownAlignmentPreference(), this.dropdown[0] !== this.body.children().last()[0] && this.dropdown.detach().appendTo(this.body), f = a("#select2-drop-mask"), 0 == f.length && (f = a(document.createElement("div")), f.attr("id", "select2-drop-mask").attr("class", "select2-drop-mask"), f.hide(), f.appendTo(this.body), f.on("mousedown touchstart click", function (b) {
          n(f);
          var d,
              c = a("#select2-drop");
          c.length > 0 && (d = c.data("select2"), d.opts.selectOnBlur && d.selectHighlighted({
            noFocus: !0
          }), d.close(), b.preventDefault(), b.stopPropagation());
        })), this.dropdown.prev()[0] !== f[0] && this.dropdown.before(f), a("#select2-drop").removeAttr("id"), this.dropdown.attr("id", "select2-drop"), f.show(), this.positionDropdown(), this.dropdown.show(), this.positionDropdown(), this.dropdown.addClass("select2-drop-active");
        var g = this;
        this.container.parents().add(window).each(function () {
          a(this).on(d + " " + c + " " + e, function () {
            g.opened() && g.positionDropdown();
          });
        });
      },
      close: function close() {
        if (this.opened()) {
          var b = this.containerEventName,
              c = "scroll." + b,
              d = "resize." + b,
              e = "orientationchange." + b;
          this.container.parents().add(window).each(function () {
            a(this).off(c).off(d).off(e);
          }), this.clearDropdownAlignmentPreference(), a("#select2-drop-mask").hide(), this.dropdown.removeAttr("id"), this.dropdown.hide(), this.container.removeClass("select2-dropdown-open").removeClass("select2-container-active"), this.results.empty(), j.off("mousemove.select2Event"), this.clearSearch(), this.search.removeClass("select2-active"), this.opts.element.trigger(a.Event("select2-close"));
        }
      },
      externalSearch: function externalSearch(a) {
        this.open(), this.search.val(a), this.updateResults(!1);
      },
      clearSearch: function clearSearch() {},
      getMaximumSelectionSize: function getMaximumSelectionSize() {
        return K(this.opts.maximumSelectionSize, this.opts.element);
      },
      ensureHighlightVisible: function ensureHighlightVisible() {
        var c,
            d,
            e,
            f,
            g,
            h,
            i,
            j,
            b = this.results;

        if (d = this.highlight(), !(0 > d)) {
          if (0 == d) return b.scrollTop(0), void 0;
          c = this.findHighlightableChoices().find(".select2-result-label"), e = a(c[d]), j = (e.offset() || {}).top || 0, f = j + e.outerHeight(!0), d === c.length - 1 && (i = b.find("li.select2-more-results"), i.length > 0 && (f = i.offset().top + i.outerHeight(!0))), g = b.offset().top + b.outerHeight(!0), f > g && b.scrollTop(b.scrollTop() + (f - g)), h = j - b.offset().top, 0 > h && "none" != e.css("display") && b.scrollTop(b.scrollTop() + h);
        }
      },
      findHighlightableChoices: function findHighlightableChoices() {
        return this.results.find(".select2-result-selectable:not(.select2-disabled):not(.select2-selected)");
      },
      moveHighlight: function moveHighlight(b) {
        for (var c = this.findHighlightableChoices(), d = this.highlight(); d > -1 && d < c.length;) {
          d += b;
          var e = a(c[d]);

          if (e.hasClass("select2-result-selectable") && !e.hasClass("select2-disabled") && !e.hasClass("select2-selected")) {
            this.highlight(d);
            break;
          }
        }
      },
      highlight: function highlight(b) {
        var d,
            e,
            c = this.findHighlightableChoices();
        return 0 === arguments.length ? p(c.filter(".select2-highlighted")[0], c.get()) : (b >= c.length && (b = c.length - 1), 0 > b && (b = 0), this.removeHighlight(), d = a(c[b]), d.addClass("select2-highlighted"), this.search.attr("aria-activedescendant", d.find(".select2-result-label").attr("id")), this.ensureHighlightVisible(), this.liveRegion.text(d.text()), e = d.data("select2-data"), e && this.opts.element.trigger({
          type: "select2-highlight",
          val: this.id(e),
          choice: e
        }), void 0);
      },
      removeHighlight: function removeHighlight() {
        this.results.find(".select2-highlighted").removeClass("select2-highlighted");
      },
      touchMoved: function touchMoved() {
        this._touchMoved = !0;
      },
      clearTouchMoved: function clearTouchMoved() {
        this._touchMoved = !1;
      },
      countSelectableResults: function countSelectableResults() {
        return this.findHighlightableChoices().length;
      },
      highlightUnderEvent: function highlightUnderEvent(b) {
        var c = a(b.target).closest(".select2-result-selectable");

        if (c.length > 0 && !c.is(".select2-highlighted")) {
          var d = this.findHighlightableChoices();
          this.highlight(d.index(c));
        } else 0 == c.length && this.removeHighlight();
      },
      loadMoreIfNeeded: function loadMoreIfNeeded() {
        var c,
            a = this.results,
            b = a.find("li.select2-more-results"),
            d = this.resultsPage + 1,
            e = this,
            f = this.search.val(),
            g = this.context;
        0 !== b.length && (c = b.offset().top - a.offset().top - a.height(), c <= this.opts.loadMorePadding && (b.addClass("select2-active"), this.opts.query({
          element: this.opts.element,
          term: f,
          page: d,
          context: g,
          matcher: this.opts.matcher,
          callback: this.bind(function (c) {
            e.opened() && (e.opts.populateResults.call(this, a, c.results, {
              term: f,
              page: d,
              context: g
            }), e.postprocessResults(c, !1, !1), c.more === !0 ? (b.detach().appendTo(a).text(K(e.opts.formatLoadMore, e.opts.element, d + 1)), window.setTimeout(function () {
              e.loadMoreIfNeeded();
            }, 10)) : b.remove(), e.positionDropdown(), e.resultsPage = d, e.context = c.context, this.opts.element.trigger({
              type: "select2-loaded",
              items: c
            }));
          })
        })));
      },
      tokenize: function tokenize() {},
      updateResults: function updateResults(c) {
        function m() {
          d.removeClass("select2-active"), h.positionDropdown(), e.find(".select2-no-results,.select2-selection-limit,.select2-searching").length ? h.liveRegion.text(e.text()) : h.liveRegion.text(h.opts.formatMatches(e.find(".select2-result-selectable").length));
        }

        function n(a) {
          e.html(a), m();
        }

        var g,
            i,
            l,
            d = this.search,
            e = this.results,
            f = this.opts,
            h = this,
            j = d.val(),
            k = a.data(this.container, "select2-last-term");

        if ((c === !0 || !k || !r(j, k)) && (a.data(this.container, "select2-last-term", j), c === !0 || this.showSearchInput !== !1 && this.opened())) {
          l = ++this.queryCount;
          var o = this.getMaximumSelectionSize();
          if (o >= 1 && (g = this.data(), a.isArray(g) && g.length >= o && J(f.formatSelectionTooBig, "formatSelectionTooBig"))) return n("<li class='select2-selection-limit'>" + K(f.formatSelectionTooBig, f.element, o) + "</li>"), void 0;
          if (d.val().length < f.minimumInputLength) return J(f.formatInputTooShort, "formatInputTooShort") ? n("<li class='select2-no-results'>" + K(f.formatInputTooShort, f.element, d.val(), f.minimumInputLength) + "</li>") : n(""), c && this.showSearch && this.showSearch(!0), void 0;
          if (f.maximumInputLength && d.val().length > f.maximumInputLength) return J(f.formatInputTooLong, "formatInputTooLong") ? n("<li class='select2-no-results'>" + K(f.formatInputTooLong, f.element, d.val(), f.maximumInputLength) + "</li>") : n(""), void 0;
          f.formatSearching && 0 === this.findHighlightableChoices().length && n("<li class='select2-searching'>" + K(f.formatSearching, f.element) + "</li>"), d.addClass("select2-active"), this.removeHighlight(), i = this.tokenize(), i != b && null != i && d.val(i), this.resultsPage = 1, f.query({
            element: f.element,
            term: d.val(),
            page: this.resultsPage,
            context: null,
            matcher: f.matcher,
            callback: this.bind(function (g) {
              var i;

              if (l == this.queryCount) {
                if (!this.opened()) return this.search.removeClass("select2-active"), void 0;
                if (g.hasError !== b && J(f.formatAjaxError, "formatAjaxError")) return n("<li class='select2-ajax-error'>" + K(f.formatAjaxError, f.element, g.jqXHR, g.textStatus, g.errorThrown) + "</li>"), void 0;
                if (this.context = g.context === b ? null : g.context, this.opts.createSearchChoice && "" !== d.val() && (i = this.opts.createSearchChoice.call(h, d.val(), g.results), i !== b && null !== i && h.id(i) !== b && null !== h.id(i) && 0 === a(g.results).filter(function () {
                  return r(h.id(this), h.id(i));
                }).length && this.opts.createSearchChoicePosition(g.results, i)), 0 === g.results.length && J(f.formatNoMatches, "formatNoMatches")) return n("<li class='select2-no-results'>" + K(f.formatNoMatches, f.element, d.val()) + "</li>"), void 0;
                e.empty(), h.opts.populateResults.call(this, e, g.results, {
                  term: d.val(),
                  page: this.resultsPage,
                  context: null
                }), g.more === !0 && J(f.formatLoadMore, "formatLoadMore") && (e.append("<li class='select2-more-results'>" + f.escapeMarkup(K(f.formatLoadMore, f.element, this.resultsPage)) + "</li>"), window.setTimeout(function () {
                  h.loadMoreIfNeeded();
                }, 10)), this.postprocessResults(g, c), m(), this.opts.element.trigger({
                  type: "select2-loaded",
                  items: g
                });
              }
            })
          });
        }
      },
      cancel: function cancel() {
        this.close();
      },
      blur: function blur() {
        this.opts.selectOnBlur && this.selectHighlighted({
          noFocus: !0
        }), this.close(), this.container.removeClass("select2-container-active"), this.search[0] === document.activeElement && this.search.blur(), this.clearSearch(), this.selection.find(".select2-search-choice-focus").removeClass("select2-search-choice-focus");
      },
      focusSearch: function focusSearch() {
        y(this.search);
      },
      selectHighlighted: function selectHighlighted(a) {
        if (this._touchMoved) return this.clearTouchMoved(), void 0;
        var b = this.highlight(),
            c = this.results.find(".select2-highlighted"),
            d = c.closest(".select2-result").data("select2-data");
        d ? (this.highlight(b), this.onSelect(d, a)) : a && a.noFocus && this.close();
      },
      getPlaceholder: function getPlaceholder() {
        var a;
        return this.opts.element.attr("placeholder") || this.opts.element.attr("data-placeholder") || this.opts.element.data("placeholder") || this.opts.placeholder || ((a = this.getPlaceholderOption()) !== b ? a.text() : b);
      },
      getPlaceholderOption: function getPlaceholderOption() {
        if (this.select) {
          var c = this.select.children("option").first();
          if (this.opts.placeholderOption !== b) return "first" === this.opts.placeholderOption && c || "function" == typeof this.opts.placeholderOption && this.opts.placeholderOption(this.select);
          if ("" === a.trim(c.text()) && "" === c.val()) return c;
        }
      },
      initContainerWidth: function initContainerWidth() {
        function c() {
          var c, d, e, f, g, h;
          if ("off" === this.opts.width) return null;
          if ("element" === this.opts.width) return 0 === this.opts.element.outerWidth(!1) ? "auto" : this.opts.element.outerWidth(!1) + "px";

          if ("copy" === this.opts.width || "resolve" === this.opts.width) {
            if (c = this.opts.element.attr("style"), c !== b) for (d = c.split(";"), f = 0, g = d.length; g > f; f += 1) {
              if (h = d[f].replace(/\s/g, ""), e = h.match(/^width:(([-+]?([0-9]*\.)?[0-9]+)(px|em|ex|%|in|cm|mm|pt|pc))/i), null !== e && e.length >= 1) return e[1];
            }
            return "resolve" === this.opts.width ? (c = this.opts.element.css("width"), c.indexOf("%") > 0 ? c : 0 === this.opts.element.outerWidth(!1) ? "auto" : this.opts.element.outerWidth(!1) + "px") : null;
          }

          return a.isFunction(this.opts.width) ? this.opts.width() : this.opts.width;
        }

        var d = c.call(this);
        null !== d && this.container.css("width", d);
      }
    }), e = O(d, {
      createContainer: function createContainer() {
        var b = a(document.createElement("div")).attr({
          "class": "select2-container"
        }).html(["<a href='javascript:void(0)' class='select2-choice' tabindex='-1'>", "   <span class='select2-chosen'>&#160;</span><abbr class='select2-search-choice-close'></abbr>", "   <span class='select2-arrow' role='presentation'><b role='presentation'></b></span>", "</a>", "<label for='' class='select2-offscreen'></label>", "<input class='select2-focusser select2-offscreen' type='text' aria-haspopup='true' role='button' />", "<div class='select2-drop select2-display-none'>", "   <div class='select2-search'>", "       <label for='' class='select2-offscreen'></label>", "       <input type='text' autocomplete='off' autocorrect='off' autocapitalize='off' spellcheck='false' class='select2-input' role='combobox' aria-expanded='true'", "       aria-autocomplete='list' />", "   </div>", "   <ul class='select2-results' role='listbox'>", "   </ul>", "</div>"].join(""));
        return b;
      },
      enableInterface: function enableInterface() {
        this.parent.enableInterface.apply(this, arguments) && this.focusser.prop("disabled", !this.isInterfaceEnabled());
      },
      opening: function opening() {
        var c, d, e;
        this.opts.minimumResultsForSearch >= 0 && this.showSearch(!0), this.parent.opening.apply(this, arguments), this.showSearchInput !== !1 && this.search.val(this.focusser.val()), this.opts.shouldFocusInput(this) && (this.search.focus(), c = this.search.get(0), c.createTextRange ? (d = c.createTextRange(), d.collapse(!1), d.select()) : c.setSelectionRange && (e = this.search.val().length, c.setSelectionRange(e, e))), "" === this.search.val() && this.nextSearchTerm != b && (this.search.val(this.nextSearchTerm), this.search.select()), this.focusser.prop("disabled", !0).val(""), this.updateResults(!0), this.opts.element.trigger(a.Event("select2-open"));
      },
      close: function close() {
        this.opened() && (this.parent.close.apply(this, arguments), this.focusser.prop("disabled", !1), this.opts.shouldFocusInput(this) && this.focusser.focus());
      },
      focus: function focus() {
        this.opened() ? this.close() : (this.focusser.prop("disabled", !1), this.opts.shouldFocusInput(this) && this.focusser.focus());
      },
      isFocused: function isFocused() {
        return this.container.hasClass("select2-container-active");
      },
      cancel: function cancel() {
        this.parent.cancel.apply(this, arguments), this.focusser.prop("disabled", !1), this.opts.shouldFocusInput(this) && this.focusser.focus();
      },
      destroy: function destroy() {
        a("label[for='" + this.focusser.attr("id") + "']").attr("for", this.opts.element.attr("id")), this.parent.destroy.apply(this, arguments), N.call(this, "selection", "focusser");
      },
      initContainer: function initContainer() {
        var b,
            h,
            d = this.container,
            e = this.dropdown,
            f = g();
        this.opts.minimumResultsForSearch < 0 ? this.showSearch(!1) : this.showSearch(!0), this.selection = b = d.find(".select2-choice"), this.focusser = d.find(".select2-focusser"), b.find(".select2-chosen").attr("id", "select2-chosen-" + f), this.focusser.attr("aria-labelledby", "select2-chosen-" + f), this.results.attr("id", "select2-results-" + f), this.search.attr("aria-owns", "select2-results-" + f), this.focusser.attr("id", "s2id_autogen" + f), h = a("label[for='" + this.opts.element.attr("id") + "']"), this.focusser.prev().text(h.text()).attr("for", this.focusser.attr("id"));
        var i = this.opts.element.attr("title");
        this.opts.element.attr("title", i || h.text()), this.focusser.attr("tabindex", this.elementTabIndex), this.search.attr("id", this.focusser.attr("id") + "_search"), this.search.prev().text(a("label[for='" + this.focusser.attr("id") + "']").text()).attr("for", this.search.attr("id")), this.search.on("keydown", this.bind(function (a) {
          if (this.isInterfaceEnabled() && 229 != a.keyCode) {
            if (a.which === c.PAGE_UP || a.which === c.PAGE_DOWN) return A(a), void 0;

            switch (a.which) {
              case c.UP:
              case c.DOWN:
                return this.moveHighlight(a.which === c.UP ? -1 : 1), A(a), void 0;

              case c.ENTER:
                return this.selectHighlighted(), A(a), void 0;

              case c.TAB:
                return this.selectHighlighted({
                  noFocus: !0
                }), void 0;

              case c.ESC:
                return this.cancel(a), A(a), void 0;
            }
          }
        })), this.search.on("blur", this.bind(function () {
          document.activeElement === this.body.get(0) && window.setTimeout(this.bind(function () {
            this.opened() && this.search.focus();
          }), 0);
        })), this.focusser.on("keydown", this.bind(function (a) {
          if (this.isInterfaceEnabled() && a.which !== c.TAB && !c.isControl(a) && !c.isFunctionKey(a) && a.which !== c.ESC) {
            if (this.opts.openOnEnter === !1 && a.which === c.ENTER) return A(a), void 0;

            if (a.which == c.DOWN || a.which == c.UP || a.which == c.ENTER && this.opts.openOnEnter) {
              if (a.altKey || a.ctrlKey || a.shiftKey || a.metaKey) return;
              return this.open(), A(a), void 0;
            }

            return a.which == c.DELETE || a.which == c.BACKSPACE ? (this.opts.allowClear && this.clear(), A(a), void 0) : void 0;
          }
        })), u(this.focusser), this.focusser.on("keyup-change input", this.bind(function (a) {
          if (this.opts.minimumResultsForSearch >= 0) {
            if (a.stopPropagation(), this.opened()) return;
            this.open();
          }
        })), b.on("mousedown touchstart", "abbr", this.bind(function (a) {
          this.isInterfaceEnabled() && (this.clear(), B(a), this.close(), this.selection.focus());
        })), b.on("mousedown touchstart", this.bind(function (c) {
          n(b), this.container.hasClass("select2-container-active") || this.opts.element.trigger(a.Event("select2-focus")), this.opened() ? this.close() : this.isInterfaceEnabled() && this.open(), A(c);
        })), e.on("mousedown touchstart", this.bind(function () {
          this.opts.shouldFocusInput(this) && this.search.focus();
        })), b.on("focus", this.bind(function (a) {
          A(a);
        })), this.focusser.on("focus", this.bind(function () {
          this.container.hasClass("select2-container-active") || this.opts.element.trigger(a.Event("select2-focus")), this.container.addClass("select2-container-active");
        })).on("blur", this.bind(function () {
          this.opened() || (this.container.removeClass("select2-container-active"), this.opts.element.trigger(a.Event("select2-blur")));
        })), this.search.on("focus", this.bind(function () {
          this.container.hasClass("select2-container-active") || this.opts.element.trigger(a.Event("select2-focus")), this.container.addClass("select2-container-active");
        })), this.initContainerWidth(), this.opts.element.addClass("select2-offscreen"), this.setPlaceholder();
      },
      clear: function clear(b) {
        var c = this.selection.data("select2-data");

        if (c) {
          var d = a.Event("select2-clearing");
          if (this.opts.element.trigger(d), d.isDefaultPrevented()) return;
          var e = this.getPlaceholderOption();
          this.opts.element.val(e ? e.val() : ""), this.selection.find(".select2-chosen").empty(), this.selection.removeData("select2-data"), this.setPlaceholder(), b !== !1 && (this.opts.element.trigger({
            type: "select2-removed",
            val: this.id(c),
            choice: c
          }), this.triggerChange({
            removed: c
          }));
        }
      },
      initSelection: function initSelection() {
        if (this.isPlaceholderOptionSelected()) this.updateSelection(null), this.close(), this.setPlaceholder();else {
          var c = this;
          this.opts.initSelection.call(null, this.opts.element, function (a) {
            a !== b && null !== a && (c.updateSelection(a), c.close(), c.setPlaceholder(), c.nextSearchTerm = c.opts.nextSearchTerm(a, c.search.val()));
          });
        }
      },
      isPlaceholderOptionSelected: function isPlaceholderOptionSelected() {
        var a;
        return this.getPlaceholder() === b ? !1 : (a = this.getPlaceholderOption()) !== b && a.prop("selected") || "" === this.opts.element.val() || this.opts.element.val() === b || null === this.opts.element.val();
      },
      prepareOpts: function prepareOpts() {
        var b = this.parent.prepareOpts.apply(this, arguments),
            c = this;
        return "select" === b.element.get(0).tagName.toLowerCase() ? b.initSelection = function (a, b) {
          var d = a.find("option").filter(function () {
            return this.selected && !this.disabled;
          });
          b(c.optionToData(d));
        } : "data" in b && (b.initSelection = b.initSelection || function (c, d) {
          var e = c.val(),
              f = null;
          b.query({
            matcher: function matcher(a, c, d) {
              var g = r(e, b.id(d));
              return g && (f = d), g;
            },
            callback: a.isFunction(d) ? function () {
              d(f);
            } : a.noop
          });
        }), b;
      },
      getPlaceholder: function getPlaceholder() {
        return this.select && this.getPlaceholderOption() === b ? b : this.parent.getPlaceholder.apply(this, arguments);
      },
      setPlaceholder: function setPlaceholder() {
        var a = this.getPlaceholder();

        if (this.isPlaceholderOptionSelected() && a !== b) {
          if (this.select && this.getPlaceholderOption() === b) return;
          this.selection.find(".select2-chosen").html(this.opts.escapeMarkup(a)), this.selection.addClass("select2-default"), this.container.removeClass("select2-allowclear");
        }
      },
      postprocessResults: function postprocessResults(a, b, c) {
        var d = 0,
            e = this;

        if (this.findHighlightableChoices().each2(function (a, b) {
          return r(e.id(b.data("select2-data")), e.opts.element.val()) ? (d = a, !1) : void 0;
        }), c !== !1 && (b === !0 && d >= 0 ? this.highlight(d) : this.highlight(0)), b === !0) {
          var g = this.opts.minimumResultsForSearch;
          g >= 0 && this.showSearch(L(a.results) >= g);
        }
      },
      showSearch: function showSearch(b) {
        this.showSearchInput !== b && (this.showSearchInput = b, this.dropdown.find(".select2-search").toggleClass("select2-search-hidden", !b), this.dropdown.find(".select2-search").toggleClass("select2-offscreen", !b), a(this.dropdown, this.container).toggleClass("select2-with-searchbox", b));
      },
      onSelect: function onSelect(a, b) {
        if (this.triggerSelect(a)) {
          var c = this.opts.element.val(),
              d = this.data();
          this.opts.element.val(this.id(a)), this.updateSelection(a), this.opts.element.trigger({
            type: "select2-selected",
            val: this.id(a),
            choice: a
          }), this.nextSearchTerm = this.opts.nextSearchTerm(a, this.search.val()), this.close(), b && b.noFocus || !this.opts.shouldFocusInput(this) || this.focusser.focus(), r(c, this.id(a)) || this.triggerChange({
            added: a,
            removed: d
          });
        }
      },
      updateSelection: function updateSelection(a) {
        var d,
            e,
            c = this.selection.find(".select2-chosen");
        this.selection.data("select2-data", a), c.empty(), null !== a && (d = this.opts.formatSelection(a, c, this.opts.escapeMarkup)), d !== b && c.append(d), e = this.opts.formatSelectionCssClass(a, c), e !== b && c.addClass(e), this.selection.removeClass("select2-default"), this.opts.allowClear && this.getPlaceholder() !== b && this.container.addClass("select2-allowclear");
      },
      val: function val() {
        var a,
            c = !1,
            d = null,
            e = this,
            f = this.data();
        if (0 === arguments.length) return this.opts.element.val();
        if (a = arguments[0], arguments.length > 1 && (c = arguments[1]), this.select) this.select.val(a).find("option").filter(function () {
          return this.selected;
        }).each2(function (a, b) {
          return d = e.optionToData(b), !1;
        }), this.updateSelection(d), this.setPlaceholder(), c && this.triggerChange({
          added: d,
          removed: f
        });else {
          if (!a && 0 !== a) return this.clear(c), void 0;
          if (this.opts.initSelection === b) throw new Error("cannot call val() if initSelection() is not defined");
          this.opts.element.val(a), this.opts.initSelection(this.opts.element, function (a) {
            e.opts.element.val(a ? e.id(a) : ""), e.updateSelection(a), e.setPlaceholder(), c && e.triggerChange({
              added: a,
              removed: f
            });
          });
        }
      },
      clearSearch: function clearSearch() {
        this.search.val(""), this.focusser.val("");
      },
      data: function data(a) {
        var c,
            d = !1;
        return 0 === arguments.length ? (c = this.selection.data("select2-data"), c == b && (c = null), c) : (arguments.length > 1 && (d = arguments[1]), a ? (c = this.data(), this.opts.element.val(a ? this.id(a) : ""), this.updateSelection(a), d && this.triggerChange({
          added: a,
          removed: c
        })) : this.clear(d), void 0);
      }
    }), f = O(d, {
      createContainer: function createContainer() {
        var b = a(document.createElement("div")).attr({
          "class": "select2-container select2-container-multi"
        }).html(["<ul class='select2-choices'>", "  <li class='select2-search-field'>", "    <label for='' class='select2-offscreen'></label>", "    <input type='text' autocomplete='off' autocorrect='off' autocapitalize='off' spellcheck='false' class='select2-input'>", "  </li>", "</ul>", "<div class='select2-drop select2-drop-multi select2-display-none'>", "   <ul class='select2-results'>", "   </ul>", "</div>"].join(""));
        return b;
      },
      prepareOpts: function prepareOpts() {
        var b = this.parent.prepareOpts.apply(this, arguments),
            c = this;
        return "select" === b.element.get(0).tagName.toLowerCase() ? b.initSelection = function (a, b) {
          var d = [];
          a.find("option").filter(function () {
            return this.selected && !this.disabled;
          }).each2(function (a, b) {
            d.push(c.optionToData(b));
          }), b(d);
        } : "data" in b && (b.initSelection = b.initSelection || function (c, d) {
          var e = s(c.val(), b.separator),
              f = [];
          b.query({
            matcher: function matcher(c, d, g) {
              var h = a.grep(e, function (a) {
                return r(a, b.id(g));
              }).length;
              return h && f.push(g), h;
            },
            callback: a.isFunction(d) ? function () {
              for (var a = [], c = 0; c < e.length; c++) {
                for (var g = e[c], h = 0; h < f.length; h++) {
                  var i = f[h];

                  if (r(g, b.id(i))) {
                    a.push(i), f.splice(h, 1);
                    break;
                  }
                }
              }

              d(a);
            } : a.noop
          });
        }), b;
      },
      selectChoice: function selectChoice(a) {
        var b = this.container.find(".select2-search-choice-focus");
        b.length && a && a[0] == b[0] || (b.length && this.opts.element.trigger("choice-deselected", b), b.removeClass("select2-search-choice-focus"), a && a.length && (this.close(), a.addClass("select2-search-choice-focus"), this.opts.element.trigger("choice-selected", a)));
      },
      destroy: function destroy() {
        a("label[for='" + this.search.attr("id") + "']").attr("for", this.opts.element.attr("id")), this.parent.destroy.apply(this, arguments), N.call(this, "searchContainer", "selection");
      },
      initContainer: function initContainer() {
        var d,
            b = ".select2-choices";
        this.searchContainer = this.container.find(".select2-search-field"), this.selection = d = this.container.find(b);
        var e = this;
        this.selection.on("click", ".select2-search-choice:not(.select2-locked)", function () {
          e.search[0].focus(), e.selectChoice(a(this));
        }), this.search.attr("id", "s2id_autogen" + g()), this.search.prev().text(a("label[for='" + this.opts.element.attr("id") + "']").text()).attr("for", this.search.attr("id")), this.search.on("input paste", this.bind(function () {
          this.search.attr("placeholder") && 0 == this.search.val().length || this.isInterfaceEnabled() && (this.opened() || this.open());
        })), this.search.attr("tabindex", this.elementTabIndex), this.keydowns = 0, this.search.on("keydown", this.bind(function (a) {
          if (this.isInterfaceEnabled()) {
            ++this.keydowns;
            var b = d.find(".select2-search-choice-focus"),
                e = b.prev(".select2-search-choice:not(.select2-locked)"),
                f = b.next(".select2-search-choice:not(.select2-locked)"),
                g = z(this.search);

            if (b.length && (a.which == c.LEFT || a.which == c.RIGHT || a.which == c.BACKSPACE || a.which == c.DELETE || a.which == c.ENTER)) {
              var h = b;
              return a.which == c.LEFT && e.length ? h = e : a.which == c.RIGHT ? h = f.length ? f : null : a.which === c.BACKSPACE ? this.unselect(b.first()) && (this.search.width(10), h = e.length ? e : f) : a.which == c.DELETE ? this.unselect(b.first()) && (this.search.width(10), h = f.length ? f : null) : a.which == c.ENTER && (h = null), this.selectChoice(h), A(a), h && h.length || this.open(), void 0;
            }

            if ((a.which === c.BACKSPACE && 1 == this.keydowns || a.which == c.LEFT) && 0 == g.offset && !g.length) return this.selectChoice(d.find(".select2-search-choice:not(.select2-locked)").last()), A(a), void 0;
            if (this.selectChoice(null), this.opened()) switch (a.which) {
              case c.UP:
              case c.DOWN:
                return this.moveHighlight(a.which === c.UP ? -1 : 1), A(a), void 0;

              case c.ENTER:
                return this.selectHighlighted(), A(a), void 0;

              case c.TAB:
                return this.selectHighlighted({
                  noFocus: !0
                }), this.close(), void 0;

              case c.ESC:
                return this.cancel(a), A(a), void 0;
            }

            if (a.which !== c.TAB && !c.isControl(a) && !c.isFunctionKey(a) && a.which !== c.BACKSPACE && a.which !== c.ESC) {
              if (a.which === c.ENTER) {
                if (this.opts.openOnEnter === !1) return;
                if (a.altKey || a.ctrlKey || a.shiftKey || a.metaKey) return;
              }

              this.open(), (a.which === c.PAGE_UP || a.which === c.PAGE_DOWN) && A(a), a.which === c.ENTER && A(a);
            }
          }
        })), this.search.on("keyup", this.bind(function () {
          this.keydowns = 0, this.resizeSearch();
        })), this.search.on("blur", this.bind(function (b) {
          this.container.removeClass("select2-container-active"), this.search.removeClass("select2-focused"), this.selectChoice(null), this.opened() || this.clearSearch(), b.stopImmediatePropagation(), this.opts.element.trigger(a.Event("select2-blur"));
        })), this.container.on("click", b, this.bind(function (b) {
          this.isInterfaceEnabled() && (a(b.target).closest(".select2-search-choice").length > 0 || (this.selectChoice(null), this.clearPlaceholder(), this.container.hasClass("select2-container-active") || this.opts.element.trigger(a.Event("select2-focus")), this.open(), this.focusSearch(), b.preventDefault()));
        })), this.container.on("focus", b, this.bind(function () {
          this.isInterfaceEnabled() && (this.container.hasClass("select2-container-active") || this.opts.element.trigger(a.Event("select2-focus")), this.container.addClass("select2-container-active"), this.dropdown.addClass("select2-drop-active"), this.clearPlaceholder());
        })), this.initContainerWidth(), this.opts.element.addClass("select2-offscreen"), this.clearSearch();
      },
      enableInterface: function enableInterface() {
        this.parent.enableInterface.apply(this, arguments) && this.search.prop("disabled", !this.isInterfaceEnabled());
      },
      initSelection: function initSelection() {
        if ("" === this.opts.element.val() && "" === this.opts.element.text() && (this.updateSelection([]), this.close(), this.clearSearch()), this.select || "" !== this.opts.element.val()) {
          var c = this;
          this.opts.initSelection.call(null, this.opts.element, function (a) {
            a !== b && null !== a && (c.updateSelection(a), c.close(), c.clearSearch());
          });
        }
      },
      clearSearch: function clearSearch() {
        var a = this.getPlaceholder(),
            c = this.getMaxSearchWidth();
        a !== b && 0 === this.getVal().length && this.search.hasClass("select2-focused") === !1 ? (this.search.val(a).addClass("select2-default"), this.search.width(c > 0 ? c : this.container.css("width"))) : this.search.val("").width(10);
      },
      clearPlaceholder: function clearPlaceholder() {
        this.search.hasClass("select2-default") && this.search.val("").removeClass("select2-default");
      },
      opening: function opening() {
        this.clearPlaceholder(), this.resizeSearch(), this.parent.opening.apply(this, arguments), this.focusSearch(), "" === this.search.val() && this.nextSearchTerm != b && (this.search.val(this.nextSearchTerm), this.search.select()), this.updateResults(!0), this.opts.shouldFocusInput(this) && this.search.focus(), this.opts.element.trigger(a.Event("select2-open"));
      },
      close: function close() {
        this.opened() && this.parent.close.apply(this, arguments);
      },
      focus: function focus() {
        this.close(), this.search.focus();
      },
      isFocused: function isFocused() {
        return this.search.hasClass("select2-focused");
      },
      updateSelection: function updateSelection(b) {
        var c = [],
            d = [],
            e = this;
        a(b).each(function () {
          p(e.id(this), c) < 0 && (c.push(e.id(this)), d.push(this));
        }), b = d, this.selection.find(".select2-search-choice").remove(), a(b).each(function () {
          e.addSelectedChoice(this);
        }), e.postprocessResults();
      },
      tokenize: function tokenize() {
        var a = this.search.val();
        a = this.opts.tokenizer.call(this, a, this.data(), this.bind(this.onSelect), this.opts), null != a && a != b && (this.search.val(a), a.length > 0 && this.open());
      },
      onSelect: function onSelect(a, c) {
        this.triggerSelect(a) && "" !== a.text && (this.addSelectedChoice(a), this.opts.element.trigger({
          type: "selected",
          val: this.id(a),
          choice: a
        }), this.nextSearchTerm = this.opts.nextSearchTerm(a, this.search.val()), this.clearSearch(), this.updateResults(), (this.select || !this.opts.closeOnSelect) && this.postprocessResults(a, !1, this.opts.closeOnSelect === !0), this.opts.closeOnSelect ? (this.close(), this.search.width(10)) : this.countSelectableResults() > 0 ? (this.search.width(10), this.resizeSearch(), this.getMaximumSelectionSize() > 0 && this.val().length >= this.getMaximumSelectionSize() ? this.updateResults(!0) : this.nextSearchTerm != b && (this.search.val(this.nextSearchTerm), this.updateResults(), this.search.select()), this.positionDropdown()) : (this.close(), this.search.width(10)), this.triggerChange({
          added: a
        }), c && c.noFocus || this.focusSearch());
      },
      cancel: function cancel() {
        this.close(), this.focusSearch();
      },
      addSelectedChoice: function addSelectedChoice(c) {
        var j,
            k,
            d = !c.locked,
            e = a("<li class='select2-search-choice'>    <div></div>    <a href='#' class='select2-search-choice-close' tabindex='-1'></a></li>"),
            f = a("<li class='select2-search-choice select2-locked'><div></div></li>"),
            g = d ? e : f,
            h = this.id(c),
            i = this.getVal();
        j = this.opts.formatSelection(c, g.find("div"), this.opts.escapeMarkup), j != b && g.find("div").replaceWith("<div>" + j + "</div>"), k = this.opts.formatSelectionCssClass(c, g.find("div")), k != b && g.addClass(k), d && g.find(".select2-search-choice-close").on("mousedown", A).on("click dblclick", this.bind(function (b) {
          this.isInterfaceEnabled() && (this.unselect(a(b.target)), this.selection.find(".select2-search-choice-focus").removeClass("select2-search-choice-focus"), A(b), this.close(), this.focusSearch());
        })).on("focus", this.bind(function () {
          this.isInterfaceEnabled() && (this.container.addClass("select2-container-active"), this.dropdown.addClass("select2-drop-active"));
        })), g.data("select2-data", c), g.insertBefore(this.searchContainer), i.push(h), this.setVal(i);
      },
      unselect: function unselect(b) {
        var d,
            e,
            c = this.getVal();
        if (b = b.closest(".select2-search-choice"), 0 === b.length) throw "Invalid argument: " + b + ". Must be .select2-search-choice";

        if (d = b.data("select2-data")) {
          var f = a.Event("select2-removing");
          if (f.val = this.id(d), f.choice = d, this.opts.element.trigger(f), f.isDefaultPrevented()) return !1;

          for (; (e = p(this.id(d), c)) >= 0;) {
            c.splice(e, 1), this.setVal(c), this.select && this.postprocessResults();
          }

          return b.remove(), this.opts.element.trigger({
            type: "select2-removed",
            val: this.id(d),
            choice: d
          }), this.triggerChange({
            removed: d
          }), !0;
        }
      },
      postprocessResults: function postprocessResults(a, b, c) {
        var d = this.getVal(),
            e = this.results.find(".select2-result"),
            f = this.results.find(".select2-result-with-children"),
            g = this;
        e.each2(function (a, b) {
          var c = g.id(b.data("select2-data"));
          p(c, d) >= 0 && (b.addClass("select2-selected"), b.find(".select2-result-selectable").addClass("select2-selected"));
        }), f.each2(function (a, b) {
          b.is(".select2-result-selectable") || 0 !== b.find(".select2-result-selectable:not(.select2-selected)").length || b.addClass("select2-selected");
        }), -1 == this.highlight() && c !== !1 && g.highlight(0), !this.opts.createSearchChoice && !e.filter(".select2-result:not(.select2-selected)").length > 0 && (!a || a && !a.more && 0 === this.results.find(".select2-no-results").length) && J(g.opts.formatNoMatches, "formatNoMatches") && this.results.append("<li class='select2-no-results'>" + K(g.opts.formatNoMatches, g.opts.element, g.search.val()) + "</li>");
      },
      getMaxSearchWidth: function getMaxSearchWidth() {
        return this.selection.width() - t(this.search);
      },
      resizeSearch: function resizeSearch() {
        var a,
            b,
            c,
            d,
            e,
            f = t(this.search);
        a = C(this.search) + 10, b = this.search.offset().left, c = this.selection.width(), d = this.selection.offset().left, e = c - (b - d) - f, a > e && (e = c - f), 40 > e && (e = c - f), 0 >= e && (e = a), this.search.width(Math.floor(e));
      },
      getVal: function getVal() {
        var a;
        return this.select ? (a = this.select.val(), null === a ? [] : a) : (a = this.opts.element.val(), s(a, this.opts.separator));
      },
      setVal: function setVal(b) {
        var c;
        this.select ? this.select.val(b) : (c = [], a(b).each(function () {
          p(this, c) < 0 && c.push(this);
        }), this.opts.element.val(0 === c.length ? "" : c.join(this.opts.separator)));
      },
      buildChangeDetails: function buildChangeDetails(a, b) {
        for (var b = b.slice(0), a = a.slice(0), c = 0; c < b.length; c++) {
          for (var d = 0; d < a.length; d++) {
            r(this.opts.id(b[c]), this.opts.id(a[d])) && (b.splice(c, 1), c > 0 && c--, a.splice(d, 1), d--);
          }
        }

        return {
          added: b,
          removed: a
        };
      },
      val: function val(c, d) {
        var e,
            f = this;
        if (0 === arguments.length) return this.getVal();
        if (e = this.data(), e.length || (e = []), !c && 0 !== c) return this.opts.element.val(""), this.updateSelection([]), this.clearSearch(), d && this.triggerChange({
          added: this.data(),
          removed: e
        }), void 0;
        if (this.setVal(c), this.select) this.opts.initSelection(this.select, this.bind(this.updateSelection)), d && this.triggerChange(this.buildChangeDetails(e, this.data()));else {
          if (this.opts.initSelection === b) throw new Error("val() cannot be called if initSelection() is not defined");
          this.opts.initSelection(this.opts.element, function (b) {
            var c = a.map(b, f.id);
            f.setVal(c), f.updateSelection(b), f.clearSearch(), d && f.triggerChange(f.buildChangeDetails(e, f.data()));
          });
        }
        this.clearSearch();
      },
      onSortStart: function onSortStart() {
        if (this.select) throw new Error("Sorting of elements is not supported when attached to <select>. Attach to <input type='hidden'/> instead.");
        this.search.width(0), this.searchContainer.hide();
      },
      onSortEnd: function onSortEnd() {
        var b = [],
            c = this;
        this.searchContainer.show(), this.searchContainer.appendTo(this.searchContainer.parent()), this.resizeSearch(), this.selection.find(".select2-search-choice").each(function () {
          b.push(c.opts.id(a(this).data("select2-data")));
        }), this.setVal(b), this.triggerChange();
      },
      data: function data(b, c) {
        var e,
            f,
            d = this;
        return 0 === arguments.length ? this.selection.children(".select2-search-choice").map(function () {
          return a(this).data("select2-data");
        }).get() : (f = this.data(), b || (b = []), e = a.map(b, function (a) {
          return d.opts.id(a);
        }), this.setVal(e), this.updateSelection(b), this.clearSearch(), c && this.triggerChange(this.buildChangeDetails(f, this.data())), void 0);
      }
    }), a.fn.select2 = function () {
      var d,
          e,
          f,
          g,
          h,
          c = Array.prototype.slice.call(arguments, 0),
          i = ["val", "destroy", "opened", "open", "close", "focus", "isFocused", "container", "dropdown", "onSortStart", "onSortEnd", "enable", "disable", "readonly", "positionDropdown", "data", "search"],
          j = ["opened", "isFocused", "container", "dropdown"],
          k = ["val", "data"],
          l = {
        search: "externalSearch"
      };
      return this.each(function () {
        if (0 === c.length || "object" == _typeof(c[0])) d = 0 === c.length ? {} : a.extend({}, c[0]), d.element = a(this), "select" === d.element.get(0).tagName.toLowerCase() ? h = d.element.prop("multiple") : (h = d.multiple || !1, "tags" in d && (d.multiple = h = !0)), e = h ? new window.Select2["class"].multi() : new window.Select2["class"].single(), e.init(d);else {
          if ("string" != typeof c[0]) throw "Invalid arguments to select2 plugin: " + c;
          if (p(c[0], i) < 0) throw "Unknown method: " + c[0];
          if (g = b, e = a(this).data("select2"), e === b) return;
          if (f = c[0], "container" === f ? g = e.container : "dropdown" === f ? g = e.dropdown : (l[f] && (f = l[f]), g = e[f].apply(e, c.slice(1))), p(c[0], j) >= 0 || p(c[0], k) >= 0 && 1 == c.length) return !1;
        }
      }), g === b ? this : g;
    }, a.fn.select2.defaults = {
      width: "copy",
      loadMorePadding: 0,
      closeOnSelect: !0,
      openOnEnter: !0,
      containerCss: {},
      dropdownCss: {},
      containerCssClass: "",
      dropdownCssClass: "",
      formatResult: function formatResult(a, b, c, d) {
        var e = [];
        return E(a.text, c.term, e, d), e.join("");
      },
      formatSelection: function formatSelection(a, c, d) {
        return a ? d(a.text) : b;
      },
      sortResults: function sortResults(a) {
        return a;
      },
      formatResultCssClass: function formatResultCssClass(a) {
        return a.css;
      },
      formatSelectionCssClass: function formatSelectionCssClass() {
        return b;
      },
      minimumResultsForSearch: 0,
      minimumInputLength: 0,
      maximumInputLength: null,
      maximumSelectionSize: 0,
      id: function id(a) {
        return a == b ? null : a.id;
      },
      matcher: function matcher(a, b) {
        return o("" + b).toUpperCase().indexOf(o("" + a).toUpperCase()) >= 0;
      },
      separator: ",",
      tokenSeparators: [],
      tokenizer: M,
      escapeMarkup: F,
      blurOnChange: !1,
      selectOnBlur: !1,
      adaptContainerCssClass: function adaptContainerCssClass(a) {
        return a;
      },
      adaptDropdownCssClass: function adaptDropdownCssClass() {
        return null;
      },
      nextSearchTerm: function nextSearchTerm() {
        return b;
      },
      searchInputPlaceholder: "",
      createSearchChoicePosition: "top",
      shouldFocusInput: function shouldFocusInput(a) {
        var b = "ontouchstart" in window || navigator.msMaxTouchPoints > 0;
        return b ? a.opts.minimumResultsForSearch < 0 ? !1 : !0 : !0;
      }
    }, a.fn.select2.locales = [], a.fn.select2.locales.en = {
      formatMatches: function formatMatches(a) {
        return 1 === a ? "One result is available, press enter to select it." : a + " results are available, use up and down arrow keys to navigate.";
      },
      formatNoMatches: function formatNoMatches() {
        return "No matches found";
      },
      formatAjaxError: function formatAjaxError() {
        return "Loading failed";
      },
      formatInputTooShort: function formatInputTooShort(a, b) {
        var c = b - a.length;
        return "Please enter " + c + " or more character" + (1 == c ? "" : "s");
      },
      formatInputTooLong: function formatInputTooLong(a, b) {
        var c = a.length - b;
        return "Please delete " + c + " character" + (1 == c ? "" : "s");
      },
      formatSelectionTooBig: function formatSelectionTooBig(a) {
        return "You can only select " + a + " item" + (1 == a ? "" : "s");
      },
      formatLoadMore: function formatLoadMore() {
        return "Loading more results\u2026";
      },
      formatSearching: function formatSearching() {
        return "Searching\u2026";
      }
    }, a.extend(a.fn.select2.defaults, a.fn.select2.locales.en), a.fn.select2.ajaxDefaults = {
      transport: a.ajax,
      params: {
        type: "GET",
        cache: !1,
        dataType: "json"
      }
    }, window.Select2 = {
      query: {
        ajax: G,
        local: H,
        tags: I
      },
      util: {
        debounce: w,
        markMatch: E,
        escapeMarkup: F,
        stripDiacritics: o
      },
      "class": {
        "abstract": d,
        single: e,
        multi: f
      }
    };
  }
}(jquery__WEBPACK_IMPORTED_MODULE_0___default.a);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/jquery.total-storage.1.1.3.min.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/jquery.total-storage.1.1.3.min.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/**
 * TotalStorage
 *
 * Copyright (c) 2012 Jared Novack & Upstatement (upstatement.com)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
 * Total Storage is the conceptual the love child of jStorage by Andris Reinman,
 * and Cookie by Klaus Hartl -- though this is not connected to either project.
 *
 * @name $.totalStorage
 * @cat Plugins/Cookie
 * @author Jared Novack/jared@upstatement.com
 * @version 1.1.3
 * @url http://upstatement.com/blog/2012/01/jquery-local-storage-done-right-and-easy/
 */

!function (t, e) {
  var o,
      r,
      n = "test";
  if ("localStorage" in window) try {
    r = "undefined" == typeof window.localStorage ? e : window.localStorage, o = "undefined" != typeof r && "undefined" != typeof window.JSON, window.localStorage.setItem(n, "1"), window.localStorage.removeItem(n);
  } catch (t) {
    o = !1;
  }
  t.totalStorage = function (e, o, r) {
    return t.totalStorage.impl.init(e, o, r);
  }, t.totalStorage.setItem = function (e, o, r) {
    return t.totalStorage.impl.setItem(e, o, r);
  }, t.totalStorage.getItem = function (e) {
    return t.totalStorage.impl.getItem(e);
  }, t.totalStorage.getAll = function () {
    return t.totalStorage.impl.getAll();
  }, t.totalStorage.deleteItem = function (e) {
    return t.totalStorage.impl.deleteItem(e);
  }, t.totalStorage.impl = {
    init: function init(t, e, o) {
      return "undefined" != typeof e ? this.setItem(t, e, o) : this.getItem(t);
    },
    setItem: function setItem(e, n, a) {
      if (!o) try {
        return t.cookie(e, n, a), n;
      } catch (t) {
        console.log("Local Storage not supported by this browser. Install the cookie plugin on your site to take advantage of the same functionality. You can get it at https://github.com/carhartl/jquery-cookie");
      }
      var l = JSON.stringify(n);
      return r.setItem(e, l), this.parseResult(l);
    },
    getItem: function getItem(e) {
      if (!o) try {
        return this.parseResult(t.cookie(e));
      } catch (t) {
        return null;
      }
      var n = r.getItem(e);
      return this.parseResult(n);
    },
    deleteItem: function deleteItem(e) {
      if (!o) try {
        return t.cookie(e, null), !0;
      } catch (t) {
        return !1;
      }
      return r.removeItem(e), !0;
    },
    getAll: function getAll() {
      var e = [];
      if (o) for (var n in r) {
        n.length && e.push({
          key: n,
          value: this.parseResult(r.getItem(n))
        });
      } else try {
        for (var a = document.cookie.split(";"), l = 0; l < a.length; l++) {
          var i = a[l].split("="),
              u = i[0];
          e.push({
            key: u,
            value: this.parseResult(t.cookie(u))
          });
        }
      } catch (t) {
        return null;
      }
      return e;
    },
    parseResult: function parseResult(t) {
      var e;

      try {
        e = JSON.parse(t), "undefined" == typeof e && (e = t), "true" == e && (e = !0), "false" == e && (e = !1), parseFloat(e) == e && "object" != _typeof(e) && (e = parseFloat(e));
      } catch (o) {
        e = t;
      }

      return e;
    }
  };
}(jquery__WEBPACK_IMPORTED_MODULE_0___default.a);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/ko.editable.custom.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/ko.editable.custom.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// based on the original https://github.com/brianchance/knockout-x-editable


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].editable = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element),
        value = valueAccessor(),
        allBindings = allBindingsAccessor(),
        editableOptions = allBindings.editableOptions || {};
    editableOptions.value = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(value);

    if (!editableOptions.name) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(bindingContext.$data, function (k, v) {
        if (v == value) {
          editableOptions.name = k;
          return false;
        }
      });
    } //wrap calls to knockout.validation


    if (!editableOptions.validate && value.isValid) {
      editableOptions.validate = function (testValue) {
        //have to set to new value, then call validate, then reset to original value
        //not pretty, but works
        var initalValue = value();
        value(testValue);
        var res = value.isValid() ? null : knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(value.error);
        value(initalValue);
        return res;
      };
    }

    if ((editableOptions.type === 'select' || editableOptions.type === 'checklist' || editableOptions.type === 'typeahead') && !editableOptions.source && editableOptions.options) {
      //taken directly from ko.bindingHandlers['options']
      var applyToObject = function applyToObject(object, predicate, defaultValue) {
        var predicateType = _typeof(predicate);

        if (predicateType === "function") // Given a function; run it against the data value
          return predicate(object);else if (predicateType === "string") // Given a string; treat it as a property name on the data value
          return object[predicate];else // Given no optionsText arg; use the data value itself
          return defaultValue;
      };

      if (editableOptions.optionsCaption) editableOptions.prepend = editableOptions.optionsCaption;

      editableOptions.source = function () {
        return knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayMap(editableOptions.options(), function (item) {
          var optionValue = applyToObject(item, editableOptions.optionsValue, item);
          var optionText = applyToObject(item, editableOptions.optionsText, optionText);
          return {
            value: knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(optionValue),
            text: knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(optionText)
          };
        });
      };
    }

    if (editableOptions.visible && knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](editableOptions.visible)) {
      editableOptions.toggle = 'manual';
    }

    var onActionRender = undefined;

    if (editableOptions.inlineEditAction) {
      onActionRender = function onActionRender($container, overflowing) {
        if (!overflowing) {
          var $editAction = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a href="javascript:void(0);"><i class="fa fa-fw fa-pencil"></i></a>');

          if (editableOptions.inlineEditAction.editClass) {
            $editAction.addClass(editableOptions.inlineEditAction.editClass);
          }

          $editAction.on('click', function () {
            $editable.editable('toggle');
          });
          $editAction.appendTo($container);
        }
      };
    }

    var addPlaceHolder = function addPlaceHolder($container) {
      if (editableOptions.placeholder) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('editable-inline-empty').text(editableOptions.placeholder).click(function () {
          $editable.editable('toggle');
        }).appendTo($container);
      }
    };

    var multiLineEllipsisHandler;

    if (editableOptions.multiLineEllipsis) {
      editableOptions.display = function (value) {
        if (!value) {
          if (multiLineEllipsisHandler) {
            multiLineEllipsisHandler.pause();
          }

          var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
          $container.empty();
          addPlaceHolder($container);

          if (onActionRender) {
            onActionRender($container);
          }

          return;
        }

        if (!multiLineEllipsisHandler) {
          multiLineEllipsisHandler = new MultiLineEllipsisHandler({
            element: this,
            text: value,
            overflowHeight: editableOptions.multiLineEllipsis.overflowHeight,
            expandable: editableOptions.multiLineEllipsis,
            expandActionClass: editableOptions.multiLineEllipsis.expandActionClass,
            linkify: true,
            onActionRender: onActionRender
          });
          knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
            multiLineEllipsisHandler.dispose();
          });
        } else {
          multiLineEllipsisHandler.setText(value);
          multiLineEllipsisHandler.resume();
        }
      };
    } else if (onActionRender) {
      editableOptions.display = function (value) {
        var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);

        if (!value) {
          addPlaceHolder($container);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').html(value).appendTo($container);
        }

        onActionRender($container);
      };

      onActionRender = function onActionRender($container) {
        var $editAction = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a href="javascript:void(0);"><i class="fa fa-fw fa-pencil"></i></a>');

        if (editableOptions.inlineEditAction.editClass) {
          $editAction.addClass(editableOptions.inlineEditAction.editClass);
        }

        $editAction.appendTo($container);
      };
    } //create editable


    var $editable = $element.editable(editableOptions);

    if (editableOptions.multiLineEllipsis) {
      $editable.off('.multiLine');
      $editable.on('hidden.multiLine', function () {
        if (multiLineEllipsisHandler && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value)) {
          multiLineEllipsisHandler.resume();
        }
      });
      $editable.on('shown.multiLine', function () {
        if (multiLineEllipsisHandler) {
          multiLineEllipsisHandler.pause();
        }
      });
    } //update observable on save


    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](value)) {
      $editable.on('save.ko', function (e, params) {
        var newValue = params.newValue || '';

        if (editableOptions.type === 'wysihtml5') {
          if (editableOptions.skipNewLines) {
            newValue = newValue.replace(/<br\s*[\/]?>/gi, ' ').replace(/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi, '');
          } else {
            newValue = newValue.replace(/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi, '');
          }
        } else {
          newValue = newValue.replace(/<(?:.|\n)*?>/gm, '');

          if (editableOptions.type !== 'textarea') {
            newValue = newValue.replace(/\r?\n|\r/g, ' ');
          }
        }

        value(newValue);
      });
    }

    if (editableOptions.toggleElement) {
      var $clickable = $element.parent().find(editableOptions.toggleElement);

      if ($element.parents('.show-inactive-on-hover').length > 0) {
        $clickable = $element.parents('.show-inactive-on-hover').find(editableOptions.toggleElement);
      }

      if ($clickable !== null) {
        $clickable.on('click', function (e) {
          e.stopPropagation();
          e.preventDefault();
          $editable.editable('toggle');
        });
      }
    }

    if (editableOptions.save) {
      $editable.on('save', editableOptions.save.bind(viewModel));
    } //setup observable to fire only when editable changes, not when options change
    //http://www.knockmeout.net/2012/06/knockoutjs-performance-gotcha-3-all-bindings.html


    knockout__WEBPACK_IMPORTED_MODULE_1__["computed"]({
      read: function read() {
        var _allBindings = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(allBindingsAccessor());

        var _options = _allBindings.editableOptions || {};

        if (_options.enabled != null && _options.enabled) {
          $editable.editable('enable');
        } else {
          $editable.editable('disable');
        }

        var val = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor());
        if (val === null) val = '';
        $editable.editable('setValue', val, true);
      },
      owner: this,
      disposeWhenNodeIsRemoved: element
    });

    if (editableOptions.visible && knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](editableOptions.visible)) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["computed"]({
        read: function read() {
          var val = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(editableOptions.visible());
          if (val) $editable.editable('show');
        },
        owner: this,
        disposeWhenNodeIsRemoved: element
      });
      $editable.on('hidden.ko', function (e, params) {
        editableOptions.visible(false);
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/ko.selectize.custom.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/ko.selectize.custom.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// Based on https://gist.githubusercontent.com/xtranophilist/8001624/raw/ko_selectize.js




var inject_binding = function inject_binding(allBindings, key, value) {
  //https://github.com/knockout/knockout/pull/932#issuecomment-26547528
  return {
    has: function has(bindingKey) {
      return bindingKey == key || allBindings.has(bindingKey);
    },
    get: function get(bindingKey) {
      var binding = allBindings.get(bindingKey);

      if (bindingKey == key) {
        binding = binding ? [].concat(binding, value) : value;
      }

      return binding;
    }
  };
};

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].browserAwareSelectize = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
    (window.isIE11 ? knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].options : knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].selectize).init.apply(null, arguments);
  },
  update: function update(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
    (window.isIE11 ? knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].options : knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].selectize).update.apply(null, arguments);
  }
};
knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].selectize = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
    if (typeof allBindingsAccessor.get('optionsCaption') == 'undefined') allBindingsAccessor = inject_binding(allBindingsAccessor, 'optionsCaption', Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Choose...'));
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].options.update(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext);
    var options = {};

    if (allBindingsAccessor.get('optionsValue')) {
      options.valueField = allBindingsAccessor.get('optionsValue');
    }

    if (allBindingsAccessor.get('optionsText')) {
      options.labelField = allBindingsAccessor.get('optionsText'), options.searchField = allBindingsAccessor.get('optionsText');
    }

    if (allBindingsAccessor.has('selectizeOptions')) {
      var passed_options = allBindingsAccessor.get('selectizeOptions');

      for (var attr_name in passed_options) {
        if (attr_name === 'maxLength') {
          options.createFilter = function (input) {
            return input.length <= passed_options[attr_name];
          };
        } else if (attr_name === 'clearable' && passed_options[attr_name]) {
          options.plugins = ['clear_button'];
        } else {
          options[attr_name] = passed_options[attr_name];
        }
      }
    }

    if (!options.hasOwnProperty('dropdownParent')) {
      options.dropdownParent = 'body';
    }

    var $select = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).selectize(options)[0].selectize;

    if (typeof allBindingsAccessor.get('value') == 'function') {
      $select.addItem(allBindingsAccessor.get('value')());
      allBindingsAccessor.get('value').subscribe(function (new_val) {
        $select.addItem(new_val);
      });
    }

    if (allBindingsAccessor.get('innerSubscriber')) {
      valueAccessor()().forEach(function (item) {
        var previousValue;
        item[allBindingsAccessor.get('innerSubscriber')].subscribe(function (oldValue) {
          previousValue = oldValue;
        }, null, 'beforeChange');
        item[allBindingsAccessor.get('innerSubscriber')].subscribe(function (newValue) {
          var newOption = {};
          newOption[options.valueField] = newValue;
          newOption[options.labelField] = newValue;
          $select.updateOption(previousValue, newOption);
          $select.refreshOptions(false);
        });
      });
    }

    if (typeof allBindingsAccessor.get('selectedOptions') == 'function') {
      allBindingsAccessor.get('selectedOptions').subscribe(function (new_val) {
        // Removing items which are not in new value
        var values = $select.getValue();
        var items_to_remove = [];

        for (var k in values) {
          if (new_val.indexOf(values[k]) == -1) {
            items_to_remove.push(values[k]);
          }
        }

        for (var k in items_to_remove) {
          $select.removeItem(items_to_remove[k]);
        }

        for (var k in new_val) {
          $select.addItem(new_val[k]);
        }
      });
      var selected = allBindingsAccessor.get('selectedOptions')();

      for (var k in selected) {
        $select.addItem(selected[k]);
      }
    }

    if (typeof init_selectize == 'function') {
      init_selectize($select);
    }

    if (typeof valueAccessor().subscribe == 'function') {
      valueAccessor().subscribe(function (changes) {
        // To avoid having duplicate keys, all delete operations will go first
        var addedItems = new Array();
        changes.forEach(function (change) {
          switch (change.status) {
            case 'added':
              addedItems.push(change.value);
              break;

            case 'deleted':
              var itemId = change.value[options.valueField];

              if (typeof itemId === 'function') {
                itemId = itemId();
              }

              if (itemId != null) {
                $select.removeOption(itemId);
              }

          }
        });
        addedItems.forEach(function (item) {
          var optionValue = item[options.valueField];

          if (typeof optionValue === 'function') {
            optionValue = optionValue();
          }

          var optionLabel = item[options.labelField];

          if (typeof optionLabel === 'function') {
            optionLabel = optionLabel();
          }

          var newOption = {};
          newOption[options.valueField] = optionValue;
          newOption[options.labelField] = optionLabel;
          $select.addOption(newOption);

          if (allBindingsAccessor.get('innerSubscriber')) {
            var previousValue;
            item[allBindingsAccessor.get('innerSubscriber')].subscribe(function (oldValue) {
              previousValue = oldValue;
            }, null, 'beforeChange');
            item[allBindingsAccessor.get('innerSubscriber')].subscribe(function (newValue) {
              var newOption = {};
              newOption[options.valueField] = newValue;
              newOption[options.labelField] = newValue;
              $select.updateOption(previousValue, newOption);
              $select.refreshOptions(false);
            });
          }
        });
      }, null, "arrayChange");
    }
  },
  update: function update(element, valueAccessor, allBindingsAccessor) {
    var optionsValue = allBindingsAccessor.get('optionsValue') || 'value';
    var value_accessor = valueAccessor();

    if (allBindingsAccessor.has('selectedObjects')) {
      allBindingsAccessor.get('selectedObjects')(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(value_accessor(), function (i) {
        var id = i[optionsValue];

        if (typeof i[optionsValue] == 'function') {
          id = i[optionsValue]();
        }

        return allBindingsAccessor.get('selectedOptions')().indexOf(id) > -1;
      }));
    }

    if (allBindingsAccessor.has('object')) {
      allBindingsAccessor.get('object')(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(value_accessor(), function (i) {
        var id = i[optionsValue];

        if (typeof i[optionsValue] == 'function') {
          id = i[optionsValue]();
        }

        return id == allBindingsAccessor.get('value')();
      })[0]);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.heat.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/leaflet/leaflet.heat.js ***!
  \*****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

/*
 (c) 2014, Vladimir Agafonkin
 simpleheat, a tiny JavaScript library for drawing heatmaps with Canvas
 https://github.com/mourner/simpleheat
*/
!function () {
  "use strict";

  function t(i) {
    return this instanceof t ? (this._canvas = i = "string" == typeof i ? document.getElementById(i) : i, this._ctx = i.getContext("2d"), this._width = i.width, this._height = i.height, this._max = 1, void this.clear()) : new t(i);
  }

  t.prototype = {
    defaultRadius: 25,
    defaultGradient: {
      .4: "blue",
      .6: "cyan",
      .7: "lime",
      .8: "yellow",
      1: "red"
    },
    data: function data(t, i) {
      return this._data = t, this;
    },
    max: function max(t) {
      return this._max = t, this;
    },
    add: function add(t) {
      return this._data.push(t), this;
    },
    clear: function clear() {
      return this._data = [], this;
    },
    radius: function radius(t, i) {
      i = i || 15;
      var a = this._circle = document.createElement("canvas"),
          s = a.getContext("2d"),
          e = this._r = t + i;
      return a.width = a.height = 2 * e, s.shadowOffsetX = s.shadowOffsetY = 200, s.shadowBlur = i, s.shadowColor = "black", s.beginPath(), s.arc(e - 200, e - 200, t, 0, 2 * Math.PI, !0), s.closePath(), s.fill(), this;
    },
    gradient: function gradient(t) {
      var i = document.createElement("canvas"),
          a = i.getContext("2d"),
          s = a.createLinearGradient(0, 0, 0, 256);
      i.width = 1, i.height = 256;

      for (var e in t) {
        s.addColorStop(e, t[e]);
      }

      return a.fillStyle = s, a.fillRect(0, 0, 1, 256), this._grad = a.getImageData(0, 0, 1, 256).data, this;
    },
    draw: function draw(t) {
      this._circle || this.radius(this.defaultRadius), this._grad || this.gradient(this.defaultGradient);
      var i = this._ctx;
      i.clearRect(0, 0, this._width, this._height);

      for (var a, s = 0, e = this._data.length; e > s; s++) {
        a = this._data[s], i.globalAlpha = Math.max(a[2] / this._max, t || .05), i.drawImage(this._circle, a[0] - this._r, a[1] - this._r);
      }

      var n = i.getImageData(0, 0, this._width, this._height);
      return this._colorize(n.data, this._grad), i.putImageData(n, 0, 0), this;
    },
    _colorize: function _colorize(t, i) {
      for (var a, s = 3, e = t.length; e > s; s += 4) {
        a = 4 * t[s], a && (t[s - 3] = i[a], t[s - 2] = i[a + 1], t[s - 1] = i[a + 2]);
      }
    }
  }, window.simpleheat = t;
}(),
/*
(c) 2014, Vladimir Agafonkin
Leaflet.heat, a tiny and fast heatmap plugin for Leaflet.
https://github.com/Leaflet/Leaflet.heat
*/
L.HeatLayer = (L.Layer ? L.Layer : L.Class).extend({
  initialize: function initialize(t, i) {
    this._latlngs = t, L.setOptions(this, i);
  },
  setLatLngs: function setLatLngs(t) {
    return this._latlngs = t, this.redraw();
  },
  addLatLng: function addLatLng(t) {
    return this._latlngs.push(t), this.redraw();
  },
  setOptions: function setOptions(t) {
    return L.setOptions(this, t), this._heat && this._updateOptions(), this.redraw();
  },
  redraw: function redraw() {
    return !this._heat || this._frame || this._map._animating || (this._frame = L.Util.requestAnimFrame(this._redraw, this)), this;
  },
  onAdd: function onAdd(t) {
    this._map = t, this._canvas || this._initCanvas(), t._panes.overlayPane.appendChild(this._canvas), t.on("moveend", this._reset, this), t.options.zoomAnimation && L.Browser.any3d && t.on("zoomanim", this._animateZoom, this), this._reset();
  },
  onRemove: function onRemove(t) {
    t.getPanes().overlayPane.removeChild(this._canvas), t.off("moveend", this._reset, this), t.options.zoomAnimation && t.off("zoomanim", this._animateZoom, this);
  },
  addTo: function addTo(t) {
    return t.addLayer(this), this;
  },
  _initCanvas: function _initCanvas() {
    var t = this._canvas = L.DomUtil.create("canvas", "leaflet-heatmap-layer leaflet-layer"),
        i = L.DomUtil.testProp(["transformOrigin", "WebkitTransformOrigin", "msTransformOrigin"]);
    t.style[i] = "50% 50%";

    var a = this._map.getSize();

    t.width = a.x, t.height = a.y;
    var s = this._map.options.zoomAnimation && L.Browser.any3d;
    L.DomUtil.addClass(t, "leaflet-zoom-" + (s ? "animated" : "hide")), this._heat = simpleheat(t), this._updateOptions();
  },
  _updateOptions: function _updateOptions() {
    this._heat.radius(this.options.radius || this._heat.defaultRadius, this.options.blur), this.options.gradient && this._heat.gradient(this.options.gradient), this.options.max && this._heat.max(this.options.max);
  },
  _reset: function _reset() {
    var t = this._map.containerPointToLayerPoint([0, 0]);

    L.DomUtil.setPosition(this._canvas, t);

    var i = this._map.getSize();

    this._heat._width !== i.x && (this._canvas.width = this._heat._width = i.x), this._heat._height !== i.y && (this._canvas.height = this._heat._height = i.y), this._redraw();
  },
  _redraw: function _redraw() {
    var t,
        i,
        a,
        s,
        e,
        n,
        h,
        o,
        r,
        d = [],
        _ = this._heat._r,
        l = this._map.getSize(),
        m = new L.Bounds(L.point([-_, -_]), l.add([_, _])),
        c = void 0 === this.options.max ? 1 : this.options.max,
        u = void 0 === this.options.maxZoom ? this._map.getMaxZoom() : this.options.maxZoom,
        f = 1 / Math.pow(2, Math.max(0, Math.min(u - this._map.getZoom(), 12))),
        g = _ / 2,
        p = [],
        v = this._map._getMapPanePos(),
        w = v.x % g,
        y = v.y % g;

    for (t = 0, i = this._latlngs.length; i > t; t++) {
      if (a = this._map.latLngToContainerPoint(this._latlngs[t]), m.contains(a)) {
        e = Math.floor((a.x - w) / g) + 2, n = Math.floor((a.y - y) / g) + 2;
        var x = void 0 !== this._latlngs[t].alt ? this._latlngs[t].alt : void 0 !== this._latlngs[t][2] ? +this._latlngs[t][2] : 1;
        r = x * f, p[n] = p[n] || [], s = p[n][e], s ? (s[0] = (s[0] * s[2] + a.x * r) / (s[2] + r), s[1] = (s[1] * s[2] + a.y * r) / (s[2] + r), s[2] += r) : p[n][e] = [a.x, a.y, r];
      }
    }

    for (t = 0, i = p.length; i > t; t++) {
      if (p[t]) for (h = 0, o = p[t].length; o > h; h++) {
        s = p[t][h], s && d.push([Math.round(s[0]), Math.round(s[1]), Math.min(s[2], c)]);
      }
    }

    this._heat.data(d).draw(this.options.minOpacity), this._frame = null;
  },
  _animateZoom: function _animateZoom(t) {
    var i = this._map.getZoomScale(t.zoom),
        a = this._map._getCenterOffset(t.center)._multiplyBy(-i).subtract(this._map._getMapPanePos());

    L.DomUtil.setTransform ? L.DomUtil.setTransform(this._canvas, a, i) : this._canvas.style[L.DomUtil.TRANSFORM] = L.DomUtil.getTranslateString(a) + " scale(" + i + ")";
  }
}), L.heatLayer = function (t, i) {
  return new L.HeatLayer(t, i);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.js":
/*!************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/leaflet/leaflet.js ***!
  \************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_RESULT__;function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
 Leaflet, a JavaScript library for mobile-friendly interactive maps. http://leafletjs.com
 (c) 2010-2013, Vladimir Agafonkin
 (c) 2010-2011, CloudMade
*/

/*

    This file has Hue specific changes for L.Icon.Default

*/
(function (window, document, undefined) {
  var oldL = window.L,
      L = {};
  L.version = '0.7.7'; // define Leaflet for Node module pattern loaders, including Browserify

  if (( false ? undefined : _typeof(module)) === 'object' && _typeof(module.exports) === 'object') {
    module.exports = L; // define Leaflet as an AMD module
  } else if (true) {
    !(__WEBPACK_AMD_DEFINE_FACTORY__ = (L),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.call(exports, __webpack_require__, exports, module)) :
				__WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  } // define Leaflet as a global L variable, saving the original L to restore later if needed


  L.noConflict = function () {
    window.L = oldL;
    return this;
  };

  window.L = L;
  /*
  * L.Util contains various utility functions used throughout Leaflet code.
  */

  L.Util = {
    extend: function extend(dest) {
      // (Object[, Object, ...]) ->
      var sources = Array.prototype.slice.call(arguments, 1),
          i,
          j,
          len,
          src;

      for (j = 0, len = sources.length; j < len; j++) {
        src = sources[j] || {};

        for (i in src) {
          if (src.hasOwnProperty(i)) {
            dest[i] = src[i];
          }
        }
      }

      return dest;
    },
    bind: function bind(fn, obj) {
      // (Function, Object) -> Function
      var args = arguments.length > 2 ? Array.prototype.slice.call(arguments, 2) : null;
      return function () {
        return fn.apply(obj, args || arguments);
      };
    },
    stamp: function () {
      var lastId = 0,
          key = '_leaflet_id';
      return function (obj) {
        obj[key] = obj[key] || ++lastId;
        return obj[key];
      };
    }(),
    invokeEach: function invokeEach(obj, method, context) {
      var i, args;

      if (_typeof(obj) === 'object') {
        args = Array.prototype.slice.call(arguments, 3);

        for (i in obj) {
          method.apply(context, [i, obj[i]].concat(args));
        }

        return true;
      }

      return false;
    },
    limitExecByInterval: function limitExecByInterval(fn, time, context) {
      var lock, execOnUnlock;
      return function wrapperFn() {
        var args = arguments;

        if (lock) {
          execOnUnlock = true;
          return;
        }

        lock = true;
        setTimeout(function () {
          lock = false;

          if (execOnUnlock) {
            wrapperFn.apply(context, args);
            execOnUnlock = false;
          }
        }, time);
        fn.apply(context, args);
      };
    },
    falseFn: function falseFn() {
      return false;
    },
    formatNum: function formatNum(num, digits) {
      var pow = Math.pow(10, digits || 5);
      return Math.round(num * pow) / pow;
    },
    trim: function trim(str) {
      return str.trim ? str.trim() : str.replace(/^\s+|\s+$/g, '');
    },
    splitWords: function splitWords(str) {
      return L.Util.trim(str).split(/\s+/);
    },
    setOptions: function setOptions(obj, options) {
      obj.options = L.extend({}, obj.options, options);
      return obj.options;
    },
    getParamString: function getParamString(obj, existingUrl, uppercase) {
      var params = [];

      for (var i in obj) {
        params.push(encodeURIComponent(uppercase ? i.toUpperCase() : i) + '=' + encodeURIComponent(obj[i]));
      }

      return (!existingUrl || existingUrl.indexOf('?') === -1 ? '?' : '&') + params.join('&');
    },
    template: function template(str, data) {
      return str.replace(/\{ *([\w_]+) *\}/g, function (str, key) {
        var value = data[key];

        if (value === undefined) {
          throw new Error('No value provided for variable ' + str);
        } else if (typeof value === 'function') {
          value = value(data);
        }

        return value;
      });
    },
    isArray: Array.isArray || function (obj) {
      return Object.prototype.toString.call(obj) === '[object Array]';
    },
    emptyImageUrl: 'data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs='
  };

  (function () {
    // inspired by http://paulirish.com/2011/requestanimationframe-for-smart-animating/
    function getPrefixed(name) {
      var i,
          fn,
          prefixes = ['webkit', 'moz', 'o', 'ms'];

      for (i = 0; i < prefixes.length && !fn; i++) {
        fn = window[prefixes[i] + name];
      }

      return fn;
    }

    var lastTime = 0;

    function timeoutDefer(fn) {
      var time = +new Date(),
          timeToCall = Math.max(0, 16 - (time - lastTime));
      lastTime = time + timeToCall;
      return window.setTimeout(fn, timeToCall);
    }

    var requestFn = window.requestAnimationFrame || getPrefixed('RequestAnimationFrame') || timeoutDefer;

    var cancelFn = window.cancelAnimationFrame || getPrefixed('CancelAnimationFrame') || getPrefixed('CancelRequestAnimationFrame') || function (id) {
      window.clearTimeout(id);
    };

    L.Util.requestAnimFrame = function (fn, context, immediate, element) {
      fn = L.bind(fn, context);

      if (immediate && requestFn === timeoutDefer) {
        fn();
      } else {
        return requestFn.call(window, fn, element);
      }
    };

    L.Util.cancelAnimFrame = function (id) {
      if (id) {
        cancelFn.call(window, id);
      }
    };
  })(); // shortcuts for most used utility functions


  L.extend = L.Util.extend;
  L.bind = L.Util.bind;
  L.stamp = L.Util.stamp;
  L.setOptions = L.Util.setOptions;
  /*
  * L.Class powers the OOP facilities of the library.
  * Thanks to John Resig and Dean Edwards for inspiration!
  */

  L.Class = function () {};

  L.Class.extend = function (props) {
    // extended class with the new prototype
    var NewClass = function NewClass() {
      // call the constructor
      if (this.initialize) {
        this.initialize.apply(this, arguments);
      } // call all constructor hooks


      if (this._initHooks) {
        this.callInitHooks();
      }
    }; // instantiate class without calling constructor


    var F = function F() {};

    F.prototype = this.prototype;
    var proto = new F();
    proto.constructor = NewClass;
    NewClass.prototype = proto; //inherit parent's statics

    for (var i in this) {
      if (this.hasOwnProperty(i) && i !== 'prototype') {
        NewClass[i] = this[i];
      }
    } // mix static properties into the class


    if (props.statics) {
      L.extend(NewClass, props.statics);
      delete props.statics;
    } // mix includes into the prototype


    if (props.includes) {
      L.Util.extend.apply(null, [proto].concat(props.includes));
      delete props.includes;
    } // merge options


    if (props.options && proto.options) {
      props.options = L.extend({}, proto.options, props.options);
    } // mix given properties into the prototype


    L.extend(proto, props);
    proto._initHooks = [];
    var parent = this; // jshint camelcase: false

    NewClass.__super__ = parent.prototype; // add method for calling all hooks

    proto.callInitHooks = function () {
      if (this._initHooksCalled) {
        return;
      }

      if (parent.prototype.callInitHooks) {
        parent.prototype.callInitHooks.call(this);
      }

      this._initHooksCalled = true;

      for (var i = 0, len = proto._initHooks.length; i < len; i++) {
        proto._initHooks[i].call(this);
      }
    };

    return NewClass;
  }; // method for adding properties to prototype


  L.Class.include = function (props) {
    L.extend(this.prototype, props);
  }; // merge new default options to the Class


  L.Class.mergeOptions = function (options) {
    L.extend(this.prototype.options, options);
  }; // add a constructor hook


  L.Class.addInitHook = function (fn) {
    // (Function) || (String, args...)
    var args = Array.prototype.slice.call(arguments, 1);
    var init = typeof fn === 'function' ? fn : function () {
      this[fn].apply(this, args);
    };
    this.prototype._initHooks = this.prototype._initHooks || [];

    this.prototype._initHooks.push(init);
  };
  /*
  * L.Mixin.Events is used to add custom events functionality to Leaflet classes.
  */


  var eventsKey = '_leaflet_events';
  L.Mixin = {};
  L.Mixin.Events = {
    addEventListener: function addEventListener(types, fn, context) {
      // (String, Function[, Object]) or (Object[, Object])
      // types can be a map of types/handlers
      if (L.Util.invokeEach(types, this.addEventListener, this, fn, context)) {
        return this;
      }

      var events = this[eventsKey] = this[eventsKey] || {},
          contextId = context && context !== this && L.stamp(context),
          i,
          len,
          event,
          type,
          indexKey,
          indexLenKey,
          typeIndex; // types can be a string of space-separated words

      types = L.Util.splitWords(types);

      for (i = 0, len = types.length; i < len; i++) {
        event = {
          action: fn,
          context: context || this
        };
        type = types[i];

        if (contextId) {
          // store listeners of a particular context in a separate hash (if it has an id)
          // gives a major performance boost when removing thousands of map layers
          indexKey = type + '_idx';
          indexLenKey = indexKey + '_len';
          typeIndex = events[indexKey] = events[indexKey] || {};

          if (!typeIndex[contextId]) {
            typeIndex[contextId] = []; // keep track of the number of keys in the index to quickly check if it's empty

            events[indexLenKey] = (events[indexLenKey] || 0) + 1;
          }

          typeIndex[contextId].push(event);
        } else {
          events[type] = events[type] || [];
          events[type].push(event);
        }
      }

      return this;
    },
    hasEventListeners: function hasEventListeners(type) {
      // (String) -> Boolean
      var events = this[eventsKey];
      return !!events && (type in events && events[type].length > 0 || type + '_idx' in events && events[type + '_idx_len'] > 0);
    },
    removeEventListener: function removeEventListener(types, fn, context) {
      // ([String, Function, Object]) or (Object[, Object])
      if (!this[eventsKey]) {
        return this;
      }

      if (!types) {
        return this.clearAllEventListeners();
      }

      if (L.Util.invokeEach(types, this.removeEventListener, this, fn, context)) {
        return this;
      }

      var events = this[eventsKey],
          contextId = context && context !== this && L.stamp(context),
          i,
          len,
          type,
          listeners,
          j,
          indexKey,
          indexLenKey,
          typeIndex,
          removed;
      types = L.Util.splitWords(types);

      for (i = 0, len = types.length; i < len; i++) {
        type = types[i];
        indexKey = type + '_idx';
        indexLenKey = indexKey + '_len';
        typeIndex = events[indexKey];

        if (!fn) {
          // clear all listeners for a type if function isn't specified
          delete events[type];
          delete events[indexKey];
          delete events[indexLenKey];
        } else {
          listeners = contextId && typeIndex ? typeIndex[contextId] : events[type];

          if (listeners) {
            for (j = listeners.length - 1; j >= 0; j--) {
              if (listeners[j].action === fn && (!context || listeners[j].context === context)) {
                removed = listeners.splice(j, 1); // set the old action to a no-op, because it is possible
                // that the listener is being iterated over as part of a dispatch

                removed[0].action = L.Util.falseFn;
              }
            }

            if (context && typeIndex && listeners.length === 0) {
              delete typeIndex[contextId];
              events[indexLenKey]--;
            }
          }
        }
      }

      return this;
    },
    clearAllEventListeners: function clearAllEventListeners() {
      delete this[eventsKey];
      return this;
    },
    fireEvent: function fireEvent(type, data) {
      // (String[, Object])
      if (!this.hasEventListeners(type)) {
        return this;
      }

      var event = L.Util.extend({}, data, {
        type: type,
        target: this
      });
      var events = this[eventsKey],
          listeners,
          i,
          len,
          typeIndex,
          contextId;

      if (events[type]) {
        // make sure adding/removing listeners inside other listeners won't cause infinite loop
        listeners = events[type].slice();

        for (i = 0, len = listeners.length; i < len; i++) {
          listeners[i].action.call(listeners[i].context, event);
        }
      } // fire event for the context-indexed listeners as well


      typeIndex = events[type + '_idx'];

      for (contextId in typeIndex) {
        listeners = typeIndex[contextId].slice();

        if (listeners) {
          for (i = 0, len = listeners.length; i < len; i++) {
            listeners[i].action.call(listeners[i].context, event);
          }
        }
      }

      return this;
    },
    addOneTimeEventListener: function addOneTimeEventListener(types, fn, context) {
      if (L.Util.invokeEach(types, this.addOneTimeEventListener, this, fn, context)) {
        return this;
      }

      var handler = L.bind(function () {
        this.removeEventListener(types, fn, context).removeEventListener(types, handler, context);
      }, this);
      return this.addEventListener(types, fn, context).addEventListener(types, handler, context);
    }
  };
  L.Mixin.Events.on = L.Mixin.Events.addEventListener;
  L.Mixin.Events.off = L.Mixin.Events.removeEventListener;
  L.Mixin.Events.once = L.Mixin.Events.addOneTimeEventListener;
  L.Mixin.Events.fire = L.Mixin.Events.fireEvent;
  /*
  * L.Browser handles different browser and feature detections for internal Leaflet use.
  */

  (function () {
    var ie = 'ActiveXObject' in window,
        ielt9 = ie && !document.addEventListener,
        // terrible browser detection to work around Safari / iOS / Android browser bugs
    ua = navigator.userAgent.toLowerCase(),
        webkit = ua.indexOf('webkit') !== -1,
        chrome = ua.indexOf('chrome') !== -1,
        phantomjs = ua.indexOf('phantom') !== -1,
        android = ua.indexOf('android') !== -1,
        android23 = ua.search('android [23]') !== -1,
        gecko = ua.indexOf('gecko') !== -1,
        mobile = (typeof orientation === "undefined" ? "undefined" : _typeof(orientation)) !== undefined + '',
        msPointer = !window.PointerEvent && window.MSPointerEvent,
        pointer = window.PointerEvent && window.navigator.pointerEnabled || msPointer,
        retina = 'devicePixelRatio' in window && window.devicePixelRatio > 1 || 'matchMedia' in window && window.matchMedia('(min-resolution:144dpi)') && window.matchMedia('(min-resolution:144dpi)').matches,
        doc = document.documentElement,
        ie3d = ie && 'transition' in doc.style,
        webkit3d = 'WebKitCSSMatrix' in window && 'm11' in new window.WebKitCSSMatrix() && !android23,
        gecko3d = 'MozPerspective' in doc.style,
        opera3d = 'OTransition' in doc.style,
        any3d = !window.L_DISABLE_3D && (ie3d || webkit3d || gecko3d || opera3d) && !phantomjs;
    var touch = !window.L_NO_TOUCH && !phantomjs && (pointer || 'ontouchstart' in window || window.DocumentTouch && document instanceof window.DocumentTouch);
    L.Browser = {
      ie: ie,
      ielt9: ielt9,
      webkit: webkit,
      gecko: gecko && !webkit && !window.opera && !ie,
      android: android,
      android23: android23,
      chrome: chrome,
      ie3d: ie3d,
      webkit3d: webkit3d,
      gecko3d: gecko3d,
      opera3d: opera3d,
      any3d: any3d,
      mobile: mobile,
      mobileWebkit: mobile && webkit,
      mobileWebkit3d: mobile && webkit3d,
      mobileOpera: mobile && window.opera,
      touch: touch,
      msPointer: msPointer,
      pointer: pointer,
      retina: retina
    };
  })();
  /*
  * L.Point represents a point with x and y coordinates.
  */


  L.Point = function (
  /*Number*/
  x,
  /*Number*/
  y,
  /*Boolean*/
  round) {
    this.x = round ? Math.round(x) : x;
    this.y = round ? Math.round(y) : y;
  };

  L.Point.prototype = {
    clone: function clone() {
      return new L.Point(this.x, this.y);
    },
    // non-destructive, returns a new point
    add: function add(point) {
      return this.clone()._add(L.point(point));
    },
    // destructive, used directly for performance in situations where it's safe to modify existing point
    _add: function _add(point) {
      this.x += point.x;
      this.y += point.y;
      return this;
    },
    subtract: function subtract(point) {
      return this.clone()._subtract(L.point(point));
    },
    _subtract: function _subtract(point) {
      this.x -= point.x;
      this.y -= point.y;
      return this;
    },
    divideBy: function divideBy(num) {
      return this.clone()._divideBy(num);
    },
    _divideBy: function _divideBy(num) {
      this.x /= num;
      this.y /= num;
      return this;
    },
    multiplyBy: function multiplyBy(num) {
      return this.clone()._multiplyBy(num);
    },
    _multiplyBy: function _multiplyBy(num) {
      this.x *= num;
      this.y *= num;
      return this;
    },
    round: function round() {
      return this.clone()._round();
    },
    _round: function _round() {
      this.x = Math.round(this.x);
      this.y = Math.round(this.y);
      return this;
    },
    floor: function floor() {
      return this.clone()._floor();
    },
    _floor: function _floor() {
      this.x = Math.floor(this.x);
      this.y = Math.floor(this.y);
      return this;
    },
    distanceTo: function distanceTo(point) {
      point = L.point(point);
      var x = point.x - this.x,
          y = point.y - this.y;
      return Math.sqrt(x * x + y * y);
    },
    equals: function equals(point) {
      point = L.point(point);
      return point.x === this.x && point.y === this.y;
    },
    contains: function contains(point) {
      point = L.point(point);
      return Math.abs(point.x) <= Math.abs(this.x) && Math.abs(point.y) <= Math.abs(this.y);
    },
    toString: function toString() {
      return 'Point(' + L.Util.formatNum(this.x) + ', ' + L.Util.formatNum(this.y) + ')';
    }
  };

  L.point = function (x, y, round) {
    if (x instanceof L.Point) {
      return x;
    }

    if (L.Util.isArray(x)) {
      return new L.Point(x[0], x[1]);
    }

    if (x === undefined || x === null) {
      return x;
    }

    return new L.Point(x, y, round);
  };
  /*
  * L.Bounds represents a rectangular area on the screen in pixel coordinates.
  */


  L.Bounds = function (a, b) {
    //(Point, Point) or Point[]
    if (!a) {
      return;
    }

    var points = b ? [a, b] : a;

    for (var i = 0, len = points.length; i < len; i++) {
      this.extend(points[i]);
    }
  };

  L.Bounds.prototype = {
    // extend the bounds to contain the given point
    extend: function extend(point) {
      // (Point)
      point = L.point(point);

      if (!this.min && !this.max) {
        this.min = point.clone();
        this.max = point.clone();
      } else {
        this.min.x = Math.min(point.x, this.min.x);
        this.max.x = Math.max(point.x, this.max.x);
        this.min.y = Math.min(point.y, this.min.y);
        this.max.y = Math.max(point.y, this.max.y);
      }

      return this;
    },
    getCenter: function getCenter(round) {
      // (Boolean) -> Point
      return new L.Point((this.min.x + this.max.x) / 2, (this.min.y + this.max.y) / 2, round);
    },
    getBottomLeft: function getBottomLeft() {
      // -> Point
      return new L.Point(this.min.x, this.max.y);
    },
    getTopRight: function getTopRight() {
      // -> Point
      return new L.Point(this.max.x, this.min.y);
    },
    getSize: function getSize() {
      return this.max.subtract(this.min);
    },
    contains: function contains(obj) {
      // (Bounds) or (Point) -> Boolean
      var min, max;

      if (typeof obj[0] === 'number' || obj instanceof L.Point) {
        obj = L.point(obj);
      } else {
        obj = L.bounds(obj);
      }

      if (obj instanceof L.Bounds) {
        min = obj.min;
        max = obj.max;
      } else {
        min = max = obj;
      }

      return min.x >= this.min.x && max.x <= this.max.x && min.y >= this.min.y && max.y <= this.max.y;
    },
    intersects: function intersects(bounds) {
      // (Bounds) -> Boolean
      bounds = L.bounds(bounds);
      var min = this.min,
          max = this.max,
          min2 = bounds.min,
          max2 = bounds.max,
          xIntersects = max2.x >= min.x && min2.x <= max.x,
          yIntersects = max2.y >= min.y && min2.y <= max.y;
      return xIntersects && yIntersects;
    },
    isValid: function isValid() {
      return !!(this.min && this.max);
    }
  };

  L.bounds = function (a, b) {
    // (Bounds) or (Point, Point) or (Point[])
    if (!a || a instanceof L.Bounds) {
      return a;
    }

    return new L.Bounds(a, b);
  };
  /*
  * L.Transformation is an utility class to perform simple point transformations through a 2d-matrix.
  */


  L.Transformation = function (a, b, c, d) {
    this._a = a;
    this._b = b;
    this._c = c;
    this._d = d;
  };

  L.Transformation.prototype = {
    transform: function transform(point, scale) {
      // (Point, Number) -> Point
      return this._transform(point.clone(), scale);
    },
    // destructive transform (faster)
    _transform: function _transform(point, scale) {
      scale = scale || 1;
      point.x = scale * (this._a * point.x + this._b);
      point.y = scale * (this._c * point.y + this._d);
      return point;
    },
    untransform: function untransform(point, scale) {
      scale = scale || 1;
      return new L.Point((point.x / scale - this._b) / this._a, (point.y / scale - this._d) / this._c);
    }
  };
  /*
  * L.DomUtil contains various utility functions for working with DOM.
  */

  L.DomUtil = {
    get: function get(id) {
      return typeof id === 'string' ? document.getElementById(id) : id;
    },
    getStyle: function getStyle(el, style) {
      var value = el.style[style];

      if (!value && el.currentStyle) {
        value = el.currentStyle[style];
      }

      if ((!value || value === 'auto') && document.defaultView) {
        var css = document.defaultView.getComputedStyle(el, null);
        value = css ? css[style] : null;
      }

      return value === 'auto' ? null : value;
    },
    getViewportOffset: function getViewportOffset(element) {
      var top = 0,
          left = 0,
          el = element,
          docBody = document.body,
          docEl = document.documentElement,
          pos;

      do {
        top += el.offsetTop || 0;
        left += el.offsetLeft || 0; //add borders

        top += parseInt(L.DomUtil.getStyle(el, 'borderTopWidth'), 10) || 0;
        left += parseInt(L.DomUtil.getStyle(el, 'borderLeftWidth'), 10) || 0;
        pos = L.DomUtil.getStyle(el, 'position');

        if (el.offsetParent === docBody && pos === 'absolute') {
          break;
        }

        if (pos === 'fixed') {
          top += docBody.scrollTop || docEl.scrollTop || 0;
          left += docBody.scrollLeft || docEl.scrollLeft || 0;
          break;
        }

        if (pos === 'relative' && !el.offsetLeft) {
          var width = L.DomUtil.getStyle(el, 'width'),
              maxWidth = L.DomUtil.getStyle(el, 'max-width'),
              r = el.getBoundingClientRect();

          if (width !== 'none' || maxWidth !== 'none') {
            left += r.left + el.clientLeft;
          } //calculate full y offset since we're breaking out of the loop


          top += r.top + (docBody.scrollTop || docEl.scrollTop || 0);
          break;
        }

        el = el.offsetParent;
      } while (el);

      el = element;

      do {
        if (el === docBody) {
          break;
        }

        top -= el.scrollTop || 0;
        left -= el.scrollLeft || 0;
        el = el.parentNode;
      } while (el);

      return new L.Point(left, top);
    },
    documentIsLtr: function documentIsLtr() {
      if (!L.DomUtil._docIsLtrCached) {
        L.DomUtil._docIsLtrCached = true;
        L.DomUtil._docIsLtr = L.DomUtil.getStyle(document.body, 'direction') === 'ltr';
      }

      return L.DomUtil._docIsLtr;
    },
    create: function create(tagName, className, container) {
      var el = document.createElement(tagName);
      el.className = className;

      if (container) {
        container.appendChild(el);
      }

      return el;
    },
    hasClass: function hasClass(el, name) {
      if (el.classList !== undefined) {
        return el.classList.contains(name);
      }

      var className = L.DomUtil._getClass(el);

      return className.length > 0 && new RegExp('(^|\\s)' + name + '(\\s|$)').test(className);
    },
    addClass: function addClass(el, name) {
      if (el.classList !== undefined) {
        var classes = L.Util.splitWords(name);

        for (var i = 0, len = classes.length; i < len; i++) {
          el.classList.add(classes[i]);
        }
      } else if (!L.DomUtil.hasClass(el, name)) {
        var className = L.DomUtil._getClass(el);

        L.DomUtil._setClass(el, (className ? className + ' ' : '') + name);
      }
    },
    removeClass: function removeClass(el, name) {
      if (el.classList !== undefined) {
        el.classList.remove(name);
      } else {
        L.DomUtil._setClass(el, L.Util.trim((' ' + L.DomUtil._getClass(el) + ' ').replace(' ' + name + ' ', ' ')));
      }
    },
    _setClass: function _setClass(el, name) {
      if (el.className.baseVal === undefined) {
        el.className = name;
      } else {
        // in case of SVG element
        el.className.baseVal = name;
      }
    },
    _getClass: function _getClass(el) {
      return el.className.baseVal === undefined ? el.className : el.className.baseVal;
    },
    setOpacity: function setOpacity(el, value) {
      if ('opacity' in el.style) {
        el.style.opacity = value;
      } else if ('filter' in el.style) {
        var filter = false,
            filterName = 'DXImageTransform.Microsoft.Alpha'; // filters collection throws an error if we try to retrieve a filter that doesn't exist

        try {
          filter = el.filters.item(filterName);
        } catch (e) {
          // don't set opacity to 1 if we haven't already set an opacity,
          // it isn't needed and breaks transparent pngs.
          if (value === 1) {
            return;
          }
        }

        value = Math.round(value * 100);

        if (filter) {
          filter.Enabled = value !== 100;
          filter.Opacity = value;
        } else {
          el.style.filter += ' progid:' + filterName + '(opacity=' + value + ')';
        }
      }
    },
    testProp: function testProp(props) {
      var style = document.documentElement.style;

      for (var i = 0; i < props.length; i++) {
        if (props[i] in style) {
          return props[i];
        }
      }

      return false;
    },
    getTranslateString: function getTranslateString(point) {
      // on WebKit browsers (Chrome/Safari/iOS Safari/Android) using translate3d instead of translate
      // makes animation smoother as it ensures HW accel is used. Firefox 13 doesn't care
      // (same speed either way), Opera 12 doesn't support translate3d
      var is3d = L.Browser.webkit3d,
          open = 'translate' + (is3d ? '3d' : '') + '(',
          close = (is3d ? ',0' : '') + ')';
      return open + point.x + 'px,' + point.y + 'px' + close;
    },
    getScaleString: function getScaleString(scale, origin) {
      var preTranslateStr = L.DomUtil.getTranslateString(origin.add(origin.multiplyBy(-1 * scale))),
          scaleStr = ' scale(' + scale + ') ';
      return preTranslateStr + scaleStr;
    },
    setPosition: function setPosition(el, point, disable3D) {
      // (HTMLElement, Point[, Boolean])
      // jshint camelcase: false
      el._leaflet_pos = point;

      if (!disable3D && L.Browser.any3d) {
        el.style[L.DomUtil.TRANSFORM] = L.DomUtil.getTranslateString(point);
      } else {
        el.style.left = point.x + 'px';
        el.style.top = point.y + 'px';
      }
    },
    getPosition: function getPosition(el) {
      // this method is only used for elements previously positioned using setPosition,
      // so it's safe to cache the position for performance
      // jshint camelcase: false
      return el._leaflet_pos;
    }
  }; // prefix style property names

  L.DomUtil.TRANSFORM = L.DomUtil.testProp(['transform', 'WebkitTransform', 'OTransform', 'MozTransform', 'msTransform']); // webkitTransition comes first because some browser versions that drop vendor prefix don't do
  // the same for the transitionend event, in particular the Android 4.1 stock browser

  L.DomUtil.TRANSITION = L.DomUtil.testProp(['webkitTransition', 'transition', 'OTransition', 'MozTransition', 'msTransition']);
  L.DomUtil.TRANSITION_END = L.DomUtil.TRANSITION === 'webkitTransition' || L.DomUtil.TRANSITION === 'OTransition' ? L.DomUtil.TRANSITION + 'End' : 'transitionend';

  (function () {
    if ('onselectstart' in document) {
      L.extend(L.DomUtil, {
        disableTextSelection: function disableTextSelection() {
          L.DomEvent.on(window, 'selectstart', L.DomEvent.preventDefault);
        },
        enableTextSelection: function enableTextSelection() {
          L.DomEvent.off(window, 'selectstart', L.DomEvent.preventDefault);
        }
      });
    } else {
      var userSelectProperty = L.DomUtil.testProp(['userSelect', 'WebkitUserSelect', 'OUserSelect', 'MozUserSelect', 'msUserSelect']);
      L.extend(L.DomUtil, {
        disableTextSelection: function disableTextSelection() {
          if (userSelectProperty) {
            var style = document.documentElement.style;
            this._userSelect = style[userSelectProperty];
            style[userSelectProperty] = 'none';
          }
        },
        enableTextSelection: function enableTextSelection() {
          if (userSelectProperty) {
            document.documentElement.style[userSelectProperty] = this._userSelect;
            delete this._userSelect;
          }
        }
      });
    }

    L.extend(L.DomUtil, {
      disableImageDrag: function disableImageDrag() {
        L.DomEvent.on(window, 'dragstart', L.DomEvent.preventDefault);
      },
      enableImageDrag: function enableImageDrag() {
        L.DomEvent.off(window, 'dragstart', L.DomEvent.preventDefault);
      }
    });
  })();
  /*
  * L.LatLng represents a geographical point with latitude and longitude coordinates.
  */


  L.LatLng = function (lat, lng, alt) {
    // (Number, Number, Number)
    lat = parseFloat(lat);
    lng = parseFloat(lng);

    if (isNaN(lat) || isNaN(lng)) {
      throw new Error('Invalid LatLng object: (' + lat + ', ' + lng + ')');
    }

    this.lat = lat;
    this.lng = lng;

    if (alt !== undefined) {
      this.alt = parseFloat(alt);
    }
  };

  L.extend(L.LatLng, {
    DEG_TO_RAD: Math.PI / 180,
    RAD_TO_DEG: 180 / Math.PI,
    MAX_MARGIN: 1.0E-9 // max margin of error for the "equals" check

  });
  L.LatLng.prototype = {
    equals: function equals(obj) {
      // (LatLng) -> Boolean
      if (!obj) {
        return false;
      }

      obj = L.latLng(obj);
      var margin = Math.max(Math.abs(this.lat - obj.lat), Math.abs(this.lng - obj.lng));
      return margin <= L.LatLng.MAX_MARGIN;
    },
    toString: function toString(precision) {
      // (Number) -> String
      return 'LatLng(' + L.Util.formatNum(this.lat, precision) + ', ' + L.Util.formatNum(this.lng, precision) + ')';
    },
    // Haversine distance formula, see http://en.wikipedia.org/wiki/Haversine_formula
    // TODO move to projection code, LatLng shouldn't know about Earth
    distanceTo: function distanceTo(other) {
      // (LatLng) -> Number
      other = L.latLng(other);
      var R = 6378137,
          // earth radius in meters
      d2r = L.LatLng.DEG_TO_RAD,
          dLat = (other.lat - this.lat) * d2r,
          dLon = (other.lng - this.lng) * d2r,
          lat1 = this.lat * d2r,
          lat2 = other.lat * d2r,
          sin1 = Math.sin(dLat / 2),
          sin2 = Math.sin(dLon / 2);
      var a = sin1 * sin1 + sin2 * sin2 * Math.cos(lat1) * Math.cos(lat2);
      return R * 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1 - a));
    },
    wrap: function wrap(a, b) {
      // (Number, Number) -> LatLng
      var lng = this.lng;
      a = a || -180;
      b = b || 180;
      lng = (lng + b) % (b - a) + (lng < a || lng === b ? b : a);
      return new L.LatLng(this.lat, lng);
    }
  };

  L.latLng = function (a, b) {
    // (LatLng) or ([Number, Number]) or (Number, Number)
    if (a instanceof L.LatLng) {
      return a;
    }

    if (L.Util.isArray(a)) {
      if (typeof a[0] === 'number' || typeof a[0] === 'string') {
        return new L.LatLng(a[0], a[1], a[2]);
      } else {
        return null;
      }
    }

    if (a === undefined || a === null) {
      return a;
    }

    if (_typeof(a) === 'object' && 'lat' in a) {
      return new L.LatLng(a.lat, 'lng' in a ? a.lng : a.lon);
    }

    if (b === undefined) {
      return null;
    }

    return new L.LatLng(a, b);
  };
  /*
  * L.LatLngBounds represents a rectangular area on the map in geographical coordinates.
  */


  L.LatLngBounds = function (southWest, northEast) {
    // (LatLng, LatLng) or (LatLng[])
    if (!southWest) {
      return;
    }

    var latlngs = northEast ? [southWest, northEast] : southWest;

    for (var i = 0, len = latlngs.length; i < len; i++) {
      this.extend(latlngs[i]);
    }
  };

  L.LatLngBounds.prototype = {
    // extend the bounds to contain the given point or bounds
    extend: function extend(obj) {
      // (LatLng) or (LatLngBounds)
      if (!obj) {
        return this;
      }

      var latLng = L.latLng(obj);

      if (latLng !== null) {
        obj = latLng;
      } else {
        obj = L.latLngBounds(obj);
      }

      if (obj instanceof L.LatLng) {
        if (!this._southWest && !this._northEast) {
          this._southWest = new L.LatLng(obj.lat, obj.lng);
          this._northEast = new L.LatLng(obj.lat, obj.lng);
        } else {
          this._southWest.lat = Math.min(obj.lat, this._southWest.lat);
          this._southWest.lng = Math.min(obj.lng, this._southWest.lng);
          this._northEast.lat = Math.max(obj.lat, this._northEast.lat);
          this._northEast.lng = Math.max(obj.lng, this._northEast.lng);
        }
      } else if (obj instanceof L.LatLngBounds) {
        this.extend(obj._southWest);
        this.extend(obj._northEast);
      }

      return this;
    },
    // extend the bounds by a percentage
    pad: function pad(bufferRatio) {
      // (Number) -> LatLngBounds
      var sw = this._southWest,
          ne = this._northEast,
          heightBuffer = Math.abs(sw.lat - ne.lat) * bufferRatio,
          widthBuffer = Math.abs(sw.lng - ne.lng) * bufferRatio;
      return new L.LatLngBounds(new L.LatLng(sw.lat - heightBuffer, sw.lng - widthBuffer), new L.LatLng(ne.lat + heightBuffer, ne.lng + widthBuffer));
    },
    getCenter: function getCenter() {
      // -> LatLng
      return new L.LatLng((this._southWest.lat + this._northEast.lat) / 2, (this._southWest.lng + this._northEast.lng) / 2);
    },
    getSouthWest: function getSouthWest() {
      return this._southWest;
    },
    getNorthEast: function getNorthEast() {
      return this._northEast;
    },
    getNorthWest: function getNorthWest() {
      return new L.LatLng(this.getNorth(), this.getWest());
    },
    getSouthEast: function getSouthEast() {
      return new L.LatLng(this.getSouth(), this.getEast());
    },
    getWest: function getWest() {
      return this._southWest.lng;
    },
    getSouth: function getSouth() {
      return this._southWest.lat;
    },
    getEast: function getEast() {
      return this._northEast.lng;
    },
    getNorth: function getNorth() {
      return this._northEast.lat;
    },
    contains: function contains(obj) {
      // (LatLngBounds) or (LatLng) -> Boolean
      if (typeof obj[0] === 'number' || obj instanceof L.LatLng) {
        obj = L.latLng(obj);
      } else {
        obj = L.latLngBounds(obj);
      }

      var sw = this._southWest,
          ne = this._northEast,
          sw2,
          ne2;

      if (obj instanceof L.LatLngBounds) {
        sw2 = obj.getSouthWest();
        ne2 = obj.getNorthEast();
      } else {
        sw2 = ne2 = obj;
      }

      return sw2.lat >= sw.lat && ne2.lat <= ne.lat && sw2.lng >= sw.lng && ne2.lng <= ne.lng;
    },
    intersects: function intersects(bounds) {
      // (LatLngBounds)
      bounds = L.latLngBounds(bounds);
      var sw = this._southWest,
          ne = this._northEast,
          sw2 = bounds.getSouthWest(),
          ne2 = bounds.getNorthEast(),
          latIntersects = ne2.lat >= sw.lat && sw2.lat <= ne.lat,
          lngIntersects = ne2.lng >= sw.lng && sw2.lng <= ne.lng;
      return latIntersects && lngIntersects;
    },
    toBBoxString: function toBBoxString() {
      return [this.getWest(), this.getSouth(), this.getEast(), this.getNorth()].join(',');
    },
    equals: function equals(bounds) {
      // (LatLngBounds)
      if (!bounds) {
        return false;
      }

      bounds = L.latLngBounds(bounds);
      return this._southWest.equals(bounds.getSouthWest()) && this._northEast.equals(bounds.getNorthEast());
    },
    isValid: function isValid() {
      return !!(this._southWest && this._northEast);
    }
  }; //TODO International date line?

  L.latLngBounds = function (a, b) {
    // (LatLngBounds) or (LatLng, LatLng)
    if (!a || a instanceof L.LatLngBounds) {
      return a;
    }

    return new L.LatLngBounds(a, b);
  };
  /*
  * L.Projection contains various geographical projections used by CRS classes.
  */


  L.Projection = {};
  /*
  * Spherical Mercator is the most popular map projection, used by EPSG:3857 CRS used by default.
  */

  L.Projection.SphericalMercator = {
    MAX_LATITUDE: 85.0511287798,
    project: function project(latlng) {
      // (LatLng) -> Point
      var d = L.LatLng.DEG_TO_RAD,
          max = this.MAX_LATITUDE,
          lat = Math.max(Math.min(max, latlng.lat), -max),
          x = latlng.lng * d,
          y = lat * d;
      y = Math.log(Math.tan(Math.PI / 4 + y / 2));
      return new L.Point(x, y);
    },
    unproject: function unproject(point) {
      // (Point, Boolean) -> LatLng
      var d = L.LatLng.RAD_TO_DEG,
          lng = point.x * d,
          lat = (2 * Math.atan(Math.exp(point.y)) - Math.PI / 2) * d;
      return new L.LatLng(lat, lng);
    }
  };
  /*
  * Simple equirectangular (Plate Carree) projection, used by CRS like EPSG:4326 and Simple.
  */

  L.Projection.LonLat = {
    project: function project(latlng) {
      return new L.Point(latlng.lng, latlng.lat);
    },
    unproject: function unproject(point) {
      return new L.LatLng(point.y, point.x);
    }
  };
  /*
  * L.CRS is a base object for all defined CRS (Coordinate Reference Systems) in Leaflet.
  */

  L.CRS = {
    latLngToPoint: function latLngToPoint(latlng, zoom) {
      // (LatLng, Number) -> Point
      var projectedPoint = this.projection.project(latlng),
          scale = this.scale(zoom);
      return this.transformation._transform(projectedPoint, scale);
    },
    pointToLatLng: function pointToLatLng(point, zoom) {
      // (Point, Number[, Boolean]) -> LatLng
      var scale = this.scale(zoom),
          untransformedPoint = this.transformation.untransform(point, scale);
      return this.projection.unproject(untransformedPoint);
    },
    project: function project(latlng) {
      return this.projection.project(latlng);
    },
    scale: function scale(zoom) {
      return 256 * Math.pow(2, zoom);
    },
    getSize: function getSize(zoom) {
      var s = this.scale(zoom);
      return L.point(s, s);
    }
  };
  /*
  * A simple CRS that can be used for flat non-Earth maps like panoramas or game maps.
  */

  L.CRS.Simple = L.extend({}, L.CRS, {
    projection: L.Projection.LonLat,
    transformation: new L.Transformation(1, 0, -1, 0),
    scale: function scale(zoom) {
      return Math.pow(2, zoom);
    }
  });
  /*
  * L.CRS.EPSG3857 (Spherical Mercator) is the most common CRS for web mapping
  * and is used by Leaflet by default.
  */

  L.CRS.EPSG3857 = L.extend({}, L.CRS, {
    code: 'EPSG:3857',
    projection: L.Projection.SphericalMercator,
    transformation: new L.Transformation(0.5 / Math.PI, 0.5, -0.5 / Math.PI, 0.5),
    project: function project(latlng) {
      // (LatLng) -> Point
      var projectedPoint = this.projection.project(latlng),
          earthRadius = 6378137;
      return projectedPoint.multiplyBy(earthRadius);
    }
  });
  L.CRS.EPSG900913 = L.extend({}, L.CRS.EPSG3857, {
    code: 'EPSG:900913'
  });
  /*
  * L.CRS.EPSG4326 is a CRS popular among advanced GIS specialists.
  */

  L.CRS.EPSG4326 = L.extend({}, L.CRS, {
    code: 'EPSG:4326',
    projection: L.Projection.LonLat,
    transformation: new L.Transformation(1 / 360, 0.5, -1 / 360, 0.5)
  });
  /*
  * L.Map is the central class of the API - it is used to create a map.
  */

  L.Map = L.Class.extend({
    includes: L.Mixin.Events,
    options: {
      crs: L.CRS.EPSG3857,

      /*
      center: LatLng,
      zoom: Number,
      layers: Array,
      */
      fadeAnimation: L.DomUtil.TRANSITION && !L.Browser.android23,
      trackResize: true,
      markerZoomAnimation: L.DomUtil.TRANSITION && L.Browser.any3d
    },
    initialize: function initialize(id, options) {
      // (HTMLElement or String, Object)
      options = L.setOptions(this, options);

      this._initContainer(id);

      this._initLayout(); // hack for https://github.com/Leaflet/Leaflet/issues/1980


      this._onResize = L.bind(this._onResize, this);

      this._initEvents();

      if (options.maxBounds) {
        this.setMaxBounds(options.maxBounds);
      }

      if (options.center && options.zoom !== undefined) {
        this.setView(L.latLng(options.center), options.zoom, {
          reset: true
        });
      }

      this._handlers = [];
      this._layers = {};
      this._zoomBoundLayers = {};
      this._tileLayersNum = 0;
      this.callInitHooks();

      this._addLayers(options.layers);
    },
    // public methods that modify map state
    // replaced by animation-powered implementation in Map.PanAnimation.js
    setView: function setView(center, zoom) {
      zoom = zoom === undefined ? this.getZoom() : zoom;

      this._resetView(L.latLng(center), this._limitZoom(zoom));

      return this;
    },
    setZoom: function setZoom(zoom, options) {
      if (!this._loaded) {
        this._zoom = this._limitZoom(zoom);
        return this;
      }

      return this.setView(this.getCenter(), zoom, {
        zoom: options
      });
    },
    zoomIn: function zoomIn(delta, options) {
      return this.setZoom(this._zoom + (delta || 1), options);
    },
    zoomOut: function zoomOut(delta, options) {
      return this.setZoom(this._zoom - (delta || 1), options);
    },
    setZoomAround: function setZoomAround(latlng, zoom, options) {
      var scale = this.getZoomScale(zoom),
          viewHalf = this.getSize().divideBy(2),
          containerPoint = latlng instanceof L.Point ? latlng : this.latLngToContainerPoint(latlng),
          centerOffset = containerPoint.subtract(viewHalf).multiplyBy(1 - 1 / scale),
          newCenter = this.containerPointToLatLng(viewHalf.add(centerOffset));
      return this.setView(newCenter, zoom, {
        zoom: options
      });
    },
    fitBounds: function fitBounds(bounds, options) {
      options = options || {};
      bounds = bounds.getBounds ? bounds.getBounds() : L.latLngBounds(bounds);
      var paddingTL = L.point(options.paddingTopLeft || options.padding || [0, 0]),
          paddingBR = L.point(options.paddingBottomRight || options.padding || [0, 0]),
          zoom = this.getBoundsZoom(bounds, false, paddingTL.add(paddingBR));
      zoom = options.maxZoom ? Math.min(options.maxZoom, zoom) : zoom;
      var paddingOffset = paddingBR.subtract(paddingTL).divideBy(2),
          swPoint = this.project(bounds.getSouthWest(), zoom),
          nePoint = this.project(bounds.getNorthEast(), zoom),
          center = this.unproject(swPoint.add(nePoint).divideBy(2).add(paddingOffset), zoom);
      return this.setView(center, zoom, options);
    },
    fitWorld: function fitWorld(options) {
      return this.fitBounds([[-90, -180], [90, 180]], options);
    },
    panTo: function panTo(center, options) {
      // (LatLng)
      return this.setView(center, this._zoom, {
        pan: options
      });
    },
    panBy: function panBy(offset) {
      // (Point)
      // replaced with animated panBy in Map.PanAnimation.js
      this.fire('movestart');

      this._rawPanBy(L.point(offset));

      this.fire('move');
      return this.fire('moveend');
    },
    setMaxBounds: function setMaxBounds(bounds) {
      bounds = L.latLngBounds(bounds);
      this.options.maxBounds = bounds;

      if (!bounds) {
        return this.off('moveend', this._panInsideMaxBounds, this);
      }

      if (this._loaded) {
        this._panInsideMaxBounds();
      }

      return this.on('moveend', this._panInsideMaxBounds, this);
    },
    panInsideBounds: function panInsideBounds(bounds, options) {
      var center = this.getCenter(),
          newCenter = this._limitCenter(center, this._zoom, bounds);

      if (center.equals(newCenter)) {
        return this;
      }

      return this.panTo(newCenter, options);
    },
    addLayer: function addLayer(layer) {
      // TODO method is too big, refactor
      var id = L.stamp(layer);

      if (this._layers[id]) {
        return this;
      }

      this._layers[id] = layer; // TODO getMaxZoom, getMinZoom in ILayer (instead of options)

      if (layer.options && (!isNaN(layer.options.maxZoom) || !isNaN(layer.options.minZoom))) {
        this._zoomBoundLayers[id] = layer;

        this._updateZoomLevels();
      } // TODO looks ugly, refactor!!!


      if (this.options.zoomAnimation && L.TileLayer && layer instanceof L.TileLayer) {
        this._tileLayersNum++;
        this._tileLayersToLoad++;
        layer.on('load', this._onTileLayerLoad, this);
      }

      if (this._loaded) {
        this._layerAdd(layer);
      }

      return this;
    },
    removeLayer: function removeLayer(layer) {
      var id = L.stamp(layer);

      if (!this._layers[id]) {
        return this;
      }

      if (this._loaded) {
        layer.onRemove(this);
      }

      delete this._layers[id];

      if (this._loaded) {
        this.fire('layerremove', {
          layer: layer
        });
      }

      if (this._zoomBoundLayers[id]) {
        delete this._zoomBoundLayers[id];

        this._updateZoomLevels();
      } // TODO looks ugly, refactor


      if (this.options.zoomAnimation && L.TileLayer && layer instanceof L.TileLayer) {
        this._tileLayersNum--;
        this._tileLayersToLoad--;
        layer.off('load', this._onTileLayerLoad, this);
      }

      return this;
    },
    hasLayer: function hasLayer(layer) {
      if (!layer) {
        return false;
      }

      return L.stamp(layer) in this._layers;
    },
    eachLayer: function eachLayer(method, context) {
      for (var i in this._layers) {
        method.call(context, this._layers[i]);
      }

      return this;
    },
    invalidateSize: function invalidateSize(options) {
      if (!this._loaded) {
        return this;
      }

      options = L.extend({
        animate: false,
        pan: true
      }, options === true ? {
        animate: true
      } : options);
      var oldSize = this.getSize();
      this._sizeChanged = true;
      this._initialCenter = null;
      var newSize = this.getSize(),
          oldCenter = oldSize.divideBy(2).round(),
          newCenter = newSize.divideBy(2).round(),
          offset = oldCenter.subtract(newCenter);

      if (!offset.x && !offset.y) {
        return this;
      }

      if (options.animate && options.pan) {
        this.panBy(offset);
      } else {
        if (options.pan) {
          this._rawPanBy(offset);
        }

        this.fire('move');

        if (options.debounceMoveend) {
          clearTimeout(this._sizeTimer);
          this._sizeTimer = setTimeout(L.bind(this.fire, this, 'moveend'), 200);
        } else {
          this.fire('moveend');
        }
      }

      return this.fire('resize', {
        oldSize: oldSize,
        newSize: newSize
      });
    },
    // TODO handler.addTo
    addHandler: function addHandler(name, HandlerClass) {
      if (!HandlerClass) {
        return this;
      }

      var handler = this[name] = new HandlerClass(this);

      this._handlers.push(handler);

      if (this.options[name]) {
        handler.enable();
      }

      return this;
    },
    remove: function remove() {
      if (this._loaded) {
        this.fire('unload');
      }

      this._initEvents('off');

      try {
        // throws error in IE6-8
        delete this._container._leaflet;
      } catch (e) {
        this._container._leaflet = undefined;
      }

      this._clearPanes();

      if (this._clearControlPos) {
        this._clearControlPos();
      }

      this._clearHandlers();

      return this;
    },
    // public methods for getting map state
    getCenter: function getCenter() {
      // (Boolean) -> LatLng
      this._checkIfLoaded();

      if (this._initialCenter && !this._moved()) {
        return this._initialCenter;
      }

      return this.layerPointToLatLng(this._getCenterLayerPoint());
    },
    getZoom: function getZoom() {
      return this._zoom;
    },
    getBounds: function getBounds() {
      var bounds = this.getPixelBounds(),
          sw = this.unproject(bounds.getBottomLeft()),
          ne = this.unproject(bounds.getTopRight());
      return new L.LatLngBounds(sw, ne);
    },
    getMinZoom: function getMinZoom() {
      return this.options.minZoom === undefined ? this._layersMinZoom === undefined ? 0 : this._layersMinZoom : this.options.minZoom;
    },
    getMaxZoom: function getMaxZoom() {
      return this.options.maxZoom === undefined ? this._layersMaxZoom === undefined ? Infinity : this._layersMaxZoom : this.options.maxZoom;
    },
    getBoundsZoom: function getBoundsZoom(bounds, inside, padding) {
      // (LatLngBounds[, Boolean, Point]) -> Number
      bounds = L.latLngBounds(bounds);
      var zoom = this.getMinZoom() - (inside ? 1 : 0),
          maxZoom = this.getMaxZoom(),
          size = this.getSize(),
          nw = bounds.getNorthWest(),
          se = bounds.getSouthEast(),
          zoomNotFound = true,
          boundsSize;
      padding = L.point(padding || [0, 0]);

      do {
        zoom++;
        boundsSize = this.project(se, zoom).subtract(this.project(nw, zoom)).add(padding);
        zoomNotFound = !inside ? size.contains(boundsSize) : boundsSize.x < size.x || boundsSize.y < size.y;
      } while (zoomNotFound && zoom <= maxZoom);

      if (zoomNotFound && inside) {
        return null;
      }

      return inside ? zoom : zoom - 1;
    },
    getSize: function getSize() {
      if (!this._size || this._sizeChanged) {
        this._size = new L.Point(this._container.clientWidth, this._container.clientHeight);
        this._sizeChanged = false;
      }

      return this._size.clone();
    },
    getPixelBounds: function getPixelBounds() {
      var topLeftPoint = this._getTopLeftPoint();

      return new L.Bounds(topLeftPoint, topLeftPoint.add(this.getSize()));
    },
    getPixelOrigin: function getPixelOrigin() {
      this._checkIfLoaded();

      return this._initialTopLeftPoint;
    },
    getPanes: function getPanes() {
      return this._panes;
    },
    getContainer: function getContainer() {
      return this._container;
    },
    // TODO replace with universal implementation after refactoring projections
    getZoomScale: function getZoomScale(toZoom) {
      var crs = this.options.crs;
      return crs.scale(toZoom) / crs.scale(this._zoom);
    },
    getScaleZoom: function getScaleZoom(scale) {
      return this._zoom + Math.log(scale) / Math.LN2;
    },
    // conversion methods
    project: function project(latlng, zoom) {
      // (LatLng[, Number]) -> Point
      zoom = zoom === undefined ? this._zoom : zoom;
      return this.options.crs.latLngToPoint(L.latLng(latlng), zoom);
    },
    unproject: function unproject(point, zoom) {
      // (Point[, Number]) -> LatLng
      zoom = zoom === undefined ? this._zoom : zoom;
      return this.options.crs.pointToLatLng(L.point(point), zoom);
    },
    layerPointToLatLng: function layerPointToLatLng(point) {
      // (Point)
      var projectedPoint = L.point(point).add(this.getPixelOrigin());
      return this.unproject(projectedPoint);
    },
    latLngToLayerPoint: function latLngToLayerPoint(latlng) {
      // (LatLng)
      var projectedPoint = this.project(L.latLng(latlng))._round();

      return projectedPoint._subtract(this.getPixelOrigin());
    },
    containerPointToLayerPoint: function containerPointToLayerPoint(point) {
      // (Point)
      return L.point(point).subtract(this._getMapPanePos());
    },
    layerPointToContainerPoint: function layerPointToContainerPoint(point) {
      // (Point)
      return L.point(point).add(this._getMapPanePos());
    },
    containerPointToLatLng: function containerPointToLatLng(point) {
      var layerPoint = this.containerPointToLayerPoint(L.point(point));
      return this.layerPointToLatLng(layerPoint);
    },
    latLngToContainerPoint: function latLngToContainerPoint(latlng) {
      return this.layerPointToContainerPoint(this.latLngToLayerPoint(L.latLng(latlng)));
    },
    mouseEventToContainerPoint: function mouseEventToContainerPoint(e) {
      // (MouseEvent)
      return L.DomEvent.getMousePosition(e, this._container);
    },
    mouseEventToLayerPoint: function mouseEventToLayerPoint(e) {
      // (MouseEvent)
      return this.containerPointToLayerPoint(this.mouseEventToContainerPoint(e));
    },
    mouseEventToLatLng: function mouseEventToLatLng(e) {
      // (MouseEvent)
      return this.layerPointToLatLng(this.mouseEventToLayerPoint(e));
    },
    // map initialization methods
    _initContainer: function _initContainer(id) {
      var container = this._container = L.DomUtil.get(id);

      if (!container) {
        throw new Error('Map container not found.');
      } else if (container._leaflet) {
        throw new Error('Map container is already initialized.');
      }

      container._leaflet = true;
    },
    _initLayout: function _initLayout() {
      var container = this._container;
      L.DomUtil.addClass(container, 'leaflet-container' + (L.Browser.touch ? ' leaflet-touch' : '') + (L.Browser.retina ? ' leaflet-retina' : '') + (L.Browser.ielt9 ? ' leaflet-oldie' : '') + (this.options.fadeAnimation ? ' leaflet-fade-anim' : ''));
      var position = L.DomUtil.getStyle(container, 'position');

      if (position !== 'absolute' && position !== 'relative' && position !== 'fixed') {
        container.style.position = 'relative';
      }

      this._initPanes();

      if (this._initControlPos) {
        this._initControlPos();
      }
    },
    _initPanes: function _initPanes() {
      var panes = this._panes = {};
      this._mapPane = panes.mapPane = this._createPane('leaflet-map-pane', this._container);
      this._tilePane = panes.tilePane = this._createPane('leaflet-tile-pane', this._mapPane);
      panes.objectsPane = this._createPane('leaflet-objects-pane', this._mapPane);
      panes.shadowPane = this._createPane('leaflet-shadow-pane');
      panes.overlayPane = this._createPane('leaflet-overlay-pane');
      panes.markerPane = this._createPane('leaflet-marker-pane');
      panes.popupPane = this._createPane('leaflet-popup-pane');
      var zoomHide = ' leaflet-zoom-hide';

      if (!this.options.markerZoomAnimation) {
        L.DomUtil.addClass(panes.markerPane, zoomHide);
        L.DomUtil.addClass(panes.shadowPane, zoomHide);
        L.DomUtil.addClass(panes.popupPane, zoomHide);
      }
    },
    _createPane: function _createPane(className, container) {
      return L.DomUtil.create('div', className, container || this._panes.objectsPane);
    },
    _clearPanes: function _clearPanes() {
      this._container.removeChild(this._mapPane);
    },
    _addLayers: function _addLayers(layers) {
      layers = layers ? L.Util.isArray(layers) ? layers : [layers] : [];

      for (var i = 0, len = layers.length; i < len; i++) {
        this.addLayer(layers[i]);
      }
    },
    // private methods that modify map state
    _resetView: function _resetView(center, zoom, preserveMapOffset, afterZoomAnim) {
      var zoomChanged = this._zoom !== zoom;

      if (!afterZoomAnim) {
        this.fire('movestart');

        if (zoomChanged) {
          this.fire('zoomstart');
        }
      }

      this._zoom = zoom;
      this._initialCenter = center;
      this._initialTopLeftPoint = this._getNewTopLeftPoint(center);

      if (!preserveMapOffset) {
        L.DomUtil.setPosition(this._mapPane, new L.Point(0, 0));
      } else {
        this._initialTopLeftPoint._add(this._getMapPanePos());
      }

      this._tileLayersToLoad = this._tileLayersNum;
      var loading = !this._loaded;
      this._loaded = true;
      this.fire('viewreset', {
        hard: !preserveMapOffset
      });

      if (loading) {
        this.fire('load');
        this.eachLayer(this._layerAdd, this);
      }

      this.fire('move');

      if (zoomChanged || afterZoomAnim) {
        this.fire('zoomend');
      }

      this.fire('moveend', {
        hard: !preserveMapOffset
      });
    },
    _rawPanBy: function _rawPanBy(offset) {
      L.DomUtil.setPosition(this._mapPane, this._getMapPanePos().subtract(offset));
    },
    _getZoomSpan: function _getZoomSpan() {
      return this.getMaxZoom() - this.getMinZoom();
    },
    _updateZoomLevels: function _updateZoomLevels() {
      var i,
          minZoom = Infinity,
          maxZoom = -Infinity,
          oldZoomSpan = this._getZoomSpan();

      for (i in this._zoomBoundLayers) {
        var layer = this._zoomBoundLayers[i];

        if (!isNaN(layer.options.minZoom)) {
          minZoom = Math.min(minZoom, layer.options.minZoom);
        }

        if (!isNaN(layer.options.maxZoom)) {
          maxZoom = Math.max(maxZoom, layer.options.maxZoom);
        }
      }

      if (i === undefined) {
        // we have no tilelayers
        this._layersMaxZoom = this._layersMinZoom = undefined;
      } else {
        this._layersMaxZoom = maxZoom;
        this._layersMinZoom = minZoom;
      }

      if (oldZoomSpan !== this._getZoomSpan()) {
        this.fire('zoomlevelschange');
      }
    },
    _panInsideMaxBounds: function _panInsideMaxBounds() {
      this.panInsideBounds(this.options.maxBounds);
    },
    _checkIfLoaded: function _checkIfLoaded() {
      if (!this._loaded) {
        throw new Error('Set map center and zoom first.');
      }
    },
    // map events
    _initEvents: function _initEvents(onOff) {
      if (!L.DomEvent) {
        return;
      }

      onOff = onOff || 'on';
      L.DomEvent[onOff](this._container, 'click', this._onMouseClick, this);
      var events = ['dblclick', 'mousedown', 'mouseup', 'mouseenter', 'mouseleave', 'mousemove', 'contextmenu'],
          i,
          len;

      for (i = 0, len = events.length; i < len; i++) {
        L.DomEvent[onOff](this._container, events[i], this._fireMouseEvent, this);
      }

      if (this.options.trackResize) {
        L.DomEvent[onOff](window, 'resize', this._onResize, this);
      }
    },
    _onResize: function _onResize() {
      L.Util.cancelAnimFrame(this._resizeRequest);
      this._resizeRequest = L.Util.requestAnimFrame(function () {
        this.invalidateSize({
          debounceMoveend: true
        });
      }, this, false, this._container);
    },
    _onMouseClick: function _onMouseClick(e) {
      if (!this._loaded || !e._simulated && (this.dragging && this.dragging.moved() || this.boxZoom && this.boxZoom.moved()) || L.DomEvent._skipped(e)) {
        return;
      }

      this.fire('preclick');

      this._fireMouseEvent(e);
    },
    _fireMouseEvent: function _fireMouseEvent(e) {
      if (!this._loaded || L.DomEvent._skipped(e)) {
        return;
      }

      var type = e.type;
      type = type === 'mouseenter' ? 'mouseover' : type === 'mouseleave' ? 'mouseout' : type;

      if (!this.hasEventListeners(type)) {
        return;
      }

      if (type === 'contextmenu') {
        L.DomEvent.preventDefault(e);
      }

      var containerPoint = this.mouseEventToContainerPoint(e),
          layerPoint = this.containerPointToLayerPoint(containerPoint),
          latlng = this.layerPointToLatLng(layerPoint);
      this.fire(type, {
        latlng: latlng,
        layerPoint: layerPoint,
        containerPoint: containerPoint,
        originalEvent: e
      });
    },
    _onTileLayerLoad: function _onTileLayerLoad() {
      this._tileLayersToLoad--;

      if (this._tileLayersNum && !this._tileLayersToLoad) {
        this.fire('tilelayersload');
      }
    },
    _clearHandlers: function _clearHandlers() {
      for (var i = 0, len = this._handlers.length; i < len; i++) {
        this._handlers[i].disable();
      }
    },
    whenReady: function whenReady(callback, context) {
      if (this._loaded) {
        callback.call(context || this, this);
      } else {
        this.on('load', callback, context);
      }

      return this;
    },
    _layerAdd: function _layerAdd(layer) {
      layer.onAdd(this);
      this.fire('layeradd', {
        layer: layer
      });
    },
    // private methods for getting map state
    _getMapPanePos: function _getMapPanePos() {
      return L.DomUtil.getPosition(this._mapPane);
    },
    _moved: function _moved() {
      var pos = this._getMapPanePos();

      return pos && !pos.equals([0, 0]);
    },
    _getTopLeftPoint: function _getTopLeftPoint() {
      return this.getPixelOrigin().subtract(this._getMapPanePos());
    },
    _getNewTopLeftPoint: function _getNewTopLeftPoint(center, zoom) {
      var viewHalf = this.getSize()._divideBy(2); // TODO round on display, not calculation to increase precision?


      return this.project(center, zoom)._subtract(viewHalf)._round();
    },
    _latLngToNewLayerPoint: function _latLngToNewLayerPoint(latlng, newZoom, newCenter) {
      var topLeft = this._getNewTopLeftPoint(newCenter, newZoom).add(this._getMapPanePos());

      return this.project(latlng, newZoom)._subtract(topLeft);
    },
    // layer point of the current center
    _getCenterLayerPoint: function _getCenterLayerPoint() {
      return this.containerPointToLayerPoint(this.getSize()._divideBy(2));
    },
    // offset of the specified place to the current center in pixels
    _getCenterOffset: function _getCenterOffset(latlng) {
      return this.latLngToLayerPoint(latlng).subtract(this._getCenterLayerPoint());
    },
    // adjust center for view to get inside bounds
    _limitCenter: function _limitCenter(center, zoom, bounds) {
      if (!bounds) {
        return center;
      }

      var centerPoint = this.project(center, zoom),
          viewHalf = this.getSize().divideBy(2),
          viewBounds = new L.Bounds(centerPoint.subtract(viewHalf), centerPoint.add(viewHalf)),
          offset = this._getBoundsOffset(viewBounds, bounds, zoom);

      return this.unproject(centerPoint.add(offset), zoom);
    },
    // adjust offset for view to get inside bounds
    _limitOffset: function _limitOffset(offset, bounds) {
      if (!bounds) {
        return offset;
      }

      var viewBounds = this.getPixelBounds(),
          newBounds = new L.Bounds(viewBounds.min.add(offset), viewBounds.max.add(offset));
      return offset.add(this._getBoundsOffset(newBounds, bounds));
    },
    // returns offset needed for pxBounds to get inside maxBounds at a specified zoom
    _getBoundsOffset: function _getBoundsOffset(pxBounds, maxBounds, zoom) {
      var nwOffset = this.project(maxBounds.getNorthWest(), zoom).subtract(pxBounds.min),
          seOffset = this.project(maxBounds.getSouthEast(), zoom).subtract(pxBounds.max),
          dx = this._rebound(nwOffset.x, -seOffset.x),
          dy = this._rebound(nwOffset.y, -seOffset.y);

      return new L.Point(dx, dy);
    },
    _rebound: function _rebound(left, right) {
      return left + right > 0 ? Math.round(left - right) / 2 : Math.max(0, Math.ceil(left)) - Math.max(0, Math.floor(right));
    },
    _limitZoom: function _limitZoom(zoom) {
      var min = this.getMinZoom(),
          max = this.getMaxZoom();
      return Math.max(min, Math.min(max, zoom));
    }
  });

  L.map = function (id, options) {
    return new L.Map(id, options);
  };
  /*
  * Mercator projection that takes into account that the Earth is not a perfect sphere.
  * Less popular than spherical mercator; used by projections like EPSG:3395.
  */


  L.Projection.Mercator = {
    MAX_LATITUDE: 85.0840591556,
    R_MINOR: 6356752.314245179,
    R_MAJOR: 6378137,
    project: function project(latlng) {
      // (LatLng) -> Point
      var d = L.LatLng.DEG_TO_RAD,
          max = this.MAX_LATITUDE,
          lat = Math.max(Math.min(max, latlng.lat), -max),
          r = this.R_MAJOR,
          r2 = this.R_MINOR,
          x = latlng.lng * d * r,
          y = lat * d,
          tmp = r2 / r,
          eccent = Math.sqrt(1.0 - tmp * tmp),
          con = eccent * Math.sin(y);
      con = Math.pow((1 - con) / (1 + con), eccent * 0.5);
      var ts = Math.tan(0.5 * (Math.PI * 0.5 - y)) / con;
      y = -r * Math.log(ts);
      return new L.Point(x, y);
    },
    unproject: function unproject(point) {
      // (Point, Boolean) -> LatLng
      var d = L.LatLng.RAD_TO_DEG,
          r = this.R_MAJOR,
          r2 = this.R_MINOR,
          lng = point.x * d / r,
          tmp = r2 / r,
          eccent = Math.sqrt(1 - tmp * tmp),
          ts = Math.exp(-point.y / r),
          phi = Math.PI / 2 - 2 * Math.atan(ts),
          numIter = 15,
          tol = 1e-7,
          i = numIter,
          dphi = 0.1,
          con;

      while (Math.abs(dphi) > tol && --i > 0) {
        con = eccent * Math.sin(phi);
        dphi = Math.PI / 2 - 2 * Math.atan(ts * Math.pow((1.0 - con) / (1.0 + con), 0.5 * eccent)) - phi;
        phi += dphi;
      }

      return new L.LatLng(phi * d, lng);
    }
  };
  L.CRS.EPSG3395 = L.extend({}, L.CRS, {
    code: 'EPSG:3395',
    projection: L.Projection.Mercator,
    transformation: function () {
      var m = L.Projection.Mercator,
          r = m.R_MAJOR,
          scale = 0.5 / (Math.PI * r);
      return new L.Transformation(scale, 0.5, -scale, 0.5);
    }()
  });
  /*
  * L.TileLayer is used for standard xyz-numbered tile layers.
  */

  L.TileLayer = L.Class.extend({
    includes: L.Mixin.Events,
    options: {
      minZoom: 0,
      maxZoom: 18,
      tileSize: 256,
      subdomains: 'abc',
      errorTileUrl: '',
      attribution: '',
      zoomOffset: 0,
      opacity: 1,

      /*
      maxNativeZoom: null,
      zIndex: null,
      tms: false,
      continuousWorld: false,
      noWrap: false,
      zoomReverse: false,
      detectRetina: false,
      reuseTiles: false,
      bounds: false,
      */
      unloadInvisibleTiles: L.Browser.mobile,
      updateWhenIdle: L.Browser.mobile
    },
    initialize: function initialize(url, options) {
      options = L.setOptions(this, options); // detecting retina displays, adjusting tileSize and zoom levels

      if (options.detectRetina && L.Browser.retina && options.maxZoom > 0) {
        options.tileSize = Math.floor(options.tileSize / 2);
        options.zoomOffset++;

        if (options.minZoom > 0) {
          options.minZoom--;
        }

        this.options.maxZoom--;
      }

      if (options.bounds) {
        options.bounds = L.latLngBounds(options.bounds);
      }

      this._url = url;
      var subdomains = this.options.subdomains;

      if (typeof subdomains === 'string') {
        this.options.subdomains = subdomains.split('');
      }
    },
    onAdd: function onAdd(map) {
      this._map = map;
      this._animated = map._zoomAnimated; // create a container div for tiles

      this._initContainer(); // set up events


      map.on({
        'viewreset': this._reset,
        'moveend': this._update
      }, this);

      if (this._animated) {
        map.on({
          'zoomanim': this._animateZoom,
          'zoomend': this._endZoomAnim
        }, this);
      }

      if (!this.options.updateWhenIdle) {
        this._limitedUpdate = L.Util.limitExecByInterval(this._update, 150, this);
        map.on('move', this._limitedUpdate, this);
      }

      this._reset();

      this._update();
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    onRemove: function onRemove(map) {
      this._container.parentNode.removeChild(this._container);

      map.off({
        'viewreset': this._reset,
        'moveend': this._update
      }, this);

      if (this._animated) {
        map.off({
          'zoomanim': this._animateZoom,
          'zoomend': this._endZoomAnim
        }, this);
      }

      if (!this.options.updateWhenIdle) {
        map.off('move', this._limitedUpdate, this);
      }

      this._container = null;
      this._map = null;
    },
    bringToFront: function bringToFront() {
      var pane = this._map._panes.tilePane;

      if (this._container) {
        pane.appendChild(this._container);

        this._setAutoZIndex(pane, Math.max);
      }

      return this;
    },
    bringToBack: function bringToBack() {
      var pane = this._map._panes.tilePane;

      if (this._container) {
        pane.insertBefore(this._container, pane.firstChild);

        this._setAutoZIndex(pane, Math.min);
      }

      return this;
    },
    getAttribution: function getAttribution() {
      return this.options.attribution;
    },
    getContainer: function getContainer() {
      return this._container;
    },
    setOpacity: function setOpacity(opacity) {
      this.options.opacity = opacity;

      if (this._map) {
        this._updateOpacity();
      }

      return this;
    },
    setZIndex: function setZIndex(zIndex) {
      this.options.zIndex = zIndex;

      this._updateZIndex();

      return this;
    },
    setUrl: function setUrl(url, noRedraw) {
      this._url = url;

      if (!noRedraw) {
        this.redraw();
      }

      return this;
    },
    redraw: function redraw() {
      if (this._map) {
        this._reset({
          hard: true
        });

        this._update();
      }

      return this;
    },
    _updateZIndex: function _updateZIndex() {
      if (this._container && this.options.zIndex !== undefined) {
        this._container.style.zIndex = this.options.zIndex;
      }
    },
    _setAutoZIndex: function _setAutoZIndex(pane, compare) {
      var layers = pane.children,
          edgeZIndex = -compare(Infinity, -Infinity),
          // -Infinity for max, Infinity for min
      zIndex,
          i,
          len;

      for (i = 0, len = layers.length; i < len; i++) {
        if (layers[i] !== this._container) {
          zIndex = parseInt(layers[i].style.zIndex, 10);

          if (!isNaN(zIndex)) {
            edgeZIndex = compare(edgeZIndex, zIndex);
          }
        }
      }

      this.options.zIndex = this._container.style.zIndex = (isFinite(edgeZIndex) ? edgeZIndex : 0) + compare(1, -1);
    },
    _updateOpacity: function _updateOpacity() {
      var i,
          tiles = this._tiles;

      if (L.Browser.ielt9) {
        for (i in tiles) {
          L.DomUtil.setOpacity(tiles[i], this.options.opacity);
        }
      } else {
        L.DomUtil.setOpacity(this._container, this.options.opacity);
      }
    },
    _initContainer: function _initContainer() {
      var tilePane = this._map._panes.tilePane;

      if (!this._container) {
        this._container = L.DomUtil.create('div', 'leaflet-layer');

        this._updateZIndex();

        if (this._animated) {
          var className = 'leaflet-tile-container';
          this._bgBuffer = L.DomUtil.create('div', className, this._container);
          this._tileContainer = L.DomUtil.create('div', className, this._container);
        } else {
          this._tileContainer = this._container;
        }

        tilePane.appendChild(this._container);

        if (this.options.opacity < 1) {
          this._updateOpacity();
        }
      }
    },
    _reset: function _reset(e) {
      for (var key in this._tiles) {
        this.fire('tileunload', {
          tile: this._tiles[key]
        });
      }

      this._tiles = {};
      this._tilesToLoad = 0;

      if (this.options.reuseTiles) {
        this._unusedTiles = [];
      }

      this._tileContainer.innerHTML = '';

      if (this._animated && e && e.hard) {
        this._clearBgBuffer();
      }

      this._initContainer();
    },
    _getTileSize: function _getTileSize() {
      var map = this._map,
          zoom = map.getZoom() + this.options.zoomOffset,
          zoomN = this.options.maxNativeZoom,
          tileSize = this.options.tileSize;

      if (zoomN && zoom > zoomN) {
        tileSize = Math.round(map.getZoomScale(zoom) / map.getZoomScale(zoomN) * tileSize);
      }

      return tileSize;
    },
    _update: function _update() {
      if (!this._map) {
        return;
      }

      var map = this._map,
          bounds = map.getPixelBounds(),
          zoom = map.getZoom(),
          tileSize = this._getTileSize();

      if (zoom > this.options.maxZoom || zoom < this.options.minZoom) {
        return;
      }

      var tileBounds = L.bounds(bounds.min.divideBy(tileSize)._floor(), bounds.max.divideBy(tileSize)._floor());

      this._addTilesFromCenterOut(tileBounds);

      if (this.options.unloadInvisibleTiles || this.options.reuseTiles) {
        this._removeOtherTiles(tileBounds);
      }
    },
    _addTilesFromCenterOut: function _addTilesFromCenterOut(bounds) {
      var queue = [],
          center = bounds.getCenter();
      var j, i, point;

      for (j = bounds.min.y; j <= bounds.max.y; j++) {
        for (i = bounds.min.x; i <= bounds.max.x; i++) {
          point = new L.Point(i, j);

          if (this._tileShouldBeLoaded(point)) {
            queue.push(point);
          }
        }
      }

      var tilesToLoad = queue.length;

      if (tilesToLoad === 0) {
        return;
      } // load tiles in order of their distance to center


      queue.sort(function (a, b) {
        return a.distanceTo(center) - b.distanceTo(center);
      });
      var fragment = document.createDocumentFragment(); // if its the first batch of tiles to load

      if (!this._tilesToLoad) {
        this.fire('loading');
      }

      this._tilesToLoad += tilesToLoad;

      for (i = 0; i < tilesToLoad; i++) {
        this._addTile(queue[i], fragment);
      }

      this._tileContainer.appendChild(fragment);
    },
    _tileShouldBeLoaded: function _tileShouldBeLoaded(tilePoint) {
      if (tilePoint.x + ':' + tilePoint.y in this._tiles) {
        return false; // already loaded
      }

      var options = this.options;

      if (!options.continuousWorld) {
        var limit = this._getWrapTileNum(); // don't load if exceeds world bounds


        if (options.noWrap && (tilePoint.x < 0 || tilePoint.x >= limit.x) || tilePoint.y < 0 || tilePoint.y >= limit.y) {
          return false;
        }
      }

      if (options.bounds) {
        var tileSize = this._getTileSize(),
            nwPoint = tilePoint.multiplyBy(tileSize),
            sePoint = nwPoint.add([tileSize, tileSize]),
            nw = this._map.unproject(nwPoint),
            se = this._map.unproject(sePoint); // TODO temporary hack, will be removed after refactoring projections
        // https://github.com/Leaflet/Leaflet/issues/1618


        if (!options.continuousWorld && !options.noWrap) {
          nw = nw.wrap();
          se = se.wrap();
        }

        if (!options.bounds.intersects([nw, se])) {
          return false;
        }
      }

      return true;
    },
    _removeOtherTiles: function _removeOtherTiles(bounds) {
      var kArr, x, y, key;

      for (key in this._tiles) {
        kArr = key.split(':');
        x = parseInt(kArr[0], 10);
        y = parseInt(kArr[1], 10); // remove tile if it's out of bounds

        if (x < bounds.min.x || x > bounds.max.x || y < bounds.min.y || y > bounds.max.y) {
          this._removeTile(key);
        }
      }
    },
    _removeTile: function _removeTile(key) {
      var tile = this._tiles[key];
      this.fire('tileunload', {
        tile: tile,
        url: tile.src
      });

      if (this.options.reuseTiles) {
        L.DomUtil.removeClass(tile, 'leaflet-tile-loaded');

        this._unusedTiles.push(tile);
      } else if (tile.parentNode === this._tileContainer) {
        this._tileContainer.removeChild(tile);
      } // for https://github.com/CloudMade/Leaflet/issues/137


      if (!L.Browser.android) {
        tile.onload = null;
        tile.src = L.Util.emptyImageUrl;
      }

      delete this._tiles[key];
    },
    _addTile: function _addTile(tilePoint, container) {
      var tilePos = this._getTilePos(tilePoint); // get unused tile - or create a new tile


      var tile = this._getTile();
      /*
      Chrome 20 layouts much faster with top/left (verify with timeline, frames)
      Android 4 browser has display issues with top/left and requires transform instead
      (other browsers don't currently care) - see debug/hacks/jitter.html for an example
      */


      L.DomUtil.setPosition(tile, tilePos, L.Browser.chrome);
      this._tiles[tilePoint.x + ':' + tilePoint.y] = tile;

      this._loadTile(tile, tilePoint);

      if (tile.parentNode !== this._tileContainer) {
        container.appendChild(tile);
      }
    },
    _getZoomForUrl: function _getZoomForUrl() {
      var options = this.options,
          zoom = this._map.getZoom();

      if (options.zoomReverse) {
        zoom = options.maxZoom - zoom;
      }

      zoom += options.zoomOffset;
      return options.maxNativeZoom ? Math.min(zoom, options.maxNativeZoom) : zoom;
    },
    _getTilePos: function _getTilePos(tilePoint) {
      var origin = this._map.getPixelOrigin(),
          tileSize = this._getTileSize();

      return tilePoint.multiplyBy(tileSize).subtract(origin);
    },
    // image-specific code (override to implement e.g. Canvas or SVG tile layer)
    getTileUrl: function getTileUrl(tilePoint) {
      return L.Util.template(this._url, L.extend({
        s: this._getSubdomain(tilePoint),
        z: tilePoint.z,
        x: tilePoint.x,
        y: tilePoint.y
      }, this.options));
    },
    _getWrapTileNum: function _getWrapTileNum() {
      var crs = this._map.options.crs,
          size = crs.getSize(this._map.getZoom());
      return size.divideBy(this._getTileSize())._floor();
    },
    _adjustTilePoint: function _adjustTilePoint(tilePoint) {
      var limit = this._getWrapTileNum(); // wrap tile coordinates


      if (!this.options.continuousWorld && !this.options.noWrap) {
        tilePoint.x = (tilePoint.x % limit.x + limit.x) % limit.x;
      }

      if (this.options.tms) {
        tilePoint.y = limit.y - tilePoint.y - 1;
      }

      tilePoint.z = this._getZoomForUrl();
    },
    _getSubdomain: function _getSubdomain(tilePoint) {
      var index = Math.abs(tilePoint.x + tilePoint.y) % this.options.subdomains.length;
      return this.options.subdomains[index];
    },
    _getTile: function _getTile() {
      if (this.options.reuseTiles && this._unusedTiles.length > 0) {
        var tile = this._unusedTiles.pop();

        this._resetTile(tile);

        return tile;
      }

      return this._createTile();
    },
    // Override if data stored on a tile needs to be cleaned up before reuse
    _resetTile: function _resetTile()
    /*tile*/
    {},
    _createTile: function _createTile() {
      var tile = L.DomUtil.create('img', 'leaflet-tile');
      tile.style.width = tile.style.height = this._getTileSize() + 'px';
      tile.galleryimg = 'no';
      tile.onselectstart = tile.onmousemove = L.Util.falseFn;

      if (L.Browser.ielt9 && this.options.opacity !== undefined) {
        L.DomUtil.setOpacity(tile, this.options.opacity);
      } // without this hack, tiles disappear after zoom on Chrome for Android
      // https://github.com/Leaflet/Leaflet/issues/2078


      if (L.Browser.mobileWebkit3d) {
        tile.style.WebkitBackfaceVisibility = 'hidden';
      }

      return tile;
    },
    _loadTile: function _loadTile(tile, tilePoint) {
      tile._layer = this;
      tile.onload = this._tileOnLoad;
      tile.onerror = this._tileOnError;

      this._adjustTilePoint(tilePoint);

      tile.src = this.getTileUrl(tilePoint);
      this.fire('tileloadstart', {
        tile: tile,
        url: tile.src
      });
    },
    _tileLoaded: function _tileLoaded() {
      this._tilesToLoad--;

      if (this._animated) {
        L.DomUtil.addClass(this._tileContainer, 'leaflet-zoom-animated');
      }

      if (!this._tilesToLoad) {
        this.fire('load');

        if (this._animated) {
          // clear scaled tiles after all new tiles are loaded (for performance)
          clearTimeout(this._clearBgBufferTimer);
          this._clearBgBufferTimer = setTimeout(L.bind(this._clearBgBuffer, this), 500);
        }
      }
    },
    _tileOnLoad: function _tileOnLoad() {
      var layer = this._layer; //Only if we are loading an actual image

      if (this.src !== L.Util.emptyImageUrl) {
        L.DomUtil.addClass(this, 'leaflet-tile-loaded');
        layer.fire('tileload', {
          tile: this,
          url: this.src
        });
      }

      layer._tileLoaded();
    },
    _tileOnError: function _tileOnError() {
      var layer = this._layer;
      layer.fire('tileerror', {
        tile: this,
        url: this.src
      });
      var newUrl = layer.options.errorTileUrl;

      if (newUrl) {
        this.src = newUrl;
      }

      layer._tileLoaded();
    }
  });

  L.tileLayer = function (url, options) {
    return new L.TileLayer(url, options);
  };
  /*
  * L.TileLayer.WMS is used for putting WMS tile layers on the map.
  */


  L.TileLayer.WMS = L.TileLayer.extend({
    defaultWmsParams: {
      service: 'WMS',
      request: 'GetMap',
      version: '1.1.1',
      layers: '',
      styles: '',
      format: 'image/jpeg',
      transparent: false
    },
    initialize: function initialize(url, options) {
      // (String, Object)
      this._url = url;
      var wmsParams = L.extend({}, this.defaultWmsParams),
          tileSize = options.tileSize || this.options.tileSize;

      if (options.detectRetina && L.Browser.retina) {
        wmsParams.width = wmsParams.height = tileSize * 2;
      } else {
        wmsParams.width = wmsParams.height = tileSize;
      }

      for (var i in options) {
        // all keys that are not TileLayer options go to WMS params
        if (!this.options.hasOwnProperty(i) && i !== 'crs') {
          wmsParams[i] = options[i];
        }
      }

      this.wmsParams = wmsParams;
      L.setOptions(this, options);
    },
    onAdd: function onAdd(map) {
      this._crs = this.options.crs || map.options.crs;
      this._wmsVersion = parseFloat(this.wmsParams.version);
      var projectionKey = this._wmsVersion >= 1.3 ? 'crs' : 'srs';
      this.wmsParams[projectionKey] = this._crs.code;
      L.TileLayer.prototype.onAdd.call(this, map);
    },
    getTileUrl: function getTileUrl(tilePoint) {
      // (Point, Number) -> String
      var map = this._map,
          tileSize = this.options.tileSize,
          nwPoint = tilePoint.multiplyBy(tileSize),
          sePoint = nwPoint.add([tileSize, tileSize]),
          nw = this._crs.project(map.unproject(nwPoint, tilePoint.z)),
          se = this._crs.project(map.unproject(sePoint, tilePoint.z)),
          bbox = this._wmsVersion >= 1.3 && this._crs === L.CRS.EPSG4326 ? [se.y, nw.x, nw.y, se.x].join(',') : [nw.x, se.y, se.x, nw.y].join(','),
          url = L.Util.template(this._url, {
        s: this._getSubdomain(tilePoint)
      });

      return url + L.Util.getParamString(this.wmsParams, url, true) + '&BBOX=' + bbox;
    },
    setParams: function setParams(params, noRedraw) {
      L.extend(this.wmsParams, params);

      if (!noRedraw) {
        this.redraw();
      }

      return this;
    }
  });

  L.tileLayer.wms = function (url, options) {
    return new L.TileLayer.WMS(url, options);
  };
  /*
  * L.TileLayer.Canvas is a class that you can use as a base for creating
  * dynamically drawn Canvas-based tile layers.
  */


  L.TileLayer.Canvas = L.TileLayer.extend({
    options: {
      async: false
    },
    initialize: function initialize(options) {
      L.setOptions(this, options);
    },
    redraw: function redraw() {
      if (this._map) {
        this._reset({
          hard: true
        });

        this._update();
      }

      for (var i in this._tiles) {
        this._redrawTile(this._tiles[i]);
      }

      return this;
    },
    _redrawTile: function _redrawTile(tile) {
      this.drawTile(tile, tile._tilePoint, this._map._zoom);
    },
    _createTile: function _createTile() {
      var tile = L.DomUtil.create('canvas', 'leaflet-tile');
      tile.width = tile.height = this.options.tileSize;
      tile.onselectstart = tile.onmousemove = L.Util.falseFn;
      return tile;
    },
    _loadTile: function _loadTile(tile, tilePoint) {
      tile._layer = this;
      tile._tilePoint = tilePoint;

      this._redrawTile(tile);

      if (!this.options.async) {
        this.tileDrawn(tile);
      }
    },
    drawTile: function drawTile()
    /*tile, tilePoint*/
    {// override with rendering code
    },
    tileDrawn: function tileDrawn(tile) {
      this._tileOnLoad.call(tile);
    }
  });

  L.tileLayer.canvas = function (options) {
    return new L.TileLayer.Canvas(options);
  };
  /*
  * L.ImageOverlay is used to overlay images over the map (to specific geographical bounds).
  */


  L.ImageOverlay = L.Class.extend({
    includes: L.Mixin.Events,
    options: {
      opacity: 1
    },
    initialize: function initialize(url, bounds, options) {
      // (String, LatLngBounds, Object)
      this._url = url;
      this._bounds = L.latLngBounds(bounds);
      L.setOptions(this, options);
    },
    onAdd: function onAdd(map) {
      this._map = map;

      if (!this._image) {
        this._initImage();
      }

      map._panes.overlayPane.appendChild(this._image);

      map.on('viewreset', this._reset, this);

      if (map.options.zoomAnimation && L.Browser.any3d) {
        map.on('zoomanim', this._animateZoom, this);
      }

      this._reset();
    },
    onRemove: function onRemove(map) {
      map.getPanes().overlayPane.removeChild(this._image);
      map.off('viewreset', this._reset, this);

      if (map.options.zoomAnimation) {
        map.off('zoomanim', this._animateZoom, this);
      }
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    setOpacity: function setOpacity(opacity) {
      this.options.opacity = opacity;

      this._updateOpacity();

      return this;
    },
    // TODO remove bringToFront/bringToBack duplication from TileLayer/Path
    bringToFront: function bringToFront() {
      if (this._image) {
        this._map._panes.overlayPane.appendChild(this._image);
      }

      return this;
    },
    bringToBack: function bringToBack() {
      var pane = this._map._panes.overlayPane;

      if (this._image) {
        pane.insertBefore(this._image, pane.firstChild);
      }

      return this;
    },
    setUrl: function setUrl(url) {
      this._url = url;
      this._image.src = this._url;
    },
    getAttribution: function getAttribution() {
      return this.options.attribution;
    },
    _initImage: function _initImage() {
      this._image = L.DomUtil.create('img', 'leaflet-image-layer');

      if (this._map.options.zoomAnimation && L.Browser.any3d) {
        L.DomUtil.addClass(this._image, 'leaflet-zoom-animated');
      } else {
        L.DomUtil.addClass(this._image, 'leaflet-zoom-hide');
      }

      this._updateOpacity(); //TODO createImage util method to remove duplication


      L.extend(this._image, {
        galleryimg: 'no',
        onselectstart: L.Util.falseFn,
        onmousemove: L.Util.falseFn,
        onload: L.bind(this._onImageLoad, this),
        src: this._url
      });
    },
    _animateZoom: function _animateZoom(e) {
      var map = this._map,
          image = this._image,
          scale = map.getZoomScale(e.zoom),
          nw = this._bounds.getNorthWest(),
          se = this._bounds.getSouthEast(),
          topLeft = map._latLngToNewLayerPoint(nw, e.zoom, e.center),
          size = map._latLngToNewLayerPoint(se, e.zoom, e.center)._subtract(topLeft),
          origin = topLeft._add(size._multiplyBy(1 / 2 * (1 - 1 / scale)));

      image.style[L.DomUtil.TRANSFORM] = L.DomUtil.getTranslateString(origin) + ' scale(' + scale + ') ';
    },
    _reset: function _reset() {
      var image = this._image,
          topLeft = this._map.latLngToLayerPoint(this._bounds.getNorthWest()),
          size = this._map.latLngToLayerPoint(this._bounds.getSouthEast())._subtract(topLeft);

      L.DomUtil.setPosition(image, topLeft);
      image.style.width = size.x + 'px';
      image.style.height = size.y + 'px';
    },
    _onImageLoad: function _onImageLoad() {
      this.fire('load');
    },
    _updateOpacity: function _updateOpacity() {
      L.DomUtil.setOpacity(this._image, this.options.opacity);
    }
  });

  L.imageOverlay = function (url, bounds, options) {
    return new L.ImageOverlay(url, bounds, options);
  };
  /*
  * L.Icon is an image-based icon class that you can use with L.Marker for custom markers.
  */


  L.Icon = L.Class.extend({
    options: {
      /*
      iconUrl: (String) (required)
      iconRetinaUrl: (String) (optional, used for retina devices if detected)
      iconSize: (Point) (can be set through CSS)
      iconAnchor: (Point) (centered by default, can be set in CSS with negative margins)
      popupAnchor: (Point) (if not specified, popup opens in the anchor point)
      shadowUrl: (String) (no shadow by default)
      shadowRetinaUrl: (String) (optional, used for retina devices if detected)
      shadowSize: (Point)
      shadowAnchor: (Point)
      */
      className: ''
    },
    initialize: function initialize(options) {
      L.setOptions(this, options);
    },
    createIcon: function createIcon(oldIcon) {
      return this._createIcon('icon', oldIcon);
    },
    createShadow: function createShadow(oldIcon) {
      return this._createIcon('shadow', oldIcon);
    },
    _createIcon: function _createIcon(name, oldIcon) {
      var src = this._getIconUrl(name);

      if (!src) {
        if (name === 'icon') {
          throw new Error('iconUrl not set in Icon options (see the docs).');
        }

        return null;
      }

      var img;

      if (!oldIcon || oldIcon.tagName !== 'IMG') {
        img = this._createImg(src);
      } else {
        img = this._createImg(src, oldIcon);
      }

      this._setIconStyles(img, name);

      return img;
    },
    _setIconStyles: function _setIconStyles(img, name) {
      var options = this.options,
          size = L.point(options[name + 'Size']),
          anchor;

      if (name === 'shadow') {
        anchor = L.point(options.shadowAnchor || options.iconAnchor);
      } else {
        anchor = L.point(options.iconAnchor);
      }

      if (!anchor && size) {
        anchor = size.divideBy(2, true);
      }

      img.className = 'leaflet-marker-' + name + ' ' + options.className;

      if (anchor) {
        img.style.marginLeft = -anchor.x + 'px';
        img.style.marginTop = -anchor.y + 'px';
      }

      if (size) {
        img.style.width = size.x + 'px';
        img.style.height = size.y + 'px';
      }
    },
    _createImg: function _createImg(src, el) {
      el = el || document.createElement('img');
      el.src = src;
      return el;
    },
    _getIconUrl: function _getIconUrl(name) {
      if (L.Browser.retina && this.options[name + 'RetinaUrl']) {
        return this.options[name + 'RetinaUrl'];
      }

      return this.options[name + 'Url'];
    }
  });

  L.icon = function (options) {
    return new L.Icon(options);
  };
  /*
  * L.Icon.Default is the blue marker icon used by default in Leaflet.
  */


  L.Icon.Default = L.Icon.extend({
    options: {
      iconSize: [25, 41],
      iconAnchor: [12, 41],
      popupAnchor: [1, -34],
      shadowSize: [41, 41]
    },
    _getIconUrl: function _getIconUrl(name) {
      var key = name + 'Url';

      if (this.options[key]) {
        return this.options[key];
      }

      if (L.Browser.retina && name === 'icon') {
        name += '-2x';
      } // HUE Specific change for static files


      return window.LEAFLET_DEFAULTS.images[name];
    }
  });

  L.Icon.Default.imagePath = function () {
    var scripts = document.getElementsByTagName('script'),
        leafletRe = /[\/^]leaflet[\-\._]?([\w\-\._]*)\.js\??/;
    var i, len, src, matches, path;

    for (i = 0, len = scripts.length; i < len; i++) {
      src = scripts[i].src;
      matches = src.match(leafletRe);

      if (matches) {
        path = src.split(leafletRe)[0];
        return (path ? path + '/' : '') + 'images';
      }
    }
  }();
  /*
  * L.Marker is used to display clickable/draggable icons on the map.
  */


  L.Marker = L.Class.extend({
    includes: L.Mixin.Events,
    options: {
      icon: new L.Icon.Default(),
      title: '',
      alt: '',
      clickable: true,
      draggable: false,
      keyboard: true,
      zIndexOffset: 0,
      opacity: 1,
      riseOnHover: false,
      riseOffset: 250
    },
    initialize: function initialize(latlng, options) {
      L.setOptions(this, options);
      this._latlng = L.latLng(latlng);
    },
    onAdd: function onAdd(map) {
      this._map = map;
      map.on('viewreset', this.update, this);

      this._initIcon();

      this.update();
      this.fire('add');

      if (map.options.zoomAnimation && map.options.markerZoomAnimation) {
        map.on('zoomanim', this._animateZoom, this);
      }
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    onRemove: function onRemove(map) {
      if (this.dragging) {
        this.dragging.disable();
      }

      this._removeIcon();

      this._removeShadow();

      this.fire('remove');
      map.off({
        'viewreset': this.update,
        'zoomanim': this._animateZoom
      }, this);
      this._map = null;
    },
    getLatLng: function getLatLng() {
      return this._latlng;
    },
    setLatLng: function setLatLng(latlng) {
      this._latlng = L.latLng(latlng);
      this.update();
      return this.fire('move', {
        latlng: this._latlng
      });
    },
    setZIndexOffset: function setZIndexOffset(offset) {
      this.options.zIndexOffset = offset;
      this.update();
      return this;
    },
    setIcon: function setIcon(icon) {
      this.options.icon = icon;

      if (this._map) {
        this._initIcon();

        this.update();
      }

      if (this._popup) {
        this.bindPopup(this._popup);
      }

      return this;
    },
    update: function update() {
      if (this._icon) {
        this._setPos(this._map.latLngToLayerPoint(this._latlng).round());
      }

      return this;
    },
    _initIcon: function _initIcon() {
      var options = this.options,
          map = this._map,
          animation = map.options.zoomAnimation && map.options.markerZoomAnimation,
          classToAdd = animation ? 'leaflet-zoom-animated' : 'leaflet-zoom-hide';
      var icon = options.icon.createIcon(this._icon),
          addIcon = false; // if we're not reusing the icon, remove the old one and init new one

      if (icon !== this._icon) {
        if (this._icon) {
          this._removeIcon();
        }

        addIcon = true;

        if (options.title) {
          icon.title = options.title;
        }

        if (options.alt) {
          icon.alt = options.alt;
        }
      }

      L.DomUtil.addClass(icon, classToAdd);

      if (options.keyboard) {
        icon.tabIndex = '0';
      }

      this._icon = icon;

      this._initInteraction();

      if (options.riseOnHover) {
        L.DomEvent.on(icon, 'mouseover', this._bringToFront, this).on(icon, 'mouseout', this._resetZIndex, this);
      }

      var newShadow = options.icon.createShadow(this._shadow),
          addShadow = false;

      if (newShadow !== this._shadow) {
        this._removeShadow();

        addShadow = true;
      }

      if (newShadow) {
        L.DomUtil.addClass(newShadow, classToAdd);
      }

      this._shadow = newShadow;

      if (options.opacity < 1) {
        this._updateOpacity();
      }

      var panes = this._map._panes;

      if (addIcon) {
        panes.markerPane.appendChild(this._icon);
      }

      if (newShadow && addShadow) {
        panes.shadowPane.appendChild(this._shadow);
      }
    },
    _removeIcon: function _removeIcon() {
      if (this.options.riseOnHover) {
        L.DomEvent.off(this._icon, 'mouseover', this._bringToFront).off(this._icon, 'mouseout', this._resetZIndex);
      }

      this._map._panes.markerPane.removeChild(this._icon);

      this._icon = null;
    },
    _removeShadow: function _removeShadow() {
      if (this._shadow) {
        this._map._panes.shadowPane.removeChild(this._shadow);
      }

      this._shadow = null;
    },
    _setPos: function _setPos(pos) {
      L.DomUtil.setPosition(this._icon, pos);

      if (this._shadow) {
        L.DomUtil.setPosition(this._shadow, pos);
      }

      this._zIndex = pos.y + this.options.zIndexOffset;

      this._resetZIndex();
    },
    _updateZIndex: function _updateZIndex(offset) {
      this._icon.style.zIndex = this._zIndex + offset;
    },
    _animateZoom: function _animateZoom(opt) {
      var pos = this._map._latLngToNewLayerPoint(this._latlng, opt.zoom, opt.center).round();

      this._setPos(pos);
    },
    _initInteraction: function _initInteraction() {
      if (!this.options.clickable) {
        return;
      } // TODO refactor into something shared with Map/Path/etc. to DRY it up


      var icon = this._icon,
          events = ['dblclick', 'mousedown', 'mouseover', 'mouseout', 'contextmenu'];
      L.DomUtil.addClass(icon, 'leaflet-clickable');
      L.DomEvent.on(icon, 'click', this._onMouseClick, this);
      L.DomEvent.on(icon, 'keypress', this._onKeyPress, this);

      for (var i = 0; i < events.length; i++) {
        L.DomEvent.on(icon, events[i], this._fireMouseEvent, this);
      }

      if (L.Handler.MarkerDrag) {
        this.dragging = new L.Handler.MarkerDrag(this);

        if (this.options.draggable) {
          this.dragging.enable();
        }
      }
    },
    _onMouseClick: function _onMouseClick(e) {
      var wasDragged = this.dragging && this.dragging.moved();

      if (this.hasEventListeners(e.type) || wasDragged) {
        L.DomEvent.stopPropagation(e);
      }

      if (wasDragged) {
        return;
      }

      if ((!this.dragging || !this.dragging._enabled) && this._map.dragging && this._map.dragging.moved()) {
        return;
      }

      this.fire(e.type, {
        originalEvent: e,
        latlng: this._latlng
      });
    },
    _onKeyPress: function _onKeyPress(e) {
      if (e.keyCode === 13) {
        this.fire('click', {
          originalEvent: e,
          latlng: this._latlng
        });
      }
    },
    _fireMouseEvent: function _fireMouseEvent(e) {
      this.fire(e.type, {
        originalEvent: e,
        latlng: this._latlng
      }); // TODO proper custom event propagation
      // this line will always be called if marker is in a FeatureGroup

      if (e.type === 'contextmenu' && this.hasEventListeners(e.type)) {
        L.DomEvent.preventDefault(e);
      }

      if (e.type !== 'mousedown') {
        L.DomEvent.stopPropagation(e);
      } else {
        L.DomEvent.preventDefault(e);
      }
    },
    setOpacity: function setOpacity(opacity) {
      this.options.opacity = opacity;

      if (this._map) {
        this._updateOpacity();
      }

      return this;
    },
    _updateOpacity: function _updateOpacity() {
      L.DomUtil.setOpacity(this._icon, this.options.opacity);

      if (this._shadow) {
        L.DomUtil.setOpacity(this._shadow, this.options.opacity);
      }
    },
    _bringToFront: function _bringToFront() {
      this._updateZIndex(this.options.riseOffset);
    },
    _resetZIndex: function _resetZIndex() {
      this._updateZIndex(0);
    }
  });

  L.marker = function (latlng, options) {
    return new L.Marker(latlng, options);
  };
  /*
  * L.DivIcon is a lightweight HTML-based icon class (as opposed to the image-based L.Icon)
  * to use with L.Marker.
  */


  L.DivIcon = L.Icon.extend({
    options: {
      iconSize: [12, 12],
      // also can be set through CSS

      /*
      iconAnchor: (Point)
      popupAnchor: (Point)
      html: (String)
      bgPos: (Point)
      */
      className: 'leaflet-div-icon',
      html: false
    },
    createIcon: function createIcon(oldIcon) {
      var div = oldIcon && oldIcon.tagName === 'DIV' ? oldIcon : document.createElement('div'),
          options = this.options;

      if (options.html !== false) {
        div.innerHTML = options.html;
      } else {
        div.innerHTML = '';
      }

      if (options.bgPos) {
        div.style.backgroundPosition = -options.bgPos.x + 'px ' + -options.bgPos.y + 'px';
      }

      this._setIconStyles(div, 'icon');

      return div;
    },
    createShadow: function createShadow() {
      return null;
    }
  });

  L.divIcon = function (options) {
    return new L.DivIcon(options);
  };
  /*
  * L.Popup is used for displaying popups on the map.
  */


  L.Map.mergeOptions({
    closePopupOnClick: true
  });
  L.Popup = L.Class.extend({
    includes: L.Mixin.Events,
    options: {
      minWidth: 50,
      maxWidth: 300,
      // maxHeight: null,
      autoPan: true,
      closeButton: true,
      offset: [0, 7],
      autoPanPadding: [5, 5],
      // autoPanPaddingTopLeft: null,
      // autoPanPaddingBottomRight: null,
      keepInView: false,
      className: '',
      zoomAnimation: true
    },
    initialize: function initialize(options, source) {
      L.setOptions(this, options);
      this._source = source;
      this._animated = L.Browser.any3d && this.options.zoomAnimation;
      this._isOpen = false;
    },
    onAdd: function onAdd(map) {
      this._map = map;

      if (!this._container) {
        this._initLayout();
      }

      var animFade = map.options.fadeAnimation;

      if (animFade) {
        L.DomUtil.setOpacity(this._container, 0);
      }

      map._panes.popupPane.appendChild(this._container);

      map.on(this._getEvents(), this);
      this.update();

      if (animFade) {
        L.DomUtil.setOpacity(this._container, 1);
      }

      this.fire('open');
      map.fire('popupopen', {
        popup: this
      });

      if (this._source) {
        this._source.fire('popupopen', {
          popup: this
        });
      }
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    openOn: function openOn(map) {
      map.openPopup(this);
      return this;
    },
    onRemove: function onRemove(map) {
      map._panes.popupPane.removeChild(this._container);

      L.Util.falseFn(this._container.offsetWidth); // force reflow

      map.off(this._getEvents(), this);

      if (map.options.fadeAnimation) {
        L.DomUtil.setOpacity(this._container, 0);
      }

      this._map = null;
      this.fire('close');
      map.fire('popupclose', {
        popup: this
      });

      if (this._source) {
        this._source.fire('popupclose', {
          popup: this
        });
      }
    },
    getLatLng: function getLatLng() {
      return this._latlng;
    },
    setLatLng: function setLatLng(latlng) {
      this._latlng = L.latLng(latlng);

      if (this._map) {
        this._updatePosition();

        this._adjustPan();
      }

      return this;
    },
    getContent: function getContent() {
      return this._content;
    },
    setContent: function setContent(content) {
      this._content = content;
      this.update();
      return this;
    },
    update: function update() {
      if (!this._map) {
        return;
      }

      this._container.style.visibility = 'hidden';

      this._updateContent();

      this._updateLayout();

      this._updatePosition();

      this._container.style.visibility = '';

      this._adjustPan();
    },
    _getEvents: function _getEvents() {
      var events = {
        viewreset: this._updatePosition
      };

      if (this._animated) {
        events.zoomanim = this._zoomAnimation;
      }

      if ('closeOnClick' in this.options ? this.options.closeOnClick : this._map.options.closePopupOnClick) {
        events.preclick = this._close;
      }

      if (this.options.keepInView) {
        events.moveend = this._adjustPan;
      }

      return events;
    },
    _close: function _close() {
      if (this._map) {
        this._map.closePopup(this);
      }
    },
    _initLayout: function _initLayout() {
      var prefix = 'leaflet-popup',
          containerClass = prefix + ' ' + this.options.className + ' leaflet-zoom-' + (this._animated ? 'animated' : 'hide'),
          container = this._container = L.DomUtil.create('div', containerClass),
          closeButton;

      if (this.options.closeButton) {
        closeButton = this._closeButton = L.DomUtil.create('a', prefix + '-close-button', container);
        closeButton.href = '#close';
        closeButton.innerHTML = '&#215;';
        L.DomEvent.disableClickPropagation(closeButton);
        L.DomEvent.on(closeButton, 'click', this._onCloseButtonClick, this);
      }

      var wrapper = this._wrapper = L.DomUtil.create('div', prefix + '-content-wrapper', container);
      L.DomEvent.disableClickPropagation(wrapper);
      this._contentNode = L.DomUtil.create('div', prefix + '-content', wrapper);
      L.DomEvent.disableScrollPropagation(this._contentNode);
      L.DomEvent.on(wrapper, 'contextmenu', L.DomEvent.stopPropagation);
      this._tipContainer = L.DomUtil.create('div', prefix + '-tip-container', container);
      this._tip = L.DomUtil.create('div', prefix + '-tip', this._tipContainer);
    },
    _updateContent: function _updateContent() {
      if (!this._content) {
        return;
      }

      if (typeof this._content === 'string') {
        this._contentNode.innerHTML = this._content;
      } else {
        while (this._contentNode.hasChildNodes()) {
          this._contentNode.removeChild(this._contentNode.firstChild);
        }

        this._contentNode.appendChild(this._content);
      }

      this.fire('contentupdate');
    },
    _updateLayout: function _updateLayout() {
      var container = this._contentNode,
          style = container.style;
      style.width = '';
      style.whiteSpace = 'nowrap';
      var width = container.offsetWidth;
      width = Math.min(width, this.options.maxWidth);
      width = Math.max(width, this.options.minWidth);
      style.width = width + 1 + 'px';
      style.whiteSpace = '';
      style.height = '';
      var height = container.offsetHeight,
          maxHeight = this.options.maxHeight,
          scrolledClass = 'leaflet-popup-scrolled';

      if (maxHeight && height > maxHeight) {
        style.height = maxHeight + 'px';
        L.DomUtil.addClass(container, scrolledClass);
      } else {
        L.DomUtil.removeClass(container, scrolledClass);
      }

      this._containerWidth = this._container.offsetWidth;
    },
    _updatePosition: function _updatePosition() {
      if (!this._map) {
        return;
      }

      var pos = this._map.latLngToLayerPoint(this._latlng),
          animated = this._animated,
          offset = L.point(this.options.offset);

      if (animated) {
        L.DomUtil.setPosition(this._container, pos);
      }

      this._containerBottom = -offset.y - (animated ? 0 : pos.y);
      this._containerLeft = -Math.round(this._containerWidth / 2) + offset.x + (animated ? 0 : pos.x); // bottom position the popup in case the height of the popup changes (images loading etc)

      this._container.style.bottom = this._containerBottom + 'px';
      this._container.style.left = this._containerLeft + 'px';
    },
    _zoomAnimation: function _zoomAnimation(opt) {
      var pos = this._map._latLngToNewLayerPoint(this._latlng, opt.zoom, opt.center);

      L.DomUtil.setPosition(this._container, pos);
    },
    _adjustPan: function _adjustPan() {
      if (!this.options.autoPan) {
        return;
      }

      var map = this._map,
          containerHeight = this._container.offsetHeight,
          containerWidth = this._containerWidth,
          layerPos = new L.Point(this._containerLeft, -containerHeight - this._containerBottom);

      if (this._animated) {
        layerPos._add(L.DomUtil.getPosition(this._container));
      }

      var containerPos = map.layerPointToContainerPoint(layerPos),
          padding = L.point(this.options.autoPanPadding),
          paddingTL = L.point(this.options.autoPanPaddingTopLeft || padding),
          paddingBR = L.point(this.options.autoPanPaddingBottomRight || padding),
          size = map.getSize(),
          dx = 0,
          dy = 0;

      if (containerPos.x + containerWidth + paddingBR.x > size.x) {
        // right
        dx = containerPos.x + containerWidth - size.x + paddingBR.x;
      }

      if (containerPos.x - dx - paddingTL.x < 0) {
        // left
        dx = containerPos.x - paddingTL.x;
      }

      if (containerPos.y + containerHeight + paddingBR.y > size.y) {
        // bottom
        dy = containerPos.y + containerHeight - size.y + paddingBR.y;
      }

      if (containerPos.y - dy - paddingTL.y < 0) {
        // top
        dy = containerPos.y - paddingTL.y;
      }

      if (dx || dy) {
        map.fire('autopanstart').panBy([dx, dy]);
      }
    },
    _onCloseButtonClick: function _onCloseButtonClick(e) {
      this._close();

      L.DomEvent.stop(e);
    }
  });

  L.popup = function (options, source) {
    return new L.Popup(options, source);
  };

  L.Map.include({
    openPopup: function openPopup(popup, latlng, options) {
      // (Popup) or (String || HTMLElement, LatLng[, Object])
      this.closePopup();

      if (!(popup instanceof L.Popup)) {
        var content = popup;
        popup = new L.Popup(options).setLatLng(latlng).setContent(content);
      }

      popup._isOpen = true;
      this._popup = popup;
      return this.addLayer(popup);
    },
    closePopup: function closePopup(popup) {
      if (!popup || popup === this._popup) {
        popup = this._popup;
        this._popup = null;
      }

      if (popup) {
        this.removeLayer(popup);
        popup._isOpen = false;
      }

      return this;
    }
  });
  /*
  * Popup extension to L.Marker, adding popup-related methods.
  */

  L.Marker.include({
    openPopup: function openPopup() {
      if (this._popup && this._map && !this._map.hasLayer(this._popup)) {
        this._popup.setLatLng(this._latlng);

        this._map.openPopup(this._popup);
      }

      return this;
    },
    closePopup: function closePopup() {
      if (this._popup) {
        this._popup._close();
      }

      return this;
    },
    togglePopup: function togglePopup() {
      if (this._popup) {
        if (this._popup._isOpen) {
          this.closePopup();
        } else {
          this.openPopup();
        }
      }

      return this;
    },
    bindPopup: function bindPopup(content, options) {
      var anchor = L.point(this.options.icon.options.popupAnchor || [0, 0]);
      anchor = anchor.add(L.Popup.prototype.options.offset);

      if (options && options.offset) {
        anchor = anchor.add(options.offset);
      }

      options = L.extend({
        offset: anchor
      }, options);

      if (!this._popupHandlersAdded) {
        this.on('click', this.togglePopup, this).on('remove', this.closePopup, this).on('move', this._movePopup, this);
        this._popupHandlersAdded = true;
      }

      if (content instanceof L.Popup) {
        L.setOptions(content, options);
        this._popup = content;
        content._source = this;
      } else {
        this._popup = new L.Popup(options, this).setContent(content);
      }

      return this;
    },
    setPopupContent: function setPopupContent(content) {
      if (this._popup) {
        this._popup.setContent(content);
      }

      return this;
    },
    unbindPopup: function unbindPopup() {
      if (this._popup) {
        this._popup = null;
        this.off('click', this.togglePopup, this).off('remove', this.closePopup, this).off('move', this._movePopup, this);
        this._popupHandlersAdded = false;
      }

      return this;
    },
    getPopup: function getPopup() {
      return this._popup;
    },
    _movePopup: function _movePopup(e) {
      this._popup.setLatLng(e.latlng);
    }
  });
  /*
  * L.LayerGroup is a class to combine several layers into one so that
  * you can manipulate the group (e.g. add/remove it) as one layer.
  */

  L.LayerGroup = L.Class.extend({
    initialize: function initialize(layers) {
      this._layers = {};
      var i, len;

      if (layers) {
        for (i = 0, len = layers.length; i < len; i++) {
          this.addLayer(layers[i]);
        }
      }
    },
    addLayer: function addLayer(layer) {
      var id = this.getLayerId(layer);
      this._layers[id] = layer;

      if (this._map) {
        this._map.addLayer(layer);
      }

      return this;
    },
    removeLayer: function removeLayer(layer) {
      var id = layer in this._layers ? layer : this.getLayerId(layer);

      if (this._map && this._layers[id]) {
        this._map.removeLayer(this._layers[id]);
      }

      delete this._layers[id];
      return this;
    },
    hasLayer: function hasLayer(layer) {
      if (!layer) {
        return false;
      }

      return layer in this._layers || this.getLayerId(layer) in this._layers;
    },
    clearLayers: function clearLayers() {
      this.eachLayer(this.removeLayer, this);
      return this;
    },
    invoke: function invoke(methodName) {
      var args = Array.prototype.slice.call(arguments, 1),
          i,
          layer;

      for (i in this._layers) {
        layer = this._layers[i];

        if (layer[methodName]) {
          layer[methodName].apply(layer, args);
        }
      }

      return this;
    },
    onAdd: function onAdd(map) {
      this._map = map;
      this.eachLayer(map.addLayer, map);
    },
    onRemove: function onRemove(map) {
      this.eachLayer(map.removeLayer, map);
      this._map = null;
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    eachLayer: function eachLayer(method, context) {
      for (var i in this._layers) {
        method.call(context, this._layers[i]);
      }

      return this;
    },
    getLayer: function getLayer(id) {
      return this._layers[id];
    },
    getLayers: function getLayers() {
      var layers = [];

      for (var i in this._layers) {
        layers.push(this._layers[i]);
      }

      return layers;
    },
    setZIndex: function setZIndex(zIndex) {
      return this.invoke('setZIndex', zIndex);
    },
    getLayerId: function getLayerId(layer) {
      return L.stamp(layer);
    }
  });

  L.layerGroup = function (layers) {
    return new L.LayerGroup(layers);
  };
  /*
  * L.FeatureGroup extends L.LayerGroup by introducing mouse events and additional methods
  * shared between a group of interactive layers (like vectors or markers).
  */


  L.FeatureGroup = L.LayerGroup.extend({
    includes: L.Mixin.Events,
    statics: {
      EVENTS: 'click dblclick mouseover mouseout mousemove contextmenu popupopen popupclose'
    },
    addLayer: function addLayer(layer) {
      if (this.hasLayer(layer)) {
        return this;
      }

      if ('on' in layer) {
        layer.on(L.FeatureGroup.EVENTS, this._propagateEvent, this);
      }

      L.LayerGroup.prototype.addLayer.call(this, layer);

      if (this._popupContent && layer.bindPopup) {
        layer.bindPopup(this._popupContent, this._popupOptions);
      }

      return this.fire('layeradd', {
        layer: layer
      });
    },
    removeLayer: function removeLayer(layer) {
      if (!this.hasLayer(layer)) {
        return this;
      }

      if (layer in this._layers) {
        layer = this._layers[layer];
      }

      if ('off' in layer) {
        layer.off(L.FeatureGroup.EVENTS, this._propagateEvent, this);
      }

      L.LayerGroup.prototype.removeLayer.call(this, layer);

      if (this._popupContent) {
        this.invoke('unbindPopup');
      }

      return this.fire('layerremove', {
        layer: layer
      });
    },
    bindPopup: function bindPopup(content, options) {
      this._popupContent = content;
      this._popupOptions = options;
      return this.invoke('bindPopup', content, options);
    },
    openPopup: function openPopup(latlng) {
      // open popup on the first layer
      for (var id in this._layers) {
        this._layers[id].openPopup(latlng);

        break;
      }

      return this;
    },
    setStyle: function setStyle(style) {
      return this.invoke('setStyle', style);
    },
    bringToFront: function bringToFront() {
      return this.invoke('bringToFront');
    },
    bringToBack: function bringToBack() {
      return this.invoke('bringToBack');
    },
    getBounds: function getBounds() {
      var bounds = new L.LatLngBounds();
      this.eachLayer(function (layer) {
        bounds.extend(layer instanceof L.Marker ? layer.getLatLng() : layer.getBounds());
      });
      return bounds;
    },
    _propagateEvent: function _propagateEvent(e) {
      e = L.extend({
        layer: e.target,
        target: this
      }, e);
      this.fire(e.type, e);
    }
  });

  L.featureGroup = function (layers) {
    return new L.FeatureGroup(layers);
  };
  /*
  * L.Path is a base class for rendering vector paths on a map. Inherited by Polyline, Circle, etc.
  */


  L.Path = L.Class.extend({
    includes: [L.Mixin.Events],
    statics: {
      // how much to extend the clip area around the map view
      // (relative to its size, e.g. 0.5 is half the screen in each direction)
      // set it so that SVG element doesn't exceed 1280px (vectors flicker on dragend if it is)
      CLIP_PADDING: function () {
        var max = L.Browser.mobile ? 1280 : 2000,
            target = (max / Math.max(window.outerWidth, window.outerHeight) - 1) / 2;
        return Math.max(0, Math.min(0.5, target));
      }()
    },
    options: {
      stroke: true,
      color: '#0033ff',
      dashArray: null,
      lineCap: null,
      lineJoin: null,
      weight: 5,
      opacity: 0.5,
      fill: false,
      fillColor: null,
      //same as color by default
      fillOpacity: 0.2,
      clickable: true
    },
    initialize: function initialize(options) {
      L.setOptions(this, options);
    },
    onAdd: function onAdd(map) {
      this._map = map;

      if (!this._container) {
        this._initElements();

        this._initEvents();
      }

      this.projectLatlngs();

      this._updatePath();

      if (this._container) {
        this._map._pathRoot.appendChild(this._container);
      }

      this.fire('add');
      map.on({
        'viewreset': this.projectLatlngs,
        'moveend': this._updatePath
      }, this);
    },
    addTo: function addTo(map) {
      map.addLayer(this);
      return this;
    },
    onRemove: function onRemove(map) {
      map._pathRoot.removeChild(this._container); // Need to fire remove event before we set _map to null as the event hooks might need the object


      this.fire('remove');
      this._map = null;

      if (L.Browser.vml) {
        this._container = null;
        this._stroke = null;
        this._fill = null;
      }

      map.off({
        'viewreset': this.projectLatlngs,
        'moveend': this._updatePath
      }, this);
    },
    projectLatlngs: function projectLatlngs() {// do all projection stuff here
    },
    setStyle: function setStyle(style) {
      L.setOptions(this, style);

      if (this._container) {
        this._updateStyle();
      }

      return this;
    },
    redraw: function redraw() {
      if (this._map) {
        this.projectLatlngs();

        this._updatePath();
      }

      return this;
    }
  });
  L.Map.include({
    _updatePathViewport: function _updatePathViewport() {
      var p = L.Path.CLIP_PADDING,
          size = this.getSize(),
          panePos = L.DomUtil.getPosition(this._mapPane),
          min = panePos.multiplyBy(-1)._subtract(size.multiplyBy(p)._round()),
          max = min.add(size.multiplyBy(1 + p * 2)._round());

      this._pathViewport = new L.Bounds(min, max);
    }
  });
  /*
  * Extends L.Path with SVG-specific rendering code.
  */

  L.Path.SVG_NS = 'http://www.w3.org/2000/svg';
  L.Browser.svg = !!(document.createElementNS && document.createElementNS(L.Path.SVG_NS, 'svg').createSVGRect);
  L.Path = L.Path.extend({
    statics: {
      SVG: L.Browser.svg
    },
    bringToFront: function bringToFront() {
      var root = this._map._pathRoot,
          path = this._container;

      if (path && root.lastChild !== path) {
        root.appendChild(path);
      }

      return this;
    },
    bringToBack: function bringToBack() {
      var root = this._map._pathRoot,
          path = this._container,
          first = root.firstChild;

      if (path && first !== path) {
        root.insertBefore(path, first);
      }

      return this;
    },
    getPathString: function getPathString() {// form path string here
    },
    _createElement: function _createElement(name) {
      return document.createElementNS(L.Path.SVG_NS, name);
    },
    _initElements: function _initElements() {
      this._map._initPathRoot();

      this._initPath();

      this._initStyle();
    },
    _initPath: function _initPath() {
      this._container = this._createElement('g');
      this._path = this._createElement('path');

      if (this.options.className) {
        L.DomUtil.addClass(this._path, this.options.className);
      }

      this._container.appendChild(this._path);
    },
    _initStyle: function _initStyle() {
      if (this.options.stroke) {
        this._path.setAttribute('stroke-linejoin', 'round');

        this._path.setAttribute('stroke-linecap', 'round');
      }

      if (this.options.fill) {
        this._path.setAttribute('fill-rule', 'evenodd');
      }

      if (this.options.pointerEvents) {
        this._path.setAttribute('pointer-events', this.options.pointerEvents);
      }

      if (!this.options.clickable && !this.options.pointerEvents) {
        this._path.setAttribute('pointer-events', 'none');
      }

      this._updateStyle();
    },
    _updateStyle: function _updateStyle() {
      if (this.options.stroke) {
        this._path.setAttribute('stroke', this.options.color);

        this._path.setAttribute('stroke-opacity', this.options.opacity);

        this._path.setAttribute('stroke-width', this.options.weight);

        if (this.options.dashArray) {
          this._path.setAttribute('stroke-dasharray', this.options.dashArray);
        } else {
          this._path.removeAttribute('stroke-dasharray');
        }

        if (this.options.lineCap) {
          this._path.setAttribute('stroke-linecap', this.options.lineCap);
        }

        if (this.options.lineJoin) {
          this._path.setAttribute('stroke-linejoin', this.options.lineJoin);
        }
      } else {
        this._path.setAttribute('stroke', 'none');
      }

      if (this.options.fill) {
        this._path.setAttribute('fill', this.options.fillColor || this.options.color);

        this._path.setAttribute('fill-opacity', this.options.fillOpacity);
      } else {
        this._path.setAttribute('fill', 'none');
      }
    },
    _updatePath: function _updatePath() {
      var str = this.getPathString();

      if (!str) {
        // fix webkit empty string parsing bug
        str = 'M0 0';
      }

      this._path.setAttribute('d', str);
    },
    // TODO remove duplication with L.Map
    _initEvents: function _initEvents() {
      if (this.options.clickable) {
        if (L.Browser.svg || !L.Browser.vml) {
          L.DomUtil.addClass(this._path, 'leaflet-clickable');
        }

        L.DomEvent.on(this._container, 'click', this._onMouseClick, this);
        var events = ['dblclick', 'mousedown', 'mouseover', 'mouseout', 'mousemove', 'contextmenu'];

        for (var i = 0; i < events.length; i++) {
          L.DomEvent.on(this._container, events[i], this._fireMouseEvent, this);
        }
      }
    },
    _onMouseClick: function _onMouseClick(e) {
      if (this._map.dragging && this._map.dragging.moved()) {
        return;
      }

      this._fireMouseEvent(e);
    },
    _fireMouseEvent: function _fireMouseEvent(e) {
      if (!this._map || !this.hasEventListeners(e.type)) {
        return;
      }

      var map = this._map,
          containerPoint = map.mouseEventToContainerPoint(e),
          layerPoint = map.containerPointToLayerPoint(containerPoint),
          latlng = map.layerPointToLatLng(layerPoint);
      this.fire(e.type, {
        latlng: latlng,
        layerPoint: layerPoint,
        containerPoint: containerPoint,
        originalEvent: e
      });

      if (e.type === 'contextmenu') {
        L.DomEvent.preventDefault(e);
      }

      if (e.type !== 'mousemove') {
        L.DomEvent.stopPropagation(e);
      }
    }
  });
  L.Map.include({
    _initPathRoot: function _initPathRoot() {
      if (!this._pathRoot) {
        this._pathRoot = L.Path.prototype._createElement('svg');

        this._panes.overlayPane.appendChild(this._pathRoot);

        if (this.options.zoomAnimation && L.Browser.any3d) {
          L.DomUtil.addClass(this._pathRoot, 'leaflet-zoom-animated');
          this.on({
            'zoomanim': this._animatePathZoom,
            'zoomend': this._endPathZoom
          });
        } else {
          L.DomUtil.addClass(this._pathRoot, 'leaflet-zoom-hide');
        }

        this.on('moveend', this._updateSvgViewport);

        this._updateSvgViewport();
      }
    },
    _animatePathZoom: function _animatePathZoom(e) {
      var scale = this.getZoomScale(e.zoom),
          offset = this._getCenterOffset(e.center)._multiplyBy(-scale)._add(this._pathViewport.min);

      this._pathRoot.style[L.DomUtil.TRANSFORM] = L.DomUtil.getTranslateString(offset) + ' scale(' + scale + ') ';
      this._pathZooming = true;
    },
    _endPathZoom: function _endPathZoom() {
      this._pathZooming = false;
    },
    _updateSvgViewport: function _updateSvgViewport() {
      if (this._pathZooming) {
        // Do not update SVGs while a zoom animation is going on otherwise the animation will break.
        // When the zoom animation ends we will be updated again anyway
        // This fixes the case where you do a momentum move and zoom while the move is still ongoing.
        return;
      }

      this._updatePathViewport();

      var vp = this._pathViewport,
          min = vp.min,
          max = vp.max,
          width = max.x - min.x,
          height = max.y - min.y,
          root = this._pathRoot,
          pane = this._panes.overlayPane; // Hack to make flicker on drag end on mobile webkit less irritating

      if (L.Browser.mobileWebkit) {
        pane.removeChild(root);
      }

      L.DomUtil.setPosition(root, min);
      root.setAttribute('width', width);
      root.setAttribute('height', height);
      root.setAttribute('viewBox', [min.x, min.y, width, height].join(' '));

      if (L.Browser.mobileWebkit) {
        pane.appendChild(root);
      }
    }
  });
  /*
  * Popup extension to L.Path (polylines, polygons, circles), adding popup-related methods.
  */

  L.Path.include({
    bindPopup: function bindPopup(content, options) {
      if (content instanceof L.Popup) {
        this._popup = content;
      } else {
        if (!this._popup || options) {
          this._popup = new L.Popup(options, this);
        }

        this._popup.setContent(content);
      }

      if (!this._popupHandlersAdded) {
        this.on('click', this._openPopup, this).on('remove', this.closePopup, this);
        this._popupHandlersAdded = true;
      }

      return this;
    },
    unbindPopup: function unbindPopup() {
      if (this._popup) {
        this._popup = null;
        this.off('click', this._openPopup).off('remove', this.closePopup);
        this._popupHandlersAdded = false;
      }

      return this;
    },
    openPopup: function openPopup(latlng) {
      if (this._popup) {
        // open the popup from one of the path's points if not specified
        latlng = latlng || this._latlng || this._latlngs[Math.floor(this._latlngs.length / 2)];

        this._openPopup({
          latlng: latlng
        });
      }

      return this;
    },
    closePopup: function closePopup() {
      if (this._popup) {
        this._popup._close();
      }

      return this;
    },
    _openPopup: function _openPopup(e) {
      this._popup.setLatLng(e.latlng);

      this._map.openPopup(this._popup);
    }
  });
  /*
  * Vector rendering for IE6-8 through VML.
  * Thanks to Dmitry Baranovsky and his Raphael library for inspiration!
  */

  L.Browser.vml = !L.Browser.svg && function () {
    try {
      var div = document.createElement('div');
      div.innerHTML = '<v:shape adj="1"/>';
      var shape = div.firstChild;
      shape.style.behavior = 'url(#default#VML)';
      return shape && _typeof(shape.adj) === 'object';
    } catch (e) {
      return false;
    }
  }();

  L.Path = L.Browser.svg || !L.Browser.vml ? L.Path : L.Path.extend({
    statics: {
      VML: true,
      CLIP_PADDING: 0.02
    },
    _createElement: function () {
      try {
        document.namespaces.add('lvml', 'urn:schemas-microsoft-com:vml');
        return function (name) {
          return document.createElement('<lvml:' + name + ' class="lvml">');
        };
      } catch (e) {
        return function (name) {
          return document.createElement('<' + name + ' xmlns="urn:schemas-microsoft.com:vml" class="lvml">');
        };
      }
    }(),
    _initPath: function _initPath() {
      var container = this._container = this._createElement('shape');

      L.DomUtil.addClass(container, 'leaflet-vml-shape' + (this.options.className ? ' ' + this.options.className : ''));

      if (this.options.clickable) {
        L.DomUtil.addClass(container, 'leaflet-clickable');
      }

      container.coordsize = '1 1';
      this._path = this._createElement('path');
      container.appendChild(this._path);

      this._map._pathRoot.appendChild(container);
    },
    _initStyle: function _initStyle() {
      this._updateStyle();
    },
    _updateStyle: function _updateStyle() {
      var stroke = this._stroke,
          fill = this._fill,
          options = this.options,
          container = this._container;
      container.stroked = options.stroke;
      container.filled = options.fill;

      if (options.stroke) {
        if (!stroke) {
          stroke = this._stroke = this._createElement('stroke');
          stroke.endcap = 'round';
          container.appendChild(stroke);
        }

        stroke.weight = options.weight + 'px';
        stroke.color = options.color;
        stroke.opacity = options.opacity;

        if (options.dashArray) {
          stroke.dashStyle = L.Util.isArray(options.dashArray) ? options.dashArray.join(' ') : options.dashArray.replace(/( *, *)/g, ' ');
        } else {
          stroke.dashStyle = '';
        }

        if (options.lineCap) {
          stroke.endcap = options.lineCap.replace('butt', 'flat');
        }

        if (options.lineJoin) {
          stroke.joinstyle = options.lineJoin;
        }
      } else if (stroke) {
        container.removeChild(stroke);
        this._stroke = null;
      }

      if (options.fill) {
        if (!fill) {
          fill = this._fill = this._createElement('fill');
          container.appendChild(fill);
        }

        fill.color = options.fillColor || options.color;
        fill.opacity = options.fillOpacity;
      } else if (fill) {
        container.removeChild(fill);
        this._fill = null;
      }
    },
    _updatePath: function _updatePath() {
      var style = this._container.style;
      style.display = 'none';
      this._path.v = this.getPathString() + ' '; // the space fixes IE empty path string bug

      style.display = '';
    }
  });
  L.Map.include(L.Browser.svg || !L.Browser.vml ? {} : {
    _initPathRoot: function _initPathRoot() {
      if (this._pathRoot) {
        return;
      }

      var root = this._pathRoot = document.createElement('div');
      root.className = 'leaflet-vml-container';

      this._panes.overlayPane.appendChild(root);

      this.on('moveend', this._updatePathViewport);

      this._updatePathViewport();
    }
  });
  /*
  * Vector rendering for all browsers that support canvas.
  */

  L.Browser.canvas = function () {
    return !!document.createElement('canvas').getContext;
  }();

  L.Path = L.Path.SVG && !window.L_PREFER_CANVAS || !L.Browser.canvas ? L.Path : L.Path.extend({
    statics: {
      //CLIP_PADDING: 0.02, // not sure if there's a need to set it to a small value
      CANVAS: true,
      SVG: false
    },
    redraw: function redraw() {
      if (this._map) {
        this.projectLatlngs();

        this._requestUpdate();
      }

      return this;
    },
    setStyle: function setStyle(style) {
      L.setOptions(this, style);

      if (this._map) {
        this._updateStyle();

        this._requestUpdate();
      }

      return this;
    },
    onRemove: function onRemove(map) {
      map.off('viewreset', this.projectLatlngs, this).off('moveend', this._updatePath, this);

      if (this.options.clickable) {
        this._map.off('click', this._onClick, this);

        this._map.off('mousemove', this._onMouseMove, this);
      }

      this._requestUpdate();

      this.fire('remove');
      this._map = null;
    },
    _requestUpdate: function _requestUpdate() {
      if (this._map && !L.Path._updateRequest) {
        L.Path._updateRequest = L.Util.requestAnimFrame(this._fireMapMoveEnd, this._map);
      }
    },
    _fireMapMoveEnd: function _fireMapMoveEnd() {
      L.Path._updateRequest = null;
      this.fire('moveend');
    },
    _initElements: function _initElements() {
      this._map._initPathRoot();

      this._ctx = this._map._canvasCtx;
    },
    _updateStyle: function _updateStyle() {
      var options = this.options;

      if (options.stroke) {
        this._ctx.lineWidth = options.weight;
        this._ctx.strokeStyle = options.color;
      }

      if (options.fill) {
        this._ctx.fillStyle = options.fillColor || options.color;
      }

      if (options.lineCap) {
        this._ctx.lineCap = options.lineCap;
      }

      if (options.lineJoin) {
        this._ctx.lineJoin = options.lineJoin;
      }
    },
    _drawPath: function _drawPath() {
      var i, j, len, len2, point, drawMethod;

      this._ctx.beginPath();

      for (i = 0, len = this._parts.length; i < len; i++) {
        for (j = 0, len2 = this._parts[i].length; j < len2; j++) {
          point = this._parts[i][j];
          drawMethod = (j === 0 ? 'move' : 'line') + 'To';

          this._ctx[drawMethod](point.x, point.y);
        } // TODO refactor ugly hack


        if (this instanceof L.Polygon) {
          this._ctx.closePath();
        }
      }
    },
    _checkIfEmpty: function _checkIfEmpty() {
      return !this._parts.length;
    },
    _updatePath: function _updatePath() {
      if (this._checkIfEmpty()) {
        return;
      }

      var ctx = this._ctx,
          options = this.options;

      this._drawPath();

      ctx.save();

      this._updateStyle();

      if (options.fill) {
        ctx.globalAlpha = options.fillOpacity;
        ctx.fill(options.fillRule || 'evenodd');
      }

      if (options.stroke) {
        ctx.globalAlpha = options.opacity;
        ctx.stroke();
      }

      ctx.restore(); // TODO optimization: 1 fill/stroke for all features with equal style instead of 1 for each feature
    },
    _initEvents: function _initEvents() {
      if (this.options.clickable) {
        this._map.on('mousemove', this._onMouseMove, this);

        this._map.on('click dblclick contextmenu', this._fireMouseEvent, this);
      }
    },
    _fireMouseEvent: function _fireMouseEvent(e) {
      if (this._containsPoint(e.layerPoint)) {
        this.fire(e.type, e);
      }
    },
    _onMouseMove: function _onMouseMove(e) {
      if (!this._map || this._map._animatingZoom) {
        return;
      } // TODO don't do on each move


      if (this._containsPoint(e.layerPoint)) {
        this._ctx.canvas.style.cursor = 'pointer';
        this._mouseInside = true;
        this.fire('mouseover', e);
      } else if (this._mouseInside) {
        this._ctx.canvas.style.cursor = '';
        this._mouseInside = false;
        this.fire('mouseout', e);
      }
    }
  });
  L.Map.include(L.Path.SVG && !window.L_PREFER_CANVAS || !L.Browser.canvas ? {} : {
    _initPathRoot: function _initPathRoot() {
      var root = this._pathRoot,
          ctx;

      if (!root) {
        root = this._pathRoot = document.createElement('canvas');
        root.style.position = 'absolute';
        ctx = this._canvasCtx = root.getContext('2d');
        ctx.lineCap = 'round';
        ctx.lineJoin = 'round';

        this._panes.overlayPane.appendChild(root);

        if (this.options.zoomAnimation) {
          this._pathRoot.className = 'leaflet-zoom-animated';
          this.on('zoomanim', this._animatePathZoom);
          this.on('zoomend', this._endPathZoom);
        }

        this.on('moveend', this._updateCanvasViewport);

        this._updateCanvasViewport();
      }
    },
    _updateCanvasViewport: function _updateCanvasViewport() {
      // don't redraw while zooming. See _updateSvgViewport for more details
      if (this._pathZooming) {
        return;
      }

      this._updatePathViewport();

      var vp = this._pathViewport,
          min = vp.min,
          size = vp.max.subtract(min),
          root = this._pathRoot; //TODO check if this works properly on mobile webkit

      L.DomUtil.setPosition(root, min);
      root.width = size.x;
      root.height = size.y;
      root.getContext('2d').translate(-min.x, -min.y);
    }
  });
  /*
  * L.LineUtil contains different utility functions for line segments
  * and polylines (clipping, simplification, distances, etc.)
  */

  /*jshint bitwise:false */
  // allow bitwise operations for this file

  L.LineUtil = {
    // Simplify polyline with vertex reduction and Douglas-Peucker simplification.
    // Improves rendering performance dramatically by lessening the number of points to draw.
    simplify: function simplify(
    /*Point[]*/
    points,
    /*Number*/
    tolerance) {
      if (!tolerance || !points.length) {
        return points.slice();
      }

      var sqTolerance = tolerance * tolerance; // stage 1: vertex reduction

      points = this._reducePoints(points, sqTolerance); // stage 2: Douglas-Peucker simplification

      points = this._simplifyDP(points, sqTolerance);
      return points;
    },
    // distance from a point to a segment between two points
    pointToSegmentDistance: function pointToSegmentDistance(
    /*Point*/
    p,
    /*Point*/
    p1,
    /*Point*/
    p2) {
      return Math.sqrt(this._sqClosestPointOnSegment(p, p1, p2, true));
    },
    closestPointOnSegment: function closestPointOnSegment(
    /*Point*/
    p,
    /*Point*/
    p1,
    /*Point*/
    p2) {
      return this._sqClosestPointOnSegment(p, p1, p2);
    },
    // Douglas-Peucker simplification, see http://en.wikipedia.org/wiki/Douglas-Peucker_algorithm
    _simplifyDP: function _simplifyDP(points, sqTolerance) {
      var len = points.length,
          ArrayConstructor = (typeof Uint8Array === "undefined" ? "undefined" : _typeof(Uint8Array)) !== undefined + '' ? Uint8Array : Array,
          markers = new ArrayConstructor(len);
      markers[0] = markers[len - 1] = 1;

      this._simplifyDPStep(points, markers, sqTolerance, 0, len - 1);

      var i,
          newPoints = [];

      for (i = 0; i < len; i++) {
        if (markers[i]) {
          newPoints.push(points[i]);
        }
      }

      return newPoints;
    },
    _simplifyDPStep: function _simplifyDPStep(points, markers, sqTolerance, first, last) {
      var maxSqDist = 0,
          index,
          i,
          sqDist;

      for (i = first + 1; i <= last - 1; i++) {
        sqDist = this._sqClosestPointOnSegment(points[i], points[first], points[last], true);

        if (sqDist > maxSqDist) {
          index = i;
          maxSqDist = sqDist;
        }
      }

      if (maxSqDist > sqTolerance) {
        markers[index] = 1;

        this._simplifyDPStep(points, markers, sqTolerance, first, index);

        this._simplifyDPStep(points, markers, sqTolerance, index, last);
      }
    },
    // reduce points that are too close to each other to a single point
    _reducePoints: function _reducePoints(points, sqTolerance) {
      var reducedPoints = [points[0]];

      for (var i = 1, prev = 0, len = points.length; i < len; i++) {
        if (this._sqDist(points[i], points[prev]) > sqTolerance) {
          reducedPoints.push(points[i]);
          prev = i;
        }
      }

      if (prev < len - 1) {
        reducedPoints.push(points[len - 1]);
      }

      return reducedPoints;
    },
    // Cohen-Sutherland line clipping algorithm.
    // Used to avoid rendering parts of a polyline that are not currently visible.
    clipSegment: function clipSegment(a, b, bounds, useLastCode) {
      var codeA = useLastCode ? this._lastCode : this._getBitCode(a, bounds),
          codeB = this._getBitCode(b, bounds),
          codeOut,
          p,
          newCode; // save 2nd code to avoid calculating it on the next segment


      this._lastCode = codeB;

      while (true) {
        // if a,b is inside the clip window (trivial accept)
        if (!(codeA | codeB)) {
          return [a, b]; // if a,b is outside the clip window (trivial reject)
        } else if (codeA & codeB) {
          return false; // other cases
        } else {
          codeOut = codeA || codeB;
          p = this._getEdgeIntersection(a, b, codeOut, bounds);
          newCode = this._getBitCode(p, bounds);

          if (codeOut === codeA) {
            a = p;
            codeA = newCode;
          } else {
            b = p;
            codeB = newCode;
          }
        }
      }
    },
    _getEdgeIntersection: function _getEdgeIntersection(a, b, code, bounds) {
      var dx = b.x - a.x,
          dy = b.y - a.y,
          min = bounds.min,
          max = bounds.max;

      if (code & 8) {
        // top
        return new L.Point(a.x + dx * (max.y - a.y) / dy, max.y);
      } else if (code & 4) {
        // bottom
        return new L.Point(a.x + dx * (min.y - a.y) / dy, min.y);
      } else if (code & 2) {
        // right
        return new L.Point(max.x, a.y + dy * (max.x - a.x) / dx);
      } else if (code & 1) {
        // left
        return new L.Point(min.x, a.y + dy * (min.x - a.x) / dx);
      }
    },
    _getBitCode: function _getBitCode(
    /*Point*/
    p, bounds) {
      var code = 0;

      if (p.x < bounds.min.x) {
        // left
        code |= 1;
      } else if (p.x > bounds.max.x) {
        // right
        code |= 2;
      }

      if (p.y < bounds.min.y) {
        // bottom
        code |= 4;
      } else if (p.y > bounds.max.y) {
        // top
        code |= 8;
      }

      return code;
    },
    // square distance (to avoid unnecessary Math.sqrt calls)
    _sqDist: function _sqDist(p1, p2) {
      var dx = p2.x - p1.x,
          dy = p2.y - p1.y;
      return dx * dx + dy * dy;
    },
    // return closest point on segment or distance to that point
    _sqClosestPointOnSegment: function _sqClosestPointOnSegment(p, p1, p2, sqDist) {
      var x = p1.x,
          y = p1.y,
          dx = p2.x - x,
          dy = p2.y - y,
          dot = dx * dx + dy * dy,
          t;

      if (dot > 0) {
        t = ((p.x - x) * dx + (p.y - y) * dy) / dot;

        if (t > 1) {
          x = p2.x;
          y = p2.y;
        } else if (t > 0) {
          x += dx * t;
          y += dy * t;
        }
      }

      dx = p.x - x;
      dy = p.y - y;
      return sqDist ? dx * dx + dy * dy : new L.Point(x, y);
    }
  };
  /*
  * L.Polyline is used to display polylines on a map.
  */

  L.Polyline = L.Path.extend({
    initialize: function initialize(latlngs, options) {
      L.Path.prototype.initialize.call(this, options);
      this._latlngs = this._convertLatLngs(latlngs);
    },
    options: {
      // how much to simplify the polyline on each zoom level
      // more = better performance and smoother look, less = more accurate
      smoothFactor: 1.0,
      noClip: false
    },
    projectLatlngs: function projectLatlngs() {
      this._originalPoints = [];

      for (var i = 0, len = this._latlngs.length; i < len; i++) {
        this._originalPoints[i] = this._map.latLngToLayerPoint(this._latlngs[i]);
      }
    },
    getPathString: function getPathString() {
      for (var i = 0, len = this._parts.length, str = ''; i < len; i++) {
        str += this._getPathPartStr(this._parts[i]);
      }

      return str;
    },
    getLatLngs: function getLatLngs() {
      return this._latlngs;
    },
    setLatLngs: function setLatLngs(latlngs) {
      this._latlngs = this._convertLatLngs(latlngs);
      return this.redraw();
    },
    addLatLng: function addLatLng(latlng) {
      this._latlngs.push(L.latLng(latlng));

      return this.redraw();
    },
    spliceLatLngs: function spliceLatLngs() {
      // (Number index, Number howMany)
      var removed = [].splice.apply(this._latlngs, arguments);

      this._convertLatLngs(this._latlngs, true);

      this.redraw();
      return removed;
    },
    closestLayerPoint: function closestLayerPoint(p) {
      var minDistance = Infinity,
          parts = this._parts,
          p1,
          p2,
          minPoint = null;

      for (var j = 0, jLen = parts.length; j < jLen; j++) {
        var points = parts[j];

        for (var i = 1, len = points.length; i < len; i++) {
          p1 = points[i - 1];
          p2 = points[i];

          var sqDist = L.LineUtil._sqClosestPointOnSegment(p, p1, p2, true);

          if (sqDist < minDistance) {
            minDistance = sqDist;
            minPoint = L.LineUtil._sqClosestPointOnSegment(p, p1, p2);
          }
        }
      }

      if (minPoint) {
        minPoint.distance = Math.sqrt(minDistance);
      }

      return minPoint;
    },
    getBounds: function getBounds() {
      return new L.LatLngBounds(this.getLatLngs());
    },
    _convertLatLngs: function _convertLatLngs(latlngs, overwrite) {
      var i,
          len,
          target = overwrite ? latlngs : [];

      for (i = 0, len = latlngs.length; i < len; i++) {
        if (L.Util.isArray(latlngs[i]) && typeof latlngs[i][0] !== 'number') {
          return;
        }

        target[i] = L.latLng(latlngs[i]);
      }

      return target;
    },
    _initEvents: function _initEvents() {
      L.Path.prototype._initEvents.call(this);
    },
    _getPathPartStr: function _getPathPartStr(points) {
      var round = L.Path.VML;

      for (var j = 0, len2 = points.length, str = '', p; j < len2; j++) {
        p = points[j];

        if (round) {
          p._round();
        }

        str += (j ? 'L' : 'M') + p.x + ' ' + p.y;
      }

      return str;
    },
    _clipPoints: function _clipPoints() {
      var points = this._originalPoints,
          len = points.length,
          i,
          k,
          segment;

      if (this.options.noClip) {
        this._parts = [points];
        return;
      }

      this._parts = [];
      var parts = this._parts,
          vp = this._map._pathViewport,
          lu = L.LineUtil;

      for (i = 0, k = 0; i < len - 1; i++) {
        segment = lu.clipSegment(points[i], points[i + 1], vp, i);

        if (!segment) {
          continue;
        }

        parts[k] = parts[k] || [];
        parts[k].push(segment[0]); // if segment goes out of screen, or it's the last one, it's the end of the line part

        if (segment[1] !== points[i + 1] || i === len - 2) {
          parts[k].push(segment[1]);
          k++;
        }
      }
    },
    // simplify each clipped part of the polyline
    _simplifyPoints: function _simplifyPoints() {
      var parts = this._parts,
          lu = L.LineUtil;

      for (var i = 0, len = parts.length; i < len; i++) {
        parts[i] = lu.simplify(parts[i], this.options.smoothFactor);
      }
    },
    _updatePath: function _updatePath() {
      if (!this._map) {
        return;
      }

      this._clipPoints();

      this._simplifyPoints();

      L.Path.prototype._updatePath.call(this);
    }
  });

  L.polyline = function (latlngs, options) {
    return new L.Polyline(latlngs, options);
  };
  /*
  * L.PolyUtil contains utility functions for polygons (clipping, etc.).
  */

  /*jshint bitwise:false */
  // allow bitwise operations here


  L.PolyUtil = {};
  /*
  * Sutherland-Hodgeman polygon clipping algorithm.
  * Used to avoid rendering parts of a polygon that are not currently visible.
  */

  L.PolyUtil.clipPolygon = function (points, bounds) {
    var clippedPoints,
        edges = [1, 4, 2, 8],
        i,
        j,
        k,
        a,
        b,
        len,
        edge,
        p,
        lu = L.LineUtil;

    for (i = 0, len = points.length; i < len; i++) {
      points[i]._code = lu._getBitCode(points[i], bounds);
    } // for each edge (left, bottom, right, top)


    for (k = 0; k < 4; k++) {
      edge = edges[k];
      clippedPoints = [];

      for (i = 0, len = points.length, j = len - 1; i < len; j = i++) {
        a = points[i];
        b = points[j]; // if a is inside the clip window

        if (!(a._code & edge)) {
          // if b is outside the clip window (a->b goes out of screen)
          if (b._code & edge) {
            p = lu._getEdgeIntersection(b, a, edge, bounds);
            p._code = lu._getBitCode(p, bounds);
            clippedPoints.push(p);
          }

          clippedPoints.push(a); // else if b is inside the clip window (a->b enters the screen)
        } else if (!(b._code & edge)) {
          p = lu._getEdgeIntersection(b, a, edge, bounds);
          p._code = lu._getBitCode(p, bounds);
          clippedPoints.push(p);
        }
      }

      points = clippedPoints;
    }

    return points;
  };
  /*
  * L.Polygon is used to display polygons on a map.
  */


  L.Polygon = L.Polyline.extend({
    options: {
      fill: true
    },
    initialize: function initialize(latlngs, options) {
      L.Polyline.prototype.initialize.call(this, latlngs, options);

      this._initWithHoles(latlngs);
    },
    _initWithHoles: function _initWithHoles(latlngs) {
      var i, len, hole;

      if (latlngs && L.Util.isArray(latlngs[0]) && typeof latlngs[0][0] !== 'number') {
        this._latlngs = this._convertLatLngs(latlngs[0]);
        this._holes = latlngs.slice(1);

        for (i = 0, len = this._holes.length; i < len; i++) {
          hole = this._holes[i] = this._convertLatLngs(this._holes[i]);

          if (hole[0].equals(hole[hole.length - 1])) {
            hole.pop();
          }
        }
      } // filter out last point if its equal to the first one


      latlngs = this._latlngs;

      if (latlngs.length >= 2 && latlngs[0].equals(latlngs[latlngs.length - 1])) {
        latlngs.pop();
      }
    },
    projectLatlngs: function projectLatlngs() {
      L.Polyline.prototype.projectLatlngs.call(this); // project polygon holes points
      // TODO move this logic to Polyline to get rid of duplication

      this._holePoints = [];

      if (!this._holes) {
        return;
      }

      var i, j, len, len2;

      for (i = 0, len = this._holes.length; i < len; i++) {
        this._holePoints[i] = [];

        for (j = 0, len2 = this._holes[i].length; j < len2; j++) {
          this._holePoints[i][j] = this._map.latLngToLayerPoint(this._holes[i][j]);
        }
      }
    },
    setLatLngs: function setLatLngs(latlngs) {
      if (latlngs && L.Util.isArray(latlngs[0]) && typeof latlngs[0][0] !== 'number') {
        this._initWithHoles(latlngs);

        return this.redraw();
      } else {
        return L.Polyline.prototype.setLatLngs.call(this, latlngs);
      }
    },
    _clipPoints: function _clipPoints() {
      var points = this._originalPoints,
          newParts = [];
      this._parts = [points].concat(this._holePoints);

      if (this.options.noClip) {
        return;
      }

      for (var i = 0, len = this._parts.length; i < len; i++) {
        var clipped = L.PolyUtil.clipPolygon(this._parts[i], this._map._pathViewport);

        if (clipped.length) {
          newParts.push(clipped);
        }
      }

      this._parts = newParts;
    },
    _getPathPartStr: function _getPathPartStr(points) {
      var str = L.Polyline.prototype._getPathPartStr.call(this, points);

      return str + (L.Browser.svg ? 'z' : 'x');
    }
  });

  L.polygon = function (latlngs, options) {
    return new L.Polygon(latlngs, options);
  };
  /*
  * Contains L.MultiPolyline and L.MultiPolygon layers.
  */


  (function () {
    function createMulti(Klass) {
      return L.FeatureGroup.extend({
        initialize: function initialize(latlngs, options) {
          this._layers = {};
          this._options = options;
          this.setLatLngs(latlngs);
        },
        setLatLngs: function setLatLngs(latlngs) {
          var i = 0,
              len = latlngs.length;
          this.eachLayer(function (layer) {
            if (i < len) {
              layer.setLatLngs(latlngs[i++]);
            } else {
              this.removeLayer(layer);
            }
          }, this);

          while (i < len) {
            this.addLayer(new Klass(latlngs[i++], this._options));
          }

          return this;
        },
        getLatLngs: function getLatLngs() {
          var latlngs = [];
          this.eachLayer(function (layer) {
            latlngs.push(layer.getLatLngs());
          });
          return latlngs;
        }
      });
    }

    L.MultiPolyline = createMulti(L.Polyline);
    L.MultiPolygon = createMulti(L.Polygon);

    L.multiPolyline = function (latlngs, options) {
      return new L.MultiPolyline(latlngs, options);
    };

    L.multiPolygon = function (latlngs, options) {
      return new L.MultiPolygon(latlngs, options);
    };
  })();
  /*
  * L.Rectangle extends Polygon and creates a rectangle when passed a LatLngBounds object.
  */


  L.Rectangle = L.Polygon.extend({
    initialize: function initialize(latLngBounds, options) {
      L.Polygon.prototype.initialize.call(this, this._boundsToLatLngs(latLngBounds), options);
    },
    setBounds: function setBounds(latLngBounds) {
      this.setLatLngs(this._boundsToLatLngs(latLngBounds));
    },
    _boundsToLatLngs: function _boundsToLatLngs(latLngBounds) {
      latLngBounds = L.latLngBounds(latLngBounds);
      return [latLngBounds.getSouthWest(), latLngBounds.getNorthWest(), latLngBounds.getNorthEast(), latLngBounds.getSouthEast()];
    }
  });

  L.rectangle = function (latLngBounds, options) {
    return new L.Rectangle(latLngBounds, options);
  };
  /*
  * L.Circle is a circle overlay (with a certain radius in meters).
  */


  L.Circle = L.Path.extend({
    initialize: function initialize(latlng, radius, options) {
      L.Path.prototype.initialize.call(this, options);
      this._latlng = L.latLng(latlng);
      this._mRadius = radius;
    },
    options: {
      fill: true
    },
    setLatLng: function setLatLng(latlng) {
      this._latlng = L.latLng(latlng);
      return this.redraw();
    },
    setRadius: function setRadius(radius) {
      this._mRadius = radius;
      return this.redraw();
    },
    projectLatlngs: function projectLatlngs() {
      var lngRadius = this._getLngRadius(),
          latlng = this._latlng,
          pointLeft = this._map.latLngToLayerPoint([latlng.lat, latlng.lng - lngRadius]);

      this._point = this._map.latLngToLayerPoint(latlng);
      this._radius = Math.max(this._point.x - pointLeft.x, 1);
    },
    getBounds: function getBounds() {
      var lngRadius = this._getLngRadius(),
          latRadius = this._mRadius / 40075017 * 360,
          latlng = this._latlng;

      return new L.LatLngBounds([latlng.lat - latRadius, latlng.lng - lngRadius], [latlng.lat + latRadius, latlng.lng + lngRadius]);
    },
    getLatLng: function getLatLng() {
      return this._latlng;
    },
    getPathString: function getPathString() {
      var p = this._point,
          r = this._radius;

      if (this._checkIfEmpty()) {
        return '';
      }

      if (L.Browser.svg) {
        return 'M' + p.x + ',' + (p.y - r) + 'A' + r + ',' + r + ',0,1,1,' + (p.x - 0.1) + ',' + (p.y - r) + ' z';
      } else {
        p._round();

        r = Math.round(r);
        return 'AL ' + p.x + ',' + p.y + ' ' + r + ',' + r + ' 0,' + 65535 * 360;
      }
    },
    getRadius: function getRadius() {
      return this._mRadius;
    },
    // TODO Earth hardcoded, move into projection code!
    _getLatRadius: function _getLatRadius() {
      return this._mRadius / 40075017 * 360;
    },
    _getLngRadius: function _getLngRadius() {
      return this._getLatRadius() / Math.cos(L.LatLng.DEG_TO_RAD * this._latlng.lat);
    },
    _checkIfEmpty: function _checkIfEmpty() {
      if (!this._map) {
        return false;
      }

      var vp = this._map._pathViewport,
          r = this._radius,
          p = this._point;
      return p.x - r > vp.max.x || p.y - r > vp.max.y || p.x + r < vp.min.x || p.y + r < vp.min.y;
    }
  });

  L.circle = function (latlng, radius, options) {
    return new L.Circle(latlng, radius, options);
  };
  /*
  * L.CircleMarker is a circle overlay with a permanent pixel radius.
  */


  L.CircleMarker = L.Circle.extend({
    options: {
      radius: 10,
      weight: 2
    },
    initialize: function initialize(latlng, options) {
      L.Circle.prototype.initialize.call(this, latlng, null, options);
      this._radius = this.options.radius;
    },
    projectLatlngs: function projectLatlngs() {
      this._point = this._map.latLngToLayerPoint(this._latlng);
    },
    _updateStyle: function _updateStyle() {
      L.Circle.prototype._updateStyle.call(this);

      this.setRadius(this.options.radius);
    },
    setLatLng: function setLatLng(latlng) {
      L.Circle.prototype.setLatLng.call(this, latlng);

      if (this._popup && this._popup._isOpen) {
        this._popup.setLatLng(latlng);
      }

      return this;
    },
    setRadius: function setRadius(radius) {
      this.options.radius = this._radius = radius;
      return this.redraw();
    },
    getRadius: function getRadius() {
      return this._radius;
    }
  });

  L.circleMarker = function (latlng, options) {
    return new L.CircleMarker(latlng, options);
  };
  /*
  * Extends L.Polyline to be able to manually detect clicks on Canvas-rendered polylines.
  */


  L.Polyline.include(!L.Path.CANVAS ? {} : {
    _containsPoint: function _containsPoint(p, closed) {
      var i,
          j,
          k,
          len,
          len2,
          dist,
          part,
          w = this.options.weight / 2;

      if (L.Browser.touch) {
        w += 10; // polyline click tolerance on touch devices
      }

      for (i = 0, len = this._parts.length; i < len; i++) {
        part = this._parts[i];

        for (j = 0, len2 = part.length, k = len2 - 1; j < len2; k = j++) {
          if (!closed && j === 0) {
            continue;
          }

          dist = L.LineUtil.pointToSegmentDistance(p, part[k], part[j]);

          if (dist <= w) {
            return true;
          }
        }
      }

      return false;
    }
  });
  /*
  * Extends L.Polygon to be able to manually detect clicks on Canvas-rendered polygons.
  */

  L.Polygon.include(!L.Path.CANVAS ? {} : {
    _containsPoint: function _containsPoint(p) {
      var inside = false,
          part,
          p1,
          p2,
          i,
          j,
          k,
          len,
          len2; // TODO optimization: check if within bounds first

      if (L.Polyline.prototype._containsPoint.call(this, p, true)) {
        // click on polygon border
        return true;
      } // ray casting algorithm for detecting if point is in polygon


      for (i = 0, len = this._parts.length; i < len; i++) {
        part = this._parts[i];

        for (j = 0, len2 = part.length, k = len2 - 1; j < len2; k = j++) {
          p1 = part[j];
          p2 = part[k];

          if (p1.y > p.y !== p2.y > p.y && p.x < (p2.x - p1.x) * (p.y - p1.y) / (p2.y - p1.y) + p1.x) {
            inside = !inside;
          }
        }
      }

      return inside;
    }
  });
  /*
  * Extends L.Circle with Canvas-specific code.
  */

  L.Circle.include(!L.Path.CANVAS ? {} : {
    _drawPath: function _drawPath() {
      var p = this._point;

      this._ctx.beginPath();

      this._ctx.arc(p.x, p.y, this._radius, 0, Math.PI * 2, false);
    },
    _containsPoint: function _containsPoint(p) {
      var center = this._point,
          w2 = this.options.stroke ? this.options.weight / 2 : 0;
      return p.distanceTo(center) <= this._radius + w2;
    }
  });
  /*
  * CircleMarker canvas specific drawing parts.
  */

  L.CircleMarker.include(!L.Path.CANVAS ? {} : {
    _updateStyle: function _updateStyle() {
      L.Path.prototype._updateStyle.call(this);
    }
  });
  /*
  * L.GeoJSON turns any GeoJSON data into a Leaflet layer.
  */

  L.GeoJSON = L.FeatureGroup.extend({
    initialize: function initialize(geojson, options) {
      L.setOptions(this, options);
      this._layers = {};

      if (geojson) {
        this.addData(geojson);
      }
    },
    addData: function addData(geojson) {
      var features = L.Util.isArray(geojson) ? geojson : geojson.features,
          i,
          len,
          feature;

      if (features) {
        for (i = 0, len = features.length; i < len; i++) {
          // Only add this if geometry or geometries are set and not null
          feature = features[i];

          if (feature.geometries || feature.geometry || feature.features || feature.coordinates) {
            this.addData(features[i]);
          }
        }

        return this;
      }

      var options = this.options;

      if (options.filter && !options.filter(geojson)) {
        return;
      }

      var layer = L.GeoJSON.geometryToLayer(geojson, options.pointToLayer, options.coordsToLatLng, options);
      layer.feature = L.GeoJSON.asFeature(geojson);
      layer.defaultOptions = layer.options;
      this.resetStyle(layer);

      if (options.onEachFeature) {
        options.onEachFeature(geojson, layer);
      }

      return this.addLayer(layer);
    },
    resetStyle: function resetStyle(layer) {
      var style = this.options.style;

      if (style) {
        // reset any custom styles
        L.Util.extend(layer.options, layer.defaultOptions);

        this._setLayerStyle(layer, style);
      }
    },
    setStyle: function setStyle(style) {
      this.eachLayer(function (layer) {
        this._setLayerStyle(layer, style);
      }, this);
    },
    _setLayerStyle: function _setLayerStyle(layer, style) {
      if (typeof style === 'function') {
        style = style(layer.feature);
      }

      if (layer.setStyle) {
        layer.setStyle(style);
      }
    }
  });
  L.extend(L.GeoJSON, {
    geometryToLayer: function geometryToLayer(geojson, pointToLayer, coordsToLatLng, vectorOptions) {
      var geometry = geojson.type === 'Feature' ? geojson.geometry : geojson,
          coords = geometry.coordinates,
          layers = [],
          latlng,
          latlngs,
          i,
          len;
      coordsToLatLng = coordsToLatLng || this.coordsToLatLng;

      switch (geometry.type) {
        case 'Point':
          latlng = coordsToLatLng(coords);
          return pointToLayer ? pointToLayer(geojson, latlng) : new L.Marker(latlng);

        case 'MultiPoint':
          for (i = 0, len = coords.length; i < len; i++) {
            latlng = coordsToLatLng(coords[i]);
            layers.push(pointToLayer ? pointToLayer(geojson, latlng) : new L.Marker(latlng));
          }

          return new L.FeatureGroup(layers);

        case 'LineString':
          latlngs = this.coordsToLatLngs(coords, 0, coordsToLatLng);
          return new L.Polyline(latlngs, vectorOptions);

        case 'Polygon':
          if (coords.length === 2 && !coords[1].length) {
            throw new Error('Invalid GeoJSON object.');
          }

          latlngs = this.coordsToLatLngs(coords, 1, coordsToLatLng);
          return new L.Polygon(latlngs, vectorOptions);

        case 'MultiLineString':
          latlngs = this.coordsToLatLngs(coords, 1, coordsToLatLng);
          return new L.MultiPolyline(latlngs, vectorOptions);

        case 'MultiPolygon':
          latlngs = this.coordsToLatLngs(coords, 2, coordsToLatLng);
          return new L.MultiPolygon(latlngs, vectorOptions);

        case 'GeometryCollection':
          for (i = 0, len = geometry.geometries.length; i < len; i++) {
            layers.push(this.geometryToLayer({
              geometry: geometry.geometries[i],
              type: 'Feature',
              properties: geojson.properties
            }, pointToLayer, coordsToLatLng, vectorOptions));
          }

          return new L.FeatureGroup(layers);

        default:
          throw new Error('Invalid GeoJSON object.');
      }
    },
    coordsToLatLng: function coordsToLatLng(coords) {
      // (Array[, Boolean]) -> LatLng
      return new L.LatLng(coords[1], coords[0], coords[2]);
    },
    coordsToLatLngs: function coordsToLatLngs(coords, levelsDeep, coordsToLatLng) {
      // (Array[, Number, Function]) -> Array
      var latlng,
          i,
          len,
          latlngs = [];

      for (i = 0, len = coords.length; i < len; i++) {
        latlng = levelsDeep ? this.coordsToLatLngs(coords[i], levelsDeep - 1, coordsToLatLng) : (coordsToLatLng || this.coordsToLatLng)(coords[i]);
        latlngs.push(latlng);
      }

      return latlngs;
    },
    latLngToCoords: function latLngToCoords(latlng) {
      var coords = [latlng.lng, latlng.lat];

      if (latlng.alt !== undefined) {
        coords.push(latlng.alt);
      }

      return coords;
    },
    latLngsToCoords: function latLngsToCoords(latLngs) {
      var coords = [];

      for (var i = 0, len = latLngs.length; i < len; i++) {
        coords.push(L.GeoJSON.latLngToCoords(latLngs[i]));
      }

      return coords;
    },
    getFeature: function getFeature(layer, newGeometry) {
      return layer.feature ? L.extend({}, layer.feature, {
        geometry: newGeometry
      }) : L.GeoJSON.asFeature(newGeometry);
    },
    asFeature: function asFeature(geoJSON) {
      if (geoJSON.type === 'Feature') {
        return geoJSON;
      }

      return {
        type: 'Feature',
        properties: {},
        geometry: geoJSON
      };
    }
  });
  var PointToGeoJSON = {
    toGeoJSON: function toGeoJSON() {
      return L.GeoJSON.getFeature(this, {
        type: 'Point',
        coordinates: L.GeoJSON.latLngToCoords(this.getLatLng())
      });
    }
  };
  L.Marker.include(PointToGeoJSON);
  L.Circle.include(PointToGeoJSON);
  L.CircleMarker.include(PointToGeoJSON);
  L.Polyline.include({
    toGeoJSON: function toGeoJSON() {
      return L.GeoJSON.getFeature(this, {
        type: 'LineString',
        coordinates: L.GeoJSON.latLngsToCoords(this.getLatLngs())
      });
    }
  });
  L.Polygon.include({
    toGeoJSON: function toGeoJSON() {
      var coords = [L.GeoJSON.latLngsToCoords(this.getLatLngs())],
          i,
          len,
          hole;
      coords[0].push(coords[0][0]);

      if (this._holes) {
        for (i = 0, len = this._holes.length; i < len; i++) {
          hole = L.GeoJSON.latLngsToCoords(this._holes[i]);
          hole.push(hole[0]);
          coords.push(hole);
        }
      }

      return L.GeoJSON.getFeature(this, {
        type: 'Polygon',
        coordinates: coords
      });
    }
  });

  (function () {
    function multiToGeoJSON(type) {
      return function () {
        var coords = [];
        this.eachLayer(function (layer) {
          coords.push(layer.toGeoJSON().geometry.coordinates);
        });
        return L.GeoJSON.getFeature(this, {
          type: type,
          coordinates: coords
        });
      };
    }

    L.MultiPolyline.include({
      toGeoJSON: multiToGeoJSON('MultiLineString')
    });
    L.MultiPolygon.include({
      toGeoJSON: multiToGeoJSON('MultiPolygon')
    });
    L.LayerGroup.include({
      toGeoJSON: function toGeoJSON() {
        var geometry = this.feature && this.feature.geometry,
            jsons = [],
            json;

        if (geometry && geometry.type === 'MultiPoint') {
          return multiToGeoJSON('MultiPoint').call(this);
        }

        var isGeometryCollection = geometry && geometry.type === 'GeometryCollection';
        this.eachLayer(function (layer) {
          if (layer.toGeoJSON) {
            json = layer.toGeoJSON();
            jsons.push(isGeometryCollection ? json.geometry : L.GeoJSON.asFeature(json));
          }
        });

        if (isGeometryCollection) {
          return L.GeoJSON.getFeature(this, {
            geometries: jsons,
            type: 'GeometryCollection'
          });
        }

        return {
          type: 'FeatureCollection',
          features: jsons
        };
      }
    });
  })();

  L.geoJson = function (geojson, options) {
    return new L.GeoJSON(geojson, options);
  };
  /*
  * L.DomEvent contains functions for working with DOM events.
  */


  L.DomEvent = {
    /* inspired by John Resig, Dean Edwards and YUI addEvent implementations */
    addListener: function addListener(obj, type, fn, context) {
      // (HTMLElement, String, Function[, Object])
      var id = L.stamp(fn),
          key = '_leaflet_' + type + id,
          handler,
          originalHandler,
          newType;

      if (obj[key]) {
        return this;
      }

      handler = function handler(e) {
        return fn.call(context || obj, e || L.DomEvent._getEvent());
      };

      if (L.Browser.pointer && type.indexOf('touch') === 0) {
        return this.addPointerListener(obj, type, handler, id);
      }

      if (L.Browser.touch && type === 'dblclick' && this.addDoubleTapListener) {
        this.addDoubleTapListener(obj, handler, id);
      }

      if ('addEventListener' in obj) {
        if (type === 'mousewheel') {
          obj.addEventListener('DOMMouseScroll', handler, false);
          obj.addEventListener(type, handler, false);
        } else if (type === 'mouseenter' || type === 'mouseleave') {
          originalHandler = handler;
          newType = type === 'mouseenter' ? 'mouseover' : 'mouseout';

          handler = function handler(e) {
            if (!L.DomEvent._checkMouse(obj, e)) {
              return;
            }

            return originalHandler(e);
          };

          obj.addEventListener(newType, handler, false);
        } else if (type === 'click' && L.Browser.android) {
          originalHandler = handler;

          handler = function handler(e) {
            return L.DomEvent._filterClick(e, originalHandler);
          };

          obj.addEventListener(type, handler, false);
        } else {
          obj.addEventListener(type, handler, false);
        }
      } else if ('attachEvent' in obj) {
        obj.attachEvent('on' + type, handler);
      }

      obj[key] = handler;
      return this;
    },
    removeListener: function removeListener(obj, type, fn) {
      // (HTMLElement, String, Function)
      var id = L.stamp(fn),
          key = '_leaflet_' + type + id,
          handler = obj[key];

      if (!handler) {
        return this;
      }

      if (L.Browser.pointer && type.indexOf('touch') === 0) {
        this.removePointerListener(obj, type, id);
      } else if (L.Browser.touch && type === 'dblclick' && this.removeDoubleTapListener) {
        this.removeDoubleTapListener(obj, id);
      } else if ('removeEventListener' in obj) {
        if (type === 'mousewheel') {
          obj.removeEventListener('DOMMouseScroll', handler, false);
          obj.removeEventListener(type, handler, false);
        } else if (type === 'mouseenter' || type === 'mouseleave') {
          obj.removeEventListener(type === 'mouseenter' ? 'mouseover' : 'mouseout', handler, false);
        } else {
          obj.removeEventListener(type, handler, false);
        }
      } else if ('detachEvent' in obj) {
        obj.detachEvent('on' + type, handler);
      }

      obj[key] = null;
      return this;
    },
    stopPropagation: function stopPropagation(e) {
      if (e.stopPropagation) {
        e.stopPropagation();
      } else {
        e.cancelBubble = true;
      }

      L.DomEvent._skipped(e);

      return this;
    },
    disableScrollPropagation: function disableScrollPropagation(el) {
      var stop = L.DomEvent.stopPropagation;
      return L.DomEvent.on(el, 'mousewheel', stop).on(el, 'MozMousePixelScroll', stop);
    },
    disableClickPropagation: function disableClickPropagation(el) {
      var stop = L.DomEvent.stopPropagation;

      for (var i = L.Draggable.START.length - 1; i >= 0; i--) {
        L.DomEvent.on(el, L.Draggable.START[i], stop);
      }

      return L.DomEvent.on(el, 'click', L.DomEvent._fakeStop).on(el, 'dblclick', stop);
    },
    preventDefault: function preventDefault(e) {
      if (e.preventDefault) {
        e.preventDefault();
      } else {
        e.returnValue = false;
      }

      return this;
    },
    stop: function stop(e) {
      return L.DomEvent.preventDefault(e).stopPropagation(e);
    },
    getMousePosition: function getMousePosition(e, container) {
      if (!container) {
        return new L.Point(e.clientX, e.clientY);
      }

      var rect = container.getBoundingClientRect();
      return new L.Point(e.clientX - rect.left - container.clientLeft, e.clientY - rect.top - container.clientTop);
    },
    getWheelDelta: function getWheelDelta(e) {
      var delta = 0;

      if (e.wheelDelta) {
        delta = e.wheelDelta / 120;
      }

      if (e.detail) {
        delta = -e.detail / 3;
      }

      return delta;
    },
    _skipEvents: {},
    _fakeStop: function _fakeStop(e) {
      // fakes stopPropagation by setting a special event flag, checked/reset with L.DomEvent._skipped(e)
      L.DomEvent._skipEvents[e.type] = true;
    },
    _skipped: function _skipped(e) {
      var skipped = this._skipEvents[e.type]; // reset when checking, as it's only used in map container and propagates outside of the map

      this._skipEvents[e.type] = false;
      return skipped;
    },
    // check if element really left/entered the event target (for mouseenter/mouseleave)
    _checkMouse: function _checkMouse(el, e) {
      var related = e.relatedTarget;

      if (!related) {
        return true;
      }

      try {
        while (related && related !== el) {
          related = related.parentNode;
        }
      } catch (err) {
        return false;
      }

      return related !== el;
    },
    _getEvent: function _getEvent() {
      // evil magic for IE

      /*jshint noarg:false */
      var e = window.event;

      if (!e) {
        var caller = arguments.callee.caller;

        while (caller) {
          e = caller['arguments'][0];

          if (e && window.Event === e.constructor) {
            break;
          }

          caller = caller.caller;
        }
      }

      return e;
    },
    // this is a horrible workaround for a bug in Android where a single touch triggers two click events
    _filterClick: function _filterClick(e, handler) {
      var timeStamp = e.timeStamp || e.originalEvent.timeStamp,
          elapsed = L.DomEvent._lastClick && timeStamp - L.DomEvent._lastClick; // are they closer together than 500ms yet more than 100ms?
      // Android typically triggers them ~300ms apart while multiple listeners
      // on the same event should be triggered far faster;
      // or check if click is simulated on the element, and if it is, reject any non-simulated events

      if (elapsed && elapsed > 100 && elapsed < 500 || e.target._simulatedClick && !e._simulated) {
        L.DomEvent.stop(e);
        return;
      }

      L.DomEvent._lastClick = timeStamp;
      return handler(e);
    }
  };
  L.DomEvent.on = L.DomEvent.addListener;
  L.DomEvent.off = L.DomEvent.removeListener;
  /*
  * L.Draggable allows you to add dragging capabilities to any element. Supports mobile devices too.
  */

  L.Draggable = L.Class.extend({
    includes: L.Mixin.Events,
    statics: {
      START: L.Browser.touch ? ['touchstart', 'mousedown'] : ['mousedown'],
      END: {
        mousedown: 'mouseup',
        touchstart: 'touchend',
        pointerdown: 'touchend',
        MSPointerDown: 'touchend'
      },
      MOVE: {
        mousedown: 'mousemove',
        touchstart: 'touchmove',
        pointerdown: 'touchmove',
        MSPointerDown: 'touchmove'
      }
    },
    initialize: function initialize(element, dragStartTarget) {
      this._element = element;
      this._dragStartTarget = dragStartTarget || element;
    },
    enable: function enable() {
      if (this._enabled) {
        return;
      }

      for (var i = L.Draggable.START.length - 1; i >= 0; i--) {
        L.DomEvent.on(this._dragStartTarget, L.Draggable.START[i], this._onDown, this);
      }

      this._enabled = true;
    },
    disable: function disable() {
      if (!this._enabled) {
        return;
      }

      for (var i = L.Draggable.START.length - 1; i >= 0; i--) {
        L.DomEvent.off(this._dragStartTarget, L.Draggable.START[i], this._onDown, this);
      }

      this._enabled = false;
      this._moved = false;
    },
    _onDown: function _onDown(e) {
      this._moved = false;

      if (e.shiftKey || e.which !== 1 && e.button !== 1 && !e.touches) {
        return;
      }

      L.DomEvent.stopPropagation(e);

      if (L.Draggable._disabled) {
        return;
      }

      L.DomUtil.disableImageDrag();
      L.DomUtil.disableTextSelection();

      if (this._moving) {
        return;
      }

      var first = e.touches ? e.touches[0] : e;
      this._startPoint = new L.Point(first.clientX, first.clientY);
      this._startPos = this._newPos = L.DomUtil.getPosition(this._element);
      L.DomEvent.on(document, L.Draggable.MOVE[e.type], this._onMove, this).on(document, L.Draggable.END[e.type], this._onUp, this);
    },
    _onMove: function _onMove(e) {
      if (e.touches && e.touches.length > 1) {
        this._moved = true;
        return;
      }

      var first = e.touches && e.touches.length === 1 ? e.touches[0] : e,
          newPoint = new L.Point(first.clientX, first.clientY),
          offset = newPoint.subtract(this._startPoint);

      if (!offset.x && !offset.y) {
        return;
      }

      if (L.Browser.touch && Math.abs(offset.x) + Math.abs(offset.y) < 3) {
        return;
      }

      L.DomEvent.preventDefault(e);

      if (!this._moved) {
        this.fire('dragstart');
        this._moved = true;
        this._startPos = L.DomUtil.getPosition(this._element).subtract(offset);
        L.DomUtil.addClass(document.body, 'leaflet-dragging');
        this._lastTarget = e.target || e.srcElement;
        L.DomUtil.addClass(this._lastTarget, 'leaflet-drag-target');
      }

      this._newPos = this._startPos.add(offset);
      this._moving = true;
      L.Util.cancelAnimFrame(this._animRequest);
      this._animRequest = L.Util.requestAnimFrame(this._updatePosition, this, true, this._dragStartTarget);
    },
    _updatePosition: function _updatePosition() {
      this.fire('predrag');
      L.DomUtil.setPosition(this._element, this._newPos);
      this.fire('drag');
    },
    _onUp: function _onUp() {
      L.DomUtil.removeClass(document.body, 'leaflet-dragging');

      if (this._lastTarget) {
        L.DomUtil.removeClass(this._lastTarget, 'leaflet-drag-target');
        this._lastTarget = null;
      }

      for (var i in L.Draggable.MOVE) {
        L.DomEvent.off(document, L.Draggable.MOVE[i], this._onMove).off(document, L.Draggable.END[i], this._onUp);
      }

      L.DomUtil.enableImageDrag();
      L.DomUtil.enableTextSelection();

      if (this._moved && this._moving) {
        // ensure drag is not fired after dragend
        L.Util.cancelAnimFrame(this._animRequest);
        this.fire('dragend', {
          distance: this._newPos.distanceTo(this._startPos)
        });
      }

      this._moving = false;
    }
  });
  /*
  L.Handler is a base class for handler classes that are used internally to inject
  interaction features like dragging to classes like Map and Marker.
  */

  L.Handler = L.Class.extend({
    initialize: function initialize(map) {
      this._map = map;
    },
    enable: function enable() {
      if (this._enabled) {
        return;
      }

      this._enabled = true;
      this.addHooks();
    },
    disable: function disable() {
      if (!this._enabled) {
        return;
      }

      this._enabled = false;
      this.removeHooks();
    },
    enabled: function enabled() {
      return !!this._enabled;
    }
  });
  /*
  * L.Handler.MapDrag is used to make the map draggable (with panning inertia), enabled by default.
  */

  L.Map.mergeOptions({
    dragging: true,
    inertia: !L.Browser.android23,
    inertiaDeceleration: 3400,
    // px/s^2
    inertiaMaxSpeed: Infinity,
    // px/s
    inertiaThreshold: L.Browser.touch ? 32 : 18,
    // ms
    easeLinearity: 0.25,
    // TODO refactor, move to CRS
    worldCopyJump: false
  });
  L.Map.Drag = L.Handler.extend({
    addHooks: function addHooks() {
      if (!this._draggable) {
        var map = this._map;
        this._draggable = new L.Draggable(map._mapPane, map._container);

        this._draggable.on({
          'dragstart': this._onDragStart,
          'drag': this._onDrag,
          'dragend': this._onDragEnd
        }, this);

        if (map.options.worldCopyJump) {
          this._draggable.on('predrag', this._onPreDrag, this);

          map.on('viewreset', this._onViewReset, this);
          map.whenReady(this._onViewReset, this);
        }
      }

      this._draggable.enable();
    },
    removeHooks: function removeHooks() {
      this._draggable.disable();
    },
    moved: function moved() {
      return this._draggable && this._draggable._moved;
    },
    _onDragStart: function _onDragStart() {
      var map = this._map;

      if (map._panAnim) {
        map._panAnim.stop();
      }

      map.fire('movestart').fire('dragstart');

      if (map.options.inertia) {
        this._positions = [];
        this._times = [];
      }
    },
    _onDrag: function _onDrag() {
      if (this._map.options.inertia) {
        var time = this._lastTime = +new Date(),
            pos = this._lastPos = this._draggable._newPos;

        this._positions.push(pos);

        this._times.push(time);

        if (time - this._times[0] > 200) {
          this._positions.shift();

          this._times.shift();
        }
      }

      this._map.fire('move').fire('drag');
    },
    _onViewReset: function _onViewReset() {
      // TODO fix hardcoded Earth values
      var pxCenter = this._map.getSize()._divideBy(2),
          pxWorldCenter = this._map.latLngToLayerPoint([0, 0]);

      this._initialWorldOffset = pxWorldCenter.subtract(pxCenter).x;
      this._worldWidth = this._map.project([0, 180]).x;
    },
    _onPreDrag: function _onPreDrag() {
      // TODO refactor to be able to adjust map pane position after zoom
      var worldWidth = this._worldWidth,
          halfWidth = Math.round(worldWidth / 2),
          dx = this._initialWorldOffset,
          x = this._draggable._newPos.x,
          newX1 = (x - halfWidth + dx) % worldWidth + halfWidth - dx,
          newX2 = (x + halfWidth + dx) % worldWidth - halfWidth - dx,
          newX = Math.abs(newX1 + dx) < Math.abs(newX2 + dx) ? newX1 : newX2;
      this._draggable._newPos.x = newX;
    },
    _onDragEnd: function _onDragEnd(e) {
      var map = this._map,
          options = map.options,
          delay = +new Date() - this._lastTime,
          noInertia = !options.inertia || delay > options.inertiaThreshold || !this._positions[0];
      map.fire('dragend', e);

      if (noInertia) {
        map.fire('moveend');
      } else {
        var direction = this._lastPos.subtract(this._positions[0]),
            duration = (this._lastTime + delay - this._times[0]) / 1000,
            ease = options.easeLinearity,
            speedVector = direction.multiplyBy(ease / duration),
            speed = speedVector.distanceTo([0, 0]),
            limitedSpeed = Math.min(options.inertiaMaxSpeed, speed),
            limitedSpeedVector = speedVector.multiplyBy(limitedSpeed / speed),
            decelerationDuration = limitedSpeed / (options.inertiaDeceleration * ease),
            offset = limitedSpeedVector.multiplyBy(-decelerationDuration / 2).round();

        if (!offset.x || !offset.y) {
          map.fire('moveend');
        } else {
          offset = map._limitOffset(offset, map.options.maxBounds);
          L.Util.requestAnimFrame(function () {
            map.panBy(offset, {
              duration: decelerationDuration,
              easeLinearity: ease,
              noMoveStart: true
            });
          });
        }
      }
    }
  });
  L.Map.addInitHook('addHandler', 'dragging', L.Map.Drag);
  /*
  * L.Handler.DoubleClickZoom is used to handle double-click zoom on the map, enabled by default.
  */

  L.Map.mergeOptions({
    doubleClickZoom: true
  });
  L.Map.DoubleClickZoom = L.Handler.extend({
    addHooks: function addHooks() {
      this._map.on('dblclick', this._onDoubleClick, this);
    },
    removeHooks: function removeHooks() {
      this._map.off('dblclick', this._onDoubleClick, this);
    },
    _onDoubleClick: function _onDoubleClick(e) {
      var map = this._map,
          zoom = map.getZoom() + (e.originalEvent.shiftKey ? -1 : 1);

      if (map.options.doubleClickZoom === 'center') {
        map.setZoom(zoom);
      } else {
        map.setZoomAround(e.containerPoint, zoom);
      }
    }
  });
  L.Map.addInitHook('addHandler', 'doubleClickZoom', L.Map.DoubleClickZoom);
  /*
  * L.Handler.ScrollWheelZoom is used by L.Map to enable mouse scroll wheel zoom on the map.
  */

  L.Map.mergeOptions({
    scrollWheelZoom: true
  });
  L.Map.ScrollWheelZoom = L.Handler.extend({
    addHooks: function addHooks() {
      L.DomEvent.on(this._map._container, 'mousewheel', this._onWheelScroll, this);
      L.DomEvent.on(this._map._container, 'MozMousePixelScroll', L.DomEvent.preventDefault);
      this._delta = 0;
    },
    removeHooks: function removeHooks() {
      L.DomEvent.off(this._map._container, 'mousewheel', this._onWheelScroll);
      L.DomEvent.off(this._map._container, 'MozMousePixelScroll', L.DomEvent.preventDefault);
    },
    _onWheelScroll: function _onWheelScroll(e) {
      var delta = L.DomEvent.getWheelDelta(e);
      this._delta += delta;
      this._lastMousePos = this._map.mouseEventToContainerPoint(e);

      if (!this._startTime) {
        this._startTime = +new Date();
      }

      var left = Math.max(40 - (+new Date() - this._startTime), 0);
      clearTimeout(this._timer);
      this._timer = setTimeout(L.bind(this._performZoom, this), left);
      L.DomEvent.preventDefault(e);
      L.DomEvent.stopPropagation(e);
    },
    _performZoom: function _performZoom() {
      var map = this._map,
          delta = this._delta,
          zoom = map.getZoom();
      delta = delta > 0 ? Math.ceil(delta) : Math.floor(delta);
      delta = Math.max(Math.min(delta, 4), -4);
      delta = map._limitZoom(zoom + delta) - zoom;
      this._delta = 0;
      this._startTime = null;

      if (!delta) {
        return;
      }

      if (map.options.scrollWheelZoom === 'center') {
        map.setZoom(zoom + delta);
      } else {
        map.setZoomAround(this._lastMousePos, zoom + delta);
      }
    }
  });
  L.Map.addInitHook('addHandler', 'scrollWheelZoom', L.Map.ScrollWheelZoom);
  /*
  * Extends the event handling code with double tap support for mobile browsers.
  */

  L.extend(L.DomEvent, {
    _touchstart: L.Browser.msPointer ? 'MSPointerDown' : L.Browser.pointer ? 'pointerdown' : 'touchstart',
    _touchend: L.Browser.msPointer ? 'MSPointerUp' : L.Browser.pointer ? 'pointerup' : 'touchend',
    // inspired by Zepto touch code by Thomas Fuchs
    addDoubleTapListener: function addDoubleTapListener(obj, handler, id) {
      var last,
          doubleTap = false,
          delay = 250,
          touch,
          pre = '_leaflet_',
          touchstart = this._touchstart,
          touchend = this._touchend,
          trackedTouches = [];

      function onTouchStart(e) {
        var count;

        if (L.Browser.pointer) {
          trackedTouches.push(e.pointerId);
          count = trackedTouches.length;
        } else {
          count = e.touches.length;
        }

        if (count > 1) {
          return;
        }

        var now = Date.now(),
            delta = now - (last || now);
        touch = e.touches ? e.touches[0] : e;
        doubleTap = delta > 0 && delta <= delay;
        last = now;
      }

      function onTouchEnd(e) {
        if (L.Browser.pointer) {
          var idx = trackedTouches.indexOf(e.pointerId);

          if (idx === -1) {
            return;
          }

          trackedTouches.splice(idx, 1);
        }

        if (doubleTap) {
          if (L.Browser.pointer) {
            // work around .type being readonly with MSPointer* events
            var newTouch = {},
                prop; // jshint forin:false

            for (var i in touch) {
              prop = touch[i];

              if (typeof prop === 'function') {
                newTouch[i] = prop.bind(touch);
              } else {
                newTouch[i] = prop;
              }
            }

            touch = newTouch;
          }

          touch.type = 'dblclick';
          handler(touch);
          last = null;
        }
      }

      obj[pre + touchstart + id] = onTouchStart;
      obj[pre + touchend + id] = onTouchEnd; // on pointer we need to listen on the document, otherwise a drag starting on the map and moving off screen
      // will not come through to us, so we will lose track of how many touches are ongoing

      var endElement = L.Browser.pointer ? document.documentElement : obj;
      obj.addEventListener(touchstart, onTouchStart, false);
      endElement.addEventListener(touchend, onTouchEnd, false);

      if (L.Browser.pointer) {
        endElement.addEventListener(L.DomEvent.POINTER_CANCEL, onTouchEnd, false);
      }

      return this;
    },
    removeDoubleTapListener: function removeDoubleTapListener(obj, id) {
      var pre = '_leaflet_';
      obj.removeEventListener(this._touchstart, obj[pre + this._touchstart + id], false);
      (L.Browser.pointer ? document.documentElement : obj).removeEventListener(this._touchend, obj[pre + this._touchend + id], false);

      if (L.Browser.pointer) {
        document.documentElement.removeEventListener(L.DomEvent.POINTER_CANCEL, obj[pre + this._touchend + id], false);
      }

      return this;
    }
  });
  /*
  * Extends L.DomEvent to provide touch support for Internet Explorer and Windows-based devices.
  */

  L.extend(L.DomEvent, {
    //static
    POINTER_DOWN: L.Browser.msPointer ? 'MSPointerDown' : 'pointerdown',
    POINTER_MOVE: L.Browser.msPointer ? 'MSPointerMove' : 'pointermove',
    POINTER_UP: L.Browser.msPointer ? 'MSPointerUp' : 'pointerup',
    POINTER_CANCEL: L.Browser.msPointer ? 'MSPointerCancel' : 'pointercancel',
    _pointers: [],
    _pointerDocumentListener: false,
    // Provides a touch events wrapper for (ms)pointer events.
    // Based on changes by veproza https://github.com/CloudMade/Leaflet/pull/1019
    //ref http://www.w3.org/TR/pointerevents/ https://www.w3.org/Bugs/Public/show_bug.cgi?id=22890
    addPointerListener: function addPointerListener(obj, type, handler, id) {
      switch (type) {
        case 'touchstart':
          return this.addPointerListenerStart(obj, type, handler, id);

        case 'touchend':
          return this.addPointerListenerEnd(obj, type, handler, id);

        case 'touchmove':
          return this.addPointerListenerMove(obj, type, handler, id);

        default:
          throw 'Unknown touch event type';
      }
    },
    addPointerListenerStart: function addPointerListenerStart(obj, type, handler, id) {
      var pre = '_leaflet_',
          pointers = this._pointers;

      var cb = function cb(e) {
        if (e.pointerType !== 'mouse' && e.pointerType !== e.MSPOINTER_TYPE_MOUSE) {
          L.DomEvent.preventDefault(e);
        }

        var alreadyInArray = false;

        for (var i = 0; i < pointers.length; i++) {
          if (pointers[i].pointerId === e.pointerId) {
            alreadyInArray = true;
            break;
          }
        }

        if (!alreadyInArray) {
          pointers.push(e);
        }

        e.touches = pointers.slice();
        e.changedTouches = [e];
        handler(e);
      };

      obj[pre + 'touchstart' + id] = cb;
      obj.addEventListener(this.POINTER_DOWN, cb, false); // need to also listen for end events to keep the _pointers list accurate
      // this needs to be on the body and never go away

      if (!this._pointerDocumentListener) {
        var internalCb = function internalCb(e) {
          for (var i = 0; i < pointers.length; i++) {
            if (pointers[i].pointerId === e.pointerId) {
              pointers.splice(i, 1);
              break;
            }
          }
        }; //We listen on the documentElement as any drags that end by moving the touch off the screen get fired there


        document.documentElement.addEventListener(this.POINTER_UP, internalCb, false);
        document.documentElement.addEventListener(this.POINTER_CANCEL, internalCb, false);
        this._pointerDocumentListener = true;
      }

      return this;
    },
    addPointerListenerMove: function addPointerListenerMove(obj, type, handler, id) {
      var pre = '_leaflet_',
          touches = this._pointers;

      function cb(e) {
        // don't fire touch moves when mouse isn't down
        if ((e.pointerType === e.MSPOINTER_TYPE_MOUSE || e.pointerType === 'mouse') && e.buttons === 0) {
          return;
        }

        for (var i = 0; i < touches.length; i++) {
          if (touches[i].pointerId === e.pointerId) {
            touches[i] = e;
            break;
          }
        }

        e.touches = touches.slice();
        e.changedTouches = [e];
        handler(e);
      }

      obj[pre + 'touchmove' + id] = cb;
      obj.addEventListener(this.POINTER_MOVE, cb, false);
      return this;
    },
    addPointerListenerEnd: function addPointerListenerEnd(obj, type, handler, id) {
      var pre = '_leaflet_',
          touches = this._pointers;

      var cb = function cb(e) {
        for (var i = 0; i < touches.length; i++) {
          if (touches[i].pointerId === e.pointerId) {
            touches.splice(i, 1);
            break;
          }
        }

        e.touches = touches.slice();
        e.changedTouches = [e];
        handler(e);
      };

      obj[pre + 'touchend' + id] = cb;
      obj.addEventListener(this.POINTER_UP, cb, false);
      obj.addEventListener(this.POINTER_CANCEL, cb, false);
      return this;
    },
    removePointerListener: function removePointerListener(obj, type, id) {
      var pre = '_leaflet_',
          cb = obj[pre + type + id];

      switch (type) {
        case 'touchstart':
          obj.removeEventListener(this.POINTER_DOWN, cb, false);
          break;

        case 'touchmove':
          obj.removeEventListener(this.POINTER_MOVE, cb, false);
          break;

        case 'touchend':
          obj.removeEventListener(this.POINTER_UP, cb, false);
          obj.removeEventListener(this.POINTER_CANCEL, cb, false);
          break;
      }

      return this;
    }
  });
  /*
  * L.Handler.TouchZoom is used by L.Map to add pinch zoom on supported mobile browsers.
  */

  L.Map.mergeOptions({
    touchZoom: L.Browser.touch && !L.Browser.android23,
    bounceAtZoomLimits: true
  });
  L.Map.TouchZoom = L.Handler.extend({
    addHooks: function addHooks() {
      L.DomEvent.on(this._map._container, 'touchstart', this._onTouchStart, this);
    },
    removeHooks: function removeHooks() {
      L.DomEvent.off(this._map._container, 'touchstart', this._onTouchStart, this);
    },
    _onTouchStart: function _onTouchStart(e) {
      var map = this._map;

      if (!e.touches || e.touches.length !== 2 || map._animatingZoom || this._zooming) {
        return;
      }

      var p1 = map.mouseEventToLayerPoint(e.touches[0]),
          p2 = map.mouseEventToLayerPoint(e.touches[1]),
          viewCenter = map._getCenterLayerPoint();

      this._startCenter = p1.add(p2)._divideBy(2);
      this._startDist = p1.distanceTo(p2);
      this._moved = false;
      this._zooming = true;
      this._centerOffset = viewCenter.subtract(this._startCenter);

      if (map._panAnim) {
        map._panAnim.stop();
      }

      L.DomEvent.on(document, 'touchmove', this._onTouchMove, this).on(document, 'touchend', this._onTouchEnd, this);
      L.DomEvent.preventDefault(e);
    },
    _onTouchMove: function _onTouchMove(e) {
      var map = this._map;

      if (!e.touches || e.touches.length !== 2 || !this._zooming) {
        return;
      }

      var p1 = map.mouseEventToLayerPoint(e.touches[0]),
          p2 = map.mouseEventToLayerPoint(e.touches[1]);
      this._scale = p1.distanceTo(p2) / this._startDist;
      this._delta = p1._add(p2)._divideBy(2)._subtract(this._startCenter);

      if (this._scale === 1) {
        return;
      }

      if (!map.options.bounceAtZoomLimits) {
        if (map.getZoom() === map.getMinZoom() && this._scale < 1 || map.getZoom() === map.getMaxZoom() && this._scale > 1) {
          return;
        }
      }

      if (!this._moved) {
        L.DomUtil.addClass(map._mapPane, 'leaflet-touching');
        map.fire('movestart').fire('zoomstart');
        this._moved = true;
      }

      L.Util.cancelAnimFrame(this._animRequest);
      this._animRequest = L.Util.requestAnimFrame(this._updateOnMove, this, true, this._map._container);
      L.DomEvent.preventDefault(e);
    },
    _updateOnMove: function _updateOnMove() {
      var map = this._map,
          origin = this._getScaleOrigin(),
          center = map.layerPointToLatLng(origin),
          zoom = map.getScaleZoom(this._scale);

      map._animateZoom(center, zoom, this._startCenter, this._scale, this._delta, false, true);
    },
    _onTouchEnd: function _onTouchEnd() {
      if (!this._moved || !this._zooming) {
        this._zooming = false;
        return;
      }

      var map = this._map;
      this._zooming = false;
      L.DomUtil.removeClass(map._mapPane, 'leaflet-touching');
      L.Util.cancelAnimFrame(this._animRequest);
      L.DomEvent.off(document, 'touchmove', this._onTouchMove).off(document, 'touchend', this._onTouchEnd);

      var origin = this._getScaleOrigin(),
          center = map.layerPointToLatLng(origin),
          oldZoom = map.getZoom(),
          floatZoomDelta = map.getScaleZoom(this._scale) - oldZoom,
          roundZoomDelta = floatZoomDelta > 0 ? Math.ceil(floatZoomDelta) : Math.floor(floatZoomDelta),
          zoom = map._limitZoom(oldZoom + roundZoomDelta),
          scale = map.getZoomScale(zoom) / this._scale;

      map._animateZoom(center, zoom, origin, scale);
    },
    _getScaleOrigin: function _getScaleOrigin() {
      var centerOffset = this._centerOffset.subtract(this._delta).divideBy(this._scale);

      return this._startCenter.add(centerOffset);
    }
  });
  L.Map.addInitHook('addHandler', 'touchZoom', L.Map.TouchZoom);
  /*
  * L.Map.Tap is used to enable mobile hacks like quick taps and long hold.
  */

  L.Map.mergeOptions({
    tap: true,
    tapTolerance: 15
  });
  L.Map.Tap = L.Handler.extend({
    addHooks: function addHooks() {
      L.DomEvent.on(this._map._container, 'touchstart', this._onDown, this);
    },
    removeHooks: function removeHooks() {
      L.DomEvent.off(this._map._container, 'touchstart', this._onDown, this);
    },
    _onDown: function _onDown(e) {
      if (!e.touches) {
        return;
      }

      L.DomEvent.preventDefault(e);
      this._fireClick = true; // don't simulate click or track longpress if more than 1 touch

      if (e.touches.length > 1) {
        this._fireClick = false;
        clearTimeout(this._holdTimeout);
        return;
      }

      var first = e.touches[0],
          el = first.target;
      this._startPos = this._newPos = new L.Point(first.clientX, first.clientY); // if touching a link, highlight it

      if (el.tagName && el.tagName.toLowerCase() === 'a') {
        L.DomUtil.addClass(el, 'leaflet-active');
      } // simulate long hold but setting a timeout


      this._holdTimeout = setTimeout(L.bind(function () {
        if (this._isTapValid()) {
          this._fireClick = false;

          this._onUp();

          this._simulateEvent('contextmenu', first);
        }
      }, this), 1000);
      L.DomEvent.on(document, 'touchmove', this._onMove, this).on(document, 'touchend', this._onUp, this);
    },
    _onUp: function _onUp(e) {
      clearTimeout(this._holdTimeout);
      L.DomEvent.off(document, 'touchmove', this._onMove, this).off(document, 'touchend', this._onUp, this);

      if (this._fireClick && e && e.changedTouches) {
        var first = e.changedTouches[0],
            el = first.target;

        if (el && el.tagName && el.tagName.toLowerCase() === 'a') {
          L.DomUtil.removeClass(el, 'leaflet-active');
        } // simulate click if the touch didn't move too much


        if (this._isTapValid()) {
          this._simulateEvent('click', first);
        }
      }
    },
    _isTapValid: function _isTapValid() {
      return this._newPos.distanceTo(this._startPos) <= this._map.options.tapTolerance;
    },
    _onMove: function _onMove(e) {
      var first = e.touches[0];
      this._newPos = new L.Point(first.clientX, first.clientY);
    },
    _simulateEvent: function _simulateEvent(type, e) {
      var simulatedEvent = document.createEvent('MouseEvents');
      simulatedEvent._simulated = true;
      e.target._simulatedClick = true;
      simulatedEvent.initMouseEvent(type, true, true, window, 1, e.screenX, e.screenY, e.clientX, e.clientY, false, false, false, false, 0, null);
      e.target.dispatchEvent(simulatedEvent);
    }
  });

  if (L.Browser.touch && !L.Browser.pointer) {
    L.Map.addInitHook('addHandler', 'tap', L.Map.Tap);
  }
  /*
  * L.Handler.ShiftDragZoom is used to add shift-drag zoom interaction to the map
  * (zoom to a selected bounding box), enabled by default.
  */


  L.Map.mergeOptions({
    boxZoom: true
  });
  L.Map.BoxZoom = L.Handler.extend({
    initialize: function initialize(map) {
      this._map = map;
      this._container = map._container;
      this._pane = map._panes.overlayPane;
      this._moved = false;
    },
    addHooks: function addHooks() {
      L.DomEvent.on(this._container, 'mousedown', this._onMouseDown, this);
    },
    removeHooks: function removeHooks() {
      L.DomEvent.off(this._container, 'mousedown', this._onMouseDown);
      this._moved = false;
    },
    moved: function moved() {
      return this._moved;
    },
    _onMouseDown: function _onMouseDown(e) {
      this._moved = false;

      if (!e.shiftKey || e.which !== 1 && e.button !== 1) {
        return false;
      }

      L.DomUtil.disableTextSelection();
      L.DomUtil.disableImageDrag();
      this._startLayerPoint = this._map.mouseEventToLayerPoint(e);
      L.DomEvent.on(document, 'mousemove', this._onMouseMove, this).on(document, 'mouseup', this._onMouseUp, this).on(document, 'keydown', this._onKeyDown, this);
    },
    _onMouseMove: function _onMouseMove(e) {
      if (!this._moved) {
        this._box = L.DomUtil.create('div', 'leaflet-zoom-box', this._pane);
        L.DomUtil.setPosition(this._box, this._startLayerPoint); //TODO refactor: move cursor to styles

        this._container.style.cursor = 'crosshair';

        this._map.fire('boxzoomstart');
      }

      var startPoint = this._startLayerPoint,
          box = this._box,
          layerPoint = this._map.mouseEventToLayerPoint(e),
          offset = layerPoint.subtract(startPoint),
          newPos = new L.Point(Math.min(layerPoint.x, startPoint.x), Math.min(layerPoint.y, startPoint.y));

      L.DomUtil.setPosition(box, newPos);
      this._moved = true; // TODO refactor: remove hardcoded 4 pixels

      box.style.width = Math.max(0, Math.abs(offset.x) - 4) + 'px';
      box.style.height = Math.max(0, Math.abs(offset.y) - 4) + 'px';
    },
    _finish: function _finish() {
      if (this._moved) {
        this._pane.removeChild(this._box);

        this._container.style.cursor = '';
      }

      L.DomUtil.enableTextSelection();
      L.DomUtil.enableImageDrag();
      L.DomEvent.off(document, 'mousemove', this._onMouseMove).off(document, 'mouseup', this._onMouseUp).off(document, 'keydown', this._onKeyDown);
    },
    _onMouseUp: function _onMouseUp(e) {
      this._finish();

      var map = this._map,
          layerPoint = map.mouseEventToLayerPoint(e);

      if (this._startLayerPoint.equals(layerPoint)) {
        return;
      }

      var bounds = new L.LatLngBounds(map.layerPointToLatLng(this._startLayerPoint), map.layerPointToLatLng(layerPoint));
      map.fitBounds(bounds);
      map.fire('boxzoomend', {
        boxZoomBounds: bounds
      });
    },
    _onKeyDown: function _onKeyDown(e) {
      if (e.keyCode === 27) {
        this._finish();
      }
    }
  });
  L.Map.addInitHook('addHandler', 'boxZoom', L.Map.BoxZoom);
  /*
  * L.Map.Keyboard is handling keyboard interaction with the map, enabled by default.
  */

  L.Map.mergeOptions({
    keyboard: true,
    keyboardPanOffset: 80,
    keyboardZoomOffset: 1
  });
  L.Map.Keyboard = L.Handler.extend({
    keyCodes: {
      left: [37],
      right: [39],
      down: [40],
      up: [38],
      zoomIn: [187, 107, 61, 171],
      zoomOut: [189, 109, 173]
    },
    initialize: function initialize(map) {
      this._map = map;

      this._setPanOffset(map.options.keyboardPanOffset);

      this._setZoomOffset(map.options.keyboardZoomOffset);
    },
    addHooks: function addHooks() {
      var container = this._map._container; // make the container focusable by tabbing

      if (container.tabIndex === -1) {
        container.tabIndex = '0';
      }

      L.DomEvent.on(container, 'focus', this._onFocus, this).on(container, 'blur', this._onBlur, this).on(container, 'mousedown', this._onMouseDown, this);

      this._map.on('focus', this._addHooks, this).on('blur', this._removeHooks, this);
    },
    removeHooks: function removeHooks() {
      this._removeHooks();

      var container = this._map._container;
      L.DomEvent.off(container, 'focus', this._onFocus, this).off(container, 'blur', this._onBlur, this).off(container, 'mousedown', this._onMouseDown, this);

      this._map.off('focus', this._addHooks, this).off('blur', this._removeHooks, this);
    },
    _onMouseDown: function _onMouseDown() {
      if (this._focused) {
        return;
      }

      var body = document.body,
          docEl = document.documentElement,
          top = body.scrollTop || docEl.scrollTop,
          left = body.scrollLeft || docEl.scrollLeft;

      this._map._container.focus();

      window.scrollTo(left, top);
    },
    _onFocus: function _onFocus() {
      this._focused = true;

      this._map.fire('focus');
    },
    _onBlur: function _onBlur() {
      this._focused = false;

      this._map.fire('blur');
    },
    _setPanOffset: function _setPanOffset(pan) {
      var keys = this._panKeys = {},
          codes = this.keyCodes,
          i,
          len;

      for (i = 0, len = codes.left.length; i < len; i++) {
        keys[codes.left[i]] = [-1 * pan, 0];
      }

      for (i = 0, len = codes.right.length; i < len; i++) {
        keys[codes.right[i]] = [pan, 0];
      }

      for (i = 0, len = codes.down.length; i < len; i++) {
        keys[codes.down[i]] = [0, pan];
      }

      for (i = 0, len = codes.up.length; i < len; i++) {
        keys[codes.up[i]] = [0, -1 * pan];
      }
    },
    _setZoomOffset: function _setZoomOffset(zoom) {
      var keys = this._zoomKeys = {},
          codes = this.keyCodes,
          i,
          len;

      for (i = 0, len = codes.zoomIn.length; i < len; i++) {
        keys[codes.zoomIn[i]] = zoom;
      }

      for (i = 0, len = codes.zoomOut.length; i < len; i++) {
        keys[codes.zoomOut[i]] = -zoom;
      }
    },
    _addHooks: function _addHooks() {
      L.DomEvent.on(document, 'keydown', this._onKeyDown, this);
    },
    _removeHooks: function _removeHooks() {
      L.DomEvent.off(document, 'keydown', this._onKeyDown, this);
    },
    _onKeyDown: function _onKeyDown(e) {
      var key = e.keyCode,
          map = this._map;

      if (key in this._panKeys) {
        if (map._panAnim && map._panAnim._inProgress) {
          return;
        }

        map.panBy(this._panKeys[key]);

        if (map.options.maxBounds) {
          map.panInsideBounds(map.options.maxBounds);
        }
      } else if (key in this._zoomKeys) {
        map.setZoom(map.getZoom() + this._zoomKeys[key]);
      } else {
        return;
      }

      L.DomEvent.stop(e);
    }
  });
  L.Map.addInitHook('addHandler', 'keyboard', L.Map.Keyboard);
  /*
  * L.Handler.MarkerDrag is used internally by L.Marker to make the markers draggable.
  */

  L.Handler.MarkerDrag = L.Handler.extend({
    initialize: function initialize(marker) {
      this._marker = marker;
    },
    addHooks: function addHooks() {
      var icon = this._marker._icon;

      if (!this._draggable) {
        this._draggable = new L.Draggable(icon, icon);
      }

      this._draggable.on('dragstart', this._onDragStart, this).on('drag', this._onDrag, this).on('dragend', this._onDragEnd, this);

      this._draggable.enable();

      L.DomUtil.addClass(this._marker._icon, 'leaflet-marker-draggable');
    },
    removeHooks: function removeHooks() {
      this._draggable.off('dragstart', this._onDragStart, this).off('drag', this._onDrag, this).off('dragend', this._onDragEnd, this);

      this._draggable.disable();

      L.DomUtil.removeClass(this._marker._icon, 'leaflet-marker-draggable');
    },
    moved: function moved() {
      return this._draggable && this._draggable._moved;
    },
    _onDragStart: function _onDragStart() {
      this._marker.closePopup().fire('movestart').fire('dragstart');
    },
    _onDrag: function _onDrag() {
      var marker = this._marker,
          shadow = marker._shadow,
          iconPos = L.DomUtil.getPosition(marker._icon),
          latlng = marker._map.layerPointToLatLng(iconPos); // update shadow position


      if (shadow) {
        L.DomUtil.setPosition(shadow, iconPos);
      }

      marker._latlng = latlng;
      marker.fire('move', {
        latlng: latlng
      }).fire('drag');
    },
    _onDragEnd: function _onDragEnd(e) {
      this._marker.fire('moveend').fire('dragend', e);
    }
  });
  /*
  * L.Control is a base class for implementing map controls. Handles positioning.
  * All other controls extend from this class.
  */

  L.Control = L.Class.extend({
    options: {
      position: 'topright'
    },
    initialize: function initialize(options) {
      L.setOptions(this, options);
    },
    getPosition: function getPosition() {
      return this.options.position;
    },
    setPosition: function setPosition(position) {
      var map = this._map;

      if (map) {
        map.removeControl(this);
      }

      this.options.position = position;

      if (map) {
        map.addControl(this);
      }

      return this;
    },
    getContainer: function getContainer() {
      return this._container;
    },
    addTo: function addTo(map) {
      this._map = map;
      var container = this._container = this.onAdd(map),
          pos = this.getPosition(),
          corner = map._controlCorners[pos];
      L.DomUtil.addClass(container, 'leaflet-control');

      if (pos.indexOf('bottom') !== -1) {
        corner.insertBefore(container, corner.firstChild);
      } else {
        corner.appendChild(container);
      }

      return this;
    },
    removeFrom: function removeFrom(map) {
      var pos = this.getPosition(),
          corner = map._controlCorners[pos];
      corner.removeChild(this._container);
      this._map = null;

      if (this.onRemove) {
        this.onRemove(map);
      }

      return this;
    },
    _refocusOnMap: function _refocusOnMap() {
      if (this._map) {
        this._map.getContainer().focus();
      }
    }
  });

  L.control = function (options) {
    return new L.Control(options);
  }; // adds control-related methods to L.Map


  L.Map.include({
    addControl: function addControl(control) {
      control.addTo(this);
      return this;
    },
    removeControl: function removeControl(control) {
      control.removeFrom(this);
      return this;
    },
    _initControlPos: function _initControlPos() {
      var corners = this._controlCorners = {},
          l = 'leaflet-',
          container = this._controlContainer = L.DomUtil.create('div', l + 'control-container', this._container);

      function createCorner(vSide, hSide) {
        var className = l + vSide + ' ' + l + hSide;
        corners[vSide + hSide] = L.DomUtil.create('div', className, container);
      }

      createCorner('top', 'left');
      createCorner('top', 'right');
      createCorner('bottom', 'left');
      createCorner('bottom', 'right');
    },
    _clearControlPos: function _clearControlPos() {
      this._container.removeChild(this._controlContainer);
    }
  });
  /*
  * L.Control.Zoom is used for the default zoom buttons on the map.
  */

  L.Control.Zoom = L.Control.extend({
    options: {
      position: 'topleft',
      zoomInText: '+',
      zoomInTitle: 'Zoom in',
      zoomOutText: '-',
      zoomOutTitle: 'Zoom out'
    },
    onAdd: function onAdd(map) {
      var zoomName = 'leaflet-control-zoom',
          container = L.DomUtil.create('div', zoomName + ' leaflet-bar');
      this._map = map;
      this._zoomInButton = this._createButton(this.options.zoomInText, this.options.zoomInTitle, zoomName + '-in', container, this._zoomIn, this);
      this._zoomOutButton = this._createButton(this.options.zoomOutText, this.options.zoomOutTitle, zoomName + '-out', container, this._zoomOut, this);

      this._updateDisabled();

      map.on('zoomend zoomlevelschange', this._updateDisabled, this);
      return container;
    },
    onRemove: function onRemove(map) {
      map.off('zoomend zoomlevelschange', this._updateDisabled, this);
    },
    _zoomIn: function _zoomIn(e) {
      this._map.zoomIn(e.shiftKey ? 3 : 1);
    },
    _zoomOut: function _zoomOut(e) {
      this._map.zoomOut(e.shiftKey ? 3 : 1);
    },
    _createButton: function _createButton(html, title, className, container, fn, context) {
      var link = L.DomUtil.create('a', className, container);
      link.innerHTML = html;
      link.href = '#';
      link.title = title;
      var stop = L.DomEvent.stopPropagation;
      L.DomEvent.on(link, 'click', stop).on(link, 'mousedown', stop).on(link, 'dblclick', stop).on(link, 'click', L.DomEvent.preventDefault).on(link, 'click', fn, context).on(link, 'click', this._refocusOnMap, context);
      return link;
    },
    _updateDisabled: function _updateDisabled() {
      var map = this._map,
          className = 'leaflet-disabled';
      L.DomUtil.removeClass(this._zoomInButton, className);
      L.DomUtil.removeClass(this._zoomOutButton, className);

      if (map._zoom === map.getMinZoom()) {
        L.DomUtil.addClass(this._zoomOutButton, className);
      }

      if (map._zoom === map.getMaxZoom()) {
        L.DomUtil.addClass(this._zoomInButton, className);
      }
    }
  });
  L.Map.mergeOptions({
    zoomControl: true
  });
  L.Map.addInitHook(function () {
    if (this.options.zoomControl) {
      this.zoomControl = new L.Control.Zoom();
      this.addControl(this.zoomControl);
    }
  });

  L.control.zoom = function (options) {
    return new L.Control.Zoom(options);
  };
  /*
  * L.Control.Attribution is used for displaying attribution on the map (added by default).
  */


  L.Control.Attribution = L.Control.extend({
    options: {
      position: 'bottomright',
      prefix: '<a href="http://leafletjs.com" title="A JS library for interactive maps">Leaflet</a>'
    },
    initialize: function initialize(options) {
      L.setOptions(this, options);
      this._attributions = {};
    },
    onAdd: function onAdd(map) {
      this._container = L.DomUtil.create('div', 'leaflet-control-attribution');
      L.DomEvent.disableClickPropagation(this._container);

      for (var i in map._layers) {
        if (map._layers[i].getAttribution) {
          this.addAttribution(map._layers[i].getAttribution());
        }
      }

      map.on('layeradd', this._onLayerAdd, this).on('layerremove', this._onLayerRemove, this);

      this._update();

      return this._container;
    },
    onRemove: function onRemove(map) {
      map.off('layeradd', this._onLayerAdd).off('layerremove', this._onLayerRemove);
    },
    setPrefix: function setPrefix(prefix) {
      this.options.prefix = prefix;

      this._update();

      return this;
    },
    addAttribution: function addAttribution(text) {
      if (!text) {
        return;
      }

      if (!this._attributions[text]) {
        this._attributions[text] = 0;
      }

      this._attributions[text]++;

      this._update();

      return this;
    },
    removeAttribution: function removeAttribution(text) {
      if (!text) {
        return;
      }

      if (this._attributions[text]) {
        this._attributions[text]--;

        this._update();
      }

      return this;
    },
    _update: function _update() {
      if (!this._map) {
        return;
      }

      var attribs = [];

      for (var i in this._attributions) {
        if (this._attributions[i]) {
          attribs.push(i);
        }
      }

      var prefixAndAttribs = [];

      if (this.options.prefix) {
        prefixAndAttribs.push(this.options.prefix);
      }

      if (attribs.length) {
        prefixAndAttribs.push(attribs.join(', '));
      }

      this._container.innerHTML = prefixAndAttribs.join(' | ');
    },
    _onLayerAdd: function _onLayerAdd(e) {
      if (e.layer.getAttribution) {
        this.addAttribution(e.layer.getAttribution());
      }
    },
    _onLayerRemove: function _onLayerRemove(e) {
      if (e.layer.getAttribution) {
        this.removeAttribution(e.layer.getAttribution());
      }
    }
  });
  L.Map.mergeOptions({
    attributionControl: true
  });
  L.Map.addInitHook(function () {
    if (this.options.attributionControl) {
      this.attributionControl = new L.Control.Attribution().addTo(this);
    }
  });

  L.control.attribution = function (options) {
    return new L.Control.Attribution(options);
  };
  /*
  * L.Control.Scale is used for displaying metric/imperial scale on the map.
  */


  L.Control.Scale = L.Control.extend({
    options: {
      position: 'bottomleft',
      maxWidth: 100,
      metric: true,
      imperial: true,
      updateWhenIdle: false
    },
    onAdd: function onAdd(map) {
      this._map = map;
      var className = 'leaflet-control-scale',
          container = L.DomUtil.create('div', className),
          options = this.options;

      this._addScales(options, className, container);

      map.on(options.updateWhenIdle ? 'moveend' : 'move', this._update, this);
      map.whenReady(this._update, this);
      return container;
    },
    onRemove: function onRemove(map) {
      map.off(this.options.updateWhenIdle ? 'moveend' : 'move', this._update, this);
    },
    _addScales: function _addScales(options, className, container) {
      if (options.metric) {
        this._mScale = L.DomUtil.create('div', className + '-line', container);
      }

      if (options.imperial) {
        this._iScale = L.DomUtil.create('div', className + '-line', container);
      }
    },
    _update: function _update() {
      var bounds = this._map.getBounds(),
          centerLat = bounds.getCenter().lat,
          halfWorldMeters = 6378137 * Math.PI * Math.cos(centerLat * Math.PI / 180),
          dist = halfWorldMeters * (bounds.getNorthEast().lng - bounds.getSouthWest().lng) / 180,
          size = this._map.getSize(),
          options = this.options,
          maxMeters = 0;

      if (size.x > 0) {
        maxMeters = dist * (options.maxWidth / size.x);
      }

      this._updateScales(options, maxMeters);
    },
    _updateScales: function _updateScales(options, maxMeters) {
      if (options.metric && maxMeters) {
        this._updateMetric(maxMeters);
      }

      if (options.imperial && maxMeters) {
        this._updateImperial(maxMeters);
      }
    },
    _updateMetric: function _updateMetric(maxMeters) {
      var meters = this._getRoundNum(maxMeters);

      this._mScale.style.width = this._getScaleWidth(meters / maxMeters) + 'px';
      this._mScale.innerHTML = meters < 1000 ? meters + ' m' : meters / 1000 + ' km';
    },
    _updateImperial: function _updateImperial(maxMeters) {
      var maxFeet = maxMeters * 3.2808399,
          scale = this._iScale,
          maxMiles,
          miles,
          feet;

      if (maxFeet > 5280) {
        maxMiles = maxFeet / 5280;
        miles = this._getRoundNum(maxMiles);
        scale.style.width = this._getScaleWidth(miles / maxMiles) + 'px';
        scale.innerHTML = miles + ' mi';
      } else {
        feet = this._getRoundNum(maxFeet);
        scale.style.width = this._getScaleWidth(feet / maxFeet) + 'px';
        scale.innerHTML = feet + ' ft';
      }
    },
    _getScaleWidth: function _getScaleWidth(ratio) {
      return Math.round(this.options.maxWidth * ratio) - 10;
    },
    _getRoundNum: function _getRoundNum(num) {
      var pow10 = Math.pow(10, (Math.floor(num) + '').length - 1),
          d = num / pow10;
      d = d >= 10 ? 10 : d >= 5 ? 5 : d >= 3 ? 3 : d >= 2 ? 2 : 1;
      return pow10 * d;
    }
  });

  L.control.scale = function (options) {
    return new L.Control.Scale(options);
  };
  /*
  * L.Control.Layers is a control to allow users to switch between different layers on the map.
  */


  L.Control.Layers = L.Control.extend({
    options: {
      collapsed: true,
      position: 'topright',
      autoZIndex: true
    },
    initialize: function initialize(baseLayers, overlays, options) {
      L.setOptions(this, options);
      this._layers = {};
      this._lastZIndex = 0;
      this._handlingClick = false;

      for (var i in baseLayers) {
        this._addLayer(baseLayers[i], i);
      }

      for (i in overlays) {
        this._addLayer(overlays[i], i, true);
      }
    },
    onAdd: function onAdd(map) {
      this._initLayout();

      this._update();

      map.on('layeradd', this._onLayerChange, this).on('layerremove', this._onLayerChange, this);
      return this._container;
    },
    onRemove: function onRemove(map) {
      map.off('layeradd', this._onLayerChange, this).off('layerremove', this._onLayerChange, this);
    },
    addBaseLayer: function addBaseLayer(layer, name) {
      this._addLayer(layer, name);

      this._update();

      return this;
    },
    addOverlay: function addOverlay(layer, name) {
      this._addLayer(layer, name, true);

      this._update();

      return this;
    },
    removeLayer: function removeLayer(layer) {
      var id = L.stamp(layer);
      delete this._layers[id];

      this._update();

      return this;
    },
    _initLayout: function _initLayout() {
      var className = 'leaflet-control-layers',
          container = this._container = L.DomUtil.create('div', className); //Makes this work on IE10 Touch devices by stopping it from firing a mouseout event when the touch is released

      container.setAttribute('aria-haspopup', true);

      if (!L.Browser.touch) {
        L.DomEvent.disableClickPropagation(container).disableScrollPropagation(container);
      } else {
        L.DomEvent.on(container, 'click', L.DomEvent.stopPropagation);
      }

      var form = this._form = L.DomUtil.create('form', className + '-list');

      if (this.options.collapsed) {
        if (!L.Browser.android) {
          L.DomEvent.on(container, 'mouseover', this._expand, this).on(container, 'mouseout', this._collapse, this);
        }

        var link = this._layersLink = L.DomUtil.create('a', className + '-toggle', container);
        link.href = '#';
        link.title = 'Layers';

        if (L.Browser.touch) {
          L.DomEvent.on(link, 'click', L.DomEvent.stop).on(link, 'click', this._expand, this);
        } else {
          L.DomEvent.on(link, 'focus', this._expand, this);
        } //Work around for Firefox android issue https://github.com/Leaflet/Leaflet/issues/2033


        L.DomEvent.on(form, 'click', function () {
          setTimeout(L.bind(this._onInputClick, this), 0);
        }, this);

        this._map.on('click', this._collapse, this); // TODO keyboard accessibility

      } else {
        this._expand();
      }

      this._baseLayersList = L.DomUtil.create('div', className + '-base', form);
      this._separator = L.DomUtil.create('div', className + '-separator', form);
      this._overlaysList = L.DomUtil.create('div', className + '-overlays', form);
      container.appendChild(form);
    },
    _addLayer: function _addLayer(layer, name, overlay) {
      var id = L.stamp(layer);
      this._layers[id] = {
        layer: layer,
        name: name,
        overlay: overlay
      };

      if (this.options.autoZIndex && layer.setZIndex) {
        this._lastZIndex++;
        layer.setZIndex(this._lastZIndex);
      }
    },
    _update: function _update() {
      if (!this._container) {
        return;
      }

      this._baseLayersList.innerHTML = '';
      this._overlaysList.innerHTML = '';
      var baseLayersPresent = false,
          overlaysPresent = false,
          i,
          obj;

      for (i in this._layers) {
        obj = this._layers[i];

        this._addItem(obj);

        overlaysPresent = overlaysPresent || obj.overlay;
        baseLayersPresent = baseLayersPresent || !obj.overlay;
      }

      this._separator.style.display = overlaysPresent && baseLayersPresent ? '' : 'none';
    },
    _onLayerChange: function _onLayerChange(e) {
      var obj = this._layers[L.stamp(e.layer)];

      if (!obj) {
        return;
      }

      if (!this._handlingClick) {
        this._update();
      }

      var type = obj.overlay ? e.type === 'layeradd' ? 'overlayadd' : 'overlayremove' : e.type === 'layeradd' ? 'baselayerchange' : null;

      if (type) {
        this._map.fire(type, obj);
      }
    },
    // IE7 bugs out if you create a radio dynamically, so you have to do it this hacky way (see http://bit.ly/PqYLBe)
    _createRadioElement: function _createRadioElement(name, checked) {
      var radioHtml = '<input type="radio" class="leaflet-control-layers-selector" name="' + name + '"';

      if (checked) {
        radioHtml += ' checked="checked"';
      }

      radioHtml += '/>';
      var radioFragment = document.createElement('div');
      radioFragment.innerHTML = radioHtml;
      return radioFragment.firstChild;
    },
    _addItem: function _addItem(obj) {
      var label = document.createElement('label'),
          input,
          checked = this._map.hasLayer(obj.layer);

      if (obj.overlay) {
        input = document.createElement('input');
        input.type = 'checkbox';
        input.className = 'leaflet-control-layers-selector';
        input.defaultChecked = checked;
      } else {
        input = this._createRadioElement('leaflet-base-layers', checked);
      }

      input.layerId = L.stamp(obj.layer);
      L.DomEvent.on(input, 'click', this._onInputClick, this);
      var name = document.createElement('span');
      name.innerHTML = ' ' + obj.name;
      label.appendChild(input);
      label.appendChild(name);
      var container = obj.overlay ? this._overlaysList : this._baseLayersList;
      container.appendChild(label);
      return label;
    },
    _onInputClick: function _onInputClick() {
      var i,
          input,
          obj,
          inputs = this._form.getElementsByTagName('input'),
          inputsLen = inputs.length;

      this._handlingClick = true;

      for (i = 0; i < inputsLen; i++) {
        input = inputs[i];
        obj = this._layers[input.layerId];

        if (input.checked && !this._map.hasLayer(obj.layer)) {
          this._map.addLayer(obj.layer);
        } else if (!input.checked && this._map.hasLayer(obj.layer)) {
          this._map.removeLayer(obj.layer);
        }
      }

      this._handlingClick = false;

      this._refocusOnMap();
    },
    _expand: function _expand() {
      L.DomUtil.addClass(this._container, 'leaflet-control-layers-expanded');
    },
    _collapse: function _collapse() {
      this._container.className = this._container.className.replace(' leaflet-control-layers-expanded', '');
    }
  });

  L.control.layers = function (baseLayers, overlays, options) {
    return new L.Control.Layers(baseLayers, overlays, options);
  };
  /*
  * L.PosAnimation is used by Leaflet internally for pan animations.
  */


  L.PosAnimation = L.Class.extend({
    includes: L.Mixin.Events,
    run: function run(el, newPos, duration, easeLinearity) {
      // (HTMLElement, Point[, Number, Number])
      this.stop();
      this._el = el;
      this._inProgress = true;
      this._newPos = newPos;
      this.fire('start');
      el.style[L.DomUtil.TRANSITION] = 'all ' + (duration || 0.25) + 's cubic-bezier(0,0,' + (easeLinearity || 0.5) + ',1)';
      L.DomEvent.on(el, L.DomUtil.TRANSITION_END, this._onTransitionEnd, this);
      L.DomUtil.setPosition(el, newPos); // toggle reflow, Chrome flickers for some reason if you don't do this

      L.Util.falseFn(el.offsetWidth); // there's no native way to track value updates of transitioned properties, so we imitate this

      this._stepTimer = setInterval(L.bind(this._onStep, this), 50);
    },
    stop: function stop() {
      if (!this._inProgress) {
        return;
      } // if we just removed the transition property, the element would jump to its final position,
      // so we need to make it stay at the current position


      L.DomUtil.setPosition(this._el, this._getPos());

      this._onTransitionEnd();

      L.Util.falseFn(this._el.offsetWidth); // force reflow in case we are about to start a new animation
    },
    _onStep: function _onStep() {
      var stepPos = this._getPos();

      if (!stepPos) {
        this._onTransitionEnd();

        return;
      } // jshint camelcase: false
      // make L.DomUtil.getPosition return intermediate position value during animation


      this._el._leaflet_pos = stepPos;
      this.fire('step');
    },
    // you can't easily get intermediate values of properties animated with CSS3 Transitions,
    // we need to parse computed style (in case of transform it returns matrix string)
    _transformRe: /([-+]?(?:\d*\.)?\d+)\D*, ([-+]?(?:\d*\.)?\d+)\D*\)/,
    _getPos: function _getPos() {
      var left,
          top,
          matches,
          el = this._el,
          style = window.getComputedStyle(el);

      if (L.Browser.any3d) {
        matches = style[L.DomUtil.TRANSFORM].match(this._transformRe);

        if (!matches) {
          return;
        }

        left = parseFloat(matches[1]);
        top = parseFloat(matches[2]);
      } else {
        left = parseFloat(style.left);
        top = parseFloat(style.top);
      }

      return new L.Point(left, top, true);
    },
    _onTransitionEnd: function _onTransitionEnd() {
      L.DomEvent.off(this._el, L.DomUtil.TRANSITION_END, this._onTransitionEnd, this);

      if (!this._inProgress) {
        return;
      }

      this._inProgress = false;
      this._el.style[L.DomUtil.TRANSITION] = ''; // jshint camelcase: false
      // make sure L.DomUtil.getPosition returns the final position value after animation

      this._el._leaflet_pos = this._newPos;
      clearInterval(this._stepTimer);
      this.fire('step').fire('end');
    }
  });
  /*
  * Extends L.Map to handle panning animations.
  */

  L.Map.include({
    setView: function setView(center, zoom, options) {
      zoom = zoom === undefined ? this._zoom : this._limitZoom(zoom);
      center = this._limitCenter(L.latLng(center), zoom, this.options.maxBounds);
      options = options || {};

      if (this._panAnim) {
        this._panAnim.stop();
      }

      if (this._loaded && !options.reset && options !== true) {
        if (options.animate !== undefined) {
          options.zoom = L.extend({
            animate: options.animate
          }, options.zoom);
          options.pan = L.extend({
            animate: options.animate
          }, options.pan);
        } // try animating pan or zoom


        var animated = this._zoom !== zoom ? this._tryAnimatedZoom && this._tryAnimatedZoom(center, zoom, options.zoom) : this._tryAnimatedPan(center, options.pan);

        if (animated) {
          // prevent resize handler call, the view will refresh after animation anyway
          clearTimeout(this._sizeTimer);
          return this;
        }
      } // animation didn't start, just reset the map view


      this._resetView(center, zoom);

      return this;
    },
    panBy: function panBy(offset, options) {
      offset = L.point(offset).round();
      options = options || {};

      if (!offset.x && !offset.y) {
        return this;
      }

      if (!this._panAnim) {
        this._panAnim = new L.PosAnimation();

        this._panAnim.on({
          'step': this._onPanTransitionStep,
          'end': this._onPanTransitionEnd
        }, this);
      } // don't fire movestart if animating inertia


      if (!options.noMoveStart) {
        this.fire('movestart');
      } // animate pan unless animate: false specified


      if (options.animate !== false) {
        L.DomUtil.addClass(this._mapPane, 'leaflet-pan-anim');

        var newPos = this._getMapPanePos().subtract(offset);

        this._panAnim.run(this._mapPane, newPos, options.duration || 0.25, options.easeLinearity);
      } else {
        this._rawPanBy(offset);

        this.fire('move').fire('moveend');
      }

      return this;
    },
    _onPanTransitionStep: function _onPanTransitionStep() {
      this.fire('move');
    },
    _onPanTransitionEnd: function _onPanTransitionEnd() {
      L.DomUtil.removeClass(this._mapPane, 'leaflet-pan-anim');
      this.fire('moveend');
    },
    _tryAnimatedPan: function _tryAnimatedPan(center, options) {
      // difference between the new and current centers in pixels
      var offset = this._getCenterOffset(center)._floor(); // don't animate too far unless animate: true specified in options


      if ((options && options.animate) !== true && !this.getSize().contains(offset)) {
        return false;
      }

      this.panBy(offset, options);
      return true;
    }
  });
  /*
  * L.PosAnimation fallback implementation that powers Leaflet pan animations
  * in browsers that don't support CSS3 Transitions.
  */

  L.PosAnimation = L.DomUtil.TRANSITION ? L.PosAnimation : L.PosAnimation.extend({
    run: function run(el, newPos, duration, easeLinearity) {
      // (HTMLElement, Point[, Number, Number])
      this.stop();
      this._el = el;
      this._inProgress = true;
      this._duration = duration || 0.25;
      this._easeOutPower = 1 / Math.max(easeLinearity || 0.5, 0.2);
      this._startPos = L.DomUtil.getPosition(el);
      this._offset = newPos.subtract(this._startPos);
      this._startTime = +new Date();
      this.fire('start');

      this._animate();
    },
    stop: function stop() {
      if (!this._inProgress) {
        return;
      }

      this._step();

      this._complete();
    },
    _animate: function _animate() {
      // animation loop
      this._animId = L.Util.requestAnimFrame(this._animate, this);

      this._step();
    },
    _step: function _step() {
      var elapsed = +new Date() - this._startTime,
          duration = this._duration * 1000;

      if (elapsed < duration) {
        this._runFrame(this._easeOut(elapsed / duration));
      } else {
        this._runFrame(1);

        this._complete();
      }
    },
    _runFrame: function _runFrame(progress) {
      var pos = this._startPos.add(this._offset.multiplyBy(progress));

      L.DomUtil.setPosition(this._el, pos);
      this.fire('step');
    },
    _complete: function _complete() {
      L.Util.cancelAnimFrame(this._animId);
      this._inProgress = false;
      this.fire('end');
    },
    _easeOut: function _easeOut(t) {
      return 1 - Math.pow(1 - t, this._easeOutPower);
    }
  });
  /*
  * Extends L.Map to handle zoom animations.
  */

  L.Map.mergeOptions({
    zoomAnimation: true,
    zoomAnimationThreshold: 4
  });

  if (L.DomUtil.TRANSITION) {
    L.Map.addInitHook(function () {
      // don't animate on browsers without hardware-accelerated transitions or old Android/Opera
      this._zoomAnimated = this.options.zoomAnimation && L.DomUtil.TRANSITION && L.Browser.any3d && !L.Browser.android23 && !L.Browser.mobileOpera; // zoom transitions run with the same duration for all layers, so if one of transitionend events
      // happens after starting zoom animation (propagating to the map pane), we know that it ended globally

      if (this._zoomAnimated) {
        L.DomEvent.on(this._mapPane, L.DomUtil.TRANSITION_END, this._catchTransitionEnd, this);
      }
    });
  }

  L.Map.include(!L.DomUtil.TRANSITION ? {} : {
    _catchTransitionEnd: function _catchTransitionEnd(e) {
      if (this._animatingZoom && e.propertyName.indexOf('transform') >= 0) {
        this._onZoomTransitionEnd();
      }
    },
    _nothingToAnimate: function _nothingToAnimate() {
      return !this._container.getElementsByClassName('leaflet-zoom-animated').length;
    },
    _tryAnimatedZoom: function _tryAnimatedZoom(center, zoom, options) {
      if (this._animatingZoom) {
        return true;
      }

      options = options || {}; // don't animate if disabled, not supported or zoom difference is too large

      if (!this._zoomAnimated || options.animate === false || this._nothingToAnimate() || Math.abs(zoom - this._zoom) > this.options.zoomAnimationThreshold) {
        return false;
      } // offset is the pixel coords of the zoom origin relative to the current center


      var scale = this.getZoomScale(zoom),
          offset = this._getCenterOffset(center)._divideBy(1 - 1 / scale),
          origin = this._getCenterLayerPoint()._add(offset); // don't animate if the zoom origin isn't within one screen from the current center, unless forced


      if (options.animate !== true && !this.getSize().contains(offset)) {
        return false;
      }

      this.fire('movestart').fire('zoomstart');

      this._animateZoom(center, zoom, origin, scale, null, true);

      return true;
    },
    _animateZoom: function _animateZoom(center, zoom, origin, scale, delta, backwards, forTouchZoom) {
      if (!forTouchZoom) {
        this._animatingZoom = true;
      } // put transform transition on all layers with leaflet-zoom-animated class


      L.DomUtil.addClass(this._mapPane, 'leaflet-zoom-anim'); // remember what center/zoom to set after animation

      this._animateToCenter = center;
      this._animateToZoom = zoom; // disable any dragging during animation

      if (L.Draggable) {
        L.Draggable._disabled = true;
      }

      L.Util.requestAnimFrame(function () {
        this.fire('zoomanim', {
          center: center,
          zoom: zoom,
          origin: origin,
          scale: scale,
          delta: delta,
          backwards: backwards
        }); // horrible hack to work around a Chrome bug https://github.com/Leaflet/Leaflet/issues/3689

        setTimeout(L.bind(this._onZoomTransitionEnd, this), 250);
      }, this);
    },
    _onZoomTransitionEnd: function _onZoomTransitionEnd() {
      if (!this._animatingZoom) {
        return;
      }

      this._animatingZoom = false;
      L.DomUtil.removeClass(this._mapPane, 'leaflet-zoom-anim');
      L.Util.requestAnimFrame(function () {
        this._resetView(this._animateToCenter, this._animateToZoom, true, true);

        if (L.Draggable) {
          L.Draggable._disabled = false;
        }
      }, this);
    }
  });
  /*
  Zoom animation logic for L.TileLayer.
  */

  L.TileLayer.include({
    _animateZoom: function _animateZoom(e) {
      if (!this._animating) {
        this._animating = true;

        this._prepareBgBuffer();
      }

      var bg = this._bgBuffer,
          transform = L.DomUtil.TRANSFORM,
          initialTransform = e.delta ? L.DomUtil.getTranslateString(e.delta) : bg.style[transform],
          scaleStr = L.DomUtil.getScaleString(e.scale, e.origin);
      bg.style[transform] = e.backwards ? scaleStr + ' ' + initialTransform : initialTransform + ' ' + scaleStr;
    },
    _endZoomAnim: function _endZoomAnim() {
      var front = this._tileContainer,
          bg = this._bgBuffer;
      front.style.visibility = '';
      front.parentNode.appendChild(front); // Bring to fore
      // force reflow

      L.Util.falseFn(bg.offsetWidth);

      var zoom = this._map.getZoom();

      if (zoom > this.options.maxZoom || zoom < this.options.minZoom) {
        this._clearBgBuffer();
      }

      this._animating = false;
    },
    _clearBgBuffer: function _clearBgBuffer() {
      var map = this._map;

      if (map && !map._animatingZoom && !map.touchZoom._zooming) {
        this._bgBuffer.innerHTML = '';
        this._bgBuffer.style[L.DomUtil.TRANSFORM] = '';
      }
    },
    _prepareBgBuffer: function _prepareBgBuffer() {
      var front = this._tileContainer,
          bg = this._bgBuffer; // if foreground layer doesn't have many tiles but bg layer does,
      // keep the existing bg layer and just zoom it some more

      var bgLoaded = this._getLoadedTilesPercentage(bg),
          frontLoaded = this._getLoadedTilesPercentage(front);

      if (bg && bgLoaded > 0.5 && frontLoaded < 0.5) {
        front.style.visibility = 'hidden';

        this._stopLoadingImages(front);

        return;
      } // prepare the buffer to become the front tile pane


      bg.style.visibility = 'hidden';
      bg.style[L.DomUtil.TRANSFORM] = ''; // switch out the current layer to be the new bg layer (and vice-versa)

      this._tileContainer = bg;
      bg = this._bgBuffer = front;

      this._stopLoadingImages(bg); //prevent bg buffer from clearing right after zoom


      clearTimeout(this._clearBgBufferTimer);
    },
    _getLoadedTilesPercentage: function _getLoadedTilesPercentage(container) {
      var tiles = container.getElementsByTagName('img'),
          i,
          len,
          count = 0;

      for (i = 0, len = tiles.length; i < len; i++) {
        if (tiles[i].complete) {
          count++;
        }
      }

      return count / len;
    },
    // stops loading all tiles in the background layer
    _stopLoadingImages: function _stopLoadingImages(container) {
      var tiles = Array.prototype.slice.call(container.getElementsByTagName('img')),
          i,
          len,
          tile;

      for (i = 0, len = tiles.length; i < len; i++) {
        tile = tiles[i];

        if (!tile.complete) {
          tile.onload = L.Util.falseFn;
          tile.onerror = L.Util.falseFn;
          tile.src = L.Util.emptyImageUrl;
          tile.parentNode.removeChild(tile);
        }
      }
    }
  });
  /*
  * Provides L.Map with convenient shortcuts for using browser geolocation features.
  */

  L.Map.include({
    _defaultLocateOptions: {
      watch: false,
      setView: false,
      maxZoom: Infinity,
      timeout: 10000,
      maximumAge: 0,
      enableHighAccuracy: false
    },
    locate: function locate(
    /*Object*/
    options) {
      options = this._locateOptions = L.extend(this._defaultLocateOptions, options);

      if (!navigator.geolocation) {
        this._handleGeolocationError({
          code: 0,
          message: 'Geolocation not supported.'
        });

        return this;
      }

      var onResponse = L.bind(this._handleGeolocationResponse, this),
          onError = L.bind(this._handleGeolocationError, this);

      if (options.watch) {
        this._locationWatchId = navigator.geolocation.watchPosition(onResponse, onError, options);
      } else {
        navigator.geolocation.getCurrentPosition(onResponse, onError, options);
      }

      return this;
    },
    stopLocate: function stopLocate() {
      if (navigator.geolocation) {
        navigator.geolocation.clearWatch(this._locationWatchId);
      }

      if (this._locateOptions) {
        this._locateOptions.setView = false;
      }

      return this;
    },
    _handleGeolocationError: function _handleGeolocationError(error) {
      var c = error.code,
          message = error.message || (c === 1 ? 'permission denied' : c === 2 ? 'position unavailable' : 'timeout');

      if (this._locateOptions.setView && !this._loaded) {
        this.fitWorld();
      }

      this.fire('locationerror', {
        code: c,
        message: 'Geolocation error: ' + message + '.'
      });
    },
    _handleGeolocationResponse: function _handleGeolocationResponse(pos) {
      var lat = pos.coords.latitude,
          lng = pos.coords.longitude,
          latlng = new L.LatLng(lat, lng),
          latAccuracy = 180 * pos.coords.accuracy / 40075017,
          lngAccuracy = latAccuracy / Math.cos(L.LatLng.DEG_TO_RAD * lat),
          bounds = L.latLngBounds([lat - latAccuracy, lng - lngAccuracy], [lat + latAccuracy, lng + lngAccuracy]),
          options = this._locateOptions;

      if (options.setView) {
        var zoom = Math.min(this.getBoundsZoom(bounds), options.maxZoom);
        this.setView(latlng, zoom);
      }

      var data = {
        latlng: latlng,
        bounds: bounds,
        timestamp: pos.timestamp
      };

      for (var i in pos.coords) {
        if (typeof pos.coords[i] === 'number') {
          data[i] = pos.coords[i];
        }
      }

      this.fire('locationfound', data);
    }
  });
})(window, document);
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../../../../../../../node_modules/webpack/buildin/module.js */ "./node_modules/webpack/buildin/module.js")(module)))

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.markercluster.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/leaflet/leaflet.markercluster.js ***!
  \**************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

/*
 Leaflet.markercluster, Provides Beautiful Animated Marker Clustering functionality for Leaflet, a JS library for interactive maps.
 https://github.com/Leaflet/Leaflet.markercluster
 (c) 2012-2013, Dave Leaver, smartrak
*/
!function (t, e) {
  L.MarkerClusterGroup = L.FeatureGroup.extend({
    options: {
      maxClusterRadius: 80,
      iconCreateFunction: null,
      spiderfyOnMaxZoom: !0,
      showCoverageOnHover: !0,
      zoomToBoundsOnClick: !0,
      singleMarkerMode: !1,
      disableClusteringAtZoom: null,
      removeOutsideVisibleBounds: !0,
      animateAddingMarkers: !1,
      spiderfyDistanceMultiplier: 1,
      chunkedLoading: !1,
      chunkInterval: 200,
      chunkDelay: 50,
      chunkProgress: null,
      polygonOptions: {}
    },
    initialize: function initialize(t) {
      L.Util.setOptions(this, t), this.options.iconCreateFunction || (this.options.iconCreateFunction = this._defaultIconCreateFunction), this._featureGroup = L.featureGroup(), this._featureGroup.on(L.FeatureGroup.EVENTS, this._propagateEvent, this), this._nonPointGroup = L.featureGroup(), this._nonPointGroup.on(L.FeatureGroup.EVENTS, this._propagateEvent, this), this._inZoomAnimation = 0, this._needsClustering = [], this._needsRemoving = [], this._currentShownBounds = null, this._queue = [];
    },
    addLayer: function addLayer(t) {
      if (t instanceof L.LayerGroup) {
        var e = [];

        for (var i in t._layers) {
          e.push(t._layers[i]);
        }

        return this.addLayers(e);
      }

      if (!t.getLatLng) return this._nonPointGroup.addLayer(t), this;
      if (!this._map) return this._needsClustering.push(t), this;
      if (this.hasLayer(t)) return this;
      this._unspiderfy && this._unspiderfy(), this._addLayer(t, this._maxZoom);

      var n = t,
          s = this._map.getZoom();

      if (t.__parent) for (; n.__parent._zoom >= s;) {
        n = n.__parent;
      }
      return this._currentShownBounds.contains(n.getLatLng()) && (this.options.animateAddingMarkers ? this._animationAddLayer(t, n) : this._animationAddLayerNonAnimated(t, n)), this;
    },
    removeLayer: function removeLayer(t) {
      if (t instanceof L.LayerGroup) {
        var e = [];

        for (var i in t._layers) {
          e.push(t._layers[i]);
        }

        return this.removeLayers(e);
      }

      return t.getLatLng ? this._map ? t.__parent ? (this._unspiderfy && (this._unspiderfy(), this._unspiderfyLayer(t)), this._removeLayer(t, !0), this._featureGroup.hasLayer(t) && (this._featureGroup.removeLayer(t), t.setOpacity && t.setOpacity(1)), this) : this : (!this._arraySplice(this._needsClustering, t) && this.hasLayer(t) && this._needsRemoving.push(t), this) : (this._nonPointGroup.removeLayer(t), this);
    },
    addLayers: function addLayers(t) {
      var e,
          i,
          n,
          s,
          r = this._featureGroup,
          o = this._nonPointGroup,
          a = this.options.chunkedLoading,
          h = this.options.chunkInterval,
          _ = this.options.chunkProgress;

      if (this._map) {
        var u = 0,
            l = new Date().getTime(),
            d = L.bind(function () {
          for (var e = new Date().getTime(); u < t.length; u++) {
            if (a && 0 === u % 200) {
              var i = new Date().getTime() - e;
              if (i > h) break;
            }

            if (s = t[u], s.getLatLng) {
              if (!this.hasLayer(s) && (this._addLayer(s, this._maxZoom), s.__parent && 2 === s.__parent.getChildCount())) {
                var n = s.__parent.getAllChildMarkers(),
                    p = n[0] === s ? n[1] : n[0];

                r.removeLayer(p);
              }
            } else o.addLayer(s);
          }

          _ && _(u, t.length, new Date().getTime() - l), u === t.length ? (this._featureGroup.eachLayer(function (t) {
            t instanceof L.MarkerCluster && t._iconNeedsUpdate && t._updateIcon();
          }), this._topClusterLevel._recursivelyAddChildrenToMap(null, this._zoom, this._currentShownBounds)) : setTimeout(d, this.options.chunkDelay);
        }, this);
        d();
      } else {
        for (e = [], i = 0, n = t.length; n > i; i++) {
          s = t[i], s.getLatLng ? this.hasLayer(s) || e.push(s) : o.addLayer(s);
        }

        this._needsClustering = this._needsClustering.concat(e);
      }

      return this;
    },
    removeLayers: function removeLayers(t) {
      var e,
          i,
          n,
          s = this._featureGroup,
          r = this._nonPointGroup;

      if (!this._map) {
        for (e = 0, i = t.length; i > e; e++) {
          n = t[e], this._arraySplice(this._needsClustering, n), r.removeLayer(n);
        }

        return this;
      }

      for (e = 0, i = t.length; i > e; e++) {
        n = t[e], n.__parent ? (this._removeLayer(n, !0, !0), s.hasLayer(n) && (s.removeLayer(n), n.setOpacity && n.setOpacity(1))) : r.removeLayer(n);
      }

      return this._topClusterLevel._recursivelyAddChildrenToMap(null, this._zoom, this._currentShownBounds), s.eachLayer(function (t) {
        t instanceof L.MarkerCluster && t._updateIcon();
      }), this;
    },
    clearLayers: function clearLayers() {
      return this._map || (this._needsClustering = [], delete this._gridClusters, delete this._gridUnclustered), this._noanimationUnspiderfy && this._noanimationUnspiderfy(), this._featureGroup.clearLayers(), this._nonPointGroup.clearLayers(), this.eachLayer(function (t) {
        delete t.__parent;
      }), this._map && this._generateInitialClusters(), this;
    },
    getBounds: function getBounds() {
      var t = new L.LatLngBounds();
      this._topClusterLevel && t.extend(this._topClusterLevel._bounds);

      for (var e = this._needsClustering.length - 1; e >= 0; e--) {
        t.extend(this._needsClustering[e].getLatLng());
      }

      return t.extend(this._nonPointGroup.getBounds()), t;
    },
    eachLayer: function eachLayer(t, e) {
      var i,
          n = this._needsClustering.slice();

      for (this._topClusterLevel && this._topClusterLevel.getAllChildMarkers(n), i = n.length - 1; i >= 0; i--) {
        t.call(e, n[i]);
      }

      this._nonPointGroup.eachLayer(t, e);
    },
    getLayers: function getLayers() {
      var t = [];
      return this.eachLayer(function (e) {
        t.push(e);
      }), t;
    },
    getLayer: function getLayer(t) {
      var e = null;
      return this.eachLayer(function (i) {
        L.stamp(i) === t && (e = i);
      }), e;
    },
    hasLayer: function hasLayer(t) {
      if (!t) return !1;
      var e,
          i = this._needsClustering;

      for (e = i.length - 1; e >= 0; e--) {
        if (i[e] === t) return !0;
      }

      for (i = this._needsRemoving, e = i.length - 1; e >= 0; e--) {
        if (i[e] === t) return !1;
      }

      return !(!t.__parent || t.__parent._group !== this) || this._nonPointGroup.hasLayer(t);
    },
    zoomToShowLayer: function zoomToShowLayer(t, e) {
      var i = function i() {
        if ((t._icon || t.__parent._icon) && !this._inZoomAnimation) if (this._map.off("moveend", i, this), this.off("animationend", i, this), t._icon) e();else if (t.__parent._icon) {
          var n = function n() {
            this.off("spiderfied", n, this), e();
          };

          this.on("spiderfied", n, this), t.__parent.spiderfy();
        }
      };

      if (t._icon && this._map.getBounds().contains(t.getLatLng())) e();else if (t.__parent._zoom < this._map.getZoom()) this._map.on("moveend", i, this), this._map.panTo(t.getLatLng());else {
        var _n = function n() {
          this._map.off("movestart", _n, this), _n = null;
        };

        this._map.on("movestart", _n, this), this._map.on("moveend", i, this), this.on("animationend", i, this), t.__parent.zoomToBounds(), _n && i.call(this);
      }
    },
    onAdd: function onAdd(t) {
      this._map = t;
      var e, i, n;
      if (!isFinite(this._map.getMaxZoom())) throw "Map has no maxZoom specified";

      for (this._featureGroup.onAdd(t), this._nonPointGroup.onAdd(t), this._gridClusters || this._generateInitialClusters(), e = 0, i = this._needsRemoving.length; i > e; e++) {
        n = this._needsRemoving[e], this._removeLayer(n, !0);
      }

      this._needsRemoving = [], this._zoom = this._map.getZoom(), this._currentShownBounds = this._getExpandedVisibleBounds(), this._map.on("zoomend", this._zoomEnd, this), this._map.on("moveend", this._moveEnd, this), this._spiderfierOnAdd && this._spiderfierOnAdd(), this._bindEvents(), i = this._needsClustering, this._needsClustering = [], this.addLayers(i);
    },
    onRemove: function onRemove(t) {
      t.off("zoomend", this._zoomEnd, this), t.off("moveend", this._moveEnd, this), this._unbindEvents(), this._map._mapPane.className = this._map._mapPane.className.replace(" leaflet-cluster-anim", ""), this._spiderfierOnRemove && this._spiderfierOnRemove(), this._hideCoverage(), this._featureGroup.onRemove(t), this._nonPointGroup.onRemove(t), this._featureGroup.clearLayers(), this._map = null;
    },
    getVisibleParent: function getVisibleParent(t) {
      for (var e = t; e && !e._icon;) {
        e = e.__parent;
      }

      return e || null;
    },
    _arraySplice: function _arraySplice(t, e) {
      for (var i = t.length - 1; i >= 0; i--) {
        if (t[i] === e) return t.splice(i, 1), !0;
      }
    },
    _removeLayer: function _removeLayer(t, e, i) {
      var n = this._gridClusters,
          s = this._gridUnclustered,
          r = this._featureGroup,
          o = this._map;
      if (e) for (var a = this._maxZoom; a >= 0 && s[a].removeObject(t, o.project(t.getLatLng(), a)); a--) {
        ;
      }
      var h,
          _ = t.__parent,
          u = _._markers;

      for (this._arraySplice(u, t); _ && (_._childCount--, !(_._zoom < 0));) {
        e && _._childCount <= 1 ? (h = _._markers[0] === t ? _._markers[1] : _._markers[0], n[_._zoom].removeObject(_, o.project(_._cLatLng, _._zoom)), s[_._zoom].addObject(h, o.project(h.getLatLng(), _._zoom)), this._arraySplice(_.__parent._childClusters, _), _.__parent._markers.push(h), h.__parent = _.__parent, _._icon && (r.removeLayer(_), i || r.addLayer(h))) : (_._recalculateBounds(), i && _._icon || _._updateIcon()), _ = _.__parent;
      }

      delete t.__parent;
    },
    _isOrIsParent: function _isOrIsParent(t, e) {
      for (; e;) {
        if (t === e) return !0;
        e = e.parentNode;
      }

      return !1;
    },
    _propagateEvent: function _propagateEvent(t) {
      if (t.layer instanceof L.MarkerCluster) {
        if (t.originalEvent && this._isOrIsParent(t.layer._icon, t.originalEvent.relatedTarget)) return;
        t.type = "cluster" + t.type;
      }

      this.fire(t.type, t);
    },
    _defaultIconCreateFunction: function _defaultIconCreateFunction(t) {
      var e = t.getChildCount(),
          i = " marker-cluster-";
      return i += 10 > e ? "small" : 100 > e ? "medium" : "large", new L.DivIcon({
        html: "<div><span>" + e + "</span></div>",
        className: "marker-cluster" + i,
        iconSize: new L.Point(40, 40)
      });
    },
    _bindEvents: function _bindEvents() {
      var t = this._map,
          e = this.options.spiderfyOnMaxZoom,
          i = this.options.showCoverageOnHover,
          n = this.options.zoomToBoundsOnClick;
      (e || n) && this.on("clusterclick", this._zoomOrSpiderfy, this), i && (this.on("clustermouseover", this._showCoverage, this), this.on("clustermouseout", this._hideCoverage, this), t.on("zoomend", this._hideCoverage, this));
    },
    _zoomOrSpiderfy: function _zoomOrSpiderfy(t) {
      var e = this._map;
      e.getMaxZoom() === e.getZoom() ? this.options.spiderfyOnMaxZoom && t.layer.spiderfy() : this.options.zoomToBoundsOnClick && t.layer.zoomToBounds(), t.originalEvent && 13 === t.originalEvent.keyCode && e._container.focus();
    },
    _showCoverage: function _showCoverage(t) {
      var e = this._map;
      this._inZoomAnimation || (this._shownPolygon && e.removeLayer(this._shownPolygon), t.layer.getChildCount() > 2 && t.layer !== this._spiderfied && (this._shownPolygon = new L.Polygon(t.layer.getConvexHull(), this.options.polygonOptions), e.addLayer(this._shownPolygon)));
    },
    _hideCoverage: function _hideCoverage() {
      this._shownPolygon && (this._map.removeLayer(this._shownPolygon), this._shownPolygon = null);
    },
    _unbindEvents: function _unbindEvents() {
      var t = this.options.spiderfyOnMaxZoom,
          e = this.options.showCoverageOnHover,
          i = this.options.zoomToBoundsOnClick,
          n = this._map;
      (t || i) && this.off("clusterclick", this._zoomOrSpiderfy, this), e && (this.off("clustermouseover", this._showCoverage, this), this.off("clustermouseout", this._hideCoverage, this), n.off("zoomend", this._hideCoverage, this));
    },
    _zoomEnd: function _zoomEnd() {
      this._map && (this._mergeSplitClusters(), this._zoom = this._map._zoom, this._currentShownBounds = this._getExpandedVisibleBounds());
    },
    _moveEnd: function _moveEnd() {
      if (!this._inZoomAnimation) {
        var t = this._getExpandedVisibleBounds();

        this._topClusterLevel._recursivelyRemoveChildrenFromMap(this._currentShownBounds, this._zoom, t), this._topClusterLevel._recursivelyAddChildrenToMap(null, this._map._zoom, t), this._currentShownBounds = t;
      }
    },
    _generateInitialClusters: function _generateInitialClusters() {
      var t = this._map.getMaxZoom(),
          e = this.options.maxClusterRadius,
          i = e;

      "function" != typeof e && (i = function i() {
        return e;
      }), this.options.disableClusteringAtZoom && (t = this.options.disableClusteringAtZoom - 1), this._maxZoom = t, this._gridClusters = {}, this._gridUnclustered = {};

      for (var n = t; n >= 0; n--) {
        this._gridClusters[n] = new L.DistanceGrid(i(n)), this._gridUnclustered[n] = new L.DistanceGrid(i(n));
      }

      this._topClusterLevel = new L.MarkerCluster(this, -1);
    },
    _addLayer: function _addLayer(t, e) {
      var i,
          n,
          s = this._gridClusters,
          r = this._gridUnclustered;

      for (this.options.singleMarkerMode && (t.options.icon = this.options.iconCreateFunction({
        getChildCount: function getChildCount() {
          return 1;
        },
        getAllChildMarkers: function getAllChildMarkers() {
          return [t];
        }
      })); e >= 0; e--) {
        i = this._map.project(t.getLatLng(), e);
        var o = s[e].getNearObject(i);
        if (o) return o._addChild(t), t.__parent = o, void 0;

        if (o = r[e].getNearObject(i)) {
          var a = o.__parent;
          a && this._removeLayer(o, !1);
          var h = new L.MarkerCluster(this, e, o, t);
          s[e].addObject(h, this._map.project(h._cLatLng, e)), o.__parent = h, t.__parent = h;
          var _ = h;

          for (n = e - 1; n > a._zoom; n--) {
            _ = new L.MarkerCluster(this, n, _), s[n].addObject(_, this._map.project(o.getLatLng(), n));
          }

          for (a._addChild(_), n = e; n >= 0 && r[n].removeObject(o, this._map.project(o.getLatLng(), n)); n--) {
            ;
          }

          return;
        }

        r[e].addObject(t, i);
      }

      this._topClusterLevel._addChild(t), t.__parent = this._topClusterLevel;
    },
    _enqueue: function _enqueue(t) {
      this._queue.push(t), this._queueTimeout || (this._queueTimeout = setTimeout(L.bind(this._processQueue, this), 300));
    },
    _processQueue: function _processQueue() {
      for (var t = 0; t < this._queue.length; t++) {
        this._queue[t].call(this);
      }

      this._queue.length = 0, clearTimeout(this._queueTimeout), this._queueTimeout = null;
    },
    _mergeSplitClusters: function _mergeSplitClusters() {
      this._processQueue(), this._zoom < this._map._zoom && this._currentShownBounds.intersects(this._getExpandedVisibleBounds()) ? (this._animationStart(), this._topClusterLevel._recursivelyRemoveChildrenFromMap(this._currentShownBounds, this._zoom, this._getExpandedVisibleBounds()), this._animationZoomIn(this._zoom, this._map._zoom)) : this._zoom > this._map._zoom ? (this._animationStart(), this._animationZoomOut(this._zoom, this._map._zoom)) : this._moveEnd();
    },
    _getExpandedVisibleBounds: function _getExpandedVisibleBounds() {
      if (!this.options.removeOutsideVisibleBounds) return this._map.getBounds();
      var t = this._map,
          e = t.getBounds(),
          i = e._southWest,
          n = e._northEast,
          s = L.Browser.mobile ? 0 : Math.abs(i.lat - n.lat),
          r = L.Browser.mobile ? 0 : Math.abs(i.lng - n.lng);
      return new L.LatLngBounds(new L.LatLng(i.lat - s, i.lng - r, !0), new L.LatLng(n.lat + s, n.lng + r, !0));
    },
    _animationAddLayerNonAnimated: function _animationAddLayerNonAnimated(t, e) {
      if (e === t) this._featureGroup.addLayer(t);else if (2 === e._childCount) {
        e._addToMap();

        var i = e.getAllChildMarkers();
        this._featureGroup.removeLayer(i[0]), this._featureGroup.removeLayer(i[1]);
      } else e._updateIcon();
    }
  }), L.MarkerClusterGroup.include(L.DomUtil.TRANSITION ? {
    _animationStart: function _animationStart() {
      this._map._mapPane.className += " leaflet-cluster-anim", this._inZoomAnimation++;
    },
    _animationEnd: function _animationEnd() {
      this._map && (this._map._mapPane.className = this._map._mapPane.className.replace(" leaflet-cluster-anim", "")), this._inZoomAnimation--, this.fire("animationend");
    },
    _animationZoomIn: function _animationZoomIn(t, e) {
      var i,
          n = this._getExpandedVisibleBounds(),
          s = this._featureGroup;

      this._topClusterLevel._recursively(n, t, 0, function (r) {
        var o,
            a = r._latlng,
            h = r._markers;

        for (n.contains(a) || (a = null), r._isSingleParent() && t + 1 === e ? (s.removeLayer(r), r._recursivelyAddChildrenToMap(null, e, n)) : (r.setOpacity(0), r._recursivelyAddChildrenToMap(a, e, n)), i = h.length - 1; i >= 0; i--) {
          o = h[i], n.contains(o._latlng) || s.removeLayer(o);
        }
      }), this._forceLayout(), this._topClusterLevel._recursivelyBecomeVisible(n, e), s.eachLayer(function (t) {
        t instanceof L.MarkerCluster || !t._icon || t.setOpacity(1);
      }), this._topClusterLevel._recursively(n, t, e, function (t) {
        t._recursivelyRestoreChildPositions(e);
      }), this._enqueue(function () {
        this._topClusterLevel._recursively(n, t, 0, function (t) {
          s.removeLayer(t), t.setOpacity(1);
        }), this._animationEnd();
      });
    },
    _animationZoomOut: function _animationZoomOut(t, e) {
      this._animationZoomOutSingle(this._topClusterLevel, t - 1, e), this._topClusterLevel._recursivelyAddChildrenToMap(null, e, this._getExpandedVisibleBounds()), this._topClusterLevel._recursivelyRemoveChildrenFromMap(this._currentShownBounds, t, this._getExpandedVisibleBounds());
    },
    _animationZoomOutSingle: function _animationZoomOutSingle(t, e, i) {
      var n = this._getExpandedVisibleBounds();

      t._recursivelyAnimateChildrenInAndAddSelfToMap(n, e + 1, i);

      var s = this;
      this._forceLayout(), t._recursivelyBecomeVisible(n, i), this._enqueue(function () {
        if (1 === t._childCount) {
          var r = t._markers[0];
          r.setLatLng(r.getLatLng()), r.setOpacity && r.setOpacity(1);
        } else t._recursively(n, i, 0, function (t) {
          t._recursivelyRemoveChildrenFromMap(n, e + 1);
        });

        s._animationEnd();
      });
    },
    _animationAddLayer: function _animationAddLayer(t, e) {
      var i = this,
          n = this._featureGroup;
      n.addLayer(t), e !== t && (e._childCount > 2 ? (e._updateIcon(), this._forceLayout(), this._animationStart(), t._setPos(this._map.latLngToLayerPoint(e.getLatLng())), t.setOpacity(0), this._enqueue(function () {
        n.removeLayer(t), t.setOpacity(1), i._animationEnd();
      })) : (this._forceLayout(), i._animationStart(), i._animationZoomOutSingle(e, this._map.getMaxZoom(), this._map.getZoom())));
    },
    _forceLayout: function _forceLayout() {
      L.Util.falseFn(e.body.offsetWidth);
    }
  } : {
    _animationStart: function _animationStart() {},
    _animationZoomIn: function _animationZoomIn(t, e) {
      this._topClusterLevel._recursivelyRemoveChildrenFromMap(this._currentShownBounds, t), this._topClusterLevel._recursivelyAddChildrenToMap(null, e, this._getExpandedVisibleBounds()), this.fire("animationend");
    },
    _animationZoomOut: function _animationZoomOut(t, e) {
      this._topClusterLevel._recursivelyRemoveChildrenFromMap(this._currentShownBounds, t), this._topClusterLevel._recursivelyAddChildrenToMap(null, e, this._getExpandedVisibleBounds()), this.fire("animationend");
    },
    _animationAddLayer: function _animationAddLayer(t, e) {
      this._animationAddLayerNonAnimated(t, e);
    }
  }), L.markerClusterGroup = function (t) {
    return new L.MarkerClusterGroup(t);
  }, L.MarkerCluster = L.Marker.extend({
    initialize: function initialize(t, e, i, n) {
      L.Marker.prototype.initialize.call(this, i ? i._cLatLng || i.getLatLng() : new L.LatLng(0, 0), {
        icon: this
      }), this._group = t, this._zoom = e, this._markers = [], this._childClusters = [], this._childCount = 0, this._iconNeedsUpdate = !0, this._bounds = new L.LatLngBounds(), i && this._addChild(i), n && this._addChild(n);
    },
    getAllChildMarkers: function getAllChildMarkers(t) {
      t = t || [];

      for (var e = this._childClusters.length - 1; e >= 0; e--) {
        this._childClusters[e].getAllChildMarkers(t);
      }

      for (var i = this._markers.length - 1; i >= 0; i--) {
        t.push(this._markers[i]);
      }

      return t;
    },
    getChildCount: function getChildCount() {
      return this._childCount;
    },
    zoomToBounds: function zoomToBounds() {
      for (var t, e = this._childClusters.slice(), i = this._group._map, n = i.getBoundsZoom(this._bounds), s = this._zoom + 1, r = i.getZoom(); e.length > 0 && n > s;) {
        s++;
        var o = [];

        for (t = 0; t < e.length; t++) {
          o = o.concat(e[t]._childClusters);
        }

        e = o;
      }

      n > s ? this._group._map.setView(this._latlng, s) : r >= n ? this._group._map.setView(this._latlng, r + 1) : this._group._map.fitBounds(this._bounds);
    },
    getBounds: function getBounds() {
      var t = new L.LatLngBounds();
      return t.extend(this._bounds), t;
    },
    _updateIcon: function _updateIcon() {
      this._iconNeedsUpdate = !0, this._icon && this.setIcon(this);
    },
    createIcon: function createIcon() {
      return this._iconNeedsUpdate && (this._iconObj = this._group.options.iconCreateFunction(this), this._iconNeedsUpdate = !1), this._iconObj.createIcon();
    },
    createShadow: function createShadow() {
      return this._iconObj.createShadow();
    },
    _addChild: function _addChild(t, e) {
      this._iconNeedsUpdate = !0, this._expandBounds(t), t instanceof L.MarkerCluster ? (e || (this._childClusters.push(t), t.__parent = this), this._childCount += t._childCount) : (e || this._markers.push(t), this._childCount++), this.__parent && this.__parent._addChild(t, !0);
    },
    _expandBounds: function _expandBounds(t) {
      var e,
          i = t._wLatLng || t._latlng;
      t instanceof L.MarkerCluster ? (this._bounds.extend(t._bounds), e = t._childCount) : (this._bounds.extend(i), e = 1), this._cLatLng || (this._cLatLng = t._cLatLng || i);
      var n = this._childCount + e;
      this._wLatLng ? (this._wLatLng.lat = (i.lat * e + this._wLatLng.lat * this._childCount) / n, this._wLatLng.lng = (i.lng * e + this._wLatLng.lng * this._childCount) / n) : this._latlng = this._wLatLng = new L.LatLng(i.lat, i.lng);
    },
    _addToMap: function _addToMap(t) {
      t && (this._backupLatlng = this._latlng, this.setLatLng(t)), this._group._featureGroup.addLayer(this);
    },
    _recursivelyAnimateChildrenIn: function _recursivelyAnimateChildrenIn(t, e, i) {
      this._recursively(t, 0, i - 1, function (t) {
        var i,
            n,
            s = t._markers;

        for (i = s.length - 1; i >= 0; i--) {
          n = s[i], n._icon && (n._setPos(e), n.setOpacity(0));
        }
      }, function (t) {
        var i,
            n,
            s = t._childClusters;

        for (i = s.length - 1; i >= 0; i--) {
          n = s[i], n._icon && (n._setPos(e), n.setOpacity(0));
        }
      });
    },
    _recursivelyAnimateChildrenInAndAddSelfToMap: function _recursivelyAnimateChildrenInAndAddSelfToMap(t, e, i) {
      this._recursively(t, i, 0, function (n) {
        n._recursivelyAnimateChildrenIn(t, n._group._map.latLngToLayerPoint(n.getLatLng()).round(), e), n._isSingleParent() && e - 1 === i ? (n.setOpacity(1), n._recursivelyRemoveChildrenFromMap(t, e)) : n.setOpacity(0), n._addToMap();
      });
    },
    _recursivelyBecomeVisible: function _recursivelyBecomeVisible(t, e) {
      this._recursively(t, 0, e, null, function (t) {
        t.setOpacity(1);
      });
    },
    _recursivelyAddChildrenToMap: function _recursivelyAddChildrenToMap(t, e, i) {
      this._recursively(i, -1, e, function (n) {
        if (e !== n._zoom) for (var s = n._markers.length - 1; s >= 0; s--) {
          var r = n._markers[s];
          i.contains(r._latlng) && (t && (r._backupLatlng = r.getLatLng(), r.setLatLng(t), r.setOpacity && r.setOpacity(0)), n._group._featureGroup.addLayer(r));
        }
      }, function (e) {
        e._addToMap(t);
      });
    },
    _recursivelyRestoreChildPositions: function _recursivelyRestoreChildPositions(t) {
      for (var e = this._markers.length - 1; e >= 0; e--) {
        var i = this._markers[e];
        i._backupLatlng && (i.setLatLng(i._backupLatlng), delete i._backupLatlng);
      }

      if (t - 1 === this._zoom) for (var n = this._childClusters.length - 1; n >= 0; n--) {
        this._childClusters[n]._restorePosition();
      } else for (var s = this._childClusters.length - 1; s >= 0; s--) {
        this._childClusters[s]._recursivelyRestoreChildPositions(t);
      }
    },
    _restorePosition: function _restorePosition() {
      this._backupLatlng && (this.setLatLng(this._backupLatlng), delete this._backupLatlng);
    },
    _recursivelyRemoveChildrenFromMap: function _recursivelyRemoveChildrenFromMap(t, e, i) {
      var n, s;

      this._recursively(t, -1, e - 1, function (t) {
        for (s = t._markers.length - 1; s >= 0; s--) {
          n = t._markers[s], i && i.contains(n._latlng) || (t._group._featureGroup.removeLayer(n), n.setOpacity && n.setOpacity(1));
        }
      }, function (t) {
        for (s = t._childClusters.length - 1; s >= 0; s--) {
          n = t._childClusters[s], i && i.contains(n._latlng) || (t._group._featureGroup.removeLayer(n), n.setOpacity && n.setOpacity(1));
        }
      });
    },
    _recursively: function _recursively(t, e, i, n, s) {
      var r,
          o,
          a = this._childClusters,
          h = this._zoom;
      if (e > h) for (r = a.length - 1; r >= 0; r--) {
        o = a[r], t.intersects(o._bounds) && o._recursively(t, e, i, n, s);
      } else if (n && n(this), s && this._zoom === i && s(this), i > h) for (r = a.length - 1; r >= 0; r--) {
        o = a[r], t.intersects(o._bounds) && o._recursively(t, e, i, n, s);
      }
    },
    _recalculateBounds: function _recalculateBounds() {
      var t,
          e = this._markers,
          i = this._childClusters;

      for (this._bounds = new L.LatLngBounds(), delete this._wLatLng, t = e.length - 1; t >= 0; t--) {
        this._expandBounds(e[t]);
      }

      for (t = i.length - 1; t >= 0; t--) {
        this._expandBounds(i[t]);
      }
    },
    _isSingleParent: function _isSingleParent() {
      return this._childClusters.length > 0 && this._childClusters[0]._childCount === this._childCount;
    }
  }), L.DistanceGrid = function (t) {
    this._cellSize = t, this._sqCellSize = t * t, this._grid = {}, this._objectPoint = {};
  }, L.DistanceGrid.prototype = {
    addObject: function addObject(t, e) {
      var i = this._getCoord(e.x),
          n = this._getCoord(e.y),
          s = this._grid,
          r = s[n] = s[n] || {},
          o = r[i] = r[i] || [],
          a = L.Util.stamp(t);

      this._objectPoint[a] = e, o.push(t);
    },
    updateObject: function updateObject(t, e) {
      this.removeObject(t), this.addObject(t, e);
    },
    removeObject: function removeObject(t, e) {
      var i,
          n,
          s = this._getCoord(e.x),
          r = this._getCoord(e.y),
          o = this._grid,
          a = o[r] = o[r] || {},
          h = a[s] = a[s] || [];

      for (delete this._objectPoint[L.Util.stamp(t)], i = 0, n = h.length; n > i; i++) {
        if (h[i] === t) return h.splice(i, 1), 1 === n && delete a[s], !0;
      }
    },
    eachObject: function eachObject(t, e) {
      var i,
          n,
          s,
          r,
          o,
          a,
          h,
          _ = this._grid;

      for (i in _) {
        o = _[i];

        for (n in o) {
          for (a = o[n], s = 0, r = a.length; r > s; s++) {
            h = t.call(e, a[s]), h && (s--, r--);
          }
        }
      }
    },
    getNearObject: function getNearObject(t) {
      var e,
          i,
          n,
          s,
          r,
          o,
          a,
          h,
          _ = this._getCoord(t.x),
          u = this._getCoord(t.y),
          l = this._objectPoint,
          d = this._sqCellSize,
          p = null;

      for (e = u - 1; u + 1 >= e; e++) {
        if (s = this._grid[e]) for (i = _ - 1; _ + 1 >= i; i++) {
          if (r = s[i]) for (n = 0, o = r.length; o > n; n++) {
            a = r[n], h = this._sqDist(l[L.Util.stamp(a)], t), d > h && (d = h, p = a);
          }
        }
      }

      return p;
    },
    _getCoord: function _getCoord(t) {
      return Math.floor(t / this._cellSize);
    },
    _sqDist: function _sqDist(t, e) {
      var i = e.x - t.x,
          n = e.y - t.y;
      return i * i + n * n;
    }
  }, function () {
    L.QuickHull = {
      getDistant: function getDistant(t, e) {
        var i = e[1].lat - e[0].lat,
            n = e[0].lng - e[1].lng;
        return n * (t.lat - e[0].lat) + i * (t.lng - e[0].lng);
      },
      findMostDistantPointFromBaseLine: function findMostDistantPointFromBaseLine(t, e) {
        var i,
            n,
            s,
            r = 0,
            o = null,
            a = [];

        for (i = e.length - 1; i >= 0; i--) {
          n = e[i], s = this.getDistant(n, t), s > 0 && (a.push(n), s > r && (r = s, o = n));
        }

        return {
          maxPoint: o,
          newPoints: a
        };
      },
      buildConvexHull: function buildConvexHull(t, e) {
        var i = [],
            n = this.findMostDistantPointFromBaseLine(t, e);
        return n.maxPoint ? (i = i.concat(this.buildConvexHull([t[0], n.maxPoint], n.newPoints)), i = i.concat(this.buildConvexHull([n.maxPoint, t[1]], n.newPoints))) : [t[0]];
      },
      getConvexHull: function getConvexHull(t) {
        var e,
            i = !1,
            n = !1,
            s = null,
            r = null;

        for (e = t.length - 1; e >= 0; e--) {
          var o = t[e];
          (i === !1 || o.lat > i) && (s = o, i = o.lat), (n === !1 || o.lat < n) && (r = o, n = o.lat);
        }

        var a = [].concat(this.buildConvexHull([r, s], t), this.buildConvexHull([s, r], t));
        return a;
      }
    };
  }(), L.MarkerCluster.include({
    getConvexHull: function getConvexHull() {
      var t,
          e,
          i = this.getAllChildMarkers(),
          n = [];

      for (e = i.length - 1; e >= 0; e--) {
        t = i[e].getLatLng(), n.push(t);
      }

      return L.QuickHull.getConvexHull(n);
    }
  }), L.MarkerCluster.include({
    _2PI: 2 * Math.PI,
    _circleFootSeparation: 25,
    _circleStartAngle: Math.PI / 6,
    _spiralFootSeparation: 28,
    _spiralLengthStart: 11,
    _spiralLengthFactor: 5,
    _circleSpiralSwitchover: 9,
    spiderfy: function spiderfy() {
      if (this._group._spiderfied !== this && !this._group._inZoomAnimation) {
        var t,
            e = this.getAllChildMarkers(),
            i = this._group,
            n = i._map,
            s = n.latLngToLayerPoint(this._latlng);
        this._group._unspiderfy(), this._group._spiderfied = this, e.length >= this._circleSpiralSwitchover ? t = this._generatePointsSpiral(e.length, s) : (s.y += 10, t = this._generatePointsCircle(e.length, s)), this._animationSpiderfy(e, t);
      }
    },
    unspiderfy: function unspiderfy(t) {
      this._group._inZoomAnimation || (this._animationUnspiderfy(t), this._group._spiderfied = null);
    },
    _generatePointsCircle: function _generatePointsCircle(t, e) {
      var i,
          n,
          s = this._group.options.spiderfyDistanceMultiplier * this._circleFootSeparation * (2 + t),
          r = s / this._2PI,
          o = this._2PI / t,
          a = [];

      for (a.length = t, i = t - 1; i >= 0; i--) {
        n = this._circleStartAngle + i * o, a[i] = new L.Point(e.x + r * Math.cos(n), e.y + r * Math.sin(n))._round();
      }

      return a;
    },
    _generatePointsSpiral: function _generatePointsSpiral(t, e) {
      var i,
          n = this._group.options.spiderfyDistanceMultiplier * this._spiralLengthStart,
          s = this._group.options.spiderfyDistanceMultiplier * this._spiralFootSeparation,
          r = this._group.options.spiderfyDistanceMultiplier * this._spiralLengthFactor,
          o = 0,
          a = [];

      for (a.length = t, i = t - 1; i >= 0; i--) {
        o += s / n + 5e-4 * i, a[i] = new L.Point(e.x + n * Math.cos(o), e.y + n * Math.sin(o))._round(), n += this._2PI * r / o;
      }

      return a;
    },
    _noanimationUnspiderfy: function _noanimationUnspiderfy() {
      var t,
          e,
          i = this._group,
          n = i._map,
          s = i._featureGroup,
          r = this.getAllChildMarkers();

      for (this.setOpacity(1), e = r.length - 1; e >= 0; e--) {
        t = r[e], s.removeLayer(t), t._preSpiderfyLatlng && (t.setLatLng(t._preSpiderfyLatlng), delete t._preSpiderfyLatlng), t.setZIndexOffset && t.setZIndexOffset(0), t._spiderLeg && (n.removeLayer(t._spiderLeg), delete t._spiderLeg);
      }

      i._spiderfied = null;
    }
  }), L.MarkerCluster.include(L.DomUtil.TRANSITION ? {
    SVG_ANIMATION: function () {
      return e.createElementNS("http://www.w3.org/2000/svg", "animate").toString().indexOf("SVGAnimate") > -1;
    }(),
    _animationSpiderfy: function _animationSpiderfy(t, i) {
      var n,
          s,
          r,
          o,
          a = this,
          h = this._group,
          _ = h._map,
          u = h._featureGroup,
          l = _.latLngToLayerPoint(this._latlng);

      for (n = t.length - 1; n >= 0; n--) {
        s = t[n], s.setOpacity ? (s.setZIndexOffset(1e6), s.setOpacity(0), u.addLayer(s), s._setPos(l)) : u.addLayer(s);
      }

      h._forceLayout(), h._animationStart();
      var d = L.Path.SVG ? 0 : .3,
          p = L.Path.SVG_NS;

      for (n = t.length - 1; n >= 0; n--) {
        if (o = _.layerPointToLatLng(i[n]), s = t[n], s._preSpiderfyLatlng = s._latlng, s.setLatLng(o), s.setOpacity && s.setOpacity(1), r = new L.Polyline([a._latlng, o], {
          weight: 1.5,
          color: "#222",
          opacity: d
        }), _.addLayer(r), s._spiderLeg = r, L.Path.SVG && this.SVG_ANIMATION) {
          var c = r._path.getTotalLength();

          r._path.setAttribute("stroke-dasharray", c + "," + c);

          var f = e.createElementNS(p, "animate");
          f.setAttribute("attributeName", "stroke-dashoffset"), f.setAttribute("begin", "indefinite"), f.setAttribute("from", c), f.setAttribute("to", 0), f.setAttribute("dur", .25), r._path.appendChild(f), f.beginElement(), f = e.createElementNS(p, "animate"), f.setAttribute("attributeName", "stroke-opacity"), f.setAttribute("attributeName", "stroke-opacity"), f.setAttribute("begin", "indefinite"), f.setAttribute("from", 0), f.setAttribute("to", .5), f.setAttribute("dur", .25), r._path.appendChild(f), f.beginElement();
        }
      }

      if (a.setOpacity(.3), L.Path.SVG) for (this._group._forceLayout(), n = t.length - 1; n >= 0; n--) {
        s = t[n]._spiderLeg, s.options.opacity = .5, s._path.setAttribute("stroke-opacity", .5);
      }
      setTimeout(function () {
        h._animationEnd(), h.fire("spiderfied");
      }, 200);
    },
    _animationUnspiderfy: function _animationUnspiderfy(t) {
      var e,
          i,
          n,
          s = this._group,
          r = s._map,
          o = s._featureGroup,
          a = t ? r._latLngToNewLayerPoint(this._latlng, t.zoom, t.center) : r.latLngToLayerPoint(this._latlng),
          h = this.getAllChildMarkers(),
          _ = L.Path.SVG && this.SVG_ANIMATION;

      for (s._animationStart(), this.setOpacity(1), i = h.length - 1; i >= 0; i--) {
        e = h[i], e._preSpiderfyLatlng && (e.setLatLng(e._preSpiderfyLatlng), delete e._preSpiderfyLatlng, e.setOpacity ? (e._setPos(a), e.setOpacity(0)) : o.removeLayer(e), _ && (n = e._spiderLeg._path.childNodes[0], n.setAttribute("to", n.getAttribute("from")), n.setAttribute("from", 0), n.beginElement(), n = e._spiderLeg._path.childNodes[1], n.setAttribute("from", .5), n.setAttribute("to", 0), n.setAttribute("stroke-opacity", 0), n.beginElement(), e._spiderLeg._path.setAttribute("stroke-opacity", 0)));
      }

      setTimeout(function () {
        var t = 0;

        for (i = h.length - 1; i >= 0; i--) {
          e = h[i], e._spiderLeg && t++;
        }

        for (i = h.length - 1; i >= 0; i--) {
          e = h[i], e._spiderLeg && (e.setOpacity && (e.setOpacity(1), e.setZIndexOffset(0)), t > 1 && o.removeLayer(e), r.removeLayer(e._spiderLeg), delete e._spiderLeg);
        }

        s._animationEnd();
      }, 200);
    }
  } : {
    _animationSpiderfy: function _animationSpiderfy(t, e) {
      var i,
          n,
          s,
          r,
          o = this._group,
          a = o._map,
          h = o._featureGroup;

      for (i = t.length - 1; i >= 0; i--) {
        r = a.layerPointToLatLng(e[i]), n = t[i], n._preSpiderfyLatlng = n._latlng, n.setLatLng(r), n.setZIndexOffset && n.setZIndexOffset(1e6), h.addLayer(n), s = new L.Polyline([this._latlng, r], {
          weight: 1.5,
          color: "#222"
        }), a.addLayer(s), n._spiderLeg = s;
      }

      this.setOpacity(.3), o.fire("spiderfied");
    },
    _animationUnspiderfy: function _animationUnspiderfy() {
      this._noanimationUnspiderfy();
    }
  }), L.MarkerClusterGroup.include({
    _spiderfied: null,
    _spiderfierOnAdd: function _spiderfierOnAdd() {
      this._map.on("click", this._unspiderfyWrapper, this), this._map.options.zoomAnimation && this._map.on("zoomstart", this._unspiderfyZoomStart, this), this._map.on("zoomend", this._noanimationUnspiderfy, this), L.Path.SVG && !L.Browser.touch && this._map._initPathRoot();
    },
    _spiderfierOnRemove: function _spiderfierOnRemove() {
      this._map.off("click", this._unspiderfyWrapper, this), this._map.off("zoomstart", this._unspiderfyZoomStart, this), this._map.off("zoomanim", this._unspiderfyZoomAnim, this), this._unspiderfy();
    },
    _unspiderfyZoomStart: function _unspiderfyZoomStart() {
      this._map && this._map.on("zoomanim", this._unspiderfyZoomAnim, this);
    },
    _unspiderfyZoomAnim: function _unspiderfyZoomAnim(t) {
      L.DomUtil.hasClass(this._map._mapPane, "leaflet-touching") || (this._map.off("zoomanim", this._unspiderfyZoomAnim, this), this._unspiderfy(t));
    },
    _unspiderfyWrapper: function _unspiderfyWrapper() {
      this._unspiderfy();
    },
    _unspiderfy: function _unspiderfy(t) {
      this._spiderfied && this._spiderfied.unspiderfy(t);
    },
    _noanimationUnspiderfy: function _noanimationUnspiderfy() {
      this._spiderfied && this._spiderfied._noanimationUnspiderfy();
    },
    _unspiderfyLayer: function _unspiderfyLayer(t) {
      t._spiderLeg && (this._featureGroup.removeLayer(t), t.setOpacity(1), t.setZIndexOffset(0), this._map.removeLayer(t._spiderLeg), delete t._spiderLeg);
    }
  });
}(window, document);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.zoombox.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/leaflet/leaflet.zoombox.js ***!
  \********************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

// https://github.com/consbio/Leaflet.ZoomBox
// Copyright (c) 2014, Conservation Biology Institute
//
// Permission to use, copy, modify, and/or distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
//
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
// ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
// OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
L.Control.ZoomBox = L.Control.extend({
  _active: false,
  _map: null,
  includes: L.Mixin.Events,
  options: {
    position: "topleft",
    className: "fa fa-search-plus",
    modal: false
  },
  onAdd: function onAdd(map) {
    this._map = map;
    this._container = L.DomUtil.create("div", "leaflet-zoom-box-control leaflet-bar");
    this._container.title = "Zoom to specific area";
    var link = L.DomUtil.create("a", this.options.className, this._container);
    link.href = "#";
    var _origMouseDown = map.boxZoom._onMouseDown;

    map.boxZoom._onMouseDown = function (e) {
      _origMouseDown.call(map.boxZoom, {
        clientX: e.clientX,
        clientY: e.clientY,
        which: 1,
        shiftKey: true
      });
    };

    map.on("zoomend", function () {
      if (map.getZoom() == map.getMaxZoom()) {
        L.DomUtil.addClass(link, "leaflet-disabled");
      } else {
        L.DomUtil.removeClass(link, "leaflet-disabled");
      }
    }, this);

    if (!this.options.modal) {
      map.on("boxzoomend", this.deactivate, this);
    }

    L.DomEvent.on(this._container, "dblclick", L.DomEvent.stop).on(this._container, "click", L.DomEvent.stop).on(this._container, "click", function () {
      this._active = !this._active;

      if (this._active && map.getZoom() != map.getMaxZoom()) {
        this.activate();
      } else {
        this.deactivate();
      }
    }, this);
    return this._container;
  },
  activate: function activate() {
    L.DomUtil.addClass(this._container, "active");

    this._map.dragging.disable();

    this._map.boxZoom.addHooks();

    L.DomUtil.addClass(this._map.getContainer(), "leaflet-zoom-box-crosshair");
  },
  deactivate: function deactivate() {
    L.DomUtil.removeClass(this._container, "active");

    this._map.dragging.enable();

    this._map.boxZoom.removeHooks();

    L.DomUtil.removeClass(this._map.getContainer(), "leaflet-zoom-box-crosshair");
    this._active = false;
    this._map.boxZoom._moved = false;
  }
});

L.control.zoomBox = function (options) {
  return new L.Control.ZoomBox(options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js ***!
  \*****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }



var nv = window.nv || {};
nv.version = '1.1.15b';
nv.dev = false; //set false when in production

window.nv = nv;
nv.tooltip = nv.tooltip || {}; // For the tooltip system

nv.utils = nv.utils || {}; // Utility subsystem

nv.models = nv.models || {}; //stores all the possible models/components

nv.charts = {}; //stores all the ready to use charts

nv.graphs = []; //stores all the graphs currently on the page

nv.logs = {}; //stores some statistics and potential error messages

nv.dom = {}; //DOM manipulation functions

nv.dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('render_start', 'render_end'); // *************************************************************************
//  Development render timers - disabled if dev = false

if (nv.dev) {
  nv.dispatch.on('render_start', function (e) {
    nv.logs.startTime = +new Date();
  });
  nv.dispatch.on('render_end', function (e) {
    nv.logs.endTime = +new Date();
    nv.logs.totalTime = nv.logs.endTime - nv.logs.startTime;
    nv.log('total', nv.logs.totalTime); // used for development, to keep track of graph generation times
  });
} // ********************************************
//  Public Core NV functions
// Logs all arguments, and returns the last so you can test things in place
// Note: in IE8 console.log is an object not a function, and if modernizr is used
// then calling Function.prototype.bind with with anything other than a function
// causes a TypeError to be thrown.


nv.log = function () {
  if (nv.dev && console.log && console.log.apply) console.log.apply(console, arguments);else if (nv.dev && typeof console.log == "function" && Function.prototype.bind) {
    var log = Function.prototype.bind.call(console.log, console);
    log.apply(console, arguments);
  }
  return arguments[arguments.length - 1];
};

nv.render = function () {
  nv.render.active = true;
  nv.dispatch.render_start();

  var renderLoop = function renderLoop() {
    if (!nv.render.queue.length) {
      nv.dispatch.render_end();
      nv.render.active = false;
      return;
    }

    var graph = nv.render.queue.shift();
    var chart = graph.generate();

    if (typeof graph.callback === 'function') {
      graph.callback(chart);
    }

    nv.graphs.push(chart);
    window.setTimeout(renderLoop, 0);
  };

  window.setTimeout(renderLoop, 0);
};

nv.render.active = false;
nv.render.queue = [];

nv.addGraph = function (obj) {
  if (_typeof(arguments[0]) === (typeof Function === "undefined" ? "undefined" : _typeof(Function))) obj = {
    generate: arguments[0],
    callback: arguments[1]
  };
  nv.render.queue.push(obj);
  if (!nv.render.active) nv.render();
};

nv.identity = function (d) {
  return d;
};

nv.strip = function (s) {
  return s.replace(/(\s|&)/g, '');
};

function daysInMonth(month, year) {
  return new Date(year, month + 1, 0).getDate();
}

function d3_time_range(floor, step, number) {
  return function (t0, t1, dt) {
    var time = floor(t0),
        times = [];
    if (time < t0) step(time);

    if (dt > 1) {
      while (time < t1) {
        var date = new Date(+time);
        if (number(date) % dt === 0) times.push(date);
        step(time);
      }
    } else {
      while (time < t1) {
        times.push(new Date(+time));
        step(time);
      }
    }

    return times;
  };
}

d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.time.monthEnd = function (date) {
  return new Date(date.getFullYear(), date.getMonth(), 0);
};

d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.time.monthEnds = d3_time_range(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.time.monthEnd, function (date) {
  date.setUTCDate(date.getUTCDate() + 1);
  date.setDate(daysInMonth(date.getMonth() + 1, date.getFullYear()));
}, function (date) {
  return date.getMonth();
});
/* Utility class to handle creation of an interactive layer.
This places a rectangle on top of the chart. When you mouse move over it, it sends a dispatch
containing the X-coordinate. It can also render a vertical line where the mouse is located.

dispatch.elementMousemove is the important event to latch onto.  It is fired whenever the mouse moves over
the rectangle. The dispatch is given one object which contains the mouseX/Y location.
It also has 'pointXValue', which is the conversion of mouseX to the x-axis scale.
*/

nv.interactiveGuideline = function () {
  "use strict";

  var tooltip = nv.models.tooltip(); //Public settings

  var width = null,
      height = null //Please pass in the bounding chart's top and left margins
  //This is important for calculating the correct mouseX/Y positions.
  ,
      margin = {
    left: 0,
    top: 0
  },
      xScale = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      yScale = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('elementMousemove', 'elementMouseout', 'elementDblclick'),
      showGuideLine = true,
      svgContainer = null //Must pass in the bounding chart's <svg> container.
  //The mousemove event is attached to this container.
  ; //Private variables

  var isMSIE = navigator.userAgent.indexOf("MSIE") !== -1 //Check user-agent for Microsoft Internet Explorer.
  ;

  function layer(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var availableWidth = width || 960,
          availableHeight = height || 400;
      var wrap = container.selectAll("g.nv-wrap.nv-interactiveLineLayer").data([data]);
      var wrapEnter = wrap.enter().append("g").attr("class", " nv-wrap nv-interactiveLineLayer");
      wrapEnter.append("g").attr("class", "nv-interactiveGuideLine");

      if (!svgContainer) {
        return;
      }

      function mouseHandler() {
        var d3mouse = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this);
        var mouseX = d3mouse[0];
        var mouseY = d3mouse[1];
        var subtractMargin = true;
        var mouseOutAnyReason = false;

        if (isMSIE) {
          /*
             d3v3.js (or maybe SVG.getScreenCTM) has a nasty bug in Internet Explorer 10.
             d3v3.mouse() returns incorrect X,Y mouse coordinates when mouse moving
             over a rect in IE 10.
             However, d3v3.event.offsetX/Y also returns the mouse coordinates
             relative to the triggering <rect>. So we use offsetX/Y on IE.  
          */
          mouseX = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.offsetX;
          mouseY = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.offsetY;
          /*
             On IE, if you attach a mouse event listener to the <svg> container,
             it will actually trigger it for all the child elements (like <path>, <circle>, etc).
             When this happens on IE, the offsetX/Y is set to where ever the child element
             is located.
             As a result, we do NOT need to subtract margins to figure out the mouse X/Y
             position under this scenario. Removing the line below *will* cause 
             the interactive layer to not work right on IE.
          */

          if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.target.tagName !== "svg") subtractMargin = false;
          if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.target.className.baseVal.match("nv-legend")) mouseOutAnyReason = true;
        }

        if (subtractMargin) {
          mouseX -= margin.left;
          mouseY -= margin.top;
        }
        /* If mouseX/Y is outside of the chart's bounds,
        trigger a mouseOut event.
        */


        if (mouseX < 0 || mouseY < 0 || mouseX > availableWidth || mouseY > availableHeight || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.relatedTarget && d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.relatedTarget.ownerSVGElement === undefined || mouseOutAnyReason) {
          if (isMSIE) {
            if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.relatedTarget && d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.relatedTarget.ownerSVGElement === undefined && d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.relatedTarget.className.match(tooltip.nvPointerEventsClass)) {
              return;
            }
          }

          dispatch.elementMouseout({
            mouseX: mouseX,
            mouseY: mouseY
          });
          layer.renderGuideLine(null); //hide the guideline

          return;
        }

        var pointXValue = xScale.invert(mouseX);
        dispatch.elementMousemove({
          mouseX: mouseX,
          mouseY: mouseY,
          pointXValue: pointXValue
        }); //If user double clicks the layer, fire a elementDblclick dispatch.

        if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.type === "dblclick") {
          dispatch.elementDblclick({
            mouseX: mouseX,
            mouseY: mouseY,
            pointXValue: pointXValue
          });
        }
      }

      svgContainer.on("mousemove", mouseHandler, true).on("mouseout", mouseHandler, true).on("dblclick", mouseHandler); //Draws a vertical guideline at the given X postion.

      layer.renderGuideLine = function (x) {
        if (!showGuideLine) return;
        var line = wrap.select(".nv-interactiveGuideLine").selectAll("line").data(x != null ? [nv.utils.NaNtoZero(x)] : [], String);
        line.enter().append("line").attr("class", "nv-guideline").attr("x1", function (d) {
          return d;
        }).attr("x2", function (d) {
          return d;
        }).attr("y1", availableHeight).attr("y2", 0);
        line.exit().remove();
      };
    });
  }

  layer.dispatch = dispatch;
  layer.tooltip = tooltip;

  layer.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return layer;
  };

  layer.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return layer;
  };

  layer.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return layer;
  };

  layer.xScale = function (_) {
    if (!arguments.length) return xScale;
    xScale = _;
    return layer;
  };

  layer.showGuideLine = function (_) {
    if (!arguments.length) return showGuideLine;
    showGuideLine = _;
    return layer;
  };

  layer.svgContainer = function (_) {
    if (!arguments.length) return svgContainer;
    svgContainer = _;
    return layer;
  };

  return layer;
};
/* Utility class that uses d3v3.bisect to find the index in a given array, where a search value can be inserted.
This is different from normal bisectLeft; this function finds the nearest index to insert the search value.

For instance, lets say your array is [1,2,3,5,10,30], and you search for 28. 
Normal d3v3.bisectLeft will return 4, because 28 is inserted after the number 10.  But interactiveBisect will return 5
because 28 is closer to 30 than 10.

Unit tests can be found in: interactiveBisectTest.html

Has the following known issues:
   * Will not work if the data points move backwards (ie, 10,9,8,7, etc) or if the data points are in random order.
   * Won't work if there are duplicate x coordinate values.
*/


nv.interactiveBisect = function (values, searchVal, xAccessor) {
  "use strict";

  if (!values instanceof Array) return null;
  if (typeof xAccessor !== 'function') xAccessor = function xAccessor(d, i) {
    return d.x;
  };
  var bisect = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.bisector(xAccessor).left;
  var index = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.max([0, bisect(values, searchVal) - 1]);
  var currentValue = xAccessor(values[index], index);
  if (typeof currentValue === 'undefined') currentValue = index;
  if (currentValue === searchVal) return index; //found exact match

  var nextIndex = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.min([index + 1, values.length - 1]);
  var nextValue = xAccessor(values[nextIndex], nextIndex);
  if (typeof nextValue === 'undefined') nextValue = nextIndex;
  if (Math.abs(nextValue - searchVal) >= Math.abs(currentValue - searchVal)) return index;else return nextIndex;
};
/*
Returns the index in the array "values" that is closest to searchVal.
Only returns an index if searchVal is within some "threshold".
Otherwise, returns null.
*/


nv.nearestValueIndex = function (values, searchVal, threshold) {
  "use strict";

  var yDistMax = Infinity,
      indexToHighlight = null;
  values.forEach(function (d, i) {
    var delta = Math.abs(searchVal - d);

    if (delta <= yDistMax && delta < threshold) {
      yDistMax = delta;
      indexToHighlight = i;
    }
  });
  return indexToHighlight;
};
/* Tooltip rendering model for nvd3 charts.
window.nv.models.tooltip is the updated,new way to render tooltips.
window.nv.tooltip.show is the old tooltip code.
window.nv.tooltip.* also has various helper methods.
*/


(function () {
  "use strict";

  window.nv.tooltip = {};
  /* Model which can be instantiated to handle tooltip rendering.
    Example usage: 
    var tip = nv.models.tooltip().gravity('w').distance(23)
                .data(myDataObject);
         tip();    //just invoke the returned function to render tooltip.
  */

  window.nv.models.tooltip = function () {
    var content = null //HTML contents of the tooltip.  If null, the content is generated via the data variable.
    ,
        data = null
    /* Tooltip data. If data is given in the proper format, a consistent tooltip is generated.
    Format of data:
    {
    key: "Date",
    value: "August 2009", 
    series: [
    {
    key: "Series 1",
    value: "Value 1",
    color: "#000"
    },
    {
    key: "Series 2",
    value: "Value 2",
    color: "#00f"
    }
    ]
    }
    */
    ,
        gravity = 'w' //Can be 'n','s','e','w'. Determines how tooltip is positioned.
    ,
        distance = 50 //Distance to offset tooltip from the mouse location.
    ,
        snapDistance = 25 //Tolerance allowed before tooltip is moved from its current position (creates 'snapping' effect)
    ,
        fixedTop = null //If not null, this fixes the top position of the tooltip.
    ,
        classes = null //Attaches additional CSS classes to the tooltip DIV that is created.
    ,
        chartContainer = null //Parent DIV, of the SVG Container that holds the chart.
    ,
        tooltipElem = null //actual DOM element representing the tooltip.
    ,
        position = {
      left: null,
      top: null
    } //Relative position of the tooltip inside chartContainer.
    ,
        enabled = true //True -> tooltips are rendered. False -> don't render tooltips.
    //Generates a unique id when you create a new tooltip() object
    ,
        id = "nvtooltip-" + Math.floor(Math.random() * 100000); //CSS class to specify whether element should not have mouse events.

    var nvPointerEventsClass = "nv-pointer-events-none"; //Format function for the tooltip values column

    var valueFormatter = function valueFormatter(d, i) {
      return d;
    }; //Format function for the tooltip header value.


    var headerFormatter = function headerFormatter(d) {
      return d;
    }; //By default, the tooltip model renders a beautiful table inside a DIV.
    //You can override this function if a custom tooltip is desired.


    var contentGenerator = function contentGenerator(d) {
      if (content != null) return content;
      if (d == null) return '';
      var table = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(document.createElement("table"));
      var theadEnter = table.selectAll("thead").data([d]).enter().append("thead");
      theadEnter.append("tr").append("td").attr("colspan", 3).append("strong").classed("x-value", true).html(headerFormatter(d.value));
      var tbodyEnter = table.selectAll("tbody").data([d]).enter().append("tbody");
      var trowEnter = tbodyEnter.selectAll("tr").data(function (p) {
        return p.series;
      }).enter().append("tr").classed("highlight", function (p) {
        return p.highlight;
      });
      trowEnter.append("td").classed("legend-color-guide", true).append("div").style("background-color", function (p) {
        return p.color;
      });
      trowEnter.append("td").classed("key", true).html(function (p) {
        return p.key;
      });
      trowEnter.append("td").classed("value", true).html(function (p, i) {
        return valueFormatter(p.value, i);
      });
      trowEnter.selectAll("td").each(function (p) {
        if (p.highlight) {
          var opacityScale = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain([0, 1]).range(["#fff", p.color]);
          var opacity = 0.6;
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).style("border-bottom-color", opacityScale(opacity)).style("border-top-color", opacityScale(opacity));
        }
      });
      var html = table.node().outerHTML;
      if (d.footer !== undefined) html += "<div class='footer'>" + d.footer + "</div>";
      return html;
    };

    var dataSeriesExists = function dataSeriesExists(d) {
      if (d && d.series && d.series.length > 0) return true;
      return false;
    }; //In situations where the chart is in a 'viewBox', re-position the tooltip based on how far chart is zoomed.


    function convertViewBoxRatio() {
      if (chartContainer) {
        var svg = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(chartContainer);

        if (svg.node().tagName !== "svg") {
          svg = svg.select("svg");
        }

        var viewBox = svg.node() ? svg.attr('viewBox') : null;

        if (viewBox) {
          viewBox = viewBox.split(' ');
          var ratio = parseInt(svg.style('width')) / viewBox[2];
          position.left = position.left * ratio;
          position.top = position.top * ratio;
        }
      }
    } //Creates new tooltip container, or uses existing one on DOM.


    function getTooltipContainer(newContent) {
      var body;
      if (chartContainer) body = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(chartContainer);else body = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select("body");
      var container = body.select(".nvtooltip");

      if (container.node() === null) {
        //Create new tooltip div if it doesn't exist on DOM.
        container = body.append("div").attr("class", "nvtooltip " + (classes ? classes : "xy-tooltip")).attr("id", id);
      }

      container.node().innerHTML = newContent;
      container.style("top", 0).style("left", 0).style("opacity", 0);
      container.selectAll("div, table, td, tr").classed(nvPointerEventsClass, true);
      container.classed(nvPointerEventsClass, true);
      return container.node();
    } //Draw the tooltip onto the DOM.


    function nvtooltip() {
      if (!enabled) return;
      if (!dataSeriesExists(data)) return;
      convertViewBoxRatio();
      var left = position.left;
      var top = fixedTop != null ? fixedTop : position.top;
      var container = getTooltipContainer(contentGenerator(data));
      tooltipElem = container;

      if (chartContainer) {
        var svgComp = chartContainer.getElementsByTagName("svg")[0];
        var boundRect = svgComp ? svgComp.getBoundingClientRect() : chartContainer.getBoundingClientRect();
        var svgOffset = {
          left: 0,
          top: 0
        };

        if (svgComp) {
          var svgBound = svgComp.getBoundingClientRect();
          var chartBound = chartContainer.getBoundingClientRect();
          var svgBoundTop = svgBound.top; //Defensive code. Sometimes, svgBoundTop can be a really negative
          //  number, like -134254. That's a bug. 
          //  If such a number is found, use zero instead. FireFox bug only

          if (svgBoundTop < 0) {
            var containerBound = chartContainer.getBoundingClientRect();
            svgBoundTop = Math.abs(svgBoundTop) > containerBound.height ? 0 : svgBoundTop;
          }

          svgOffset.top = Math.abs(svgBoundTop - chartBound.top);
          svgOffset.left = Math.abs(svgBound.left - chartBound.left);
        } //If the parent container is an overflow <div> with scrollbars, subtract the scroll offsets.
        //You need to also add any offset between the <svg> element and its containing <div>
        //Finally, add any offset of the containing <div> on the whole page.


        left += chartContainer.offsetLeft + svgOffset.left - 2 * chartContainer.scrollLeft;
        top += chartContainer.offsetTop + svgOffset.top - 2 * chartContainer.scrollTop;
      }

      if (snapDistance && snapDistance > 0) {
        top = Math.floor(top / snapDistance) * snapDistance;
      }

      nv.tooltip.calcTooltipPosition([left, top], gravity, distance, container);
      return nvtooltip;
    }

    ;
    nvtooltip.nvPointerEventsClass = nvPointerEventsClass;

    nvtooltip.content = function (_) {
      if (!arguments.length) return content;
      content = _;
      return nvtooltip;
    }; //Returns tooltipElem...not able to set it.


    nvtooltip.tooltipElem = function () {
      return tooltipElem;
    };

    nvtooltip.contentGenerator = function (_) {
      if (!arguments.length) return contentGenerator;

      if (typeof _ === 'function') {
        contentGenerator = _;
      }

      return nvtooltip;
    };

    nvtooltip.data = function (_) {
      if (!arguments.length) return data;
      data = _;
      return nvtooltip;
    };

    nvtooltip.gravity = function (_) {
      if (!arguments.length) return gravity;
      gravity = _;
      return nvtooltip;
    };

    nvtooltip.distance = function (_) {
      if (!arguments.length) return distance;
      distance = _;
      return nvtooltip;
    };

    nvtooltip.snapDistance = function (_) {
      if (!arguments.length) return snapDistance;
      snapDistance = _;
      return nvtooltip;
    };

    nvtooltip.classes = function (_) {
      if (!arguments.length) return classes;
      classes = _;
      return nvtooltip;
    };

    nvtooltip.chartContainer = function (_) {
      if (!arguments.length) return chartContainer;
      chartContainer = _;
      return nvtooltip;
    };

    nvtooltip.position = function (_) {
      if (!arguments.length) return position;
      position.left = typeof _.left !== 'undefined' ? _.left : position.left;
      position.top = typeof _.top !== 'undefined' ? _.top : position.top;
      return nvtooltip;
    };

    nvtooltip.fixedTop = function (_) {
      if (!arguments.length) return fixedTop;
      fixedTop = _;
      return nvtooltip;
    };

    nvtooltip.enabled = function (_) {
      if (!arguments.length) return enabled;
      enabled = _;
      return nvtooltip;
    };

    nvtooltip.valueFormatter = function (_) {
      if (!arguments.length) return valueFormatter;

      if (typeof _ === 'function') {
        valueFormatter = _;
      }

      return nvtooltip;
    };

    nvtooltip.headerFormatter = function (_) {
      if (!arguments.length) return headerFormatter;

      if (typeof _ === 'function') {
        headerFormatter = _;
      }

      return nvtooltip;
    }; //id() is a read-only function. You can't use it to set the id.


    nvtooltip.id = function () {
      return id;
    };

    return nvtooltip;
  }; //Original tooltip.show function. Kept for backward compatibility.
  // pos = [left,top]


  nv.tooltip.show = function (pos, content, gravity, dist, parentContainer, classes) {
    //Create new tooltip div if it doesn't exist on DOM.
    var container = document.createElement('div');
    container.className = 'nvtooltip ' + (classes ? classes : 'xy-tooltip');
    var body = parentContainer;

    if (!parentContainer || parentContainer.tagName.match(/g|svg/i)) {
      //If the parent element is an SVG element, place tooltip in the <body> element.
      body = document.getElementsByTagName('body')[0];
    }

    container.style.left = 0;
    container.style.top = 0;
    container.style.opacity = 0;
    container.innerHTML = content;
    body.appendChild(container); //If the parent container is an overflow <div> with scrollbars, subtract the scroll offsets.

    if (parentContainer) {
      pos[0] = pos[0] - parentContainer.scrollLeft;
      pos[1] = pos[1] - parentContainer.scrollTop;
    }

    nv.tooltip.calcTooltipPosition(pos, gravity, dist, container);
  }; //Looks up the ancestry of a DOM element, and returns the first NON-svg node.


  nv.tooltip.findFirstNonSVGParent = function (Elem) {
    while (Elem.tagName.match(/^g|svg$/i) !== null) {
      Elem = Elem.parentNode;
    }

    return Elem;
  }; //Finds the total offsetTop of a given DOM element.
  //Looks up the entire ancestry of an element, up to the first relatively positioned element.


  nv.tooltip.findTotalOffsetTop = function (Elem, initialTop) {
    var offsetTop = initialTop;

    do {
      if (!isNaN(Elem.offsetTop)) {
        offsetTop += Elem.offsetTop;
      }
    } while (Elem = Elem.offsetParent);

    return offsetTop;
  }; //Finds the total offsetLeft of a given DOM element.
  //Looks up the entire ancestry of an element, up to the first relatively positioned element.


  nv.tooltip.findTotalOffsetLeft = function (Elem, initialLeft) {
    var offsetLeft = initialLeft;

    do {
      if (!isNaN(Elem.offsetLeft)) {
        offsetLeft += Elem.offsetLeft;
      }
    } while (Elem = Elem.offsetParent);

    return offsetLeft;
  }; //Global utility function to render a tooltip on the DOM.
  //pos = [left,top] coordinates of where to place the tooltip, relative to the SVG chart container.
  //gravity = how to orient the tooltip
  //dist = how far away from the mouse to place tooltip
  //container = tooltip DIV


  nv.tooltip.calcTooltipPosition = function (pos, gravity, dist, container) {
    var height = parseInt(container.offsetHeight),
        width = parseInt(container.offsetWidth),
        windowWidth = nv.utils.windowSize().width,
        windowHeight = nv.utils.windowSize().height,
        scrollTop = window.pageYOffset,
        scrollLeft = window.pageXOffset,
        left,
        top;
    windowHeight = window.innerWidth >= document.body.scrollWidth ? windowHeight : windowHeight - 16;
    windowWidth = window.innerHeight >= document.body.scrollHeight ? windowWidth : windowWidth - 16;
    gravity = gravity || 's';
    dist = dist || 20;

    var tooltipTop = function tooltipTop(Elem) {
      return nv.tooltip.findTotalOffsetTop(Elem, top);
    };

    var tooltipLeft = function tooltipLeft(Elem) {
      return nv.tooltip.findTotalOffsetLeft(Elem, left);
    };

    switch (gravity) {
      case 'e':
        left = pos[0] - width - dist;
        top = pos[1] - height / 2;
        var tLeft = tooltipLeft(container);
        var tTop = tooltipTop(container);
        if (tLeft < scrollLeft) left = pos[0] + dist > scrollLeft ? pos[0] + dist : scrollLeft - tLeft + left;
        if (tTop < scrollTop) top = scrollTop - tTop + top;
        if (tTop + height > scrollTop + windowHeight) top = scrollTop + windowHeight - tTop + top - height;
        break;

      case 'w':
        left = pos[0] + dist;
        top = pos[1] - height / 2;
        var tLeft = tooltipLeft(container);
        var tTop = tooltipTop(container);
        if (tLeft + width > windowWidth) left = pos[0] - width - dist;
        if (tTop < scrollTop) top = scrollTop + 5;
        if (tTop + height > scrollTop + windowHeight) top = scrollTop + windowHeight - tTop + top - height;
        break;

      case 'n':
        left = pos[0] - width / 2 - 5;
        top = pos[1] + dist;
        var tLeft = tooltipLeft(container);
        var tTop = tooltipTop(container);
        if (tLeft < scrollLeft) left = scrollLeft + 5;
        if (tLeft + width > windowWidth) left = left - width / 2 + 5;
        if (tTop + height > scrollTop + windowHeight) top = scrollTop + windowHeight - tTop + top - height;
        break;

      case 's':
        left = pos[0] - width / 2;
        top = pos[1] - height - dist;
        var tLeft = tooltipLeft(container);
        var tTop = tooltipTop(container);
        windowWidth = nv.tooltip.findTotalOffsetLeft(container.parentElement, 0) + container.parentElement.scrollWidth;
        if (tLeft < scrollLeft) left = scrollLeft + 5;
        if (tLeft + width > windowWidth) left = left - width / 2 + 5;
        if (scrollTop > tTop) top = scrollTop;
        break;

      case 'none':
        left = pos[0];
        top = pos[1] - dist;
        var tLeft = tooltipLeft(container);
        var tTop = tooltipTop(container);
        break;
    }

    container.style.left = left + 'px';
    container.style.top = Math.max(top, 0) + 'px';
    container.style.opacity = 1;
    container.style.position = 'absolute';
    return container;
  }; //Global utility function to remove tooltips from the DOM.


  nv.tooltip.cleanup = function () {
    // Find the tooltips, mark them for removal by this class (so others cleanups won't find it)
    var tooltips = document.getElementsByClassName('nvtooltip');
    var purging = [];

    while (tooltips.length) {
      purging.push(tooltips[0]);
      tooltips[0].style.transitionDelay = '0 !important';
      tooltips[0].style.opacity = 0;
      tooltips[0].className = 'nvtooltip-pending-removal';
    }

    setTimeout(function () {
      while (purging.length) {
        var removeMe = purging.pop();
        removeMe.parentNode.removeChild(removeMe);
      }
    }, 500);
  };
})();

nv.utils.windowSize = function () {
  // Sane defaults
  var size = {
    width: 640,
    height: 480
  }; // Earlier IE uses Doc.body

  if (document.body && document.body.offsetWidth) {
    size.width = document.body.offsetWidth;
    size.height = document.body.offsetHeight;
  } // IE can use depending on mode it is in


  if (document.compatMode == 'CSS1Compat' && document.documentElement && document.documentElement.offsetWidth) {
    size.width = document.documentElement.offsetWidth;
    size.height = document.documentElement.offsetHeight;
  } // Most recent browsers use


  if (window.innerWidth && window.innerHeight) {
    size.width = window.innerWidth;
    size.height = window.innerHeight;
  }

  return size;
}; // Easy way to bind multiple functions to window.onresize
// TODO: give a way to remove a function after its bound, other than removing all of them


nv.utils.windowResize = function (fun) {
  if (fun === undefined) return;
  var oldresize = window.onresize;

  window.onresize = function (e) {
    if (typeof oldresize == 'function') oldresize(e);
    fun(e);
  };
}; // Backwards compatible way to implement more d3-like coloring of graphs.
// If passed an array, wrap it in a function which implements the old default
// behavior


nv.utils.getColor = function (color) {
  if (!arguments.length) return nv.utils.defaultColor(); //if you pass in nothing, get default colors back

  if (Object.prototype.toString.call(color) === '[object Array]') return function (d, i) {
    return d.color || color[i % color.length];
  };else return color; //can't really help it if someone passes rubbish as color
}; // Default color chooser uses the index of an object as before.


nv.utils.defaultColor = function () {
  var colors = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.ordinal().range(_utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].cuiD3Scale()).range();
  return function (d, i) {
    return d.color || colors[i % colors.length];
  };
}; // Returns a color function that takes the result of 'getKey' for each series and
// looks for a corresponding color from the dictionary,


nv.utils.customTheme = function (dictionary, getKey, defaultColors) {
  getKey = getKey || function (series) {
    return series.key;
  }; // use default series.key if getKey is undefined


  defaultColors = defaultColors || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.category20().range(); //default color function

  var defIndex = defaultColors.length; //current default color (going in reverse)

  return function (series, index) {
    var key = getKey(series);
    if (!defIndex) defIndex = defaultColors.length; //used all the default colors, start over

    if (typeof dictionary[key] !== "undefined") return typeof dictionary[key] === "function" ? dictionary[key]() : dictionary[key];else return defaultColors[--defIndex]; // no match in dictionary, use default color
  };
}; // From the PJAX example on d3js.org, while this is not really directly needed
// it's a very cool method for doing pjax, I may expand upon it a little bit,
// open to suggestions on anything that may be useful


nv.utils.pjax = function (links, content) {
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll(links).on("click", function () {
    history.pushState(this.href, this.textContent, this.href);
    load(this.href);
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.preventDefault();
  });

  function load(href) {
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.html(href, function (fragment) {
      var target = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(content).node();
      target.parentNode.replaceChild(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(fragment).select(content).node(), target);
      nv.utils.pjax(links, content);
    });
  }

  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(window).on("popstate", function () {
    if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.state) load(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.state);
  });
};
/* For situations where we want to approximate the width in pixels for an SVG:text element.
Most common instance is when the element is in a display:none; container.
Forumla is : text.length * font-size * constant_factor
*/


nv.utils.calcApproxTextWidth = function (svgTextElem) {
  if (typeof svgTextElem.style === 'function' && typeof svgTextElem.text === 'function') {
    var fontSize = parseInt(svgTextElem.style("font-size").replace("px", ""));
    var textLength = svgTextElem.text().length;
    return textLength * fontSize * 0.5;
  }

  return 0;
};
/* Numbers that are undefined, null or NaN, convert them to zeros.
*/


nv.utils.NaNtoZero = function (n) {
  if (typeof n !== 'number' || isNaN(n) || n === null || n === Infinity) return 0;
  return n;
};
/*
Snippet of code you can insert into each nv.models.* to give you the ability to
do things like:
chart.options({
  showXAxis: true,
  tooltips: true
});

To enable in the chart:
chart.options = nv.utils.optionsFunc.bind(chart);
*/


nv.utils.optionsFunc = function (args) {
  if (args) {
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.map(args).forEach(function (key, value) {
      if (typeof this[key] === "function") {
        this[key](value);
      }
    }.bind(this));
  }

  return this;
};

nv.models.axis = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var axis = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.axis();
  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 75 //only used for tickLabel currently
  ,
      height = 60 //only used for tickLabel currently
  ,
      scale = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      axisLabelText = null,
      showMaxMin = true //TODO: showMaxMin should be disabled on all ordinal scaled axes
  ,
      highlightZero = true,
      rotateLabels = 0,
      rotateYLabel = true,
      staggerLabels = false,
      isOrdinal = false,
      ticks = null,
      axisLabelDistance = 12 //The larger this number is, the closer the axis label is to the axis.
  ;
  axis.scale(scale).orient('bottom').tickFormat(function (d) {
    return d;
  }); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var scale0; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-axis').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-axis');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g'); //------------------------------------------------------------

      if (ticks !== null) axis.ticks(ticks);else if (axis.orient() == 'top' || axis.orient() == 'bottom') axis.ticks(Math.abs(scale.range()[1] - scale.range()[0]) / 100); //TODO: consider calculating width/height based on whether or not label is added, for reference in charts using this component

      g.transition().call(axis);
      scale0 = scale0 || axis.scale();
      var fmt = axis.tickFormat();

      if (fmt == null) {
        fmt = scale0.tickFormat();
      }

      var axisLabel = g.selectAll('text.nv-axislabel').data([axisLabelText || null]);
      axisLabel.exit().remove();

      switch (axis.orient()) {
        case 'top':
          axisLabel.enter().append('text').attr('class', 'nv-axislabel');
          var w = scale.range().length == 2 ? scale.range()[1] : scale.range()[scale.range().length - 1] + (scale.range()[1] - scale.range()[0]);
          axisLabel.attr('text-anchor', 'middle').attr('y', 0).attr('x', nv.utils.NaNtoZero(w) / 2);

          if (showMaxMin) {
            var axisMaxMin = wrap.selectAll('g.nv-axisMaxMin').data(scale.domain());
            axisMaxMin.enter().append('g').attr('class', 'nv-axisMaxMin').append('text');
            axisMaxMin.exit().remove();
            axisMaxMin.attr('transform', function (d, i) {
              return 'translate(' + scale(d) + ',0)';
            }).select('text').attr('dy', '-0.5em').attr('y', -axis.tickPadding()).attr('text-anchor', 'middle').text(function (d, i) {
              var v = fmt(d);
              return ('' + v).match('NaN') ? '' : v;
            });
            axisMaxMin.transition().attr('transform', function (d, i) {
              return 'translate(' + scale.range()[i] + ',0)';
            });
          }

          break;

        case 'bottom':
          var xLabelMargin = 36;
          var maxTextWidth = 30;
          var xTicks = g.selectAll('g').select("text");

          if (rotateLabels % 360) {
            //Calculate the longest xTick width
            xTicks.each(function (d, i) {
              var width = this.getBBox().width;
              if (width > maxTextWidth) maxTextWidth = width;
            }); //Convert to radians before calculating sin. Add 30 to margin for healthy padding.

            var sin = Math.abs(Math.sin(rotateLabels * Math.PI / 180));
            var xLabelMargin = (sin ? sin * maxTextWidth : maxTextWidth) + 30; //Rotate all xTicks

            xTicks.attr('transform', function (d, i, j) {
              return 'rotate(' + rotateLabels + ' 0,0)';
            }).style('text-anchor', rotateLabels % 360 > 0 ? 'start' : 'end');
          }

          axisLabel.enter().append('text').attr('class', 'nv-axislabel');
          var w = scale.range().length == 2 ? scale.range()[1] : scale.range()[scale.range().length - 1] + (scale.range()[1] - scale.range()[0]);
          axisLabel.attr('text-anchor', 'middle').attr('y', xLabelMargin).attr('x', nv.utils.NaNtoZero(w) / 2);

          if (showMaxMin) {
            //if (showMaxMin && !isOrdinal) {
            var axisMaxMin = wrap.selectAll('g.nv-axisMaxMin') //.data(scale.domain())
            .data([scale.domain()[0], scale.domain()[scale.domain().length - 1]]);
            axisMaxMin.enter().append('g').attr('class', 'nv-axisMaxMin').append('text');
            axisMaxMin.exit().remove();
            axisMaxMin.attr('transform', function (d, i) {
              return 'translate(' + (scale(d) + (isOrdinal ? scale.rangeBand() / 2 : 0)) + ',0)';
            }).select('text').attr('dy', '.71em').attr('y', axis.tickPadding()).attr('transform', function (d, i, j) {
              return 'rotate(' + rotateLabels + ' 0,0)';
            }).style('text-anchor', rotateLabels ? rotateLabels % 360 > 0 ? 'start' : 'end' : 'middle').text(function (d, i) {
              var v = fmt(d);
              return ('' + v).match('NaN') ? '' : v;
            });
            axisMaxMin.transition().attr('transform', function (d, i) {
              //return 'translate(' + scale.range()[i] + ',0)'
              //return 'translate(' + scale(d) + ',0)'
              return 'translate(' + (scale(d) + (isOrdinal ? scale.rangeBand() / 2 : 0)) + ',0)';
            });
          }

          if (staggerLabels) xTicks.attr('transform', function (d, i) {
            return 'translate(0,' + (i % 2 == 0 ? '0' : '12') + ')';
          });
          break;

        case 'right':
          axisLabel.enter().append('text').attr('class', 'nv-axislabel');
          axisLabel.style('text-anchor', rotateYLabel ? 'middle' : 'begin').attr('transform', rotateYLabel ? 'rotate(90)' : '').attr('y', rotateYLabel ? -Math.max(margin.right, width) + 12 : -10) //TODO: consider calculating this based on largest tick width... OR at least expose this on chart
          .attr('x', rotateYLabel ? scale.range()[0] / 2 : axis.tickPadding());

          if (showMaxMin) {
            var axisMaxMin = wrap.selectAll('g.nv-axisMaxMin').data(scale.domain());
            axisMaxMin.enter().append('g').attr('class', 'nv-axisMaxMin').append('text').style('opacity', 0);
            axisMaxMin.exit().remove();
            axisMaxMin.attr('transform', function (d, i) {
              return 'translate(0,' + scale(d) + ')';
            }).select('text').attr('dy', '.32em').attr('y', 0).attr('x', axis.tickPadding()).style('text-anchor', 'start').text(function (d, i) {
              var v = fmt(d);
              return ('' + v).match('NaN') ? '' : v;
            });
            axisMaxMin.transition().attr('transform', function (d, i) {
              return 'translate(0,' + scale.range()[i] + ')';
            }).select('text').style('opacity', 1);
          }

          break;

        case 'left':
          /*
          //For dynamically placing the label. Can be used with dynamically-sized chart axis margins
          var yTicks = g.selectAll('g').select("text");
          yTicks.each(function(d,i){
            var labelPadding = this.getBBox().width + axis.tickPadding() + 16;
            if(labelPadding > width) width = labelPadding;
          });
          */
          axisLabel.enter().append('text').attr('class', 'nv-axislabel');
          axisLabel.style('text-anchor', rotateYLabel ? 'middle' : 'end').attr('transform', rotateYLabel ? 'rotate(-90)' : '').attr('y', rotateYLabel ? -Math.max(margin.left, width) + axisLabelDistance : -10) //TODO: consider calculating this based on largest tick width... OR at least expose this on chart
          .attr('x', rotateYLabel ? -scale.range()[0] / 2 : -axis.tickPadding());

          if (showMaxMin) {
            var axisMaxMin = wrap.selectAll('g.nv-axisMaxMin').data(scale.domain());
            axisMaxMin.enter().append('g').attr('class', 'nv-axisMaxMin').append('text').style('opacity', 0);
            axisMaxMin.exit().remove();
            axisMaxMin.attr('transform', function (d, i) {
              return 'translate(0,' + scale0(d) + ')';
            }).select('text').attr('dy', '.32em').attr('y', 0).attr('x', -axis.tickPadding()).attr('text-anchor', 'end').text(function (d, i) {
              var v = fmt(d);
              return ('' + v).match('NaN') ? '' : v.toString().substr(0, 8);
            });
            axisMaxMin.transition().attr('transform', function (d, i) {
              return 'translate(0,' + scale.range()[i] + ')';
            }).select('text').style('opacity', 1);
          }

          break;
      }

      axisLabel.text(function (d) {
        return d;
      });

      if (showMaxMin && (axis.orient() === 'left' || axis.orient() === 'right')) {
        //check if max and min overlap other values, if so, hide the values that overlap
        g.selectAll('g') // the g's wrapping each tick
        .each(function (d, i) {
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text').attr('opacity', 1);

          if (scale(d) < scale.range()[1] + 10 || scale(d) > scale.range()[0] - 10) {
            // 10 is assuming text height is 16... if d is 0, leave it!
            if (d > 1e-10 || d < -1e-10) // accounts for minor floating point errors... though could be problematic if the scale is EXTREMELY SMALL
              d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).attr('opacity', 0);
            d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text').attr('opacity', 0); // Don't remove the ZERO line!!
          }
        }); //if Max and Min = 0 only show min, Issue #281

        if (scale.domain()[0] == scale.domain()[1] && scale.domain()[0] == 0) wrap.selectAll('g.nv-axisMaxMin').style('opacity', function (d, i) {
          return !i ? 1 : 0;
        });
      }

      if (showMaxMin && (axis.orient() === 'top' || axis.orient() === 'bottom')) {
        var maxMinRange = [];
        wrap.selectAll('g.nv-axisMaxMin').each(function (d, i) {
          try {
            if (i) // i== 1, max position
              maxMinRange.push(scale(d) - this.getBBox().width - 4); //assuming the max and min labels are as wide as the next tick (with an extra 4 pixels just in case)
            else // i==0, min position
              maxMinRange.push(scale(d) + this.getBBox().width + 4);
          } catch (err) {
            if (i) // i== 1, max position
              maxMinRange.push(scale(d) - 4); //assuming the max and min labels are as wide as the next tick (with an extra 4 pixels just in case)
            else // i==0, min position
              maxMinRange.push(scale(d) + 4);
          }
        });
        g.selectAll('g') // the g's wrapping each tick
        .each(function (d, i) {
          if (scale(d) < maxMinRange[0] || scale(d) > maxMinRange[1]) {
            if (d > 1e-10 || d < -1e-10) // accounts for minor floating point errors... though could be problematic if the scale is EXTREMELY SMALL
              d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).remove();else d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text').remove(); // Don't remove the ZERO line!!
          }
        });
      } //highlight zero line ... Maybe should not be an option and should just be in CSS?


      if (highlightZero) g.selectAll('.tick').filter(function (d) {
        return !parseFloat(Math.round(d.__data__ * 100000) / 1000000) && d.__data__ !== undefined;
      }) //this is because sometimes the 0 tick is a very small fraction, TODO: think of cleaner technique
      .classed('zero', true); //store old scales for use in transitions on update

      scale0 = scale.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components


  chart.axis = axis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, axis, 'orient', 'tickValues', 'tickSubdivide', 'tickSize', 'tickPadding', 'tickFormat');
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scale, 'domain', 'range', 'rangeBand', 'rangeBands'); //these are also accessible by chart.scale(), but added common ones directly for ease of use

  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.ticks = function (_) {
    if (!arguments.length) return ticks;
    ticks = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.axisLabel = function (_) {
    if (!arguments.length) return axisLabelText;
    axisLabelText = _;
    return chart;
  };

  chart.showMaxMin = function (_) {
    if (!arguments.length) return showMaxMin;
    showMaxMin = _;
    return chart;
  };

  chart.highlightZero = function (_) {
    if (!arguments.length) return highlightZero;
    highlightZero = _;
    return chart;
  };

  chart.scale = function (_) {
    if (!arguments.length) return scale;
    scale = _;
    axis.scale(scale);
    isOrdinal = typeof scale.rangeBands === 'function';
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scale, 'domain', 'range', 'rangeBand', 'rangeBands');
    return chart;
  };

  chart.rotateYLabel = function (_) {
    if (!arguments.length) return rotateYLabel;
    rotateYLabel = _;
    return chart;
  };

  chart.rotateLabels = function (_) {
    if (!arguments.length) return rotateLabels;
    rotateLabels = _;
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) return staggerLabels;
    staggerLabels = _;
    return chart;
  };

  chart.axisLabelDistance = function (_) {
    if (!arguments.length) return axisLabelDistance;
    axisLabelDistance = _;
    return chart;
  }; //============================================================


  return chart;
}; //TODO: consider deprecating and using multibar with single series for this


nv.models.historicalBar = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceX = [],
      forceY = [0],
      padData = false,
      clipEdge = true,
      color = nv.utils.defaultColor(),
      xDomain,
      yDomain,
      xRange,
      yRange,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'),
      interactive = true; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(data[0].values.map(getX).concat(forceX)));
      if (padData) x.range(xRange || [availableWidth * .5 / data[0].values.length, availableWidth * (data[0].values.length - .5) / data[0].values.length]);else x.range(xRange || [0, availableWidth]);
      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(data[0].values.map(getY).concat(forceY))).range(yRange || [availableHeight, 0]); // If scale's domain don't have a range, slightly adjust to make one... so a chart can show a single data point

      if (x.domain()[0] === x.domain()[1]) x.domain()[0] ? x.domain([x.domain()[0] - x.domain()[0] * 0.01, x.domain()[1] + x.domain()[1] * 0.01]) : x.domain([-1, 1]);
      if (y.domain()[0] === y.domain()[1]) y.domain()[0] ? y.domain([y.domain()[0] + y.domain()[0] * 0.01, y.domain()[1] - y.domain()[1] * 0.01]) : y.domain([-1, 1]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-historicalBar-' + id).data([data[0].values]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-historicalBar-' + id);
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-bars');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      container.on('click', function (d, i) {
        dispatch.chartClick({
          data: d,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
      });
      defsEnter.append('clipPath').attr('id', 'nv-chart-clip-path-' + id).append('rect');
      wrap.select('#nv-chart-clip-path-' + id + ' rect').attr('width', availableWidth).attr('height', availableHeight);
      g.attr('clip-path', clipEdge ? 'url(#nv-chart-clip-path-' + id + ')' : '');
      var bars = wrap.select('.nv-bars').selectAll('.nv-bar').data(function (d) {
        return d;
      }, function (d, i) {
        return getX(d, i);
      });
      bars.exit().remove();
      var barsEnter = bars.enter().append('rect') //.attr('class', function(d,i,j) { return (getY(d,i) < 0 ? 'nv-bar negative' : 'nv-bar positive') + ' nv-bar-' + j + '-' + i })
      .attr('x', 0).attr('y', function (d, i) {
        return nv.utils.NaNtoZero(y(Math.max(0, getY(d, i))));
      }).attr('height', function (d, i) {
        return nv.utils.NaNtoZero(Math.abs(y(getY(d, i)) - y(0)));
      }).attr('transform', function (d, i) {
        return 'translate(' + (x(getX(d, i)) - availableWidth / data[0].values.length * .45) + ',0)';
      }).on('mouseover', function (d, i) {
        if (!interactive) return;
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          point: d,
          series: data[0],
          pos: [x(getX(d, i)), y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: 0,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('mouseout', function (d, i) {
        if (!interactive) return;
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          point: d,
          series: data[0],
          pointIndex: i,
          seriesIndex: 0,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('click', function (d, i) {
        if (!interactive) return;
        dispatch.elementClick({
          //label: d[label],
          value: getY(d, i),
          data: d,
          index: i,
          pos: [x(getX(d, i)), y(getY(d, i))],
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        if (!interactive) return;
        dispatch.elementDblClick({
          //label: d[label],
          value: getY(d, i),
          data: d,
          index: i,
          pos: [x(getX(d, i)), y(getY(d, i))],
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      bars.attr('fill', function (d, i) {
        return color(d, i);
      }).attr('class', function (d, i, j) {
        return (getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive') + ' nv-bar-' + j + '-' + i;
      }).transition().attr('transform', function (d, i) {
        return 'translate(' + (x(getX(d, i)) - availableWidth / data[0].values.length * .45) + ',0)';
      }) //TODO: better width calculations that don't assume always uniform data spacing;w
      .attr('width', availableWidth / data[0].values.length * .9);
      bars.transition().attr('y', function (d, i) {
        var rval = getY(d, i) < 0 ? y(0) : y(0) - y(getY(d, i)) < 1 ? y(0) - 1 : y(getY(d, i));
        return nv.utils.NaNtoZero(rval);
      }).attr('height', function (d, i) {
        return nv.utils.NaNtoZero(Math.max(Math.abs(y(getY(d, i)) - y(0)), 1));
      });
    });
    return chart;
  } //Create methods to allow outside functions to highlight a specific bar.


  chart.highlightPoint = function (pointIndex, isHoverOver) {
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(".nv-historicalBar-" + id).select(".nv-bars .nv-bar-0-" + pointIndex).classed("hover", isHoverOver);
  };

  chart.clearHighlights = function () {
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(".nv-historicalBar-" + id).select(".nv-bars .nv-bar.hover").classed("hover", false);
  }; //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.forceX = function (_) {
    if (!arguments.length) return forceX;
    forceX = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.padData = function (_) {
    if (!arguments.length) return padData;
    padData = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.interactive = function (_) {
    if (!arguments.length) return interactive;
    interactive = false;
    return chart;
  }; //============================================================


  return chart;
}; // Chart design based on the recommendations of Stephen Few. Implementation
// based on the work of Clint Ivy, Jamie Love, and Jason Davies.
// http://projects.instantcognition.com/protovis/bulletchart/


nv.models.bullet = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      orient = 'left' // TODO top & bottom
  ,
      reverse = false,
      ranges = function ranges(d) {
    return d.ranges;
  },
      markers = function markers(d) {
    return d.markers;
  },
      measures = function measures(d) {
    return d.measures;
  },
      rangeLabels = function rangeLabels(d) {
    return d.rangeLabels ? d.rangeLabels : [];
  },
      markerLabels = function markerLabels(d) {
    return d.markerLabels ? d.markerLabels : [];
  },
      measureLabels = function measureLabels(d) {
    return d.measureLabels ? d.measureLabels : [];
  },
      forceX = [0] // List of numbers to Force into the X scale (ie. 0, or a max / min, etc.)
  ,
      width = 380,
      height = 30,
      tickFormat = null,
      color = nv.utils.getColor(['#1f77b4']),
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('elementMouseover', 'elementMouseout'); //============================================================


  function chart(selection) {
    selection.each(function (d, i) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var rangez = ranges.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending),
          markerz = markers.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending),
          measurez = measures.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending),
          rangeLabelz = rangeLabels.call(this, d, i).slice(),
          markerLabelz = markerLabels.call(this, d, i).slice(),
          measureLabelz = measureLabels.call(this, d, i).slice(); //------------------------------------------------------------
      // Setup Scales
      // Compute the new x-scale.

      var x1 = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge([forceX, rangez]))).range(reverse ? [availableWidth, 0] : [0, availableWidth]); // Retrieve the old x-scale, if this is an update.

      var x0 = this.__chart__ || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain([0, Infinity]).range(x1.range()); // Stash the new scale.

      this.__chart__ = x1;
      var rangeMin = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.min(rangez),
          //rangez[2]
      rangeMax = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.max(rangez),
          //rangez[0]
      rangeAvg = rangez[1]; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-bullet').data([d]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-bullet');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('rect').attr('class', 'nv-range nv-rangeMax');
      gEnter.append('rect').attr('class', 'nv-range nv-rangeAvg');
      gEnter.append('rect').attr('class', 'nv-range nv-rangeMin');
      gEnter.append('rect').attr('class', 'nv-measure');
      gEnter.append('path').attr('class', 'nv-markerTriangle');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var w0 = function w0(d) {
        return Math.abs(x0(d) - x0(0));
      },
          // TODO: could optimize by precalculating x0(0) and x1(0)
      w1 = function w1(d) {
        return Math.abs(x1(d) - x1(0));
      };

      var xp0 = function xp0(d) {
        return d < 0 ? x0(d) : x0(0);
      },
          xp1 = function xp1(d) {
        return d < 0 ? x1(d) : x1(0);
      };

      g.select('rect.nv-rangeMax').attr('height', availableHeight).attr('width', w1(rangeMax > 0 ? rangeMax : rangeMin)).attr('x', xp1(rangeMax > 0 ? rangeMax : rangeMin)).datum(rangeMax > 0 ? rangeMax : rangeMin);
      /*
      .attr('x', rangeMin < 0 ?
                     rangeMax > 0 ?
                         x1(rangeMin)
                       : x1(rangeMax)
                   : x1(0))
                  */

      g.select('rect.nv-rangeAvg').attr('height', availableHeight).attr('width', w1(rangeAvg)).attr('x', xp1(rangeAvg)).datum(rangeAvg);
      /*
      .attr('width', rangeMax <= 0 ?
                         x1(rangeMax) - x1(rangeAvg)
                       : x1(rangeAvg) - x1(rangeMin))
      .attr('x', rangeMax <= 0 ?
                     x1(rangeAvg)
                   : x1(rangeMin))
                  */

      g.select('rect.nv-rangeMin').attr('height', availableHeight).attr('width', w1(rangeMax)).attr('x', xp1(rangeMax)).attr('width', w1(rangeMax > 0 ? rangeMin : rangeMax)).attr('x', xp1(rangeMax > 0 ? rangeMin : rangeMax)).datum(rangeMax > 0 ? rangeMin : rangeMax);
      /*
      .attr('width', rangeMax <= 0 ?
                         x1(rangeAvg) - x1(rangeMin)
                       : x1(rangeMax) - x1(rangeAvg))
      .attr('x', rangeMax <= 0 ?
                     x1(rangeMin)
                   : x1(rangeAvg))
                  */

      g.select('rect.nv-measure').style('fill', color).attr('height', availableHeight / 3).attr('y', availableHeight / 3).attr('width', measurez < 0 ? x1(0) - x1(measurez[0]) : x1(measurez[0]) - x1(0)).attr('x', xp1(measurez)).on('mouseover', function () {
        dispatch.elementMouseover({
          value: measurez[0],
          label: measureLabelz[0] || 'Current',
          pos: [x1(measurez[0]), availableHeight / 2]
        });
      }).on('mouseout', function () {
        dispatch.elementMouseout({
          value: measurez[0],
          label: measureLabelz[0] || 'Current'
        });
      });
      var h3 = availableHeight / 6;

      if (markerz[0]) {
        g.selectAll('path.nv-markerTriangle').attr('transform', function (d) {
          return 'translate(' + x1(markerz[0]) + ',' + availableHeight / 2 + ')';
        }).attr('d', 'M0,' + h3 + 'L' + h3 + ',' + -h3 + ' ' + -h3 + ',' + -h3 + 'Z').on('mouseover', function () {
          dispatch.elementMouseover({
            value: markerz[0],
            label: markerLabelz[0] || 'Previous',
            pos: [x1(markerz[0]), availableHeight / 2]
          });
        }).on('mouseout', function () {
          dispatch.elementMouseout({
            value: markerz[0],
            label: markerLabelz[0] || 'Previous'
          });
        });
      } else {
        g.selectAll('path.nv-markerTriangle').remove();
      }

      wrap.selectAll('.nv-range').on('mouseover', function (d, i) {
        var label = rangeLabelz[i] || (!i ? "Maximum" : i == 1 ? "Mean" : "Minimum");
        dispatch.elementMouseover({
          value: d,
          label: label,
          pos: [x1(d), availableHeight / 2]
        });
      }).on('mouseout', function (d, i) {
        var label = rangeLabelz[i] || (!i ? "Maximum" : i == 1 ? "Mean" : "Minimum");
        dispatch.elementMouseout({
          value: d,
          label: label
        });
      });
      /* // THIS IS THE PREVIOUS BULLET IMPLEMENTATION, WILL REMOVE SHORTLY
            // Update the range rects.
            var range = g.selectAll('rect.nv-range')
                .data(rangez);
      
            range.enter().append('rect')
                .attr('class', function(d, i) { return 'nv-range nv-s' + i; })
                .attr('width', w0)
                .attr('height', availableHeight)
                .attr('x', reverse ? x0 : 0)
                .on('mouseover', function(d,i) { 
                    dispatch.elementMouseover({
                      value: d,
                      label: (i <= 0) ? 'Maximum' : (i > 1) ? 'Minimum' : 'Mean', //TODO: make these labels a variable
                      pos: [x1(d), availableHeight/2]
                    })
                })
                .on('mouseout', function(d,i) { 
                    dispatch.elementMouseout({
                      value: d,
                      label: (i <= 0) ? 'Minimum' : (i >=1) ? 'Maximum' : 'Mean' //TODO: make these labels a variable
                    })
                })
      
            d3v3.transition(range)
                .attr('x', reverse ? x1 : 0)
                .attr('width', w1)
                .attr('height', availableHeight);
      
      
            // Update the measure rects.
            var measure = g.selectAll('rect.nv-measure')
                .data(measurez);
      
            measure.enter().append('rect')
                .attr('class', function(d, i) { return 'nv-measure nv-s' + i; })
                .style('fill', function(d,i) { return color(d,i ) })
                .attr('width', w0)
                .attr('height', availableHeight / 3)
                .attr('x', reverse ? x0 : 0)
                .attr('y', availableHeight / 3)
                .on('mouseover', function(d) { 
                    dispatch.elementMouseover({
                      value: d,
                      label: 'Current', //TODO: make these labels a variable
                      pos: [x1(d), availableHeight/2]
                    })
                })
                .on('mouseout', function(d) { 
                    dispatch.elementMouseout({
                      value: d,
                      label: 'Current' //TODO: make these labels a variable
                    })
                })
      
            d3v3.transition(measure)
                .attr('width', w1)
                .attr('height', availableHeight / 3)
                .attr('x', reverse ? x1 : 0)
                .attr('y', availableHeight / 3);
      
      
      
            // Update the marker lines.
            var marker = g.selectAll('path.nv-markerTriangle')
                .data(markerz);
      
            var h3 =  availableHeight / 6;
            marker.enter().append('path')
                .attr('class', 'nv-markerTriangle')
                .attr('transform', function(d) { return 'translate(' + x0(d) + ',' + (availableHeight / 2) + ')' })
                .attr('d', 'M0,' + h3 + 'L' + h3 + ',' + (-h3) + ' ' + (-h3) + ',' + (-h3) + 'Z')
                .on('mouseover', function(d,i) {
                    dispatch.elementMouseover({
                      value: d,
                      label: 'Previous',
                      pos: [x1(d), availableHeight/2]
                    })
                })
                .on('mouseout', function(d,i) {
                    dispatch.elementMouseout({
                      value: d,
                      label: 'Previous'
                    })
                });
      
            d3v3.transition(marker)
                .attr('transform', function(d) { return 'translate(' + (x1(d) - x1(0)) + ',' + (availableHeight / 2) + ')' });
      
            marker.exit().remove();
      */
    }); // d3v3.timer.flush();  // Not needed?

    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart); // left, right, top, bottom

  chart.orient = function (_) {
    if (!arguments.length) return orient;
    orient = _;
    reverse = orient == 'right' || orient == 'bottom';
    return chart;
  }; // ranges (bad, satisfactory, good)


  chart.ranges = function (_) {
    if (!arguments.length) return ranges;
    ranges = _;
    return chart;
  }; // markers (previous, goal)


  chart.markers = function (_) {
    if (!arguments.length) return markers;
    markers = _;
    return chart;
  }; // measures (actual, forecast)


  chart.measures = function (_) {
    if (!arguments.length) return measures;
    measures = _;
    return chart;
  };

  chart.forceX = function (_) {
    if (!arguments.length) return forceX;
    forceX = _;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.tickFormat = function (_) {
    if (!arguments.length) return tickFormat;
    tickFormat = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  }; //============================================================


  return chart;
}; // Chart design based on the recommendations of Stephen Few. Implementation
// based on the work of Clint Ivy, Jamie Love, and Jason Davies.
// http://projects.instantcognition.com/protovis/bulletchart/


nv.models.bulletChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var bullet = nv.models.bullet();

  var orient = 'left' // TODO top & bottom
  ,
      reverse = false,
      margin = {
    top: 5,
    right: 40,
    bottom: 20,
    left: 120
  },
      ranges = function ranges(d) {
    return d.ranges;
  },
      markers = function markers(d) {
    return d.markers;
  },
      measures = function measures(d) {
    return d.measures;
  },
      width = null,
      height = 55,
      tickFormat = null,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + x + '</h3>' + '<p>' + y + '</p>';
  },
      noData = 'No Data Available.',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0) + margin.left,
        top = e.pos[1] + (offsetElement.offsetTop || 0) + margin.top,
        content = tooltip(e.key, e.label, e.value, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'e' : 'w', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (d, i) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          that = this;

      chart.update = function () {
        chart(selection);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!d || !ranges.call(this, d, i)) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', 18 + margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------


      var rangez = ranges.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending),
          markerz = markers.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending),
          measurez = measures.call(this, d, i).slice().sort(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.descending); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-bulletChart').data([d]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-bulletChart');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-bulletWrap');
      gEnter.append('g').attr('class', 'nv-titles');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Compute the new x-scale.

      var x1 = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain([0, Math.max(rangez[0], markerz[0], measurez[0])]) // TODO: need to allow forceX and forceY, and xDomain, yDomain
      .range(reverse ? [availableWidth, 0] : [0, availableWidth]); // Retrieve the old x-scale, if this is an update.

      var x0 = this.__chart__ || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain([0, Infinity]).range(x1.range()); // Stash the new scale.

      this.__chart__ = x1;
      /*
      // Derive width-scales from the x-scales.
      var w0 = bulletWidth(x0),
          w1 = bulletWidth(x1);
       function bulletWidth(x) {
        var x0 = x(0);
        return function(d) {
          return Math.abs(x(d) - x(0));
        };
      }
       function bulletTranslate(x) {
        return function(d) {
          return 'translate(' + x(d) + ',0)';
        };
      }
      */

      var w0 = function w0(d) {
        return Math.abs(x0(d) - x0(0));
      },
          // TODO: could optimize by precalculating x0(0) and x1(0)
      w1 = function w1(d) {
        return Math.abs(x1(d) - x1(0));
      };

      var title = gEnter.select('.nv-titles').append('g').attr('text-anchor', 'end').attr('transform', 'translate(-6,' + (height - margin.top - margin.bottom) / 2 + ')');
      title.append('text').attr('class', 'nv-title').text(function (d) {
        return d.title;
      });
      title.append('text').attr('class', 'nv-subtitle').attr('dy', '1em').text(function (d) {
        return d.subtitle;
      });
      bullet.width(availableWidth).height(availableHeight);
      var bulletWrap = g.select('.nv-bulletWrap');
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(bulletWrap).call(bullet); // Compute the tick format.

      var format = tickFormat || x1.tickFormat(availableWidth / 100); // Update the tick groups.

      var tick = g.selectAll('g.nv-tick').data(x1.ticks(availableWidth / 50), function (d) {
        return this.textContent || format(d);
      }); // Initialize the ticks with the old scale, x0.

      var tickEnter = tick.enter().append('g').attr('class', 'nv-tick').attr('transform', function (d) {
        return 'translate(' + x0(d) + ',0)';
      }).style('opacity', 1e-6);
      tickEnter.append('line').attr('y1', availableHeight).attr('y2', availableHeight * 7 / 6);
      tickEnter.append('text').attr('text-anchor', 'middle').attr('dy', '1em').attr('y', availableHeight * 7 / 6).text(format); // Transition the updating ticks to the new scale, x1.

      var tickUpdate = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(tick).attr('transform', function (d) {
        return 'translate(' + x1(d) + ',0)';
      }).style('opacity', 1);
      tickUpdate.select('line').attr('y1', availableHeight).attr('y2', availableHeight * 7 / 6);
      tickUpdate.select('text').attr('y', availableHeight * 7 / 6); // Transition the exiting ticks to the new scale, x1.

      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(tick.exit()).attr('transform', function (d) {
        return 'translate(' + x1(d) + ',0)';
      }).style('opacity', 1e-6).remove(); //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      dispatch.on('tooltipShow', function (e) {
        e.key = d.title;
        if (tooltips) showTooltip(e, that.parentNode);
      }); //============================================================
    });
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.timer.flush();
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  bullet.dispatch.on('elementMouseover.tooltip', function (e) {
    dispatch.tooltipShow(e);
  });
  bullet.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------

  chart.dispatch = dispatch;
  chart.bullet = bullet;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, bullet, 'color');
  chart.options = nv.utils.optionsFunc.bind(chart); // left, right, top, bottom

  chart.orient = function (x) {
    if (!arguments.length) return orient;
    orient = x;
    reverse = orient == 'right' || orient == 'bottom';
    return chart;
  }; // ranges (bad, satisfactory, good)


  chart.ranges = function (x) {
    if (!arguments.length) return ranges;
    ranges = x;
    return chart;
  }; // markers (previous, goal)


  chart.markers = function (x) {
    if (!arguments.length) return markers;
    markers = x;
    return chart;
  }; // measures (actual, forecast)


  chart.measures = function (x) {
    if (!arguments.length) return measures;
    measures = x;
    return chart;
  };

  chart.width = function (x) {
    if (!arguments.length) return width;
    width = x;
    return chart;
  };

  chart.height = function (x) {
    if (!arguments.length) return height;
    height = x;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.tickFormat = function (x) {
    if (!arguments.length) return tickFormat;
    tickFormat = x;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.cumulativeLineChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var lines = nv.models.line(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      controls = nv.models.legend(),
      interactiveLayer = nv.interactiveGuideline();

  var margin = {
    top: 30,
    right: 30,
    bottom: 50,
    left: 60
  },
      color = nv.utils.defaultColor(),
      width = null,
      height = null,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      tooltips = true,
      showControls = true,
      useInteractiveGuideline = false,
      rescaleY = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      id = lines.id(),
      state = {
    index: 0,
    rescaleY: rescaleY
  },
      defaultState = null,
      noData = 'No Data Available.',
      average = function average(d) {
    return d.average;
  },
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      transitionDuration = 250,
      noErrorCheck = false //if set to TRUE, will bypass an error check in the indexify function.
  ;

  xAxis.orient('bottom').tickPadding(7);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left'); //============================================================

  controls.updateState(false); //============================================================
  // Private Variables
  //------------------------------------------------------------

  var dx = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      index = {
    i: 0,
    x: 0
  };

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(lines.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, null, null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('nv-chart-' + id, true),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      }

      var indexDrag = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.behavior.drag().on('dragstart', dragStart).on('drag', dragMove).on('dragend', dragEnd);

      function dragStart(d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(chart.container).style('cursor', 'ew-resize');
      }

      function dragMove(d, i) {
        index.x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.x;
        index.i = Math.round(dx.invert(index.x));
        updateZero();
      }

      function dragEnd(d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(chart.container).style('cursor', 'auto'); // update state and send stateChange with new index

        state.index = index.i;
        dispatch.stateChange(state);
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = lines.xScale();
      y = lines.yScale();

      if (!rescaleY) {
        var seriesDomains = data.filter(function (series) {
          return !series.disabled;
        }).map(function (series, i) {
          var initialDomain = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(series.values, lines.y()); //account for series being disabled when losing 95% or more

          if (initialDomain[0] < -.95) initialDomain[0] = -.95;
          return [(initialDomain[0] - initialDomain[1]) / (1 + initialDomain[1]), (initialDomain[1] - initialDomain[0]) / (1 + initialDomain[0])];
        });
        var completeDomain = [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.min(seriesDomains, function (d) {
          return d[0];
        }), d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.max(seriesDomains, function (d) {
          return d[1];
        })];
        lines.yDomain(completeDomain);
      } else {
        lines.yDomain(null);
      }

      dx.domain([0, data[0].values.length - 1]) //Assumes all series have same length
      .range([0, availableWidth]).clamp(true); //------------------------------------------------------------

      var data = indexify(index.i, data); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var interactivePointerEvents = useInteractiveGuideline ? "none" : "all";
      var wrap = container.selectAll('g.nv-wrap.nv-cumulativeLine').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-cumulativeLine').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-interactive');
      gEnter.append('g').attr('class', 'nv-x nv-axis').style("pointer-events", "none");
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-background');
      gEnter.append('g').attr('class', 'nv-linesWrap').style("pointer-events", interactivePointerEvents);
      gEnter.append('g').attr('class', 'nv-avgLinesWrap').style("pointer-events", "none");
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth);
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        var controlsData = [{
          key: 'Re-scale y-axis',
          disabled: !rescaleY
        }];
        controls.width(140).color(['#444', '#444', '#444']).rightAlign(false).margin({
          top: 5,
          right: 0,
          bottom: 5,
          left: 20
        });
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } // Show error if series goes below 100%


      var tempDisabled = data.filter(function (d) {
        return d.tempDisabled;
      });
      wrap.select('.tempDisabled').remove(); //clean-up and prevent duplicates

      if (tempDisabled.length) {
        wrap.append('text').attr('class', 'tempDisabled').attr('x', availableWidth / 2).attr('y', '-.71em').style('text-anchor', 'end').text(tempDisabled.map(function (d) {
          return d.key;
        }).join(', ') + ' values cannot be calculated for this time period.');
      } //------------------------------------------------------------
      // Main Chart Component(s)
      //------------------------------------------------------------
      //Set up interactive layer


      if (useInteractiveGuideline) {
        interactiveLayer.width(availableWidth).height(availableHeight).margin({
          left: margin.left,
          top: margin.top
        }).svgContainer(container).xScale(x);
        wrap.select(".nv-interactive").call(interactiveLayer);
      }

      gEnter.select('.nv-background').append('rect');
      g.select('.nv-background rect').attr('width', availableWidth).attr('height', availableHeight);
      lines //.x(function(d) { return d.x })
      .y(function (d) {
        return d.display.y;
      }).width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled && !data[i].tempDisabled;
      }));
      var linesWrap = g.select('.nv-linesWrap').datum(data.filter(function (d) {
        return !d.disabled && !d.tempDisabled;
      })); //d3v3.transition(linesWrap).call(lines);

      linesWrap.call(lines);
      /*Handle average lines [AN-612] ----------------------------*/
      //Store a series index number in the data array.

      data.forEach(function (d, i) {
        d.seriesIndex = i;
      });
      var avgLineData = data.filter(function (d) {
        return !d.disabled && !!average(d);
      });
      var avgLines = g.select(".nv-avgLinesWrap").selectAll("line").data(avgLineData, function (d) {
        return d.key;
      });

      var getAvgLineY = function getAvgLineY(d) {
        //If average lines go off the svg element, clamp them to the svg bounds.
        var yVal = y(average(d));
        if (yVal < 0) return 0;
        if (yVal > availableHeight) return availableHeight;
        return yVal;
      };

      avgLines.enter().append('line').style('stroke-width', 2).style('stroke-dasharray', '10,10').style('stroke', function (d, i) {
        return lines.color()(d, d.seriesIndex);
      }).attr('x1', 0).attr('x2', availableWidth).attr('y1', getAvgLineY).attr('y2', getAvgLineY);
      avgLines.style('stroke-opacity', function (d) {
        //If average lines go offscreen, make them transparent
        var yVal = y(average(d));
        if (yVal < 0 || yVal > availableHeight) return 0;
        return 1;
      }).attr('x1', 0).attr('x2', availableWidth).attr('y1', getAvgLineY).attr('y2', getAvgLineY);
      avgLines.exit().remove(); //Create index line -----------------------------------------

      var indexLine = linesWrap.selectAll('.nv-indexLine').data([index]);
      indexLine.enter().append('rect').attr('class', 'nv-indexLine').attr('width', 3).attr('x', -2).attr('fill', 'red').attr('fill-opacity', .5).style("pointer-events", "all").call(indexDrag);
      indexLine.attr('transform', function (d) {
        return 'translate(' + dx(d.i) + ',0)';
      }).attr('height', availableHeight); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x) //Suggest how many ticks based on the chart width and D3 should listen (70 is the optimal number for MM/DD/YY dates)
        .ticks(Math.min(data[0].values.length, availableWidth / 70)).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-x.nv-axis')).call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-y.nv-axis')).call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      function updateZero() {
        indexLine.data([index]); //When dragging the index line, turn off line transitions.
        // Then turn them back on when done dragging.

        var oldDuration = chart.transitionDuration();
        chart.transitionDuration(0);
        chart.update();
        chart.transitionDuration(oldDuration);
      }

      g.select('.nv-background rect').on('click', function () {
        index.x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this)[0];
        index.i = Math.round(dx.invert(index.x)); // update state and send stateChange with new index

        state.index = index.i;
        dispatch.stateChange(state);
        updateZero();
      });
      lines.dispatch.on('elementClick', function (e) {
        index.i = e.pointIndex;
        index.x = dx(index.i); // update state and send stateChange with new index

        state.index = index.i;
        dispatch.stateChange(state);
        updateZero();
      });
      controls.dispatch.on('legendClick', function (d, i) {
        d.disabled = !d.disabled;
        rescaleY = !d.disabled;
        state.rescaleY = rescaleY;
        dispatch.stateChange(state);
        chart.update();
      });
      legend.dispatch.on('stateChange', function (newState) {
        state.disabled = newState.disabled;
        dispatch.stateChange(state);
        chart.update();
      });
      interactiveLayer.dispatch.on('elementMousemove', function (e) {
        lines.clearHighlights();
        var singlePoint,
            pointIndex,
            pointXLocation,
            allData = [];
        data.filter(function (series, i) {
          series.seriesIndex = i;
          return !series.disabled;
        }).forEach(function (series, i) {
          pointIndex = nv.interactiveBisect(series.values, e.pointXValue, chart.x());
          lines.highlightPoint(i, pointIndex, true);
          var point = series.values[pointIndex];
          if (typeof point === 'undefined') return;
          if (typeof singlePoint === 'undefined') singlePoint = point;
          if (typeof pointXLocation === 'undefined') pointXLocation = chart.xScale()(chart.x()(point, pointIndex));
          allData.push({
            key: series.key,
            value: chart.y()(point, pointIndex),
            color: color(series, series.seriesIndex)
          });
        }); //Highlight the tooltip entry based on which point the mouse is closest to.

        if (allData.length > 2) {
          var yValue = chart.yScale().invert(e.mouseY);
          var domainExtent = Math.abs(chart.yScale().domain()[0] - chart.yScale().domain()[1]);
          var threshold = 0.03 * domainExtent;
          var indexToHighlight = nv.nearestValueIndex(allData.map(function (d) {
            return d.value;
          }), yValue, threshold);
          if (indexToHighlight !== null) allData[indexToHighlight].highlight = true;
        }

        var xValue = xAxis.tickFormat()(chart.x()(singlePoint, pointIndex), pointIndex);
        interactiveLayer.tooltip.position({
          left: pointXLocation + margin.left,
          top: e.mouseY + margin.top
        }).chartContainer(that.parentNode).enabled(tooltips).valueFormatter(function (d, i) {
          return yAxis.tickFormat()(d);
        }).data({
          value: xValue,
          series: allData
        })();
        interactiveLayer.renderGuideLine(pointXLocation);
      });
      interactiveLayer.dispatch.on("elementMouseout", function (e) {
        dispatch.tooltipHide();
        lines.clearHighlights();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.index !== 'undefined') {
          index.i = e.index;
          index.x = dx(index.i);
          state.index = e.index;
          indexLine.data([index]);
        }

        if (typeof e.rescaleY !== 'undefined') {
          rescaleY = e.rescaleY;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.lines = lines;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.interactiveLayer = interactiveLayer;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'isArea', 'x', 'y', 'xScale', 'yScale', 'size', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'useVoronoi', 'id');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.rescaleY = function (_) {
    if (!arguments.length) return rescaleY;
    rescaleY = _;
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.useInteractiveGuideline = function (_) {
    if (!arguments.length) return useInteractiveGuideline;
    useInteractiveGuideline = _;

    if (_ === true) {
      chart.interactive(false);
      chart.useVoronoi(false);
    }

    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.average = function (_) {
    if (!arguments.length) return average;
    average = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  };

  chart.noErrorCheck = function (_) {
    if (!arguments.length) return noErrorCheck;
    noErrorCheck = _;
    return chart;
  }; //============================================================
  //============================================================
  // Functions
  //------------------------------------------------------------

  /* Normalize the data according to an index point. */


  function indexify(idx, data) {
    return data.map(function (line, i) {
      if (!line.values) {
        return line;
      }

      var indexValue = line.values[idx];

      if (indexValue == null) {
        return line;
      }

      var v = lines.y()(indexValue, idx); //TODO: implement check below, and disable series if series loses 100% or more cause divide by 0 issue

      if (v < -.95 && !noErrorCheck) {
        //if a series loses more than 100%, calculations fail.. anything close can cause major distortion (but is mathematically correct till it hits 100)
        line.tempDisabled = true;
        return line;
      }

      line.tempDisabled = false;
      line.values = line.values.map(function (point, pointIndex) {
        point.display = {
          'y': (lines.y()(point, pointIndex) - v) / (1 + v)
        };
        return point;
      });
      return line;
    });
  } //============================================================


  return chart;
}; //TODO: consider deprecating by adding necessary features to multiBar model


nv.models.discreteBar = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.ordinal(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceY = [0] // 0 is forced by default.. this makes sense for the majority of bar graphs... user can always do chart.forceY([]) to remove
  ,
      color = nv.utils.defaultColor(),
      showValues = false,
      valueFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.2f'),
      xDomain,
      yDomain,
      xRange,
      yRange,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'),
      rectClass = 'discreteBar'; //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var x0, y0; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //add series index to each data point for reference

      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
        });
      }); //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains

      var seriesData = xDomain && yDomain ? [] : // if we know xDomain and yDomain, no need to calculate
      data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            y0: d.y0
          };
        });
      });
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return d.x;
      })).rangeBands(xRange || [0, availableWidth], .1);
      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return d.y;
      }).concat(forceY))); // If showValues, pad the Y axis range to account for label height

      if (showValues) y.range(yRange || [availableHeight - (y.domain()[0] < 0 ? 12 : 0), y.domain()[1] > 0 ? 12 : 0]);else y.range(yRange || [availableHeight, 0]); //store old scales if they exist

      x0 = x0 || x;
      y0 = y0 || y.copy().range([y(0), y(0)]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-discretebar').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-discretebar');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      //TODO: by definition, the discrete bar should not have multiple groups, will modify/remove later

      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d) {
        return d.key;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().transition().style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6).remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', .75);
      var bars = groups.selectAll('g.nv-bar').data(function (d) {
        return d.values;
      });
      bars.exit().remove();
      var barsEnter = bars.enter().append('g').attr('transform', function (d, i, j) {
        return 'translate(' + (x(getX(d, i)) + x.rangeBand() * .05) + ', ' + y(0) + ')';
      }).on('mouseover', function (d, i) {
        //TODO: figure out why j works above, but not here
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + .5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + .5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + .5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      barsEnter.append('rect').attr('height', 0).attr('width', x.rangeBand() * .9 / data.length);

      if (showValues) {
        barsEnter.append('text').attr('text-anchor', 'middle');
        bars.select('text').text(function (d, i) {
          return valueFormat(getY(d, i));
        }).transition().attr('x', x.rangeBand() * .9 / 2).attr('y', function (d, i) {
          return getY(d, i) < 0 ? y(getY(d, i)) - y(0) + 12 : -4;
        });
      } else {
        bars.selectAll('text').remove();
      }

      bars.attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).style('fill', function (d, i) {
        return d.color || color(d, i);
      }).style('stroke', function (d, i) {
        return d.color || color(d, i);
      }).select('rect').attr('class', rectClass).transition().attr('width', x.rangeBand() * .9 / data.length);
      bars.transition() //.delay(function(d,i) { return i * 1200 / data[0].values.length })
      .attr('transform', function (d, i) {
        var left = x(getX(d, i)) + x.rangeBand() * .05,
            top = getY(d, i) < 0 ? y(0) : y(0) - y(getY(d, i)) < 1 ? y(0) - 1 : //make 1 px positive bars show up above y=0
        y(getY(d, i));
        return 'translate(' + left + ', ' + top + ')';
      }).select('rect').attr('height', function (d, i) {
        return Math.max(Math.abs(y(getY(d, i)) - y(yDomain && yDomain[0] || 0)) || 1);
      }); //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.showValues = function (_) {
    if (!arguments.length) return showValues;
    showValues = _;
    return chart;
  };

  chart.valueFormat = function (_) {
    if (!arguments.length) return valueFormat;
    valueFormat = _;
    return chart;
  };

  chart.rectClass = function (_) {
    if (!arguments.length) return rectClass;
    rectClass = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.discreteBarChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var discretebar = nv.models.discreteBar(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis();

  var margin = {
    top: 15,
    right: 10,
    bottom: 50,
    left: 60
  },
      width = null,
      height = null,
      color = nv.utils.getColor(),
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      staggerLabels = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + x + '</h3>' + '<p>' + y + '</p>';
  },
      x,
      y,
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'beforeUpdate'),
      transitionDuration = 250;

  xAxis.orient('bottom').highlightZero(false).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.1f')); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(discretebar.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(discretebar.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        dispatch.beforeUpdate();
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = discretebar.xScale();
      y = discretebar.yScale().clamp(true); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-discreteBarWithAxes').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-discreteBarWithAxes').append('g');
      var defsEnter = gEnter.append('defs');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis').append('g').attr('class', 'nv-zeroLine').append('line');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      g.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Main Chart Component(s)


      discretebar.width(availableWidth).height(availableHeight);
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(discretebar); //------------------------------------------------------------

      defsEnter.append('clipPath').attr('id', 'nv-x-label-clip-' + discretebar.id()).append('rect');
      g.select('#nv-x-label-clip-' + discretebar.id() + ' rect').attr('width', x.rangeBand() * (staggerLabels ? 2 : 1)).attr('height', 16).attr('x', -x.rangeBand() / (staggerLabels ? 1 : 2)); //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + (y.range()[0] + (discretebar.showValues() && y.domain()[0] < 0 ? 16 : 0)) + ')'); //d3v3.transition(g.select('.nv-x.nv-axis'))

        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.select('.nv-x.nv-axis').selectAll('g');

        if (staggerLabels) {
          xTicks.selectAll('text').attr('transform', function (d, i, j) {
            return 'translate(0,' + (j % 2 == 0 ? '5' : '17') + ')';
          });
        }
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } // Zero line


      g.select(".nv-zeroLine line").attr("x1", 0).attr("x2", availableWidth).attr("y1", y(0)).attr("y2", y(0)); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  discretebar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  discretebar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.discretebar = discretebar;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, discretebar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'id', 'showValues', 'valueFormat');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    discretebar.color(color);
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) return staggerLabels;
    staggerLabels = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.distribution = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 400 //technically width or height depending on x or y....
  ,
      size = 8,
      axis = 'x' // 'x' or 'y'... horizontal or vertical
  ,
      getData = function getData(d) {
    return d[axis];
  } // defaults d.x or d.y
  ,
      color = nv.utils.defaultColor(),
      scale = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      domain; //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var scale0; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableLength = width - (axis === 'x' ? margin.left + margin.right : margin.top + margin.bottom),
          naxis = axis == 'x' ? 'y' : 'x',
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      scale0 = scale0 || scale; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-distribution').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-distribution');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var distWrap = g.selectAll('g.nv-dist').data(function (d) {
        return d;
      }, function (d) {
        return d.key;
      });
      distWrap.enter().append('g');
      distWrap.attr('class', function (d, i) {
        return 'nv-dist nv-series-' + i;
      }).style('stroke', function (d, i) {
        return color(d, i);
      });
      var dist = distWrap.selectAll('line.nv-dist' + axis).data(function (d) {
        return d.values;
      });
      dist.enter().append('line').attr(axis + '1', function (d, i) {
        return scale0(getData(d, i));
      }).attr(axis + '2', function (d, i) {
        return scale0(getData(d, i));
      });
      distWrap.exit().selectAll('line.nv-dist' + axis).transition().attr(axis + '1', function (d, i) {
        return scale(getData(d, i));
      }).attr(axis + '2', function (d, i) {
        return scale(getData(d, i));
      }).style('stroke-opacity', 0).remove();
      dist.attr('class', function (d, i) {
        return 'nv-dist' + axis + ' nv-dist' + axis + '-' + i;
      }).attr(naxis + '1', 0).attr(naxis + '2', size);
      dist.transition().attr(axis + '1', function (d, i) {
        return scale(getData(d, i));
      }).attr(axis + '2', function (d, i) {
        return scale(getData(d, i));
      });
      scale0 = scale.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.axis = function (_) {
    if (!arguments.length) return axis;
    axis = _;
    return chart;
  };

  chart.size = function (_) {
    if (!arguments.length) return size;
    size = _;
    return chart;
  };

  chart.getData = function (_) {
    if (!arguments.length) return getData;
    getData = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.scale = function (_) {
    if (!arguments.length) return scale;
    scale = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  }; //============================================================


  return chart;
};

nv.models.historicalBarChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var bars = nv.models.historicalBar(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend();

  var margin = {
    top: 30,
    right: 90,
    bottom: 50,
    left: 90
  },
      color = nv.utils.defaultColor(),
      width = null,
      height = null,
      showLegend = false,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x,
      y,
      state = {},
      defaultState = null,
      noData = 'No Data Available.',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      transitionDuration = 250;

  xAxis.orient('bottom').tickPadding(7);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    // New addition to calculate position if SVG is scaled with viewBox, may move TODO: consider implementing everywhere else
    if (offsetElement) {
      var svg = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(offsetElement).select('svg');
      var viewBox = svg.node() ? svg.attr('viewBox') : null;

      if (viewBox) {
        viewBox = viewBox.split(' ');
        var ratio = parseInt(svg.style('width')) / viewBox[2];
        e.pos[0] = e.pos[0] * ratio;
        e.pos[1] = e.pos[1] * ratio;
      }
    }

    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(bars.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(bars.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, null, null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = bars.xScale();
      y = bars.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-historicalBarChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-historicalBarChart').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth);
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      // Main Chart Component(s)


      bars.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(bars); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('legendClick', function (d, i) {
        d.disabled = !d.disabled;

        if (!data.filter(function (d) {
          return !d.disabled;
        }).length) {
          data.map(function (d) {
            d.disabled = false;
            wrap.selectAll('.nv-series').classed('disabled', false);
            return d;
          });
        }

        state.disabled = data.map(function (d) {
          return !!d.disabled;
        });
        dispatch.stateChange(state);
        selection.transition().call(chart);
      });
      legend.dispatch.on('legendDblclick', function (d) {
        //Double clicking should always enable current series, and disabled all others.
        data.forEach(function (d) {
          d.disabled = true;
        });
        d.disabled = false;
        state.disabled = data.map(function (d) {
          return !!d.disabled;
        });
        dispatch.stateChange(state);
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      });
      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  bars.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  bars.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.bars = bars;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, bars, 'defined', 'isArea', 'x', 'y', 'size', 'xScale', 'yScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'id', 'interpolate', 'highlightPoint', 'clearHighlights', 'interactive');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.indentedTree = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  } //TODO: implement, maybe as margin on the containing div
  ,
      width = 960,
      height = 500,
      color = nv.utils.defaultColor(),
      id = Math.floor(Math.random() * 10000),
      header = true,
      filterZero = false,
      noData = "No Data Available.",
      childIndent = 20,
      columns = [{
    key: 'key',
    label: 'Name',
    type: 'text'
  }] //TODO: consider functions like chart.addColumn, chart.removeColumn, instead of a block like this
  ,
      tableClass = null,
      iconOpen = 'images/grey-plus.png' //TODO: consider removing this and replacing with a '+' or '-' unless user defines images
  ,
      iconClose = 'images/grey-minus.png',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('elementClick', 'elementDblclick', 'elementMouseover', 'elementMouseout'),
      getUrl = function getUrl(d) {
    return d.url;
  }; //============================================================


  var idx = 0;

  function chart(selection) {
    selection.each(function (data) {
      var depth = 1,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var tree = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.layout.tree().children(function (d) {
        return d.values;
      }).size([height, childIndent]); //Not sure if this is needed now that the result is HTML

      chart.update = function () {
        container.transition().duration(600).call(chart);
      }; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data[0]) data[0] = {
        key: noData
      }; //------------------------------------------------------------

      var nodes = tree.nodes(data[0]); // nodes.map(function(d) {
      //   d.id = i++;
      // })
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).selectAll('div').data([[nodes]]);
      var wrapEnter = wrap.enter().append('div').attr('class', 'nvd3 nv-wrap nv-indentedtree');
      var tableEnter = wrapEnter.append('table');
      var table = wrap.select('table').attr('width', '100%').attr('class', tableClass); //------------------------------------------------------------

      if (header) {
        var thead = tableEnter.append('thead');
        var theadRow1 = thead.append('tr');
        columns.forEach(function (column) {
          theadRow1.append('th').attr('width', column.width ? column.width : '10%').style('text-align', column.type == 'numeric' ? 'right' : 'left').append('span').text(column.label);
        });
      }

      var tbody = table.selectAll('tbody').data(function (d) {
        return d;
      });
      tbody.enter().append('tbody'); //compute max generations

      depth = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.max(nodes, function (node) {
        return node.depth;
      });
      tree.size([height, depth * childIndent]); //TODO: see if this is necessary at all
      // Update the nodes…

      var node = tbody.selectAll('tr') // .data(function(d) { return d; }, function(d) { return d.id || (d.id == ++i)});
      .data(function (d) {
        return d.filter(function (d) {
          return filterZero && !d.children ? filterZero(d) : true;
        });
      }, function (d, i) {
        return d.id || d.id || ++idx;
      }); //.style('display', 'table-row'); //TODO: see if this does anything

      node.exit().remove();
      node.select('img.nv-treeicon').attr('src', icon).classed('folded', folded);
      var nodeEnter = node.enter().append('tr');
      columns.forEach(function (column, index) {
        var nodeName = nodeEnter.append('td').style('padding-left', function (d) {
          return (index ? 0 : d.depth * childIndent + 12 + (icon(d) ? 0 : 16)) + 'px';
        }, 'important') //TODO: check why I did the ternary here
        .style('text-align', column.type == 'numeric' ? 'right' : 'left');

        if (index == 0) {
          nodeName.append('img').classed('nv-treeicon', true).classed('nv-folded', folded).attr('src', icon).style('width', '14px').style('height', '14px').style('padding', '0 1px').style('display', function (d) {
            return icon(d) ? 'inline-block' : 'none';
          }).on('click', click);
        }

        nodeName.each(function (d) {
          if (!index && getUrl(d)) d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).append('a').attr('href', getUrl).attr('class', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(column.classes)).append('span');else d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).append('span');
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('span').attr('class', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(column.classes)).text(function (d) {
            return column.format ? d[column.key] ? column.format(d[column.key]) : '-' : d[column.key] || '-';
          });
        });

        if (column.showCount) {
          nodeName.append('span').attr('class', 'nv-childrenCount');
          node.selectAll('span.nv-childrenCount').text(function (d) {
            return d.values && d.values.length || d._values && d._values.length ? //If this is a parent
            '(' + (d.values && d.values.filter(function (d) {
              return filterZero ? filterZero(d) : true;
            }).length || //If children are in values check its children and filter
            d._values && d._values.filter(function (d) {
              return filterZero ? filterZero(d) : true;
            }).length //Otherwise, do the same, but with the other name, _values...
            || 0) + ')' //This is the catch-all in case there are no children after a filter
            : ''; //If this is not a parent, just give an empty string
          });
        } // if (column.click)
        //   nodeName.select('span').on('click', column.click);

      });
      node.order().on('click', function (d) {
        dispatch.elementClick({
          row: this,
          //TODO: decide whether or not this should be consistent with scatter/line events or should be an html link (a href)
          data: d,
          pos: [d.x, d.y]
        });
      }).on('dblclick', function (d) {
        dispatch.elementDblclick({
          row: this,
          data: d,
          pos: [d.x, d.y]
        });
      }).on('mouseover', function (d) {
        dispatch.elementMouseover({
          row: this,
          data: d,
          pos: [d.x, d.y]
        });
      }).on('mouseout', function (d) {
        dispatch.elementMouseout({
          row: this,
          data: d,
          pos: [d.x, d.y]
        });
      }); // Toggle children on click.

      function click(d, _, unshift) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();

        if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.shiftKey && !unshift) {
          //If you shift-click, it'll toggle fold all the children, instead of itself
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.shiftKey = false;
          d.values && d.values.forEach(function (node) {
            if (node.values || node._values) {
              click(node, 0, true);
            }
          });
          return true;
        }

        if (!hasChildren(d)) {
          //download file
          //window.location.href = d.url;
          return true;
        }

        if (d.values) {
          d._values = d.values;
          d.values = null;
        } else {
          d.values = d._values;
          d._values = null;
        }

        chart.update();
      }

      function icon(d) {
        return d._values && d._values.length ? iconOpen : d.values && d.values.length ? iconClose : '';
      }

      function folded(d) {
        return d._values && d._values.length;
      }

      function hasChildren(d) {
        var values = d.values || d._values;
        return values && values.length;
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    scatter.color(color);
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.header = function (_) {
    if (!arguments.length) return header;
    header = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.filterZero = function (_) {
    if (!arguments.length) return filterZero;
    filterZero = _;
    return chart;
  };

  chart.columns = function (_) {
    if (!arguments.length) return columns;
    columns = _;
    return chart;
  };

  chart.tableClass = function (_) {
    if (!arguments.length) return tableClass;
    tableClass = _;
    return chart;
  };

  chart.iconOpen = function (_) {
    if (!arguments.length) return iconOpen;
    iconOpen = _;
    return chart;
  };

  chart.iconClose = function (_) {
    if (!arguments.length) return iconClose;
    iconClose = _;
    return chart;
  };

  chart.getUrl = function (_) {
    if (!arguments.length) return getUrl;
    getUrl = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.legend = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 5,
    right: 0,
    bottom: 5,
    left: 0
  },
      width = 400,
      height = 20,
      getKey = function getKey(d) {
    return d.key;
  },
      color = nv.utils.defaultColor(),
      align = true,
      rightAlign = true,
      updateState = true //If true, legend will update data.disabled and trigger a 'stateChange' dispatch.
  ,
      radioButtonMode = false //If true, clicking legend items will cause it to behave like a radio button. (only one can be selected at a time)
  ,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('legendClick', 'legendDblclick', 'legendMouseover', 'legendMouseout', 'stateChange'); //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-legend').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-legend').append('g');
      var g = wrap.select('g');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var series = g.selectAll('.nv-series').data(function (d) {
        return d;
      });
      var seriesEnter = series.enter().append('g').attr('class', 'nv-series').on('mouseover', function (d, i) {
        dispatch.legendMouseover(d, i); //TODO: Make consistent with other event objects
      }).on('mouseout', function (d, i) {
        dispatch.legendMouseout(d, i);
      }).on('click', function (d, i) {
        dispatch.legendClick(d, i);

        if (updateState) {
          if (radioButtonMode) {
            //Radio button mode: set every series to disabled,
            //  and enable the clicked series.
            data.forEach(function (series) {
              series.disabled = true;
            });
            d.disabled = false;
          } else {
            d.disabled = !d.disabled;

            if (data.every(function (series) {
              return series.disabled;
            })) {
              //the default behavior of NVD3 legends is, if every single series
              // is disabled, turn all series' back on.
              data.forEach(function (series) {
                series.disabled = false;
              });
            }
          }

          dispatch.stateChange({
            disabled: data.map(function (d) {
              return !!d.disabled;
            })
          });
        }
      }).on('dblclick', function (d, i) {
        dispatch.legendDblclick(d, i);

        if (updateState) {
          //the default behavior of NVD3 legends, when double clicking one,
          // is to set all other series' to false, and make the double clicked series enabled.
          data.forEach(function (series) {
            series.disabled = true;
          });
          d.disabled = false;
          dispatch.stateChange({
            disabled: data.map(function (d) {
              return !!d.disabled;
            })
          });
        }
      });
      seriesEnter.append('circle').style('stroke-width', 2).attr('class', 'nv-legend-symbol').attr('r', 5);
      seriesEnter.append('text').attr('text-anchor', 'start').attr('class', 'nv-legend-text').attr('dy', '.32em').attr('dx', '8');
      series.classed('disabled', function (d) {
        return d.disabled;
      });
      series.exit().remove();
      series.select('circle').style('fill', function (d, i) {
        return d.color || color(d, i);
      }).style('stroke', function (d, i) {
        return d.color || color(d, i);
      });
      series.select('text').text(getKey); //TODO: implement fixed-width and max-width options (max-width is especially useful with the align option)
      // NEW ALIGNING CODE, TODO: clean up

      if (align) {
        var seriesWidths = [];
        series.each(function (d, i) {
          var legendText = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text');
          var nodeTextLength;

          try {
            nodeTextLength = legendText.getComputedTextLength(); // If the legendText is display:none'd (nodeTextLength == 0), simulate an error so we approximate, instead

            if (nodeTextLength <= 0) throw Error();
          } catch (e) {
            nodeTextLength = nv.utils.calcApproxTextWidth(legendText);
          }

          seriesWidths.push(nodeTextLength + 28); // 28 is ~ the width of the circle plus some padding
        });
        var seriesPerRow = 0;
        var legendWidth = 0;
        var columnWidths = [];

        while (legendWidth < availableWidth && seriesPerRow < seriesWidths.length) {
          columnWidths[seriesPerRow] = seriesWidths[seriesPerRow];
          legendWidth += seriesWidths[seriesPerRow++];
        }

        if (seriesPerRow === 0) seriesPerRow = 1; //minimum of one series per row

        while (legendWidth > availableWidth && seriesPerRow > 1) {
          columnWidths = [];
          seriesPerRow--;

          for (var k = 0; k < seriesWidths.length; k++) {
            if (seriesWidths[k] > (columnWidths[k % seriesPerRow] || 0)) columnWidths[k % seriesPerRow] = seriesWidths[k];
          }

          legendWidth = columnWidths.reduce(function (prev, cur, index, array) {
            return prev + cur;
          });
        }

        var xPositions = [];

        for (var i = 0, curX = 0; i < seriesPerRow; i++) {
          xPositions[i] = curX;
          curX += columnWidths[i];
        }

        series.attr('transform', function (d, i) {
          return 'translate(' + xPositions[i % seriesPerRow] + ',' + (5 + Math.floor(i / seriesPerRow) * 20) + ')';
        }); //position legend as far right as possible within the total width

        if (rightAlign) {
          g.attr('transform', 'translate(' + (width - margin.right - legendWidth) + ',' + margin.top + ')');
        } else {
          g.attr('transform', 'translate(0' + ',' + margin.top + ')');
        }

        height = margin.top + margin.bottom + Math.ceil(seriesWidths.length / seriesPerRow) * 20;
      } else {
        var ypos = 5,
            newxpos = 5,
            maxwidth = 0,
            xpos;
        series.attr('transform', function (d, i) {
          var length = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text').node().getComputedTextLength() + 28;
          xpos = newxpos;

          if (width < margin.left + margin.right + xpos + length) {
            newxpos = xpos = 5;
            ypos += 20;
          }

          newxpos += length;
          if (newxpos > maxwidth) maxwidth = newxpos;
          return 'translate(' + xpos + ',' + ypos + ')';
        }); //position legend as far right as possible within the total width

        g.attr('transform', 'translate(' + (width - margin.right - maxwidth) + ',' + margin.top + ')');
        height = margin.top + margin.bottom + ypos + 15;
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.key = function (_) {
    if (!arguments.length) return getKey;
    getKey = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.align = function (_) {
    if (!arguments.length) return align;
    align = _;
    return chart;
  };

  chart.rightAlign = function (_) {
    if (!arguments.length) return rightAlign;
    rightAlign = _;
    return chart;
  };

  chart.updateState = function (_) {
    if (!arguments.length) return updateState;
    updateState = _;
    return chart;
  };

  chart.radioButtonMode = function (_) {
    if (!arguments.length) return radioButtonMode;
    radioButtonMode = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.line = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var scatter = nv.models.scatter();

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      color = nv.utils.defaultColor() // a function that returns a color
  ,
      getX = function getX(d) {
    return d.x;
  } // accessor to get the x value from a data point
  ,
      getY = function getY(d) {
    return d.y;
  } // accessor to get the y value from a data point
  ,
      defined = function defined(d, i) {
    return !isNaN(getY(d, i)) && getY(d, i) !== null;
  } // allows a line to be not continuous when it is not defined
  ,
      isArea = function isArea(d) {
    return d.area;
  } // decides if a line is an area or just a line
  ,
      clipEdge = false // if true, masks lines within x and y scale
  ,
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      interpolate = "linear" // controls the line interpolation
  ;

  scatter.size(16) // default size
  .sizeDomain([16, 256]) //set to speed up calculation, needs to be unset if there is a custom size accessor
  ; //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var x0, y0 //used to store previous scales
  ; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      x = scatter.xScale();
      y = scatter.yScale();
      x0 = x0 || x;
      y0 = y0 || y; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-line').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-line');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      gEnter.append('g').attr('class', 'nv-scatterWrap');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      scatter.width(availableWidth).height(availableHeight);
      var scatterWrap = wrap.select('.nv-scatterWrap'); //.datum(data); // Data automatically trickles down from the wrap

      scatterWrap.transition().call(scatter);
      defsEnter.append('clipPath').attr('id', 'nv-edge-clip-' + scatter.id()).append('rect');
      wrap.select('#nv-edge-clip-' + scatter.id() + ' rect').attr('width', availableWidth).attr('height', availableHeight > 0 ? availableHeight : 0);
      g.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + scatter.id() + ')' : '');
      scatterWrap.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + scatter.id() + ')' : '');
      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d) {
        return d.key;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      }).style('fill', function (d, i) {
        return color(d, i);
      }).style('stroke', function (d, i) {
        return color(d, i);
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', .5);
      var areaPaths = groups.selectAll('path.nv-area').data(function (d) {
        return isArea(d) ? [d] : [];
      }); // this is done differently than lines because I need to check if series is an area

      areaPaths.enter().append('path').attr('class', 'nv-area').attr('d', function (d) {
        return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.area().interpolate(interpolate).defined(defined).x(function (d, i) {
          return nv.utils.NaNtoZero(x0(getX(d, i)));
        }).y0(function (d, i) {
          return nv.utils.NaNtoZero(y0(getY(d, i)));
        }).y1(function (d, i) {
          return y0(y.domain()[0] <= 0 ? y.domain()[1] >= 0 ? 0 : y.domain()[1] : y.domain()[0]);
        }) //.y1(function(d,i) { return y0(0) }) //assuming 0 is within y domain.. may need to tweak this
        .apply(this, [d.values]);
      });
      groups.exit().selectAll('path.nv-area').remove();
      areaPaths.transition().attr('d', function (d) {
        return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.area().interpolate(interpolate).defined(defined).x(function (d, i) {
          return nv.utils.NaNtoZero(x(getX(d, i)));
        }).y0(function (d, i) {
          return nv.utils.NaNtoZero(y(getY(d, i)));
        }).y1(function (d, i) {
          return y(y.domain()[0] <= 0 ? y.domain()[1] >= 0 ? 0 : y.domain()[1] : y.domain()[0]);
        }) //.y1(function(d,i) { return y0(0) }) //assuming 0 is within y domain.. may need to tweak this
        .apply(this, [d.values]);
      });
      var linePaths = groups.selectAll('path.nv-line').data(function (d) {
        return [d.values];
      });
      linePaths.enter().append('path').attr('class', 'nv-line').attr('d', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.line().interpolate(interpolate).defined(defined).x(function (d, i) {
        return nv.utils.NaNtoZero(x0(getX(d, i)));
      }).y(function (d, i) {
        return nv.utils.NaNtoZero(y0(getY(d, i)));
      }));
      linePaths.transition().attr('d', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.line().interpolate(interpolate).defined(defined).x(function (d, i) {
        return nv.utils.NaNtoZero(x(getX(d, i)));
      }).y(function (d, i) {
        return nv.utils.NaNtoZero(y(getY(d, i)));
      })); //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = scatter.dispatch;
  chart.scatter = scatter;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scatter, 'id', 'interactive', 'size', 'xScale', 'yScale', 'zScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'sizeDomain', 'forceX', 'forceY', 'forceSize', 'clipVoronoi', 'useVoronoi', 'clipRadius', 'padData', 'highlightPoint', 'clearHighlights');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    scatter.x(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    scatter.y(_);
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    scatter.color(color);
    return chart;
  };

  chart.interpolate = function (_) {
    if (!arguments.length) return interpolate;
    interpolate = _;
    return chart;
  };

  chart.defined = function (_) {
    if (!arguments.length) return defined;
    defined = _;
    return chart;
  };

  chart.isArea = function (_) {
    if (!arguments.length) return isArea;
    isArea = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  }; //============================================================


  return chart;
};

nv.models.lineChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var lines = nv.models.line(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      interactiveLayer = nv.interactiveGuideline();

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  },
      color = nv.utils.defaultColor(),
      width = null,
      height = null,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      useInteractiveGuideline = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x,
      y,
      state = {},
      defaultState = null,
      noData = 'No Data Available.',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      transitionDuration = 250;

  xAxis.orient('bottom').tickPadding(7);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(lines.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, null, null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = lines.xScale();
      y = lines.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-lineChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-lineChart').append('g');
      var g = wrap.select('g');
      gEnter.append("rect").style("opacity", 0);
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-linesWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-interactive');
      g.select("rect").attr("width", availableWidth).attr("height", availableHeight > 0 ? availableHeight : 0); //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth);
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      // Main Chart Component(s)
      //------------------------------------------------------------
      //Set up interactive layer


      if (useInteractiveGuideline) {
        interactiveLayer.width(availableWidth).height(availableHeight).margin({
          left: margin.left,
          top: margin.top
        }).svgContainer(container).xScale(x);
        wrap.select(".nv-interactive").call(interactiveLayer);
      }

      lines.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      var linesWrap = g.select('.nv-linesWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      linesWrap.transition().call(lines); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      interactiveLayer.dispatch.on('elementMousemove', function (e) {
        lines.clearHighlights();
        var singlePoint,
            pointIndex,
            pointXLocation,
            allData = [];
        data.filter(function (series, i) {
          series.seriesIndex = i;
          return !series.disabled;
        }).forEach(function (series, i) {
          pointIndex = nv.interactiveBisect(series.values, e.pointXValue, chart.x());
          lines.highlightPoint(i, pointIndex, true);
          var point = series.values[pointIndex];
          if (typeof point === 'undefined') return;
          if (typeof singlePoint === 'undefined') singlePoint = point;
          if (typeof pointXLocation === 'undefined') pointXLocation = chart.xScale()(chart.x()(point, pointIndex));
          allData.push({
            key: series.key,
            value: chart.y()(point, pointIndex),
            color: color(series, series.seriesIndex)
          });
        }); //Highlight the tooltip entry based on which point the mouse is closest to.

        if (allData.length > 2) {
          var yValue = chart.yScale().invert(e.mouseY);
          var domainExtent = Math.abs(chart.yScale().domain()[0] - chart.yScale().domain()[1]);
          var threshold = 0.03 * domainExtent;
          var indexToHighlight = nv.nearestValueIndex(allData.map(function (d) {
            return d.value;
          }), yValue, threshold);
          if (indexToHighlight !== null) allData[indexToHighlight].highlight = true;
        }

        var xValue = xAxis.tickFormat()(chart.x()(singlePoint, pointIndex));
        interactiveLayer.tooltip.position({
          left: pointXLocation + margin.left,
          top: e.mouseY + margin.top
        }).chartContainer(that.parentNode).enabled(tooltips).valueFormatter(function (d, i) {
          return yAxis.tickFormat()(d);
        }).data({
          value: xValue,
          series: allData
        })();
        interactiveLayer.renderGuideLine(pointXLocation);
      });
      interactiveLayer.dispatch.on("elementMouseout", function (e) {
        dispatch.tooltipHide();
        lines.clearHighlights();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      });
      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined' && data.length === e.disabled.length) {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.lines = lines;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.interactiveLayer = interactiveLayer;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'isArea', 'x', 'y', 'size', 'xScale', 'yScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'useVoronoi', 'id', 'interpolate');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.useInteractiveGuideline = function (_) {
    if (!arguments.length) return useInteractiveGuideline;
    useInteractiveGuideline = _;

    if (_ === true) {
      chart.interactive(false);
      chart.useVoronoi(false);
    }

    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.linePlusBarChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var lines = nv.models.line(),
      bars = nv.models.historicalBar(),
      xAxis = nv.models.axis(),
      y1Axis = nv.models.axis(),
      y2Axis = nv.models.axis(),
      legend = nv.models.legend();

  var margin = {
    top: 30,
    right: 60,
    bottom: 50,
    left: 60
  },
      width = null,
      height = null,
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      color = nv.utils.defaultColor(),
      showLegend = true,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x,
      y1,
      y2,
      state = {},
      defaultState = null,
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState');

  bars.padData(true);
  lines.clipEdge(false).padData(true);
  xAxis.orient('bottom').tickPadding(7).highlightZero(false);
  y1Axis.orient('left');
  y2Axis.orient('right'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
        y = (e.series.bar ? y1Axis : y2Axis).tickFormat()(lines.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //------------------------------------------------------------


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().call(chart);
      }; // chart.container = this;
      //set state.disabled


      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      var dataBars = data.filter(function (d) {
        return !d.disabled && d.bar;
      });
      var dataLines = data.filter(function (d) {
        return !d.bar;
      }); // removed the !d.disabled clause here to fix Issue #240
      //x = xAxis.scale();

      x = dataLines.filter(function (d) {
        return !d.disabled;
      }).length && dataLines.filter(function (d) {
        return !d.disabled;
      })[0].values.length ? lines.xScale() : bars.xScale(); //x = dataLines.filter(function(d) { return !d.disabled; }).length ? lines.xScale() : bars.xScale(); //old code before change above

      y1 = bars.yScale();
      y2 = lines.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).selectAll('g.nv-wrap.nv-linePlusBar').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-linePlusBar').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y1 nv-axis');
      gEnter.append('g').attr('class', 'nv-y2 nv-axis');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      gEnter.append('g').attr('class', 'nv-linesWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth / 2);
        g.select('.nv-legendWrap').datum(data.map(function (series) {
          series.originalKey = series.originalKey === undefined ? series.key : series.originalKey;
          series.key = series.originalKey + (series.bar ? ' (left axis)' : ' (right axis)');
          return series;
        })).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + availableWidth / 2 + ',' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Main Chart Component(s)

      lines.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled && !data[i].bar;
      }));
      bars.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].bar;
      }));
      var barsWrap = g.select('.nv-barsWrap').datum(dataBars.length ? dataBars : [{
        values: []
      }]);
      var linesWrap = g.select('.nv-linesWrap').datum(dataLines[0] && !dataLines[0].disabled ? dataLines : [{
        values: []
      }]); //.datum(!dataLines[0].disabled ? dataLines : [{values:dataLines[0].values.map(function(d) { return [d[0], null] }) }] );

      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(barsWrap).call(bars);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(linesWrap).call(lines); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
      g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y1.range()[0] + ')');
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-x.nv-axis')).call(xAxis);
      y1Axis.scale(y1).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-y1.nv-axis')).style('opacity', dataBars.length ? 1 : 0).call(y1Axis);
      y2Axis.scale(y2).ticks(availableHeight / 36).tickSize(dataBars.length ? 0 : -availableWidth, 0); // Show the y2 rules only if y1 has none

      g.select('.nv-y2.nv-axis').style('opacity', dataLines.length ? 1 : 0).attr('transform', 'translate(' + availableWidth + ',0)'); //.attr('transform', 'translate(' + x.range()[1] + ',0)');

      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-y2.nv-axis')).call(y2Axis); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  bars.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  bars.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.legend = legend;
  chart.lines = lines;
  chart.bars = bars;
  chart.xAxis = xAxis;
  chart.y1Axis = y1Axis;
  chart.y2Axis = y2Axis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'size', 'clipVoronoi', 'interpolate'); //TODO: consider rebinding x, y and some other stuff, and simply do soemthign lile bars.x(lines.x()), etc.
  //d3v3.rebind(chart, lines, 'x', 'y', 'size', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'id');

  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    lines.x(_);
    bars.x(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    lines.y(_);
    bars.y(_);
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.lineWithFocusChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var lines = nv.models.line(),
      lines2 = nv.models.line(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      x2Axis = nv.models.axis(),
      y2Axis = nv.models.axis(),
      legend = nv.models.legend(),
      brush = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.brush();

  var margin = {
    top: 30,
    right: 30,
    bottom: 30,
    left: 60
  },
      margin2 = {
    top: 0,
    right: 30,
    bottom: 20,
    left: 60
  },
      color = nv.utils.defaultColor(),
      width = null,
      height = null,
      height2 = 100,
      x,
      y,
      x2,
      y2,
      showLegend = true,
      brushExtent = null,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'brush'),
      transitionDuration = 250;

  lines.clipEdge(true);
  lines2.interactive(false);
  xAxis.orient('bottom').tickPadding(5);
  yAxis.orient('left');
  x2Axis.orient('bottom').tickPadding(5);
  y2Axis.orient('left'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(lines.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, null, null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight1 = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom - height2,
          availableHeight2 = height2 - margin2.top - margin2.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight1 / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = lines.xScale();
      y = lines.yScale();
      x2 = lines2.xScale();
      y2 = lines2.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-lineWithFocusChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-lineWithFocusChart').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      var focusEnter = gEnter.append('g').attr('class', 'nv-focus');
      focusEnter.append('g').attr('class', 'nv-x nv-axis');
      focusEnter.append('g').attr('class', 'nv-y nv-axis');
      focusEnter.append('g').attr('class', 'nv-linesWrap');
      var contextEnter = gEnter.append('g').attr('class', 'nv-context');
      contextEnter.append('g').attr('class', 'nv-x nv-axis');
      contextEnter.append('g').attr('class', 'nv-y nv-axis');
      contextEnter.append('g').attr('class', 'nv-linesWrap');
      contextEnter.append('g').attr('class', 'nv-brushBackground');
      contextEnter.append('g').attr('class', 'nv-x nv-brush'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth);
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight1 = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom - height2;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Main Chart Component(s)

      lines.width(availableWidth).height(availableHeight1).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      lines2.defined(lines.defined()).width(availableWidth).height(availableHeight2).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      g.select('.nv-context').attr('transform', 'translate(0,' + (availableHeight1 + margin.bottom + margin2.top) + ')');
      var contextLinesWrap = g.select('.nv-context .nv-linesWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(contextLinesWrap).call(lines2); //------------------------------------------------------------

      /*
      var focusLinesWrap = g.select('.nv-focus .nv-linesWrap')
          .datum(data.filter(function(d) { return !d.disabled }))
       d3v3.transition(focusLinesWrap).call(lines);
      */
      //------------------------------------------------------------
      // Setup Main (Focus) Axes

      xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight1, 0);
      yAxis.scale(y).ticks(availableHeight1 / 36).tickSize(-availableWidth, 0);
      g.select('.nv-focus .nv-x.nv-axis').attr('transform', 'translate(0,' + availableHeight1 + ')'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Brush

      brush.x(x2).on('brush', function () {
        //When brushing, turn off transitions because chart needs to change immediately.
        var oldTransition = chart.transitionDuration();
        chart.transitionDuration(0);
        onBrush();
        chart.transitionDuration(oldTransition);
      });
      if (brushExtent) brush.extent(brushExtent);
      var brushBG = g.select('.nv-brushBackground').selectAll('g').data([brushExtent || brush.extent()]);
      var brushBGenter = brushBG.enter().append('g');
      brushBGenter.append('rect').attr('class', 'left').attr('x', 0).attr('y', 0).attr('height', availableHeight2);
      brushBGenter.append('rect').attr('class', 'right').attr('x', 0).attr('y', 0).attr('height', availableHeight2);
      var gBrush = g.select('.nv-x.nv-brush').call(brush);
      gBrush.selectAll('rect') //.attr('y', -5)
      .attr('height', availableHeight2);
      gBrush.selectAll('.resize').append('path').attr('d', resizePath);
      onBrush(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Secondary (Context) Axes

      x2Axis.scale(x2).ticks(availableWidth / 100).tickSize(-availableHeight2, 0);
      g.select('.nv-context .nv-x.nv-axis').attr('transform', 'translate(0,' + y2.range()[0] + ')');
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-context .nv-x.nv-axis')).call(x2Axis);
      y2Axis.scale(y2).ticks(availableHeight2 / 36).tickSize(-availableWidth, 0);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.nv-context .nv-y.nv-axis')).call(y2Axis);
      g.select('.nv-context .nv-x.nv-axis').attr('transform', 'translate(0,' + y2.range()[0] + ')'); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); //============================================================
      //============================================================
      // Functions
      //------------------------------------------------------------
      // Taken from crossfilter (http://square.github.com/crossfilter/)

      function resizePath(d) {
        var e = +(d == 'e'),
            x = e ? 1 : -1,
            y = availableHeight2 / 3;
        return 'M' + .5 * x + ',' + y + 'A6,6 0 0 ' + e + ' ' + 6.5 * x + ',' + (y + 6) + 'V' + (2 * y - 6) + 'A6,6 0 0 ' + e + ' ' + .5 * x + ',' + 2 * y + 'Z' + 'M' + 2.5 * x + ',' + (y + 8) + 'V' + (2 * y - 8) + 'M' + 4.5 * x + ',' + (y + 8) + 'V' + (2 * y - 8);
      }

      function updateBrushBG() {
        if (!brush.empty()) brush.extent(brushExtent);
        brushBG.data([brush.empty() ? x2.domain() : brushExtent]).each(function (d, i) {
          var leftWidth = x2(d[0]) - x.range()[0],
              rightWidth = x.range()[1] - x2(d[1]);
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('.left').attr('width', leftWidth < 0 ? 0 : leftWidth);
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('.right').attr('x', x2(d[1])).attr('width', rightWidth < 0 ? 0 : rightWidth);
        });
      }

      function onBrush() {
        brushExtent = brush.empty() ? null : brush.extent();
        var extent = brush.empty() ? x2.domain() : brush.extent(); //The brush extent cannot be less than one.  If it is, don't update the line chart.

        if (Math.abs(extent[0] - extent[1]) <= 1) {
          return;
        }

        dispatch.brush({
          extent: extent,
          brush: brush
        });
        updateBrushBG(); // Update Main (Focus)

        var focusLinesWrap = g.select('.nv-focus .nv-linesWrap').datum(data.filter(function (d) {
          return !d.disabled;
        }).map(function (d, i) {
          return {
            key: d.key,
            values: d.values.filter(function (d, i) {
              return lines.x()(d, i) >= extent[0] && lines.x()(d, i) <= extent[1];
            })
          };
        }));
        focusLinesWrap.transition().duration(transitionDuration).call(lines); // Update Main (Focus) Axes

        g.select('.nv-focus .nv-x.nv-axis').transition().duration(transitionDuration).call(xAxis);
        g.select('.nv-focus .nv-y.nv-axis').transition().duration(transitionDuration).call(yAxis);
      } //============================================================

    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.legend = legend;
  chart.lines = lines;
  chart.lines2 = lines2;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.x2Axis = x2Axis;
  chart.y2Axis = y2Axis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'isArea', 'size', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'id');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return lines.x;
    lines.x(_);
    lines2.x(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return lines.y;
    lines.y(_);
    lines2.y(_);
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.margin2 = function (_) {
    if (!arguments.length) return margin2;
    margin2 = _;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.height2 = function (_) {
    if (!arguments.length) return height2;
    height2 = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.interpolate = function (_) {
    if (!arguments.length) return lines.interpolate();
    lines.interpolate(_);
    lines2.interpolate(_);
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  }; // Chart has multiple similar Axes, to prevent code duplication, probably need to link all axis functions manually like below


  chart.xTickFormat = function (_) {
    if (!arguments.length) return xAxis.tickFormat();
    xAxis.tickFormat(_);
    x2Axis.tickFormat(_);
    return chart;
  };

  chart.yTickFormat = function (_) {
    if (!arguments.length) return yAxis.tickFormat();
    yAxis.tickFormat(_);
    y2Axis.tickFormat(_);
    return chart;
  };

  chart.brushExtent = function (_) {
    if (!arguments.length) return brushExtent;
    brushExtent = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.linePlusBarWithFocusChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var lines = nv.models.line(),
      lines2 = nv.models.line(),
      bars = nv.models.historicalBar(),
      bars2 = nv.models.historicalBar(),
      xAxis = nv.models.axis(),
      x2Axis = nv.models.axis(),
      y1Axis = nv.models.axis(),
      y2Axis = nv.models.axis(),
      y3Axis = nv.models.axis(),
      y4Axis = nv.models.axis(),
      legend = nv.models.legend(),
      brush = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.brush();

  var margin = {
    top: 30,
    right: 30,
    bottom: 30,
    left: 60
  },
      margin2 = {
    top: 0,
    right: 30,
    bottom: 20,
    left: 60
  },
      width = null,
      height = null,
      height2 = 100,
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      color = nv.utils.defaultColor(),
      showLegend = true,
      extent,
      brushExtent = null,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x,
      x2,
      y1,
      y2,
      y3,
      y4,
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'brush'),
      transitionDuration = 0;

  lines.clipEdge(true);
  lines2.interactive(false);
  xAxis.orient('bottom').tickPadding(5);
  y1Axis.orient('left');
  y2Axis.orient('right');
  x2Axis.orient('bottom').tickPadding(5);
  y3Axis.orient('left');
  y4Axis.orient('right'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    if (extent) {
      e.pointIndex += Math.ceil(extent[0]);
    }

    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
        y = (e.series.bar ? y1Axis : y2Axis).tickFormat()(lines.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //------------------------------------------------------------


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight1 = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom - height2,
          availableHeight2 = height2 - margin2.top - margin2.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight1 / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      var dataBars = data.filter(function (d) {
        return !d.disabled && d.bar;
      });
      var dataLines = data.filter(function (d) {
        return !d.bar;
      }); // removed the !d.disabled clause here to fix Issue #240

      x = bars.xScale();
      x2 = x2Axis.scale();
      y1 = bars.yScale();
      y2 = lines.yScale();
      y3 = bars2.yScale();
      y4 = lines2.yScale();
      var series1 = data.filter(function (d) {
        return !d.disabled && d.bar;
      }).map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i)
          };
        });
      });
      var series2 = data.filter(function (d) {
        return !d.disabled && !d.bar;
      }).map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i)
          };
        });
      });
      x.range([0, availableWidth]);
      x2.domain(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(series1.concat(series2)), function (d) {
        return d.x;
      })).range([0, availableWidth]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-linePlusBar').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-linePlusBar').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      var focusEnter = gEnter.append('g').attr('class', 'nv-focus');
      focusEnter.append('g').attr('class', 'nv-x nv-axis');
      focusEnter.append('g').attr('class', 'nv-y1 nv-axis');
      focusEnter.append('g').attr('class', 'nv-y2 nv-axis');
      focusEnter.append('g').attr('class', 'nv-barsWrap');
      focusEnter.append('g').attr('class', 'nv-linesWrap');
      var contextEnter = gEnter.append('g').attr('class', 'nv-context');
      contextEnter.append('g').attr('class', 'nv-x nv-axis');
      contextEnter.append('g').attr('class', 'nv-y1 nv-axis');
      contextEnter.append('g').attr('class', 'nv-y2 nv-axis');
      contextEnter.append('g').attr('class', 'nv-barsWrap');
      contextEnter.append('g').attr('class', 'nv-linesWrap');
      contextEnter.append('g').attr('class', 'nv-brushBackground');
      contextEnter.append('g').attr('class', 'nv-x nv-brush'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth / 2);
        g.select('.nv-legendWrap').datum(data.map(function (series) {
          series.originalKey = series.originalKey === undefined ? series.key : series.originalKey;
          series.key = series.originalKey + (series.bar ? ' (left axis)' : ' (right axis)');
          return series;
        })).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight1 = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom - height2;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + availableWidth / 2 + ',' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Context Components

      bars2.width(availableWidth).height(availableHeight2).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].bar;
      }));
      lines2.width(availableWidth).height(availableHeight2).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled && !data[i].bar;
      }));
      var bars2Wrap = g.select('.nv-context .nv-barsWrap').datum(dataBars.length ? dataBars : [{
        values: []
      }]);
      var lines2Wrap = g.select('.nv-context .nv-linesWrap').datum(!dataLines[0].disabled ? dataLines : [{
        values: []
      }]);
      g.select('.nv-context').attr('transform', 'translate(0,' + (availableHeight1 + margin.bottom + margin2.top) + ')');
      bars2Wrap.transition().call(bars2);
      lines2Wrap.transition().call(lines2); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Brush

      brush.x(x2).on('brush', onBrush);
      if (brushExtent) brush.extent(brushExtent);
      var brushBG = g.select('.nv-brushBackground').selectAll('g').data([brushExtent || brush.extent()]);
      var brushBGenter = brushBG.enter().append('g');
      brushBGenter.append('rect').attr('class', 'left').attr('x', 0).attr('y', 0).attr('height', availableHeight2);
      brushBGenter.append('rect').attr('class', 'right').attr('x', 0).attr('y', 0).attr('height', availableHeight2);
      var gBrush = g.select('.nv-x.nv-brush').call(brush);
      gBrush.selectAll('rect') //.attr('y', -5)
      .attr('height', availableHeight2);
      gBrush.selectAll('.resize').append('path').attr('d', resizePath); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Secondary (Context) Axes

      x2Axis.ticks(availableWidth / 100).tickSize(-availableHeight2, 0);
      g.select('.nv-context .nv-x.nv-axis').attr('transform', 'translate(0,' + y3.range()[0] + ')');
      g.select('.nv-context .nv-x.nv-axis').transition().call(x2Axis);
      y3Axis.scale(y3).ticks(availableHeight2 / 36).tickSize(-availableWidth, 0);
      g.select('.nv-context .nv-y1.nv-axis').style('opacity', dataBars.length ? 1 : 0).attr('transform', 'translate(0,' + x2.range()[0] + ')');
      g.select('.nv-context .nv-y1.nv-axis').transition().call(y3Axis);
      y4Axis.scale(y4).ticks(availableHeight2 / 36).tickSize(dataBars.length ? 0 : -availableWidth, 0); // Show the y2 rules only if y1 has none

      g.select('.nv-context .nv-y2.nv-axis').style('opacity', dataLines.length ? 1 : 0).attr('transform', 'translate(' + x2.range()[1] + ',0)');
      g.select('.nv-context .nv-y2.nv-axis').transition().call(y4Axis); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); //============================================================
      //============================================================
      // Functions
      //------------------------------------------------------------
      // Taken from crossfilter (http://square.github.com/crossfilter/)

      function resizePath(d) {
        var e = +(d == 'e'),
            x = e ? 1 : -1,
            y = availableHeight2 / 3;
        return 'M' + .5 * x + ',' + y + 'A6,6 0 0 ' + e + ' ' + 6.5 * x + ',' + (y + 6) + 'V' + (2 * y - 6) + 'A6,6 0 0 ' + e + ' ' + .5 * x + ',' + 2 * y + 'Z' + 'M' + 2.5 * x + ',' + (y + 8) + 'V' + (2 * y - 8) + 'M' + 4.5 * x + ',' + (y + 8) + 'V' + (2 * y - 8);
      }

      function updateBrushBG() {
        if (!brush.empty()) brush.extent(brushExtent);
        brushBG.data([brush.empty() ? x2.domain() : brushExtent]).each(function (d, i) {
          var leftWidth = x2(d[0]) - x2.range()[0],
              rightWidth = x2.range()[1] - x2(d[1]);
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('.left').attr('width', leftWidth < 0 ? 0 : leftWidth);
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('.right').attr('x', x2(d[1])).attr('width', rightWidth < 0 ? 0 : rightWidth);
        });
      }

      function onBrush() {
        brushExtent = brush.empty() ? null : brush.extent();
        extent = brush.empty() ? x2.domain() : brush.extent();
        dispatch.brush({
          extent: extent,
          brush: brush
        });
        updateBrushBG(); //------------------------------------------------------------
        // Prepare Main (Focus) Bars and Lines

        bars.width(availableWidth).height(availableHeight1).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled && data[i].bar;
        }));
        lines.width(availableWidth).height(availableHeight1).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled && !data[i].bar;
        }));
        var focusBarsWrap = g.select('.nv-focus .nv-barsWrap').datum(!dataBars.length ? [{
          values: []
        }] : dataBars.map(function (d, i) {
          return {
            key: d.key,
            values: d.values.filter(function (d, i) {
              return bars.x()(d, i) >= extent[0] && bars.x()(d, i) <= extent[1];
            })
          };
        }));
        var focusLinesWrap = g.select('.nv-focus .nv-linesWrap').datum(dataLines[0].disabled ? [{
          values: []
        }] : dataLines.map(function (d, i) {
          return {
            key: d.key,
            values: d.values.filter(function (d, i) {
              return lines.x()(d, i) >= extent[0] && lines.x()(d, i) <= extent[1];
            })
          };
        })); //------------------------------------------------------------
        //------------------------------------------------------------
        // Update Main (Focus) X Axis

        if (dataBars.length) {
          x = bars.xScale();
        } else {
          x = lines.xScale();
        }

        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight1, 0);
        xAxis.domain([Math.ceil(extent[0]), Math.floor(extent[1])]);
        g.select('.nv-x.nv-axis').transition().duration(transitionDuration).call(xAxis); //------------------------------------------------------------
        //------------------------------------------------------------
        // Update Main (Focus) Bars and Lines

        focusBarsWrap.transition().duration(transitionDuration).call(bars);
        focusLinesWrap.transition().duration(transitionDuration).call(lines); //------------------------------------------------------------
        //------------------------------------------------------------
        // Setup and Update Main (Focus) Y Axes

        g.select('.nv-focus .nv-x.nv-axis').attr('transform', 'translate(0,' + y1.range()[0] + ')');
        y1Axis.scale(y1).ticks(availableHeight1 / 36).tickSize(-availableWidth, 0);
        g.select('.nv-focus .nv-y1.nv-axis').style('opacity', dataBars.length ? 1 : 0);
        y2Axis.scale(y2).ticks(availableHeight1 / 36).tickSize(dataBars.length ? 0 : -availableWidth, 0); // Show the y2 rules only if y1 has none

        g.select('.nv-focus .nv-y2.nv-axis').style('opacity', dataLines.length ? 1 : 0).attr('transform', 'translate(' + x.range()[1] + ',0)');
        g.select('.nv-focus .nv-y1.nv-axis').transition().duration(transitionDuration).call(y1Axis);
        g.select('.nv-focus .nv-y2.nv-axis').transition().duration(transitionDuration).call(y2Axis);
      } //============================================================


      onBrush();
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  bars.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  bars.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.legend = legend;
  chart.lines = lines;
  chart.lines2 = lines2;
  chart.bars = bars;
  chart.bars2 = bars2;
  chart.xAxis = xAxis;
  chart.x2Axis = x2Axis;
  chart.y1Axis = y1Axis;
  chart.y2Axis = y2Axis;
  chart.y3Axis = y3Axis;
  chart.y4Axis = y4Axis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'size', 'clipVoronoi', 'interpolate'); //TODO: consider rebinding x, y and some other stuff, and simply do soemthign lile bars.x(lines.x()), etc.
  //d3v3.rebind(chart, lines, 'x', 'y', 'size', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'id');

  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    lines.x(_);
    bars.x(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    lines.y(_);
    bars.y(_);
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.brushExtent = function (_) {
    if (!arguments.length) return brushExtent;
    brushExtent = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.multiBar = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.ordinal(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceY = [0] // 0 is forced by default.. this makes sense for the majority of bar graphs... user can always do chart.forceY([]) to remove
  ,
      clipEdge = true,
      stacked = false,
      stackOffset = 'zero' // options include 'silhouette', 'wiggle', 'expand', 'zero', or a custom function
  ,
      color = nv.utils.defaultColor(),
      hideable = false,
      barColor = null // adding the ability to set the color for each rather than the whole group
  ,
      disabled // used in conjunction with barColor to communicate from multiBarHorizontalChart what series are disabled
  ,
      delay = 1200,
      xDomain,
      yDomain,
      xRange,
      yRange,
      groupSpacing = 0.1,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var x0, y0 //used to store previous scales
  ; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      if (hideable && data.length) hideable = [{
        values: data[0].values.map(function (d) {
          return {
            x: d.x,
            y: 0,
            series: d.series,
            size: 0.01
          };
        })
      }];
      if (stacked) data = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.layout.stack().offset(stackOffset).values(function (d) {
        return d.values;
      }).y(getY)(!data.length && hideable ? hideable : data); //add series index to each data point for reference

      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
        });
      }); //------------------------------------------------------------
      // HACK for negative value stacking

      if (stacked) data[0].values.map(function (d, i) {
        var posBase = 0,
            negBase = 0;
        data.map(function (d) {
          var f = d.values[i];
          f.size = Math.abs(f.y);

          if (f.y < 0) {
            f.y1 = negBase;
            negBase = negBase - f.size;
          } else {
            f.y1 = f.size + posBase;
            posBase = posBase + f.size;
          }
        });
      }); //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains

      var seriesData = xDomain && yDomain ? [] : // if we know xDomain and yDomain, no need to calculate
      data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            y0: d.y0,
            y1: d.y1
          };
        });
      });
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return d.x;
      })).rangeBands(xRange || [0, availableWidth], groupSpacing); //y   .domain(yDomain || d3v3.extent(d3v3.merge(seriesData).map(function(d) { return d.y + (stacked ? d.y1 : 0) }).concat(forceY)))

      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return stacked ? d.y > 0 ? d.y1 : d.y1 + d.y : d.y;
      }).concat(forceY))).range(yRange || [availableHeight, 0]); // If scale's domain don't have a range, slightly adjust to make one... so a chart can show a single data point

      if (x.domain()[0] === x.domain()[1]) x.domain()[0] ? x.domain([x.domain()[0] - x.domain()[0] * 0.01, x.domain()[1] + x.domain()[1] * 0.01]) : x.domain([-1, 1]);
      if (y.domain()[0] === y.domain()[1]) y.domain()[0] ? y.domain([y.domain()[0] + y.domain()[0] * 0.01, y.domain()[1] - y.domain()[1] * 0.01]) : y.domain([-1, 1]);
      x0 = x0 || x;
      y0 = y0 || y; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multibar').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multibar');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      defsEnter.append('clipPath').attr('id', 'nv-edge-clip-' + id).append('rect');
      wrap.select('#nv-edge-clip-' + id + ' rect').attr('width', availableWidth).attr('height', availableHeight);
      g.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + id + ')' : '');
      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d, i) {
        return i;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().transition().selectAll('rect.nv-bar').delay(function (d, i) {
        return i * delay / data[0].values.length;
      }).attr('y', function (d) {
        return stacked ? y0(d.y0) : y0(0);
      }).attr('height', 0).remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      }).style('fill', function (d, i) {
        return color(d, i);
      }).style('stroke', function (d, i) {
        return color(d, i);
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', .75);
      var bars = groups.selectAll('rect.nv-bar').data(function (d) {
        return hideable && !data.length ? hideable.values : d.values;
      });
      bars.exit().remove();
      var barsEnter = bars.enter().append('rect').attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).attr('x', function (d, i, j) {
        return stacked ? 0 : j * x.rangeBand() / data.length;
      }).attr('y', function (d) {
        return y0(stacked ? d.y0 : 0);
      }).attr('height', 0).attr('width', x.rangeBand() / (stacked ? 1 : data.length)).attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',0)';
      });
      bars.style('fill', function (d, i, j) {
        return color(d, j, i);
      }).style('stroke', function (d, i, j) {
        return color(d, j, i);
      }).on('mouseover', function (d, i) {
        //TODO: figure out why j works above, but not here
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      bars.attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).transition().attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',0)';
      });

      if (barColor) {
        if (!disabled) disabled = data.map(function () {
          return true;
        });
        bars.style('fill', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        }).style('stroke', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        });
      }

      if (stacked) bars.transition().delay(function (d, i) {
        return i * delay / data[0].values.length;
      }).attr('y', function (d, i) {
        return y(stacked ? d.y1 : 0);
      }).attr('height', function (d, i) {
        return Math.max(Math.abs(y(d.y + (stacked ? d.y0 : 0)) - y(stacked ? d.y0 : 0)), 1);
      }).attr('x', function (d, i) {
        return stacked ? 0 : d.series * x.rangeBand() / data.length;
      }).attr('width', x.rangeBand() / (stacked ? 1 : data.length));else bars.transition().delay(function (d, i) {
        return i * delay / data[0].values.length;
      }).attr('x', function (d, i) {
        return d.series * x.rangeBand() / data.length;
      }).attr('width', x.rangeBand() / data.length).attr('y', function (d, i) {
        return getY(d, i) < 0 ? y(0) : y(0) - y(getY(d, i)) < 1 ? y(0) - 1 : y(getY(d, i)) || 0;
      }).attr('height', function (d, i) {
        return Math.max(Math.abs(y(getY(d, i)) - y(0)), 1) || 0;
      }); //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.stacked = function (_) {
    if (!arguments.length) return stacked;
    stacked = _;
    return chart;
  };

  chart.stackOffset = function (_) {
    if (!arguments.length) return stackOffset;
    stackOffset = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.barColor = function (_) {
    if (!arguments.length) return barColor;
    barColor = nv.utils.getColor(_);
    return chart;
  };

  chart.disabled = function (_) {
    if (!arguments.length) return disabled;
    disabled = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.hideable = function (_) {
    if (!arguments.length) return hideable;
    hideable = _;
    return chart;
  };

  chart.delay = function (_) {
    if (!arguments.length) return delay;
    delay = _;
    return chart;
  };

  chart.groupSpacing = function (_) {
    if (!arguments.length) return groupSpacing;
    groupSpacing = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.multiBarChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var multibar = nv.models.multiBar(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      controls = nv.models.legend();

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  },
      width = null,
      height = null,
      color = nv.utils.defaultColor(),
      showControls = true,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      reduceXTicks = true // if false a tick will show for every data point
  ,
      staggerLabels = false,
      rotateLabels = 0,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' on ' + x + '</p>';
  },
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      state = {
    stacked: false
  },
      defaultState = null,
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      controlWidth = function controlWidth() {
    return showControls ? 180 : 0;
  },
      transitionDuration = 250;

  multibar.stacked(false);
  xAxis.orient('bottom').tickPadding(7).highlightZero(true).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.1f'));
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(multibar.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(multibar.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = multibar.xScale();
      y = multibar.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multiBarWithLegend').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multiBarWithLegend').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth - controlWidth());
        if (multibar.barColor()) data.forEach(function (series, i) {
          series.color = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb('#ccc').darker(i * 1.5).toString();
        });
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + controlWidth() + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        var controlsData = [{
          key: 'Grouped',
          disabled: multibar.stacked()
        }, {
          key: 'Stacked',
          disabled: !multibar.stacked()
        }];
        controls.width(controlWidth()).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      // Main Chart Component(s)


      multibar.disabled(data.map(function (series) {
        return series.disabled;
      })).width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(multibar); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.select('.nv-x.nv-axis > g').selectAll('g');
        xTicks.selectAll('line, text').style('opacity', 1);

        if (staggerLabels) {
          var getTranslate = function getTranslate(x, y) {
            return "translate(" + x + "," + y + ")";
          };

          var staggerUp = 5,
              staggerDown = 17; //pixels to stagger by
          // Issue #140

          xTicks.selectAll("text").attr('transform', function (d, i, j) {
            return getTranslate(0, j % 2 == 0 ? staggerUp : staggerDown);
          });
          var totalInBetweenTicks = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll(".nv-x.nv-axis .nv-wrap g g text")[0].length;
          g.selectAll(".nv-x.nv-axis .nv-axisMaxMin text").attr("transform", function (d, i) {
            return getTranslate(0, i === 0 || totalInBetweenTicks % 2 !== 0 ? staggerDown : staggerUp);
          });
        }

        if (reduceXTicks) xTicks.filter(function (d, i) {
          return i % Math.ceil(data[0].values.length / (availableWidth / 100)) !== 0;
        }).selectAll('text, line').style('opacity', 0);
        if (rotateLabels) xTicks.selectAll('.tick text').attr('transform', 'rotate(' + rotateLabels + ' 0,0)').style('text-anchor', rotateLabels > 0 ? 'start' : 'end');
        g.select('.nv-x.nv-axis').selectAll('g.nv-axisMaxMin text').style('opacity', 1);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      controls.dispatch.on('legendClick', function (d, i) {
        if (!d.disabled) return;
        controlsData = controlsData.map(function (s) {
          s.disabled = true;
          return s;
        });
        d.disabled = false;

        switch (d.key) {
          case 'Grouped':
            multibar.stacked(false);
            break;

          case 'Stacked':
            multibar.stacked(true);
            break;
        }

        state.stacked = multibar.stacked();
        dispatch.stateChange(state);
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.stacked !== 'undefined') {
          multibar.stacked(e.stacked);
          state.stacked = e.stacked;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  multibar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  multibar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.multibar = multibar;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, multibar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'clipEdge', 'id', 'stacked', 'stackOffset', 'delay', 'barColor', 'groupSpacing');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.reduceXTicks = function (_) {
    if (!arguments.length) return reduceXTicks;
    reduceXTicks = _;
    return chart;
  };

  chart.rotateLabels = function (_) {
    if (!arguments.length) return rotateLabels;
    rotateLabels = _;
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) return staggerLabels;
    staggerLabels = _;
    return chart;
  };

  chart.tooltip = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.multiBarHorizontal = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.ordinal(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceY = [0] // 0 is forced by default.. this makes sense for the majority of bar graphs... user can always do chart.forceY([]) to remove
  ,
      color = nv.utils.defaultColor(),
      barColor = null // adding the ability to set the color for each rather than the whole group
  ,
      disabled // used in conjunction with barColor to communicate from multiBarHorizontalChart what series are disabled
  ,
      stacked = false,
      showValues = false,
      showBarLabels = false,
      valuePadding = 60,
      valueFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.2f'),
      delay = 1200,
      xDomain,
      yDomain,
      xRange,
      yRange,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var x0, y0 //used to store previous scales
  ; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      if (stacked) data = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.layout.stack().offset('zero').values(function (d) {
        return d.values;
      }).y(getY)(data); //add series index to each data point for reference

      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
        });
      }); //------------------------------------------------------------
      // HACK for negative value stacking

      if (stacked) data[0].values.map(function (d, i) {
        var posBase = 0,
            negBase = 0;
        data.map(function (d) {
          var f = d.values[i];
          f.size = Math.abs(f.y);

          if (f.y < 0) {
            f.y1 = negBase - f.size;
            negBase = negBase - f.size;
          } else {
            f.y1 = posBase;
            posBase = posBase + f.size;
          }
        });
      }); //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains

      var seriesData = xDomain && yDomain ? [] : // if we know xDomain and yDomain, no need to calculate
      data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            y0: d.y0,
            y1: d.y1
          };
        });
      });
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return d.x;
      })).rangeBands(xRange || [0, availableHeight], .1); //y   .domain(yDomain || d3v3.extent(d3v3.merge(seriesData).map(function(d) { return d.y + (stacked ? d.y0 : 0) }).concat(forceY)))

      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(seriesData).map(function (d) {
        return stacked ? d.y > 0 ? d.y1 + d.y : d.y1 : d.y;
      }).concat(forceY)));
      if (showValues && !stacked) y.range(yRange || [y.domain()[0] < 0 ? valuePadding : 0, availableWidth - (y.domain()[1] > 0 ? valuePadding : 0)]);else y.range(yRange || [0, availableWidth]);
      x0 = x0 || x;
      y0 = y0 || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear().domain(y.domain()).range([y(0), y(0)]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).selectAll('g.nv-wrap.nv-multibarHorizontal').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multibarHorizontal');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d, i) {
        return i;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().transition().style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6).remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      }).style('fill', function (d, i) {
        return color(d, i);
      }).style('stroke', function (d, i) {
        return color(d, i);
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', .75);
      var bars = groups.selectAll('g.nv-bar').data(function (d) {
        return d.values;
      });
      bars.exit().remove();
      var barsEnter = bars.enter().append('g').attr('transform', function (d, i, j) {
        return 'translate(' + y0(stacked ? d.y0 : 0) + ',' + (stacked ? 0 : j * x.rangeBand() / data.length + x(getX(d, i))) + ')';
      });
      barsEnter.append('rect').attr('width', 0).attr('height', x.rangeBand() / (stacked ? 1 : data.length));
      bars.on('mouseover', function (d, i) {
        //TODO: figure out why j works above, but not here
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [y(getY(d, i) + (stacked ? d.y0 : 0)), x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + .5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      barsEnter.append('text');

      if (showValues && !stacked) {
        bars.select('text').attr('text-anchor', function (d, i) {
          return getY(d, i) < 0 ? 'end' : 'start';
        }).attr('y', x.rangeBand() / (data.length * 2)).attr('dy', '.32em').text(function (d, i) {
          return valueFormat(getY(d, i));
        });
        bars.transition().select('text').attr('x', function (d, i) {
          return getY(d, i) < 0 ? -4 : y(getY(d, i)) - y(0) + 4;
        });
      } else {
        bars.selectAll('text').text('');
      }

      if (showBarLabels && !stacked) {
        barsEnter.append('text').classed('nv-bar-label', true);
        bars.select('text.nv-bar-label').attr('text-anchor', function (d, i) {
          return getY(d, i) < 0 ? 'start' : 'end';
        }).attr('y', x.rangeBand() / (data.length * 2)).attr('dy', '.32em').text(function (d, i) {
          return getX(d, i);
        });
        bars.transition().select('text.nv-bar-label').attr('x', function (d, i) {
          return getY(d, i) < 0 ? y(0) - y(getY(d, i)) + 4 : -4;
        });
      } else {
        bars.selectAll('text.nv-bar-label').text('');
      }

      bars.attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      });

      if (barColor) {
        if (!disabled) disabled = data.map(function () {
          return true;
        });
        bars.style('fill', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        }).style('stroke', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        });
      }

      if (stacked) bars.transition().attr('transform', function (d, i) {
        return 'translate(' + y(d.y1) + ',' + x(getX(d, i)) + ')';
      }).select('rect').attr('width', function (d, i) {
        return Math.abs(y(getY(d, i) + d.y0) - y(d.y0));
      }).attr('height', x.rangeBand());else bars.transition().attr('transform', function (d, i) {
        //TODO: stacked must be all positive or all negative, not both?
        return 'translate(' + (getY(d, i) < 0 ? y(getY(d, i)) : y(0)) + ',' + (d.series * x.rangeBand() / data.length + x(getX(d, i))) + ')';
      }).select('rect').attr('height', x.rangeBand() / data.length).attr('width', function (d, i) {
        return Math.max(Math.abs(y(getY(d, i)) - y(0)), 1);
      }); //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.stacked = function (_) {
    if (!arguments.length) return stacked;
    stacked = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.barColor = function (_) {
    if (!arguments.length) return barColor;
    barColor = nv.utils.getColor(_);
    return chart;
  };

  chart.disabled = function (_) {
    if (!arguments.length) return disabled;
    disabled = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.delay = function (_) {
    if (!arguments.length) return delay;
    delay = _;
    return chart;
  };

  chart.showValues = function (_) {
    if (!arguments.length) return showValues;
    showValues = _;
    return chart;
  };

  chart.showBarLabels = function (_) {
    if (!arguments.length) return showBarLabels;
    showBarLabels = _;
    return chart;
  };

  chart.valueFormat = function (_) {
    if (!arguments.length) return valueFormat;
    valueFormat = _;
    return chart;
  };

  chart.valuePadding = function (_) {
    if (!arguments.length) return valuePadding;
    valuePadding = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.multiBarHorizontalChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var multibar = nv.models.multiBarHorizontal(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend().height(30),
      controls = nv.models.legend().height(30);

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  },
      width = null,
      height = null,
      color = nv.utils.defaultColor(),
      showControls = true,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      stacked = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + ' - ' + x + '</h3>' + '<p>' + y + '</p>';
  },
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      state = {
    stacked: stacked
  },
      defaultState = null,
      noData = 'No Data Available.',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      controlWidth = function controlWidth() {
    return showControls ? 180 : 0;
  },
      transitionDuration = 250;

  multibar.stacked(stacked);
  xAxis.orient('left').tickPadding(5).highlightZero(false).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  yAxis.orient('bottom').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.1f'));
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(multibar.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(multibar.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'e' : 'w', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = multibar.xScale();
      y = multibar.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multiBarHorizontalChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multiBarHorizontalChart').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis').append('g').attr('class', 'nv-zeroLine').append('line');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth - controlWidth());
        if (multibar.barColor()) data.forEach(function (series, i) {
          series.color = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb('#ccc').darker(i * 1.5).toString();
        });
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + controlWidth() + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        var controlsData = [{
          key: 'Grouped',
          disabled: multibar.stacked()
        }, {
          key: 'Stacked',
          disabled: !multibar.stacked()
        }];
        controls.width(controlWidth()).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Main Chart Component(s)

      multibar.disabled(data.map(function (series) {
        return series.disabled;
      })).width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(multibar); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableHeight / 24).tickSize(-availableWidth, 0);
        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.select('.nv-x.nv-axis').selectAll('g');
        xTicks.selectAll('line, text');
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-y.nv-axis').attr('transform', 'translate(0,' + availableHeight + ')');
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } // Zero line


      g.select(".nv-zeroLine line").attr("x1", y(0)).attr("x2", y(0)).attr("y1", 0).attr("y2", -availableHeight); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      controls.dispatch.on('legendClick', function (d, i) {
        if (!d.disabled) return;
        controlsData = controlsData.map(function (s) {
          s.disabled = true;
          return s;
        });
        d.disabled = false;

        switch (d.key) {
          case 'Grouped':
            multibar.stacked(false);
            break;

          case 'Stacked':
            multibar.stacked(true);
            break;
        }

        state.stacked = multibar.stacked();
        dispatch.stateChange(state);
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.stacked !== 'undefined') {
          multibar.stacked(e.stacked);
          state.stacked = e.stacked;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  multibar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  multibar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.multibar = multibar;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, multibar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'clipEdge', 'id', 'delay', 'showValues', 'showBarLabels', 'valueFormat', 'stacked', 'barColor');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.tooltip = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.multiChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  },
      color = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.category20().range(),
      width = null,
      height = null,
      showLegend = true,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' at ' + x + '</p>';
  },
      x,
      y,
      yDomain1,
      yDomain2; //can be accessed via chart.lines.[x/y]Scale()
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      yScale1 = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      yScale2 = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      lines1 = nv.models.line().yScale(yScale1),
      lines2 = nv.models.line().yScale(yScale2),
      bars1 = nv.models.multiBar().stacked(false).yScale(yScale1),
      bars2 = nv.models.multiBar().stacked(false).yScale(yScale2),
      stack1 = nv.models.stackedArea().yScale(yScale1),
      stack2 = nv.models.stackedArea().yScale(yScale2),
      xAxis = nv.models.axis().scale(x).orient('bottom').tickPadding(5),
      yAxis1 = nv.models.axis().scale(yScale1).orient('left'),
      yAxis2 = nv.models.axis().scale(yScale2).orient('right'),
      legend = nv.models.legend().height(30),
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide');

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(lines1.x()(e.point, e.pointIndex)),
        y = (e.series.yAxis == 2 ? yAxis2 : yAxis1).tickFormat()(lines1.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, undefined, undefined, offsetElement.offsetParent);
  };

  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;

      chart.update = function () {
        container.transition().call(chart);
      };

      chart.container = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
      var dataLines1 = data.filter(function (d) {
        return !d.disabled && d.type == 'line' && d.yAxis == 1;
      });
      var dataLines2 = data.filter(function (d) {
        return !d.disabled && d.type == 'line' && d.yAxis == 2;
      });
      var dataBars1 = data.filter(function (d) {
        return !d.disabled && d.type == 'bar' && d.yAxis == 1;
      });
      var dataBars2 = data.filter(function (d) {
        return !d.disabled && d.type == 'bar' && d.yAxis == 2;
      });
      var dataStack1 = data.filter(function (d) {
        return !d.disabled && d.type == 'area' && d.yAxis == 1;
      });
      var dataStack2 = data.filter(function (d) {
        return !d.disabled && d.type == 'area' && d.yAxis == 2;
      });
      var series1 = data.filter(function (d) {
        return !d.disabled && d.yAxis == 1;
      }).map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: d.x,
            y: d.y
          };
        });
      });
      var series2 = data.filter(function (d) {
        return !d.disabled && d.yAxis == 2;
      }).map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: d.x,
            y: d.y
          };
        });
      });
      x.domain(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(series1.concat(series2)), function (d) {
        return d.x;
      })).range([0, availableWidth]);
      var wrap = container.selectAll('g.wrap.multiChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'wrap nvd3 multiChart').append('g');
      gEnter.append('g').attr('class', 'x axis');
      gEnter.append('g').attr('class', 'y1 axis');
      gEnter.append('g').attr('class', 'y2 axis');
      gEnter.append('g').attr('class', 'lines1Wrap');
      gEnter.append('g').attr('class', 'lines2Wrap');
      gEnter.append('g').attr('class', 'bars1Wrap');
      gEnter.append('g').attr('class', 'bars2Wrap');
      gEnter.append('g').attr('class', 'stack1Wrap');
      gEnter.append('g').attr('class', 'stack2Wrap');
      gEnter.append('g').attr('class', 'legendWrap');
      var g = wrap.select('g');

      if (showLegend) {
        legend.width(availableWidth / 2);
        g.select('.legendWrap').datum(data.map(function (series) {
          series.originalKey = series.originalKey === undefined ? series.key : series.originalKey;
          series.key = series.originalKey + (series.yAxis == 1 ? '' : ' (right axis)');
          return series;
        })).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.legendWrap').attr('transform', 'translate(' + availableWidth / 2 + ',' + -margin.top + ')');
      }

      lines1.width(availableWidth).height(availableHeight).interpolate("monotone").color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 1 && data[i].type == 'line';
      }));
      lines2.width(availableWidth).height(availableHeight).interpolate("monotone").color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 2 && data[i].type == 'line';
      }));
      bars1.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 1 && data[i].type == 'bar';
      }));
      bars2.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 2 && data[i].type == 'bar';
      }));
      stack1.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 1 && data[i].type == 'area';
      }));
      stack2.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color[i % color.length];
      }).filter(function (d, i) {
        return !data[i].disabled && data[i].yAxis == 2 && data[i].type == 'area';
      }));
      g.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');
      var lines1Wrap = g.select('.lines1Wrap').datum(dataLines1);
      var bars1Wrap = g.select('.bars1Wrap').datum(dataBars1);
      var stack1Wrap = g.select('.stack1Wrap').datum(dataStack1);
      var lines2Wrap = g.select('.lines2Wrap').datum(dataLines2);
      var bars2Wrap = g.select('.bars2Wrap').datum(dataBars2);
      var stack2Wrap = g.select('.stack2Wrap').datum(dataStack2);
      var extraValue1 = dataStack1.length ? dataStack1.map(function (a) {
        return a.values;
      }).reduce(function (a, b) {
        return a.map(function (aVal, i) {
          return {
            x: aVal.x,
            y: aVal.y + b[i].y
          };
        });
      }).concat([{
        x: 0,
        y: 0
      }]) : [];
      var extraValue2 = dataStack2.length ? dataStack2.map(function (a) {
        return a.values;
      }).reduce(function (a, b) {
        return a.map(function (aVal, i) {
          return {
            x: aVal.x,
            y: aVal.y + b[i].y
          };
        });
      }).concat([{
        x: 0,
        y: 0
      }]) : [];
      yScale1.domain(yDomain1 || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(series1).concat(extraValue1), function (d) {
        return d.y;
      })).range([0, availableHeight]);
      yScale2.domain(yDomain2 || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(series2).concat(extraValue2), function (d) {
        return d.y;
      })).range([0, availableHeight]);
      lines1.yDomain(yScale1.domain());
      bars1.yDomain(yScale1.domain());
      stack1.yDomain(yScale1.domain());
      lines2.yDomain(yScale2.domain());
      bars2.yDomain(yScale2.domain());
      stack2.yDomain(yScale2.domain());

      if (dataStack1.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(stack1Wrap).call(stack1);
      }

      if (dataStack2.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(stack2Wrap).call(stack2);
      }

      if (dataBars1.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(bars1Wrap).call(bars1);
      }

      if (dataBars2.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(bars2Wrap).call(bars2);
      }

      if (dataLines1.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(lines1Wrap).call(lines1);
      }

      if (dataLines2.length) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(lines2Wrap).call(lines2);
      }

      xAxis.ticks(availableWidth / 100).tickSize(-availableHeight, 0);
      g.select('.x.axis').attr('transform', 'translate(0,' + availableHeight + ')');
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.x.axis')).call(xAxis);
      yAxis1.ticks(availableHeight / 36).tickSize(-availableWidth, 0);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.y1.axis')).call(yAxis1);
      yAxis2.ticks(availableHeight / 36).tickSize(-availableWidth, 0);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(g.select('.y2.axis')).call(yAxis2);
      g.select('.y2.axis').style('opacity', series2.length ? 1 : 0).attr('transform', 'translate(' + x.range()[1] + ',0)');
      legend.dispatch.on('stateChange', function (newState) {
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      });
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines1.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines1.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  lines2.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines2.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  bars1.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  bars1.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  bars2.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  bars2.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  stack1.dispatch.on('tooltipShow', function (e) {
    //disable tooltips when value ~= 0
    //// TODO: consider removing points from voronoi that have 0 value instead of this hack
    if (!Math.round(stack1.y()(e.point) * 100)) {
      // 100 will not be good for very small numbers... will have to think about making this valu dynamic, based on data range
      setTimeout(function () {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll('.point.hover').classed('hover', false);
      }, 0);
      return false;
    }

    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top], dispatch.tooltipShow(e);
  });
  stack1.dispatch.on('tooltipHide', function (e) {
    dispatch.tooltipHide(e);
  });
  stack2.dispatch.on('tooltipShow', function (e) {
    //disable tooltips when value ~= 0
    //// TODO: consider removing points from voronoi that have 0 value instead of this hack
    if (!Math.round(stack2.y()(e.point) * 100)) {
      // 100 will not be good for very small numbers... will have to think about making this valu dynamic, based on data range
      setTimeout(function () {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll('.point.hover').classed('hover', false);
      }, 0);
      return false;
    }

    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top], dispatch.tooltipShow(e);
  });
  stack2.dispatch.on('tooltipHide', function (e) {
    dispatch.tooltipHide(e);
  });
  lines1.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines1.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  lines2.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines2.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  // Global getters and setters
  //------------------------------------------------------------

  chart.dispatch = dispatch;
  chart.lines1 = lines1;
  chart.lines2 = lines2;
  chart.bars1 = bars1;
  chart.bars2 = bars2;
  chart.stack1 = stack1;
  chart.stack2 = stack2;
  chart.xAxis = xAxis;
  chart.yAxis1 = yAxis1;
  chart.yAxis2 = yAxis2;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    lines1.x(_);
    bars1.x(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    lines1.y(_);
    bars1.y(_);
    return chart;
  };

  chart.yDomain1 = function (_) {
    if (!arguments.length) return yDomain1;
    yDomain1 = _;
    return chart;
  };

  chart.yDomain2 = function (_) {
    if (!arguments.length) return yDomain2;
    yDomain2 = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin = _;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = _;
    legend.color(_);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  return chart;
};

nv.models.ohlcBar = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      getOpen = function getOpen(d) {
    return d.open;
  },
      getClose = function getClose(d) {
    return d.close;
  },
      getHigh = function getHigh(d) {
    return d.high;
  },
      getLow = function getLow(d) {
    return d.low;
  },
      forceX = [],
      forceY = [],
      padData = false // If true, adds half a data points width to front and back, for lining up a line chart with a bar chart
  ,
      clipEdge = true,
      color = nv.utils.defaultColor(),
      xDomain,
      yDomain,
      xRange,
      yRange,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------
  //TODO: store old scales for transitions
  //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(data[0].values.map(getX).concat(forceX)));
      if (padData) x.range(xRange || [availableWidth * .5 / data[0].values.length, availableWidth * (data[0].values.length - .5) / data[0].values.length]);else x.range(xRange || [0, availableWidth]);
      y.domain(yDomain || [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.min(data[0].values.map(getLow).concat(forceY)), d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.max(data[0].values.map(getHigh).concat(forceY))]).range(yRange || [availableHeight, 0]); // If scale's domain don't have a range, slightly adjust to make one... so a chart can show a single data point

      if (x.domain()[0] === x.domain()[1]) x.domain()[0] ? x.domain([x.domain()[0] - x.domain()[0] * 0.01, x.domain()[1] + x.domain()[1] * 0.01]) : x.domain([-1, 1]);
      if (y.domain()[0] === y.domain()[1]) y.domain()[0] ? y.domain([y.domain()[0] + y.domain()[0] * 0.01, y.domain()[1] - y.domain()[1] * 0.01]) : y.domain([-1, 1]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).selectAll('g.nv-wrap.nv-ohlcBar').data([data[0].values]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-ohlcBar');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-ticks');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      container.on('click', function (d, i) {
        dispatch.chartClick({
          data: d,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
      });
      defsEnter.append('clipPath').attr('id', 'nv-chart-clip-path-' + id).append('rect');
      wrap.select('#nv-chart-clip-path-' + id + ' rect').attr('width', availableWidth).attr('height', availableHeight);
      g.attr('clip-path', clipEdge ? 'url(#nv-chart-clip-path-' + id + ')' : '');
      var ticks = wrap.select('.nv-ticks').selectAll('.nv-tick').data(function (d) {
        return d;
      });
      ticks.exit().remove();
      var ticksEnter = ticks.enter().append('path').attr('class', function (d, i, j) {
        return (getOpen(d, i) > getClose(d, i) ? 'nv-tick negative' : 'nv-tick positive') + ' nv-tick-' + j + '-' + i;
      }).attr('d', function (d, i) {
        var w = availableWidth / data[0].values.length * .9;
        return 'm0,0l0,' + (y(getOpen(d, i)) - y(getHigh(d, i))) + 'l' + -w / 2 + ',0l' + w / 2 + ',0l0,' + (y(getLow(d, i)) - y(getOpen(d, i))) + 'l0,' + (y(getClose(d, i)) - y(getLow(d, i))) + 'l' + w / 2 + ',0l' + -w / 2 + ',0z';
      }).attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',' + y(getHigh(d, i)) + ')';
      }) //.attr('fill', function(d,i) { return color[0]; })
      //.attr('stroke', function(d,i) { return color[0]; })
      //.attr('x', 0 )
      //.attr('y', function(d,i) {  return y(Math.max(0, getY(d,i))) })
      //.attr('height', function(d,i) { return Math.abs(y(getY(d,i)) - y(0)) })
      .on('mouseover', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          point: d,
          series: data[0],
          pos: [x(getX(d, i)), y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: 0,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          point: d,
          series: data[0],
          pointIndex: i,
          seriesIndex: 0,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          //label: d[label],
          value: getY(d, i),
          data: d,
          index: i,
          pos: [x(getX(d, i)), y(getY(d, i))],
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          //label: d[label],
          value: getY(d, i),
          data: d,
          index: i,
          pos: [x(getX(d, i)), y(getY(d, i))],
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      ticks.attr('class', function (d, i, j) {
        return (getOpen(d, i) > getClose(d, i) ? 'nv-tick negative' : 'nv-tick positive') + ' nv-tick-' + j + '-' + i;
      });
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(ticks).attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',' + y(getHigh(d, i)) + ')';
      }).attr('d', function (d, i) {
        var w = availableWidth / data[0].values.length * .9;
        return 'm0,0l0,' + (y(getOpen(d, i)) - y(getHigh(d, i))) + 'l' + -w / 2 + ',0l' + w / 2 + ',0l0,' + (y(getLow(d, i)) - y(getOpen(d, i))) + 'l0,' + (y(getClose(d, i)) - y(getLow(d, i))) + 'l' + w / 2 + ',0l' + -w / 2 + ',0z';
      }); //.attr('width', (availableWidth / data[0].values.length) * .9 )
      //d3v3.transition(ticks)
      //.attr('y', function(d,i) {  return y(Math.max(0, getY(d,i))) })
      //.attr('height', function(d,i) { return Math.abs(y(getY(d,i)) - y(0)) });
      //.order();  // not sure if this makes any sense for this model
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = _;
    return chart;
  };

  chart.open = function (_) {
    if (!arguments.length) return getOpen;
    getOpen = _;
    return chart;
  };

  chart.close = function (_) {
    if (!arguments.length) return getClose;
    getClose = _;
    return chart;
  };

  chart.high = function (_) {
    if (!arguments.length) return getHigh;
    getHigh = _;
    return chart;
  };

  chart.low = function (_) {
    if (!arguments.length) return getLow;
    getLow = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.forceX = function (_) {
    if (!arguments.length) return forceX;
    forceX = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.padData = function (_) {
    if (!arguments.length) return padData;
    padData = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.pie = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 500,
      height = 500,
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      getDescription = function getDescription(d) {
    return d.description;
  },
      id = Math.floor(Math.random() * 10000) //Create semi-unique ID in case user doesn't select one
  ,
      color = nv.utils.defaultColor(),
      valueFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.2f'),
      showLabels = true,
      pieLabelsOutside = true,
      donutLabelsOutside = false,
      labelType = "key",
      labelThreshold = .02 //if slice percentage is under this, don't show label
  ,
      donut = false,
      labelSunbeamLayout = false,
      startAngle = false,
      endAngle = false,
      donutRatio = 0.5,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          radius = Math.min(availableWidth, availableHeight) / 2,
          arcRadius = radius - radius / 5,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup containers and skeleton of chart
      //var wrap = container.selectAll('.nv-wrap.nv-pie').data([data]);

      var wrap = container.selectAll('.nv-wrap.nv-pie').data(data);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-pie nv-chart-' + id);
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-pie');
      gEnter.append('g').attr('class', 'nv-pieLabels');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');
      g.select('.nv-pie').attr('transform', 'translate(' + availableWidth / 2 + ',' + availableHeight / 2 + ')');
      g.select('.nv-pieLabels').attr('transform', 'translate(' + availableWidth / 2 + ',' + availableHeight / 2 + ')'); //------------------------------------------------------------

      container.on('click', function (d, i) {
        dispatch.chartClick({
          data: d,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
      });
      var arc = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.arc().outerRadius(arcRadius);
      if (startAngle) arc.startAngle(startAngle);
      if (endAngle) arc.endAngle(endAngle);
      if (donut) arc.innerRadius(radius * donutRatio); // Setup the Pie chart and choose the data element

      var pie = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.layout.pie().sort(null).value(function (d) {
        return d.disabled ? 0 : getY(d);
      });
      var slices = wrap.select('.nv-pie').selectAll('.nv-slice').data(pie);
      var pieLabels = wrap.select('.nv-pieLabels').selectAll('.nv-label').data(pie);
      slices.exit().remove();
      pieLabels.exit().remove();
      var ae = slices.enter().append('g').attr('class', 'nv-slice').on('mouseover', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          pointIndex: i,
          pos: [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageX, d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageY],
          id: id
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          id: id
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.stopPropagation();
      });
      slices.attr('fill', function (d, i) {
        return color(d, i);
      }).attr('stroke', function (d, i) {
        return color(d, i);
      });
      var paths = ae.append('path').each(function (d) {
        this._current = d;
      }); //.attr('d', arc);

      slices.select('path').transition().attr('d', arc).attrTween('d', arcTween);

      if (showLabels) {
        // This does the normal label
        var labelsArc = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.arc().innerRadius(0);

        if (pieLabelsOutside) {
          labelsArc = arc;
        }

        if (donutLabelsOutside) {
          labelsArc = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.arc().outerRadius(arc.outerRadius());
        }

        pieLabels.enter().append("g").classed("nv-label", true).each(function (d, i) {
          var group = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
          group.attr('transform', function (d) {
            if (labelSunbeamLayout) {
              d.outerRadius = arcRadius + 10; // Set Outer Coordinate

              d.innerRadius = arcRadius + 15; // Set Inner Coordinate

              var rotateAngle = (d.startAngle + d.endAngle) / 2 * (180 / Math.PI);

              if ((d.startAngle + d.endAngle) / 2 < Math.PI) {
                rotateAngle -= 90;
              } else {
                rotateAngle += 90;
              }

              return 'translate(' + labelsArc.centroid(d) + ') rotate(' + rotateAngle + ')';
            } else {
              d.outerRadius = radius + 10; // Set Outer Coordinate

              d.innerRadius = radius + 15; // Set Inner Coordinate

              return 'translate(' + labelsArc.centroid(d) + ')';
            }
          });
          group.append('rect').style('stroke', '#fff').style('fill', '#fff').attr("rx", 3).attr("ry", 3);
          group.append('text').style('text-anchor', labelSunbeamLayout ? (d.startAngle + d.endAngle) / 2 < Math.PI ? 'start' : 'end' : 'middle') //center the text on it's origin or begin/end if orthogonal aligned
          .style('fill', '#000');
        });
        var labelLocationHash = {};
        var avgHeight = 14;
        var avgWidth = 140;

        var createHashKey = function createHashKey(coordinates) {
          return Math.floor(coordinates[0] / avgWidth) * avgWidth + ',' + Math.floor(coordinates[1] / avgHeight) * avgHeight;
        };

        pieLabels.transition().attr('transform', function (d) {
          if (labelSunbeamLayout) {
            d.outerRadius = arcRadius + 10; // Set Outer Coordinate

            d.innerRadius = arcRadius + 15; // Set Inner Coordinate

            var rotateAngle = (d.startAngle + d.endAngle) / 2 * (180 / Math.PI);

            if ((d.startAngle + d.endAngle) / 2 < Math.PI) {
              rotateAngle -= 90;
            } else {
              rotateAngle += 90;
            }

            return 'translate(' + labelsArc.centroid(d) + ') rotate(' + rotateAngle + ')';
          } else {
            d.outerRadius = radius + 10; // Set Outer Coordinate

            d.innerRadius = radius + 15; // Set Inner Coordinate

            /*
            Overlapping pie labels are not good. What this attempts to do is, prevent overlapping.
            Each label location is hashed, and if a hash collision occurs, we assume an overlap.
            Adjust the label's y-position to remove the overlap.
            */

            var center = labelsArc.centroid(d);
            var hashKey = createHashKey(center);

            if (labelLocationHash[hashKey]) {
              center[1] -= avgHeight;
            }

            labelLocationHash[createHashKey(center)] = true;
            return 'translate(' + center + ')';
          }
        });
        pieLabels.select(".nv-label text").style('text-anchor', labelSunbeamLayout ? (d.startAngle + d.endAngle) / 2 < Math.PI ? 'start' : 'end' : 'middle') //center the text on it's origin or begin/end if orthogonal aligned
        .text(function (d, i) {
          var percent = (d.endAngle - d.startAngle) / (2 * Math.PI);
          var labelTypes = {
            "key": getX(d.data),
            "value": getY(d.data),
            "percent": d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format('%')(percent)
          };
          return d.value && percent > labelThreshold ? labelTypes[labelType] : '';
        });
      } // Computes the angle of an arc, converting from radians to degrees.


      function angle(d) {
        var a = (d.startAngle + d.endAngle) * 90 / Math.PI - 90;
        return a > 90 ? a - 180 : a;
      }

      function arcTween(a) {
        a.endAngle = isNaN(a.endAngle) ? 0 : a.endAngle;
        a.startAngle = isNaN(a.startAngle) ? 0 : a.startAngle;
        if (!donut) a.innerRadius = 0;
        var i = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.interpolate(this._current, a);
        this._current = i(0);
        return function (t) {
          return arc(i(t));
        };
      }

      function tweenPie(b) {
        b.innerRadius = 0;
        var i = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.interpolate({
          startAngle: 0,
          endAngle: 0
        }, b);
        return function (t) {
          return arc(i(t));
        };
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.values = function (_) {
    nv.log("pie.values() is no longer supported.");
    return chart;
  };

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.description = function (_) {
    if (!arguments.length) return getDescription;
    getDescription = _;
    return chart;
  };

  chart.showLabels = function (_) {
    if (!arguments.length) return showLabels;
    showLabels = _;
    return chart;
  };

  chart.labelSunbeamLayout = function (_) {
    if (!arguments.length) return labelSunbeamLayout;
    labelSunbeamLayout = _;
    return chart;
  };

  chart.donutLabelsOutside = function (_) {
    if (!arguments.length) return donutLabelsOutside;
    donutLabelsOutside = _;
    return chart;
  };

  chart.pieLabelsOutside = function (_) {
    if (!arguments.length) return pieLabelsOutside;
    pieLabelsOutside = _;
    return chart;
  };

  chart.labelType = function (_) {
    if (!arguments.length) return labelType;
    labelType = _;
    labelType = labelType || "key";
    return chart;
  };

  chart.donut = function (_) {
    if (!arguments.length) return donut;
    donut = _;
    return chart;
  };

  chart.donutRatio = function (_) {
    if (!arguments.length) return donutRatio;
    donutRatio = _;
    return chart;
  };

  chart.startAngle = function (_) {
    if (!arguments.length) return startAngle;
    startAngle = _;
    return chart;
  };

  chart.endAngle = function (_) {
    if (!arguments.length) return endAngle;
    endAngle = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.valueFormat = function (_) {
    if (!arguments.length) return valueFormat;
    valueFormat = _;
    return chart;
  };

  chart.labelThreshold = function (_) {
    if (!arguments.length) return labelThreshold;
    labelThreshold = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.pieChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var pie = nv.models.pie(),
      legend = nv.models.legend();

  var margin = {
    top: 30,
    right: 20,
    bottom: 20,
    left: 20
  },
      width = null,
      height = null,
      showLegend = true,
      color = nv.utils.defaultColor(),
      tooltips = true,
      tooltip = function tooltip(key, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + '</p>';
  },
      state = {},
      defaultState = null,
      noData = "No Data Available.",
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var showTooltip = function showTooltip(e, offsetElement) {
    var tooltipLabel = pie.description()(e.point) || pie.x()(e.point);
    var left = e.pos[0] + (offsetElement && offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement && offsetElement.offsetTop || 0),
        y = pie.valueFormat()(pie.y()(e.point)),
        content = tooltip(tooltipLabel, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data || !data.length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart


      var wrap = container.selectAll('g.nv-wrap.nv-pieChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-pieChart').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-pieWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth).key(pie.x());
        wrap.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Main Chart Component(s)

      pie.width(availableWidth).height(availableHeight);
      var pieWrap = g.select('.nv-pieWrap').datum([data]);
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(pieWrap).call(pie); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      pie.dispatch.on('elementMouseout.tooltip', function (e) {
        dispatch.tooltipHide(e);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  pie.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  dispatch.on('tooltipShow', function (e) {
    if (tooltips) showTooltip(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.legend = legend;
  chart.dispatch = dispatch;
  chart.pie = pie;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, pie, 'valueFormat', 'values', 'x', 'y', 'description', 'id', 'showLabels', 'donutLabelsOutside', 'pieLabelsOutside', 'labelType', 'donut', 'donutRatio', 'labelThreshold');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    pie.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.scatter = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      color = nv.utils.defaultColor() // chooses color
  ,
      id = Math.floor(Math.random() * 100000) //Create semi-unique ID incase user doesn't select one
  ,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      z = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear() //linear because d3v3.svg.shape.size is treated as area
  ,
      getX = function getX(d) {
    return d.x;
  } // accessor to get the x value
  ,
      getY = function getY(d) {
    return d.y;
  } // accessor to get the y value
  ,
      getSize = function getSize(d) {
    return d.size || 1;
  } // accessor to get the point size
  ,
      getShape = function getShape(d) {
    return d.shape || 'circle';
  } // accessor to get point shape
  ,
      onlyCircles = true // Set to false to use shapes
  ,
      forceX = [] // List of numbers to Force into the X scale (ie. 0, or a max / min, etc.)
  ,
      forceY = [] // List of numbers to Force into the Y scale
  ,
      forceSize = [] // List of numbers to Force into the Size scale
  ,
      interactive = true // If true, plots a voronoi overlay for advanced point intersection
  ,
      pointKey = null,
      pointActive = function pointActive(d) {
    return !d.notActive;
  } // any points that return false will be filtered out
  ,
      padData = false // If true, adds half a data points width to front and back, for lining up a line chart with a bar chart
  ,
      padDataOuter = .1 //outerPadding to imitate ordinal scale outer padding
  ,
      clipEdge = false // if true, masks points within x and y scale
  ,
      clipVoronoi = true // if true, masks each point with a circle... can turn off to slightly increase performance
  ,
      clipRadius = function clipRadius() {
    return 25;
  } // function to get the radius for voronoi point clips
  ,
      xDomain = null // Override x domain (skips the calculation from data)
  ,
      yDomain = null // Override y domain
  ,
      xRange = null // Override x range
  ,
      yRange = null // Override y range
  ,
      sizeDomain = null // Override point size domain
  ,
      sizeRange = null,
      singlePoint = false,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('elementClick', 'elementMouseover', 'elementMouseout'),
      useVoronoi = true; //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------


  var x0,
      y0,
      z0 // used to store previous scales
  ,
      timeoutID,
      needsUpdate = false // Flag for when the points are visually updating, but the interactive layer is behind, to disable tooltips
  ; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //add series index to each data point for reference

      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
        });
      }); //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains

      var seriesData = xDomain && yDomain && sizeDomain ? [] : // if we know xDomain and yDomain and sizeDomain, no need to calculate.... if Size is constant remember to set sizeDomain to speed up performance
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            size: getSize(d, i)
          };
        });
      }));
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(seriesData.map(function (d) {
        return d.x;
      }).concat(forceX)));
      if (padData && data[0]) x.range(xRange || [(availableWidth * padDataOuter + availableWidth) / (2 * data[0].values.length), availableWidth - availableWidth * (1 + padDataOuter) / (2 * data[0].values.length)]); //x.range([availableWidth * .5 / data[0].values.length, availableWidth * (data[0].values.length - .5)  / data[0].values.length ]);
      else x.range(xRange || [0, availableWidth]);
      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(seriesData.map(function (d) {
        return d.y;
      }).concat(forceY))).range(yRange || [availableHeight, 0]);
      z.domain(sizeDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(seriesData.map(function (d) {
        return d.size;
      }).concat(forceSize))).range(sizeRange || [16, 256]); // If scale's domain don't have a range, slightly adjust to make one... so a chart can show a single data point

      if (x.domain()[0] === x.domain()[1] || y.domain()[0] === y.domain()[1]) singlePoint = true;
      if (x.domain()[0] === x.domain()[1]) x.domain()[0] ? x.domain([x.domain()[0] - x.domain()[0] * 0.01, x.domain()[1] + x.domain()[1] * 0.01]) : x.domain([-1, 1]);
      if (y.domain()[0] === y.domain()[1]) y.domain()[0] ? y.domain([y.domain()[0] - y.domain()[0] * 0.01, y.domain()[1] + y.domain()[1] * 0.01]) : y.domain([-1, 1]);

      if (isNaN(x.domain()[0])) {
        x.domain([-1, 1]);
      }

      if (isNaN(y.domain()[0])) {
        y.domain([-1, 1]);
      }

      x0 = x0 || x;
      y0 = y0 || y;
      z0 = z0 || z; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-scatter').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-scatter nv-chart-' + id + (singlePoint ? ' nv-single-point' : ''));
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      gEnter.append('g').attr('class', 'nv-point-paths');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      defsEnter.append('clipPath').attr('id', 'nv-edge-clip-' + id).append('rect');
      wrap.select('#nv-edge-clip-' + id + ' rect').attr('width', availableWidth).attr('height', availableHeight > 0 ? availableHeight : 0);
      g.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + id + ')' : '');

      function updateInteractiveLayer() {
        if (!interactive) return false;
        var eventElements;
        var vertices = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.merge(data.map(function (group, groupIndex) {
          return group.values.map(function (point, pointIndex) {
            // *Adding noise to make duplicates very unlikely
            // *Injecting series and point index for reference

            /* *Adding a 'jitter' to the points, because there's an issue in d3v3.geom.voronoi.
            */
            var pX = getX(point, pointIndex);
            var pY = getY(point, pointIndex);
            return [x(pX) + Math.random() * 1e-7, y(pY) + Math.random() * 1e-7, groupIndex, pointIndex, point]; //temp hack to add noise untill I think of a better way so there are no duplicates
          }).filter(function (pointArray, pointIndex) {
            return pointActive(pointArray[4], pointIndex); // Issue #237.. move filter to after map, so pointIndex is correct!
          });
        })); //inject series and point index for reference into voronoi

        if (useVoronoi === true) {
          if (clipVoronoi) {
            var pointClipsEnter = wrap.select('defs').selectAll('.nv-point-clips').data([id]).enter();
            pointClipsEnter.append('clipPath').attr('class', 'nv-point-clips').attr('id', 'nv-points-clip-' + id);
            var pointClips = wrap.select('#nv-points-clip-' + id).selectAll('circle').data(vertices);
            pointClips.enter().append('circle').attr('r', clipRadius);
            pointClips.exit().remove();
            pointClips.attr('cx', function (d) {
              return d[0];
            }).attr('cy', function (d) {
              return d[1];
            });
            wrap.select('.nv-point-paths').attr('clip-path', 'url(#nv-points-clip-' + id + ')');
          }

          if (vertices.length) {
            // Issue #283 - Adding 2 dummy points to the voronoi b/c voronoi requires min 3 points to work
            vertices.push([x.range()[0] - 20, y.range()[0] - 20, null, null]);
            vertices.push([x.range()[1] + 20, y.range()[1] + 20, null, null]);
            vertices.push([x.range()[0] - 20, y.range()[0] + 20, null, null]);
            vertices.push([x.range()[1] + 20, y.range()[1] - 20, null, null]);
          }

          var bounds = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.geom.polygon([[-10, -10], [-10, height + 10], [width + 10, height + 10], [width + 10, -10]]);
          var voronoi = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.geom.voronoi(vertices).map(function (d, i) {
            return {
              'data': bounds.clip(d),
              'series': vertices[i][2],
              'point': vertices[i][3]
            };
          });
          var pointPaths = wrap.select('.nv-point-paths').selectAll('path').data(voronoi);
          pointPaths.enter().append('path').attr('class', function (d, i) {
            return 'nv-path-' + i;
          });
          pointPaths.exit().remove();
          pointPaths.attr('d', function (d) {
            if (!d || !d.data || d.data.length === 0) return 'M 0 0';else return 'M' + d.data.join('L') + 'Z';
          });

          var mouseEventCallback = function mouseEventCallback(d, mDispatch) {
            if (needsUpdate) return 0;
            var series = data[d.series];
            if (typeof series === 'undefined') return;
            var point = series.values[d.point];
            mDispatch({
              point: point,
              series: series,
              pos: [x(getX(point, d.point)) + margin.left, y(getY(point, d.point)) + margin.top],
              seriesIndex: d.series,
              pointIndex: d.point
            });
          };

          pointPaths.on('click', function (d) {
            mouseEventCallback(d, dispatch.elementClick);
          }).on('mouseover', function (d) {
            mouseEventCallback(d, dispatch.elementMouseover);
          }).on('mouseout', function (d, i) {
            mouseEventCallback(d, dispatch.elementMouseout);
          });
        } else {
          /*
          // bring data in form needed for click handlers
          var dataWithPoints = vertices.map(function(d, i) {
              return {
                'data': d,
                'series': vertices[i][2],
                'point': vertices[i][3]
              }
            });
           */
          // add event handlers to points instead voronoi paths
          wrap.select('.nv-groups').selectAll('.nv-group').selectAll('.nv-point') //.data(dataWithPoints)
          //.style('pointer-events', 'auto') // recativate events, disabled by css
          .on('click', function (d, i) {
            //nv.log('test', d, i);
            if (needsUpdate || !data[d.series]) return 0; //check if this is a dummy point

            var series = data[d.series],
                point = series.values[i];
            dispatch.elementClick({
              point: point,
              series: series,
              pos: [x(getX(point, i)) + margin.left, y(getY(point, i)) + margin.top],
              seriesIndex: d.series,
              pointIndex: i
            });
          }).on('mouseover', function (d, i) {
            if (needsUpdate || !data[d.series]) return 0; //check if this is a dummy point

            var series = data[d.series],
                point = series.values[i];
            dispatch.elementMouseover({
              point: point,
              series: series,
              pos: [x(getX(point, i)) + margin.left, y(getY(point, i)) + margin.top],
              seriesIndex: d.series,
              pointIndex: i
            });
          }).on('mouseout', function (d, i) {
            if (needsUpdate || !data[d.series]) return 0; //check if this is a dummy point

            var series = data[d.series],
                point = series.values[i];
            dispatch.elementMouseout({
              point: point,
              series: series,
              seriesIndex: d.series,
              pointIndex: i
            });
          });
        }

        needsUpdate = false;
      }

      needsUpdate = true;
      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d) {
        return d.key;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      });
      groups.transition().style('fill', function (d, i) {
        return color(d, i);
      }).style('stroke', function (d, i) {
        return color(d, i);
      }).style('stroke-opacity', 1).style('fill-opacity', .5);

      if (onlyCircles) {
        var points = groups.selectAll('circle.nv-point').data(function (d) {
          return d.values;
        }, pointKey);
        points.enter().append('circle').style('fill', function (d, i) {
          return d.color;
        }).style('stroke', function (d, i) {
          return d.color;
        }).attr('cx', function (d, i) {
          return nv.utils.NaNtoZero(x0(getX(d, i)));
        }).attr('cy', function (d, i) {
          return nv.utils.NaNtoZero(y0(getY(d, i)));
        }).attr('r', function (d, i) {
          return Math.sqrt(z(getSize(d, i)) / Math.PI);
        });
        points.exit().remove();
        groups.exit().selectAll('path.nv-point').transition().attr('cx', function (d, i) {
          return nv.utils.NaNtoZero(x(getX(d, i)));
        }).attr('cy', function (d, i) {
          return nv.utils.NaNtoZero(y(getY(d, i)));
        }).remove();
        points.each(function (d, i) {
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('nv-point', true).classed('nv-point-' + i, true).classed('hover', false);
        });
        points.transition().attr('cx', function (d, i) {
          return nv.utils.NaNtoZero(x(getX(d, i)));
        }).attr('cy', function (d, i) {
          return nv.utils.NaNtoZero(y(getY(d, i)));
        }).attr('r', function (d, i) {
          return Math.sqrt(z(getSize(d, i)) / Math.PI);
        });
      } else {
        var points = groups.selectAll('path.nv-point').data(function (d) {
          return d.values;
        });
        points.enter().append('path').style('fill', function (d, i) {
          return d.color;
        }).style('stroke', function (d, i) {
          return d.color;
        }).attr('transform', function (d, i) {
          return 'translate(' + x0(getX(d, i)) + ',' + y0(getY(d, i)) + ')';
        }).attr('d', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.symbol().type(getShape).size(function (d, i) {
          return z(getSize(d, i));
        }));
        points.exit().remove();
        groups.exit().selectAll('path.nv-point').transition().attr('transform', function (d, i) {
          return 'translate(' + x(getX(d, i)) + ',' + y(getY(d, i)) + ')';
        }).remove();
        points.each(function (d, i) {
          d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('nv-point', true).classed('nv-point-' + i, true).classed('hover', false);
        });
        points.transition().attr('transform', function (d, i) {
          //nv.log(d,i,getX(d,i), x(getX(d,i)));
          return 'translate(' + x(getX(d, i)) + ',' + y(getY(d, i)) + ')';
        }).attr('d', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.symbol().type(getShape).size(function (d, i) {
          return z(getSize(d, i));
        }));
      } // Delay updating the invisible interactive layer for smoother animation


      clearTimeout(timeoutID); // stop repeat calls to updateInteractiveLayer

      timeoutID = setTimeout(updateInteractiveLayer, 300); //updateInteractiveLayer();
      //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
      z0 = z.copy();
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  chart.clearHighlights = function () {
    //Remove the 'hover' class from all highlighted points.
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll(".nv-chart-" + id + " .nv-point.hover").classed("hover", false);
  };

  chart.highlightPoint = function (seriesIndex, pointIndex, isHoverOver) {
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(".nv-chart-" + id + " .nv-series-" + seriesIndex + " .nv-point-" + pointIndex).classed("hover", isHoverOver);
  };

  dispatch.on('elementMouseover.point', function (d) {
    if (interactive) chart.highlightPoint(d.seriesIndex, d.pointIndex, true);
  });
  dispatch.on('elementMouseout.point', function (d) {
    if (interactive) chart.highlightPoint(d.seriesIndex, d.pointIndex, false);
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------

  chart.dispatch = dispatch;
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.size = function (_) {
    if (!arguments.length) return getSize;
    getSize = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.zScale = function (_) {
    if (!arguments.length) return z;
    z = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.sizeDomain = function (_) {
    if (!arguments.length) return sizeDomain;
    sizeDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.sizeRange = function (_) {
    if (!arguments.length) return sizeRange;
    sizeRange = _;
    return chart;
  };

  chart.forceX = function (_) {
    if (!arguments.length) return forceX;
    forceX = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) return forceY;
    forceY = _;
    return chart;
  };

  chart.forceSize = function (_) {
    if (!arguments.length) return forceSize;
    forceSize = _;
    return chart;
  };

  chart.interactive = function (_) {
    if (!arguments.length) return interactive;
    interactive = _;
    return chart;
  };

  chart.pointKey = function (_) {
    if (!arguments.length) return pointKey;
    pointKey = _;
    return chart;
  };

  chart.pointActive = function (_) {
    if (!arguments.length) return pointActive;
    pointActive = _;
    return chart;
  };

  chart.padData = function (_) {
    if (!arguments.length) return padData;
    padData = _;
    return chart;
  };

  chart.padDataOuter = function (_) {
    if (!arguments.length) return padDataOuter;
    padDataOuter = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.clipVoronoi = function (_) {
    if (!arguments.length) return clipVoronoi;
    clipVoronoi = _;
    return chart;
  };

  chart.useVoronoi = function (_) {
    if (!arguments.length) return useVoronoi;
    useVoronoi = _;

    if (useVoronoi === false) {
      clipVoronoi = false;
    }

    return chart;
  };

  chart.clipRadius = function (_) {
    if (!arguments.length) return clipRadius;
    clipRadius = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.shape = function (_) {
    if (!arguments.length) return getShape;
    getShape = _;
    return chart;
  };

  chart.onlyCircles = function (_) {
    if (!arguments.length) return onlyCircles;
    onlyCircles = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) return id;
    id = _;
    return chart;
  };

  chart.singlePoint = function (_) {
    if (!arguments.length) return singlePoint;
    singlePoint = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.scatterChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var scatter = nv.models.scatter(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      controls = nv.models.legend(),
      distX = nv.models.distribution(),
      distY = nv.models.distribution();

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 75
  },
      width = null,
      height = null,
      color = nv.utils.defaultColor(),
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye ? d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye.scale(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear).distortion(0) : scatter.xScale(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye ? d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye.scale(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear).distortion(0) : scatter.yScale(),
      xPadding = 0,
      yPadding = 0,
      showDistX = false,
      showDistY = false,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      showControls = !!d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye,
      fisheye = 0,
      pauseFisheye = false,
      tooltips = true,
      tooltipX = function tooltipX(key, x, y) {
    return '<strong>' + x + '</strong>';
  },
      tooltipY = function tooltipY(key, x, y) {
    return '<strong>' + y + '</strong>';
  },
      tooltip = null,
      state = {},
      defaultState = null,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      noData = "No Data Available.",
      transitionDuration = 250;

  scatter.xScale(x).yScale(y);
  xAxis.orient('bottom').tickPadding(10);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickPadding(10);
  distX.axis('x');
  distY.axis('y');
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var x0, y0;

  var showTooltip = function showTooltip(e, offsetElement) {
    //TODO: make tooltip style an option between single or dual on axes (maybe on all charts with axes?)
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        leftX = e.pos[0] + (offsetElement.offsetLeft || 0),
        topX = y.range()[0] + margin.top + (offsetElement.offsetTop || 0),
        leftY = x.range()[0] + margin.left + (offsetElement.offsetLeft || 0),
        topY = e.pos[1] + (offsetElement.offsetTop || 0),
        xVal = xAxis.tickFormat()(scatter.x()(e.point, e.pointIndex)),
        yVal = yAxis.tickFormat()(scatter.y()(e.point, e.pointIndex));
    if (tooltipX != null) nv.tooltip.show([leftX, topX], tooltipX(e.series.key, xVal, yVal, e, chart), 'n', 1, offsetElement, 'x-nvtooltip');
    if (tooltipY != null) nv.tooltip.show([leftY, topY], tooltipY(e.series.key, xVal, yVal, e, chart), 'e', 1, offsetElement, 'y-nvtooltip');
    if (tooltip != null) nv.tooltip.show([left, top], tooltip(e.series.key, xVal, yVal, e, chart), e.value < 0 ? 'n' : 's', null, offsetElement);
  };

  var controlsData = [{
    key: 'Magnify',
    disabled: true
  }]; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x0 = x0 || x;
      y0 = y0 || y; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-scatterChart').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-scatterChart nv-chart-' + scatter.id());
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g'); // background for pointer events

      gEnter.append('rect').attr('class', 'nvd3 nv-background');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-scatterWrap');
      gEnter.append('g').attr('class', 'nv-distWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        var legendWidth = showControls ? availableWidth / 2 : availableWidth;
        legend.width(legendWidth);
        wrap.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(' + (availableWidth - legendWidth) + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        controls.width(180).color(['#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      // Main Chart Component(s)


      scatter.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      if (xPadding !== 0) scatter.xDomain(null);
      if (yPadding !== 0) scatter.yDomain(null);
      wrap.select('.nv-scatterWrap').datum(data.filter(function (d) {
        return !d.disabled;
      })).call(scatter); //Adjust for x and y padding

      if (xPadding !== 0) {
        var xRange = x.domain()[1] - x.domain()[0];
        scatter.xDomain([x.domain()[0] - xPadding * xRange, x.domain()[1] + xPadding * xRange]);
      }

      if (yPadding !== 0) {
        var yRange = y.domain()[1] - y.domain()[0];
        scatter.yDomain([y.domain()[0] - yPadding * yRange, y.domain()[1] + yPadding * yRange]);
      } //Only need to update the scatter again if x/yPadding changed the domain.


      if (yPadding !== 0 || xPadding !== 0) {
        wrap.select('.nv-scatterWrap').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(scatter);
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes


      if (showXAxis) {
        xAxis.scale(x).ticks(xAxis.ticks() && xAxis.ticks().length ? xAxis.ticks() : availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')').call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(yAxis.ticks() && yAxis.ticks().length ? yAxis.ticks() : availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').call(yAxis);
      }

      if (showDistX) {
        distX.getData(scatter.x()).scale(x).width(availableWidth).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled;
        }));
        gEnter.select('.nv-distWrap').append('g').attr('class', 'nv-distributionX');
        g.select('.nv-distributionX').attr('transform', 'translate(0,' + y.range()[0] + ')').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distX);
      }

      if (showDistY) {
        distY.getData(scatter.y()).scale(y).width(availableHeight).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled;
        }));
        gEnter.select('.nv-distWrap').append('g').attr('class', 'nv-distributionY');
        g.select('.nv-distributionY').attr('transform', 'translate(' + (rightAlignYAxis ? availableWidth : -distY.size()) + ',0)').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distY);
      } //------------------------------------------------------------


      if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye) {
        g.select('.nv-background').attr('width', availableWidth).attr('height', availableHeight);
        g.select('.nv-background').on('mousemove', updateFisheye);
        g.select('.nv-background').on('click', function () {
          pauseFisheye = !pauseFisheye;
        });
        scatter.dispatch.on('elementClick.freezeFisheye', function () {
          pauseFisheye = !pauseFisheye;
        });
      }

      function updateFisheye() {
        if (pauseFisheye) {
          g.select('.nv-point-paths').style('pointer-events', 'all');
          return false;
        }

        g.select('.nv-point-paths').style('pointer-events', 'none');
        var mouse = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this);
        x.distortion(fisheye).focus(mouse[0]);
        y.distortion(fisheye).focus(mouse[1]);
        g.select('.nv-scatterWrap').call(scatter);
        if (showXAxis) g.select('.nv-x.nv-axis').call(xAxis);
        if (showYAxis) g.select('.nv-y.nv-axis').call(yAxis);
        g.select('.nv-distributionX').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distX);
        g.select('.nv-distributionY').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distY);
      } //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      controls.dispatch.on('legendClick', function (d, i) {
        d.disabled = !d.disabled;
        fisheye = d.disabled ? 0 : 2.5;
        g.select('.nv-background').style('pointer-events', d.disabled ? 'none' : 'all');
        g.select('.nv-point-paths').style('pointer-events', d.disabled ? 'all' : 'none');

        if (d.disabled) {
          x.distortion(fisheye).focus(0);
          y.distortion(fisheye).focus(0);
          g.select('.nv-scatterWrap').call(scatter);
          g.select('.nv-x.nv-axis').call(xAxis);
          g.select('.nv-y.nv-axis').call(yAxis);
        } else {
          pauseFisheye = false;
        }

        chart.update();
      });
      legend.dispatch.on('stateChange', function (newState) {
        state.disabled = newState.disabled;
        dispatch.stateChange(state);
        chart.update();
      });
      scatter.dispatch.on('elementMouseover.tooltip', function (e) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-distx-' + e.pointIndex).attr('y1', function (d, i) {
          return e.pos[1] - availableHeight;
        });
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-disty-' + e.pointIndex).attr('x2', e.pos[0] + distX.size());
        e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
        dispatch.tooltipShow(e);
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
      //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  scatter.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-distx-' + e.pointIndex).attr('y1', 0);
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-disty-' + e.pointIndex).attr('x2', distY.size());
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.scatter = scatter;
  chart.legend = legend;
  chart.controls = controls;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.distX = distX;
  chart.distY = distY;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scatter, 'id', 'interactive', 'pointActive', 'x', 'y', 'shape', 'size', 'xScale', 'yScale', 'zScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'sizeDomain', 'sizeRange', 'forceX', 'forceY', 'forceSize', 'clipVoronoi', 'clipRadius', 'useVoronoi');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    distX.color(color);
    distY.color(color);
    return chart;
  };

  chart.showDistX = function (_) {
    if (!arguments.length) return showDistX;
    showDistX = _;
    return chart;
  };

  chart.showDistY = function (_) {
    if (!arguments.length) return showDistY;
    showDistY = _;
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.fisheye = function (_) {
    if (!arguments.length) return fisheye;
    fisheye = _;
    return chart;
  };

  chart.xPadding = function (_) {
    if (!arguments.length) return xPadding;
    xPadding = _;
    return chart;
  };

  chart.yPadding = function (_) {
    if (!arguments.length) return yPadding;
    yPadding = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.tooltipXContent = function (_) {
    if (!arguments.length) return tooltipX;
    tooltipX = _;
    return chart;
  };

  chart.tooltipYContent = function (_) {
    if (!arguments.length) return tooltipY;
    tooltipY = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.scatterPlusLineChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var scatter = nv.models.scatter(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      controls = nv.models.legend(),
      distX = nv.models.distribution(),
      distY = nv.models.distribution();

  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 75
  },
      width = null,
      height = null,
      color = nv.utils.defaultColor(),
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye ? d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye.scale(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear).distortion(0) : scatter.xScale(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye ? d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye.scale(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear).distortion(0) : scatter.yScale(),
      showDistX = false,
      showDistY = false,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      showControls = !!d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye,
      fisheye = 0,
      pauseFisheye = false,
      tooltips = true,
      tooltipX = function tooltipX(key, x, y) {
    return '<strong>' + x + '</strong>';
  },
      tooltipY = function tooltipY(key, x, y) {
    return '<strong>' + y + '</strong>';
  },
      tooltip = function tooltip(key, x, y, date) {
    return '<h3>' + key + '</h3>' + '<p>' + date + '</p>';
  },
      state = {},
      defaultState = null,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      noData = "No Data Available.",
      transitionDuration = 250;

  scatter.xScale(x).yScale(y);
  xAxis.orient('bottom').tickPadding(10);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickPadding(10);
  distX.axis('x');
  distY.axis('y');
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var x0, y0;

  var showTooltip = function showTooltip(e, offsetElement) {
    //TODO: make tooltip style an option between single or dual on axes (maybe on all charts with axes?)
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        leftX = e.pos[0] + (offsetElement.offsetLeft || 0),
        topX = y.range()[0] + margin.top + (offsetElement.offsetTop || 0),
        leftY = x.range()[0] + margin.left + (offsetElement.offsetLeft || 0),
        topY = e.pos[1] + (offsetElement.offsetTop || 0),
        xVal = xAxis.tickFormat()(scatter.x()(e.point, e.pointIndex)),
        yVal = yAxis.tickFormat()(scatter.y()(e.point, e.pointIndex));
    if (tooltipX != null) nv.tooltip.show([leftX, topX], tooltipX(e.series.key, xVal, yVal, e, chart), 'n', 1, offsetElement, 'x-nvtooltip');
    if (tooltipY != null) nv.tooltip.show([leftY, topY], tooltipY(e.series.key, xVal, yVal, e, chart), 'e', 1, offsetElement, 'y-nvtooltip');
    if (tooltip != null) nv.tooltip.show([left, top], tooltip(e.series.key, xVal, yVal, e.point.tooltip, e, chart), e.value < 0 ? 'n' : 's', null, offsetElement);
  };

  var controlsData = [{
    key: 'Magnify',
    disabled: true
  }]; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = scatter.xScale();
      y = scatter.yScale();
      x0 = x0 || x;
      y0 = y0 || y; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-scatterChart').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-scatterChart nv-chart-' + scatter.id());
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g'); // background for pointer events

      gEnter.append('rect').attr('class', 'nvd3 nv-background').style("pointer-events", "none");
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-scatterWrap');
      gEnter.append('g').attr('class', 'nv-regressionLinesWrap');
      gEnter.append('g').attr('class', 'nv-distWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend


      if (showLegend) {
        legend.width(availableWidth / 2);
        wrap.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(' + availableWidth / 2 + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        controls.width(180).color(['#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Main Chart Component(s)


      scatter.width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      wrap.select('.nv-scatterWrap').datum(data.filter(function (d) {
        return !d.disabled;
      })).call(scatter);
      wrap.select('.nv-regressionLinesWrap').attr('clip-path', 'url(#nv-edge-clip-' + scatter.id() + ')');
      var regWrap = wrap.select('.nv-regressionLinesWrap').selectAll('.nv-regLines').data(function (d) {
        return d;
      });
      regWrap.enter().append('g').attr('class', 'nv-regLines');
      var regLine = regWrap.selectAll('.nv-regLine').data(function (d) {
        return [d];
      });
      var regLineEnter = regLine.enter().append('line').attr('class', 'nv-regLine').style('stroke-opacity', 0);
      regLine.transition().attr('x1', x.range()[0]).attr('x2', x.range()[1]).attr('y1', function (d, i) {
        return y(x.domain()[0] * d.slope + d.intercept);
      }).attr('y2', function (d, i) {
        return y(x.domain()[1] * d.slope + d.intercept);
      }).style('stroke', function (d, i, j) {
        return color(d, j);
      }).style('stroke-opacity', function (d, i) {
        return d.disabled || typeof d.slope === 'undefined' || typeof d.intercept === 'undefined' ? 0 : 1;
      }); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(xAxis.ticks() ? xAxis.ticks() : availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')').call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(yAxis.ticks() ? yAxis.ticks() : availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').call(yAxis);
      }

      if (showDistX) {
        distX.getData(scatter.x()).scale(x).width(availableWidth).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled;
        }));
        gEnter.select('.nv-distWrap').append('g').attr('class', 'nv-distributionX');
        g.select('.nv-distributionX').attr('transform', 'translate(0,' + y.range()[0] + ')').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distX);
      }

      if (showDistY) {
        distY.getData(scatter.y()).scale(y).width(availableHeight).color(data.map(function (d, i) {
          return d.color || color(d, i);
        }).filter(function (d, i) {
          return !data[i].disabled;
        }));
        gEnter.select('.nv-distWrap').append('g').attr('class', 'nv-distributionY');
        g.select('.nv-distributionY').attr('transform', 'translate(' + (rightAlignYAxis ? availableWidth : -distY.size()) + ',0)').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distY);
      } //------------------------------------------------------------


      if (d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.fisheye) {
        g.select('.nv-background').attr('width', availableWidth).attr('height', availableHeight);
        g.select('.nv-background').on('mousemove', updateFisheye);
        g.select('.nv-background').on('click', function () {
          pauseFisheye = !pauseFisheye;
        });
        scatter.dispatch.on('elementClick.freezeFisheye', function () {
          pauseFisheye = !pauseFisheye;
        });
      }

      function updateFisheye() {
        if (pauseFisheye) {
          g.select('.nv-point-paths').style('pointer-events', 'all');
          return false;
        }

        g.select('.nv-point-paths').style('pointer-events', 'none');
        var mouse = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this);
        x.distortion(fisheye).focus(mouse[0]);
        y.distortion(fisheye).focus(mouse[1]);
        g.select('.nv-scatterWrap').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(scatter);
        if (showXAxis) g.select('.nv-x.nv-axis').call(xAxis);
        if (showYAxis) g.select('.nv-y.nv-axis').call(yAxis);
        g.select('.nv-distributionX').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distX);
        g.select('.nv-distributionY').datum(data.filter(function (d) {
          return !d.disabled;
        })).call(distY);
      } //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      controls.dispatch.on('legendClick', function (d, i) {
        d.disabled = !d.disabled;
        fisheye = d.disabled ? 0 : 2.5;
        g.select('.nv-background').style('pointer-events', d.disabled ? 'none' : 'all');
        g.select('.nv-point-paths').style('pointer-events', d.disabled ? 'all' : 'none');

        if (d.disabled) {
          x.distortion(fisheye).focus(0);
          y.distortion(fisheye).focus(0);
          g.select('.nv-scatterWrap').call(scatter);
          g.select('.nv-x.nv-axis').call(xAxis);
          g.select('.nv-y.nv-axis').call(yAxis);
        } else {
          pauseFisheye = false;
        }

        chart.update();
      });
      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      scatter.dispatch.on('elementMouseover.tooltip', function (e) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-distx-' + e.pointIndex).attr('y1', e.pos[1] - availableHeight);
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-disty-' + e.pointIndex).attr('x2', e.pos[0] + distX.size());
        e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
        dispatch.tooltipShow(e);
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
      //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  scatter.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-distx-' + e.pointIndex).attr('y1', 0);
    d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select('.nv-chart-' + scatter.id() + ' .nv-series-' + e.seriesIndex + ' .nv-disty-' + e.pointIndex).attr('x2', distY.size());
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.scatter = scatter;
  chart.legend = legend;
  chart.controls = controls;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.distX = distX;
  chart.distY = distY;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scatter, 'id', 'interactive', 'pointActive', 'x', 'y', 'shape', 'size', 'xScale', 'yScale', 'zScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'sizeDomain', 'sizeRange', 'forceX', 'forceY', 'forceSize', 'clipVoronoi', 'clipRadius', 'useVoronoi');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    distX.color(color);
    distY.color(color);
    return chart;
  };

  chart.showDistX = function (_) {
    if (!arguments.length) return showDistX;
    showDistX = _;
    return chart;
  };

  chart.showDistY = function (_) {
    if (!arguments.length) return showDistY;
    showDistY = _;
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.fisheye = function (_) {
    if (!arguments.length) return fisheye;
    fisheye = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.tooltipXContent = function (_) {
    if (!arguments.length) return tooltipX;
    tooltipX = _;
    return chart;
  };

  chart.tooltipYContent = function (_) {
    if (!arguments.length) return tooltipY;
    tooltipY = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.sparkline = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 2,
    right: 0,
    bottom: 2,
    left: 0
  },
      width = 400,
      height = 32,
      animate = true,
      x = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      color = nv.utils.getColor(['#000']),
      xDomain,
      yDomain,
      xRange,
      yRange; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(data, getX)).range(xRange || [0, availableWidth]);
      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.extent(data, getY)).range(yRange || [availableHeight, 0]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-sparkline').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-sparkline');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var paths = wrap.selectAll('path').data(function (d) {
        return [d];
      });
      paths.enter().append('path');
      paths.exit().remove();
      paths.style('stroke', function (d, i) {
        return d.color || color(d, i);
      }).attr('d', d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.line().x(function (d, i) {
        return x(getX(d, i));
      }).y(function (d, i) {
        return y(getY(d, i));
      })); // TODO: Add CURRENT data point (Need Min, Mac, Current / Most recent)

      var points = wrap.selectAll('circle.nv-point').data(function (data) {
        var yValues = data.map(function (d, i) {
          return getY(d, i);
        });

        function pointIndex(index) {
          if (index != -1) {
            var result = data[index];
            result.pointIndex = index;
            return result;
          } else {
            return null;
          }
        }

        var maxPoint = pointIndex(yValues.lastIndexOf(y.domain()[1])),
            minPoint = pointIndex(yValues.indexOf(y.domain()[0])),
            currentPoint = pointIndex(yValues.length - 1);
        return [minPoint, maxPoint, currentPoint].filter(function (d) {
          return d != null;
        });
      });
      points.enter().append('circle');
      points.exit().remove();
      points.attr('cx', function (d, i) {
        return x(getX(d, d.pointIndex));
      }).attr('cy', function (d, i) {
        return y(getY(d, d.pointIndex));
      }).attr('r', 2).attr('class', function (d, i) {
        return getX(d, d.pointIndex) == x.domain()[1] ? 'nv-point nv-currentValue' : getY(d, d.pointIndex) == y.domain()[0] ? 'nv-point nv-minValue' : 'nv-point nv-maxValue';
      });
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) return x;
    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) return y;
    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) return xDomain;
    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) return yDomain;
    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) return xRange;
    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) return yRange;
    yRange = _;
    return chart;
  };

  chart.animate = function (_) {
    if (!arguments.length) return animate;
    animate = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  }; //============================================================


  return chart;
};

nv.models.sparklinePlus = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var sparkline = nv.models.sparkline();
  var margin = {
    top: 15,
    right: 100,
    bottom: 10,
    left: 50
  },
      width = null,
      height = null,
      x,
      y,
      index = [],
      paused = false,
      xTickFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',r'),
      yTickFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.2f'),
      showValue = true,
      alignValue = true,
      rightAlignValue = false,
      noData = "No Data Available."; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        chart(selection);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!data || !data.length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      }

      var currentValue = sparkline.y()(data[data.length - 1], data.length - 1); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales

      x = sparkline.xScale();
      y = sparkline.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-sparklineplus').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-sparklineplus');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-sparklineWrap');
      gEnter.append('g').attr('class', 'nv-valueWrap');
      gEnter.append('g').attr('class', 'nv-hoverArea');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Main Chart Component(s)

      var sparklineWrap = g.select('.nv-sparklineWrap');
      sparkline.width(availableWidth).height(availableHeight);
      sparklineWrap.call(sparkline); //------------------------------------------------------------

      var valueWrap = g.select('.nv-valueWrap');
      var value = valueWrap.selectAll('.nv-currentValue').data([currentValue]);
      value.enter().append('text').attr('class', 'nv-currentValue').attr('dx', rightAlignValue ? -8 : 8).attr('dy', '.9em').style('text-anchor', rightAlignValue ? 'end' : 'start');
      value.attr('x', availableWidth + (rightAlignValue ? margin.right : 0)).attr('y', alignValue ? function (d) {
        return y(d);
      } : 0).style('fill', sparkline.color()(data[data.length - 1], data.length - 1)).text(yTickFormat(currentValue));
      gEnter.select('.nv-hoverArea').append('rect').on('mousemove', sparklineHover).on('click', function () {
        paused = !paused;
      }).on('mouseout', function () {
        index = [];
        updateValueLine();
      }); //.on('mouseout', function() { index = null; updateValueLine(); });

      g.select('.nv-hoverArea rect').attr('transform', function (d) {
        return 'translate(' + -margin.left + ',' + -margin.top + ')';
      }).attr('width', availableWidth + margin.left + margin.right).attr('height', availableHeight + margin.top);

      function updateValueLine() {
        //index is currently global (within the chart), may or may not keep it that way
        if (paused) return;
        var hoverValue = g.selectAll('.nv-hoverValue').data(index);
        var hoverEnter = hoverValue.enter().append('g').attr('class', 'nv-hoverValue').style('stroke-opacity', 0).style('fill-opacity', 0);
        hoverValue.exit().transition().duration(250).style('stroke-opacity', 0).style('fill-opacity', 0).remove();
        hoverValue.attr('transform', function (d) {
          return 'translate(' + x(sparkline.x()(data[d], d)) + ',0)';
        }).transition().duration(250).style('stroke-opacity', 1).style('fill-opacity', 1);
        if (!index.length) return;
        hoverEnter.append('line').attr('x1', 0).attr('y1', -margin.top).attr('x2', 0).attr('y2', availableHeight);
        hoverEnter.append('text').attr('class', 'nv-xValue').attr('x', -6).attr('y', -margin.top).attr('text-anchor', 'end').attr('dy', '.9em');
        g.select('.nv-hoverValue .nv-xValue').text(xTickFormat(sparkline.x()(data[index[0]], index[0])));
        hoverEnter.append('text').attr('class', 'nv-yValue').attr('x', 6).attr('y', -margin.top).attr('text-anchor', 'start').attr('dy', '.9em');
        g.select('.nv-hoverValue .nv-yValue').text(yTickFormat(sparkline.y()(data[index[0]], index[0])));
      }

      function sparklineHover() {
        if (paused) return;
        var pos = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this)[0] - margin.left;

        function getClosestIndex(data, x) {
          var distance = Math.abs(sparkline.x()(data[0], 0) - x);
          var closestIndex = 0;

          for (var i = 0; i < data.length; i++) {
            if (Math.abs(sparkline.x()(data[i], i) - x) < distance) {
              distance = Math.abs(sparkline.x()(data[i], i) - x);
              closestIndex = i;
            }
          }

          return closestIndex;
        }

        index = [getClosestIndex(data, Math.round(x.invert(pos)))];
        updateValueLine();
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components


  chart.sparkline = sparkline;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, sparkline, 'x', 'y', 'xScale', 'yScale', 'color');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.xTickFormat = function (_) {
    if (!arguments.length) return xTickFormat;
    xTickFormat = _;
    return chart;
  };

  chart.yTickFormat = function (_) {
    if (!arguments.length) return yTickFormat;
    yTickFormat = _;
    return chart;
  };

  chart.showValue = function (_) {
    if (!arguments.length) return showValue;
    showValue = _;
    return chart;
  };

  chart.alignValue = function (_) {
    if (!arguments.length) return alignValue;
    alignValue = _;
    return chart;
  };

  chart.rightAlignValue = function (_) {
    if (!arguments.length) return rightAlignValue;
    rightAlignValue = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.stackedArea = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  },
      width = 960,
      height = 500,
      color = nv.utils.defaultColor() // a function that computes the color
  ,
      id = Math.floor(Math.random() * 100000) //Create semi-unique ID incase user doesn't selet one
  ,
      getX = function getX(d) {
    return d.x;
  } // accessor to get the x value from a data point
  ,
      getY = function getY(d) {
    return d.y;
  } // accessor to get the y value from a data point
  ,
      style = 'stack',
      offset = 'zero',
      order = 'default',
      interpolate = 'linear' // controls the line interpolation
  ,
      clipEdge = false // if true, masks lines within x and y scale
  ,
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      scatter = nv.models.scatter(),
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'areaClick', 'areaMouseover', 'areaMouseout');

  scatter.size(2.2) // default size
  .sizeDomain([2.2, 2.2]) // all the same size by default
  ;
  /************************************
   * offset:
   *   'wiggle' (stream)
   *   'zero' (stacked)
   *   'expand' (normalize to 100%)
   *   'silhouette' (simple centered)
   *
   * order:
   *   'inside-out' (stream)
   *   'default' (input order)
   ************************************/
  //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup Scales

      x = scatter.xScale();
      y = scatter.yScale(); //------------------------------------------------------------

      var dataRaw = data; // Injecting point index into each point because d3v3.layout.stack().out does not give index

      data.forEach(function (aseries, i) {
        aseries.seriesIndex = i;
        aseries.values = aseries.values.map(function (d, j) {
          d.index = j;
          d.seriesIndex = i;
          return d;
        });
      });
      var dataFiltered = data.filter(function (series) {
        return !series.disabled;
      });
      data = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.layout.stack().order(order).offset(offset).values(function (d) {
        return d.values;
      }) //TODO: make values customizeable in EVERY model in this fashion
      .x(getX).y(getY).out(function (d, y0, y) {
        var yHeight = getY(d) === 0 ? 0 : y;
        d.display = {
          y: yHeight,
          y0: y0
        };
      })(dataFiltered); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-stackedarea').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-stackedarea');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-areaWrap');
      gEnter.append('g').attr('class', 'nv-scatterWrap');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      scatter.width(availableWidth).height(availableHeight).x(getX).y(function (d) {
        return d.display.y + d.display.y0;
      }).forceY([0]).color(data.map(function (d, i) {
        return d.color || color(d, d.seriesIndex);
      }));
      var scatterWrap = g.select('.nv-scatterWrap').datum(data);
      scatterWrap.call(scatter);
      defsEnter.append('clipPath').attr('id', 'nv-edge-clip-' + id).append('rect');
      wrap.select('#nv-edge-clip-' + id + ' rect').attr('width', availableWidth).attr('height', availableHeight);
      g.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + id + ')' : '');
      var area = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.area().x(function (d, i) {
        return x(getX(d, i));
      }).y0(function (d) {
        return y(d.display.y0);
      }).y1(function (d) {
        return y(d.display.y + d.display.y0);
      }).interpolate(interpolate);
      var zeroArea = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.area().x(function (d, i) {
        return x(getX(d, i));
      }).y0(function (d) {
        return y(d.display.y0);
      }).y1(function (d) {
        return y(d.display.y0);
      });
      var path = g.select('.nv-areaWrap').selectAll('path.nv-area').data(function (d) {
        return d;
      });
      path.enter().append('path').attr('class', function (d, i) {
        return 'nv-area nv-area-' + i;
      }).attr('d', function (d, i) {
        return zeroArea(d.values, d.seriesIndex);
      }).on('mouseover', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', true);
        dispatch.areaMouseover({
          point: d,
          series: d.key,
          pos: [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageX, d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageY],
          seriesIndex: d.seriesIndex
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.areaMouseout({
          point: d,
          series: d.key,
          pos: [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageX, d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageY],
          seriesIndex: d.seriesIndex
        });
      }).on('click', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).classed('hover', false);
        dispatch.areaClick({
          point: d,
          series: d.key,
          pos: [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageX, d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event.pageY],
          seriesIndex: d.seriesIndex
        });
      });
      path.exit().remove();
      path.style('fill', function (d, i) {
        return d.color || color(d, d.seriesIndex);
      }).style('stroke', function (d, i) {
        return d.color || color(d, d.seriesIndex);
      });
      path.transition().attr('d', function (d, i) {
        return area(d.values, i);
      }); //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      scatter.dispatch.on('elementMouseover.area', function (e) {
        g.select('.nv-chart-' + id + ' .nv-area-' + e.seriesIndex).classed('hover', true);
      });
      scatter.dispatch.on('elementMouseout.area', function (e) {
        g.select('.nv-chart-' + id + ' .nv-area-' + e.seriesIndex).classed('hover', false);
      }); //============================================================
      //Special offset functions

      chart.d3_stackedOffset_stackPercent = function (stackData) {
        var n = stackData.length,
            //How many series
        m = stackData[0].length,
            //how many points per series
        k = 1 / n,
            i,
            j,
            o,
            y0 = [];

        for (j = 0; j < m; ++j) {
          //Looping through all points
          for (i = 0, o = 0; i < dataRaw.length; i++) {
            //looping through series'
            o += getY(dataRaw[i].values[j]);
          } //total value of all points at a certian point in time.


          if (o) for (i = 0; i < n; i++) {
            stackData[i][j][1] /= o;
          } else for (i = 0; i < n; i++) {
            stackData[i][j][1] = k;
          }
        }

        for (j = 0; j < m; ++j) {
          y0[j] = 0;
        }

        return y0;
      };
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  scatter.dispatch.on('elementClick.area', function (e) {
    dispatch.areaClick(e);
  });
  scatter.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top], dispatch.tooltipShow(e);
  });
  scatter.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  }); //============================================================
  //============================================================
  // Global getters and setters
  //------------------------------------------------------------

  chart.dispatch = dispatch;
  chart.scatter = scatter;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, scatter, 'interactive', 'size', 'xScale', 'yScale', 'zScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'sizeDomain', 'forceX', 'forceY', 'forceSize', 'clipVoronoi', 'useVoronoi', 'clipRadius', 'highlightPoint', 'clearHighlights');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) return getX;
    getX = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) return getY;
    getY = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.functor(_);
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) return clipEdge;
    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    return chart;
  };

  chart.offset = function (_) {
    if (!arguments.length) return offset;
    offset = _;
    return chart;
  };

  chart.order = function (_) {
    if (!arguments.length) return order;
    order = _;
    return chart;
  }; //shortcut for offset + order


  chart.style = function (_) {
    if (!arguments.length) return style;
    style = _;

    switch (style) {
      case 'stack':
        chart.offset('zero');
        chart.order('default');
        break;

      case 'stream':
        chart.offset('wiggle');
        chart.order('inside-out');
        break;

      case 'stream-center':
        chart.offset('silhouette');
        chart.order('inside-out');
        break;

      case 'expand':
        chart.offset('expand');
        chart.order('default');
        break;

      case 'stack_percent':
        chart.offset(chart.d3_stackedOffset_stackPercent);
        chart.order('default');
        break;
    }

    return chart;
  };

  chart.interpolate = function (_) {
    if (!arguments.length) return interpolate;
    interpolate = _;
    return chart;
  }; //============================================================


  return chart;
};

nv.models.stackedAreaChart = function () {
  "use strict"; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var stacked = nv.models.stackedArea(),
      xAxis = nv.models.axis(),
      yAxis = nv.models.axis(),
      legend = nv.models.legend(),
      controls = nv.models.legend(),
      interactiveLayer = nv.interactiveGuideline();

  var margin = {
    top: 30,
    right: 25,
    bottom: 50,
    left: 60
  },
      width = null,
      height = null,
      color = nv.utils.defaultColor() // a function that takes in d, i and returns color
  ,
      showControls = true,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      useInteractiveGuideline = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y, e, graph) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' on ' + x + '</p>';
  },
      x //can be accessed via chart.xScale()
  ,
      y //can be accessed via chart.yScale()
  ,
      yAxisTickFormat = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.2f'),
      state = {
    style: stacked.style()
  },
      defaultState = null,
      noData = 'No Data Available.',
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'),
      controlWidth = 250,
      cData = ['Stacked', 'Stream', 'Expanded'],
      controlLabels = {},
      transitionDuration = 250;

  xAxis.orient('bottom').tickPadding(7);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left');
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(stacked.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(stacked.y()(e.point, e.pointIndex)),
        content = tooltip(e.series.key, x, y, e, chart);
    nv.tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) defaultState[key] = state[key].slice(0);else defaultState[key] = state[key];
        }
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = stacked.xScale();
      y = stacked.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-stackedAreaChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-stackedAreaChart').append('g');
      var g = wrap.select('g');
      gEnter.append("rect").style("opacity", 0);
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-stackedWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap');
      gEnter.append('g').attr('class', 'nv-interactive');
      g.select("rect").attr("width", availableWidth).attr("height", availableHeight); //------------------------------------------------------------
      // Legend

      if (showLegend) {
        var legendWidth = showControls ? availableWidth - controlWidth : availableWidth;
        legend.width(legendWidth);
        g.select('.nv-legendWrap').datum(data).call(legend);

        if (margin.top != legend.height()) {
          margin.top = legend.height();
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + (availableWidth - legendWidth) + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      if (showControls) {
        var controlsData = [{
          key: controlLabels.stacked || 'Stacked',
          metaKey: 'Stacked',
          disabled: stacked.style() != 'stack',
          style: 'stack'
        }, {
          key: controlLabels.stream || 'Stream',
          metaKey: 'Stream',
          disabled: stacked.style() != 'stream',
          style: 'stream'
        }, {
          key: controlLabels.expanded || 'Expanded',
          metaKey: 'Expanded',
          disabled: stacked.style() != 'expand',
          style: 'expand'
        }, {
          key: controlLabels.stack_percent || 'Stack %',
          metaKey: 'Stack_Percent',
          disabled: stacked.style() != 'stack_percent',
          style: 'stack_percent'
        }];
        controlWidth = cData.length / 3 * 260;
        controlsData = controlsData.filter(function (d) {
          return cData.indexOf(d.metaKey) !== -1;
        });
        controls.width(controlWidth).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).call(controls);

        if (margin.top != Math.max(controls.height(), legend.height())) {
          margin.top = Math.max(controls.height(), legend.height());
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
        }

        g.select('.nv-controlsWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select(".nv-y.nv-axis").attr("transform", "translate(" + availableWidth + ",0)");
      } //------------------------------------------------------------
      // Main Chart Component(s)
      //------------------------------------------------------------
      //Set up interactive layer


      if (useInteractiveGuideline) {
        interactiveLayer.width(availableWidth).height(availableHeight).margin({
          left: margin.left,
          top: margin.top
        }).svgContainer(container).xScale(x);
        wrap.select(".nv-interactive").call(interactiveLayer);
      }

      stacked.width(availableWidth).height(availableHeight);
      var stackedWrap = g.select('.nv-stackedWrap').datum(data);
      stackedWrap.transition().call(stacked); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + availableHeight + ')');
        g.select('.nv-x.nv-axis').transition().duration(0).call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(stacked.offset() == 'wiggle' ? 0 : availableHeight / 36).tickSize(-availableWidth, 0).setTickFormat(stacked.style() == 'expand' || stacked.style() == 'stack_percent' ? d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format('%') : yAxisTickFormat);
        g.select('.nv-y.nv-axis').transition().duration(0).call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      stacked.dispatch.on('areaClick.toggle', function (e) {
        if (data.filter(function (d) {
          return !d.disabled;
        }).length === 1) data.forEach(function (d) {
          d.disabled = false;
        });else data.forEach(function (d, i) {
          d.disabled = i != e.seriesIndex;
        });
        state.disabled = data.map(function (d) {
          return !!d.disabled;
        });
        dispatch.stateChange(state);
        chart.update();
      });
      legend.dispatch.on('stateChange', function (newState) {
        state.disabled = newState.disabled;
        dispatch.stateChange(state);
        chart.update();
      });
      controls.dispatch.on('legendClick', function (d, i) {
        if (!d.disabled) return;
        controlsData = controlsData.map(function (s) {
          s.disabled = true;
          return s;
        });
        d.disabled = false;
        stacked.style(d.style);
        state.style = stacked.style();
        dispatch.stateChange(state);
        chart.update();
      });
      interactiveLayer.dispatch.on('elementMousemove', function (e) {
        stacked.clearHighlights();
        var singlePoint,
            pointIndex,
            pointXLocation,
            allData = [];
        data.filter(function (series, i) {
          series.seriesIndex = i;
          return !series.disabled;
        }).forEach(function (series, i) {
          pointIndex = nv.interactiveBisect(series.values, e.pointXValue, chart.x());
          stacked.highlightPoint(i, pointIndex, true);
          var point = series.values[pointIndex];
          if (typeof point === 'undefined') return;
          if (typeof singlePoint === 'undefined') singlePoint = point;
          if (typeof pointXLocation === 'undefined') pointXLocation = chart.xScale()(chart.x()(point, pointIndex)); //If we are in 'expand' mode, use the stacked percent value instead of raw value.

          var tooltipValue = stacked.style() == 'expand' ? point.display.y : chart.y()(point, pointIndex);
          allData.push({
            key: series.key,
            value: tooltipValue,
            color: color(series, series.seriesIndex),
            stackedValue: point.display
          });
        });
        allData.reverse(); //Highlight the tooltip entry based on which stack the mouse is closest to.

        if (allData.length > 2) {
          var yValue = chart.yScale().invert(e.mouseY);
          var yDistMax = Infinity,
              indexToHighlight = null;
          allData.forEach(function (series, i) {
            //To handle situation where the stacked area chart is negative, we need to use absolute values
            //when checking if the mouse Y value is within the stack area.
            yValue = Math.abs(yValue);
            var stackedY0 = Math.abs(series.stackedValue.y0);
            var stackedY = Math.abs(series.stackedValue.y);

            if (yValue >= stackedY0 && yValue <= stackedY + stackedY0) {
              indexToHighlight = i;
              return;
            }
          });
          if (indexToHighlight != null) allData[indexToHighlight].highlight = true;
        }

        var xValue = xAxis.tickFormat()(chart.x()(singlePoint, pointIndex)); //If we are in 'expand' mode, force the format to be a percentage.

        var valueFormatter = stacked.style() == 'expand' ? function (d, i) {
          return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(".1%")(d);
        } : function (d, i) {
          return yAxis.tickFormat()(d);
        };
        interactiveLayer.tooltip.position({
          left: pointXLocation + margin.left,
          top: e.mouseY + margin.top
        }).chartContainer(that.parentNode).enabled(tooltips).valueFormatter(valueFormatter).data({
          value: xValue,
          series: allData
        })();
        interactiveLayer.renderGuideLine(pointXLocation);
      });
      interactiveLayer.dispatch.on("elementMouseout", function (e) {
        dispatch.tooltipHide();
        stacked.clearHighlights();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined' && data.length === e.disabled.length) {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.style !== 'undefined') {
          stacked.style(e.style);
        }

        chart.update();
      });
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  stacked.dispatch.on('tooltipShow', function (e) {
    //disable tooltips when value ~= 0
    //// TODO: consider removing points from voronoi that have 0 value instead of this hack

    /*
    if (!Math.round(stacked.y()(e.point) * 100)) {  // 100 will not be good for very small numbers... will have to think about making this valu dynamic, based on data range
      setTimeout(function() { d3v3.selectAll('.point.hover').classed('hover', false) }, 0);
      return false;
    }
    */
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top], dispatch.tooltipShow(e);
  });
  stacked.dispatch.on('tooltipHide', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) nv.tooltip.cleanup();
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.stacked = stacked;
  chart.legend = legend;
  chart.controls = controls;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.interactiveLayer = interactiveLayer;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, stacked, 'x', 'y', 'size', 'xScale', 'yScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'sizeDomain', 'interactive', 'useVoronoi', 'offset', 'order', 'style', 'clipEdge', 'forceX', 'forceY', 'forceSize', 'interpolate');
  chart.options = nv.utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) return margin;
    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) return width;
    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) return height;
    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) return color;
    color = nv.utils.getColor(_);
    legend.color(color);
    stacked.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) return showControls;
    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) return showLegend;
    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) return showXAxis;
    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) return showYAxis;
    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) return rightAlignYAxis;
    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.useInteractiveGuideline = function (_) {
    if (!arguments.length) return useInteractiveGuideline;
    useInteractiveGuideline = _;

    if (_ === true) {
      chart.interactive(false);
      chart.useVoronoi(false);
    }

    return chart;
  };

  chart.tooltip = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) return tooltips;
    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) return tooltip;
    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) return state;
    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) return defaultState;
    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) return noData;
    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) return transitionDuration;
    transitionDuration = _;
    return chart;
  };

  chart.controlsData = function (_) {
    if (!arguments.length) return cData;
    cData = _;
    return chart;
  };

  chart.controlLabels = function (_) {
    if (!arguments.length) return controlLabels;
    if (_typeof(_) !== 'object') return controlLabels;
    controlLabels = _;
    return chart;
  };

  yAxis.setTickFormat = yAxis.tickFormat;

  yAxis.tickFormat = function (_) {
    if (!arguments.length) return yAxisTickFormat;
    yAxisTickFormat = _;
    return yAxis;
  }; //============================================================


  return chart;
};

/* harmony default export */ __webpack_exports__["default"] = (nv);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ext/topojson.v1.min.js":
/*!************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ext/topojson.v1.min.js ***!
  \************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_RESULT__;function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

!function () {
  function t(n, t) {
    function r(t) {
      var r,
          e = n.arcs[0 > t ? ~t : t],
          o = e[0];
      return n.transform ? (r = [0, 0], e.forEach(function (n) {
        r[0] += n[0], r[1] += n[1];
      })) : r = e[e.length - 1], 0 > t ? [r, o] : [o, r];
    }

    function e(n, t) {
      for (var r in n) {
        var e = n[r];
        delete t[e.start], delete e.start, delete e.end, e.forEach(function (n) {
          o[0 > n ? ~n : n] = 1;
        }), f.push(e);
      }
    }

    var o = {},
        i = {},
        u = {},
        f = [],
        c = -1;
    return t.forEach(function (r, e) {
      var o,
          i = n.arcs[0 > r ? ~r : r];
      i.length < 3 && !i[1][0] && !i[1][1] && (o = t[++c], t[c] = r, t[e] = o);
    }), t.forEach(function (n) {
      var t,
          e,
          o = r(n),
          f = o[0],
          c = o[1];
      if (t = u[f]) {
        if (delete u[t.end], t.push(n), t.end = c, e = i[c]) {
          delete i[e.start];
          var a = e === t ? t : t.concat(e);
          i[a.start = t.start] = u[a.end = e.end] = a;
        } else i[t.start] = u[t.end] = t;
      } else if (t = i[c]) {
        if (delete i[t.start], t.unshift(n), t.start = f, e = u[f]) {
          delete u[e.end];
          var s = e === t ? t : e.concat(t);
          i[s.start = e.start] = u[s.end = t.end] = s;
        } else i[t.start] = u[t.end] = t;
      } else t = [n], i[t.start = f] = u[t.end = c] = t;
    }), e(u, i), e(i, u), t.forEach(function (n) {
      o[0 > n ? ~n : n] || f.push([n]);
    }), f;
  }

  function r(n, r, e) {
    function o(n) {
      var t = 0 > n ? ~n : n;
      (s[t] || (s[t] = [])).push({
        i: n,
        g: a
      });
    }

    function i(n) {
      n.forEach(o);
    }

    function u(n) {
      n.forEach(i);
    }

    function f(n) {
      "GeometryCollection" === n.type ? n.geometries.forEach(f) : n.type in l && (a = n, l[n.type](n.arcs));
    }

    var c = [];

    if (arguments.length > 1) {
      var a,
          s = [],
          l = {
        LineString: i,
        MultiLineString: u,
        Polygon: u,
        MultiPolygon: function MultiPolygon(n) {
          n.forEach(u);
        }
      };
      f(r), s.forEach(arguments.length < 3 ? function (n) {
        c.push(n[0].i);
      } : function (n) {
        e(n[0].g, n[n.length - 1].g) && c.push(n[0].i);
      });
    } else for (var h = 0, p = n.arcs.length; p > h; ++h) {
      c.push(h);
    }

    return {
      type: "MultiLineString",
      arcs: t(n, c)
    };
  }

  function e(r, e) {
    function o(n) {
      n.forEach(function (t) {
        t.forEach(function (t) {
          (f[t = 0 > t ? ~t : t] || (f[t] = [])).push(n);
        });
      }), c.push(n);
    }

    function i(n) {
      return l(u(r, {
        type: "Polygon",
        arcs: [n]
      }).coordinates[0]) > 0;
    }

    var f = {},
        c = [],
        a = [];
    return e.forEach(function (n) {
      "Polygon" === n.type ? o(n.arcs) : "MultiPolygon" === n.type && n.arcs.forEach(o);
    }), c.forEach(function (n) {
      if (!n._) {
        var t = [],
            r = [n];

        for (n._ = 1, a.push(t); n = r.pop();) {
          t.push(n), n.forEach(function (n) {
            n.forEach(function (n) {
              f[0 > n ? ~n : n].forEach(function (n) {
                n._ || (n._ = 1, r.push(n));
              });
            });
          });
        }
      }
    }), c.forEach(function (n) {
      delete n._;
    }), {
      type: "MultiPolygon",
      arcs: a.map(function (e) {
        var o = [];
        if (e.forEach(function (n) {
          n.forEach(function (n) {
            n.forEach(function (n) {
              f[0 > n ? ~n : n].length < 2 && o.push(n);
            });
          });
        }), o = t(r, o), (n = o.length) > 1) for (var u, c = i(e[0][0]), a = 0; n > a; ++a) {
          if (c === i(o[a])) {
            u = o[0], o[0] = o[a], o[a] = u;
            break;
          }
        }
        return o;
      })
    };
  }

  function o(n, t) {
    return "GeometryCollection" === t.type ? {
      type: "FeatureCollection",
      features: t.geometries.map(function (t) {
        return i(n, t);
      })
    } : i(n, t);
  }

  function i(n, t) {
    var r = {
      type: "Feature",
      id: t.id,
      properties: t.properties || {},
      geometry: u(n, t)
    };
    return null == t.id && delete r.id, r;
  }

  function u(n, t) {
    function r(n, t) {
      t.length && t.pop();

      for (var r, e = s[0 > n ? ~n : n], o = 0, i = e.length; i > o; ++o) {
        t.push(r = e[o].slice()), a(r, o);
      }

      0 > n && f(t, i);
    }

    function e(n) {
      return n = n.slice(), a(n, 0), n;
    }

    function o(n) {
      for (var t = [], e = 0, o = n.length; o > e; ++e) {
        r(n[e], t);
      }

      return t.length < 2 && t.push(t[0].slice()), t;
    }

    function i(n) {
      for (var t = o(n); t.length < 4;) {
        t.push(t[0].slice());
      }

      return t;
    }

    function u(n) {
      return n.map(i);
    }

    function c(n) {
      var t = n.type;
      return "GeometryCollection" === t ? {
        type: t,
        geometries: n.geometries.map(c)
      } : t in l ? {
        type: t,
        coordinates: l[t](n)
      } : null;
    }

    var a = g(n.transform),
        s = n.arcs,
        l = {
      Point: function Point(n) {
        return e(n.coordinates);
      },
      MultiPoint: function MultiPoint(n) {
        return n.coordinates.map(e);
      },
      LineString: function LineString(n) {
        return o(n.arcs);
      },
      MultiLineString: function MultiLineString(n) {
        return n.arcs.map(o);
      },
      Polygon: function Polygon(n) {
        return u(n.arcs);
      },
      MultiPolygon: function MultiPolygon(n) {
        return n.arcs.map(u);
      }
    };
    return c(t);
  }

  function f(n, t) {
    for (var r, e = n.length, o = e - t; o < --e;) {
      r = n[o], n[o++] = n[e], n[e] = r;
    }
  }

  function c(n, t) {
    for (var r = 0, e = n.length; e > r;) {
      var o = r + e >>> 1;
      n[o] < t ? r = o + 1 : e = o;
    }

    return r;
  }

  function a(n) {
    function t(n, t) {
      n.forEach(function (n) {
        0 > n && (n = ~n);
        var r = o[n];
        r ? r.push(t) : o[n] = [t];
      });
    }

    function r(n, r) {
      n.forEach(function (n) {
        t(n, r);
      });
    }

    function e(n, t) {
      "GeometryCollection" === n.type ? n.geometries.forEach(function (n) {
        e(n, t);
      }) : n.type in u && u[n.type](n.arcs, t);
    }

    var o = {},
        i = n.map(function () {
      return [];
    }),
        u = {
      LineString: t,
      MultiLineString: r,
      Polygon: r,
      MultiPolygon: function MultiPolygon(n, t) {
        n.forEach(function (n) {
          r(n, t);
        });
      }
    };
    n.forEach(e);

    for (var f in o) {
      for (var a = o[f], s = a.length, l = 0; s > l; ++l) {
        for (var h = l + 1; s > h; ++h) {
          var p,
              v = a[l],
              g = a[h];
          (p = i[v])[f = c(p, g)] !== g && p.splice(f, 0, g), (p = i[g])[f = c(p, v)] !== v && p.splice(f, 0, v);
        }
      }
    }

    return i;
  }

  function s(n, t) {
    function r(n) {
      u.remove(n), n[1][2] = t(n), u.push(n);
    }

    var e,
        o = g(n.transform),
        i = m(n.transform),
        u = v(),
        f = 0;

    for (t || (t = h), n.arcs.forEach(function (n) {
      var r = [];
      n.forEach(o);

      for (var i = 1, f = n.length - 1; f > i; ++i) {
        e = n.slice(i - 1, i + 2), e[1][2] = t(e), r.push(e), u.push(e);
      }

      n[0][2] = n[f][2] = 1 / 0;

      for (var i = 0, f = r.length; f > i; ++i) {
        e = r[i], e.previous = r[i - 1], e.next = r[i + 1];
      }
    }); e = u.pop();) {
      var c = e.previous,
          a = e.next;
      e[1][2] < f ? e[1][2] = f : f = e[1][2], c && (c.next = a, c[2] = e[2], r(c)), a && (a.previous = c, a[0] = e[0], r(a));
    }

    return n.arcs.forEach(function (n) {
      n.forEach(i);
    }), n;
  }

  function l(n) {
    for (var t, r = -1, e = n.length, o = n[e - 1], i = 0; ++r < e;) {
      t = o, o = n[r], i += t[0] * o[1] - t[1] * o[0];
    }

    return .5 * i;
  }

  function h(n) {
    var t = n[0],
        r = n[1],
        e = n[2];
    return Math.abs((t[0] - e[0]) * (r[1] - t[1]) - (t[0] - r[0]) * (e[1] - t[1]));
  }

  function p(n, t) {
    return n[1][2] - t[1][2];
  }

  function v() {
    function n(n, t) {
      for (; t > 0;) {
        var r = (t + 1 >> 1) - 1,
            o = e[r];
        if (p(n, o) >= 0) break;
        e[o._ = t] = o, e[n._ = t = r] = n;
      }
    }

    function t(n, t) {
      for (;;) {
        var r = t + 1 << 1,
            i = r - 1,
            u = t,
            f = e[u];
        if (o > i && p(e[i], f) < 0 && (f = e[u = i]), o > r && p(e[r], f) < 0 && (f = e[u = r]), u === t) break;
        e[f._ = t] = f, e[n._ = t = u] = n;
      }
    }

    var r = {},
        e = [],
        o = 0;
    return r.push = function (t) {
      return n(e[t._ = o] = t, o++), o;
    }, r.pop = function () {
      if (!(0 >= o)) {
        var n,
            r = e[0];
        return --o > 0 && (n = e[o], t(e[n._ = 0] = n, 0)), r;
      }
    }, r.remove = function (r) {
      var i,
          u = r._;
      if (e[u] === r) return u !== --o && (i = e[o], (p(i, r) < 0 ? n : t)(e[i._ = u] = i, u)), u;
    }, r;
  }

  function g(n) {
    if (!n) return y;
    var t,
        r,
        e = n.scale[0],
        o = n.scale[1],
        i = n.translate[0],
        u = n.translate[1];
    return function (n, f) {
      f || (t = r = 0), n[0] = (t += n[0]) * e + i, n[1] = (r += n[1]) * o + u;
    };
  }

  function m(n) {
    if (!n) return y;
    var t,
        r,
        e = n.scale[0],
        o = n.scale[1],
        i = n.translate[0],
        u = n.translate[1];
    return function (n, f) {
      f || (t = r = 0);
      var c = 0 | (n[0] - i) / e,
          a = 0 | (n[1] - u) / o;
      n[0] = c - t, n[1] = a - r, t = c, r = a;
    };
  }

  function y() {}

  var d = {
    version: "1.6.8",
    mesh: function mesh(n) {
      return u(n, r.apply(this, arguments));
    },
    meshArcs: r,
    merge: function merge(n) {
      return u(n, e.apply(this, arguments));
    },
    mergeArcs: e,
    feature: o,
    neighbors: a,
    presimplify: s
  };
   true ? !(__WEBPACK_AMD_DEFINE_FACTORY__ = (d),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.call(exports, __webpack_require__, exports, module)) :
				__WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : undefined;
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/hue.js":
/*!********************************************!*\
  !*** ./desktop/core/src/desktop/js/hue.js ***!
  \********************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _utils_publicPath__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils/publicPath */ "./desktop/core/src/desktop/js/utils/publicPath.js");
/* harmony import */ var _utils_publicPath__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_utils_publicPath__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var core_js_stable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! core-js/stable */ "./node_modules/core-js/stable/index.js");
/* harmony import */ var core_js_stable__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_stable__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var regenerator_runtime_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! regenerator-runtime/runtime */ "./node_modules/regenerator-runtime/runtime.js");
/* harmony import */ var regenerator_runtime_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(regenerator_runtime_runtime__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lodash */ "./node_modules/lodash/lodash.js");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./jquery/jquery.common */ "./desktop/core/src/desktop/js/jquery/jquery.common.js");
/* harmony import */ var _ext_bootstrap_2_3_2_min__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./ext/bootstrap.2.3.2.min */ "./desktop/core/src/desktop/js/ext/bootstrap.2.3.2.min.js");
/* harmony import */ var _ext_bootstrap_editable_1_5_1_min__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./ext/bootstrap-editable.1.5.1.min */ "./desktop/core/src/desktop/js/ext/bootstrap-editable.1.5.1.min.js");
/* harmony import */ var _utils_d3Extensions__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./utils/d3Extensions */ "./desktop/core/src/desktop/js/utils/d3Extensions.js");
/* harmony import */ var d3__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! d3 */ "./node_modules/d3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var dropzone__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! dropzone */ "./node_modules/dropzone/dist/dropzone.js");
/* harmony import */ var dropzone__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(dropzone__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var filesize__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! filesize */ "./node_modules/filesize/lib/filesize.js");
/* harmony import */ var filesize__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(filesize__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var localforage__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! localforage */ "./node_modules/localforage/dist/localforage.js");
/* harmony import */ var localforage__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(localforage__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _nvd3_nv_all__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./nvd3/nv.all */ "./desktop/core/src/desktop/js/nvd3/nv.all.js");
/* harmony import */ var page__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! page */ "./node_modules/page/page.js");
/* harmony import */ var page__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(page__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _ext_fileuploader_custom__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./ext/fileuploader.custom */ "./desktop/core/src/desktop/js/ext/fileuploader.custom.js");
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! sprintf-js */ "./node_modules/sprintf-js/src/sprintf.js");
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(sprintf_js__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./ko/ko.all */ "./desktop/core/src/desktop/js/ko/ko.all.js");
/* harmony import */ var _parse_parserTypeDefs__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./parse/parserTypeDefs */ "./desktop/core/src/desktop/js/parse/parserTypeDefs.js");
/* harmony import */ var _parse_parserTypeDefs__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(_parse_parserTypeDefs__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _utils_customIntervals__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./utils/customIntervals */ "./desktop/core/src/desktop/js/utils/customIntervals.js");
/* harmony import */ var _utils_customIntervals__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(_utils_customIntervals__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var _utils_json_bigDataParse__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./utils/json.bigDataParse */ "./desktop/core/src/desktop/js/utils/json.bigDataParse.js");
/* harmony import */ var _utils_json_bigDataParse__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(_utils_json_bigDataParse__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _api_cancellablePromise__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./api/cancellablePromise */ "./desktop/core/src/desktop/js/api/cancellablePromise.js");
/* harmony import */ var _doc_docSupport__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./doc/docSupport */ "./desktop/core/src/desktop/js/doc/docSupport.js");
/* harmony import */ var _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./catalog/contextCatalog */ "./desktop/core/src/desktop/js/catalog/contextCatalog.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_hueDebug__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./utils/hueDebug */ "./desktop/core/src/desktop/js/utils/hueDebug.js");
/* harmony import */ var _utils_hueDrop__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./utils/hueDrop */ "./desktop/core/src/desktop/js/utils/hueDrop.js");
/* harmony import */ var _utils_hueGeo__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./utils/hueGeo */ "./desktop/core/src/desktop/js/utils/hueGeo.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _utils_multiLineEllipsisHandler__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./utils/multiLineEllipsisHandler */ "./desktop/core/src/desktop/js/utils/multiLineEllipsisHandler.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
/* harmony import */ var _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./sql/sqlFunctions */ "./desktop/core/src/desktop/js/sql/sqlFunctions.js");
/* harmony import */ var _sql_sqlWorkerHandler__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./sql/sqlWorkerHandler */ "./desktop/core/src/desktop/js/sql/sqlWorkerHandler.js");
/* harmony import */ var _ko_components_assist_assistViewModel__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./ko/components/assist/assistViewModel */ "./desktop/core/src/desktop/js/ko/components/assist/assistViewModel.js");
/* harmony import */ var _onePageViewModel__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./onePageViewModel */ "./desktop/core/src/desktop/js/onePageViewModel.js");
/* harmony import */ var _sideBarViewModel__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./sideBarViewModel */ "./desktop/core/src/desktop/js/sideBarViewModel.js");
/* harmony import */ var _sidePanelViewModel__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./sidePanelViewModel */ "./desktop/core/src/desktop/js/sidePanelViewModel.js");
/* harmony import */ var _topNavViewModel__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./topNavViewModel */ "./desktop/core/src/desktop/js/topNavViewModel.js");
/* harmony import */ var _apps_notebook_editorViewModel__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./apps/notebook/editorViewModel */ "./desktop/core/src/desktop/js/apps/notebook/editorViewModel.js");
/* harmony import */ var _apps_notebook2_editorViewModel__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./apps/notebook2/editorViewModel */ "./desktop/core/src/desktop/js/apps/notebook2/editorViewModel.js");
/* harmony import */ var _utils_hdfsAutocompleter__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./utils/hdfsAutocompleter */ "./desktop/core/src/desktop/js/utils/hdfsAutocompleter.js");
/* harmony import */ var _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./sql/sqlAutocompleter */ "./desktop/core/src/desktop/js/sql/sqlAutocompleter.js");
/* harmony import */ var _parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./parse/sqlStatementsParser */ "./desktop/core/src/desktop/js/parse/sqlStatementsParser.js");
/* harmony import */ var _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./doc/hueFileEntry */ "./desktop/core/src/desktop/js/doc/hueFileEntry.js");
/* harmony import */ var _doc_hueDocument__WEBPACK_IMPORTED_MODULE_49__ = __webpack_require__(/*! ./doc/hueDocument */ "./desktop/core/src/desktop/js/doc/hueDocument.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










































 // TODO: Remove from global scope

 // In history, indexer, importer, editor etc.

 // In history, indexer, importer, editor etc.



 // In search.ko and notebook.ko


 // TODO: Migrate away

window._ = lodash__WEBPACK_IMPORTED_MODULE_3___default.a;
window.apiHelper = _api_apiHelper__WEBPACK_IMPORTED_MODULE_21__["default"];
window.CancellablePromise = _api_cancellablePromise__WEBPACK_IMPORTED_MODULE_22__["default"];
window.contextCatalog = _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_24__["default"];
window.d3 = d3__WEBPACK_IMPORTED_MODULE_8__;
window.d3v3 = d3v3__WEBPACK_IMPORTED_MODULE_9___default.a;
window.dataCatalog = _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_25__["default"];
window.DOCUMENT_TYPE_I18n = _doc_docSupport__WEBPACK_IMPORTED_MODULE_23__["DOCUMENT_TYPE_I18n"];
window.DOCUMENT_TYPES = _doc_docSupport__WEBPACK_IMPORTED_MODULE_23__["DOCUMENT_TYPES"];
window.Dropzone = dropzone__WEBPACK_IMPORTED_MODULE_10___default.a;

if (window.ENABLE_NOTEBOOK_2) {
  window.EditorViewModel = _apps_notebook2_editorViewModel__WEBPACK_IMPORTED_MODULE_44__["default"];
} else {
  window.EditorViewModel = _apps_notebook_editorViewModel__WEBPACK_IMPORTED_MODULE_43__["default"];
}

window.filesize = filesize__WEBPACK_IMPORTED_MODULE_11___default.a;
window.HdfsAutocompleter = _utils_hdfsAutocompleter__WEBPACK_IMPORTED_MODULE_45__["default"];
window.hueAnalytics = _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_26__["default"];
window.HueColors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_27__["default"];
window.hueDebug = _utils_hueDebug__WEBPACK_IMPORTED_MODULE_28__["default"];
window.HueDocument = _doc_hueDocument__WEBPACK_IMPORTED_MODULE_49__["default"];
window.hueDrop = _utils_hueDrop__WEBPACK_IMPORTED_MODULE_29__["default"];
window.HueFileEntry = _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_48__["default"];
window.HueGeo = _utils_hueGeo__WEBPACK_IMPORTED_MODULE_30__["default"];
window.huePubSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"];
window.hueUtils = _utils_hueUtils__WEBPACK_IMPORTED_MODULE_32__["default"];
window.I18n = _utils_i18n__WEBPACK_IMPORTED_MODULE_33__["default"];
window.localforage = localforage__WEBPACK_IMPORTED_MODULE_12___default.a;
window.MultiLineEllipsisHandler = _utils_multiLineEllipsisHandler__WEBPACK_IMPORTED_MODULE_34__["default"];
window.nv = _nvd3_nv_all__WEBPACK_IMPORTED_MODULE_13__["default"];
window.page = page__WEBPACK_IMPORTED_MODULE_14___default.a;
window.PigFunctions = _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_36__["PigFunctions"];
window.qq = _ext_fileuploader_custom__WEBPACK_IMPORTED_MODULE_15__["default"];
window.sprintf = sprintf_js__WEBPACK_IMPORTED_MODULE_16___default.a;
window.SqlAutocompleter = _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_46__["default"];
window.SqlFunctions = _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_36__["SqlFunctions"];
window.SqlSetOptions = _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_36__["SqlSetOptions"];
window.sqlStatementsParser = _parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_47__["default"];
window.sqlUtils = _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_35__["default"];
window.sqlWorkerHandler = _sql_sqlWorkerHandler__WEBPACK_IMPORTED_MODULE_37__["default"];
Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(document).ready(function () {
  var onePageViewModel = new _onePageViewModel__WEBPACK_IMPORTED_MODULE_39__["default"]();
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(onePageViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.page-content')[0]);
  var sidePanelViewModel = new _sidePanelViewModel__WEBPACK_IMPORTED_MODULE_41__["default"]();
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidePanelViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.left-panel')[0]);
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidePanelViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('#leftResizer')[0]);
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidePanelViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.right-panel')[0]);

  if (!window.ENABLE_NOTEBOOK_2) {
    _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidePanelViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.context-panel')[0]);
  }

  var topNavViewModel = new _topNavViewModel__WEBPACK_IMPORTED_MODULE_42__["default"](onePageViewModel);
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(topNavViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.top-nav')[0]);
  var sidebarViewModel = new _sideBarViewModel__WEBPACK_IMPORTED_MODULE_40__["default"](onePageViewModel, topNavViewModel);
  _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidebarViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.hue-sidebar')[0]);

  if (window.IS_MULTICLUSTER_ONLY) {
    _ko_ko_all__WEBPACK_IMPORTED_MODULE_17__["default"].applyBindings(sidebarViewModel, Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.hue-sidebar-container')[0]);
  }

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"].publish('cluster.config.get.config');
  Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(document).on('hideHistoryModal', function (e) {
    Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('#clearNotificationHistoryModal').modal('hide');
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"].subscribe('query.and.watch', function (query) {
    _jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"].post(query['url'], {
      format: 'json',
      sourceType: query['sourceType']
    }, function (resp) {
      if (resp.history_uuid) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"].publish('open.editor.query', resp.history_uuid);
      } else if (resp.message) {
        Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(document).trigger('error', resp.message);
      }
    }).fail(function (xhr) {
      Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(document).trigger('error', xhr.responseText);
    });
  });
  var clickThrottle = -1;
  Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(window).click(function (e) {
    window.clearTimeout(clickThrottle);
    clickThrottle = window.setTimeout(function () {
      if (Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(e.target).parents('.navbar-default').length > 0 && Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(e.target).closest('.history-panel').length === 0 && Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(e.target).closest('.btn-toggle-jobs-panel').length === 0 && Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])(e.target).closest('.hamburger-hue').length === 0 && Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.jobs-panel').is(':visible')) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"].publish('hide.jobs.panel');
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_31__["default"].publish('hide.history.panel');
      }
    }, 10);
  });
  Object(_jquery_jquery_common__WEBPACK_IMPORTED_MODULE_4__["default"])('.page-content').jHueScrollUp();
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/jquery.common.js":
/*!*************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/jquery.common.js ***!
  \*************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jquery_migration__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./jquery.migration */ "./desktop/core/src/desktop/js/jquery/jquery.migration.js");
/* harmony import */ var jquery_cookie__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! jquery.cookie */ "./node_modules/jquery.cookie/jquery.cookie.js");
/* harmony import */ var jquery_cookie__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery_cookie__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var jquery_form__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! jquery-form */ "./node_modules/jquery-form/dist/jquery.form.min.js");
/* harmony import */ var jquery_form__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(jquery_form__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _plugins_jquery_selectize__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./plugins/jquery.selectize */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.selectize.js");
/* harmony import */ var selectize_plugin_clear__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! selectize-plugin-clear */ "./node_modules/selectize-plugin-clear/dist/selectize-plugin-clear.js");
/* harmony import */ var selectize_plugin_clear__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(selectize_plugin_clear__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var jquery_ui_ui_widgets_autocomplete__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! jquery-ui/ui/widgets/autocomplete */ "./node_modules/jquery-ui/ui/widgets/autocomplete.js");
/* harmony import */ var jquery_ui_ui_widgets_autocomplete__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_autocomplete__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var jquery_ui_ui_widgets_mouse__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! jquery-ui/ui/widgets/mouse */ "./node_modules/jquery-ui/ui/widgets/mouse.js");
/* harmony import */ var jquery_ui_ui_widgets_mouse__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_mouse__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var jquery_ui_ui_widgets_draggable__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! jquery-ui/ui/widgets/draggable */ "./node_modules/jquery-ui/ui/widgets/draggable.js");
/* harmony import */ var jquery_ui_ui_widgets_draggable__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_draggable__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var jquery_ui_ui_widgets_droppable__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! jquery-ui/ui/widgets/droppable */ "./node_modules/jquery-ui/ui/widgets/droppable.js");
/* harmony import */ var jquery_ui_ui_widgets_droppable__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_droppable__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var jquery_ui_ui_widgets_resizable__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! jquery-ui/ui/widgets/resizable */ "./node_modules/jquery-ui/ui/widgets/resizable.js");
/* harmony import */ var jquery_ui_ui_widgets_resizable__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_resizable__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var jquery_ui_ui_widgets_sortable__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! jquery-ui/ui/widgets/sortable */ "./node_modules/jquery-ui/ui/widgets/sortable.js");
/* harmony import */ var jquery_ui_ui_widgets_sortable__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(jquery_ui_ui_widgets_sortable__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _ext_jquery_chosen_1_0_0_min__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../ext/jquery.chosen.1.0.0.min */ "./desktop/core/src/desktop/js/ext/jquery.chosen.1.0.0.min.js");
/* harmony import */ var _ext_jquery_dataTables_1_8_2_min__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../ext/jquery.dataTables.1.8.2.min */ "./desktop/core/src/desktop/js/ext/jquery.dataTables.1.8.2.min.js");
/* harmony import */ var _ext_jquery_select2_3_5_1_min__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../ext/jquery.select2.3.5.1.min */ "./desktop/core/src/desktop/js/ext/jquery.select2.3.5.1.min.js");
/* harmony import */ var _ext_jquery_total_storage_1_1_3_min__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../ext/jquery.total-storage.1.1.3.min */ "./desktop/core/src/desktop/js/ext/jquery.total-storage.1.1.3.min.js");
/* harmony import */ var _plugins_jquery_datatables_sorting__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./plugins/jquery.datatables.sorting */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.datatables.sorting.js");
/* harmony import */ var _plugins_jquery_delayedinput__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./plugins/jquery.delayedinput */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.delayedinput.js");
/* harmony import */ var _plugins_jquery_filechooser__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./plugins/jquery.filechooser */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.filechooser.js");
/* harmony import */ var _plugins_jquery_hdfs_autocomplete__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./plugins/jquery.hdfs.autocomplete */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.hdfs.autocomplete.js");
/* harmony import */ var _plugins_jquery_hiveautocomplete__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./plugins/jquery.hiveautocomplete */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.hiveautocomplete.js");
/* harmony import */ var _plugins_jquery_horizontalscrollbar__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./plugins/jquery.horizontalscrollbar */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.horizontalscrollbar.js");
/* harmony import */ var _plugins_jquery_huedatatable__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./plugins/jquery.huedatatable */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.huedatatable.js");
/* harmony import */ var _plugins_jquery_notify__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./plugins/jquery.notify */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.notify.js");
/* harmony import */ var _plugins_jquery_rowselector__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./plugins/jquery.rowselector */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.rowselector.js");
/* harmony import */ var _plugins_jquery_scrollleft__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./plugins/jquery.scrollleft */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollleft.js");
/* harmony import */ var _plugins_jquery_scrollup__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./plugins/jquery.scrollup */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollup.js");
/* harmony import */ var _plugins_jquery_selector__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./plugins/jquery.selector */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.selector.js");
/* harmony import */ var _plugins_jquery_tableextender__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./plugins/jquery.tableextender */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender.js");
/* harmony import */ var _plugins_jquery_tableextender2__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./plugins/jquery.tableextender2 */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender2.js");
/* harmony import */ var _plugins_jquery_tablescroller__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./plugins/jquery.tablescroller */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tablescroller.js");
/* harmony import */ var _plugins_jquery_titleupdater__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./plugins/jquery.titleupdater */ "./desktop/core/src/desktop/js/jquery/plugins/jquery.titleupdater.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
































window.$ = jquery__WEBPACK_IMPORTED_MODULE_0___default.a;
window.jQuery = jquery__WEBPACK_IMPORTED_MODULE_0___default.a;
/* harmony default export */ __webpack_exports__["default"] = (jquery__WEBPACK_IMPORTED_MODULE_0___default.a);

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/jquery.migration.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/jquery.migration.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * Repo for missing jQuery 2 functions, this ease the transition without updating every other plugin in Hue
 *
 */


jquery__WEBPACK_IMPORTED_MODULE_0___default.a.uaMatch = function (ua) {
  ua = ua.toLowerCase();
  var match = /(chrome)[ \/]([\w.]+)/.exec(ua) || /(webkit)[ \/]([\w.]+)/.exec(ua) || /(opera)(?:.*version|)[ \/]([\w.]+)/.exec(ua) || /(msie) ([\w.]+)/.exec(ua) || ua.indexOf('compatible') < 0 && /(mozilla)(?:.*? rv:([\w.]+)|)/.exec(ua) || [];
  return {
    browser: match[1] || '',
    version: match[2] || '0'
  };
}; // Don't clobber any existing jQuery.browser in case it's different


if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.browser) {
  var matched = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.uaMatch(navigator.userAgent);
  var browser = {};

  if (matched.browser) {
    browser[matched.browser] = true;
    browser.version = matched.version;
  } // Chrome is Webkit, but Webkit is also Safari.


  if (browser.chrome) {
    browser.webkit = true;
  } else if (browser.webkit) {
    browser.safari = true;
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.browser = browser;
} // Since jQuery.clean is used internally on older versions, we only shim if it's missing


if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.clean) {
  var rscriptType = /\/(java|ecma)script/i;

  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.clean = function (elems, context, fragment, scripts) {
    // Set context per 1.8 logic
    context = context || document;
    context = !context.nodeType && context[0] || context;
    context = context.ownerDocument || context;
    var i, elem, handleScript, jsTags;
    var ret = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.merge(ret, jquery__WEBPACK_IMPORTED_MODULE_0___default.a.buildFragment(elems, context).childNodes); // Complex logic lifted directly from jQuery 1.8

    if (fragment) {
      // Special handling of each script element
      handleScript = function handleScript(elem) {
        // Check if we consider it executable
        if (!elem.type || rscriptType.test(elem.type)) {
          // Detach the script and store it in the scripts array (if provided) or the fragment
          // Return truthy to indicate that it has been handled
          return scripts ? scripts.push(elem.parentNode ? elem.parentNode.removeChild(elem) : elem) : fragment.appendChild(elem);
        }
      };

      for (i = 0; (elem = ret[i]) != null; i++) {
        // Check if we're done after handling an executable script
        if (!(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.nodeName(elem, 'script') && handleScript(elem))) {
          // Append to fragment and handle embedded scripts
          fragment.appendChild(elem);

          if (typeof elem.getElementsByTagName !== 'undefined') {
            // handleScript alters the DOM, so use jQuery.merge to ensure snapshot iteration
            jsTags = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.merge([], elem.getElementsByTagName('script')), handleScript); // Splice the scripts into ret after their former ancestor and advance our index beyond them

            ret.splice.apply(ret, [i + 1, 0].concat(jsTags));
            i += jsTags.length;
          }
        }
      }
    }

    return ret;
  };
}

var oldSelf = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn.andSelf || jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn.addBack;

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn.andSelf = function () {
  return oldSelf.apply(this, arguments);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.datatables.sorting.js":
/*!*********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.datatables.sorting.js ***!
  \*********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn.dataTableExt.afnSortData['dom-sort-value'] = function (oSettings, iColumn) {
  var aData = [];

  oSettings.oApi._fnGetTrNodes(oSettings).forEach(function (nRow) {
    var oElem = jquery__WEBPACK_IMPORTED_MODULE_0___default()('td:eq(' + iColumn + ')', nRow);

    var _val = oElem.text();

    if (typeof oElem.attr('data-sort-value') == 'undefined') {
      if (typeof oElem.find('span').attr('data-sort-value') != 'undefined') {
        _val = parseInt(oElem.find('span').attr('data-sort-value'));
      }
    } else {
      _val = parseInt(oElem.attr('data-sort-value'));
    }

    aData.push(_val);
  });

  return aData;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.delayedinput.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.delayedinput.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue Delayed Input plugin
 * use it with
 * $("#element").jHueDelayedInput( __FUNCTION_YOU_WANT_TO_CALL__, __TIMEOUT_IN_MS__ [optional])
 */

var pluginName = 'jHueDelayedInput',
    defaults = {
  fn: null,
  timeout: 300,
  skipOnEnterAndKeys: false
};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.init = function () {
  var _this = this;

  var _timeout = -1;

  if (_this.options.fn != null) {
    var event = isIE11 ? 'input' : 'keyup';
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).on(event, function (e) {
      if (!(_this.options.skipOnEnterAndKeys && [13, 37, 38, 39, 40].indexOf(e.keyCode) > -1)) {
        window.clearTimeout(_timeout);
        _timeout = window.setTimeout(_this.options.fn, _this.options.timeout);
      }
    });
  }
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (fn, timeout, skipOnEnterAndKeys) {
  var _options = {
    fn: fn,
    timeout: timeout,
    skipOnEnterAndKeys: typeof skipOnEnterAndKeys !== 'undefined' && skipOnEnterAndKeys
  };
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, _options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(_options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.filechooser.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.filechooser.js ***!
  \**************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_fileuploader_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../ext/fileuploader.custom */ "./desktop/core/src/desktop/js/ext/fileuploader.custom.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





/*
 * jHue fileChooser plugin
 */

var pluginName = 'jHueFileChooser',
    defaults = {
  initialPath: '',
  forceRefresh: false,
  errorRedirectPath: '',
  createFolder: true,
  uploadFile: true,
  selectFolder: false,
  suppressErrors: false,
  displayOnlyFolders: false,
  showExtraHome: false,
  extraHomeProperties: {},
  filterExtensions: '',
  labels: {
    BACK: 'Back',
    SELECT_FOLDER: 'Select this folder',
    CREATE_FOLDER: 'Create folder',
    FOLDER_NAME: 'Folder name',
    CANCEL: 'Cancel',
    FILE_NOT_FOUND: 'The file has not been found',
    UPLOAD_FILE: 'Upload a file',
    FAILED: 'Failed',
    HOME: 'Home'
  },
  filesystems: ['hdfs'],
  filesysteminfo: {
    '': {
      scheme: '',
      root: '/',
      home: '/?default_to_home',
      icon: {
        brand: 'fa-files-o',
        home: 'fa-home'
      },
      label: {
        home: 'home',
        name: 'HDFS'
      }
    },
    hdfs: {
      scheme: '',
      root: '/',
      home: '/?default_to_home',
      icon: {
        brand: 'fa-files-o',
        home: 'fa-home'
      },
      label: {
        home: 'home',
        name: 'HDFS'
      }
    },
    s3a: {
      scheme: 's3a',
      root: 's3a://',
      home: 's3a://',
      icon: {
        brand: 'fa-cubes',
        home: 'fa-cubes'
      },
      label: {
        home: '',
        name: 'S3'
      }
    },
    adl: {
      scheme: 'adl',
      root: 'adl:/',
      home: 'adl:/',
      icon: {
        svg: {
          brand: '#hi-adls',
          home: '#hi-adls'
        },
        brand: 'fa-windows',
        home: 'fa-windows'
      },
      label: {
        home: '',
        name: 'ADLS'
      }
    },
    abfs: {
      scheme: 'abfs',
      root: 'abfs://',
      home: 'abfs://',
      icon: {
        svg: {
          brand: '#hi-adls',
          home: '#hi-adls'
        },
        brand: 'fa-windows',
        home: 'fa-windows'
      },
      label: {
        home: '',
        name: 'ABFS'
      }
    }
  },
  fsSelected: 'hdfs',
  user: '',
  onNavigate: function onNavigate() {},
  onFileChoose: function onFileChoose() {},
  onFolderChoose: function onFolderChoose() {},
  onFolderChange: function onFolderChange() {},
  onError: function onError() {}
},
    STORAGE_PREFIX = 'hueFileBrowserLastPathForUser_';
var DEFAULT_I18n = {
  BACK: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Back'),
  SELECT_FOLDER: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Select this folder'),
  CREATE_FOLDER: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Create folder'),
  FOLDER_NAME: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Folder name'),
  CANCEL: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'),
  FILE_NOT_FOUND: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('The file has not been found'),
  UPLOAD_FILE: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Upload a file'),
  FAILED: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Failed')
};

function Plugin(element, options) {
  this.element = element;
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('jHueFileChooser', this);
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, {
    user: window.LOGGED_USERNAME
  }, options);
  this.options.labels = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults.labels, DEFAULT_I18n, options ? options.labels : {});
  this._defaults = defaults;
  this._name = pluginName;
  this.previousPath = '';
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  var self = this;
  self.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, {
    user: window.LOGGED_USERNAME
  }, options);
  self.options.labels = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults.labels, DEFAULT_I18n, options ? options.labels : {});
  var initialPath = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(self.options.initialPath);
  var scheme = initialPath && initialPath.substring(0, initialPath.indexOf(':'));

  if (scheme && scheme.length) {
    self.options.fsSelected = scheme;
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).find('.filechooser-services li').removeClass('active');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).find('.filechooser-services li[data-fs="' + self.options.fsSelected + '"]').addClass('active');

  if (self.options.forceRefresh) {
    if (initialPath != '') {
      self.navigateTo(self.options.initialPath);
    } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected) != null) {
      self.navigateTo(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected));
    } else {
      self.navigateTo('/?default_to_home');
    }
  } else if (initialPath != '') {
    self.navigateTo(self.options.initialPath);
  } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected) != null) {
    self.navigateTo(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected));
  }
};

function getScheme(path) {
  var index = path.indexOf('://');
  return index >= 0 ? path.substring(0, index) : 'hdfs';
}

function getFs(scheme) {
  if (scheme === 'adl') {
    return 'adls';
  } else if (scheme === 's3a') {
    return 's3';
  } else if (!scheme || scheme === 'hdfs') {
    return 'hdfs';
  } else {
    return scheme;
  }
}

Plugin.prototype.setFileSystems = function (filesystems) {
  var self = this;
  var filters, filesystemsFiltered;
  self.options.filesystems = [];
  Object.keys(filesystems).forEach(function (k) {
    if (filesystems[k]) {
      self.options.filesystems.push(k);
    }
  });
  self.options.filesystems.sort();

  if (self.options.filesystemsFilter) {
    filters = self.options.filesystemsFilter.reduce(function (filters, fs) {
      filters[fs] = true;
      return filters;
    }, {});
    filesystemsFiltered = self.options.filesystems.filter(function (fs) {
      return filters[fs];
    });
  } else {
    filesystemsFiltered = self.options.filesystems;
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).data('fs', filesystemsFiltered);

  if (filesystemsFiltered.length > 1) {
    var $ul = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul>').addClass('nav nav-list').css('border', 'none');
    filesystemsFiltered.forEach(function (fs) {
      var filesysteminfo = self.options.filesysteminfo;
      var $li = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>').attr('data-fs', fs).addClass(self.options.fsSelected === fs ? 'active' : '').html('<a class="pointer" style="padding-left: 6px">' + (filesysteminfo[fs] ? filesysteminfo[fs].label.name : fs.toUpperCase()) + '</a>');
      $li.on('click', function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).siblings().removeClass('active');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).addClass('active');
        self.options.fsSelected = fs;
        var storedPath = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected);

        if (storedPath !== null) {
          if (filesysteminfo[fs] && storedPath.toLowerCase().indexOf(fs) === -1) {
            self.navigateTo(filesysteminfo[fs].home);
          } else {
            self.navigateTo(storedPath);
          }
        } else {
          self.navigateTo(filesysteminfo[fs] ? filesysteminfo[fs].home : '/?default_to_home');
        }
      });
      $li.appendTo($ul);
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).find('.filechooser-services').empty().width(80);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).find('.filechooser-tree').width(480).css('paddingLeft', '6px').css('borderLeft', '1px solid #EEE').css('marginLeft', '80px').css('min-height', '330px');
    $ul.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).find('.filechooser-services'));
  }
}; //TODO: refactor this method to template


Plugin.prototype.navigateTo = function (path) {
  var _parent = this;

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree').html('<i style="font-size: 24px; color: #DDD" class="fa fa-spinner fa-spin"></i>');
  var pageSize = '?pagesize=1000';
  var index = path.indexOf('?');

  if (index > -1) {
    pageSize = path.substring(index) + pageSize.replace(/\?/, '&');
    path = path.substring(0, index);
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.getJSON('/filebrowser/view=' + encodeURIComponent(path) + pageSize, function (data) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree').empty();
    path = data.current_dir_path || path; // use real path.

    var _flist = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul>').addClass('unstyled').css({
      height: '260px',
      'overflow-y': 'auto'
    });

    var $homeBreadcrumb = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul>').addClass('hue-breadcrumbs').css({
      padding: '0',
      marginLeft: '0',
      "float": 'left',
      'white-space': 'nowrap'
    });

    var _home = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>'); //var filesysteminfo = self.options.filesysteminfo;


    var fs = _parent.options.filesysteminfo[_parent.options.fsSelected || 'hdfs'];
    var el = fs.icon.svg ? '<svg class="hi"><use xlink:href="' + fs.icon.svg.home + '"></use></svg>' : '<i class="fa ' + fs.icon.home + '"></i> ' + fs.label.home;

    var _homelink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').addClass('nounderline').html(el).css('cursor', 'pointer').click(function () {
      _parent.navigateTo(fs.home);
    });

    _homelink.appendTo(_home);

    _home.appendTo($homeBreadcrumb);

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('divider').css('margin-right', '20px').appendTo(_home);

    if (data.error || data.title != null && data.title == 'Error') {
      $homeBreadcrumb.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      jquery__WEBPACK_IMPORTED_MODULE_0___default()("<div class='clearfix'>").appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));

      var _errorMsg = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('alert').addClass('alert-error').text(data.message ? data.message : data.error);

      _errorMsg.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree')); //TODO: allow user to user breadcrums when there is an error


      var _previousLink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').addClass('btn').text(_parent.options.labels.BACK).click(function () {
        function getParentPath(path) {
          if (!path) {
            return path;
          }

          var indexFirst = path.indexOf('/');
          var indexLast = path.lastIndexOf('/');

          if (indexLast - indexFirst > 1 && indexLast == path.length - 1) {
            indexLast = path.substring(0, path.length - 1).lastIndexOf('/');
          }

          return indexLast - indexFirst > 1 && indexLast > 0 ? path.substring(0, indexLast + 1) : path;
        }

        var next = path !== _parent.previousPath && getScheme(path) === getScheme(_parent.previousPath) ? _parent.previousPath || '/' : getParentPath(path) || '/';

        _parent.options.onFolderChange(next);

        _parent.navigateTo(next);
      });

      _previousLink.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
    } else {
      if (data.type == 'file') {
        _parent.navigateTo(data.view.dirname);

        return;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + _parent.options.user + _parent.options.fsSelected, path);
      _parent.previousPath = path;

      _parent.options.onNavigate(_parent.previousPath);

      var $search = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').html('<i class="fa fa-refresh inactive-action pointer" style="position: absolute; top: 3px; margin-left: -16px"></i> <i class="fa fa-search inactive-action pointer" style="position: absolute; top: 3px"></i><input type="text" class="small-search" style="display: none; width: 0; padding: 2px; padding-left: 20px">').css({
        position: 'absolute',
        right: '20px',
        'background-color': '#FFF'
      });

      var slideOutInput = function slideOutInput() {
        $search.find('input').animate({
          width: '0'
        }, 100, function () {
          $search.find('input').hide();
          $search.find('.fa-refresh').show();
        });
      };

      var $searchInput = $search.find('input');

      var tog = function tog(v) {
        return v ? 'addClass' : 'removeClass';
      };

      $searchInput.addClass('clearable');
      $searchInput.on('input', function () {
        $searchInput[tog(this.value)]('x');
      }).on('mousemove', function (e) {
        $searchInput[tog(this.offsetWidth - 18 < e.clientX - this.getBoundingClientRect().left)]('onX');
      }).on('click', function (e) {
        if (this.offsetWidth - 18 < e.clientX - this.getBoundingClientRect().left) {
          $searchInput.removeClass('x onX').val('');
        }
      });

      if (!isIE11) {
        $searchInput.on('blur', function (e) {
          if ($searchInput.val() === '') {
            slideOutInput();
          }
        });
      }

      $search.find('.fa-search').on('click', function () {
        if ($searchInput.is(':visible')) {
          slideOutInput();
        } else {
          $search.find('.fa-refresh').hide();
          $searchInput.show().animate({
            width: '100px'
          }, 100, function () {
            $searchInput.focus();
          });
        }
      });
      $search.find('.fa-refresh').on('click', function () {
        _parent.navigateTo(path);
      });
      $search.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      var $scrollingBreadcrumbs = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul>').addClass('hue-breadcrumbs editable-breadcrumbs').css({
        padding: '0',
        marginLeft: '10px',
        marginBottom: '0',
        paddingRight: '10px',
        "float": 'left',
        width: '300px',
        'overflow-x': 'scroll',
        'overflow-y': 'hidden',
        'white-space': 'nowrap'
      });

      if (knockout__WEBPACK_IMPORTED_MODULE_1__ && knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].delayedOverflow) {
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].delayedOverflow.init($scrollingBreadcrumbs[0]);
      }

      if (_parent.options.showExtraHome) {
        var _extraHome = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>');

        var _extraHomelink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').addClass('nounderline').html('<i class="fa ' + _parent.options.extraHomeProperties.icon + '"></i> ' + _parent.options.extraHomeProperties.label).css('cursor', 'pointer').click(function () {
          _parent.navigateTo(_parent.options.extraHomeProperties.path);
        });

        _extraHomelink.appendTo(_extraHome);

        jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('divider').css('margin-right', '20px').appendTo(_extraHome);

        _extraHome.appendTo($scrollingBreadcrumbs);
      }

      var $hdfsAutocomplete = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input type="text">').addClass('editable-breadcrumb-input').val(path).hide();
      $scrollingBreadcrumbs.click(function (e) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target).is('ul') || jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target).hasClass('spacer')) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hide();
          $hdfsAutocomplete.show().focus();
        }
      });
      var $editBreadcrumbs = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>').css('marginRight', '2px');
      var $crumbLink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('spacer');
      $crumbLink.html('&nbsp;').appendTo($editBreadcrumbs);
      $editBreadcrumbs.appendTo($scrollingBreadcrumbs);

      if (typeof data.breadcrumbs != 'undefined' && data.breadcrumbs != null) {
        var _bLength = data.breadcrumbs.length;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(data.breadcrumbs).each(function (cnt, crumb) {
          var _crumb = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>');

          var _crumbLink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>');

          var _crumbLabel = crumb.label != null && crumb.label != '' ? crumb.label : '/';

          _crumbLink.attr('href', 'javascript:void(0)').text(_crumbLabel).appendTo(_crumb);

          if (cnt < _bLength - 1) {
            if (cnt > 0) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('divider').text('/').appendTo(_crumb);
            } else {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').html('&nbsp;').appendTo(_crumb);
            }
          }

          _crumb.click(function () {
            var _url = crumb.url != null && crumb.url != '' ? crumb.url : '/';

            _parent.options.onFolderChange(_url);

            _parent.navigateTo(_url);
          });

          _crumb.appendTo($scrollingBreadcrumbs);
        });
      }

      $homeBreadcrumb.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      $scrollingBreadcrumbs.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      $hdfsAutocomplete.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      $hdfsAutocomplete.jHueHdfsAutocomplete({
        home: '/user/' + _parent.options.user + '/',
        skipEnter: true,
        skipKeydownEvents: true,
        onEnter: function onEnter(el) {
          var _url = el.val();

          _parent.options.onFolderChange(_url);

          _parent.navigateTo(_url);

          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').hide();
        },
        onBlur: function onBlur() {
          $hdfsAutocomplete.hide();
          $scrollingBreadcrumbs.show();
        },
        smartTooltip: _parent.options.labels.SMART_TOOLTIP
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('clearfix').appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      var resizeBreadcrumbs = window.setInterval(function () {
        if ($homeBreadcrumb.is(':visible') && $homeBreadcrumb.width() > 0) {
          window.clearInterval(resizeBreadcrumbs);
          $scrollingBreadcrumbs.width(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree').width() - $homeBreadcrumb.width() - 65);
        }
      }, 100);

      if (data.s3_listing_not_allowed) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()("<div class='clearfix'>").appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));

        var _errorMsg2 = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('alert').addClass('alert-warn').text(data.s3_listing_not_allowed);

        _errorMsg2.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));

        $scrollingBreadcrumbs.hide();
        $hdfsAutocomplete.show();
        $hdfsAutocomplete.focus();
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(data.files).each(function (cnt, file) {
        var _addFile = file.name !== '.';

        if (_parent.options.filterExtensions != '' && file.type == 'file') {
          var _allowedExtensions = _parent.options.filterExtensions.split(',');

          var _fileExtension = file.name.split('.').pop().toLowerCase();

          _addFile = _allowedExtensions.indexOf(_fileExtension) > -1;
        }

        if (_addFile) {
          var _f = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>');

          var _flink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>');

          if (file.type == 'dir') {
            _flink.attr('href', 'javascript:void(0)');

            if (file.path.toLowerCase().indexOf('s3a://') == 0 && (file.path.substr(6).indexOf('/') > -1 || file.path.substr(6) == '')) {
              _flink.text(' ' + (cnt > 0 ? file.name : '..'));
            } else {
              _flink.text(' ' + (file.name != '' ? file.name : '..'));
            }

            if (_flink.text() !== ' ..') {
              _f.addClass('file-list-item');
            }

            _flink.appendTo(_f);

            if (file.path.toLowerCase().indexOf('s3a://') == 0 && file.path.substr(5).indexOf('/') == -1) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()("<i class='fa fa-cloud'></i>").prependTo(_flink);
            } else {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()("<i class='fa fa-folder'></i>").prependTo(_flink);
            }

            _flink.click(function () {
              _parent.options.onFolderChange(file.path);

              _parent.navigateTo(file.path);
            });
          }

          if (file.type == 'file' && !_parent.options.displayOnlyFolders) {
            _f.addClass('file-list-item');

            _flink.attr('href', 'javascript:void(0)').text(' ' + (file.name != '' ? file.name : '..')).appendTo(_f);

            jquery__WEBPACK_IMPORTED_MODULE_0___default()("<i class='fa fa-file-o'></i>").prependTo(_flink);

            _flink.click(function () {
              _parent.options.onFileChoose(file.path);
            });
          }

          _f.appendTo(_flist);
        }
      });

      _flist.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));

      $searchInput.jHueDelayedInput(function () {
        var filter = $searchInput.val().toLowerCase();
        var results = 0;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree .no-results').hide();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree .file-list-item').each(function () {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().toLowerCase().indexOf(filter) > -1) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).show();
            results++;
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hide();
          }
        });

        if (results == 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree .no-results').show();
        }
      }, 300);

      var _actions = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('jHueFilechooserActions');

      var _showActions = false;

      var _uploadFileBtn;

      var _createFolderBtn;

      var _selectFolderBtn;

      if (_parent.options.uploadFile) {
        _uploadFileBtn = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', 'file-uploader').addClass('fileChooserActionUploader');

        _uploadFileBtn.appendTo(_actions);

        _showActions = true;
        initUploader(path, _parent, _uploadFileBtn, _parent.options.labels);
      }

      if (_parent.options.selectFolder) {
        _selectFolderBtn = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').addClass('btn').text(_parent.options.labels.SELECT_FOLDER);

        if (_parent.options.uploadFile) {
          _selectFolderBtn.css('margin-top', '10px');
        }

        _selectFolderBtn.appendTo(_actions);

        _showActions = true;

        _selectFolderBtn.click(function () {
          _parent.options.onFolderChoose(path);
        });
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span> </span>').appendTo(_actions);

      if (_parent.options.createFolder) {
        _createFolderBtn = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').addClass('btn').text(_parent.options.labels.CREATE_FOLDER);

        if (_parent.options.uploadFile) {
          _createFolderBtn.css('margin-top', '10px');
        }

        _createFolderBtn.appendTo(_actions);

        _showActions = true;

        var _createFolderDetails = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<form>').css({
          'margin-top': '10px',
          position: 'fixed'
        }).addClass('form-inline');

        _createFolderDetails.hide();

        var _folderName = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'text').attr('placeholder', _parent.options.labels.FOLDER_NAME).appendTo(_createFolderDetails);

        jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span> </span>').appendTo(_createFolderDetails);

        var _folderBtn = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'button').attr('value', _parent.options.labels.CREATE_FOLDER).addClass('btn primary').appendTo(_createFolderDetails);

        jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span> </span>').appendTo(_createFolderDetails);

        var _folderCancel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'button').attr('value', _parent.options.labels.CANCEL).addClass('btn').appendTo(_createFolderDetails);

        _folderCancel.click(function () {
          if (_uploadFileBtn) {
            _uploadFileBtn.removeClass('disabled');
          }

          _createFolderBtn.removeClass('disabled');

          _createFolderDetails.slideUp();
        });

        _folderBtn.click(function () {
          if (_folderName.val().length > 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
              type: 'POST',
              url: '/filebrowser/mkdir',
              data: {
                name: _folderName.val(),
                path: path
              },
              success: function success(xhr, status) {
                if (status == 'success') {
                  _parent.navigateTo(path);

                  if (_uploadFileBtn) {
                    _uploadFileBtn.removeClass('disabled');
                  }

                  _createFolderBtn.removeClass('disabled');

                  _createFolderDetails.slideUp();
                }
              },
              error: function error(xhr) {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
              }
            });
          }
        });

        _createFolderDetails.appendTo(_actions);

        _createFolderBtn.click(function () {
          if (_uploadFileBtn) {
            _uploadFileBtn.addClass('disabled');
          }

          _createFolderBtn.addClass('disabled');

          _createFolderDetails.slideDown();
        });
      }

      if (_showActions) {
        _actions.appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).find('.filechooser-tree'));
      }

      window.setTimeout(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_parent.element).parent().scrollTop(0);
        $scrollingBreadcrumbs.animate({
          scrollLeft: $scrollingBreadcrumbs.width()
        });
      }, 0);
    }
  }).fail(function (e) {
    if (!_parent.options.suppressErrors) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', _parent.options.labels.FILE_NOT_FOUND);

      _parent.options.onError();
    }

    if (e.status === 404 || e.status === 500) {
      var fs = _parent.options.filesysteminfo[_parent.options.fsSelected || 'hdfs'];

      _parent.navigateTo(_parent.options.errorRedirectPath !== '' ? _parent.options.errorRedirectPath : fs.home);
    } else {
      console.error(e);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', e.statusText);
    }
  });
};

var num_of_pending_uploads = 0;

function initUploader(path, _parent, el, labels) {
  new _ext_fileuploader_custom__WEBPACK_IMPORTED_MODULE_2__["default"].FileUploader({
    element: el[0],
    action: '/filebrowser/upload/file',
    params: {
      dest: path,
      fileFieldLabel: 'hdfs_file'
    },
    onComplete: function onComplete(id, fileName, responseJSON) {
      num_of_pending_uploads--;

      if (responseJSON.status == -1) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', responseJSON.data);
      } else if (!num_of_pending_uploads) {
        _parent.navigateTo(path);

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.' + getFs(getScheme(path)) + '.refresh');
      }
    },
    onSubmit: function onSubmit(id, fileName) {
      num_of_pending_uploads++;
    },
    template: '<div class="qq-uploader">' + '<div class="qq-upload-drop-area"><span></span></div>' + '<div class="qq-upload-button">' + labels.UPLOAD_FILE + '</div><br>' + '<ul class="qq-upload-list"></ul>' + '</div>',
    fileTemplate: '<li>' + '<span class="qq-upload-file"></span>' + '<span class="qq-upload-spinner"></span>' + '<span class="qq-upload-size"></span>' + '<a class="qq-upload-cancel" href="#">' + labels.CANCEL + '</a>' + '<span class="qq-upload-failed-text">' + labels.FAILED + '</span>' + '</li>',
    debug: false
  });
}

Plugin.prototype.init = function () {
  var self = this;
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element).empty().html('<div class="filechooser-container" style="position: relative"><div class="filechooser-services" style="position: absolute"></div><div class="filechooser-tree" style="width: 560px"></div></div>');
  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/filebrowser/api/get_filesystems', function (data) {
    var initialPath = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(self.options.initialPath);
    var scheme = initialPath && initialPath.substring(0, initialPath.indexOf(':'));

    if (data && data.status === 0) {
      if (scheme && scheme.length && data.filesystems[scheme]) {
        self.options.fsSelected = scheme;
      }

      self.setFileSystems(data.filesystems);
    }

    if (initialPath != '') {
      self.navigateTo(self.options.initialPath);
    } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected) != null) {
      self.navigateTo(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(STORAGE_PREFIX + self.options.user + self.options.fsSelected));
    } else {
      self.navigateTo('/?default_to_home');
    }
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.hdfs.autocomplete.js":
/*!********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.hdfs.autocomplete.js ***!
  \********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/*
 * jHue HDFS autocomplete plugin
 * augment a textbox into an HDFS autocomplete
 */

var pluginName = 'jHueHdfsAutocomplete',
    defaults = {
  home: '/',
  onEnter: function onEnter() {},
  onBlur: function onBlur() {},
  onPathChange: function onPathChange() {},
  smartTooltip: '',
  smartTooltipThreshold: 10,
  // needs 10 up/down or click actions and no tab to activate the smart tooltip
  showOnFocus: false,
  skipKeydownEvents: false,
  skipEnter: false,
  skipScrollEvent: false,
  zIndex: 33000,
  root: '/',
  isS3: false
};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

Plugin.prototype.init = function () {
  var _this = this;

  var _el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element);

  _el.addClass('jHueAutocompleteElement');

  _el.attr('autocomplete', 'off'); // prevents default browser behavior
  // creates autocomplete popover


  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').length == 0) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', 'jHueHdfsAutocomplete').addClass('jHueAutocomplete popover').attr('style', 'position:absolute;display:none;max-width:1000px;z-index:' + _this.options.zIndex).html('<div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"><p><ul class="unstyled"></ul></p></div></div>').appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()('body'));
  }

  function setHueBreadcrumbCaretAtEnd(element) {
    var elemLength = element.value.length;

    if (document.selection) {
      element.focus();

      var _oSel = document.selection.createRange();

      _oSel.moveStart('character', -elemLength);

      _oSel.moveStart('character', elemLength);

      _oSel.moveEnd('character', 0);

      _oSel.select();
    } else if (element.selectionStart || element.selectionStart == '0') {
      element.selectionStart = elemLength;
      element.selectionEnd = elemLength;
      element.focus();
    }
  }

  _el.focus(function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document.body).on('contextmenu', function (e) {
      e.preventDefault(); // prevents native menu on FF for Mac from being shown
    });
    setHueBreadcrumbCaretAtEnd(_this.element);
  });

  _el.keydown(function (e) {
    if (e.keyCode == 9) {
      e.preventDefault();
      showHdfsAutocomplete(function () {
        var path = _el.val();

        if (path.indexOf('/') > -1) {
          path = path.substr(path.lastIndexOf('/') + 1);
        }

        guessHdfsPath(path);
      });
    }
  });

  function smartTooltipMaker() {
    if (_this.options.smartTooltip != '' && typeof jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage != 'undefined' && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueHdfsAutocompleteTooltip') != -1) {
      var cnt = 0;

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueHdfsAutocompleteTooltip') != null) {
        cnt = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueHdfsAutocompleteTooltip') + 1;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueHdfsAutocompleteTooltip', cnt);

      if (cnt >= _this.options.smartTooltipThreshold) {
        _el.tooltip({
          animation: true,
          title: _this.options.smartTooltip,
          trigger: 'manual',
          placement: 'top'
        }).tooltip('show');

        window.setTimeout(function () {
          _el.tooltip('hide');
        }, 10000);
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueHdfsAutocompleteTooltip', -1);
      }
    }
  }

  if (!_this.options.skipScrollEvent) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('scroll', function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').css('top', _el.offset().top + _el.outerHeight() - 1).css('left', _el.offset().left).width(_el.outerWidth() - 4);
    });
  }

  _el.on('keydown', function (e) {
    if (!_this.options.skipKeydownEvents && e.keyCode == 191) {
      e.preventDefault();
    }

    if (e.keyCode == 32 && e.ctrlKey) {
      e.preventDefault();
    }

    if (_this.options.skipEnter && e.keyCode === 13) {
      e.preventDefault();
      e.stopPropagation();
      e.stopImmediatePropagation();
    }
  });

  var _hdfsAutocompleteSelectedIndex = -1;

  var _filterTimeout = -1;

  _el.keyup(function (e) {
    window.clearTimeout(_filterTimeout);

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(e.keyCode, [38, 40, 13, 32, 191]) == -1) {
      _hdfsAutocompleteSelectedIndex = -1;
      _filterTimeout = window.setTimeout(function () {
        var path = _el.val();

        if (path.indexOf('/') > -1) {
          path = path.substr(path.lastIndexOf('/') + 1);
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li').show();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li').each(function () {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().trim().indexOf(path) != 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hide();
          }
        });
      }, 500);
    }

    if (e.keyCode == 38) {
      if (_hdfsAutocompleteSelectedIndex <= 0) {
        _hdfsAutocompleteSelectedIndex = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').length - 1;
      } else {
        _hdfsAutocompleteSelectedIndex--;
      }
    }

    if (e.keyCode == 40) {
      if (_hdfsAutocompleteSelectedIndex == jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').length - 1) {
        _hdfsAutocompleteSelectedIndex = 0;
      } else {
        _hdfsAutocompleteSelectedIndex++;
      }
    }

    if (e.keyCode == 38 || e.keyCode == 40) {
      smartTooltipMaker();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li').removeClass('active');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').eq(_hdfsAutocompleteSelectedIndex).addClass('active');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete .popover-content').scrollTop(jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').eq(_hdfsAutocompleteSelectedIndex).prevAll().length * jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').eq(_hdfsAutocompleteSelectedIndex).outerHeight());
    }

    if (e.keyCode == 32 && e.ctrlKey || e.keyCode == 191) {
      smartTooltipMaker();
      showHdfsAutocomplete();
    }

    if (e.keyCode == 13) {
      if (_hdfsAutocompleteSelectedIndex > -1) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete ul li:visible').eq(_hdfsAutocompleteSelectedIndex).click();
      } else {
        _this.options.onEnter(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').hide();
      _hdfsAutocompleteSelectedIndex = -1;
    }
  });

  if (_this.options.showOnFocus) {
    _el.on('focus', function () {
      showHdfsAutocomplete();
    });
  }

  var _pauseBlur = false;

  _el.blur(function () {
    if (!_pauseBlur) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document.body).off('contextmenu');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').hide();

      _this.options.onBlur();
    }
  });

  var BASE_PATH = '/filebrowser/view=';
  var _currentFiles = [];

  function showHdfsAutocomplete(callback) {
    var base = '';

    var path = _el.val();

    var hasScheme = path.indexOf(':/') >= 0;
    var isRelative = !hasScheme && path.charAt(0) !== '/';

    if (isRelative && _this.options.root) {
      base += _this.options.root;
    }

    var autocompleteUrl = BASE_PATH + base + path;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.getJSON(autocompleteUrl + '?pagesize=1000&format=json', function (data) {
      _currentFiles = [];

      if (data.error == null) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(data.files).each(function (cnt, item) {
          if (item.name != '.') {
            var ico = 'fa-file-o';

            if (item.type == 'dir') {
              ico = 'fa-folder';
            }

            _currentFiles.push('<li class="hdfsAutocompleteItem" data-value="' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].escapeOutput(item.name) + '"><i class="fa ' + ico + '"></i> ' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].escapeOutput(item.name) + '</li>');
          }
        });
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').css('top', _el.offset().top + _el.outerHeight() - 1).css('left', _el.offset().left).width(_el.outerWidth() - 4);
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').find('ul').empty().html(_currentFiles.join(''));
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').find('li').on('click', function (e) {
            smartTooltipMaker();
            e.preventDefault();
            var item = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().trim();

            if (item == '..') {
              // one folder up
              path = path.substring(0, path.lastIndexOf('/'));
            } else {
              path = path + (path.charAt(path.length - 1) == '/' ? '' : '/') + item;
            }

            _el.val(base + path);

            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('folder') > -1) {
              _el.val(_el.val() + '/');

              _this.options.onPathChange(_el.val());

              showHdfsAutocomplete();
            } else {
              _this.options.onEnter(_el);
            }
          });
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueHdfsAutocomplete').show();
          setHueBreadcrumbCaretAtEnd(_this.element);

          if ('undefined' != typeof callback) {
            callback();
          }
        }, 100); // timeout for IE8
      }
    });
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('mouseenter', '.hdfsAutocompleteItem', function () {
    _pauseBlur = true;
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('mouseout', '.hdfsAutocompleteItem', function () {
    _pauseBlur = false;
  });

  function guessHdfsPath(lastChars) {
    var possibleMatches = [];

    for (var i = 0; i < _currentFiles.length; i++) {
      if ((jquery__WEBPACK_IMPORTED_MODULE_0___default()(_currentFiles[i]).text().trim().indexOf(lastChars) == 0 || lastChars == '') && jquery__WEBPACK_IMPORTED_MODULE_0___default()(_currentFiles[i]).text().trim() != '..') {
        possibleMatches.push(_currentFiles[i]);
      }
    }

    if (possibleMatches.length == 1) {
      _el.val(_el.val() + jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[0]).text().trim().substr(lastChars.length));

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[0]).html().indexOf('folder') > -1) {
        _el.val(_el.val() + '/');

        showHdfsAutocomplete();
      }
    } else if (possibleMatches.length > 1) {
      // finds the longest common prefix
      var possibleMatchesPlain = [];

      for (var z = 0; z < possibleMatches.length; z++) {
        possibleMatchesPlain.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[z]).text().trim());
      }

      var arr = possibleMatchesPlain.slice(0).sort();
      var word1 = arr[0];
      var word2 = arr[arr.length - 1];
      var j = 0;

      while (word1.charAt(j) == word2.charAt(j)) {
        ++j;
      }

      var match = word1.substring(0, j);

      _el.val(_el.val() + match.substr(lastChars.length));
    }
  }
};

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function (options) {
  if (typeof console != 'undefined') {
    console.warn('$(elem).jHueHdfsAutocomplete() is a preferred call method.');
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.element).jHueHdfsAutocomplete(options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.hiveautocomplete.js":
/*!*******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.hiveautocomplete.js ***!
  \*******************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../catalog/contextCatalog */ "./desktop/core/src/desktop/js/catalog/contextCatalog.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



/*
 * jHue generic autocomplete plugin
 * augment a textbox into an generic hive/solr autocomplete
 */

var pluginName = 'jHueGenericAutocomplete',
    defaults = {
  serverType: 'HIVE',
  home: '/',
  skipColumns: false,
  skipTables: false,
  onEnter: function onEnter() {},
  onBlur: function onBlur() {},
  onPathChange: function onPathChange() {},
  pathChangeLevel: '',
  smartTooltip: '',
  smartTooltipThreshold: 10,
  // needs 10 up/down or click actions and no tab to activate the smart tooltip
  showOnFocus: false,
  startingPath: '',
  rewriteVal: false,
  searchEverywhere: false,
  apiHelperUser: '',
  apiHelperType: '',
  mainScrollable: jquery__WEBPACK_IMPORTED_MODULE_0___default()(window)
};

function Plugin(element, options) {
  var self = this;
  self.element = element;
  self.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  self._defaults = defaults;
  self._name = pluginName;
  self.namespaceDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
  self.computeDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

  if (self.options.namespace) {
    self.namespaceDeferred.resolve(self.options.namespace);
  } else {
    _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_1__["default"].getNamespaces({
      sourceType: options.apiHelperType
    }).done(function (context) {
      if (context.namespaces && context.namespaces.length) {
        self.namespaceDeferred.resolve(context.namespaces[0]);
      } else {
        self.namespaceDeferred.reject();
      }
    });
  }

  self.namespaceDeferred.done(function (namespace) {
    if (!self.options.compute || !namespace.computes.some(function (compute) {
      if (compute.id === self.options.compute.id) {
        self.computeDeferred.resolve(compute);
        return true;
      }
    })) {
      self.computeDeferred.resolve(namespace.computes[0]);
    }
  });
  this.init();
}

Plugin.prototype.init = function () {
  var self = this;
  var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.element); // creates autocomplete popover

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').length === 0) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', 'jHueGenericAutocomplete').addClass('jHueAutocomplete popover').attr('style', 'position:absolute;display:none;max-width:1000px;z-index:33000').html('<div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"><ul class="unstyled"></ul></div></div>').appendTo('body');
  }

  $el.wrap('<div class="inline">');
  $el.parent().append('<i class="fa fa-spinner fa-spin muted" style="margin-top: 8px; margin-left: -24px; margin-right: 11px; display:none"></i>');

  function setHueBreadcrumbCaretAtEnd(element) {
    var elemLength = element.value.length;

    if (document.selection) {
      element.focus();

      var _oSel = document.selection.createRange();

      _oSel.moveStart('character', -elemLength);

      _oSel.moveStart('character', elemLength);

      _oSel.moveEnd('character', 0);

      _oSel.select();
    } else if (element.selectionStart || element.selectionStart === '0') {
      element.selectionStart = elemLength;
      element.selectionEnd = elemLength;
      element.focus();
    }
  }

  $el.focus(function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document.body).on('contextmenu', function (e) {
      e.preventDefault(); // prevents native menu on FF for Mac from being shown
    });
    setHueBreadcrumbCaretAtEnd(self.element);
    _pauseBlur = false;
  });
  $el.keydown(function (e) {
    if (e.keyCode === 9) {
      e.preventDefault();
      showAutocomplete(function () {
        var path = $el.val();

        if (path.indexOf('.') > -1) {
          path = path.substr(path.lastIndexOf('.') + 1);
        }

        guessHivePath(path);
      });
    }
  });

  function smartTooltipMaker() {
    if (self.options.smartTooltip !== '' && typeof jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage !== 'undefined' && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueGenericAutocompleteTooltip') !== -1) {
      var cnt = 0;

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueGenericAutocompleteTooltip')) {
        cnt = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueGenericAutocompleteTooltip') + 1;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueGenericAutocompleteTooltip', cnt);

      if (cnt >= self.options.smartTooltipThreshold) {
        $el.tooltip({
          animation: true,
          title: self.options.smartTooltip,
          trigger: 'manual',
          placement: 'top'
        }).tooltip('show');
        window.setTimeout(function () {
          $el.tooltip('hide');
        }, 10000);
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('jHueGenericAutocompleteTooltip', -1);
      }
    }
  }

  self.options.mainScrollable.on('scroll', function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').css('top', $el.offset().top + $el.outerHeight() - 1).css('left', $el.offset().left).width($el.outerWidth() - 4);
  });
  var validateTimeout = -1;

  var onPathChange = function onPathChange(path) {
    window.clearTimeout(validateTimeout);
    self.options.onPathChange(path);
  };

  var validateAndSet = function validateAndSet() {
    var path = $el.val().split('.');

    if (path.length > 1) {
      window.clearTimeout(validateTimeout);
      validateTimeout = window.setTimeout(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(self.namespaceDeferred, self.computeDeferred).done(function (namespace, compute) {
          var target = path.pop();
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getChildren({
            sourceType: self.options.apiHelperType,
            namespace: namespace,
            compute: compute,
            path: path
          }).done(function (childEntries) {
            if (childEntries.some(function (childEntry) {
              return childEntry.name === target;
            })) {
              onPathChange($el.val());
            }
          });
        });
      }, 500);
    }
  };

  var _hiveAutocompleteSelectedIndex = -1;

  var _filterTimeout = -1;

  $el.keyup(function (e) {
    window.clearTimeout(_filterTimeout);
    validateAndSet();

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.inArray(e.keyCode, [17, 38, 40, 13, 32, 191]) === -1) {
      _hiveAutocompleteSelectedIndex = -1;
      _filterTimeout = window.setTimeout(function () {
        var path = $el.val();

        if (path.indexOf('.') > -1) {
          path = path.substr(path.lastIndexOf('.') + 1);
        }

        var $jHueGenericAutocomplete = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete');
        $jHueGenericAutocomplete.show();
        var $jHueGenericAutocompleteLi = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete ul li');
        $jHueGenericAutocompleteLi.show();

        if (path !== '') {
          $jHueGenericAutocompleteLi.each(function () {
            if (self.options.searchEverywhere) {
              if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().trim().toLowerCase().indexOf(path.toLowerCase()) === -1) {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hide();
              }
            } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().trim().indexOf(path) !== 0) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hide();
            }
          });

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete ul li:visible').length === 0) {
            $jHueGenericAutocomplete.hide();
          }
        }
      }, 500);
    }

    var $jHueGenericAutocompleteLiVisible = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete ul li:visible');

    if (e.keyCode === 38) {
      if (_hiveAutocompleteSelectedIndex <= 0) {
        _hiveAutocompleteSelectedIndex = $jHueGenericAutocompleteLiVisible.length - 1;
      } else {
        _hiveAutocompleteSelectedIndex--;
      }
    }

    if (e.keyCode === 40) {
      if (_hiveAutocompleteSelectedIndex === $jHueGenericAutocompleteLiVisible.length - 1) {
        _hiveAutocompleteSelectedIndex = 0;
      } else {
        _hiveAutocompleteSelectedIndex++;
      }
    }

    if (e.keyCode === 38 || e.keyCode === 40) {
      smartTooltipMaker();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete ul li').removeClass('active');
      $jHueGenericAutocompleteLiVisible.eq(_hiveAutocompleteSelectedIndex).addClass('active');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete .popover-content').scrollTop($jHueGenericAutocompleteLiVisible.eq(_hiveAutocompleteSelectedIndex).prevAll().length * $jHueGenericAutocompleteLiVisible.eq(_hiveAutocompleteSelectedIndex).outerHeight());
    }

    if (e.keyCode === 32 && e.ctrlKey || e.keyCode === 191) {
      smartTooltipMaker();
      showAutocomplete();
    }

    if (e.keyCode === 13) {
      _pauseBlur = true;

      if (_hiveAutocompleteSelectedIndex > -1) {
        $jHueGenericAutocompleteLiVisible.eq(_hiveAutocompleteSelectedIndex).click();
      } else {
        self.options.onEnter(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
      _hiveAutocompleteSelectedIndex = -1;
    }
  });

  if (self.options.showOnFocus) {
    $el.on('focus', function () {
      showAutocomplete();
    });
  }

  var _pauseBlur = false;
  $el.blur(function () {
    if (!_pauseBlur) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document.body).off('contextmenu');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
      self.options.onBlur();
    }
  });
  var BASE_PATH = '/beeswax/api/autocomplete/';

  if (self.options.serverType === 'IMPALA') {
    BASE_PATH = '/impala/api/autocomplete/';
  }

  if (self.options.serverType === 'SOLR') {
    BASE_PATH = '/indexer/api/autocomplete/';
  }

  var _currentFiles = [];

  self.getDatabases = function (callback) {
    var self = this;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(self.namespaceDeferred, self.computeDeferred).done(function (namespace, compute) {
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getChildren({
        sourceType: self.options.apiHelperType,
        namespace: namespace,
        compute: compute,
        path: []
      }).done(function (dbEntries) {
        callback(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(dbEntries, function (entry) {
          return entry.name;
        }));
      });
    });
  };

  self.getTables = function (database, callback) {
    var self = this;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(self.namespaceDeferred, self.computeDeferred).done(function (namespace, compute) {
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry({
        sourceType: self.options.apiHelperType,
        namespace: namespace,
        compute: compute,
        path: [database]
      }).done(function (entry) {
        entry.getSourceMeta().done(callback);
      });
    });
  };

  self.getColumns = function (database, table, callback) {
    var self = this;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(self.namespaceDeferred, self.computeDeferred).done(function (namespace, compute) {
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry({
        sourceType: self.options.apiHelperType,
        namespace: namespace,
        compute: compute,
        path: [database, table]
      }).done(function (entry) {
        entry.getSourceMeta().done(callback);
      });
    });
  };

  function autocompleteLogic(autocompleteUrl, data) {
    if (!data.error) {
      _currentFiles = [];
      var _ico = '';
      var _iterable = [];
      var _isSkipColumns = false;
      var _isSkipTables = false;

      if (self.options.serverType === 'SOLR') {
        _iterable = data.collections;
        _ico = 'fa-search';
      } else if (data.databases) {
        // it's a db
        _iterable = data.databases;
        _ico = 'fa-database';
      } else if (data.tables_meta) {
        // it's a table
        if (!self.options.skipTables) {
          _iterable = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(data.tables_meta, function (tablesMeta) {
            return tablesMeta.name;
          });
          _ico = 'fa-table';
        } else {
          _isSkipTables = true;
        }
      } else if (!self.options.skipColumns) {
        _iterable = data.columns;
        _ico = 'fa-columns';
      } else {
        _isSkipColumns = true;
      }

      var firstSolrCollection = false;
      var firstSolrConfig = false;

      if (!_isSkipColumns && !_isSkipTables) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_iterable).each(function (cnt, item) {
          if (self.options.serverType === 'SOLR') {
            if (item.isCollection && !firstSolrCollection) {
              _currentFiles.push('<li class="hiveAutocompleteItem" data-value="collections.*" title="collections.*"><i class="fa fa-search-plus"></i> collections.*</li>');

              _currentFiles.push('<li class="hiveAutocompleteItem" data-value="admin.collections" title="admin.collections"><i class="fa fa-database"></i> admin.collections</li>');

              _currentFiles.push('<li class="hiveAutocompleteItem" data-value="admin.cores" title="admin.collections"><i class="fa fa-database"></i> admin.cores</li>');

              firstSolrCollection = true;
            }

            if (item.isConfig) {
              _ico = 'fa-cog';

              if (!firstSolrConfig) {
                _currentFiles.push('<li class="hiveAutocompleteItem" data-value="configs.*" title="configs.*"><i class="fa fa-cogs"></i> configs.*</li>');

                firstSolrConfig = true;
              }
            }

            _currentFiles.push('<li class="hiveAutocompleteItem" data-value="' + item.name + '" title="' + item.name + '"><i class="fa ' + _ico + '"></i> ' + item.name + '</li>');
          } else {
            _currentFiles.push('<li class="hiveAutocompleteItem" data-value="' + item + '" title="' + item + '"><i class="fa ' + _ico + '"></i> ' + item + '</li>');
          }
        });
        var $jHueGenericAutocomplete = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete');
        $jHueGenericAutocomplete.css('top', $el.offset().top + $el.outerHeight() - 1).css('left', $el.offset().left).width($el.outerWidth() - 4);
        $jHueGenericAutocomplete.find('ul').empty().html(_currentFiles.join(''));
        $jHueGenericAutocomplete.find('li').on('click', function (e) {
          smartTooltipMaker();
          e.preventDefault();
          var item = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().trim();

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('search') > -1 || jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('cog') > -1 || jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('database') > -1) {
            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('search') > -1 && jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('search-plus') === -1) {
              $el.val('collections.' + item);
            } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('cog') > -1 && jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('cogs') === -1) {
              $el.val('configs.' + item);
            } else {
              $el.val(item);
            }

            if (self.options.pathChangeLevel === '' || self.options.pathChangeLevel === 'database') {
              onPathChange($el.val());
            }

            jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
            _hiveAutocompleteSelectedIndex = -1;
            self.options.onEnter($el);
          }

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('database') > -1) {
            if (self.options.skipTables) {
              $el.val(item);
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
            } else {
              $el.val(item + '.');
            }

            if (self.options.pathChangeLevel === '' || self.options.pathChangeLevel === 'database') {
              onPathChange($el.val());
            }

            if (!self.options.skipTables) {
              showAutocomplete();
            }
          }

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('table') > -1) {
            if ($el.val().indexOf('.') > -1) {
              if ($el.val().match(/\./gi).length === 1) {
                $el.val($el.val().substring(0, $el.val().lastIndexOf('.') + 1) + item);
              } else {
                $el.val($el.val().substring(0, $el.val().indexOf('.') + 1) + item);
              }
            } else if (self.options.rewriteVal) {
              $el.val(item);
            } else {
              $el.val($el.val() + item);
            }

            if (!self.options.skipColumns) {
              $el.val($el.val() + '.');
            }

            if (self.options.pathChangeLevel === '' || self.options.pathChangeLevel === 'table') {
              onPathChange($el.val());
            }

            if (!self.options.skipColumns) {
              showAutocomplete();
            } else {
              self.options.onEnter($el);
              jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
              _hiveAutocompleteSelectedIndex = -1;
            }
          }

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html().indexOf('columns') > -1) {
            if ($el.val().match(/\./gi).length > 1) {
              $el.val($el.val().substring(0, $el.val().lastIndexOf('.') + 1) + item);
            } else {
              $el.val($el.val() + '.' + item);
            }

            jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueGenericAutocomplete').hide();
            _hiveAutocompleteSelectedIndex = -1;
            self.options.onEnter($el);
          }
        });
        $jHueGenericAutocomplete.show();
        window.setTimeout(function () {
          setHueBreadcrumbCaretAtEnd(self.element);
        }, 100);
      }
    }

    $el.parent().find('.fa-spinner').hide();
  }

  function showAutocomplete() {
    $el.parent().find('.fa-spinner').show();
    var path = $el.val();

    if (self.options.startingPath !== '') {
      path = self.options.startingPath + path;
    }

    var autocompleteUrl = BASE_PATH;

    if (path !== '' && path.indexOf('.') === -1) {
      path = '';
    }

    if (path !== '' && path.lastIndexOf('.') !== path.length - 1) {
      path = path.substring(0, (self.options.startingPath + $el.val()).lastIndexOf('.'));
    }

    if (self.options.serverType !== 'SOLR') {
      autocompleteUrl += path.replace(/\./g, '/');
    }

    if (self.options.serverType !== 'SOLR' && self.options.apiHelperUser !== '') {
      var suffix = autocompleteUrl.substr(BASE_PATH.length);

      if (suffix === '') {
        self.getDatabases(function (data) {
          autocompleteLogic(autocompleteUrl, {
            databases: data
          });
        });
      } else {
        var details = suffix.split('/');

        if (details.length > 1 && details[1] !== '') {
          self.getColumns(details[0], details[1], function (data) {
            var columns = [];

            if (data.cols || data.extended_columns) {
              columns = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(data.cols ? data.cols : data.extended_columns, function (item) {
                return item.name;
              });
            } else if (data.columns) {
              columns = data.columns;
            }

            autocompleteLogic(autocompleteUrl, {
              columns: columns
            });
          });
        } else {
          self.getTables(details[0], function (data) {
            autocompleteLogic(autocompleteUrl, data);
          });
        }
      }
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.getJSON(autocompleteUrl, function (data) {
        autocompleteLogic(autocompleteUrl, data);
      });
    }
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('mouseenter', '.hiveAutocompleteItem', function () {
    _pauseBlur = true;
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('mouseout', '.hiveAutocompleteItem', function () {
    _pauseBlur = false;
  });

  function guessHivePath(lastChars) {
    var possibleMatches = [];

    for (var i = 0; i < _currentFiles.length; i++) {
      if ((jquery__WEBPACK_IMPORTED_MODULE_0___default()(_currentFiles[i]).text().trim().indexOf(lastChars) === 0 || lastChars === '') && jquery__WEBPACK_IMPORTED_MODULE_0___default()(_currentFiles[i]).text().trim() !== '..') {
        possibleMatches.push(_currentFiles[i]);
      }
    }

    if (possibleMatches.length === 1) {
      $el.val($el.val() + jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[0]).text().trim().substr(lastChars.length));

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[0]).html().indexOf('folder') > -1) {
        $el.val($el.val() + '/');
        showAutocomplete();
      }
    } else if (possibleMatches.length > 1) {
      // finds the longest common prefix
      var possibleMatchesPlain = [];

      for (var z = 0; z < possibleMatches.length; z++) {
        possibleMatchesPlain.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(possibleMatches[z]).text().trim());
      }

      var arr = possibleMatchesPlain.slice(0).sort();
      var word1 = arr[0];
      var word2 = arr[arr.length - 1];
      var j = 0;

      while (word1.charAt(j) === word2.charAt(j)) {
        ++j;
      }

      var match = word1.substring(0, j);
      $el.val($el.val() + match.substr(lastChars.length));
    }
  }
};

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function (options) {
  if (typeof console !== 'undefined') {
    console.warn('$(elem).jHueGenericAutocomplete() is a preferred call method.');
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.element).jHueGenericAutocomplete(options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.horizontalscrollbar.js":
/*!**********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.horizontalscrollbar.js ***!
  \**********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue horizontal scrollbar for dataTables_wrapper
 *
 */

var pluginName = 'jHueHorizontalScrollbar',
    defaults = {};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

function initWhenReady(el) {
  var $wrapper = jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).parents('.dataTables_wrapper');

  if (!$wrapper.length) {
    return;
  }

  var colWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).find('thead tr th').outerWidth();
  var wrapperWidth = $wrapper.width();
  var wrapperScrollWidth = $wrapper[0].scrollWidth;

  if ($wrapper.find('.hue-scrollbar-x-rail').length === 0 && wrapperWidth < wrapperScrollWidth) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-scrollbar-x-rail').remove();
    var $scrollbarRail = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>');
    var $scrollbar = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('hue-scrollbar-x');
    $scrollbar.width(Math.max(20, wrapperWidth * (wrapperWidth / wrapperScrollWidth)));
    $scrollbar.appendTo($scrollbarRail);

    try {
      $scrollbar.draggable('destroy');
    } catch (e) {}

    var throttleScrollTimeout = -1;
    var scrollbarWidth = 0;
    var railWidth = 0;
    $scrollbar.draggable({
      axis: 'x',
      containment: 'parent',
      start: function start() {
        $wrapper = jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).parents('.dataTables_wrapper');
        wrapperScrollWidth = $wrapper[0].scrollWidth;
        wrapperWidth = $wrapper.width();
        scrollbarWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).outerWidth();
        railWidth = $scrollbarRail.innerWidth();
        $scrollbarRail.css('opacity', '1');
      },
      drag: function drag(e, ui) {
        $wrapper.scrollLeft((wrapperScrollWidth - wrapperWidth) * (ui.position.left / (railWidth - scrollbarWidth)));
        window.clearTimeout(throttleScrollTimeout);
        throttleScrollTimeout = window.setTimeout(function () {
          $wrapper.trigger('scroll');
        }, 50);
      },
      stop: function stop() {
        $scrollbarRail.css('opacity', '');
      }
    });
    $wrapper.bind('mousewheel', function (e) {
      var _deltaX = e.deltaX * e.deltaFactor,
          _deltaY = e.deltaY;

      if (Math.abs(_deltaX) >= Math.abs(_deltaY)) {
        var self = this;
        self.scrollLeft += _deltaX;
        e.preventDefault();
        e.stopPropagation();
        e.stopImmediatePropagation();

        if (self.scrollLeft > 0) {
          $scrollbar.css('left', ($scrollbarRail[0].getBoundingClientRect().width - $scrollbar[0].getBoundingClientRect().width) * (self.scrollLeft / (self.scrollWidth - self.getBoundingClientRect().width)) + 'px');
          window.clearTimeout(throttleScrollTimeout);
          throttleScrollTimeout = window.setTimeout(function () {
            $wrapper.trigger('scroll');
          }, 50);
        }
      }
    });
    $scrollbarRail.addClass('hue-scrollbar-x-rail').appendTo($wrapper);
    $scrollbarRail.width(wrapperWidth - colWidth);
    $scrollbarRail.css('marginLeft', colWidth + 'px');

    if ($scrollbarRail.position().top > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - 10) {
      $scrollbarRail.css('bottom', '0');
    }

    $wrapper.bind('scroll_update', function () {
      $scrollbar.css('left', ($scrollbarRail.width() - $scrollbar.width()) * ($wrapper.scrollLeft() / (wrapperScrollWidth - wrapperWidth)) + 'px');
    });
  } else {
    if (wrapperWidth === wrapperScrollWidth) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-scrollbar-x-rail').hide();
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-scrollbar-x-rail').show();
    }

    $wrapper.find('.hue-scrollbar-x-rail').width(wrapperWidth - colWidth);
    var scrollbar = $wrapper.find('.hue-scrollbar-x');
    scrollbar.width(Math.max(20, wrapperWidth * (wrapperWidth / wrapperScrollWidth)));
    var scrollbarRail = $wrapper.find('.hue-scrollbar-x-rail');
    scrollbarRail.width(wrapperWidth - colWidth);
    scrollbarRail.css('marginLeft', colWidth + 'px');
    scrollbar.css('left', (scrollbarRail.width() - scrollbar.width()) * ($wrapper.scrollLeft() / (wrapperScrollWidth - wrapperWidth)) + 'px');
  }
}

Plugin.prototype.init = function () {
  var el = this.element;

  var checkWidth = function checkWidth() {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).parents('.dataTables_wrapper').width() > 0) {
      initWhenReady(el);
    } else {
      window.setTimeout(checkWidth, 100);
    }
  };

  checkWidth();
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.huedatatable.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.huedatatable.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



/*
 * Extension to datatable to programmatically switch off datatable in case of huge tables
 *
 */

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn.hueDataTable = function (oInit) {
  var self = this;
  self.$table = null;

  self.fnSetColumnVis = function (index, visible) {
    var aoColumns = self.$table.data('aoColumns');
    var change = aoColumns[index].bVisible !== visible;
    aoColumns[index].bVisible = visible;

    if (!change) {
      return;
    }

    if (!visible) {
      self.$table.find('tr').find('td:eq(' + index + '),th:eq(' + index + ')').hide();
    } else {
      self.$table.find('tr').find('td:eq(' + index + '),th:eq(' + index + ')').show();
    }

    if (self.$table.data('plugin_jHueTableExtender')) {
      self.$table.data('plugin_jHueTableExtender').drawLockedRows(true);
    } else if (self.$table.data('plugin_jHueTableExtender2')) {
      self.$table.data('plugin_jHueTableExtender2').redraw();
    }
  };

  self.fnToggleAllCols = function (visible) {
    var aoColumns = self.$table.data('aoColumns');
    aoColumns.forEach(function (col, idx) {
      if (idx > 0) {
        col.bVisible = visible;
      }
    });

    if (!visible) {
      self.$table.find('th, td').hide();
      self.$table.find('tr').find('td:eq(0),th:eq(0)').show();
    } else {
      self.$table.find('th, td').show();
    }

    if (self.$table.data('plugin_jHueTableExtender')) {
      self.$table.data('plugin_jHueTableExtender').drawLockedRows(true);
    } else if (self.$table.data('plugin_jHueTableExtender2')) {
      self.$table.data('plugin_jHueTableExtender2').redraw();
    }
  };

  self.fnSortColumn = function (obj, way) {
    var data = self.$table.data('data');
    var idx = obj.originalIndex;

    if (way === 0) {
      idx = 0;
    }

    var sortType = 'alpha';

    if (obj.cssClass) {
      if (obj.cssClass === 'sort-numeric') {
        sortType = 'numeric';
      }

      if (obj.cssClass === 'sort-date') {
        sortType = 'date';
      }
    }

    if (way === -1 || way === 0) {
      data.sort(function (a, b) {
        if (sortType === 'date') {
          if (a[idx] === 'NULL') {
            return -1;
          }

          if (b[idx] === 'NULL') {
            return 1;
          }

          if (moment(a[idx].replace(/\&nbsp;/, ' ')).valueOf() > moment(b[idx].replace(/\&nbsp;/, ' ')).valueOf()) {
            return 1;
          }

          if (moment(a[idx].replace(/\&nbsp;/, ' ')).valueOf() < moment(b[idx].replace(/\&nbsp;/, ' ')).valueOf()) {
            return -1;
          }

          return 0;
        } else if (sortType === 'numeric') {
          if (a[idx] === 'NULL') {
            return -1;
          }

          if (b[idx] === 'NULL') {
            return 1;
          }

          if (a[idx] * 1 > b[idx] * 1) {
            return 1;
          }

          if (a[idx] * 1 < b[idx] * 1) {
            return -1;
          }

          return 0;
        } else {
          if (a[idx] > b[idx]) {
            return 1;
          }

          if (a[idx] < b[idx]) {
            return -1;
          }

          return 0;
        }
      });
    } else {
      data.sort(function (a, b) {
        if (sortType === 'date') {
          if (a[idx] === 'NULL') {
            return 1;
          }

          if (b[idx] === 'NULL') {
            return -1;
          }

          if (moment(a[idx].replace(/\&nbsp;/, ' ')).valueOf() > moment(b[idx].replace(/\&nbsp;/, ' ')).valueOf()) {
            return -1;
          }

          if (moment(a[idx].replace(/\&nbsp;/, ' ')).valueOf() < moment(b[idx].replace(/\&nbsp;/, ' ')).valueOf()) {
            return 1;
          }

          return 0;
        } else if (sortType === 'numeric') {
          if (a[idx] === 'NULL') {
            return 1;
          }

          if (b[idx] === 'NULL') {
            return -1;
          }

          if (a[idx] * 1 > b[idx] * 1) {
            return -1;
          }

          if (a[idx] * 1 < b[idx] * 1) {
            return 1;
          }

          return 0;
        } else {
          if (a[idx] > b[idx]) {
            return -1;
          }

          if (a[idx] < b[idx]) {
            return 1;
          }

          return 0;
        }
      });
    }

    self.fnDraw(true);
  };

  self.fnShowSearch = function () {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').length == 0) {
      var search = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css({
        position: 'fixed',
        bottom: '20px',
        opacity: 0.85
      }).addClass('hueAnchor hue-datatable-search').appendTo('body');
      search.html('<input type="text"> <i class="fa fa-chevron-up pointer muted"></i> <i class="fa fa-chevron-down pointer muted"></i> &nbsp; <span></span> &nbsp; <i class="fa fa-times pointer inactive-action"></i>');
      search.find('.fa-times').on('click', function () {
        search.hide();
        var $t = self.$table;

        if ($t.data('scrollToRow') != null) {
          $t.data('scrollToCol', null);
          $t.data('scrollToRow', null);
          $t.find('.columnSelected').removeClass('columnSelected');
        }
      });
      search.find('.fa-chevron-down').on('click', function () {
        if (!self.isScrolling) {
          self.fnScrollToNextResult();
        }
      });
      search.find('.fa-chevron-up').on('click', function () {
        if (!self.isScrolling) {
          self.fnScrollToPreviousResult();
        }
      });
      search.find('input').jHueDelayedInput(function () {
        self.fnSearch(search.find('input').val());
      }, 600, true);
      search.find('input').keydown(function (e) {
        if ([13, 37, 38, 39, 40].indexOf(e.keyCode) > -1) {
          e.preventDefault();
          e.stopPropagation();
          e.stopImmediatePropagation();

          if ([13, 39, 40].indexOf(e.keyCode) > -1) {
            search.find('.fa-chevron-down').trigger('click');
          } else {
            search.find('.fa-chevron-up').trigger('click');
          }
        }
      });
      search.find('input').focus();
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('hue.datatable.search.hide', function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').hide();
      });
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').show();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('input').focus();
    }

    var right = -30;
    var adjustRight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() - (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.page-content').width() + jquery__WEBPACK_IMPORTED_MODULE_0___default()('.page-content').offset().left);

    if (adjustRight > 0) {
      right = adjustRight;
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hueAnchorScroller:visible').each(function () {
      var visibleRight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).css('right').replace(/px/gi, '') * 1;

      if (!isNaN(visibleRight) && visibleRight > right) {
        right = visibleRight;
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').css('right', right + 50 + 'px');
  };

  self.fnSearch = function (what, avoidScroll) {
    var $t = self.$table;

    if ($t) {
      if (typeof avoidScroll === 'undefined' || !avoidScroll) {
        $t.find('.columnSelected').removeClass('columnSelected');
        $t.data('scrollToCol', null);
        $t.data('scrollToRow', null);
      }

      if (what !== '') {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('span').text('');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('.fa-chevron-down').addClass('muted').removeClass('inactive-action');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('.fa-chevron-up').addClass('muted').removeClass('inactive-action');
        var coords = [];
        $t.data('searchCoords', []);
        $t.data('searchCoordHighlighted', 0);
        var data = self.$table.data('data');
        data.forEach(function (row, rowIdx) {
          row.forEach(function (fld, fldIdx) {
            if ((fld + '').replace(/\&nbsp;/, ' ').toLowerCase().indexOf(what.toLowerCase()) > -1) {
              coords.push({
                row: rowIdx,
                col: fldIdx
              });
            }
          });
        });
        $t.data('searchCoords', coords);

        if (coords.length > 0) {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('input').val() !== '') {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('.fa-chevron-down').removeClass('muted').addClass('inactive-action');
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('.fa-chevron-up').removeClass('muted').addClass('inactive-action');
          }

          if (typeof avoidScroll === 'undefined' || !avoidScroll) {
            self.fnScrollTo(coords[0].row, coords[0].col);
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('span').text($t.data('searchCoordHighlighted') + 1 + ' ' + $t.data('oInit')['i18n'].OF + ' ' + $t.data('searchCoords').length);
          }
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('span').text($t.data('oInit')['i18n'].NO_RESULTS);
        }
      }
    }
  };

  self.fnScrollToPreviousResult = function () {
    var $t = self.$table;

    if ($t && $t.data('searchCoords') && $t.data('searchCoords').length > 0) {
      var high = $t.data('searchCoordHighlighted');
      high = high == 0 ? $t.data('searchCoords').length - 1 : high - 1;
      $t.data('searchCoordHighlighted', high);
      self.fnScrollTo($t.data('searchCoords')[high].row, $t.data('searchCoords')[high].col);
    }
  };

  self.fnScrollToNextResult = function () {
    var $t = self.$table;

    if ($t && $t.data('searchCoords') && $t.data('searchCoords').length > 0) {
      var high = $t.data('searchCoordHighlighted');
      high = high == $t.data('searchCoords').length - 1 ? 0 : high + 1;
      $t.data('searchCoordHighlighted', high);
      self.fnScrollTo($t.data('searchCoords')[high].row, $t.data('searchCoords')[high].col);
    }
  };

  self.isScrolling = false;

  self.fnScrollTo = function (row, col) {
    var $t = self.$table;

    if ($t) {
      self.isScrolling = true;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('span').text($t.data('searchCoordHighlighted') + 1 + ' ' + $t.data('oInit')['i18n'].OF + ' ' + $t.data('searchCoords').length);
      var colSel = $t.find('tr th:nth-child(' + (col + 1) + ')');
      $t.parent().animate({
        scrollLeft: colSel.position().left + $t.parent().scrollLeft() - $t.parent().offset().left - 30
      }, 300, function () {
        self.isScrolling = false;
      });
      $t.parents($t.data('oInit')['scrollable']).animate({
        scrollTop: $t.find('tbody tr').find('td:eq(0)').filter(function () {
          return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text() - 1 == row;
        }).position().top + 73
      }, 100, function () {
        $t.data('scrollToCol', col);
        $t.data('scrollToRow', row);
        $t.data('scrollAnimate', true);
        $t.parent().trigger('scroll');
      });
    }
  };

  self.isDrawing = false;

  self.fnDraw = function (force) {
    var aoColumns = self.$table.data('aoColumns');

    if (!self.isDrawing && aoColumns) {
      var $t = self.$table;

      if ($t) {
        self.isDrawing = true;
        var data = self.$table.data('data');
        var appendable = $t.children('tbody').length > 0 ? $t.children('tbody') : $t;
        var startCol = -1;
        var endCol = -1;
        $t.find('thead>tr th').each(function (i) {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).position().left > 0 && startCol == -1) {
            startCol = i;
          }

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).position().left + $t.position().left < $t.parent().width() + $t.parent().position().left) {
            endCol = i;
          }
        });
        startCol = Math.max(1, startCol - 1);
        endCol = Math.min(aoColumns.length, endCol + 3); // avoid loading just after the col
        // for tables under the 30 columns, display them all at once

        if (aoColumns.length <= 30) {
          endCol = aoColumns.length;
        }

        var rowHeight = 32;
        var invisibleOffset = $t.data('oInit')['forceInvisible'] ? $t.data('oInit')['forceInvisible'] : aoColumns.length < 100 ? 10 : 1;
        var scrollable = $t.parents($t.data('oInit')['scrollable']);
        var visibleRows = Math.ceil((scrollable.height() - Math.max($t.offset().top, 0)) / rowHeight);

        if ($t.data('oInit')['contained']) {
          visibleRows = Math.ceil(scrollable.height() / rowHeight);
        }

        visibleRows += invisibleOffset;
        visibleRows = Math.max(visibleRows, 11);
        var startRow = $t.offset().top - 73 < 0 ? Math.max(Math.floor(Math.abs($t.offset().top - 73) / rowHeight) - invisibleOffset, 0) : 0;

        if ($t.data('oInit')['contained']) {
          startRow = Math.max(0, Math.floor(Math.abs($t.position().top) / rowHeight) - invisibleOffset);
        }

        var endRow = startRow + visibleRows + invisibleOffset;

        if (endRow != $t.data('endRow') || endRow == $t.data('endRow') && endCol > $t.data('endCol') || force) {
          $t.data('endCol', endCol);
          $t.data('endRow', endRow);

          if ($t.data('fnDraws') === 0) {
            var html = '';

            for (var i = 0; i < data.length; i++) {
              html += '<tr class="ht-visible-row ht-visible-row-' + i + '"><td>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(data[i][0]) + '</td><td colspan="' + (aoColumns.length - 1) + '" class="stripe"></td></tr>';
            }

            appendable.html(html);

            if ($t.data('plugin_jHueTableExtender')) {
              $t.data('plugin_jHueTableExtender').drawFirstColumn();
            }

            if ($t.data('plugin_jHueTableExtender2')) {
              $t.data('plugin_jHueTableExtender2').drawFirstColumn(true);
            }
          } else if (force) {
            var _html = '';

            for (var _i = $t.find('.ht-visible-row').length; _i < data.length; _i++) {
              _html += '<tr class="ht-visible-row ht-visible-row-' + _i + '"><td>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(data[_i][0]) + '</td><td colspan="' + (aoColumns.length - 1) + '" class="stripe"></td></tr>';
            }

            appendable.html(appendable.html() + _html);
          }

          for (var _i2 = 0; _i2 < data.length; _i2++) {
            var _html2 = '';

            if (_i2 >= startRow && _i2 <= endRow) {
              var row = data[_i2];

              if (row) {
                for (var j = 0; j < endCol; j++) {
                  _html2 += '<td ' + (!aoColumns[j].bVisible ? 'style="display: none"' : '') + '>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(row[j]) + '</td>';
                }

                if (endCol < aoColumns.length) {
                  _html2 += '<td colspan="' + (aoColumns.length - endCol) + '" class="stripe"></td>';
                }
              }
            } else {
              _html2 = '<td>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(data[_i2][0]) + '</td><td colspan="' + (aoColumns.length - 1) + '" class="stripe"></td>';
            }

            appendable.children().eq(_i2).html(_html2);
          }

          if (force) {
            if ($t.data('plugin_jHueTableExtender')) {
              $t.data('plugin_jHueTableExtender').drawFirstColumn();
            }

            if ($t.data('plugin_jHueTableExtender2')) {
              $t.data('plugin_jHueTableExtender2').drawFirstColumn(true);
            }
          }
        }

        if ($t.data('scrollToCol')) {
          $t.find('.columnSelected').removeClass('columnSelected');
          var colSel = $t.find('tr th:nth-child(' + ($t.data('scrollToCol') + 1) + ')');

          if ($t.find('tr td:nth-child(' + ($t.data('scrollToCol') + 1) + ')').length > 0) {
            colSel = $t.find('tr td:nth-child(' + ($t.data('scrollToCol') + 1) + ')');
          }

          if ($t.data('scrollAnimate')) {
            if ($t.data('scrollAnimateDirect')) {
              $t.parent().scrollLeft(colSel.position().left + $t.parent().scrollLeft() - ($t.data('scrollInPopover') ? 0 : $t.parent().offset().left) - 30);
              $t.parent().trigger('scroll');
            } else {
              $t.parent().animate({
                scrollLeft: colSel.position().left + $t.parent().scrollLeft() - ($t.data('scrollInPopover') ? 0 : $t.parent().offset().left) - 30
              }, 300, function () {
                $t.parent().trigger('scroll');
              });
            }

            if ($t.data('scrollLastColPosLeft') == null || $t.data('scrollLastColPosLeft') != colSel.position().left) {
              $t.data('scrollLastColPosLeft', colSel.position().left);
              $t.data('scrollLastParentLeft', $t.parent().scrollLeft());
            } else {
              $t.data('scrollAnimate', null);
              $t.data('scrollAnimateDirect', null);
              $t.data('scrollLastColPosLeft', null);
              $t.data('scrollLastParentLeft', null);
            }
          }

          if ($t.data('scrollToRow') == null) {
            colSel.addClass('columnSelected');
          } else {
            $t.find('tr:nth-child(' + ($t.data('scrollToRow') + 1) + ') td:nth-child(' + ($t.data('scrollToCol') + 1) + ')').addClass('columnSelected');
          }

          if ($t.data('plugin_jHueTableExtender')) {
            $t.data('plugin_jHueTableExtender').drawHeader(typeof force === 'undefined');
            $t.data('plugin_jHueTableExtender').drawLockedRows();
          }

          if ($t.data('plugin_jHueTableExtender2')) {
            $t.data('plugin_jHueTableExtender2').drawLockedRows();
          }
        }

        $t.data('fnDraws', $t.data('fnDraws') + 1);

        if ($t.data('oInit')['fnDrawCallback']) {
          $t.data('oInit')['fnDrawCallback']();
        }

        $t.trigger('headerpadding');
        self.isDrawing = false;
      }
    }
  };

  self.fnAddData = function (mData, bRedraw) {
    var $t = self.$table;

    if ($t) {
      var aoColumns = $t.data('aoColumns') || [];
      $t.data('data', $t.data('data').concat(mData));

      if (mData.length === 0) {
        return;
      }

      if (aoColumns.length === 0) {
        mData[0].forEach(function () {
          aoColumns.push({
            bVisible: true
          });
        });
      }

      self.fnDraw(true);

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').is(':visible')) {
        self.fnSearch(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').find('input').val(), true);
      }
    }
  };

  self.fnSettings = function () {
    var aoColumns = self.$table.data('aoColumns');
    return {
      aoColumns: aoColumns
    };
  };

  self.fnClearTable = function (bRedraw) {
    var $t = self.$table;

    if ($t) {
      if ($t.children('tbody').length > 0) {
        $t.children('tbody').empty();
      } else {
        $t.children('tr').remove();
      }

      $t.data('data', []);
      $t.data('aoRows', []);
      $t.data('aoColumns', []);
      $t.data('fnDraws', 0);
    }
  };

  self.fnDestroy = function () {
    self.fnClearTable();
    self.$table.unwrap();
    self.$table.data('isScrollAttached', null);
    self.$table.removeClass('table-huedatatable');

    if (self.$table.data('oInit')) {
      self.$table.parents(self.$table.data('oInit')['scrollable']).off('scroll', self.$table.parents(self.$table.data('oInit')['scrollable']).data('scrollFnDt'));
    }
  };

  return self.each(function () {
    self.$table = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
    var parent = self.$table.parent();

    if (parent.hasClass('dataTables_wrapper')) {
      return;
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').remove();
    self.$table.data('data', []);
    self.$table.data('aoRows', []);
    self.$table.data('aoColumns', []);
    self.$table.data('fnDraws', 0);
    self.$table.wrap('<div class="dataTables_wrapper"></div>');
    self.$table.unbind('sort');
    self.$table.bind('sort', function (e, obj) {
      self.$table.find('thead tr th:not(:eq(' + obj.originalIndex + '))').removeClass('sorting_desc').removeClass('sorting_asc');
      self.$table.data('scrollAnimate', true);
      self.$table.data('scrollAnimateDirect', true);
      var $cell = self.$table.find('thead tr th:eq(' + obj.originalIndex + ')');

      if ($cell.hasClass('sorting_desc')) {
        $cell.removeClass('sorting_desc');
        self.fnSortColumn(obj, 0);
      } else if ($cell.hasClass('sorting_asc')) {
        $cell.removeClass('sorting_asc').addClass('sorting_desc');
        self.fnSortColumn(obj, 1);
      } else {
        $cell.addClass('sorting_asc');
        self.fnSortColumn(obj, -1);
      }

      if (self.$table.data('plugin_jHueTableExtender2')) {
        self.$table.data('plugin_jHueTableExtender2').drawHeader();
        self.$table.data('plugin_jHueTableExtender2').drawLockedRows();
      }
    });

    if (typeof oInit !== 'undefined') {
      self.$table.data('oInit', oInit);
      var drawTimeout = -1;

      if (self.$table.data('oInit')['scrollable'] && !self.$table.data('isScrollAttached')) {
        self.$table.data('isScrollAttached', true);

        var scrollFn = function scrollFn() {
          window.clearTimeout(drawTimeout);
          drawTimeout = window.setTimeout(self.fnDraw, Math.max(100, Math.min(self.$table.data('aoColumns') ? self.$table.data('aoColumns').length : 500, 500)));
        };

        window.setTimeout(function () {
          self.$table.parents(oInit['scrollable']).data('scrollFnDt', scrollFn);
          self.$table.parents(oInit['scrollable']).on('scroll', scrollFn);
        }, 1000);
      }
    }

    self.$table.addClass('table-huedatatable');
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.notify.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.notify.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue notify plugin
 *
 */

var pluginName = 'jHueNotify',
    TYPES = {
  INFO: 'INFO',
  ERROR: 'ERROR',
  GENERAL: 'GENERAL'
},
    defaults = {
  level: TYPES.GENERAL,
  message: '',
  sticky: false,
  css: null
};

function Plugin(options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.show();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.show = function () {
  var _this = this;

  var MARGIN = 4;
  _this.options.message = _this.options.message.replace(/(<([^>]+)>)/gi, ''); // escape HTML messages

  if (_this.options.message !== '' && jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify .message').last().text() !== _this.options.message) {
    var el = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueNotify').clone();
    el.removeAttr('id'); // stops all the current animations and resets the style

    el.stop(true);
    el.attr('class', 'alert jHueNotify');
    el.find('.close').hide();

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').last().position() != null) {
      el.css('top', jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').last().position().top + jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').last().outerHeight() + MARGIN);
    }

    if (_this.options.level == TYPES.ERROR) {
      el.addClass('alert-error');
    } else if (_this.options.level == TYPES.INFO) {
      el.addClass('alert-info');
    }

    el.find('.message').html('<strong>' + _this.options.message + '</strong>');

    if (_this.options.css != null) {
      el.attr('style', _this.options.css);
    }

    el.on('dblclick', function () {
      el.toggleClass('expanded');
    });

    if (_this.options.sticky) {
      el.find('.close').click(function () {
        el.fadeOut();
        el.nextAll('.jHueNotify').animate({
          top: '-=' + (el.outerHeight() + MARGIN)
        }, 200);
        el.remove();
      }).show();
      el.show();
    } else {
      var t = window.setTimeout(function () {
        el.fadeOut();
        el.nextAll('.jHueNotify').animate({
          top: '-=' + (el.outerHeight() + MARGIN)
        }, 200);
        el.remove();
      }, 3000);
      el.click(function () {
        window.clearTimeout(t);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).stop(true);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).fadeOut();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).nextAll('.jHueNotify').animate({
          top: '-=' + (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).outerHeight() + MARGIN)
        }, 200);
      });
      el.show();
    }

    el.appendTo('body');
  }
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function () {};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].info = function (message) {
  new Plugin({
    level: TYPES.INFO,
    message: message
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].warn = function (message) {
  new Plugin({
    level: TYPES.GENERAL,
    message: message,
    sticky: true
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].error = function (message) {
  new Plugin({
    level: TYPES.ERROR,
    message: message,
    sticky: true
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].notify = function (options) {
  new Plugin(options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.rowselector.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.rowselector.js ***!
  \**************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/*
 * jHue row selector plugin
 *
 */

var pluginName = 'jHueRowSelector',
    defaults = {};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.init = function () {
  var _this = this;

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).closest('tr').click(function (e) {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target).data('row-selector-exclude') || jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target).closest('td').hasClass('row-selector-exclude')) {
      return;
    }

    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target).is('a')) {
      var href = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).attr('href'));

      if (href != '' && href != '#' && href.indexOf('void(0)') == -1) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('open.link', jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).attr('href'));
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).click();
      }
    }
  }).css('cursor', 'pointer');
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollleft.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollleft.js ***!
  \*************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/*
 * jHue scroll to left plugin
 * Can be used globally with
 *   $.jHueScrollLeft()
 * or with a target for the scroll left
 *   $(element).jHueScrollLeft()
 *
 *   options:
 *    - threshold: (default 100) value in pixels, scroll amount before the link appears
 */

var pluginName = 'jHueScrollLeft',
    defaults = {
  threshold: 100 // it displays it after 100 px of scroll

};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('jHueLeftScrollified') !== 'true') {
    this.setupScrollLeft();
  }
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.setupScrollLeft = function () {
  var _this = this;

  var link = null,
      isActive = true;

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').length > 0) {
    // just one scroll up per page
    link = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', '#jHueScrollLeftAnchor');
  } else {
    link = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a/>').attr('id', 'jHueScrollLeftAnchor').addClass('hueAnchor hueAnchorScroller').attr('href', 'javascript:void(0)').html("<i class='fa fa-fw fa-chevron-left'></i>").appendTo('body');
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).attr('jHueLeftScrollified', 'true');

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).is('body')) {
    setScrollBehavior(jquery__WEBPACK_IMPORTED_MODULE_0___default()(window), jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
  } else {
    setScrollBehavior(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element), jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element));
  }

  function positionOtherAnchors() {
    var upPosition = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').css('right').replace(/px/gi, '') * 1;
    var right = upPosition - 30;

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').is(':visible')) {
      right = upPosition;
    }

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').is(':visible')) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').css('right', right + 50 + 'px');
      right += 50;
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').css('right', right + 50 + 'px');
  }

  function setScrollBehavior(scrolled, scrollable) {
    scrolled.scroll(function () {
      if (scrolled.scrollLeft() > _this.options.threshold) {
        if (link.is(':hidden')) {
          positionOtherAnchors();

          if (isActive) {
            link.fadeIn(200, positionOtherAnchors);
          }
        }

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollLeft') == null || jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollLeft') < scrolled.scrollLeft()) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller', scrollable);
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollLeft', scrolled.scrollTop());
      } else {
        checkForAllScrolls();
      }
    });
  }

  function checkForAllScrolls() {
    var _allOk = true;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).find("[jHueLeftScrollified='true']").each(function (cnt, item) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).is('body')) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).scrollLeft() > _this.options.threshold) {
          _allOk = false;
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
        }
      } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).scrollLeft() > _this.options.threshold) {
        _allOk = false;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()(item));
      }
    });

    if (_allOk) {
      if (isActive) {
        link.fadeOut(200, positionOtherAnchors);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller', null);
    }
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', '#jHueScrollLeftAnchor', function (event) {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller') != null) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller').animate({
        scrollLeft: 0
      }, 300, function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).find("[jHueLeftScrollified='true']").trigger('scroll_update');

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).find("[jHueLeftScrollified='true']").not(jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller')).is('body') && jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).scrollLeft() > _this.options.threshold) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
        } else {
          checkForAllScrolls();
        }
      });
    }

    return false;
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('hue.scrollleft.show', function () {
    isActive = true;
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('hue.scrollleft.hide', function () {
    isActive = false;

    if (link.is(':visible')) {
      link.hide();
    }
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function (options) {
  new Plugin(jquery__WEBPACK_IMPORTED_MODULE_0___default()('body'), options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollup.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.scrollup.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/*
 * jHue scroll to top plugin
 * Can be used globally with
 *   $.jHueScrollUp()
 * or with a target for the scroll up
 *   $(element).jHueScrollUp()
 *
 *   options:
 *    - threshold: (default 100) value in pixels, scroll amount before the link appears
 */

var pluginName = 'jHueScrollUp',
    defaults = {
  threshold: 100,
  // it displays it after 100 px of scroll
  scrollLeft: false
};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('jHueScrollified') !== 'true') {
    this.setupScrollUp();
  }

  if (this.options.scrollLeft) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).jHueScrollLeft(this.options.threshold);
  }
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.setupScrollUp = function () {
  var _this = this;

  var link = null;

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').length > 0) {
    // just one scroll up per page
    link = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', '#jHueScrollUpAnchor');
  } else {
    link = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a/>').attr('id', 'jHueScrollUpAnchor').addClass('hueAnchor hueAnchorScroller').attr('href', 'javascript:void(0)').html("<i class='fa fa-fw fa-chevron-up'></i>").appendTo('body');
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).attr('jHueScrollified', 'true');

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).is('body')) {
    setScrollBehavior(jquery__WEBPACK_IMPORTED_MODULE_0___default()(window), jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
  } else {
    setScrollBehavior(jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element), jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element));
  }

  function positionOtherAnchors() {
    var upPosition = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').css('right').replace(/px/gi, '') * 1;
    var right = upPosition - 30;

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').is(':visible')) {
      right = upPosition;
    }

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').is(':visible')) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollLeftAnchor').css('right', right + 50 + 'px');
      right += 50;
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-datatable-search').css('right', right + 50 + 'px');
  }

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('reposition.scroll.anchor.up', function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').css('right', '20px');

    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).is('body') && jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).is(':visible')) {
      var adjustRight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() - (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).width() + jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).offset().left);

      if (adjustRight > 0) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').css('right', adjustRight + 'px');
      }
    }

    positionOtherAnchors();
  });

  function setScrollBehavior(scrolled, scrollable) {
    scrolled.scroll(function () {
      if (scrolled.scrollTop() > _this.options.threshold) {
        if (link.is(':hidden')) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('reposition.scroll.anchor.up');
          link.fadeIn(200, function () {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('reposition.scroll.anchor.up');
          });
        }

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollTop') == null || jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollTop') < scrolled.scrollTop()) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller', scrollable);
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('lastScrollTop', scrolled.scrollTop());
      } else {
        checkForAllScrolls();
      }
    });
    window.setTimeout(function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('reposition.scroll.anchor.up');
    }, 0);
  }

  function checkForAllScrolls() {
    var _allOk = true;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).find("[jHueScrollified='true']").each(function (cnt, item) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).is('body')) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).scrollTop() > _this.options.threshold) {
          _allOk = false;
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
        }
      } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).scrollTop() > _this.options.threshold) {
        _allOk = false;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()(item));
      }
    });

    if (_allOk) {
      link.fadeOut(200, positionOtherAnchors);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller', null);
    }
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', '#jHueScrollUpAnchor', function (event) {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller') != null) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller').animate({
        scrollTop: 0
      }, 300, function () {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).find("[jHueScrollified='true']").not(jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller')).is('body') && jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).scrollTop() > _this.options.threshold) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueScrollUpAnchor').data('caller', jquery__WEBPACK_IMPORTED_MODULE_0___default()('body, html'));
        } else {
          checkForAllScrolls();
        }
      });
    }

    return false;
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function (options) {
  new Plugin(jquery__WEBPACK_IMPORTED_MODULE_0___default()('body'), options);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.selectize.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.selectize.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var selectize__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! selectize */ "./node_modules/selectize/dist/js/selectize.js");
/* harmony import */ var selectize__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(selectize__WEBPACK_IMPORTED_MODULE_0__);
/*! selectize clear button plugin by Alexey Petushkov | https://github.com/mentatxx/selectize-plugin-clear | Apache License (v2) */

window.Selectize = selectize__WEBPACK_IMPORTED_MODULE_0___default.a;

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.selector.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.selector.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue selector plugin
 * it tranforms a select multiple into a searchable/selectable alphabetical list
 */

var pluginName = 'jHueSelector',
    defaults = {
  selectAllLabel: 'Select all',
  showSelectAll: true,
  searchPlaceholder: 'Search',
  noChoicesFound: 'No choices found for this element',
  width: 300,
  height: 200,
  onChange: function onChange() {}
};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.init = function () {
  var _this = this;

  var addressBook = [];
  var selectorContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>');

  if (this.options.width != 300) {
    selectorContainer.width(this.options.width);
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).hide();
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('option').each(function (cnt, opt) {
    var initial = jquery__WEBPACK_IMPORTED_MODULE_0___default()(opt).text().substr(0, 1).toLowerCase();

    if (addressBook[initial] == null) {
      addressBook[initial] = [];
    }

    addressBook[initial].push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(opt));
  });
  var sortedKeys = [];

  for (var key in addressBook) {
    if (addressBook.hasOwnProperty(key)) {
      sortedKeys.push(key);
    }
  }

  sortedKeys.sort();

  if (sortedKeys.length == 0) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).after(jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('alert').css('margin-top', '-2px').css('float', 'left').html(this.options.noChoicesFound));
  } else {
    selectorContainer.addClass('jHueSelector');
    var body = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('jHueSelectorBody');
    body.appendTo(selectorContainer);

    var _loop = function _loop(i) {
      var key = sortedKeys[i];
      var ul = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul>');
      var dividerLi = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>').addClass('selectorDivider');
      dividerLi.html('<strong>' + key.toUpperCase() + '</strong>');
      dividerLi.appendTo(ul);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(addressBook[key], function (cnt, opt) {
        var li = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li>');
        var lbl = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<label>').text(opt.text());
        var chk = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'checkbox').addClass('selector').change(function () {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).is(':checked')) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).data('opt').attr('selected', 'selected');
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).data('opt').removeAttr('selected');
          }

          _this.options.onChange();
        }).data('opt', opt).prependTo(lbl);

        if (opt.is(':selected')) {
          chk.attr('checked', 'checked');
        }

        lbl.appendTo(li);
        li.appendTo(ul);
      });
      ul.appendTo(body);
    };

    for (var i = 0; i < sortedKeys.length; i++) {
      _loop(i);
    }

    var header = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('jHueSelectorHeader');
    header.prependTo(selectorContainer);
    var selectAll = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<label>').html('&nbsp;');

    if (this.options.showSelectAll) {
      selectAll.text(this.options.selectAllLabel);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'checkbox').change(function () {
        var isChecked = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).is(':checked');
        selectorContainer.find('input.selector:visible').each(function () {
          if (isChecked) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).prop('checked', true);
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).data('opt').attr('selected', 'selected');
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).prop('checked', false);
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).data('opt').removeAttr('selected');
          }
        });

        if (searchBox.val() != '') {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).prop('checked', false);
        }

        _this.options.onChange();
      }).prependTo(selectAll);
    }

    selectAll.appendTo(header);
    var searchBox = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<input>').attr('type', 'text').attr('placeholder', this.options.searchPlaceholder).keyup(function () {
      body.find('ul').attr('show', true).show();
      var q = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).val());

      if (q != '') {
        body.find('li.selectorDivider').hide();
        body.find('label').each(function () {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text().toLowerCase().indexOf(q.toLowerCase()) > -1) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parent().show();
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parent().hide();
          }
        });
        body.find('ul').attr('show', false);
        body.find('ul > *:visible').parent().attr('show', true).find('li.selectorDivider').show();
      } else {
        body.find('li.selectorDivider').show();
        body.find('label').parent().show();
      }

      body.find('ul[show=false]').hide();
      body.find('ul[show=true]').show();
    });

    if (this.options.width != 300) {
      searchBox.css('margin-left', this.options.width - 120 + 'px');
    }

    searchBox.prependTo(header);
    body.height(this.options.height - header.outerHeight());
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).after(selectorContainer);
  }
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender.js ***!
  \****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



/*
 * jHue table extender plugin
 *
 */

var pluginName = 'jHueTableExtender',
    defaults = {
  fixedHeader: false,
  fixedFirstColumn: false,
  fixedFirstColumnTopMargin: 0,
  headerSorting: true,
  lockSelectedRow: false,
  firstColumnTooltip: false,
  classToRemove: 'resultTable',
  hintElement: null,
  includeNavigator: true,
  mainScrollable: window,
  stickToTopPosition: -1,
  app: null,
  labels: {
    GO_TO_COLUMN: 'Go to column:',
    PLACEHOLDER: 'column name...',
    LOCK: 'Click to lock row',
    UNLOCK: 'Click to unlock row'
  }
};

function Plugin(element, options) {
  this.element = element;
  this.setOptions(options);
  this._name = pluginName;
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this.options.labels = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults.labels, {
    GO_TO_COLUMN: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Go to column:'),
    PLACEHOLDER: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('column name...'),
    LOCK: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Lock this row'),
    UNLOCK: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Unlock this row'),
    ROW_DETAILS: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Show row details')
  }, options ? options.labels : {});
  this._defaults = defaults;

  if (this.options.fixedHeader) {
    drawHeader(this);
  }

  if (this.options.fixedFirstColumn) {
    drawFirstColumn(this);
  }
};

Plugin.prototype.resetSource = function () {
  var _this = this;

  if (_this.options.includeNavigator) {
    var source = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(this.element).find('th').each(function () {
      source.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text());
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jHueTableExtenderNavigator').find('input').data('typeahead').source = source;
  }
};

Plugin.prototype.drawHeader = function (skipCreation) {
  drawHeader(this, skipCreation);
};

Plugin.prototype.drawFirstColumn = function () {
  drawFirstColumn(this);
};

Plugin.prototype.drawLockedRows = function (force) {
  var _this = this;

  var $pluginElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element);

  if ($pluginElement.data('lockedRows')) {
    var locks = $pluginElement.data('lockedRows');
    Object.keys(locks).forEach(function (idx) {
      drawLockedRow(_this, idx.substr(1), force);
    });
  }
};

Plugin.prototype.init = function () {
  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.expr[':'].econtains = function (obj, index, meta, stack) {
    return (obj.textContent || obj.innerText || jquery__WEBPACK_IMPORTED_MODULE_0___default()(obj).text() || '').toLowerCase() == meta[3].toLowerCase();
  };

  var _this = this;

  if (_this.options.includeNavigator) {
    var jHueTableExtenderNavigator = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', 'jHueTableExtenderNavigator');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a>').attr('href', '#').addClass('pull-right').html('&times;').click(function (e) {
      e.preventDefault();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parent().hide();
    }).appendTo(jHueTableExtenderNavigator);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<label>').html(_this.options.labels.GO_TO_COLUMN + ' <input type="text" placeholder="' + _this.options.labels.PLACEHOLDER + '" />').appendTo(jHueTableExtenderNavigator);
    jHueTableExtenderNavigator.appendTo('body');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('tbody').click(function (event) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(getSelection()) == '') {
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.rowSelected').removeClass('rowSelected');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.columnSelected').removeClass('columnSelected');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.cellSelected').removeClass('cellSelected');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target.parentNode).addClass('rowSelected');
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target.parentNode).find('td').addClass('rowSelected');
          jHueTableExtenderNavigator.css('left', (event.pageX + jHueTableExtenderNavigator.width() > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() - 10 ? event.pageX - jHueTableExtenderNavigator.width() - 10 : event.pageX) + 'px').css('top', event.pageY + 10 + 'px').show();
          jHueTableExtenderNavigator.find('input').focus();
        }, 100);
      }
    });
    var source = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('th').each(function () {
      source.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text());
    });
    jHueTableExtenderNavigator.find('input').typeahead({
      source: source,
      updater: function updater(item) {
        jHueTableExtenderNavigator.hide();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('tr td:nth-child(' + (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('th:econtains(' + item + ')').index() + 1) + ')').addClass('columnSelected');

        if (_this.options.firstColumnTooltip) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('tr td:nth-child(' + (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('th:econtains(' + item + ')').index() + 1) + ')').each(function () {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('rel', 'tooltip').attr('title', '#' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parent().find('td:first-child').text()).tooltip({
              placement: 'left'
            });
          });
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).parent().animate({
          scrollLeft: jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('th:econtains(' + item + ')').position().left + jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).parent().scrollLeft() - jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).parent().offset().left - 30
        }, 300);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('tr.rowSelected td:nth-child(' + (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('th:econtains(' + item + ')').index() + 1) + ')').addClass('cellSelected');
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).parent().bind('mouseleave', function () {
      jHueTableExtenderNavigator.hide();
    });
    jHueTableExtenderNavigator.bind('mouseenter', function (e) {
      jHueTableExtenderNavigator.show();
    });
  }

  if (_this.options.hintElement != null) {
    var showAlertTimeout = -1;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('tbody').mousemove(function () {
      window.clearTimeout(showAlertTimeout);

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.options.hintElement).data('show') == null || jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.options.hintElement).data('show')) {
        showAlertTimeout = window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.options.hintElement).fadeIn();
        }, 1300);
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.options.hintElement).find('.close').click(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.options.hintElement).data('show', false);
    });
  }

  if (_this.options.fixedHeader) {
    drawHeader(_this);
  }

  if (_this.options.fixedFirstColumn) {
    drawFirstColumn(_this);
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click dblclick', '.dataTables_wrapper > table tbody tr', function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.dataTables_wrapper > .jHueTableExtenderClonedContainerColumn table tbody tr.selected').removeClass('selected');

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hasClass('selected')) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).removeClass('selected');
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.dataTables_wrapper > table tbody tr.selected').removeClass('selected');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).addClass('selected');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.dataTables_wrapper > .jHueTableExtenderClonedContainerColumn table tbody tr:eq(' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).index() + ')').addClass('selected');
    }
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('dblclick', '.dataTables_wrapper > table tbody tr', function () {
    if (_utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"]) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('table.row.show.details', {
        idx: jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).index(),
        table: jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parents('table')
      });
    }
  });
};

function drawLockedRow(plugin, rowNo, force) {
  var $pluginElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element);
  var lockedRows = $pluginElement.data('lockedRows') || {};
  var $header = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainer');
  var $headerCounter = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainerCell');
  $header.addClass('locked');
  $headerCounter.addClass('locked');

  function unlock($el) {
    $header.find('tr td:first-child').filter(function () {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text() === rowNo + '';
    }).closest('tr').remove();
    delete lockedRows['r' + $el.text()];
    $el.parent().remove();

    if ($header.find('tbody tr').length == 0) {
      $header.removeClass('locked');
      $headerCounter.removeClass('locked');
    }
  }

  if (Object.keys(lockedRows).indexOf('r' + rowNo) === -1 || force) {
    if (force) {
      unlock(lockedRows['r' + rowNo].cell.find('td'));
    }

    var $clone = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tr>');
    var tHtml = '';
    var aoColumns = $pluginElement.data('aoColumns');
    $pluginElement.data('data')[rowNo - 1].forEach(function (col, idx) {
      tHtml += '<td ' + (aoColumns && !aoColumns[idx].bVisible ? 'style="display: none"' : '') + '>' + col + '</td>';
    });
    $clone.html(tHtml);
    $clone.addClass('locked');
    $clone.appendTo($header.find('tbody'));
    $pluginElement.data('lockedRows', lockedRows);
    var $newTr = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tr>');
    $newTr.addClass('locked').html('<td class="pointer unlockable" title="' + plugin.options.labels.UNLOCK + '"><i class="fa fa-unlock muted"></i>' + rowNo + '</td>').appendTo($headerCounter.find('tbody'));
    $newTr.find('td').on('click', function () {
      unlock(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
    });
    lockedRows['r' + rowNo] = {
      row: $clone,
      cell: $newTr
    };
  } else {
    lockedRows['r' + rowNo].row.appendTo($header.find('tbody'));
    lockedRows['r' + rowNo].cell.appendTo($headerCounter.find('tbody'));
    lockedRows['r' + rowNo].cell.find('td').on('click', function () {
      unlock(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
    });
  }
}

function drawFirstColumn(plugin) {
  var $pluginElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element);

  if (!$pluginElement.attr('id') && plugin.options.parentId) {
    $pluginElement.attr('id', 'eT' + plugin.options.parentId);
  }

  var mainScrollable = plugin.options.mainScrollable;
  var originalTh = jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).find('thead>tr th:eq(0)');
  var topPosition;

  if (plugin.options.clonedContainerPosition == 'absolute') {
    topPosition = $pluginElement.parent().position().top - jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).scrollTop();
  } else {
    topPosition = $pluginElement.parent().offset().top - jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).scrollTop();
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainerCell').remove();
  var clonedCell = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).attr('class'));
  clonedCell.removeClass(plugin.options.classToRemove);
  clonedCell.css('margin-bottom', '0').css('table-layout', 'fixed');
  var clonedCellTHead = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<thead>');
  clonedCellTHead.appendTo(clonedCell);
  var clonedCellTH = originalTh.clone();
  clonedCellTH.appendTo(clonedCellTHead);
  clonedCellTH.width(originalTh.width()).css({
    'background-color': '#FFFFFF',
    'border-color': 'transparent'
  });
  clonedCellTH.click(function () {
    originalTh.click();
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tbody>').appendTo(clonedCell);
  var clonedCellContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css('background-color', '#FFFFFF').width(originalTh.outerWidth());
  clonedCell.appendTo(clonedCellContainer);
  var clonedCellVisibleContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).attr('id') + 'jHueTableExtenderClonedContainerCell').addClass('jHueTableExtenderClonedContainerCell').width(originalTh.outerWidth()).css('overflow', 'hidden').css('top', topPosition + 'px');
  clonedCellVisibleContainer.css('position', plugin.options.clonedContainerPosition || 'fixed');
  clonedCellContainer.appendTo(clonedCellVisibleContainer);
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainerColumn').remove();
  var clonedTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).attr('class')).html('<thead></thead><tbody></tbody>');
  clonedTable.removeClass(plugin.options.classToRemove);
  clonedTable.css('margin-bottom', '0').css('table-layout', 'fixed');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).find('thead>tr th:eq(0)').clone().appendTo(clonedTable.find('thead'));
  var clonedTBody = clonedTable.find('tbody');
  var clones = jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).find('tbody>tr td:nth-child(1)').clone();
  var h = '';
  clones.each(function () {
    h += '<tr><td>' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html() + '</td></tr>';
  });
  clonedTBody.html(h);

  if (plugin.options.lockSelectedRow) {
    clonedTBody.find('td').each(function () {
      var cell = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      cell.attr('title', plugin.options.labels.LOCK).addClass('lockable pointer').on('click', function () {
        drawLockedRow(plugin, jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text() * 1);
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-lock muted').prependTo(cell);
    });
  }

  clonedTable.find('thead>tr th:eq(0)').width(originalTh.width()).css('background-color', '#FFFFFF');
  var clonedTableContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css('background-color', '#FFFFFF').width(originalTh.outerWidth()).height($pluginElement.parent().get(0).scrollHeight);
  clonedTable.appendTo(clonedTableContainer);
  var clonedTableVisibleContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', $pluginElement.attr('id') + 'jHueTableExtenderClonedContainerColumn').addClass('jHueTableExtenderClonedContainerColumn').width(originalTh.outerWidth()).height($pluginElement.parent().height()).css('overflow', 'hidden').css('top', topPosition + 'px');
  clonedTableVisibleContainer.css('position', plugin.options.clonedContainerPosition || 'fixed');
  clonedTableContainer.appendTo(clonedTableVisibleContainer);
  clonedTableVisibleContainer.appendTo($pluginElement.parent());
  clonedCellVisibleContainer.appendTo($pluginElement.parent());
  window.clearInterval($pluginElement.data('firstcol_interval'));
  var firstColInt = window.setInterval(function () {
    if ($pluginElement.parent().height() != $pluginElement.parent().data('h')) {
      clonedTableContainer.height($pluginElement.parent().get(0).scrollHeight);
      clonedTableVisibleContainer.height($pluginElement.parent().height());
      $pluginElement.parent().data('h', clonedTableVisibleContainer.height());
    }
  }, 250, plugin.options.app);
  $pluginElement.data('firstcol_interval', firstColInt);
  $pluginElement.parent().resize(function () {
    clonedTableContainer.height($pluginElement.parent().get(0).scrollHeight);
    clonedTableVisibleContainer.height($pluginElement.parent().height());
  });
  $pluginElement.parent().scroll(function () {
    clonedTableContainer.css('marginTop', -$pluginElement.parent().scrollTop() + plugin.options.fixedFirstColumnTopMargin + 'px');
  });
  clonedTableContainer.css('marginTop', -$pluginElement.parent().scrollTop() + plugin.options.fixedFirstColumnTopMargin + 'px');

  function positionClones() {
    var pos = plugin.options.stickToTopPosition;

    if (typeof pos === 'function') {
      pos = pos();
    }

    if (pos > -1) {
      if ($pluginElement.offset().top < pos) {
        clonedCellVisibleContainer.css('top', pos + 'px');
      } else {
        clonedCellVisibleContainer.css('top', $pluginElement.offset().top + 'px');
      }

      clonedTableVisibleContainer.css('top', $pluginElement.offset().top + 'px');
    } else if (plugin.options.clonedContainerPosition == 'absolute') {
      clonedTableVisibleContainer.css('top', $pluginElement.parent().position().top + 'px');
      clonedCellVisibleContainer.css('top', $pluginElement.parent().position().top + 'px');
    } else {
      clonedTableVisibleContainer.css('top', $pluginElement.parent().offset().top + 'px');
      clonedCellVisibleContainer.css('top', $pluginElement.parent().offset().top + 'px');
    }
  }

  positionClones();
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).on('scroll', positionClones);
}

function drawHeader(plugin, skipCreation) {
  var $pluginElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element);

  if (!$pluginElement.attr('id') && plugin.options.parentId) {
    $pluginElement.attr('id', 'eT' + plugin.options.parentId);
  }

  if (typeof skipCreation === 'undefined') {
    var mainScrollable = plugin.options.mainScrollable;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainer').remove();
    var clonedTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', jquery__WEBPACK_IMPORTED_MODULE_0___default()(plugin.element).attr('class'));
    clonedTable.removeClass(plugin.options.classToRemove);
    clonedTable.css('margin-bottom', '0').css('table-layout', 'fixed');
    var clonedTableTHead = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<thead>');
    clonedTableTHead.appendTo(clonedTable);
    var clonedTableTR = $pluginElement.find('thead>tr').clone();
    clonedTableTR.appendTo(clonedTableTHead);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tbody>').appendTo(clonedTable);
    clonedTable.find('thead>tr th').wrapInner('<span></span>');
    $pluginElement.find('thead>tr th').each(function (i) {
      var originalTh = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      originalTh.removeAttr('data-bind');
      clonedTable.find('thead>tr th:eq(' + i + ')').width(originalTh.width()).css('background-color', '#FFFFFF').click(function () {
        originalTh.click();

        if (plugin.options.headerSorting) {
          clonedTable.find('thead>tr th').attr('class', 'sorting');
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('class', originalTh.attr('class'));
      });
    });
    var clonedTableContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').width($pluginElement.outerWidth());
    clonedTable.appendTo(clonedTableContainer);
    var topPosition;

    if (plugin.options.clonedContainerPosition == 'absolute') {
      topPosition = $pluginElement.parent().position().top - jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).scrollTop();
    } else {
      topPosition = $pluginElement.parent().offset().top - jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).scrollTop();
    }

    var clonedTableVisibleContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', $pluginElement.attr('id') + 'jHueTableExtenderClonedContainer').addClass('jHueTableExtenderClonedContainer').width($pluginElement.parent().width()).css('overflow-x', 'hidden').css('top', topPosition + 'px');
    clonedTableVisibleContainer.css('position', plugin.options.clonedContainerPosition || 'fixed');
    clonedTableContainer.appendTo(clonedTableVisibleContainer);
    clonedTableVisibleContainer.prependTo($pluginElement.parent());

    var throttledHeaderPadding = function throttledHeaderPadding() {
      var firstCellWidth = clonedTable.find('thead>tr th:eq(0)').outerWidth();
      clonedTable.find('thead>tr th').each(function () {
        var leftPosition = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).position().left - firstCellWidth;

        if (leftPosition + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).outerWidth() > 0 && leftPosition < 0) {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).find('span').width() + -leftPosition < jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).outerWidth() - 20) {
            // 20 is the sorting css width
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).find('span').css('paddingLeft', -leftPosition);
          }
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).find('span').css('paddingLeft', 0);
        }
      });
    };

    var scrollTimeout = -1;
    $pluginElement.parent().scroll(function () {
      var scrollLeft = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).scrollLeft();
      clonedTableVisibleContainer.scrollLeft(scrollLeft);
      window.clearTimeout(scrollTimeout);
      scrollTimeout = window.setTimeout(throttledHeaderPadding, 200);
    });
    $pluginElement.bind('headerpadding', function () {
      scrollTimeout = window.setTimeout(throttledHeaderPadding, 200);
    });
    clonedTableVisibleContainer.scrollLeft($pluginElement.parent().scrollLeft());
    $pluginElement.parent().data('w', clonedTableVisibleContainer.width());
    window.clearInterval($pluginElement.data('header_interval'));
    var headerInt = window.setInterval(function () {
      if ($pluginElement.parent().width() != $pluginElement.parent().data('w')) {
        clonedTableVisibleContainer.width($pluginElement.parent().width());
        $pluginElement.parent().data('w', clonedTableVisibleContainer.width());
        $pluginElement.find('thead>tr th').each(function (i) {
          clonedTable.find('thead>tr th:eq(' + i + ')').width(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).width()).css('background-color', '#FFFFFF');
        });
      }
    }, 250, plugin.options.app);
    $pluginElement.data('header_interval', headerInt);
    $pluginElement.parent().resize(function () {
      clonedTableVisibleContainer.width(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).width());
    });

    var positionClones = function positionClones() {
      var pos = plugin.options.stickToTopPosition;

      if (typeof pos === 'function') {
        pos = pos();
      }

      if (pos > -1) {
        if ($pluginElement.offset().top < pos) {
          clonedTableVisibleContainer.css('top', pos + 'px');
        } else {
          clonedTableVisibleContainer.css('top', $pluginElement.offset().top + 'px');
        }
      } else if (plugin.options.clonedContainerPosition == 'absolute') {
        clonedTableVisibleContainer.css('top', $pluginElement.parent().position().top + 'px');
      } else {
        clonedTableVisibleContainer.css('top', $pluginElement.parent().offset().top + 'px');
      }
    };

    positionClones();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(mainScrollable).on('scroll', positionClones);
  } else {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainer').children('div').width($pluginElement.outerWidth());
    $pluginElement.find('thead>tr th').each(function (i) {
      var originalTh = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + $pluginElement.attr('id') + 'jHueTableExtenderClonedContainer').find('thead>tr th:eq(' + i + ')').width(originalTh.width()).attr('class', originalTh.attr('class'));
    });
  }
}

function getSelection() {
  var t = '';

  if (window.getSelection) {
    t = window.getSelection();
  } else if (document.getSelection) {
    t = document.getSelection();
  } else if (document.selection) {
    t = document.selection.createRange().text;
  }

  return t.toString();
}

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).resetSource();
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender2.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.tableextender2.js ***!
  \*****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var PLUGIN_NAME = 'jHueTableExtender2';
var DEFAULT_OPTIONS = {
  fixedHeader: true,
  fixedFirstColumn: true,
  fixedFirstColumnTopMargin: 0,
  headerSorting: true,
  lockSelectedRow: true,
  firstColumnTooltip: false,
  classToRemove: 'resultTable',
  hintElement: null,
  mainScrollable: window,
  app: null,
  stickToTopPosition: -1,
  labels: {
    GO_TO_COLUMN: 'Go to column:',
    PLACEHOLDER: 'column name...',
    LOCK: 'Lock row',
    UNLOCK: 'Unlock row',
    ROW_DETAILS: 'Show row details'
  }
};

function Plugin(element, options) {
  var self = this;
  self.disposeFunctions = [];
  self.lockedRows = {};
  self.setOptions(options); // Sets self.options

  self.$element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
  self.$parent = self.$element.parent();
  self.$mainScrollable = jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.options.mainScrollable);
  self.lastHeaderWidth = 0;
  self.drawHeader(); // Sets self.headerRowContainer, self.thMapping

  self.drawFirstColumn(); // Sets self.firstColumnInner, self.firstColumnTopCell and self.firstColumn

  self.drawLockedRows();
  var manyColumns = self.thMapping.length > 20;
  var sortAdjustment = self.options.noSort ? 10 : 20; // 20 is the sorting css width

  var firstCellWidth, leftPosition, th, thi, leftPadding;

  var throttledHeaderPadding = function throttledHeaderPadding() {
    firstCellWidth = self.options.fixedFirstColumn ? self.firstColumnTopCell.outerWidth() : 0;

    for (thi = 0; thi < self.thMapping.length; thi++) {
      th = self.thMapping[thi];

      if (!th.original.is(':visible')) {
        continue;
      }

      leftPosition = th.clone.position().left - firstCellWidth;

      if (leftPosition + th.clone.outerWidth() > 0 && leftPosition < 0) {
        if (th.cloneSpan.width() - leftPosition < th.clone.outerWidth() - sortAdjustment) {
          leftPadding = -leftPosition;
        } else {
          leftPadding = th.clone.outerWidth() - sortAdjustment - th.cloneSpan.width();
        }

        th.cloneSpan.css('paddingLeft', leftPadding);
      } else {
        th.cloneSpan.css('paddingLeft', 0);
      }
    }
  };

  var scrollTimeout = -1;

  var headerScroll = function headerScroll() {
    self.headerRowContainer.scrollLeft(self.$parent.scrollLeft());

    if (manyColumns) {
      window.clearTimeout(scrollTimeout);
      scrollTimeout = window.setTimeout(throttledHeaderPadding, 200);
    } else {
      throttledHeaderPadding();
    }
  };

  self.$parent.on('scroll', headerScroll);
  self.disposeFunctions.push(function () {
    self.$parent.off('scroll', headerScroll);
  });
  self.$element.bind('headerpadding', function () {
    window.clearTimeout(scrollTimeout);
    scrollTimeout = window.setTimeout(throttledHeaderPadding, 200);
  });
  self.disposeFunctions.push(function () {
    self.$element.unbind('headerpadding');
  });
  var redrawSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('table.extender.redraw', function (parentId) {
    if (parentId === self.options.parentId) {
      self.redraw();
    }
  });
  self.disposeFunctions.push(function () {
    redrawSubscription.remove();
  });
  var hideSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('table.extender.hide', function (parentId) {
    if (parentId == self.options.parentId) {
      self.headerRowContainer.hide();
      self.firstColumnInner.hide();
      self.firstColumnTopCell.hide();
      self.firstColumn.hide();
    }
  });
  self.disposeFunctions.push(function () {
    hideSubscription.remove();
  });

  var adjustSizes = function adjustSizes() {
    if (self.lastHeaderWidth !== self.$parent.width()) {
      self.lastHeaderWidth = self.$parent.width();
      self.headerRowContainer.width(self.lastHeaderWidth);
    }

    for (thi = 0; thi < self.thMapping.length; thi++) {
      th = self.thMapping[thi];

      if (!th.original.is(':visible')) {
        continue;
      }

      if (th.clone.lastWidth !== th.original.width()) {
        th.clone.lastWidth = th.original.width();
        th.clone.width(th.clone.lastWidth);
      }
    }

    if (self.headerRowContainer.scrollLeft() !== self.$parent.scrollLeft()) {
      self.headerRowContainer.scrollLeft(self.$parent.scrollLeft());
      throttledHeaderPadding();
    }
  };

  adjustSizes();
  var sizeInterval = window.setInterval(adjustSizes, 300, self.options.app);
  self.disposeFunctions.push(function () {
    window.clearInterval(sizeInterval);
  });

  var clickHandler = function clickHandler() {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hasClass('selected')) {
      self.$parent.find('.selected').removeClass('selected');
    } else {
      self.$parent.find('.selected').removeClass('selected');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).addClass('selected');
      self.$parent.find('.fixed-first-column table tbody tr:eq(' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).index() + ')').addClass('selected');
    }
  };

  var overHandler = function overHandler() {
    self.$parent.find('.fixed-first-column table tbody tr:eq(' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).index() + ') td').addClass('fixed-first-col-hover');
  };

  var outHandler = function outHandler() {
    self.$parent.find('.fixed-first-column table tbody tr td').removeClass('fixed-first-col-hover');
  };

  self.$parent.children('table').on('click dblclick', 'tbody tr', clickHandler);
  self.$parent.children('table').on('mouseover', 'tbody tr', overHandler);
  self.$parent.children('table').on('mouseout', 'tbody tr', outHandler);
  self.disposeFunctions.push(function () {
    self.$parent.children('table').off('click dblclick', 'tbody tr', clickHandler);
    self.$parent.children('table').on('mouseover', 'tbody tr', overHandler);
    self.$parent.children('table').on('mouseout', 'tbody tr', outHandler);
  });

  if (!self.options.disableTopPosition) {
    self.repositionHeader();
    var scrollFunction = self.repositionHeader.bind(self);
    self.$mainScrollable.on('scroll', scrollFunction);
    self.disposeFunctions.push(function () {
      self.$mainScrollable.off('scroll', scrollFunction);
    });
  }
}

Plugin.prototype.redraw = function () {
  var self = this;
  self.drawHeader();
  self.drawFirstColumn();
  self.drawLockedRows(true);
  self.repositionHeader();
  window.setTimeout(function () {
    self.headerRowContainer.scrollLeft(self.$parent.scrollLeft());
    self.$element.trigger('headerpadding');
  }, 300);
};

Plugin.prototype.destroy = function () {
  var self = this;
  self.disposeFunctions.forEach(function (disposeFunction) {
    disposeFunction();
  });

  if (self.headerRowContainer) {
    self.headerRowContainer.remove();
  }

  if (self.firstColumnInner) {
    self.firstColumnInner.remove();
  }

  if (self.firstColumnTopCell) {
    self.firstColumnTopCell.remove();
  }

  if (self.firstColumn) {
    self.firstColumn.remove();
  }

  self.$element.data('plugin_' + PLUGIN_NAME, null);
};

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, DEFAULT_OPTIONS, options);
  this.options.labels = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, DEFAULT_OPTIONS.labels, {
    GO_TO_COLUMN: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Go to column:'),
    PLACEHOLDER: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('column name...'),
    LOCK: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Lock this row'),
    UNLOCK: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Unlock this row'),
    ROW_DETAILS: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Show row details')
  }, options ? options.labels : {});
};

Plugin.prototype.repositionHeader = function () {
  var self = this;

  if (self.options.disableTopPosition) {
    return;
  }

  var pos = self.options.stickToTopPosition;
  var topPos = 0;
  var firstColTopPos = 0;

  if (typeof pos === 'function') {
    pos = pos();
  }

  var isFixed = false;

  if (pos > -1) {
    if (self.$element.offset().top < pos) {
      topPos = pos;
      isFixed = true;
    } else {
      topPos = self.$element.offset().top;
      isFixed = false;
    }

    firstColTopPos = self.$element.offset().top;
  } else if (self.options.clonedContainerPosition == 'absolute') {
    topPos = self.$parent.position().top;
    firstColTopPos = topPos;
  } else {
    topPos = self.$parent.offset().top;
    firstColTopPos = topPos;
  }

  if (pos > -1) {
    var fixCSS = {
      top: '',
      left: self.$parent.position().left + 'px',
      position: 'absolute'
    };
    self.firstColumn.css(fixCSS);

    if (isFixed) {
      fixCSS = {
        top: topPos + 'px',
        left: '',
        position: 'fixed'
      };
    }

    self.firstColumnTopCell.css(fixCSS);
    self.headerRowContainer.css(fixCSS);
  } else {
    self.firstColumn.scrollTop(self.$mainScrollable.scrollTop());
    self.firstColumn.css('top', firstColTopPos + 'px');
    self.headerRowContainer.css('top', topPos + 'px');
    self.firstColumnTopCell.css('top', topPos + 'px');
  }
};

Plugin.prototype.drawHeader = function () {
  var self = this;

  if (!self.$element.attr('id') && self.options.parentId) {
    self.$element.attr('id', 'eT' + self.options.parentId);
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + self.$element.attr('id') + 'jHueTableExtenderClonedContainer').remove();
  var clonedTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', self.$element.attr('class'));
  clonedTable.removeClass(self.options.classToRemove);
  clonedTable.css('margin-bottom', '0').css('table-layout', 'fixed');
  var clonedTableTHead = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<thead>');
  clonedTableTHead.appendTo(clonedTable);
  var clonedTableTR = self.$element.find('thead>tr').clone();
  clonedTableTR.appendTo(clonedTableTHead);
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tbody>').appendTo(clonedTable);
  var clonedThs = clonedTable.find('thead>tr th');
  clonedThs.wrapInner('<span></span>');

  if (typeof self.$element.data('updateThWidthsInterval') !== 'undefined') {
    window.clearInterval(self.$element.data('updateThWidthsInterval'));
  }

  self.thMapping = [];
  var totalThWidth = 0;
  self.$element.find('thead>tr th').each(function (i) {
    var originalTh = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
    originalTh.removeAttr('data-bind');
    var clonedTh = jquery__WEBPACK_IMPORTED_MODULE_0___default()(clonedThs[i]).css('background-color', '#FFFFFF');
    clonedTh.click(function () {
      originalTh.click();

      if (self.options.headerSorting) {
        clonedThs.attr('class', 'sorting');
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('class', originalTh.attr('class'));
    });
    clonedTh.width(originalTh.width());
    totalThWidth += originalTh.width();
    self.thMapping.push({
      original: originalTh,
      clone: clonedTh,
      cloneSpan: clonedTh.children().first()
    });
  });
  var headerRowDiv = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>');
  clonedTable.appendTo(headerRowDiv);
  var topPosition;

  if (self.options.clonedContainerPosition === 'absolute') {
    topPosition = self.$parent.position().top - self.$mainScrollable.scrollTop();
  } else {
    topPosition = self.$parent.offset().top - self.$mainScrollable.scrollTop();
  }

  var headerRowContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', self.$element.attr('id') + 'jHueTableExtenderClonedContainer').addClass('fixed-header-row').width(totalThWidth).css('overflow-x', 'hidden');

  if (!self.options.disableTopPosition) {
    headerRowContainer.css('top', topPosition + 'px');
  }

  headerRowContainer.css('position', self.options.clonedContainerPosition || 'fixed');
  self.lastHeaderWidth = self.$parent.width();
  headerRowContainer.width(self.lastHeaderWidth);
  headerRowDiv.appendTo(headerRowContainer);
  headerRowContainer.prependTo(self.$parent);
  headerRowContainer.scrollLeft(self.$parent.scrollLeft());
  self.headerRowContainer = headerRowContainer;
  self.$mainScrollable.trigger('scroll');
};

Plugin.prototype.drawFirstColumn = function (repositionHeader) {
  var self = this;

  if (!self.options.fixedFirstColumn) {
    self.firstColumnInner = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    self.firstColumnTopCell = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    self.firstColumn = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    return;
  }

  if (!self.$element.attr('id') && self.options.parentId) {
    self.$element.attr('id', 'eT' + self.options.parentId);
  }

  var originalTh = self.$element.find('thead>tr th:eq(0)');
  var topPosition;

  if (self.options.clonedContainerPosition === 'absolute') {
    topPosition = self.$parent.position().top - self.$mainScrollable.scrollTop();
  } else {
    topPosition = self.$parent.offset().top - self.$mainScrollable.scrollTop();
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + self.$element.attr('id') + 'jHueTableExtenderClonedContainerCell').remove();
  var clonedCell = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', self.$element.attr('class'));
  clonedCell.removeClass(self.options.classToRemove);
  clonedCell.css('margin-bottom', '0').css('table-layout', 'fixed');
  var clonedCellTHead = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<thead><tr></tr></thead>');
  clonedCellTHead.appendTo(clonedCell);
  var clonedCellTH = originalTh.clone();
  clonedCellTH.appendTo(clonedCellTHead.find('tr'));
  clonedCellTH.width(originalTh.width()).css({
    'background-color': '#FFFFFF',
    'border-color': 'transparent'
  });
  clonedCellTH.click(function () {
    originalTh.click();
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tbody>').appendTo(clonedCell);
  var clonedCellContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css('background-color', '#FFFFFF').width(originalTh.outerWidth());
  clonedCell.appendTo(clonedCellContainer);
  var firstColumnTopCell = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', self.$element.attr('id') + 'jHueTableExtenderClonedContainerCell').addClass('fixed-first-cell').width(originalTh.outerWidth()).css('overflow', 'hidden').css('top', topPosition + 'px');
  firstColumnTopCell.css('position', self.options.clonedContainerPosition || 'fixed');
  clonedCellContainer.appendTo(firstColumnTopCell);
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + self.$element.attr('id') + 'jHueTableExtenderClonedContainerColumn').remove();
  var clonedTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<table>').attr('class', self.$element.attr('class')).html('<thead><tr></tr></thead><tbody></tbody>');
  clonedTable.removeClass(self.options.classToRemove);
  clonedTable.css('margin-bottom', '0').css('table-layout', 'fixed');
  self.$element.find('thead>tr th:eq(0)').clone().appendTo(clonedTable.find('thead tr'));
  var clonedTBody = clonedTable.find('tbody');
  var clones = self.$element.find('tbody>tr td:nth-child(1)').clone();
  var h = '';
  var foundEmptyTh = false;
  clones.each(function () {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html() === '') {
      foundEmptyTh = true;
    }

    h += '<tr><td>' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).html() + '</td></tr>';
  });

  if (foundEmptyTh) {
    // In IE it's sometimes empty so we'll redraw in a bit
    window.setTimeout(self.drawFirstColumn.bind(self), 200);
    self.firstColumnInner = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    self.firstColumnTopCell = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    self.firstColumn = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    return;
  }

  clonedTBody.html(h);

  if (self.options.lockSelectedRow) {
    clonedTBody.find('td').each(function (idx) {
      var cell = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      cell.addClass('lockable');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-lock pointer muted').prependTo(cell).on('click', function () {
        self.drawLockedRow(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).parent().text() * 1);
      }).attr('title', self.options.labels.LOCK);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-expand pointer muted').prependTo(cell).on('click', function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('table.row.show.details', {
          idx: idx,
          table: self.$element
        });
      }).attr('title', self.options.labels.ROW_DETAILS);
    });
  }

  clonedTable.find('thead>tr th:eq(0)').width(originalTh.width()).css('background-color', '#FFFFFF');
  var firstColumnInner = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css('background-color', '#FFFFFF').width(originalTh.outerWidth()).height(self.$parent.get(0).scrollHeight);
  clonedTable.appendTo(firstColumnInner);
  var firstColumn = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', self.$element.attr('id') + 'jHueTableExtenderClonedContainerColumn').addClass('fixed-first-column').width(originalTh.outerWidth()).height(self.$parent.height()).css('overflow', 'hidden').css('top', topPosition + 'px');
  firstColumn.css('position', self.options.clonedContainerPosition || 'fixed');
  firstColumnInner.appendTo(firstColumn);
  firstColumn.insertAfter(self.$element.prev());
  firstColumnTopCell.insertAfter(firstColumn);
  self.firstColumnInner = firstColumnInner;
  self.firstColumnTopCell = firstColumnTopCell;
  self.firstColumn = firstColumn;

  if (repositionHeader) {
    self.repositionHeader();
  }
};

Plugin.prototype.drawLockedRows = function (force) {
  var self = this;

  if (Object.keys(self.lockedRows).length === 0) {
    self.headerRowContainer.find('tbody').empty();
    self.headerRowContainer.removeClass('locked');
    self.firstColumnTopCell.removeClass('locked');
  } else {
    self.headerRowContainer.addClass('locked');
    self.firstColumnTopCell.addClass('locked');
    Object.keys(self.lockedRows).forEach(function (idx) {
      self.drawLockedRow(idx.substr(1), force);
    });
  }
};

Plugin.prototype.drawLockedRow = function (rowNo, force) {
  var self = this;

  function unlock($el) {
    self.headerRowContainer.find('tr td:first-child').filter(function () {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).text() === rowNo + '';
    }).closest('tr').remove();
    delete self.lockedRows['r' + $el.text()];
    $el.parent().remove();

    if (self.headerRowContainer.find('tbody tr').length == 0) {
      self.headerRowContainer.removeClass('locked');
      self.firstColumnTopCell.removeClass('locked');
    }
  }

  if (Object.keys(self.lockedRows).indexOf('r' + rowNo) === -1 || force) {
    if (force) {
      unlock(self.lockedRows['r' + rowNo].cell.find('td'));
    }

    var $clone = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tr>').addClass('locked');
    var tHtml = '';
    var aoColumns = self.$element.data('aoColumns');
    self.$element.data('data')[rowNo - 1].forEach(function (col, idx) {
      tHtml += '<td ' + (aoColumns && !aoColumns[idx].bVisible ? 'style="display: none"' : '') + '>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(col) + '</td>';
    });
    $clone.html(tHtml);
    $clone.appendTo(self.headerRowContainer.find('tbody'));
    var $newTr = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tr>');
    $newTr.addClass('locked').html('<td class="pointer unlockable" title="' + self.options.labels.UNLOCK + '"><i class="fa fa-unlock muted"></i>' + rowNo + '</td>').appendTo(self.firstColumnTopCell.find('tbody'));
    $newTr.find('td').on('click', function () {
      unlock(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
    });
    self.lockedRows['r' + rowNo] = {
      row: $clone,
      cell: $newTr
    };
  } else {
    self.lockedRows['r' + rowNo].row.appendTo(self.headerRowContainer.find('tbody'));
    self.lockedRows['r' + rowNo].cell.appendTo(self.firstColumnTopCell.find('tbody'));
    self.lockedRows['r' + rowNo].cell.find('td').on('click', function () {
      unlock(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this));
    });
  }
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[PLUGIN_NAME] = function (options) {
  return this.each(function () {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + PLUGIN_NAME)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + PLUGIN_NAME).destroy();
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + PLUGIN_NAME, new Plugin(this, options));
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.tablescroller.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.tablescroller.js ***!
  \****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue table scroller plugin
 *
 * Three data attributes can be set on the table to modify the default behavior of the plugin:
 * - data-tablescroller-min-height="N" where N is a value in pixels: specifies a minimum height for the scrolling table,
 *      overriding the default 500px set by the plugin
 * - data-tablescroller-min-height-disable="true": disable enforcing a minimum height for the table
 * - data-tablescroller-disable="true": disable the plugin for the specific table
 * - data-tablescroller-enforce-height="true": displays the table at its maximum height accordingly to the page
 */

var pluginName = 'jHueTableScroller',
    defaults = {
  minHeight: 300,
  maxHeight: -1,
  heightAfterCorrection: 40
};

function Plugin(element, options) {
  this.element = element;
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.init();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  resizeScrollingTable(this);
};

Plugin.prototype.init = function () {
  var _this = this;

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).data('original-height', jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).height());
  var disableScrollingTable = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('table').eq(0).data('tablescroller-disable');

  if (disableScrollingTable == null || disableScrollingTable !== true) {
    resizeScrollingTable(_this);

    var _resizeTimeout = -1;

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).resize(function () {
      window.clearTimeout(_resizeTimeout);
      _resizeTimeout = window.setTimeout(function () {
        resizeScrollingTable(_this);
      }, 400);
    });
  }
};

function resizeScrollingTable(_this) {
  var el = _this.element;
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', '').css('height', '');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-x', 'auto');
  var heightAfter = _this.options.heightAfterCorrection;
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).nextAll(':visible').each(function () {
    heightAfter += jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).outerHeight(true);
  });
  var heightCondition = jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).height() > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).offset().top - heightAfter;
  var enforceHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('table').eq(0).data('tablescroller-enforce-height');

  if (enforceHeight !== undefined && enforceHeight == true) {
    heightCondition = true;
  }

  var fixedHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('table').eq(0).data('tablescroller-fixed-height') || _this.options.maxHeight;

  if (heightCondition) {
    var specificMinHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).find('table').eq(0).data('tablescroller-min-height');
    var minHeightVal = _this.options.minHeight;

    if (!isNaN(parseFloat(specificMinHeight)) && isFinite(specificMinHeight)) {
      minHeightVal = parseFloat(specificMinHeight);
    }

    var disableMinHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(_this.element).find('table').eq(0).data('tablescroller-min-height-disable');

    if (disableMinHeight != null && disableMinHeight == true) {
      if (heightCondition) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', 'auto').height(fixedHeight > -1 ? fixedHeight : jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).offset().top - heightAfter);
      }
    } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).offset().top - heightAfter > minHeightVal) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', 'auto').height(fixedHeight > -1 ? fixedHeight : jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).offset().top - heightAfter);
    } else {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).data('original-height') > minHeightVal) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', 'auto').height(minHeightVal);
      }

      if (fixedHeight > -1) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', 'auto').css('maxHeight', fixedHeight);
      }
    }
  } else if (fixedHeight > -1) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).css('overflow-y', 'auto').css('maxHeight', fixedHeight);
  }
}

jquery__WEBPACK_IMPORTED_MODULE_0___default.a.fn[pluginName] = function (options) {
  return this.each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName, new Plugin(this, options));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.data(this, 'plugin_' + pluginName).setOptions(options);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/jquery/plugins/jquery.titleupdater.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/jquery/plugins/jquery.titleupdater.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 * jHue title updater plugin
 *
 */

var pluginName = 'jHueTitleUpdater',
    defaults = {
  message: '',
  reset: false
};

function Plugin(options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
  this._defaults = defaults;
  this._name = pluginName;
  this.updateStatusBar();
}

Plugin.prototype.setOptions = function (options) {
  this.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, defaults, options);
};

Plugin.prototype.updateStatusBar = function () {
  var _this = this;

  if (_this.options.reset && jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal') != null) {
    document.title = jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal', null);
  } else if (_this.options.message != '') {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal') == null) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal', document.title);
    }

    document.title = _this.options.message + ' - ' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).data('jHueTitleUpdaterOriginal');
  }
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName] = function () {};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].reset = function () {
  new Plugin({
    reset: true
  });
};

jquery__WEBPACK_IMPORTED_MODULE_0___default.a[pluginName].set = function (message) {
  new Plugin({
    message: message
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ace/aceAnchoredRange.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ace/aceAnchoredRange.js ***!
  \*************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return AceAnchoredRange; });
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// TODO: depends on Ace
var clearGutterCss = function clearGutterCss(cssClass, session, startRow, endRow) {
  for (var row = startRow; row <= endRow; row++) {
    session.removeGutterDecoration(row, cssClass);
  }
};

var setGutterCss = function setGutterCss(cssClass, session, startRow, endRow) {
  for (var row = startRow; row <= endRow; row++) {
    session.addGutterDecoration(row, cssClass);
  }
};

var AceAnchoredRange =
/*#__PURE__*/
function () {
  function AceAnchoredRange(editor) {
    _classCallCheck(this, AceAnchoredRange);

    this.editor = editor;
    var doc = this.editor.getSession().doc;
    this.startAnchor = doc.createAnchor(0, 0);
    this.endAnchor = doc.createAnchor(0, 0);
    this.changed = false;
    this.markerCssClasses = {};
    this.gutterCssClasses = {};
    this.refreshThrottle = -1;
    this.attachChangeHandler();
  }

  _createClass(AceAnchoredRange, [{
    key: "attachChangeHandler",
    value: function attachChangeHandler() {
      var _this = this;

      var throttledRefresh = function throttledRefresh() {
        window.clearTimeout(_this.refreshThrottle);
        _this.refreshThrottle = window.setTimeout(_this.refresh.bind(_this), 10);
      };

      this.startAnchor.on('change', throttledRefresh);
      this.endAnchor.on('change', throttledRefresh);
    }
  }, {
    key: "refresh",
    value: function refresh() {
      var _this2 = this;

      var session = this.editor.getSession();
      var newStart = this.startAnchor.getPosition();
      var newEnd = this.endAnchor.getPosition();
      Object.keys(this.gutterCssClasses).forEach(function (cssClass) {
        var rowSpan = _this2.gutterCssClasses[cssClass];
        clearGutterCss(cssClass, session, rowSpan.start, rowSpan.end);
        rowSpan.start = newStart.row;
        rowSpan.end = newEnd.row;
        setGutterCss(cssClass, session, rowSpan.start, rowSpan.end);
      });
    }
  }, {
    key: "move",
    value: function move(parseLocation, leadingEmptyLineCount) {
      var lastRow = parseLocation.last_line - 1;
      var firstRow = Math.min(lastRow, parseLocation.first_line - 1 + (leadingEmptyLineCount || 0));
      var firstCol = leadingEmptyLineCount ? 0 : parseLocation.first_column;
      this.startAnchor.setPosition(firstRow, firstCol);
      this.endAnchor.setPosition(lastRow, parseLocation.last_column);
    }
  }, {
    key: "addGutterCss",
    value: function addGutterCss(cssClass) {
      var session = this.editor.getSession();
      var startRow = this.startAnchor.getPosition().row;
      var endRow = this.endAnchor.getPosition().row;
      this.gutterCssClasses[cssClass] = {
        start: startRow,
        end: endRow
      };
      setGutterCss(cssClass, session, startRow, endRow);
    }
  }, {
    key: "addMarkerCss",
    value: function addMarkerCss(cssClass) {
      if (!this.markerCssClasses[cssClass]) {
        var AceRange = ace.require('ace/range').Range;

        var range = new AceRange(0, 0, 0, 0);
        range.start = this.startAnchor;
        range.end = this.endAnchor;
        this.markerCssClasses[cssClass] = this.editor.getSession().addMarker(range, cssClass);
      }
    }
  }, {
    key: "removeMarkerCss",
    value: function removeMarkerCss(cssClass) {
      if (this.markerCssClasses[cssClass]) {
        this.editor.getSession().removeMarker(this.markerCssClasses[cssClass]);
        delete this.markerCssClasses[cssClass];
      }
    }
  }, {
    key: "removeGutterCss",
    value: function removeGutterCss(cssClass) {
      if (this.gutterCssClasses[cssClass]) {
        var session = this.editor.getSession();
        var rowSpan = this.gutterCssClasses[cssClass];
        delete this.gutterCssClasses[cssClass];
        clearGutterCss(cssClass, session, rowSpan.start, rowSpan.end);
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      window.clearTimeout(this.refreshThrottle);
      this.startAnchor.detach();
      this.endAnchor.detach();
      Object.keys(this.gutterCssClasses).forEach(this.removeGutterCss.bind(this));
      Object.keys(this.markerCssClasses).forEach(this.removeMarkerCss.bind(this));
    }
  }]);

  return AceAnchoredRange;
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ace/aceGutterHandler.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ace/aceGutterHandler.js ***!
  \*************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return AceGutterHandler; });
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _apps_notebook2_execution_executable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../apps/notebook2/execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
/* harmony import */ var _aceLocationHandler__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./aceLocationHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js");
/* harmony import */ var _aceAnchoredRange__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./aceAnchoredRange */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceAnchoredRange.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



 // TODO: depends on Ace

var LINE_BREAK_REGEX = /(\r\n)|(\n)|(\r)/g;
var LEADING_WHITE_SPACE_REGEX = /^\s+/;
var ACTIVE_CSS = 'ace-active-gutter-decoration';
var COMPLETED_CSS = 'ace-completed-gutter-decoration';
var EXECUTING_CSS = 'ace-executing-gutter-decoration';
var FAILED_CSS = 'ace-failed-gutter-decoration';
var FAILED_MARKER_CSS = 'ace-failed-marker';

var getLeadingEmptyLineCount = function getLeadingEmptyLineCount(parsedStatement) {
  var leadingEmptyLineCount = 0;
  var leadingWhiteSpace = parsedStatement.statement.match(LEADING_WHITE_SPACE_REGEX);

  if (leadingWhiteSpace) {
    var lineBreakMatch = leadingWhiteSpace[0].match(LINE_BREAK_REGEX);

    if (lineBreakMatch) {
      leadingEmptyLineCount = lineBreakMatch.length;
    }
  }

  return leadingEmptyLineCount;
};

var AceGutterHandler =
/*#__PURE__*/
function () {
  function AceGutterHandler(options) {
    var _this = this;

    _classCallCheck(this, AceGutterHandler);

    this.editor = options.editor;
    this.editorId = options.editorId;
    this.executor = options.executor;
    this.disposals = [];
    var activeStatementAnchor = new _aceAnchoredRange__WEBPACK_IMPORTED_MODULE_3__["default"](this.editor);
    activeStatementAnchor.addGutterCss(ACTIVE_CSS);
    var changedSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_0__["default"].subscribe(_aceLocationHandler__WEBPACK_IMPORTED_MODULE_2__["ACTIVE_STATEMENT_CHANGED_EVENT"], function (statementDetails) {
      if (statementDetails.id !== _this.editorId || !statementDetails.activeStatement) {
        return;
      }

      var leadingEmptyLineCount = getLeadingEmptyLineCount(statementDetails.activeStatement);
      activeStatementAnchor.move(statementDetails.activeStatement.location, leadingEmptyLineCount);
    });
    this.disposals.push(function () {
      changedSubscription.remove();
      activeStatementAnchor.dispose();
    });

    if (this.executor) {
      var executableSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_0__["default"].subscribe(_apps_notebook2_execution_executable__WEBPACK_IMPORTED_MODULE_1__["EXECUTABLE_UPDATED_EVENT"], function (executable) {
        if (executable.executor === _this.executor) {
          if (executable.lost) {
            if (executable.observerState.aceAnchor) {
              executable.observerState.aceAnchor.dispose();
              delete executable.observerState.aceAnchor;
            }

            return;
          }

          var statement = executable.parsedStatement;

          if (!executable.observerState.aceAnchor) {
            executable.observerState.aceAnchor = new _aceAnchoredRange__WEBPACK_IMPORTED_MODULE_3__["default"](_this.editor);
          }

          var leadingEmptyLineCount = getLeadingEmptyLineCount(statement);
          executable.observerState.aceAnchor.move(statement.location, leadingEmptyLineCount);
          var anchoredRange = executable.observerState.aceAnchor;
          anchoredRange.removeGutterCss(COMPLETED_CSS);
          anchoredRange.removeGutterCss(EXECUTING_CSS);
          anchoredRange.removeGutterCss(FAILED_CSS);
          anchoredRange.removeMarkerCss(FAILED_MARKER_CSS);

          if (executable.isRunning()) {
            anchoredRange.addGutterCss(EXECUTING_CSS);
          } else if (executable.isSuccess()) {
            anchoredRange.addGutterCss(COMPLETED_CSS);
          } else if (executable.isFailed()) {
            anchoredRange.addMarkerCss(FAILED_MARKER_CSS);
            anchoredRange.addGutterCss(FAILED_CSS);
          }
        }
      });
      this.disposals.push(function () {
        executableSub.remove();
      });
    }
  }

  _createClass(AceGutterHandler, [{
    key: "dispose",
    value: function dispose() {
      while (this.disposals.length) {
        this.disposals.pop()();
      }
    }
  }]);

  return AceGutterHandler;
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js ***!
  \***************************************************************************/
/*! exports provided: REFRESH_STATEMENT_LOCATIONS_EVENT, ACTIVE_STATEMENT_CHANGED_EVENT, default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "REFRESH_STATEMENT_LOCATIONS_EVENT", function() { return REFRESH_STATEMENT_LOCATIONS_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ACTIVE_STATEMENT_CHANGED_EVENT", function() { return ACTIVE_STATEMENT_CHANGED_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/assist/assistStorageEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_hueDebug__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/hueDebug */ "./desktop/core/src/desktop/js/utils/hueDebug.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../parse/sqlStatementsParser */ "./desktop/core/src/desktop/js/parse/sqlStatementsParser.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
/* harmony import */ var _sql_stringDistance__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../sql/stringDistance */ "./desktop/core/src/desktop/js/sql/stringDistance.js");
/* harmony import */ var _apps_notebook2_execution_executable__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../apps/notebook2/execution/executable */ "./desktop/core/src/desktop/js/apps/notebook2/execution/executable.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.









 // TODO: depends on Ace, sqlStatementsParser

var REFRESH_STATEMENT_LOCATIONS_EVENT = 'editor.refresh.statement.locations';
var ACTIVE_STATEMENT_CHANGED_EVENT = 'editor.active.statement.changed';
var STATEMENT_COUNT_AROUND_ACTIVE = 10;
var VERIFY_LIMIT = 50;
var VERIFY_DELAY = 50;

var AceLocationHandler =
/*#__PURE__*/
function () {
  function AceLocationHandler(options) {
    _classCallCheck(this, AceLocationHandler);

    var self = this;
    self.editor = options.editor;
    self.editorId = options.editorId;
    self.snippet = options.snippet;
    self.executor = options.executor;
    self.expandStar = options.i18n && options.i18n.expandStar || 'Right-click to expand with columns';
    self.contextTooltip = options.i18n && options.i18n.contextTooltip || 'Right-click for details';
    self.sqlSyntaxWorkerSub = null;
    self.disposeFunctions = [];
    self.databaseIndex = {};
    self.attachStatementLocator();
    self.attachSqlWorker();
    self.attachMouseListeners();
    self.verifyThrottle = -1;

    var updateDatabaseIndex = function updateDatabaseIndex(databaseList) {
      self.databaseIndex = {};
      databaseList.forEach(function (database) {
        self.databaseIndex[database.toLowerCase()] = true;
      });
    };

    var databaseSub = self.snippet.availableDatabases.subscribe(updateDatabaseIndex);
    self.disposeFunctions.push(function () {
      databaseSub.dispose();
    });
    updateDatabaseIndex(self.snippet.availableDatabases());
  }

  _createClass(AceLocationHandler, [{
    key: "attachMouseListeners",
    value: function attachMouseListeners() {
      var self = this;

      var Tooltip = ace.require('ace/tooltip').Tooltip;

      var AceRange = ace.require('ace/range').Range;

      var contextTooltip = new Tooltip(self.editor.container);
      var tooltipTimeout = -1;
      var disableTooltip = false;
      var lastHoveredToken = null;
      var activeMarkers = [];
      var keepLastMarker = false;

      var hideContextTooltip = function hideContextTooltip() {
        clearTimeout(tooltipTimeout);
        contextTooltip.hide();
      };

      var clearActiveMarkers = function clearActiveMarkers() {
        hideContextTooltip();

        while (activeMarkers.length > keepLastMarker ? 1 : 0) {
          self.editor.session.removeMarker(activeMarkers.shift());
        }
      };

      var markLocation = function markLocation(parseLocation) {
        var range;

        if (parseLocation.type === 'function') {
          // Todo: Figure out why functions need an extra char at the end
          range = new AceRange(parseLocation.location.first_line - 1, parseLocation.location.first_column - 1, parseLocation.location.last_line - 1, parseLocation.location.last_column);
        } else {
          range = new AceRange(parseLocation.location.first_line - 1, parseLocation.location.first_column - 1, parseLocation.location.last_line - 1, parseLocation.location.last_column - 1);
        }

        activeMarkers.push(self.editor.session.addMarker(range, 'hue-ace-location'));
        return range;
      };

      var popoverShownSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('context.popover.shown', function () {
        hideContextTooltip();
        keepLastMarker = true;
        disableTooltip = true;
      });
      self.disposeFunctions.push(function () {
        popoverShownSub.remove();
      });
      var popoverHiddenSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('context.popover.hidden', function () {
        disableTooltip = false;
        clearActiveMarkers();
        keepLastMarker = false;
      });
      self.disposeFunctions.push(function () {
        popoverHiddenSub.remove();
      });
      var mousemoveListener = self.editor.on('mousemove', function (e) {
        clearTimeout(tooltipTimeout);
        var selectionRange = self.editor.selection.getRange();

        if (selectionRange.isEmpty()) {
          var pointerPosition = self.editor.renderer.screenToTextCoordinates(e.clientX + 5, e.clientY);
          var endTestPosition = self.editor.renderer.screenToTextCoordinates(e.clientX + 15, e.clientY);

          if (endTestPosition.column !== pointerPosition.column) {
            var token = self.editor.session.getTokenAt(pointerPosition.row, pointerPosition.column);

            if (token !== null && !token.notFound && token.parseLocation && !disableTooltip && token.parseLocation.type !== 'alias') {
              tooltipTimeout = window.setTimeout(function () {
                if (token.parseLocation) {
                  var endCoordinates = self.editor.renderer.textToScreenCoordinates(pointerPosition.row, token.start);
                  var tooltipText = token.parseLocation.type === 'asterisk' ? self.expandStar : self.contextTooltip;
                  var colType;

                  if (token.parseLocation.type === 'column') {
                    var tableChain = token.parseLocation.identifierChain.concat();
                    var lastIdentifier = tableChain.pop();

                    if (tableChain.length > 0 && lastIdentifier && lastIdentifier.name) {
                      var colName = lastIdentifier.name.toLowerCase(); // Note, as cachedOnly is set to true it will call the successCallback right away (or not at all)

                      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry({
                        sourceType: self.snippet.type(),
                        namespace: self.snippet.namespace(),
                        compute: self.snippet.compute(),
                        temporaryOnly: self.snippet.autocompleteSettings.temporaryOnly,
                        path: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(tableChain, function (identifier) {
                          return identifier.name;
                        })
                      }).done(function (entry) {
                        entry.getSourceMeta({
                          cachedOnly: true,
                          silenceErrors: true
                        }).done(function (sourceMeta) {
                          if (sourceMeta && sourceMeta.extended_columns) {
                            sourceMeta.extended_columns.every(function (col) {
                              if (col.name.toLowerCase() === colName) {
                                colType = col.type.match(/^[^<]*/g)[0];
                                return false;
                              }

                              return true;
                            });
                          }
                        });
                      });
                    }
                  }

                  if (token.parseLocation.identifierChain) {
                    var sqlIdentifier = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(token.parseLocation.identifierChain, function (identifier) {
                      return identifier.name;
                    }).join('.');

                    if (colType) {
                      sqlIdentifier += ' (' + colType + ')';
                    }

                    tooltipText = sqlIdentifier + ' - ' + tooltipText;
                  } else if (token.parseLocation["function"]) {
                    tooltipText = token.parseLocation["function"] + ' - ' + tooltipText;
                  }

                  contextTooltip.show(tooltipText, endCoordinates.pageX, endCoordinates.pageY + self.editor.renderer.lineHeight + 3);
                }
              }, 500);
            } else if (token !== null && token.notFound) {
              tooltipTimeout = window.setTimeout(function () {
                // TODO: i18n
                if (token.notFound && token.syntaxError) {
                  var tooltipText;

                  if (token.syntaxError.expected.length > 0) {
                    tooltipText = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Did you mean') + ' "' + token.syntaxError.expected[0].text + '"?';
                  } else {
                    tooltipText = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Could not find') + ' "' + (token.qualifiedIdentifier || token.value) + '"';
                  }

                  var endCoordinates = self.editor.renderer.textToScreenCoordinates(pointerPosition.row, token.start);
                  contextTooltip.show(tooltipText, endCoordinates.pageX, endCoordinates.pageY + self.editor.renderer.lineHeight + 3);
                }
              }, 500);
            } else if (token !== null && token.syntaxError) {
              tooltipTimeout = window.setTimeout(function () {
                if (token.syntaxError) {
                  var tooltipText;

                  if (token.syntaxError.expected.length > 0) {
                    tooltipText = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Did you mean') + ' "' + token.syntaxError.expected[0].text + '"?';
                  } else if (token.syntaxError.expectedStatementEnd) {
                    tooltipText = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Expected end of statement');
                  }

                  if (tooltipText) {
                    var endCoordinates = self.editor.renderer.textToScreenCoordinates(pointerPosition.row, token.start);
                    contextTooltip.show(tooltipText, endCoordinates.pageX, endCoordinates.pageY + self.editor.renderer.lineHeight + 3);
                  }
                }
              }, 500);
            } else {
              hideContextTooltip();
            }

            if (lastHoveredToken !== token) {
              clearActiveMarkers();

              if (token !== null && !token.notFound && token.parseLocation && ['alias', 'whereClause', 'limitClause', 'selectList'].indexOf(token.parseLocation.type) === -1) {
                markLocation(token.parseLocation);
              }

              lastHoveredToken = token;
            }
          } else {
            clearActiveMarkers();
            lastHoveredToken = null;
          }
        }
      });
      self.disposeFunctions.push(function () {
        self.editor.off('mousemove', mousemoveListener);
      });
      var inputListener = self.editor.on('input', function () {
        clearActiveMarkers();
        lastHoveredToken = null;
      });
      self.disposeFunctions.push(function () {
        self.editor.off('input', inputListener);
      });

      var mouseoutListener = function mouseoutListener() {
        clearActiveMarkers();
        clearTimeout(tooltipTimeout);
        contextTooltip.hide();
        lastHoveredToken = null;
      };

      self.editor.container.addEventListener('mouseout', mouseoutListener);
      self.disposeFunctions.push(function () {
        self.editor.container.removeEventListener('mouseout', mouseoutListener);
      });

      var onContextMenu = function onContextMenu(e) {
        var selectionRange = self.editor.selection.getRange();
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('context.popover.hide');
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('sql.syntax.dropdown.hide');

        if (selectionRange.isEmpty()) {
          var pointerPosition = self.editor.renderer.screenToTextCoordinates(e.clientX + 5, e.clientY);
          var token = self.editor.session.getTokenAt(pointerPosition.row, pointerPosition.column);

          if (token && (token.parseLocation && ['alias', 'whereClause', 'limitClause', 'selectList'].indexOf(token.parseLocation.type) === -1 || token.syntaxError)) {
            var range = token.parseLocation ? markLocation(token.parseLocation) : new AceRange(token.syntaxError.loc.first_line - 1, token.syntaxError.loc.first_column, token.syntaxError.loc.last_line - 1, token.syntaxError.loc.first_column + token.syntaxError.text.length);
            var startCoordinates = self.editor.renderer.textToScreenCoordinates(range.start.row, range.start.column);
            var endCoordinates = self.editor.renderer.textToScreenCoordinates(range.end.row, range.end.column);
            var source = {
              // TODO: add element likely in the event
              left: startCoordinates.pageX - 3,
              top: startCoordinates.pageY,
              right: endCoordinates.pageX - 3,
              bottom: endCoordinates.pageY + self.editor.renderer.lineHeight
            };

            if (token.parseLocation && token.parseLocation.identifierChain && !token.notFound) {
              token.parseLocation.resolveCatalogEntry({
                temporaryOnly: self.snippet.autocompleteSettings.temporaryOnly
              }).done(function (entry) {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('context.popover.show', {
                  data: {
                    type: 'catalogEntry',
                    catalogEntry: entry
                  },
                  pinEnabled: true,
                  source: source
                });
              }).fail(function () {
                token.notFound = true;
              });
            } else if (token.parseLocation && !token.notFound) {
              // Asterisk, function etc.
              if (token.parseLocation.type === 'file') {
                _components_assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_1__["default"].getEntry(token.parseLocation.path).done(function (entry) {
                  entry.open(true);
                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('context.popover.show', {
                    data: {
                      type: 'storageEntry',
                      storageEntry: entry,
                      editorLocation: token.parseLocation.location
                    },
                    pinEnabled: true,
                    source: source
                  });
                });
              } else {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('context.popover.show', {
                  data: token.parseLocation,
                  sourceType: self.snippet.type(),
                  namespace: self.snippet.namespace(),
                  compute: self.snippet.compute(),
                  defaultDatabase: self.snippet.database(),
                  pinEnabled: true,
                  source: source
                });
              }
            } else if (token.syntaxError) {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('sql.syntax.dropdown.show', {
                snippet: self.snippet,
                data: token.syntaxError,
                editor: self.editor,
                range: range,
                sourceType: self.snippet.type(),
                defaultDatabase: self.snippet.database(),
                source: source
              });
            }

            e.preventDefault();
            return false;
          }
        }
      };

      var contextmenuListener = self.editor.container.addEventListener('contextmenu', onContextMenu);
      self.disposeFunctions.push(function () {
        self.editor.container.removeEventListener('contextmenu', contextmenuListener);
      });
    }
  }, {
    key: "attachStatementLocator",
    value: function attachStatementLocator() {
      var self = this;
      var lastKnownStatements = [];
      var activeStatement;

      var isPointInside = function isPointInside(parseLocation, editorPosition) {
        var row = editorPosition.row + 1; // ace positioning has 0 based rows while the parser has 1

        var column = editorPosition.column;
        return parseLocation.first_line < row && row < parseLocation.last_line || parseLocation.first_line === row && row === parseLocation.last_line && parseLocation.first_column <= column && column < parseLocation.last_column || parseLocation.first_line === row && row < parseLocation.last_line && column >= parseLocation.first_column || parseLocation.first_line < row && row === parseLocation.last_line && column < parseLocation.last_column;
      };

      var getFirstPosition = function getFirstPosition(editorPositionOne, editorPositionTwo) {
        if (editorPositionOne.row === editorPositionTwo.row) {
          return editorPositionOne.column <= editorPositionTwo.column ? editorPositionOne : editorPositionTwo;
        }

        return editorPositionOne.row < editorPositionTwo.row ? editorPositionOne : editorPositionTwo;
      };

      var equalPositions = function equalPositions(editorPositionOne, editorPositionTwo) {
        return editorPositionOne.row === editorPositionTwo.row && editorPositionOne.column === editorPositionTwo.column;
      };

      var lastExecutingStatement = null;

      var updateActiveStatement = function updateActiveStatement(cursorChange) {
        if (!self.snippet.isSqlDialect()) {
          return;
        }

        var selectionRange = self.editor.getSelectionRange();
        var cursorLocation = selectionRange.start;

        if (!equalPositions(selectionRange.start, selectionRange.end)) {
          if (!cursorChange && self.snippet.result && self.snippet.result.statement_range()) {
            var executingStatement = self.snippet.result.statement_range(); // Row and col are 0 for both start and end on execute, so if the selection hasn't changed we'll use last known executed statement

            if (executingStatement.start.row === 0 && executingStatement.start.column === 0 && executingStatement.end.row === 0 && executingStatement.end.column === 0 && lastExecutingStatement) {
              executingStatement = lastExecutingStatement;
            }

            if (executingStatement.start.row === 0) {
              cursorLocation.column += executingStatement.start.column;
            } else if (executingStatement.start.row !== 0 || executingStatement.start.column !== 0) {
              cursorLocation.row += executingStatement.start.row;
              cursorLocation.column = executingStatement.start.column;
            }

            lastExecutingStatement = executingStatement;
          } else {
            lastExecutingStatement = null;
          }
        }

        if (cursorChange && activeStatement && !window.ENABLE_NOTEBOOK_2) {
          // Don't update when cursor stays in the same statement
          if (isPointInside(activeStatement.location, cursorLocation)) {
            return;
          }
        }

        var selectedStatements = [];
        var precedingStatements = [];
        var followingStatements = [];
        activeStatement = null;
        var firstSelectionPoint = getFirstPosition(selectionRange.start, selectionRange.end);
        var lastSelectionPoint = selectionRange.start === firstSelectionPoint ? selectionRange.end : selectionRange.start;
        var found = false;
        var statementIndex = 0;
        var insideSelection = false;

        if (lastKnownStatements.length === 1) {
          activeStatement = lastKnownStatements[0];
        } else {
          lastKnownStatements.forEach(function (statement) {
            if (!equalPositions(firstSelectionPoint, lastSelectionPoint)) {
              if (!insideSelection && isPointInside(statement.location, firstSelectionPoint)) {
                insideSelection = true;
              }

              if (insideSelection) {
                selectedStatements.push(statement);

                if (isPointInside(statement.location, lastSelectionPoint) || statement.location.last_line === lastSelectionPoint.row + 1 && statement.location.last_column === lastSelectionPoint.column) {
                  insideSelection = false;
                }
              }
            }

            if (isPointInside(statement.location, cursorLocation)) {
              statementIndex++;
              found = true;
              activeStatement = statement;
            } else if (!found) {
              statementIndex++;

              if (precedingStatements.length === STATEMENT_COUNT_AROUND_ACTIVE) {
                precedingStatements.shift();
              }

              precedingStatements.push(statement);
            } else if (found && followingStatements.length < STATEMENT_COUNT_AROUND_ACTIVE) {
              followingStatements.push(statement);
            }
          }); // Can happen if multiple statements and the cursor is after the last one

          if (!found) {
            precedingStatements.pop();
            activeStatement = lastKnownStatements[lastKnownStatements.length - 1];
          }
        }

        if (!selectedStatements.length) {
          selectedStatements.push(activeStatement);
        }

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish(ACTIVE_STATEMENT_CHANGED_EVENT, {
          id: self.editorId,
          editorChangeTime: lastKnownStatements.editorChangeTime,
          activeStatementIndex: statementIndex,
          totalStatementCount: lastKnownStatements.length,
          precedingStatements: precedingStatements,
          activeStatement: activeStatement,
          selectedStatements: selectedStatements,
          followingStatements: followingStatements
        });

        if (activeStatement) {
          self.checkForSyntaxErrors(activeStatement.location, firstSelectionPoint);
        }
      };

      var parseForStatements = function parseForStatements() {
        if (self.snippet.isSqlDialect()) {
          try {
            var lastChangeTime = self.editor.lastChangeTime;
            lastKnownStatements = _parse_sqlStatementsParser__WEBPACK_IMPORTED_MODULE_6__["default"].parse(self.editor.getValue());
            lastKnownStatements.editorChangeTime = lastChangeTime;

            if (typeof _utils_hueDebug__WEBPACK_IMPORTED_MODULE_3__["default"] !== 'undefined' && _utils_hueDebug__WEBPACK_IMPORTED_MODULE_3__["default"].logStatementLocations) {
              // eslint-disable-next-line no-restricted-syntax
              console.log(lastKnownStatements);
            }
          } catch (error) {
            console.warn('Could not parse statements!');
            console.warn(error);
          }
        }
      };

      var changeThrottle = window.setTimeout(parseForStatements, 0);
      var updateThrottle = window.setTimeout(updateActiveStatement, 0);
      var cursorChangePaused = false; // On change the cursor is also moved, this limits the calls while typing

      var lastStart;
      var lastEnd;
      var lastCursorPosition;
      var changeSelectionListener = self.editor.on('changeSelection', function () {
        if (cursorChangePaused) {
          return;
        }

        window.clearTimeout(changeThrottle);
        changeThrottle = window.setTimeout(function () {
          var newCursorPosition = self.editor.getCursorPosition();

          if (!lastCursorPosition || lastCursorPosition.row !== newCursorPosition.row || lastCursorPosition.column !== newCursorPosition.column) {
            self.snippet.aceCursorPosition(newCursorPosition);
            lastCursorPosition = newCursorPosition;
          } // The active statement is initially the top one in the selection, batch execution updates this.


          var newStart = self.editor.getSelectionRange().start;
          var newEnd = self.editor.getSelectionRange().end;

          if (self.snippet.isSqlDialect() && (!lastStart || !equalPositions(lastStart, newStart)) || window.ENABLE_NOTEBOOK_2 && (!lastEnd || !equalPositions(lastEnd, newEnd))) {
            window.clearTimeout(updateThrottle);
            updateActiveStatement(true);
            lastStart = newStart;
            lastEnd = newEnd;
          }
        }, 100);
      });
      var changeListener = self.editor.on('change', function () {
        if (self.snippet.isSqlDialect()) {
          window.clearTimeout(changeThrottle);
          cursorChangePaused = true;
          changeThrottle = window.setTimeout(function () {
            window.clearTimeout(updateThrottle);
            parseForStatements();
            updateActiveStatement();
            cursorChangePaused = false;
          }, 500);
          self.editor.lastChangeTime = Date.now();
        }
      });
      var locateSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe(REFRESH_STATEMENT_LOCATIONS_EVENT, function (snippet) {
        if (snippet === self.snippet) {
          cursorChangePaused = true;
          window.clearTimeout(changeThrottle);
          window.clearTimeout(updateThrottle);
          parseForStatements();
          updateActiveStatement();
          cursorChangePaused = false;
        }
      });
      self.disposeFunctions.push(function () {
        window.clearTimeout(changeThrottle);
        window.clearTimeout(updateThrottle);
        self.editor.off('changeSelection', changeSelectionListener);
        self.editor.off('change', changeListener);
        locateSubscription.remove();
      });
    }
  }, {
    key: "clearMarkedErrors",
    value: function clearMarkedErrors(type) {
      var self = this;

      for (var marker in self.editor.getSession().$backMarkers) {
        if (self.editor.getSession().$backMarkers[marker].clazz.indexOf('hue-ace-syntax-' + (type || '')) === 0) {
          self.editor.getSession().$backMarkers[marker].dispose();
        }
      }
    }
  }, {
    key: "checkForSyntaxErrors",
    value: function checkForSyntaxErrors(statementLocation, cursorPosition) {
      var self = this;

      if (self.sqlSyntaxWorkerSub !== null && (self.snippet.type() === 'impala' || self.snippet.type() === 'hive')) {
        var AceRange = ace.require('ace/range').Range;

        var editorChangeTime = self.editor.lastChangeTime;
        var beforeCursor = self.editor.getSession().getTextRange(new AceRange(statementLocation.first_line - 1, statementLocation.first_column, cursorPosition.row, cursorPosition.column));
        var afterCursor = self.editor.getSession().getTextRange(new AceRange(cursorPosition.row, cursorPosition.column, statementLocation.last_line - 1, statementLocation.last_column));
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('ace.sql.syntax.worker.post', {
          id: self.snippet.id(),
          editorChangeTime: editorChangeTime,
          beforeCursor: beforeCursor,
          afterCursor: afterCursor,
          statementLocation: statementLocation,
          type: self.snippet.type()
        });
      }
    }
  }, {
    key: "addAnchoredMarker",
    value: function addAnchoredMarker(range, token, clazz) {
      var self = this;
      range.start = self.editor.getSession().doc.createAnchor(range.start);
      range.end = self.editor.getSession().doc.createAnchor(range.end);
      var markerId = self.editor.getSession().addMarker(range, clazz);
      var marker = self.editor.getSession().$backMarkers[markerId];
      marker.token = token;

      marker.dispose = function () {
        range.start.detach();
        range.end.detach();
        delete marker.token.syntaxError;
        delete marker.token.notFound;
        self.editor.getSession().removeMarker(markerId);
      };
    }
  }, {
    key: "attachSqlSyntaxWorker",
    value: function attachSqlSyntaxWorker() {
      var self = this;

      if (self.sqlSyntaxWorkerSub !== null) {
        return;
      }

      self.sqlSyntaxWorkerSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('ace.sql.syntax.worker.message', function (e) {
        if (e.data.id !== self.snippet.id() || e.data.editorChangeTime !== self.editor.lastChangeTime) {
          return;
        }

        self.clearMarkedErrors('error');

        if (!e.data.syntaxError || !e.data.syntaxError.expected || e.data.syntaxError.expected.length === 0) {
          // Only show errors that we have suggestions for
          return;
        }

        var suppressedRules = window.apiHelper.getFromTotalStorage('hue.syntax.checker', 'suppressedRules', {});

        if (e.data.syntaxError && e.data.syntaxError.ruleId && !suppressedRules[e.data.syntaxError.ruleId.toString() + e.data.syntaxError.text.toLowerCase()]) {
          if (self.snippet.positionStatement() && _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__["default"].locationEquals(e.data.statementLocation, self.snippet.positionStatement().location)) {
            self.snippet.positionStatement().syntaxError = true;
          }

          if (_utils_hueDebug__WEBPACK_IMPORTED_MODULE_3__["default"] && _utils_hueDebug__WEBPACK_IMPORTED_MODULE_3__["default"].showSyntaxParseResult) {
            // eslint-disable-next-line no-restricted-syntax
            console.log(e.data.syntaxError);
          }

          var token = self.editor.getSession().getTokenAt(e.data.syntaxError.loc.first_line - 1, e.data.syntaxError.loc.first_column + 1); // Don't mark the current edited word as an error if the cursor is at the end of the word
          // For now [a-z] is fine as we only check syntax for keywords

          if (/[a-z]$/i.test(self.editor.getTextBeforeCursor()) && !/^[a-z]/i.test(self.editor.getTextAfterCursor())) {
            var cursorPos = self.editor.getCursorPosition();
            var cursorToken = self.editor.getSession().getTokenAt(cursorPos.row, cursorPos.column);

            if (cursorToken === token) {
              return;
            }
          } // If no token is found it likely means that the parser response came back after the text was changed,
          // at which point it will trigger another parse so we can ignore this.


          if (token) {
            token.syntaxError = e.data.syntaxError;

            var AceRange = ace.require('ace/range').Range;

            var range = new AceRange(e.data.syntaxError.loc.first_line - 1, e.data.syntaxError.loc.first_column, e.data.syntaxError.loc.last_line - 1, e.data.syntaxError.loc.first_column + e.data.syntaxError.text.length);
            self.addAnchoredMarker(range, token, 'hue-ace-syntax-error');
          }
        }
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.refresh.statement.locations', self.snippet);
    }
  }, {
    key: "detachSqlSyntaxWorker",
    value: function detachSqlSyntaxWorker() {
      var self = this;

      if (self.sqlSyntaxWorkerSub !== null) {
        self.sqlSyntaxWorkerSub.remove();
        self.sqlSyntaxWorkerSub = null;
      }

      self.clearMarkedErrors();
    }
  }, {
    key: "fetchChildren",
    value: function fetchChildren(identifierChain) {
      var self = this;
      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getChildren({
        sourceType: self.snippet.type(),
        namespace: self.snippet.namespace(),
        compute: self.snippet.compute(),
        temporaryOnly: self.snippet.autocompleteSettings.temporaryOnly,
        path: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(identifierChain, function (identifier) {
          return identifier.name;
        }),
        silenceErrors: true,
        cachedOnly: true
      }).done(deferred.resolve).fail(function () {
        deferred.reject([]);
      });
      return deferred;
    }
  }, {
    key: "fetchPossibleValues",
    value: function fetchPossibleValues(token) {
      var self = this;
      var promise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (token.parseLocation.tables && token.parseLocation.tables.length > 0) {
        var tablePromises = [];
        token.parseLocation.tables.forEach(function (table) {
          if (table.identifierChain) {
            tablePromises.push(self.fetchChildren(table.identifierChain));
          }
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, tablePromises).done(function () {
          var joined = [];

          for (var i = 0; i < arguments.length; i++) {
            joined = joined.concat(arguments[i]);
          }

          if (token.parseLocation.type === 'column') {
            // Could be a table reference
            token.parseLocation.tables.forEach(function (table) {
              if (!table.alias) {
                // Aliases are added later
                joined.push(table.identifierChain[table.identifierChain.length - 1]);
              }
            });
          }

          promise.resolve(joined);
        }).fail(promise.reject);
      } else if (token.parseLocation.identifierChain && token.parseLocation.identifierChain.length > 0) {
        // fetch the parent
        return self.fetchChildren(token.parseLocation.identifierChain.slice(0, token.parseLocation.identifierChain.length - 1));
      } else {
        promise.reject([]);
      }

      return promise;
    }
  }, {
    key: "verifyExists",
    value: function verifyExists(tokens, allLocations) {
      var self = this;
      window.clearInterval(self.verifyThrottle);
      self.clearMarkedErrors('warning');

      if (self.sqlSyntaxWorkerSub === null) {
        return;
      }

      var cursorPos = self.editor.getCursorPosition();
      var tokensToVerify = tokens.filter(function (token) {
        return token && token.parseLocation && (token.parseLocation.type === 'table' || token.parseLocation.type === 'column') && (token.parseLocation.identifierChain || token.parseLocation.tables) && !(cursorPos.row + 1 === token.parseLocation.location.last_line && cursorPos.column + 1 === token.parseLocation.location.first_column + token.value.length);
      }).slice(0, VERIFY_LIMIT);

      if (tokensToVerify.length === 0) {
        return;
      }

      var aliasIndex = {};
      var aliases = [];
      allLocations.forEach(function (location) {
        if (location.type === 'alias' && (location.source === 'column' || location.source === 'table' || location.source === 'subquery' || location.source === 'cte')) {
          aliasIndex[location.alias.toLowerCase()] = location;
          aliases.push({
            name: location.alias.toLowerCase()
          });
        }
      });

      var resolvePathFromTables = function resolvePathFromTables(location) {
        var promise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

        if (location.type === 'column' && typeof location.tables !== 'undefined' && location.identifierChain.length === 1) {
          var findIdentifierChainInTable = function findIdentifierChainInTable(tablesToGo) {
            var nextTable = tablesToGo.shift();

            if (typeof nextTable.subQuery === 'undefined') {
              _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getChildren({
                sourceType: self.snippet.type(),
                namespace: self.snippet.namespace(),
                compute: self.snippet.compute(),
                temporaryOnly: self.snippet.autocompleteSettings.temporaryOnly,
                path: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(nextTable.identifierChain, function (identifier) {
                  return identifier.name;
                }),
                cachedOnly: true,
                silenceErrors: true
              }).done(function (entries) {
                var containsColumn = entries.some(function (entry) {
                  return _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__["default"].identifierEquals(entry.name, location.identifierChain[0].name);
                });

                if (containsColumn) {
                  location.identifierChain = nextTable.identifierChain.concat(location.identifierChain);
                  delete location.tables;
                  promise.resolve();
                } else if (tablesToGo.length > 0) {
                  findIdentifierChainInTable(tablesToGo);
                } else {
                  promise.resolve();
                }
              }).fail(promise.resolve);
            } else if (tablesToGo.length > 0) {
              findIdentifierChainInTable(tablesToGo);
            } else {
              promise.resolve();
            }
          };

          if (location.tables.length > 1) {
            findIdentifierChainInTable(location.tables.concat());
          } else if (location.tables.length === 1 && location.tables[0].identifierChain) {
            location.identifierChain = location.tables[0].identifierChain.concat(location.identifierChain);
            delete location.tables;
            promise.resolve();
          }
        } else {
          promise.resolve();
        }

        return promise;
      };

      var verify = function verify() {
        if (tokensToVerify.length === 0) {
          return;
        }

        var token = tokensToVerify.shift();
        var location = token.parseLocation; // TODO: Verify columns in subqueries, i.e. 'code' in 'select code from (select * from web_logs) wl, customers c;'

        if ((location.type === 'column' || location.type === 'complex') && location.tables) {
          var hasSubQueries = location.tables.some(function (table) {
            return typeof table.subQuery !== 'undefined';
          });

          if (hasSubQueries) {
            self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
            return;
          }
        }

        resolvePathFromTables(location).done(function () {
          if (location.type === 'column') {
            var possibleAlias;

            if (!location.tables && location.identifierChain && location.identifierChain.length > 1) {
              possibleAlias = aliasIndex[token.parseLocation.identifierChain[0].name.toLowerCase()];
            } else if (location.tables) {
              location.tables.some(function (table) {
                if (table.identifierChain && table.identifierChain.length === 1 && table.identifierChain[0].name) {
                  possibleAlias = aliasIndex[table.identifierChain[0].name.toLowerCase()];
                  return possibleAlias;
                }

                return false;
              });
            }

            if (possibleAlias && possibleAlias.source === 'cte') {
              // We currently don't discover the columns from a CTE so we can't say if a column exists or not
              self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
              return;
            }
          }

          self.fetchPossibleValues(token).done(function (possibleValues) {
            // Tokens might change while making api calls
            if (!token.parseLocation) {
              self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
              return;
            } // Append aliases unless qualified i.e.for 'b' in SELECT a.b we shouldn't suggest aliases


            if (token.parseLocation.type !== 'column' && token.parseLocation.type !== 'complex' || !token.parseLocation.qualified) {
              possibleValues = possibleValues.concat(aliases);
            }

            var tokenValLower = token.actualValue.toLowerCase();
            var uniqueIndex = {};
            var uniqueValues = [];

            for (var i = 0; i < possibleValues.length; i++) {
              possibleValues[i].name = _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__["default"].backTickIfNeeded(self.snippet.type(), possibleValues[i].name);
              var nameLower = possibleValues[i].name.toLowerCase();

              if (nameLower === tokenValLower || tokenValLower.indexOf('`') === 0 && tokenValLower.replace(/`/g, '') === nameLower) {
                // Break if found
                self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
                return;
              }

              if (!uniqueIndex[nameLower]) {
                uniqueValues.push(possibleValues[i]);
                uniqueIndex[nameLower] = true;
              }
            }

            possibleValues = uniqueValues;
            var isLowerCase = tokenValLower === token.value;
            var weightedExpected = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(possibleValues, function (val) {
              return {
                text: isLowerCase ? val.name.toLowerCase() : val.name,
                distance: Object(_sql_stringDistance__WEBPACK_IMPORTED_MODULE_8__["default"])(token.value, val.name)
              };
            });
            weightedExpected.sort(function (a, b) {
              if (a.distance === b.distance) {
                return a.text.localeCompare(b.text);
              }

              return a.distance - b.distance;
            });
            token.syntaxError = {
              expected: weightedExpected.slice(0, 50)
            };
            token.notFound = true;

            if (token.parseLocation && token.parseLocation.type === 'table') {
              var path = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(token.parseLocation.identifierChain, function (identifier) {
                return identifier.name;
              });
              token.qualifiedIdentifier = path.join('.');
            }

            if (token.parseLocation && weightedExpected.length > 0) {
              var AceRange = ace.require('ace/range').Range;

              var range = new AceRange(token.parseLocation.location.first_line - 1, token.parseLocation.location.first_column - 1, token.parseLocation.location.last_line - 1, token.parseLocation.location.last_column - 1);
              self.addAnchoredMarker(range, token, 'hue-ace-syntax-warning');
            }

            self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
          }).fail(function () {
            // Can happen when tables aren't cached etc.
            self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
          });
        }).fail(function () {
          // Can happen when tables aren't cached etc.
          self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
        });
      };

      self.verifyThrottle = window.setTimeout(verify, VERIFY_DELAY);
    }
  }, {
    key: "isDatabase",
    value: function isDatabase(databaseIdentifier) {
      var self = this;

      if (!databaseIdentifier) {
        return false;
      }

      var cleanIdentifier = databaseIdentifier.replace(/^\s*`/, '').replace(/`\s*$/, '').toLowerCase();
      return self.databaseIndex[cleanIdentifier];
    }
  }, {
    key: "attachSqlWorker",
    value: function attachSqlWorker() {
      var self = this;
      var activeTokens = [];
      var lastKnownLocations = {};
      var getLocationsSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('get.active.editor.locations', function (callback, snippet) {
        if (self.snippet === snippet && (self.snippet.inFocus() || self.snippet.editorMode())) {
          callback(lastKnownLocations);
        }
      });
      self.disposeFunctions.push(function () {
        getLocationsSub.remove();
      });
      var locationWorkerSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('ace.sql.location.worker.message', function (e) {
        if (e.data.id !== self.snippet.id() || e.data.editorChangeTime !== self.editor.lastChangeTime || !self.snippet.isSqlDialect()) {
          return;
        }

        lastKnownLocations = {
          id: self.editorId,
          type: self.snippet.type(),
          namespace: self.snippet.namespace(),
          compute: self.snippet.compute(),
          defaultDatabase: self.snippet.database(),
          locations: e.data.locations,
          editorChangeTime: e.data.editorChangeTime,
          activeStatementLocations: e.data.activeStatementLocations,
          totalStatementCount: e.data.totalStatementCount,
          activeStatementIndex: e.data.activeStatementIndex
        }; // Clear out old parse locations to prevent them from being shown when there's a syntax error in the statement

        while (activeTokens.length > 0) {
          delete activeTokens.pop().parseLocation;
        }

        var tokensToVerify = [];
        e.data.locations.forEach(function (location) {
          if (location.type === 'statementType' && self.snippet.type() !== 'impala') {
            // We currently only have a good mapping from statement types to impala topics.
            // TODO: Extract links between Hive topic IDs and statement types
            return;
          }

          if (['statement', 'selectList', 'whereClause', 'limitClause'].indexOf(location.type) !== -1 || (location.type === 'table' || location.type === 'column') && typeof location.identifierChain === 'undefined') {
            return;
          }

          if (location.identifierChain && location.identifierChain.length && location.identifierChain[0].name) {
            // The parser isn't aware of the DDL so sometimes it marks complex columns as tables
            // I.e. "Impala SELECT a FROM b.c" Is 'b' a database or a table? If table then 'c' is complex
            if (self.snippet.type() === 'impala' && location.identifierChain.length > 2 && (location.type === 'table' || location.type === 'column') && self.isDatabase(location.identifierChain[0].name)) {
              location.type = 'complex';
            }
          }

          var token = self.editor.getSession().getTokenAt(location.location.first_line - 1, location.location.first_column); // Find open UDFs and prevent them from being marked as missing columns, i.e. cos in "SELECT * FROM foo where cos(a|"

          var rowTokens = self.editor.getSession().getTokens(location.location.first_line - 1);

          if (location.type === 'column' && token && rowTokens) {
            var tokenFound = false;
            var isFunction = false;
            rowTokens.some(function (rowToken) {
              if (tokenFound && /\s+/.test(rowToken.value)) {
                return false;
              }

              if (tokenFound) {
                isFunction = rowToken.value === '(';
                return true;
              }

              if (rowToken === token) {
                tokenFound = true;
              }
            });

            if (isFunction) {
              location.type = 'function';
              delete location.identifierChain;
              location["function"] = token.value;
              token = null;
            }
          }

          if (token && token.value && /`$/.test(token.value)) {
            // Ace getTokenAt() thinks the first ` is a token, column +1 will include the first and last.
            token = self.editor.getSession().getTokenAt(location.location.first_line - 1, location.location.first_column + 1);
          }

          if (token && token.value && /^\s*\$\{\s*$/.test(token.value)) {
            token = null;
          }

          if (token && token.value) {
            var AceRange = ace.require('ace/range').Range; // The Ace tokenizer also splits on '{', '(' etc. hence the actual value;


            token.actualValue = self.editor.getSession().getTextRange(new AceRange(location.location.first_line - 1, location.location.first_column - 1, location.location.last_line - 1, location.location.last_column - 1));
          }

          if (token !== null) {
            token.parseLocation = location;
            activeTokens.push(token);
            delete token.notFound;
            delete token.syntaxError;

            if (location.active) {
              tokensToVerify.push(token);
            }
          }
        });

        if (self.snippet.type() === 'impala' || self.snippet.type() === 'hive') {
          self.verifyExists(tokensToVerify, e.data.activeStatementLocations);
        }

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.active.locations', lastKnownLocations);
      });
      self.disposeFunctions.push(function () {
        locationWorkerSub.remove();
      });
      var lastContextRequest;
      var statementSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('editor.active.statement.changed', function (statementDetails) {
        if (statementDetails.id !== self.editorId) {
          return;
        }

        if (self.snippet.isSqlDialect()) {
          if (lastContextRequest) {
            lastContextRequest.dispose();
          }

          lastContextRequest = self.snippet.whenContextSet().done(function () {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('ace.sql.location.worker.post', {
              id: self.snippet.id(),
              statementDetails: statementDetails,
              type: self.snippet.type(),
              namespace: self.snippet.namespace(),
              compute: self.snippet.compute(),
              defaultDatabase: self.snippet.database()
            });
          });
        }
      });
      self.disposeFunctions.push(function () {
        statementSubscription.remove();
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      if (self.sqlSyntaxWorkerSub !== null) {
        self.sqlSyntaxWorkerSub.remove();
        self.sqlSyntaxWorkerSub = null;
      }

      self.disposeFunctions.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return AceLocationHandler;
}();

/* harmony default export */ __webpack_exports__["default"] = (AceLocationHandler);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceEditor.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceEditor.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _aceLocationHandler__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./aceLocationHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
/* harmony import */ var _aceGutterHandler__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./aceGutterHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceGutterHandler.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






 // TODO: Depends on Ace

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].aceEditor = {
  init: function init(element, valueAccessor) {
    var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var snippet = options.snippet;
    var aceOptions = options.aceOptions || {};
    var disposeFunctions = [];

    var dispose = function dispose() {
      disposeFunctions.forEach(function (dispose) {
        dispose();
      });
    };

    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, dispose);
    $el.text(snippet.statement_raw());
    var editor = ace.edit($el.attr('id'));

    var AceRange = ace.require('ace/range').Range;

    var resizeAce = function resizeAce() {
      window.setTimeout(function () {
        try {
          editor.resize(true);
        } catch (e) {// Can happen when the editor hasn't been initialized
        }
      }, 0);
    };

    var assistToggleSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.set.manual.visibility', resizeAce);
    var resizePubSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('split.panel.resized', resizeAce);
    disposeFunctions.push(function () {
      assistToggleSub.remove();
      resizePubSub.remove();
    });
    var aceLocationHandler = new _aceLocationHandler__WEBPACK_IMPORTED_MODULE_3__["default"]({
      editor: editor,
      editorId: $el.attr('id'),
      snippet: snippet,
      executor: snippet.executor,
      i18n: {
        expandStar: options.expandStar,
        contextTooltip: options.contextTooltip
      }
    });
    var aceGutterHandler = new _aceGutterHandler__WEBPACK_IMPORTED_MODULE_6__["default"]({
      editor: editor,
      editorId: $el.attr('id'),
      executor: snippet.executor
    });
    disposeFunctions.push(function () {
      aceLocationHandler.dispose();
      aceGutterHandler.dispose();
    });
    editor.session.setMode(snippet.getAceMode());
    editor.setOptions({
      fontSize: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('hue.ace', 'fontSize', navigator.platform && navigator.platform.toLowerCase().indexOf('linux') > -1 ? '14px' : '12px')
    });

    function processErrorsAndWarnings(type, list) {
      editor.clearErrorsAndWarnings(type);
      var offset = 0;

      if (snippet.isSqlDialect() && editor.getSelectedText()) {
        var selectionRange = editor.getSelectionRange();
        offset = Math.min(selectionRange.start.row, selectionRange.end.row);
      }

      if (list.length > 0) {
        list.forEach(function (item, cnt) {
          if (item.line !== null) {
            if (type === 'error') {
              editor.addError(item.message, item.line + offset);
            } else {
              editor.addWarning(item.message, item.line + offset);
            }

            if (cnt === 0) {
              editor.scrollToLine(item.line + offset, true, true, function () {});

              if (item.col !== null) {
                editor.renderer.scrollCursorIntoView({
                  row: item.line + offset,
                  column: item.col + 10
                }, 0.5);
              }
            }
          }
        });
      }
    }

    var errorsSub = snippet.errors.subscribe(function (newErrors) {
      processErrorsAndWarnings('error', newErrors);
    });
    var aceWarningsSub = snippet.aceWarnings.subscribe(function (newWarnings) {
      processErrorsAndWarnings('warning', newWarnings);
    });
    var aceErrorsSub = snippet.aceErrors.subscribe(function (newErrors) {
      processErrorsAndWarnings('error', newErrors);
    });
    disposeFunctions.push(function () {
      errorsSub.dispose();
      aceWarningsSub.dispose();
      aceErrorsSub.dispose();
    });
    var darkThemeEnabled = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('ace', 'dark.theme.enabled', false);
    editor.setTheme(darkThemeEnabled ? 'ace/theme/hue_dark' : 'ace/theme/hue');
    var editorOptions = {
      enableSnippets: true,
      showGutter: false,
      showLineNumbers: false,
      showPrintMargin: false,
      scrollPastEnd: 0.1,
      minLines: 1,
      maxLines: 25
    };
    editor.enabledMenuOptions = {
      setShowInvisibles: true,
      setTabSize: true,
      setShowGutter: true
    };
    editor.customMenuOptions = {
      setEnableDarkTheme: function setEnableDarkTheme(enabled) {
        darkThemeEnabled = enabled;
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('ace', 'dark.theme.enabled', darkThemeEnabled);
        editor.setTheme(darkThemeEnabled ? 'ace/theme/hue_dark' : 'ace/theme/hue');
      },
      getEnableDarkTheme: function getEnableDarkTheme() {
        return darkThemeEnabled;
      },
      setEnableAutocompleter: function setEnableAutocompleter(enabled) {
        editor.setOption('enableBasicAutocompletion', enabled);
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('hue.ace', 'enableBasicAutocompletion', enabled);
        var $enableLiveAutocompletionChecked = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#setEnableLiveAutocompletion:checked');
        var $setEnableLiveAutocompletion = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#setEnableLiveAutocompletion');

        if (enabled && $enableLiveAutocompletionChecked.length === 0) {
          $setEnableLiveAutocompletion.trigger('click');
        } else if (!enabled && $enableLiveAutocompletionChecked.length !== 0) {
          $setEnableLiveAutocompletion.trigger('click');
        }
      },
      getEnableAutocompleter: function getEnableAutocompleter() {
        return editor.getOption('enableBasicAutocompletion');
      },
      setEnableLiveAutocompletion: function setEnableLiveAutocompletion(enabled) {
        editor.setOption('enableLiveAutocompletion', enabled);
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('hue.ace', 'enableLiveAutocompletion', enabled);

        if (enabled && jquery__WEBPACK_IMPORTED_MODULE_0___default()('#setEnableAutocompleter:checked').length === 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#setEnableAutocompleter').trigger('click');
        }
      },
      getEnableLiveAutocompletion: function getEnableLiveAutocompletion() {
        return editor.getOption('enableLiveAutocompletion');
      },
      setFontSize: function setFontSize(size) {
        if (size.toLowerCase().indexOf('px') === -1 && size.toLowerCase().indexOf('em') === -1) {
          size += 'px';
        }

        editor.setOption('fontSize', size);
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('hue.ace', 'fontSize', size);
      },
      getFontSize: function getFontSize() {
        var size = editor.getOption('fontSize');

        if (size.toLowerCase().indexOf('px') === -1 && size.toLowerCase().indexOf('em') === -1) {
          size += 'px';
        }

        return size;
      }
    };

    if (window.ENABLE_SQL_SYNTAX_CHECK && window.Worker) {
      var errorHighlightingEnabled = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('hue.ace', 'errorHighlightingEnabled', true);

      if (errorHighlightingEnabled) {
        aceLocationHandler.attachSqlSyntaxWorker();
      }

      editor.customMenuOptions.setErrorHighlighting = function (enabled) {
        errorHighlightingEnabled = enabled;
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('hue.ace', 'errorHighlightingEnabled', enabled);

        if (enabled) {
          aceLocationHandler.attachSqlSyntaxWorker();
        } else {
          aceLocationHandler.detachSqlSyntaxWorker();
        }
      };

      editor.customMenuOptions.getErrorHighlighting = function () {
        return errorHighlightingEnabled;
      };

      editor.customMenuOptions.setClearIgnoredSyntaxChecks = function () {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('hue.syntax.checker', 'suppressedRules', {});
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#setClearIgnoredSyntaxChecks').hide().before('<div style="margin-top:5px;float:right;">done</div>');
      };

      editor.customMenuOptions.getClearIgnoredSyntaxChecks = function () {
        return false;
      };
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(editorOptions, aceOptions);
    editorOptions['enableBasicAutocompletion'] = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('hue.ace', 'enableBasicAutocompletion', true);

    if (editorOptions['enableBasicAutocompletion']) {
      editorOptions['enableLiveAutocompletion'] = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('hue.ace', 'enableLiveAutocompletion', true);
    }

    editor.setOptions(editorOptions);

    var AceAutocomplete = ace.require('ace/autocomplete').Autocomplete;

    if (!editor.completer) {
      editor.completer = new AceAutocomplete();
    }

    editor.completer.exactMatch = !snippet.isSqlDialect();

    var initAutocompleters = function initAutocompleters() {
      if (editor.completers) {
        editor.completers.length = 0;

        if (snippet.isSqlDialect()) {
          editor.useHueAutocompleter = true;
        } else {
          editor.completers.push(langTools.snippetCompleter);
          editor.completers.push(langTools.textCompleter);
          editor.completers.push(langTools.keyWordCompleter);
          editor.completers.push(snippet.autocompleter);
        }
      }
    };

    var langTools = ace.require('ace/ext/language_tools');

    langTools.textCompleter.setSqlMode(snippet.isSqlDialect());
    initAutocompleters();
    var UNICODES_TO_REMOVE = /[\u1680\u180E\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u200B\u202F\u205F\u3000\uFEFF]/gi; //taken from https://www.cs.tut.fi/~jkorpela/chars/spaces.html

    var removeUnicodes = function removeUnicodes(value) {
      return value.replace(UNICODES_TO_REMOVE, ' ');
    };

    var placeHolderElement = null;
    var placeHolderVisible = false;
    var placeHolderText = snippet.getPlaceHolder();

    if (placeHolderText) {
      placeHolderElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').text(placeHolderText).css('margin-left', '6px').addClass('ace_invisible ace_emptyMessage');

      if (editor.getValue().length === 0) {
        placeHolderElement.appendTo(editor.renderer.scroller);
        placeHolderVisible = true;
      }
    }

    var pasteListener = editor.on('paste', function (e) {
      e.text = removeUnicodes(e.text);
    });
    disposeFunctions.push(function () {
      editor.off('paste', pasteListener);
    });
    var inputListener = editor.on('input', function () {
      if (editor.getValue().length === 0) {
        if (!placeHolderVisible && placeHolderElement) {
          placeHolderElement.appendTo(editor.renderer.scroller);
          placeHolderVisible = true;
        }
      } else {
        placeHolderElement.remove();
        placeHolderVisible = false;
      }

      if (options.updateOnInput) {
        snippet.statement_raw(removeUnicodes(editor.getValue()));
      }
    });
    disposeFunctions.push(function () {
      editor.off('input', inputListener);
    });

    if (snippet.aceCursorPosition()) {
      editor.moveCursorToPosition(snippet.aceCursorPosition());
      window.setTimeout(function () {
        editor.centerSelection();
      }, 0);
    }

    var focusListener = editor.on('focus', function () {
      initAutocompleters();
      snippet.inFocus(true);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.ace-editor').data('last-active-editor', false);
      $el.data('last-active-editor', true);

      if (editor.session.$backMarkers) {
        for (var marker in editor.session.$backMarkers) {
          if (editor.session.$backMarkers[marker].clazz === 'highlighted') {
            editor.session.removeMarker(editor.session.$backMarkers[marker].id);
          }
        }
      }
    });
    disposeFunctions.push(function () {
      editor.off('focus', focusListener);
    });
    var changeSelectionListener = editor.selection.on('changeSelection', function () {
      snippet.selectedStatement(editor.getSelectedText());
    });
    disposeFunctions.push(function () {
      editor.selection.off('changeSelection', changeSelectionListener);
    });
    var blurListener = editor.on('blur', function () {
      snippet.inFocus(false);
      snippet.statement_raw(removeUnicodes(editor.getValue()));

      if (options.onBlur) {
        options.onBlur($el, removeUnicodes(editor.getValue()));
      }
    });
    disposeFunctions.push(function () {
      editor.off('blur', blurListener);
    });
    editor.previousSize = 0; // TODO: Get rid of this

    var idInterval = window.setInterval(function () {
      editor.session.getMode().$id = snippet.getAceMode(); // forces the id again because of Ace command internals
    }, 100);
    disposeFunctions.push(function () {
      window.clearInterval(idInterval);
    });
    editor.middleClick = false;
    var mousedownListener = editor.on('mousedown', function (e) {
      if (e.domEvent.which === 2) {
        // middle click
        editor.middleClick = true;
        var tempText = editor.getSelectedText();

        if (e.$pos) {
          editor.session.insert(e.$pos, tempText);
        }

        window.setTimeout(function () {
          editor.middleClick = false;

          if (e.$pos) {
            editor.moveCursorTo(e.$pos.row, e.$pos.column + tempText.length);
          }
        }, 200);
      }
    });
    disposeFunctions.push(function () {
      editor.off('mousedown', mousedownListener);
    });
    var aceReplaceSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('ace.replace', function (data) {
      var Range = ace.require('ace/range').Range;

      var range = new Range(data.location.first_line - 1, data.location.first_column - 1, data.location.last_line - 1, data.location.last_column - 1);
      editor.getSession().getDocument().replace(range, data.text);
    });
    disposeFunctions.push(function () {
      aceReplaceSub.remove();
    });
    var clickListener = editor.on('click', function () {
      editor.clearErrorsAndWarnings();
    });
    disposeFunctions.push(function () {
      editor.off('click', clickListener);
    });
    var changeListener = editor.on('change', function () {
      snippet.statement_raw(removeUnicodes(editor.getValue()));
      editor.session.getMode().$id = snippet.getAceMode();
      var currentSize = editor.session.getLength();

      if (currentSize !== editor.previousSize && currentSize >= editorOptions.minLines && currentSize <= editorOptions.maxLines) {
        editor.previousSize = editor.session.getLength();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editorSizeChanged');
      } // automagically change snippet type


      var firstLine = editor.session.getLine(0);

      if (firstLine.indexOf('%') === 0 && firstLine.charAt(firstLine.length - 1) === ' ') {
        var availableSnippets = snippet.availableSnippets;
        var removeFirstLine = false;

        for (var i = 0; i < availableSnippets.length; i++) {
          if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(firstLine.substr(1)) === availableSnippets[i].type()) {
            snippet.type(availableSnippets[i].type());
            removeFirstLine = true;
            break;
          }
        }

        if (removeFirstLine) {
          editor.session.remove(new AceRange(0, 0, 0, 200));
        }
      }
    });
    disposeFunctions.push(function () {
      editor.off('change', changeListener);
    });
    editor.commands.addCommand({
      name: 'execute',
      bindKey: {
        win: 'Ctrl-Enter',
        mac: 'Command-Enter|Ctrl-Enter'
      },
      exec: function exec() {
        snippet.statement_raw(removeUnicodes(editor.getValue()));
        snippet.execute();
      }
    });
    editor.commands.addCommand({
      name: 'switchTheme',
      bindKey: {
        win: 'Ctrl-Alt-t',
        mac: 'Command-Alt-t'
      },
      exec: function exec() {
        darkThemeEnabled = !darkThemeEnabled;
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('ace', 'dark.theme.enabled', darkThemeEnabled);
        editor.setTheme(darkThemeEnabled ? 'ace/theme/hue_dark' : 'ace/theme/hue');
      }
    });
    editor.commands.addCommand({
      name: 'new',
      bindKey: {
        win: 'Ctrl-e',
        mac: 'Command-e'
      },
      exec: function exec() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.create.new');
      }
    });
    editor.commands.addCommand({
      name: 'save',
      bindKey: {
        win: 'Ctrl-s',
        mac: 'Command-s|Ctrl-s'
      },
      exec: function exec() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.save');
      }
    });
    editor.commands.addCommand({
      name: 'esc',
      bindKey: {
        win: 'Ctrl-Shift-p',
        mac: 'Ctrl-Shift-p|Command-Shift-p'
      },
      exec: function exec() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.presentation.toggle');
      }
    });
    editor.commands.bindKey('Ctrl-P', 'golineup');
    editor.commands.addCommand({
      name: 'format',
      bindKey: {
        win: 'Ctrl-i|Ctrl-Shift-f|Ctrl-Alt-l',
        mac: 'Command-i|Ctrl-i|Ctrl-Shift-f|Command-Shift-f|Ctrl-Shift-l|Cmd-Shift-l'
      },
      exec: function exec() {
        if (['ace/mode/hive', 'ace/mode/impala', 'ace/mode/sql', 'ace/mode/mysql', 'ace/mode/pgsql', 'ace/mode/sqlite', 'ace/mode/oracle'].indexOf(snippet.getAceMode()) > -1) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/notebook/api/format', {
            statements: editor.getSelectedText() !== '' ? editor.getSelectedText() : editor.getValue()
          }, function (data) {
            if (data.status === 0) {
              if (editor.getSelectedText() !== '') {
                editor.session.replace(editor.session.selection.getRange(), data.formatted_statements);
              } else {
                editor.setValue(data.formatted_statements);
                snippet.statement_raw(removeUnicodes(editor.getValue()));
              }
            }
          });
        }
      }
    });
    editor.commands.addCommand({
      name: 'gotolinealternative',
      bindKey: {
        win: 'Ctrl-j',
        mac: 'Command-j|Ctrl-j'
      },
      exec: editor.commands.commands['gotoline'].exec
    });

    var isNewStatement = function isNewStatement() {
      return /^\s*$/.test(editor.getValue()) || /^.*;\s*$/.test(editor.getTextBeforeCursor());
    };

    var insertSqlAtCursor = function insertSqlAtCursor(text, cursorEndAdjust, menu) {
      var before = editor.getTextBeforeCursor();

      if (/\S+$/.test(before)) {
        text = ' ' + text;
      }

      if (menu) {
        menu.hide();
      }

      editor.session.insert(editor.getCursorPosition(), text);

      if (cursorEndAdjust !== 0) {
        var cursor = editor.getCursorPosition();
        editor.moveCursorToPosition({
          row: cursor.row,
          column: cursor.column + cursorEndAdjust
        });
      }

      editor.clearSelection();
      editor.focus();
    };

    var insertTableAtCursorSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('editor.insert.table.at.cursor', function (details) {
      if ($el.data('last-active-editor')) {
        var qualifiedName = snippet.database() === details.database ? details.name : details.database + '.' + details.name;

        if (isNewStatement()) {
          insertSqlAtCursor('SELECT * FROM ' + qualifiedName + ' LIMIT 100;', -1);
        } else {
          insertSqlAtCursor(qualifiedName + ' ', 0);
        }
      }
    });
    var insertColumnAtCursorSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('editor.insert.column.at.cursor', function (details) {
      if ($el.data('last-active-editor')) {
        if (isNewStatement()) {
          var qualifiedFromName = snippet.database() === details.database ? details.table : details.database + '.' + details.table;
          insertSqlAtCursor('SELECT ' + details.name + ' FROM ' + qualifiedFromName + ' LIMIT 100;', -1);
        } else {
          insertSqlAtCursor(details.name + ' ', 0);
        }
      }
    });
    var insertAtCursorSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('editor.insert.at.cursor', function (text) {
      if ($el.data('last-active-editor')) {
        insertSqlAtCursor(text + ' ', 0);
      }
    });
    disposeFunctions.push(function () {
      insertTableAtCursorSub.remove();
      insertColumnAtCursorSub.remove();
      insertAtCursorSub.remove();
    });
    var dblClickHdfsItemSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickHdfsItem', function (assistHdfsEntry) {
      if ($el.data('last-active-editor')) {
        editor.session.insert(editor.getCursorPosition(), "'" + assistHdfsEntry.path + "'");
      }
    });
    disposeFunctions.push(function () {
      dblClickHdfsItemSub.remove();
    });
    var dblClickAdlsItemSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickAdlsItem', function (assistHdfsEntry) {
      if ($el.data('last-active-editor')) {
        editor.session.insert(editor.getCursorPosition(), 'adl:/' + assistHdfsEntry.path + "'");
      }
    });
    disposeFunctions.push(function () {
      dblClickAdlsItemSub.remove();
    });
    var dblClickAbfsItemSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickAbfsItem', function (assistHdfsEntry) {
      if ($el.data('last-active-editor')) {
        editor.session.insert(editor.getCursorPosition(), 'abfs://' + assistHdfsEntry.path + "'");
      }
    });
    disposeFunctions.push(function () {
      dblClickAbfsItemSub.remove();
    });
    var dblClickGitItemSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickGitItem', function (assistGitEntry) {
      if ($el.data('last-active-editor')) {
        editor.session.setValue(assistGitEntry.fileContent());
      }
    });
    disposeFunctions.push(function () {
      dblClickGitItemSub.remove();
    });
    var dblClickS3ItemSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickS3Item', function (assistS3Entry) {
      if ($el.data('last-active-editor')) {
        editor.session.insert(editor.getCursorPosition(), "'S3A://" + assistS3Entry.path + "'");
      }
    });
    disposeFunctions.push(function () {
      dblClickS3ItemSub.remove();
    });
    var sampleErrorInsertSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('sample.error.insert.click', function (popoverEntry) {
      var table = popoverEntry.identifierChain[popoverEntry.identifierChain.length - 1]['name'];
      var text = 'SELECT * FROM ' + table + ' LIMIT 100;';
      insertSqlAtCursor(text, -1);
    });
    disposeFunctions.push(function () {
      sampleErrorInsertSub.remove();
    });
    var $tableDropMenu = $el.next('.table-drop-menu');
    var $identifierDropMenu = $tableDropMenu.find('.editor-drop-identifier');

    var hideDropMenu = function hideDropMenu() {
      $tableDropMenu.css('opacity', 0);
      window.setTimeout(function () {
        $tableDropMenu.hide();
      }, 300);
    };

    var documentClickListener = function documentClickListener(event) {
      if ($tableDropMenu.find(jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target)).length === 0) {
        hideDropMenu();
      }
    };

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', documentClickListener);
    disposeFunctions.push(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', documentClickListener);
    });
    var lastMeta = {};
    var draggableTextSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('draggable.text.meta', function (meta) {
      lastMeta = meta;

      if (meta.isView) {
        $tableDropMenu.find('.editor-drop-update').hide();
        $tableDropMenu.find('.editor-drop-insert').hide();
        $tableDropMenu.find('.editor-drop-drop').hide();
        $tableDropMenu.find('.editor-drop-view').show();
      } else {
        $tableDropMenu.find('.editor-drop-update').show();
        $tableDropMenu.find('.editor-drop-insert').show();
        $tableDropMenu.find('.editor-drop-drop').show();
        $tableDropMenu.find('.editor-drop-view').hide();
      }

      if (typeof meta !== 'undefined' && typeof meta.database !== 'undefined' && typeof meta.table !== 'undefined') {
        $identifierDropMenu.text(meta.database + '.' + meta.table);
      }
    });
    disposeFunctions.push(function () {
      draggableTextSub.remove();
    });
    var menu = knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].contextMenu.initContextMenu($tableDropMenu, jquery__WEBPACK_IMPORTED_MODULE_0___default()('.content-panel'));
    $tableDropMenu.find('.editor-drop-value').click(function () {
      insertSqlAtCursor(_sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ' ', 0, menu);
    });
    $tableDropMenu.find('.editor-drop-select').click(function () {
      insertSqlAtCursor('SELECT * FROM ' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ' LIMIT 100;', -1, menu);
      $tableDropMenu.hide();
    });
    $tableDropMenu.find('.editor-drop-insert').click(function () {
      insertSqlAtCursor('INSERT INTO ' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ' VALUES ();', -2, menu);
    });
    $tableDropMenu.find('.editor-drop-update').click(function () {
      insertSqlAtCursor('UPDATE ' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ' SET ', 0, menu);
    });
    $tableDropMenu.find('.editor-drop-view').click(function () {
      insertSqlAtCursor('DROP VIEW ' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ';', -1, menu);
    });
    $tableDropMenu.find('.editor-drop-drop').click(function () {
      insertSqlAtCursor('DROP TABLE ' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.database) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(lastMeta.type, lastMeta.table) + ';', -1, menu);
    });
    $el.droppable({
      accept: '.draggableText',
      drop: function drop(e, ui) {
        var position = editor.renderer.screenToTextCoordinates(e.clientX, e.clientY);
        var text = ui.helper.text();

        if (lastMeta.type === 's3' || lastMeta.type === 'hdfs' || lastMeta.type === 'adls' || lastMeta.type === 'abfs') {
          text = "'" + lastMeta.definition.path + "'";
        }

        editor.moveCursorToPosition(position);
        var before = editor.getTextBeforeCursor();

        if (lastMeta.database && lastMeta.table && !lastMeta.column && /.*;|^\s*$/.test(before)) {
          menu.show(e);
        } else {
          if (/\S+$/.test(before) && before.charAt(before.length - 1) !== '.') {
            text = ' ' + text;
          }

          var after = editor.getTextAfterCursor();

          if (after.length > 0 && after.charAt(0) !== ' ' && text.charAt(text.length - 1) !== ' ') {
            text += ' ';
          }

          editor.session.insert(position, text);
          position.column += text.length;
          editor.clearSelection();
        }
      }
    });
    var autocompleteTemporarilyDisabled = false;
    var autocompleteThrottle = -1;
    var afterExecListener = editor.commands.on('afterExec', function (e) {
      if (editor.getOption('enableLiveAutocompletion') && e.command.name === 'insertstring') {
        if (/\S+\(\)$/.test(e.args)) {
          editor.moveCursorTo(editor.getCursorPosition().row, editor.getCursorPosition().column - 1);
          return;
        }

        window.clearTimeout(autocompleteThrottle);
        autocompleteThrottle = window.setTimeout(function () {
          var textBeforeCursor = editor.getTextBeforeCursor();
          var questionMarkMatch = textBeforeCursor.match(/select\s+(\? from \S+[^.]\s*$)/i);

          if (questionMarkMatch && jquery__WEBPACK_IMPORTED_MODULE_0___default()('.ace_autocomplete:visible').length === 0) {
            editor.moveCursorTo(editor.getCursorPosition().row, editor.getCursorPosition().column - (questionMarkMatch[1].length - 1));
            editor.removeTextBeforeCursor(1);
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.refresh.statement.locations', snippet);
            window.setTimeout(function () {
              editor.execCommand('startAutocomplete');
            }, 1);
          } else if (/\.$/.test(textBeforeCursor)) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('editor.refresh.statement.locations', snippet);
            window.setTimeout(function () {
              editor.execCommand('startAutocomplete');
            }, 1);
          }
        }, 400);
      }

      editor.session.getMode().$id = snippet.getAceMode(); // forces the id again because of Ace command internals
      // if it's pig and before it's LOAD ' we disable the autocomplete and show a filechooser btn

      if (editor.session.getMode().$id === 'ace/mode/pig' && e.args) {
        var textBefore = editor.getTextBeforeCursor();

        if (e.args === "'" && textBefore.toUpperCase().indexOf('LOAD ') > -1 && textBefore.toUpperCase().indexOf('LOAD ') === textBefore.toUpperCase().length - 5 || textBefore.toUpperCase().indexOf("LOAD '") > -1 && textBefore.toUpperCase().indexOf("LOAD '") === textBefore.toUpperCase().length - 6) {
          if (editor.getOption('enableBasicAutocompletion')) {
            editor.disableAutocomplete();
            autocompleteTemporarilyDisabled = true;
          }

          var btn = editor.showFileButton();
          btn.on('click', function (ie) {
            ie.preventDefault(); // TODO: Turn the ace file chooser into a component and remove css class references

            var $aceFileChooseContent = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.ace-filechooser-content');

            if (!$aceFileChooseContent.data('jHueFileChooser')) {
              if ($aceFileChooseContent.data('spinner') == null) {
                $aceFileChooseContent.data('spinner', $aceFileChooseContent.html());
              } else {
                $aceFileChooseContent.html($aceFileChooseContent.data('spinner'));
              }

              $aceFileChooseContent.jHueFileChooser({
                onFileChoose: function onFileChoose(filePath) {
                  editor.session.insert(editor.getCursorPosition(), filePath + "'");
                  editor.hideFileButton();

                  if (autocompleteTemporarilyDisabled) {
                    editor.enableAutocomplete();
                    autocompleteTemporarilyDisabled = false;
                  }

                  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.ace-filechooser').hide();
                },
                selectFolder: false,
                createFolder: false
              });
            }

            jquery__WEBPACK_IMPORTED_MODULE_0___default()('.ace-filechooser').css({
              top: jquery__WEBPACK_IMPORTED_MODULE_0___default()(ie.currentTarget).position().top,
              left: jquery__WEBPACK_IMPORTED_MODULE_0___default()(ie.currentTarget).position().left
            }).show();
          });
        } else {
          editor.hideFileButton();

          if (autocompleteTemporarilyDisabled) {
            editor.enableAutocomplete();
            autocompleteTemporarilyDisabled = false;
          }
        }

        if (e.args !== "'" && textBefore.toUpperCase().indexOf("LOAD '") > -1 && textBefore.toUpperCase().indexOf("LOAD '") === textBefore.toUpperCase().length - 6) {
          editor.hideFileButton();

          if (autocompleteTemporarilyDisabled) {
            editor.enableAutocomplete();
            autocompleteTemporarilyDisabled = false;
          }
        }
      }
    });
    disposeFunctions.push(function () {
      editor.commands.off('afterExec', afterExecListener);
    });
    editor.$blockScrolling = Infinity;
    snippet.ace(editor);
  },
  update: function update(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var snippet = options.snippet;

    var AceRange = ace.require('ace/range').Range;

    if (snippet.ace()) {
      var editor = snippet.ace();

      if (typeof options.readOnly !== 'undefined') {
        editor.setReadOnly(options.readOnly);
      }

      var range = options.highlightedRange ? options.highlightedRange() : null;
      editor.session.setMode(snippet.getAceMode());

      if (range && JSON.stringify(range.start) !== JSON.stringify(range.end)) {
        var conflictingWithErrorMarkers = false;

        if (editor.session.$backMarkers) {
          for (var marker in editor.session.$backMarkers) {
            if (editor.session.$backMarkers[marker].clazz === 'ace_error-line') {
              var errorRange = editor.session.$backMarkers[marker].range;

              if (range.start.row <= errorRange.end.row && range.end.row >= errorRange.start.row) {
                conflictingWithErrorMarkers = true;
              }
            }

            if (editor.session.$backMarkers[marker].clazz === 'highlighted') {
              editor.session.removeMarker(editor.session.$backMarkers[marker].id);
            }
          }
        }

        if (!conflictingWithErrorMarkers) {
          var lineOffset = snippet.lastAceSelectionRowOffset();
          window.setTimeout(function () {
            editor.session.addMarker(new AceRange(range.start.row + lineOffset, range.start.column, range.end.row + lineOffset, range.end.column), 'highlighted', 'line');

            ace.require('ace/lib/dom').importCssString('.highlighted {\
                  background-color: #E3F7FF;\
                  position: absolute;\
              }');

            editor.scrollToLine(range.start.row + lineOffset, true, true, function () {});
          }, 0);
        }
      }

      try {
        editor._emit('change');
      } catch (e) {}
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceResizer.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceResizer.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].aceResizer = {
  init: function init(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var ace = options.snippet.ace.bind(options.snippet);
    var $target = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.target);
    var $resizer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $contentPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.content-panel');
    var $execStatus = $resizer.prev('.snippet-execution-status');
    var $variables = $resizer.siblings('.snippet-row').find('.variables');
    var lastEditorSize = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.editor.size') || 131;
    var editorHeight = Math.floor(lastEditorSize / 16);
    $target.height(lastEditorSize);
    var autoExpand = typeof options.snippet.aceAutoExpand !== 'undefined' ? options.snippet.aceAutoExpand : true;
    var draggedOnce = false;

    function throttleChange() {
      if (autoExpand && !draggedOnce) {
        var maxAutoLines = Math.floor((jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - 80) / 2 / 16);
        var resized = false;

        if (ace().session.getLength() > editorHeight) {
          if (ace().session.getLength() < maxAutoLines) {
            $target.height(ace().session.getLength() * 16);
          } else {
            $target.height(maxAutoLines * 16); // height of maxAutoLines
          }

          resized = true;
        } else {
          $target.height(Math.max(ace().session.getLength() * 16, jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.editor.size') || 131));
          resized = true;
        }

        if (ace().session.getLength() === editorHeight) {
          resized = false;
        }

        if (resized && $target.height() !== lastEditorSize) {
          ace().resize();
          editorHeight = Math.min(maxAutoLines, ace().session.getLength());
          lastEditorSize = $target.height();
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('redraw.fixed.headers');
        }
      }
    }

    var changeTimeout = -1;
    ace().on('change', function () {
      window.clearTimeout(changeTimeout);
      changeTimeout = window.setTimeout(throttleChange, 10);
    });
    var setAutoExpandSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('ace.set.autoexpand', function (options) {
      if (ace().container.id === options.snippet.id()) {
        autoExpand = options.autoExpand;
      }
    });
    $resizer.draggable({
      axis: 'y',
      start: options.onStart ? options.onStart : function () {},
      drag: function drag(event, ui) {
        draggedOnce = true;
        var currentHeight = ui.offset.top + $contentPanel.scrollTop() - (125 + $execStatus.outerHeight(true) + $variables.outerHeight(true));
        $target.css('height', currentHeight + 'px');
        ace().resize();
        ui.offset.top = 0;
        ui.position.top = 0;
      },
      stop: function stop(event, ui) {
        ui.offset.top = 0;
        ui.position.top = 0;
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.editor.size', $target.height());
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('redraw.fixed.headers');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('editorSizeChanged');
      }
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      setAutoExpandSubscription.remove();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/chartUtils.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/chartUtils.js ***!
  \**********************************************************************/
/*! exports provided: barChartBuilder, handleSelection, insertLinebreaks, lineChartBuilder, numeric */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "barChartBuilder", function() { return barChartBuilder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "handleSelection", function() { return handleSelection; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "insertLinebreaks", function() { return insertLinebreaks; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "lineChartBuilder", function() { return lineChartBuilder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "numeric", function() { return numeric; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var MS = 1;
var SECOND_MS = 1000 * MS;
var MINUTE_MS = SECOND_MS * 60;
var HOUR_MS = MINUTE_MS * 60;
var DAY_MS = HOUR_MS * 24;
var WEEK_MS = DAY_MS * 7;
var MONTH_MS = DAY_MS * 30.5;
var YEAR_MS = DAY_MS * 365;

var addLegend = function addLegend(element) {
  var $el = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]);
  var $div = $el.select('div');

  if (!$div.size()) {
    $el.append('div').style('position', 'absolute').style('overflow', 'auto').style('top', '20px').style('right', '0px').style('width', '175px').style('height', 'calc(100% - 20px)').append('svg');
  } else {
    $div.append('svg');
  }
};

var barChartBuilder = function barChartBuilder(element, options, isTimeline) {
  var _datum = options.transformer(options.datum, isTimeline);

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(300);

  var _isPivot = options.isPivot != null ? options.isPivot : false;

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 && (_datum.length === 0 || _datum[0].values.length === 0)) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').remove();
  }

  if (_datum.length > 0 && _datum[0].values.length > 0 && isNaN(_datum[0].values[0].y)) {
    _datum = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').remove();
  }

  _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].addGraph(function () {
    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 && jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.nv-discreteBarWithAxes').length > 0) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
    }

    var _chart = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.multiBarWithBrushChart();

    _chart.noData(_datum.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No Data Available.'));

    if (_datum.length > 0) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart_type', 'multibar_brush');
    }

    _chart.onSelectRange(function (from, to) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('charts.state', {
        updating: true
      });
      options.onSelectRange(from, to);
    });

    _chart.multibar.dispatch.on('elementClick', function (d) {
      if (typeof options.onClick != 'undefined') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('charts.state', {
          updating: true
        });
        options.onClick(d.point);
      }
    });

    _chart.onStateChange(options.onStateChange);

    if (options.selectedSerie) {
      _chart.onLegendChange(function (state) {
        var selectedSerie = options.selectedSerie();

        var _datum = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]).datum();

        for (var i = 0; i < state.disabled.length; i++) {
          selectedSerie[_datum[i].key] = !state.disabled[i];
        }

        options.selectedSerie(selectedSerie);
      });
    }

    _chart.multibar.hideable(true);

    _chart.multibar.stacked(typeof options.stacked != 'undefined' ? options.stacked : false);

    if (isTimeline) {
      _chart.convert = function (d) {
        return isTimeline ? new Date(moment(d[0].obj.from).valueOf()) : parseFloat(d);
      };

      _chart.staggerLabels(false);

      _chart.tooltipContent(function (values) {
        return values.map(function (value) {
          value = JSON.parse(JSON.stringify(value));
          value.x = moment(value.x).utc().format('YYYY-MM-DD HH:mm:ss');
          value.y = _chart.yAxis.tickFormat()(value.y);
          return value;
        });
      });

      _chart.xAxis.tickFormat(multi(_chart.xAxis));

      _chart.multibar.stacked(typeof options.stacked != 'undefined' ? options.stacked : false);

      _chart.onChartUpdate(function () {
        _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
          insertLinebreaks(_chart, d, this);
        });
      });
    } else if (numeric(_datum)) {
      _chart.xAxis.showMaxMin(false).tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format(',0f'));

      _chart.staggerLabels(false);
    } else if (!_isPivot) {
      _chart.multibar.barColor(_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.defaultColor());

      _chart.staggerLabels(true);
    }

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width() < 300 && typeof _chart.showLegend != 'undefined') {
      _chart.showLegend(false);
    }

    _chart.transitionDuration(0);

    _chart.yAxis.tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format('s'));

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart', _chart);
    handleSelection(_chart, options, _datum);

    var _d3 = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).insert('svg', ':first-child');

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length < 2) {
      addLegend(element);
    }

    _d3.datum(_datum).transition().duration(150).each('end', function () {
      if (options.onComplete != null) {
        options.onComplete();
      }

      if (isTimeline) {
        _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
          insertLinebreaks(_chart, d, this);
        });
      }

      if (options.slot && _chart.recommendedTicks) {
        options.slot(_chart.recommendedTicks());
      }
    }).call(_chart);

    if (!options.skipWindowResize) {
      var _resizeTimeout = -1;

      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.windowResize(function () {
        window.clearTimeout(_resizeTimeout);
        _resizeTimeout = window.setTimeout(function () {
          _chart.update();
        }, 200);
      });
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('forceUpdate', function () {
      _chart.update();
    });
    return _chart;
  });
};

var handleSelection = function handleSelection(_chart, _options, _datum) {
  var i, j;

  if (_options.selectedSerie) {
    var selectedSerie = _options.selectedSerie();

    var enabledCount = 0;

    for (i = 0; i < _datum.length; i++) {
      if (!selectedSerie[_datum[i].key]) {
        _datum[i].disabled = true;
      } else {
        enabledCount++;
      }
    }

    if (enabledCount === 0) {
      // Get the 5 series with the most non zero elements on x axis & total value.
      var stats = {};

      for (i = 0; i < _datum.length; i++) {
        if (!stats[_datum[i].key]) {
          stats[_datum[i].key] = {
            count: 0,
            total: 0
          };
        }

        for (j = 0; j < _datum[i].values.length; j++) {
          stats[_datum[i].key].count += Math.min(_datum[i].values[j].y, 1);
          stats[_datum[i].key].total += _datum[i].values[j].y;
        }
      }

      var aStats = Object.keys(stats).map(function (key) {
        return {
          key: key,
          stat: stats[key]
        };
      });
      aStats.sort(function (a, b) {
        return a.stat.count - b.stat.count || a.stat.total - b.stat.total;
      });

      for (i = aStats.length - 1; i >= Math.max(aStats.length - 5, 0); i--) {
        _datum[i].disabled = false;
        selectedSerie[_datum[i].key] = true;
      }
    }
  }

  var _isPivot = _options.isPivot != null ? _options.isPivot : false;

  var _hideSelection = typeof _options.hideSelection !== 'undefined' ? typeof _options.hideSelection === 'function' ? _options.hideSelection() : _options.hideSelection : false;

  var _enableSelection = typeof _options.enableSelection !== 'undefined' ? typeof _options.enableSelection === 'function' ? _options.enableSelection() : _options.enableSelection : true;

  _enableSelection = _enableSelection && numeric(_datum);

  var _hideStacked = _options.hideStacked !== null ? typeof _options.hideStacked === 'function' ? _options.hideStacked() : _options.hideStacked : false;

  var _displayValuesInLegend = _options.displayValuesInLegend !== null ? typeof _options.displayValuesInLegend === 'function' ? _options.displayValuesInLegend() : _options.displayValuesInLegend : false;

  var fHideSelection = _isPivot || _hideSelection ? _chart.hideSelection : _chart.showSelection;

  if (fHideSelection) {
    fHideSelection.call(_chart);
  }

  var fEnableSelection = _enableSelection ? _chart.enableSelection : _chart.disableSelection;

  if (fEnableSelection) {
    fEnableSelection.call(_chart);
  }

  var fHideStacked = _hideStacked ? _chart.hideStacked : _chart.showStacked;

  if (fHideStacked) {
    fHideStacked.call(_chart);
  }

  if (_chart.displayValuesInLegend) {
    _chart.displayValuesInLegend(_displayValuesInLegend);
  }

  if (_chart.selectBars) {
    var _field = typeof _options.field == 'function' ? _options.field() : _options.field;

    var bHasSelection = false;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(_options.fqs ? _options.fqs() : [], function (cnt, item) {
      if (item.id() === _options.datum.widget_id) {
        if (item.field() === _field) {
          if (item.properties && typeof item.properties === 'function') {
            bHasSelection = true;

            _chart.selectBars({
              singleValues: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.filter(), function (it) {
                return it.value();
              }),
              rangeValues: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.properties(), function (it) {
                return {
                  from: it.from(),
                  to: it.to()
                };
              })
            });
          } else {
            bHasSelection = true;

            _chart.selectBars(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.filter(), function (it) {
              return it.value();
            }));
          }
        }

        if (Array.isArray(item.field())) {
          bHasSelection = true;

          _chart.selectBars({
            field: item.field(),
            selected: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.filter(), function (it) {
              return {
                values: it.value()
              };
            })
          });
        }
      }
    });

    if (!bHasSelection) {
      _chart.selectBars({
        field: '',
        selected: []
      });
    }
  }
};

var insertLinebreaks = function insertLinebreaks(_chart, d, ref) {
  var _el = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(ref);

  var _mom = moment(d);

  if (_mom != null && _mom.isValid()) {
    var _words = _el.text().split(' ');

    _el.text('');

    for (var i = 0; i < _words.length; i++) {
      var tspan = _el.append('tspan').text(_words[i]);

      if (i > 0) {
        tspan.attr('x', 0).attr('dy', '15');
      }
    }
  }
};

var lineChartBuilder = function lineChartBuilder(element, options, isTimeline) {
  var _datum = options.transformer(options.datum);

  jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(300);

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 && (_datum.length === 0 || _datum[0].values.length === 0)) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
  }

  if (_datum.length > 0 && _datum[0].values.length > 0 && (isNaN(_datum[0].values[0].x) || isNaN(_datum[0].values[0].y))) {
    _datum = [];
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
  }

  if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).is(':visible')) {
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].addGraph(function () {
      var _chart = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.lineWithBrushChart();

      _chart.noData(_datum.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No Data Available.'));

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart', _chart);

      _chart.transitionDuration(0);

      _chart.convert = function (d) {
        return isTimeline ? new Date(moment(d[0].obj.from).valueOf()) : parseFloat(d);
      };

      if (options.showControls != null) {
        _chart.showControls(false);
      }

      _chart.onSelectRange(function (from, to) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('charts.state', {
          updating: true
        });
        options.onSelectRange(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isNumeric(from) && isTimeline ? new Date(moment(from).valueOf()) : parseInt(from), jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isNumeric(to) && isTimeline ? new Date(moment(to).valueOf()) : parseInt(to)); // FIXME when using pdouble we should not parseInt.
      });

      if (options.selectedSerie) {
        _chart.onLegendChange(function (state) {
          var selectedSerie = options.selectedSerie();

          var _datum = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]).datum();

          for (var i = 0; i < state.disabled.length; i++) {
            selectedSerie[_datum[i].key] = !state.disabled[i];
          }

          options.selectedSerie(selectedSerie);
        });
      }

      _chart.xAxis.showMaxMin(false);

      if (isTimeline) {
        _chart.xScale(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.time.scale.utc());

        _chart.tooltipContent(function (values) {
          return values.map(function (value) {
            value = JSON.parse(JSON.stringify(value));
            value.x = moment(value.x).utc().format('YYYY-MM-DD HH:mm:ss');
            value.y = _chart.yAxis.tickFormat()(value.y);
            return value;
          });
        });

        _chart.xAxis.tickFormat(multi(_chart.xAxis, _chart));

        _chart.onChartUpdate(function () {
          _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
            insertLinebreaks(_chart, d, this);
          });
        });
      }

      _chart.yAxis.tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format('s'));

      handleSelection(_chart, options, _datum);

      var _d3 = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).insert('svg', ':first-child');

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length < 2) {
        addLegend(element);
      }

      _d3.datum(_datum).transition().duration(150).each('end', function () {
        if (options.onComplete != null) {
          options.onComplete();
        }

        if (isTimeline) {
          _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
            insertLinebreaks(_chart, d, this);
          });
        }
      }).call(_chart);

      var _resizeTimeout = -1;

      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.windowResize(function () {
        window.clearTimeout(_resizeTimeout);
        _resizeTimeout = window.setTimeout(function () {
          _chart.update();
        }, 200);
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('forceUpdate', function () {
        _chart.update();
      });

      _chart.lines.dispatch.on('elementClick', function (d) {
        if (typeof options.onClick != 'undefined') {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('charts.state', {
            updating: true
          });
          options.onClick(d.point);
        }
      });

      return _chart;
    });
  }
};

var multi = function multi(xAxis) {
  var previous = new Date(9999, 11, 31);
  return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.time.format.utc.multi([['%H:%M:%S %Y-%m-%d', function (d) {
    var domain = xAxis.domain();
    var result = (previous > d || d === domain[0]) && moment(d).utc().seconds();

    if (result) {
      previous = d;
    }

    return result;
  }], ['%H:%M %Y-%m-%d', function (d) {
    var domain = xAxis.domain();
    var result = previous > d || d === domain[0];

    if (result) {
      previous = d;
    }

    return result;
  }], ['%S %H:%M', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().minutes() !== moment(d).utc().minutes() && previousDiff < MINUTE_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%S', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().seconds() !== moment(d).utc().seconds() && previousDiff < MINUTE_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%H:%M:%S %Y-%m-%d', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().date() !== moment(d).utc().date() && previousDiff < WEEK_MS && moment(d).utc().seconds();

    if (result) {
      previous = d;
    }

    return result;
  }], ['%H:%M %Y-%m-%d', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().date() !== moment(d).utc().date() && previousDiff < WEEK_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%H:%M:%S', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = (moment(previous).utc().hours() !== moment(d).utc().hours() || moment(previous).utc().minutes() !== moment(d).utc().minutes()) && previousDiff < WEEK_MS && moment(d).utc().seconds();

    if (result) {
      previous = d;
    }

    return result;
  }], ['%H:%M', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = (moment(previous).utc().hours() !== moment(d).utc().hours() || moment(previous).utc().minutes() !== moment(d).utc().minutes()) && previousDiff < WEEK_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%d %Y-%m', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().months() !== moment(d).utc().months() && previousDiff < MONTH_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%d', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().date() !== moment(d).utc().date() && previousDiff < MONTH_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%m %Y', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().years() !== moment(d).utc().years() && previousDiff < YEAR_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%m', function (d) {
    var previousDiff = Math.abs(d - previous);
    var result = moment(previous).utc().months() !== moment(d).utc().months() && previousDiff < YEAR_MS;

    if (result) {
      previous = d;
    }

    return result;
  }], ['%Y', function (d) {
    previous = d;
    return true;
  }]]);
};

var numeric = function numeric(_datum) {
  for (var j = 0; j < _datum.length; j++) {
    for (var i = 0; i < _datum[j].values.length; i++) {
      if (isNaN(_datum[j].values[i].x * 1)) {
        return false;
      }
    }
  }

  return true;
};



/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.barChart.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.barChart.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _chartUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./chartUtils */ "./desktop/core/src/desktop/js/ko/bindings/charts/chartUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].barChart = {
  init: function init(element, valueAccessor) {
    var _options = knockout__WEBPACK_IMPORTED_MODULE_2__["unwrap"](valueAccessor());

    if (_options.type && _options.type() === 'line') {
      window.setTimeout(function () {
        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["lineChartBuilder"])(element, valueAccessor(), false);
      }, 0);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', 'line');
    } else {
      window.setTimeout(function () {
        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["barChartBuilder"])(element, valueAccessor(), false);
      }, 0);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', 'bar');
    }
  },
  update: function update(element, valueAccessor) {
    var _options = knockout__WEBPACK_IMPORTED_MODULE_2__["unwrap"](valueAccessor());

    if (_options.type && _options.type() !== jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type')) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').remove();
      }

      if (_options.type() === 'line') {
        window.setTimeout(function () {
          Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["lineChartBuilder"])(element, valueAccessor(), false);
        }, 0);
      } else {
        window.setTimeout(function () {
          Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["barChartBuilder"])(element, valueAccessor(), false);
        }, 0);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', _options.type());
    }

    var _datum = _options.transformer(_options.datum);

    var _chart = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart');

    var _isPivot = _options.isPivot != null ? _options.isPivot : false;

    if (_chart) {
      _chart.noData(_datum.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No Data Available.'));

      if (_chart.multibar) {
        _chart.multibar.stacked(typeof _options.stacked != 'undefined' ? _options.stacked : false);
      }

      if (Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["numeric"])(_datum)) {
        _chart.xAxis.showMaxMin(false).tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format(',0f'));

        if (_chart.multibar) {
          _chart.multibar.barColor(null);
        }
      } else {
        _chart.xAxis.tickFormat(function (s) {
          return s;
        });

        if (_chart.multibar) {
          if (!_isPivot) {
            _chart.multibar.barColor(_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.defaultColor());
          } else {
            _chart.multibar.barColor(null);
          }
        }
      }

      window.setTimeout(function () {
        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_5__["handleSelection"])(_chart, _options, _datum);

        var _d3 = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]);

        _d3.datum(_datum).transition().duration(150).each('end', function () {
          if (_options.onComplete != null) {
            _options.onComplete();
          }
        }).call(_chart);

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('charts.state');
      }, 0);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.leafletMapChart.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.leafletMapChart.js ***!
  \******************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_leaflet_leaflet__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../ext/leaflet/leaflet */ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.js");
/* harmony import */ var _ext_leaflet_leaflet__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_ext_leaflet_leaflet__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ext_leaflet_leaflet_markercluster__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../ext/leaflet/leaflet.markercluster */ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.markercluster.js");
/* harmony import */ var _ext_leaflet_leaflet_markercluster__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_ext_leaflet_leaflet_markercluster__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _ext_leaflet_leaflet_heat__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../ext/leaflet/leaflet.heat */ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.heat.js");
/* harmony import */ var _ext_leaflet_leaflet_heat__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_ext_leaflet_leaflet_heat__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _ext_leaflet_leaflet_zoombox__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../ext/leaflet/leaflet.zoombox */ "./desktop/core/src/desktop/js/ext/leaflet/leaflet.zoombox.js");
/* harmony import */ var _ext_leaflet_leaflet_zoombox__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_ext_leaflet_leaflet_zoombox__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].leafletMapChart = {
  update: function update(element, valueAccessor) {
    var L = window.L;

    var _options = valueAccessor();

    var _data = _options.transformer(valueAccessor().datum);

    function toggleVisibility() {
      if (!_data.message && (_options.visible != null && _options.visible || _options.visible == null || typeof _options == 'undefined')) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).show();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).siblings('.leaflet-nodata').remove();
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).hide();

        if ((_data.message || _options.visible != null && _options.visible) && !_options.isLoading) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).siblings('.leaflet-nodata').remove();
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).before(jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('leaflet-nodata').css({
            textAlign: 'center',
            fontSize: '18px',
            fontWeight: 700,
            marginTop: '20px'
          }).text(_data.message || window.I18n('No Data Available.')));
        }
      }
    }

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('mapData') == null || jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('mapData') !== knockout__WEBPACK_IMPORTED_MODULE_1__["toJSON"](_data) || _options.forceRedraw) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('mapData', knockout__WEBPACK_IMPORTED_MODULE_1__["toJSON"](_data));
      var _hasAtLeastOneLat = false;

      _data.forEach(function (item) {
        if (item.lat != null && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isNumeric(item.lat)) {
          _hasAtLeastOneLat = true;
        }
      });

      var _hasAtLeastOneLng = false;

      _data.forEach(function (item) {
        if (item.lng != null && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isNumeric(item.lng)) {
          _hasAtLeastOneLng = true;
        }
      });

      if (_options.height != null) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(_options.height * 1);
      } else if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.tab-pane').length > 0) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.tab-pane').height() - 100);
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(300);
      }

      toggleVisibility();
      var _map = null;

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map') != null) {
        _map = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map');

        _map.removeLayer(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_markerLayer'));

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_heatLayer')) {
          _map.removeLayer(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_heatLayer'));

          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_heatLayer', null);
        }
      }

      var _clusterGroup = L.markerClusterGroup({
        maxClusterRadius: 10,
        polygonOptions: {
          weight: 1.5
        }
      });

      var heat;

      if (_hasAtLeastOneLat && _hasAtLeastOneLng) {
        try {
          if (_map == null) {
            if (window.LEAFLET_DEFAULTS.mapOptions.crs) {
              window.LEAFLET_DEFAULTS.mapOptions.crs = L.CRS[window.LEAFLET_DEFAULTS.mapOptions.crs];
            }

            _map = L.map(element, window.LEAFLET_DEFAULTS.mapOptions);
            var tileLayerOptions = {
              layer: 'http://{s}.tile.osm.org/{z}/{x}/{y}.png',
              attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
            };

            if (window.LEAFLET_DEFAULTS.layer) {
              tileLayerOptions.layer = window.LEAFLET_DEFAULTS.layer;
            }

            if (window.LEAFLET_DEFAULTS.attribution) {
              tileLayerOptions.attribution = window.LEAFLET_DEFAULTS.attribution;
            }

            if (window.LEAFLET_DEFAULTS.layerOptions) {
              tileLayerOptions = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(tileLayerOptions, window.LEAFLET_DEFAULTS.layerOptions);
            }

            L.tileLayer(tileLayerOptions.layer, tileLayerOptions).addTo(_map);

            if (L.control.zoomBox) {
              var _zoomBox = L.control.zoomBox({
                modal: true
              });

              _map.addControl(_zoomBox);
            }

            if (_options.showMoveCheckbox) {
              var _command = L.control({
                position: jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width() > 300 ? 'topright' : 'bottomleft'
              });

              _command.onAdd = function (map) {
                var div = L.DomUtil.create('div', 'leaflet-search-command leaflet-bar leaflet-move-label');
                div.innerHTML = '<button id="command' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.card-widget').attr('id') + '" type="button" class="btn btn-mini disable-feedback"><i class="fa fa-fw fa-square-o"></i> ' + (_options.moveCheckboxLabel ? _options.moveCheckboxLabel : 'Search as I move the map') + '</button>';
                return div;
              };

              _command.addTo(_map);

              if (_options.onRegionChange == null) {
                _options.onRegionChange = function () {};
              }

              var _onRegionChange = function _onRegionChange() {};

              jquery__WEBPACK_IMPORTED_MODULE_0___default()('#command' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.card-widget').attr('id')).on('click', function (e) {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).toggleClass('btn-primary');
                jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).find('.fa-fw').toggleClass('fa-check-square');

                if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).hasClass('btn-primary')) {
                  if (_options.onRegionChange != null) {
                    _onRegionChange = _options.onRegionChange;
                  }
                } else {
                  _onRegionChange = function _onRegionChange() {};
                }
              });
              knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
                jquery__WEBPACK_IMPORTED_MODULE_0___default()('#command' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.card-widget').attr('id')).off('click');
              });

              _map.on('boxzoomend', function (e) {
                _onRegionChange(e.boxZoomBounds);
              });

              _map.on('dragend', function () {
                _onRegionChange(_map.getBounds());
              });

              _map.on('zoomend', function () {
                _onRegionChange(_map.getBounds());
              });

              _map.on('viewreset', function () {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('leaflet.afterplot', element);
              });
            }
          }

          var heatData = [];

          var sumHeatData = function sumHeatData(data) {
            var sumData = [];
            data.forEach(function (d) {
              var found = false;

              if (d.length === 3) {
                sumData.forEach(function (s) {
                  if (d[0] === s[0] && d[1] === s[1]) {
                    found = true;
                    s[2] += d[2];
                  }
                });
              }

              if (!found) {
                sumData.push(d);
              }
            });
            return sumData;
          };

          var getMaxIntensity = function getMaxIntensity(data) {
            var maxIntensity = 0;
            data.forEach(function (d) {
              if (d[2] > maxIntensity) {
                maxIntensity = d[2];
              }
            });
            return maxIntensity;
          };

          _data.forEach(function (item) {
            if (item && item.lng != null && item.lat != null) {
              var _addMarker = false;

              try {
                var _latLngObj = L.latLng(item.lat, item.lng);

                _addMarker = true;
              } catch (e) {
                if (typeof console != 'undefined') {
                  console.error(e);
                }
              }

              if (_addMarker) {
                var _marker = L.marker([item.lat, item.lng]);

                if (item.isHeat) {
                  if (item.intensity != null) {
                    heatData.push([item.lat, item.lng, item.intensity]);
                  } else {
                    heatData.push([item.lat, item.lng]);
                  }
                } else if (item.label != null) {
                  _marker.bindPopup(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.isArray(item.label) ? item.label.join('') : item.label);
                }

                _clusterGroup.addLayer(_marker);
              }
            }
          });

          if (heatData.length > 0) {
            heatData = sumHeatData(heatData);
            heat = L.heatLayer(heatData);

            if (heatData[0].length === 3) {
              // it has intensity
              heat.setOptions(getMaxIntensity(heatData));
            }
          }

          window.setTimeout(function () {
            if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()('#command' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents('.card-widget').attr('id')).is(':checked')) {
              _map.fitBounds(_clusterGroup.getBounds());
            }

            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.leaflet-tile-pane').children().length > 0) {
              if (heatData.length == 0) {
                _map.addLayer(_clusterGroup);

                jquery__WEBPACK_IMPORTED_MODULE_0___default()('.leaflet-heatmap-layer').remove();
              } else {
                try {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.leaflet-heatmap-layer').remove();
                  heat.addTo(_map);
                } catch (e) {} // context2D not initialized yet

              }
            }

            if (_options.onComplete != null) {
              _options.onComplete();
            }
          }, 0);
          var resizeSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('resize.leaflet.map', function () {
            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map')) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map').invalidateSize();

              if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_markerLayer')) {
                try {
                  jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map').fitBounds(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_markerLayer').getBounds());
                } catch (e) {}
              }
            }
          });
          knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
            resizeSubscription.remove();
          });
        } catch (err) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.jHueNotify.error(err.message);
        }
      }

      var previousMarkerLayer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_markerLayer');

      if (previousMarkerLayer) {
        window.setTimeout(function () {
          try {
            previousMarkerLayer.removeLayers(previousMarkerLayer.getLayers());
          } catch (e) {}
        }, 0);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_map', _map);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_markerLayer', _clusterGroup);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('_heatLayer', heat);

      if (_options.onComplete != null) {
        _options.onComplete();
      }
    } else {
      toggleVisibility();
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.lineChart.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.lineChart.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _chartUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./chartUtils */ "./desktop/core/src/desktop/js/ko/bindings/charts/chartUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].lineChart = {
  init: function init(element, valueAccessor) {
    window.setTimeout(function () {
      Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["lineChartBuilder"])(element, valueAccessor(), false);
    }, 0);
  },
  update: function update(element, valueAccessor) {
    var _options = valueAccessor();

    var _datum = _options.transformer(_options.datum);

    var _chart = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart');

    if (_chart) {
      window.setTimeout(function () {
        _chart.noData(_datum.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('No Data Available.'));

        var _d3 = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]);

        if (_datum.length > 0 && _datum[0].values.length > 0 && typeof _datum[0].values[0].x.isValid === 'function') {
          _chart.xAxis.tickFormat(function (d) {
            return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.time.format('%Y-%m-%d %H:%M:%S')(new Date(d));
          });

          _chart.onChartUpdate(function () {
            _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
              Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["insertLinebreaks"])(_chart, d, this);
            });
          });
        }

        _d3.datum(_datum).transition().duration(150).each('end', function () {
          if (_options.onComplete != null) {
            _options.onComplete();
          }
        }).call(_chart);

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('charts.state');
      }, 0);
    } else if (_datum.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].lineChart.init(element, valueAccessor);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.partitionChart.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.partitionChart.js ***!
  \*****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].partitionChart = {
  render: function render(element, valueAccessor) {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state');
    var MIN_HEIGHT_FOR_TOOLTIP = 24;

    var _options = valueAccessor();

    var _data = _options.transformer(valueAccessor().datum);

    var _w = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width(),
        _h = 300,
        _x = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.linear().range([0, _w]),
        _y = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.linear().range([0, _h]);

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
    }

    var _tip = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.tip().attr('class', 'd3-tip').html(function (d) {
      if (d.depth === 0) {
        return _options.tooltip || '';
      } else if (d.depth > 0 && d.depth < 2) {
        return d.name + ' (' + d.value + ')';
      } else {
        return d.parent.name + ' - ' + d.name + ' (' + d.value + ')';
      }
    }).offset([-12, 0]);

    var _svg = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg.tip').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg.tip')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).append('svg');

    _svg.attr('class', 'tip').style('height', '0px');

    _svg.call(_tip);

    var _vis = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).append('svg');

    _vis.attr('class', 'partitionChart').style('width', _w + 'px').style('height', _h + 'px').attr('width', _w).attr('height', _h);

    var _partition = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.layout.partition().value(function (d) {
      return d.size;
    });

    var g = _vis.selectAll('g').data(_partition.nodes(_data)).enter().append('svg:g').attr('transform', function (d) {
      return 'translate(' + _x(d.y) + ',' + _y(d.x) + ')';
    }).on('mouseover', function (d, i) {
      if (element.querySelectorAll('rect')[i].getBBox().height < MIN_HEIGHT_FOR_TOOLTIP || d.depth === 0) {
        _tip.attr('class', 'd3-tip').show(d);
      }

      if (typeof this.__data__.parent === 'undefined') {
        return;
      }

      d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('rect').classed('mouseover', true);
    }).on('mouseout', function (d, i) {
      if (element.querySelectorAll('rect')[i].getBBox().height < MIN_HEIGHT_FOR_TOOLTIP || d.depth === 0) {
        _tip.attr('class', 'd3-tip').show(d);

        _tip.hide();
      }

      d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('rect').classed('mouseover', false);
    });

    if (typeof _options.zoomable == 'undefined' || _options.zoomable) {
      g.on('click', click).on('dblclick', function (d) {
        if (typeof _options.onClick != 'undefined' && d.depth > 0) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state', {
            updating: true
          });

          _options.onClick(d);
        }
      });
    } else {
      g.on('click', function (d) {
        if (typeof _options.onClick != 'undefined' && d.depth > 0) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state', {
            updating: true
          });

          _options.onClick(d);
        }
      });
    }

    var _kx = _w / _data.dx,
        _ky = _h / 1;

    var _colors = [_utils_hueColors__WEBPACK_IMPORTED_MODULE_3__["default"].cuiD3Scale('gray')[0]];
    g.append('svg:rect').attr('width', _data.dy * _kx).attr('height', function (d) {
      return d.dx * _ky;
    }).attr('class', function (d) {
      return d.children ? 'parent' : 'child';
    }).attr('stroke', function () {
      return _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__["default"].cuiD3Scale('gray')[3];
    }).attr('fill', function (d) {
      var _fill = _colors[d.depth] || _colors[_colors.length - 1];

      if (d.obj && _options.fqs) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(_options.fqs(), function (cnt, item) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(item.filter(), function (icnt, filter) {
            if (JSON.stringify(filter.value()) === JSON.stringify(d.obj.fq_values)) {
              _fill = _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__["default"].cuiD3Scale('gray')[3];
            }
          });
        });
      }

      return _fill;
    });
    g.append('svg:text').attr('transform', transform).attr('dy', '.35em').style('opacity', function (d) {
      return d.dx * _ky > 12 ? 1 : 0;
    }).text(function (d) {
      if (d.depth < 2) {
        return d.name + ' (' + d.value + ')';
      } else {
        return d.parent.name + ' - ' + d.name + ' (' + d.value + ')';
      }
    });
    d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(window).on('click', function () {
      click(_data);
    });

    function click(d) {
      _tip.hide();

      if (!d.children) {
        return;
      }

      _kx = (d.y ? _w - 40 : _w) / (1 - d.y);
      _ky = _h / d.dx;

      _x.domain([d.y, 1]).range([d.y ? 40 : 0, _w]);

      _y.domain([d.x, d.x + d.dx]);

      var t = g.transition().delay(250).duration(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.altKey ? 7500 : 750).attr('transform', function (d) {
        return 'translate(' + _x(d.y) + ',' + _y(d.x) + ')';
      });
      t.select('rect').attr('width', d.dy * _kx).attr('height', function (d) {
        return d.dx * _ky;
      });
      t.select('text').attr('transform', transform).style('opacity', function (d) {
        return d.dx * _ky > 12 ? 1 : 0;
      });
      d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
    }

    function transform(d) {
      return 'translate(8,' + d.dx * _ky / 2 + ')';
    }

    if (_options.onComplete) {
      _options.onComplete();
    }
  },
  init: function init(element, valueAccessor) {
    knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].partitionChart.render(element, valueAccessor);
  },
  update: function update(element, valueAccessor) {
    knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].partitionChart.render(element, valueAccessor);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.pieChart.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.pieChart.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].pieChart = {
  init: function init(element, valueAccessor) {
    window.setTimeout(function () {
      var _options = valueAccessor();

      var _data = _options.transformer(_options.data);

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).css('marginLeft', 'auto');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).css('marginRight', 'auto');

      if (typeof _options.maxWidth != 'undefined') {
        var _max = _options.maxWidth * 1;

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width(Math.min(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parent().width(), _max));
      }

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 && _data.length === 0) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
      }

      if (_data.length > 0 && isNaN(_data[0].value)) {
        _data = [];
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
      }

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).is(':visible')) {
        _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].addGraph(function () {
          var _chart = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].models.growingPieChart().x(function (d) {
            return d.label;
          }).y(function (d) {
            return d.value;
          }).height(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width()).showLabels(true).showLegend(false).tooltipContent(function (key, y) {
            return '<h3>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].htmlEncode(key) + '</h3><p>' + y + '</p>';
          });

          _chart.noData(_data.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No Data Available.'));

          var _d3 = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).append('svg');

          _d3.datum(_data).transition().duration(150).each('end', _options.onComplete != null ? _options.onComplete : void 0).call(_chart);

          if (_options.fqs) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(_options.fqs(), function (cnt, item) {
              if (item.id() === _options.data.widget_id && item.field() === _options.field()) {
                _chart.selectSlices(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.filter(), function (it) {
                  return it.value();
                }));
              }
            });
          }

          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart', _chart);

          var _resizeTimeout = -1;

          _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.windowResize(function () {
            window.clearTimeout(_resizeTimeout);
            _resizeTimeout = window.setTimeout(function () {
              _chart.update();
            }, 200);
          });
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('forceUpdate', function () {
            _chart.update();
          });
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width());

          var _parentSelector = typeof _options.parentSelector != 'undefined' ? _options.parentSelector : '.card-widget';

          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents(_parentSelector).on('resize', function () {
            if (typeof _options.maxWidth != 'undefined') {
              var _max2 = _options.maxWidth * 1;

              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width(Math.min(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parent().width(), _max2));
            }

            jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width());

            _chart.update();
          });
          return _chart;
        }, function () {
          var _d3 = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).append('svg');

          _d3.selectAll('.nv-slice').on('click', function (d) {
            if (typeof _options.onClick != 'undefined') {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state', {
                updating: true
              });

              _options.onClick(d);
            }
          });
        });
      }
    }, 0);
  },
  update: function update(element, valueAccessor) {
    var _options = valueAccessor();

    var _data = _options.transformer(_options.data);

    var _chart = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart');

    if (_chart) {
      _chart.noData(_data.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No Data Available.'));

      var _d3 = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]);

      _d3.datum(_data).transition().duration(150).each('end', _options.onComplete != null ? _options.onComplete : void 0).call(_chart);

      if (_options.fqs) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(_options.fqs(), function (cnt, item) {
          if (item.id() === _options.data.widget_id && item.field() === _options.field()) {
            _chart.selectSlices(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(item.filter(), function (it) {
              return it.value();
            }));
          }
        });
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state');
    } else if (_data.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].pieChart.init(element, valueAccessor);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.scatterChart.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.scatterChart.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].scatterChart = {
  update: function update(element, valueAccessor) {
    var options = valueAccessor();

    var _datum = options.transformer(options.datum);

    window.setTimeout(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).height(300);

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 && (_datum.length === 0 || _datum[0].values.length === 0)) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
      }

      if (_datum.length > 0 && _datum[0].values.length > 0 && (isNaN(_datum[0].values[0].x) || isNaN(_datum[0].values[0].y))) {
        _datum = [];
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').empty();
      }

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).is(':visible')) {
        _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].addGraph(function () {
          var _chart = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].models.scatterChart().transitionDuration(350).color(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.category10().range()).useVoronoi(false);

          _chart.tooltipContent(function (key, x, y, obj) {
            return '<h3>' + key + '</h3><div class="center">' + obj.point.size + '</div>';
          });

          _chart.xAxis.tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format('.02f'));

          _chart.yAxis.tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format('.02f'));

          _chart.scatter.onlyCircles(true);

          var _d3 = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0 ? d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]) : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element)[0]).append('svg');

          _d3.datum(_datum).transition().duration(150).each('end', options.onComplete != null ? options.onComplete : void 0).call(_chart);

          var _resizeTimeout = -1;

          _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.windowResize(function () {
            window.clearTimeout(_resizeTimeout);
            _resizeTimeout = window.setTimeout(function () {
              _chart.update();
            }, 200);
          });
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('forceUpdate', function () {
            _chart.update();
          });
          return _chart;
        });
      }
    }, 0);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.timelineChart.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/ko.timelineChart.js ***!
  \****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _chartUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./chartUtils */ "./desktop/core/src/desktop/js/ko/bindings/charts/chartUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].timelineChart = {
  init: function init(element, valueAccessor) {
    if (valueAccessor().type && valueAccessor().type() === 'line') {
      window.setTimeout(function () {
        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["lineChartBuilder"])(element, valueAccessor(), true);
      }, 0);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', 'line');
    } else {
      window.setTimeout(function () {
        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["barChartBuilder"])(element, valueAccessor(), true);
      }, 0);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', 'bar');
    }
  },
  update: function update(element, valueAccessor) {
    var _options = valueAccessor();

    if (valueAccessor().type && valueAccessor().type() !== jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type')) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').length > 0) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg').remove();
      }

      if (valueAccessor().type() === 'line') {
        window.setTimeout(function () {
          Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["lineChartBuilder"])(element, valueAccessor(), true);
        }, 0);
      } else {
        window.setTimeout(function () {
          Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["barChartBuilder"])(element, valueAccessor(), true);
        }, 0);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('type', valueAccessor().type());
    }

    var _datum = _options.transformer(_options.datum, true);

    var _chart = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('chart');

    if (_chart) {
      window.setTimeout(function () {
        _chart.noData(_datum.message || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('No Data Available.'));

        if (_chart.multibar) {
          _chart.multibar.stacked(typeof _options.stacked != 'undefined' ? _options.stacked : false);
        }

        Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["handleSelection"])(_chart, _options, _datum);

        var _d3 = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('svg')[0]);

        _d3.datum(_datum).transition().duration(150).each('end', function () {
          if (_options.onComplete != null) {
            _options.onComplete();
          }
        }).call(_chart);

        _d3.selectAll('g.nv-x.nv-axis g text').each(function (d) {
          Object(_chartUtils__WEBPACK_IMPORTED_MODULE_4__["insertLinebreaks"])(_chart, d, this);
        });

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('charts.state');
      }, 0);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/datamap.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/datamap.js ***!
  \****************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_topojson_v1_min__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../ext/topojson.v1.min */ "./desktop/core/src/desktop/js/ext/topojson.v1.min.js");
/* harmony import */ var _ext_topojson_v1_min__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_ext_topojson_v1_min__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var d3 = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a;
var defaultOptions = {
  scope: 'world',
  setProjection: setProjection,
  projection: 'equirectangular',
  dataType: 'json',
  onClick: function onClick() {},
  done: function done() {},
  legendData: [],
  fills: {
    defaultFill: '#ABDDA4'
  },
  geographyConfig: {
    dataUrl: null,
    hideAntarctica: true,
    borderWidth: 1,
    borderColor: '#FDFDFD',
    popupTemplate: function popupTemplate(geography, data) {
      return '<div class="hoverinfo"><strong>' + geography.properties.name + '</strong></div>';
    },
    popupOnHover: true,
    highlightOnHover: true,
    highlightFillColor: '#FC8D59',
    highlightBorderColor: 'rgba(250, 15, 160, 0.2)',
    selectedFillColor: '#666666',
    selectedBorderColor: '#666666',
    highlightBorderWidth: 2
  },
  bubblesConfig: {
    borderWidth: 2,
    borderColor: '#FFFFFF',
    popupOnHover: true,
    popupTemplate: function popupTemplate(geography, data) {
      return '<div class="hoverinfo"><strong>' + data.name + '</strong></div>';
    },
    fillOpacity: 0.75,
    animate: true,
    highlightOnHover: true,
    highlightFillColor: '#FC8D59',
    highlightBorderColor: 'rgba(250, 15, 160, 0.2)',
    highlightBorderWidth: 2,
    highlightFillOpacity: 0.85,
    exitDelay: 100
  },
  arcConfig: {
    strokeColor: '#DD1C77',
    strokeWidth: 1,
    arcSharpness: 1,
    animationSpeed: 600
  }
};

function addContainer(element) {
  this.svg = d3.select(element).append('svg').attr('width', element.offsetWidth).attr('class', 'datamap').attr('height', element.offsetHeight);
  return this.svg;
} // setProjection takes the svg element and options


function setProjection(element, options) {
  var projection;

  if (options && typeof options.scope === 'undefined') {
    options.scope = 'world';
  }

  var defaultTranslate = [element.offsetWidth / 2, element.offsetHeight / (options.projection === 'mercator' ? 1.45 : 1.8)];

  switch (options.scope) {
    case 'usa':
      projection = d3.geo.albersUsa().scale(element.offsetWidth).translate([element.offsetWidth / 2, element.offsetHeight / 2]);
      break;

    case 'world':
      projection = d3.geo[options.projection]().scale((element.offsetWidth + 1) / 2 / Math.PI).translate(defaultTranslate);
      break;

    case 'europe':
      projection = d3.geo[options.projection]().center([8.43727461750008, 51.16822764400005]).scale(380).translate(defaultTranslate);
      break;

    case 'chn':
      projection = d3.geo[options.projection]().center([104.18741784700012, 34.672410587000066]).rotate([0, 0]).scale(380).translate(defaultTranslate);
      break;

    case 'aus':
      projection = d3.geo[options.projection]().center([136.0129500660001, -31.995293877999913]).rotate([0, 0]).scale(350).translate(defaultTranslate);
      break;

    case 'bra':
      projection = d3.geo[options.projection]().center([-51.447769636499956, -14.23752777099994]).rotate([0, 0]).scale(320).translate(defaultTranslate);
      break;

    case 'can':
      projection = d3.geo[options.projection]().center([-96.81107793155442, 62.3928040600001]).rotate([0, 0]).scale(300).translate(defaultTranslate);
      break;

    case 'fra':
      projection = d3.geo[options.projection]().center([2, 46]).rotate([0, 0]).scale(1300).translate(defaultTranslate);
      break;

    case 'deu':
      projection = d3.geo[options.projection]().center([10.43727461750008, 51.16822764400005]).rotate([0, 0]).scale(1600).translate(defaultTranslate);
      break;

    case 'ita':
      projection = d3.geo[options.projection]().center([12.560077144500099, 41.287229413500036]).rotate([0, 0]).scale(1300).translate(defaultTranslate);
      break;

    case 'jpn':
      projection = d3.geo[options.projection]().center([138.4618839855001, 34.779750881000126]).rotate([0, 0]).scale(700).translate(defaultTranslate);
      break;

    case 'gbr':
      projection = d3.geo[options.projection]().center([-3, 54.501734]).rotate([0, 0]).scale(1300).translate(defaultTranslate);
      break;
  }

  var path = d3.geo.path().projection(projection);
  return {
    path: path,
    projection: projection
  };
}

function addStyleBlock() {
  if (d3.select('.datamaps-style-block').empty()) {
    d3.select('head').attr('class', 'datamaps-style-block').append('style').html('.datamap path {stroke: #FFFFFF; stroke-width: 1px;} .datamaps-legend dt, .datamaps-legend dd { float: left; margin: 0 3px 0 0;} .datamaps-legend dd {width: 20px; margin-right: 3px; margin-left: 14px; border-radius: 3px;} .datamaps-legend {padding-bottom: 20px; z-index: 1001; font-size: 12px; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;} .datamaps-hoverover {display: none; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; } .hoverinfo {padding: 4px; border-radius: 1px; background-color: #FFF; box-shadow: 1px 1px 5px #CCC; font-size: 12px; border: 1px solid #CCC; } .hoverinfo hr {border:1px dotted #CCC; }');
  }
}

function drawSubunits(data) {
  var fillData = this.options.fills,
      colorCodeData = this.options.data || {},
      geoConfig = this.options.geographyConfig,
      onClick = this.options.onClick;
  var subunits = this.svg.select('g.datamaps-subunits');

  if (subunits.empty()) {
    subunits = this.addLayer('datamaps-subunits', null, true);
  }

  var geoData = _ext_topojson_v1_min__WEBPACK_IMPORTED_MODULE_2___default.a.feature(data, data.objects[this.options.scope]).features;

  if (geoConfig.hideAntarctica) {
    geoData = geoData.filter(function (feature) {
      return feature.id !== 'ATA';
    });
  }

  var geo = subunits.selectAll('path.datamaps-subunit').data(geoData);
  geo.enter().append('path').attr('d', this.path).attr('class', function (d) {
    return 'datamaps-subunit ' + d.id;
  }).attr('data-info', function (d) {
    return JSON.stringify(colorCodeData[d.id]);
  }).style('fill', function (d) {
    var fillColor;

    if (colorCodeData[d.id]) {
      fillColor = fillData[colorCodeData[d.id].fillKey];

      if (colorCodeData[d.id].selected) {
        fillColor = geoConfig.selectedFillColor;
      }
    }

    return fillColor || fillData.defaultFill;
  }).on('click', function (d) {
    if (colorCodeData[d.id] && typeof onClick != 'undefined') {
      onClick(colorCodeData[d.id]);
    }
  }).style('stroke-width', function (d) {
    var strokeWidth = geoConfig.borderWidth;

    if (colorCodeData[d.id] && colorCodeData[d.id].selected) {
      strokeWidth = 2;
    }

    return strokeWidth;
  }).style('stroke', function (d) {
    var strokeColor = geoConfig.borderColor;

    if (colorCodeData[d.id] && colorCodeData[d.id].selected) {
      strokeColor = geoConfig.selectedBorderColor;
    }

    return strokeColor;
  });
}

function handleGeographyConfig() {
  var svg = this.svg;
  var self = this;
  var options = this.options.geographyConfig;

  if (options.highlightOnHover || options.popupOnHover) {
    svg.selectAll('.datamaps-subunit').on('mouseover', function (d) {
      var $this = d3.select(this);

      if (options.highlightOnHover) {
        var previousAttributes = {
          fill: $this.style('fill'),
          stroke: $this.style('stroke'),
          'stroke-width': $this.style('stroke-width'),
          'fill-opacity': $this.style('fill-opacity')
        };
        $this.style('fill', options.highlightFillColor).style('stroke', options.highlightBorderColor).style('stroke-width', options.highlightBorderWidth).style('fill-opacity', options.highlightFillOpacity).attr('data-previousAttributes', JSON.stringify(previousAttributes)); //as per discussion on https://github.com/markmarkoh/datamaps/issues/19

        if (!/MSIE/.test(navigator.userAgent)) {
          moveToFront.call(this);
        }
      }

      if (options.popupOnHover) {
        self.updatePopup($this, d, options, svg);
      }
    }).on('mouseout', function () {
      var $this = d3.select(this);

      if (options.highlightOnHover) {
        //reapply previous attributes
        var previousAttributes = JSON.parse($this.attr('data-previousAttributes'));

        for (var attr in previousAttributes) {
          $this.style(attr, previousAttributes[attr]);
        }
      }

      $this.on('mousemove', null);
      d3.selectAll('.datamaps-hoverover').style('display', 'none');
    });
  }

  function moveToFront() {
    this.parentNode.appendChild(this);
  }
} //plugin to add a simple map legend


function addLegend(layer, data, options) {
  data = data || {};

  if (!this.options.fills) {
    return;
  }

  function compareLegendValues(a, b) {
    if (a.idx < b.idx) {
      return -1;
    }

    if (a.idx > b.idx) {
      return 1;
    }

    return 0;
  }

  var html = '<dl>';
  var _fills = this.options.fills;
  this.options.legendData.sort(compareLegendValues).forEach(function (fill) {
    html += '<dd style="background-color:' + _fills['fill_' + fill.idx] + '">&nbsp;</dd>';
    html += '<dt>' + fill.cat + '</dt>';
  });
  html += '</dl>';
  d3.select(this.options.element).append('div').attr('class', 'datamaps-legend').html(html);
}

function handleArcs(layer, data, options) {
  var self = this;

  if (!data || data && !data.slice) {
    throw 'Datamaps Error - arcs must be an array';
  }

  if (typeof options === 'undefined') {
    options = defaultOptions.arcConfig;
  }

  var arcs = layer.selectAll('path.datamaps-arc').data(data, JSON.stringify);
  arcs.enter().append('svg:path').attr('class', 'datamaps-arc').style('stroke-linecap', 'round').style('stroke', function (datum) {
    if (datum.options && datum.options.strokeColor) {
      return datum.options.strokeColor;
    }

    return options.strokeColor;
  }).style('fill', 'none').style('stroke-width', function (datum) {
    if (datum.options && datum.options.strokeWidth) {
      return datum.options.strokeWidth;
    }

    return options.strokeWidth;
  }).attr('d', function (datum) {
    var originXY = self.latLngToXY(datum.origin.latitude, datum.origin.longitude);
    var destXY = self.latLngToXY(datum.destination.latitude, datum.destination.longitude);
    var midXY = [(originXY[0] + destXY[0]) / 2, (originXY[1] + destXY[1]) / 2];
    return 'M' + originXY[0] + ',' + originXY[1] + 'S' + (midXY[0] + 50 * options.arcSharpness) + ',' + (midXY[1] - 75 * options.arcSharpness) + ',' + destXY[0] + ',' + destXY[1];
  }).transition().delay(100).style('fill', function () {
    /*
       Thank you Jake Archibald, this is awesome.
       Source: http://jakearchibald.com/2013/animated-line-drawing-svg/
       */
    var length = this.getTotalLength();
    this.style.transition = this.style.WebkitTransition = 'none';
    this.style.strokeDasharray = length + ' ' + length;
    this.style.strokeDashoffset = length;
    this.getBoundingClientRect();
    this.style.transition = this.style.WebkitTransition = 'stroke-dashoffset ' + options.animationSpeed + 'ms ease-out';
    this.style.strokeDashoffset = '0';
    return 'none';
  });
  arcs.exit().transition().style('opacity', 0).remove();
}

function handleLabels(layer, options) {
  var self = this;
  options = options || {};
  var labelStartCoodinates = this.projection([-67.707617, 42.722131]);
  this.svg.selectAll('.datamaps-subunit').attr('data-foo', function (d) {
    var center = self.path.centroid(d);
    var xOffset = 7.5,
        yOffset = 5;

    if (['FL', 'KY', 'MI'].indexOf(d.id) > -1) {
      xOffset = -2.5;
    }

    if (d.id === 'NY') {
      xOffset = -1;
    }

    if (d.id === 'MI') {
      yOffset = 18;
    }

    if (d.id === 'LA') {
      xOffset = 13;
    }

    var x, y;
    x = center[0] - xOffset;
    y = center[1] + yOffset;
    var smallStateIndex = ['VT', 'NH', 'MA', 'RI', 'CT', 'NJ', 'DE', 'MD', 'DC'].indexOf(d.id);

    if (smallStateIndex > -1) {
      var yStart = labelStartCoodinates[1];
      x = labelStartCoodinates[0];
      y = yStart + smallStateIndex * (2 + (options.fontSize || 12));
      layer.append('line').attr('x1', x - 3).attr('y1', y - 5).attr('x2', center[0]).attr('y2', center[1]).style('stroke', options.labelColor || '#000').style('stroke-width', options.lineWidth || 1);
    }

    layer.append('text').attr('x', x).attr('y', y).style('font-size', (options.fontSize || 10) + 'px').style('font-family', options.fontFamily || 'Verdana').style('fill', options.labelColor || '#000').text(d.id);
    return 'bar';
  });
}

function handleBubbles(layer, data, options) {
  var self = this,
      fillData = this.options.fills,
      svg = this.svg;

  if (!data || data && !data.slice) {
    throw 'Datamaps Error - bubbles must be an array';
  }

  var bubbles = layer.selectAll('circle.datamaps-bubble').data(data, JSON.stringify);
  bubbles.enter().append('svg:circle').attr('class', 'datamaps-bubble').attr('cx', function (datum) {
    var latLng;

    if (datumHasCoords(datum)) {
      latLng = self.latLngToXY(datum.latitude, datum.longitude);
    } else if (datum.centered) {
      latLng = self.path.centroid(svg.select('path.' + datum.centered).data()[0]);
    }

    if (latLng) {
      return latLng[0];
    }
  }).attr('cy', function (datum) {
    var latLng;

    if (datumHasCoords(datum)) {
      latLng = self.latLngToXY(datum.latitude, datum.longitude);
    } else if (datum.centered) {
      latLng = self.path.centroid(svg.select('path.' + datum.centered).data()[0]);
    }

    if (latLng) {
      return latLng[1];
    }
  }).attr('r', 0) //for animation purposes
  .attr('data-info', function (d) {
    return JSON.stringify(d);
  }).style('stroke', options.borderColor).style('stroke-width', options.borderWidth).style('fill-opacity', options.fillOpacity).style('fill', function (datum) {
    var fillColor = fillData[datum.fillKey];
    return fillColor || fillData.defaultFill;
  }).on('mouseover', function (datum) {
    var $this = d3.select(this);

    if (options.highlightOnHover) {
      //save all previous attributes for mouseout
      var previousAttributes = {
        fill: $this.style('fill'),
        stroke: $this.style('stroke'),
        'stroke-width': $this.style('stroke-width'),
        'fill-opacity': $this.style('fill-opacity')
      };
      $this.style('fill', options.highlightFillColor).style('stroke', options.highlightBorderColor).style('stroke-width', options.highlightBorderWidth).style('fill-opacity', options.highlightFillOpacity).attr('data-previousAttributes', JSON.stringify(previousAttributes));
    }

    if (options.popupOnHover) {
      self.updatePopup($this, datum, options, svg);
    }
  }).on('mouseout', function (datum) {
    var $this = d3.select(this);

    if (options.highlightOnHover) {
      //reapply previous attributes
      var previousAttributes = JSON.parse($this.attr('data-previousAttributes'));

      for (var attr in previousAttributes) {
        $this.style(attr, previousAttributes[attr]);
      }
    }

    d3.selectAll('.datamaps-hoverover').style('display', 'none');
  }).transition().duration(400).attr('r', function (datum) {
    return datum.radius;
  });
  bubbles.exit().transition().delay(options.exitDelay).attr('r', 0).remove();

  function datumHasCoords(datum) {
    return typeof datum !== 'undefined' && typeof datum.latitude !== 'undefined' && typeof datum.longitude !== 'undefined';
  }
} //stolen from underscore.js


function defaults(obj) {
  Array.prototype.slice.call(arguments, 1).forEach(function (source) {
    if (source) {
      for (var prop in source) {
        if (obj[prop] == null) {
          obj[prop] = source[prop];
        }
      }
    }
  });
  return obj;
}
/**************************************
 Public Functions
 ***************************************/


function Datamap(options) {
  if (typeof d3 === 'undefined' || typeof _ext_topojson_v1_min__WEBPACK_IMPORTED_MODULE_2___default.a === 'undefined') {
    throw new Error('Include d3.js (v3.0.3 or greater) and topojson on this page before creating a new map');
  } //set options for global use


  this.options = defaults(options, defaultOptions);
  this.options.geographyConfig = defaults(options.geographyConfig, defaultOptions.geographyConfig);
  this.options.bubblesConfig = defaults(options.bubblesConfig, defaultOptions.bubblesConfig);
  this.options.arcConfig = defaults(options.arcConfig, defaultOptions.arcConfig); //add the SVG container

  if (d3.select(this.options.element).select('svg').length > 0) {
    addContainer.call(this, this.options.element);
  }
  /* Add core plugins to this instance */


  this.addPlugin('bubbles', handleBubbles);
  this.addPlugin('legend', addLegend);
  this.addPlugin('arc', handleArcs);
  this.addPlugin('labels', handleLabels); //append style block with basic hoverover styles

  if (!this.options.disableDefaultStyles) {
    addStyleBlock();
  }

  return this.draw();
} // actually draw the features(states & countries)


Datamap.prototype.draw = function () {
  //save off in a closure
  var self = this;
  var options = self.options; //set projections and paths based on scope

  var pathAndProjection = options.setProjection.apply(self, [options.element, options]);
  this.path = pathAndProjection.path;
  this.projection = pathAndProjection.projection;
  _api_apiHelper__WEBPACK_IMPORTED_MODULE_3__["default"].fetchTopo({
    location: options.scope === 'europe' ? 'world' : options.scope
  }).done(function (topoData) {
    var topo = JSON.parse(topoData);

    if (options.scope === 'europe') {
      var europeTopo = jquery__WEBPACK_IMPORTED_MODULE_1___default.a.extend(true, {}, topo);
      europeTopo.objects['europe'] = europeTopo.objects['world'];
      delete europeTopo.objects['world'];
      topo = europeTopo;
    }

    self.customTopo = true;
    draw(topo);
  });
  return this;

  function draw(data) {
    // if fetching remote data, draw the map first then call `updateChoropleth`
    if (self.options.dataUrl) {
      //allow for csv or json data types
      d3[self.options.dataType](self.options.dataUrl, function (data) {
        //in the case of csv, transform data to object
        if (self.options.dataType === 'csv' && data && data.slice) {
          var tmpData = {};

          for (var i = 0; i < data.length; i++) {
            tmpData[data[i].id] = data[i];
          }

          data = tmpData;
        }

        Datamap.prototype.updateChoropleth.call(self, data);
      });
    }

    drawSubunits.call(self, data);
    handleGeographyConfig.call(self);

    if (self.options.geographyConfig.popupOnHover || self.options.bubblesConfig.popupOnHover) {
      d3.select(self.options.element).append('div').attr('class', 'datamaps-hoverover').style('z-index', 10001).style('position', 'absolute');
    } //fire off finished callback


    self.options.done(self);
  }
};
/**************************************
 Utilities
 ***************************************/
//convert lat/lng coords to X / Y coords


Datamap.prototype.latLngToXY = function (lat, lng) {
  return this.projection([lng, lat]);
}; //add <g> layer to root SVG


Datamap.prototype.addLayer = function (className, id, first) {
  var layer;

  if (first) {
    layer = this.svg.insert('g', ':first-child');
  } else {
    layer = this.svg.append('g');
  }

  return layer.attr('id', id || '').attr('class', className || '');
};

Datamap.prototype.updateChoropleth = function (data) {
  var svg = this.svg;

  for (var subunit in data) {
    if (data.hasOwnProperty(subunit)) {
      var color = void 0;
      var subunitData = data[subunit];

      if (!subunit) {
        continue;
      } else if (typeof subunitData === 'string') {
        color = subunitData;
      } else if (typeof subunitData.color === 'string') {
        color = subunitData.color;
      } else {
        color = this.options.fills[subunitData.fillKey];
      } //if it's an object, overriding the previous data


      if (subunitData === Object(subunitData)) {
        this.options.data[subunit] = defaults(subunitData, this.options.data[subunit] || {});
        this.svg.select('.' + subunit).attr('data-info', JSON.stringify(this.options.data[subunit]));
      }

      svg.selectAll('.' + subunit).transition().style('fill', color);
    }
  }
};

Datamap.prototype.updatePopup = function (element, d, options) {
  var self = this;
  element.on('mousemove', null);
  element.on('mousemove', function () {
    var position = d3.mouse(this);
    var svgHeight = d3.select(self.svg[0][0].parentNode)[0][0].offsetHeight || -1;
    d3.select(self.svg[0][0].parentNode).select('.datamaps-hoverover').style('top', position[1] + 30 + 'px').html(function () {
      var data = JSON.parse(element.attr('data-info')); //if ( !data ) return '';

      return options.popupTemplate(d, data);
    }).style('left', position[0] + 'px');
    var popupHeight = d3.select(self.svg[0][0].parentNode).select('.datamaps-hoverover')[0][0].offsetHeight;

    if (position[1] + 30 + popupHeight > svgHeight) {
      d3.select(self.svg[0][0].parentNode).select('.datamaps-hoverover').style('top', position[1] - 10 - popupHeight + 'px');
    }
  });
  d3.select(self.svg[0][0].parentNode).select('.datamaps-hoverover').style('display', 'block');
};

Datamap.prototype.addPlugin = function (name, pluginFn) {
  if (typeof Datamap.prototype[name] === 'undefined') {
    Datamap.prototype[name] = function (data, options, callback, createNewLayer) {
      var layer;

      if (typeof createNewLayer === 'undefined') {
        createNewLayer = false;
      }

      if (typeof options === 'function') {
        callback = options;
        options = undefined;
      }

      options = defaults(options || {}, defaultOptions[name + 'Config']); //add a single layer, reuse the old layer

      if (!createNewLayer && this.options[name + 'Layer']) {
        layer = this.options[name + 'Layer'];
        options = options || this.options[name + 'Options'];
      } else {
        layer = this.addLayer(name);
        this.options[name + 'Layer'] = layer;
        this.options[name + 'Options'] = options;
      }

      pluginFn.apply(this, [layer, data, options]);

      if (callback) {
        callback(layer);
      }
    };
  }
};

jquery__WEBPACK_IMPORTED_MODULE_1___default.a.fn.datamaps = function (options, callback) {
  options = options || {};
  options.element = this[0];
  var datamap = new Datamap(options);

  if (typeof callback === 'function') {
    callback(datamap, options);
  }

  return this;
};

/* harmony default export */ __webpack_exports__["default"] = (Datamap);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/ko.mapChart.js":
/*!********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/ko.mapChart.js ***!
  \********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
/* harmony import */ var _datamap__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./datamap */ "./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/datamap.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../utils/hueGeo */ "./desktop/core/src/desktop/js/utils/hueGeo.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart = {
  render: function render(element, valueAccessor) {
    var _options = valueAccessor();

    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    window.clearTimeout($element.data('drawThrottle'));
    var timeout = window.setTimeout(function () {
      $element.empty();
      $element.css('position', 'relative');
      $element.css('marginLeft', 'auto');
      $element.css('marginRight', 'auto');

      if (typeof _options.maxWidth != 'undefined') {
        var _max = _options.maxWidth * 1;

        $element.width(Math.min($element.parent().width(), _max));
      } else {
        $element.width($element.parent().width() - 10);
      }

      $element.height($element.width() / 2.23);
      var scopeObservable = _options.data.scope || _options.data.chartScope;

      var _scope = scopeObservable ? String(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](scopeObservable)) : 'world';

      var _data = _options.transformer(_options.data);

      var _is2d = false;
      var _pivotCategories = [];
      var _maxWeight = 0;

      function comparePivotValues(a, b) {
        if (a.count < b.count) {
          return 1;
        }

        if (a.count > b.count) {
          return -1;
        }

        return 0;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(_data).each(function (cnt, item) {
        if (item.value > _maxWeight) {
          _maxWeight = item.value;
        }

        if (item.obj.is2d) {
          _is2d = true;
        }

        if (item.obj.pivot && item.obj.pivot.length > 0) {
          item.obj.pivot.forEach(function (piv) {
            var _category = null;

            _pivotCategories.forEach(function (category) {
              if (category.value === piv.value) {
                _category = category;

                if (piv.count > _category.count) {
                  _category.count = piv.count;
                }
              }
            });

            if (_category == null) {
              _category = {
                value: piv.value,
                count: -1
              };

              _pivotCategories.push(_category);
            }
          });
        }
      });

      _pivotCategories.sort(comparePivotValues);

      var _chunk = _maxWeight / _data.length;

      var _mapdata = {};
      var _maphovers = {};
      var _fills = {};
      var _legend = [];
      var _noncountries = [];

      if (_options.isScale) {
        _fills['defaultFill'] = _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].WHITE;

        var _colors = _is2d ? _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].d3Scale() : _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].scale(_utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].LIGHT_BLUE, _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARK_BLUE, _data.length);

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_colors).each(function (cnt, item) {
          _fills['fill_' + cnt] = item;
        });

        var getHighestCategoryValue = function getHighestCategoryValue(cnt, item) {
          var _cat = '';

          var _max = -1;

          if (item.obj.pivot && item.obj.pivot.length > 0) {
            item.obj.pivot.forEach(function (piv) {
              if (piv.count > _max) {
                _max = piv.count;
                _cat = piv.value;
              }
            });
          }

          var _found = cnt;

          if (_cat !== '') {
            _pivotCategories.forEach(function (cat, i) {
              if (cat.value === _cat) {
                _found = i;
              }
            });
          }

          return {
            idx: _found,
            cat: _cat
          };
        };

        var addToLegend = function addToLegend(category) {
          var _found = false;

          _legend.forEach(function (lg) {
            if (lg.cat === category.cat) {
              _found = true;
            }
          });

          if (!_found) {
            _legend.push(category);
          }
        };

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_data).each(function (cnt, item) {
          addToLegend(getHighestCategoryValue(cnt, item));

          var _place = typeof item.label == 'string' ? item.label.toUpperCase() : item.label;

          if (_place != null) {
            if (_scope !== 'world' && _scope !== 'usa' && _scope !== 'europe' && _place.indexOf('.') === -1) {
              _place = _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__["default"].getISOAlpha2(_scope) + '.' + _place;
            }

            if ((_scope === 'world' || _scope === 'europe') && _place.length === 2) {
              _place = _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__["default"].getISOAlpha3(_place);
            }

            _mapdata[_place] = {
              fillKey: 'fill_' + (_is2d ? getHighestCategoryValue(cnt, item).idx : Math.ceil(item.value / _chunk) - 1),
              id: _place,
              cat: item.obj.cat,
              value: item.obj.values ? item.obj.values : item.obj.value,
              pivot: _is2d ? item.obj.pivot : [],
              selected: item.obj.selected,
              fields: item.obj.fields ? item.obj.fields : null
            };
            _maphovers[_place] = item.value;
          } else {
            _noncountries.push(item);
          }
        });
      } else {
        _fills['defaultFill'] = _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].LIGHT_BLUE;
        _fills['selected'] = _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARK_BLUE;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(_data).each(function (cnt, item) {
          var _place = item.label.toUpperCase();

          if (_place != null) {
            if (_scope !== 'world' && _scope !== 'usa' && _scope !== 'europe' && _place.indexOf('.') === -1) {
              _place = _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__["default"].getISOAlpha2(_scope) + '.' + _place;
            }

            if ((_scope === 'world' || _scope === 'europe') && _place.length === 2) {
              _place = _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__["default"].getISOAlpha3(_place);
            }

            _mapdata[_place] = {
              fillKey: 'selected',
              id: _place,
              cat: item.obj.cat,
              value: item.obj.values ? item.obj.values : item.obj.value,
              pivot: [],
              selected: item.obj.selected,
              fields: item.obj.fields ? item.obj.fields : null
            };
            _maphovers[_place] = item.value;
          } else {
            _noncountries.push(item);
          }
        });
      }

      var _map = null;

      function createDatamap(element, options, fills, mapData, nonCountries, mapHovers) {
        _map = new _datamap__WEBPACK_IMPORTED_MODULE_3__["default"]({
          element: element,
          fills: fills,
          scope: _scope,
          data: mapData,
          legendData: _legend,
          onClick: function onClick(data) {
            if (typeof options.onClick != 'undefined') {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state', {
                updating: true
              });
              options.onClick(data);
            }
          },
          done: function done() {
            var _bubbles = [];

            if (options.enableGeocoding) {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(nonCountries).each(function (cnt, item) {
                _utils_hueGeo__WEBPACK_IMPORTED_MODULE_6__["default"].getCityCoordinates(item.label, function (lat, lng) {
                  _bubbles.push({
                    fillKey: 'selected',
                    label: item.label,
                    value: item.value,
                    radius: 4,
                    latitude: lat,
                    longitude: lng
                  });

                  _map.bubbles(_bubbles, {
                    popupTemplate: function popupTemplate(geo, data) {
                      return '<div class="hoverinfo" style="text-align: center"><strong>' + data.label + '</strong><br/>' + item.value + '</div>';
                    }
                  });
                });
              });
            }
          },
          geographyConfig: {
            hideAntarctica: true,
            borderWidth: 1,
            borderColor: _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARK_BLUE,
            highlightOnHover: true,
            highlightFillColor: _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARK_BLUE,
            highlightBorderColor: _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].BLUE,
            selectedFillColor: _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARKER_BLUE,
            selectedBorderColor: _utils_hueColors__WEBPACK_IMPORTED_MODULE_5__["default"].DARKER_BLUE,
            popupTemplate: function popupTemplate(geography, data) {
              var _hover = '';

              if (data != null) {
                _hover = '<br/>';

                if (data.pivot && data.pivot.length > 0) {
                  data.pivot.sort(comparePivotValues);
                  data.pivot.forEach(function (piv, cnt) {
                    _hover += (cnt === 0 ? '<strong>' : '') + piv.value + ': ' + piv.count + (cnt === 0 ? '</strong>' : '') + '<br/>';
                  });
                } else {
                  _hover += mapHovers[data.id];
                }
              }

              return '<div class="hoverinfo" style="text-align: center"><strong>' + geography.properties.name + '</strong>' + _hover + '</div>';
            }
          }
        });

        if (options.onComplete != null) {
          options.onComplete();
        }

        if (_is2d) {
          _map.legend();
        }
      }

      createDatamap(element, _options, _fills, _mapdata, _noncountries, _maphovers);

      var _parentSelector = typeof _options.parentSelector != 'undefined' ? _options.parentSelector : '.card-widget';

      $element.parents(_parentSelector).one('resize', function () {
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart.render(element, valueAccessor);
      });

      var _resizeTimeout = -1;

      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.windowResize(function () {
        window.clearTimeout(_resizeTimeout);
        _resizeTimeout = window.setTimeout(function () {
          knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart.render(element, valueAccessor);
        }, 200);
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('charts.state');
    }, 50);
    $element.data('drawThrottle', timeout);
  },
  init: function init(element, valueAccessor) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart.render(element, valueAccessor);
  },
  update: function update(element, valueAccessor, allBindingsAccessor) {
    if (typeof allBindingsAccessor().mapChart.visible != 'undefined') {
      if (typeof allBindingsAccessor().mapChart.visible == 'boolean' && allBindingsAccessor().mapChart.visible || typeof allBindingsAccessor().mapChart.visible == 'function' && allBindingsAccessor().mapChart.visible()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).show();
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart.render(element, valueAccessor);
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).hide();
      }
    } else {
      knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].mapChart.render(element, valueAccessor);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.appAwareTemplateContextMenu.js":
/*!***********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.appAwareTemplateContextMenu.js ***!
  \***********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].appAwareTemplateContextMenu = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    viewModel.$currentApp = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]('');
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('set.current.app.name', viewModel.$currentApp);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish('get.current.app.name');
    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].templateContextMenu.init(element, valueAccessor, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDraggable.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDraggable.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].assistFileDraggable = {
  init: function init(element, valueAccessor, allBindings, boundEntry) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var dragStartY = -1;
    var dragStartX = -1;
    $element.draggable({
      start: function start(event) {
        var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.doc-browser-drag-container');
        boundEntry.selected(true);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('doc.browser.dragging', {
          selectedEntries: [boundEntry],
          originEntry: boundEntry,
          dragToSelect: false
        });
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('doc.drag.to.select', false);
        dragStartX = event.clientX;
        dragStartY = event.clientY;

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.assist-file-entry-drag').length === 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div class="assist-file-entry-drag"><span class="drag-text"></span></div>').appendTo('body');
        }

        var $helper = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.assist-file-entry-drag').clone().appendTo($container);
        $helper.find('.drag-text').text(boundEntry.definition().name);
        $helper.find('i').removeClass().addClass($element.find('.doc-browser-primary-col i').attr('class'));
        $helper.show();
      },
      drag: function drag() {},
      stop: function stop(event) {
        var elementAtStart = document.elementFromPoint(dragStartX, dragStartY);
        var elementAtStop = document.elementFromPoint(event.clientX, event.clientY);

        if (elementAtStart.nodeName === 'A' && elementAtStop.nodeName === 'A' && Math.sqrt((dragStartX - event.clientX) * (dragStartX - event.clientX) + (dragStartY - event.clientY) * (dragStartY - event.clientY)) < 8) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(elementAtStop).trigger('click');
        }

        boundEntry.selected(false);
      },
      helper: function helper() {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('doc-browser-drag-container');
      },
      appendTo: 'body',
      cursorAt: {
        top: 0,
        left: 0
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDroppable.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDroppable.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].assistFileDroppable = {
  init: function init(element, valueAccessor, allBindings, boundEntry) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var dragData;
    var dragSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('doc.browser.dragging', function (data) {
      dragData = data;
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      dragSub.remove();
    });

    if (boundEntry.isDirectory) {
      $element.droppable({
        drop: function drop() {
          if (dragData && !dragData.dragToSelect && boundEntry.isDirectory()) {
            boundEntry.moveHere(dragData.selectedEntries);
            dragData.originEntry.load();
          }

          $element.removeClass('assist-file-entry-drop');
        },
        over: function over() {
          if (!$element.hasClass('assist-file-entry-drop') && dragData && !dragData.dragToSelect && boundEntry.isDirectory()) {
            $element.addClass('assist-file-entry-drop');
          }
        },
        out: function out() {
          $element.removeClass('assist-file-entry-drop');
        }
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.assistVerticalResizer.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.assistVerticalResizer.js ***!
  \*****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].assistVerticalResizer = {
  init: function init(element, valueAccessor) {
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var panelDefinitions = options.panels;

    var checkForElements = function checkForElements() {
      var $allPanels = $container.children('.assist-inner-panel');
      var $allExtras = $container.children('.assist-fixed-height');

      if (panelDefinitions().length === $allPanels.length && ($allExtras.length > 0 || options.noFixedHeights)) {
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].assistVerticalResizer.updateWhenRendered(element, valueAccessor);
      } else {
        timeout = window.setTimeout(checkForElements, 10);
      }
    };

    checkForElements();
    var timeout = -1;
    panelDefinitions.subscribe(function () {
      window.clearTimeout(timeout);
      timeout = window.setTimeout(checkForElements, 10);
    });
  },
  updateWhenRendered: function updateWhenRendered(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var panelDefinitions = options.panels;
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $allPanels = $container.children('.assist-inner-panel');
    var $allResizers = $container.children('.assist-resizer');
    var $allExtras = $container.children('.assist-fixed-height');
    var allExtrasHeight = 0;
    $allExtras.each(function (idx, extra) {
      allExtrasHeight += jquery__WEBPACK_IMPORTED_MODULE_0___default()(extra).outerHeight(true);
    });
    window.clearInterval($container.data('height_interval'));

    if (panelDefinitions().length === 0) {
      $allExtras.show();
      return;
    }

    if (panelDefinitions().length === 1) {
      var adjustHeightSingle = function adjustHeightSingle() {
        $allPanels.height($container.innerHeight() - allExtrasHeight);
      };

      var heightAdjustInterval = window.setInterval(adjustHeightSingle, 800);
      adjustHeightSingle();
      $container.data('height_interval', heightAdjustInterval);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).resize(adjustHeightSingle);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('assist.forceRender', function () {
        window.setTimeout(adjustHeightSingle, 200);
      });
      $allExtras.show();
      $allPanels.show();
      return;
    }

    var panelRatios = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'innerPanelRatios', {});
    var totalRatios = 0;
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each($allPanels, function (idx, panel) {
      var panelDef = panelDefinitions()[idx];

      if (!panelRatios[panelDef.type]) {
        panelRatios[panelDef.type] = 1 / panelDefinitions().length;
      }

      totalRatios += panelRatios[panelDef.type];
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).data('minHeight', panelDef.minHeight);
    }); // Normalize the ratios in case new panels were added or removed.

    if (totalRatios !== 1) {
      var diff = 1 / totalRatios;
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(panelDefinitions(), function (idx, panel) {
        panelRatios[panel.type] = panelRatios[panel.type] * diff;
      });
    }

    var totalHeight = -1;
    var containerTop = $container.offset().top; // Resizes all containers according to the set ratios

    var resizeByRatio = function resizeByRatio() {
      if (totalHeight === $container.innerHeight()) {
        return;
      }

      $allPanels = $container.children('.assist-inner-panel');
      totalHeight = $container.innerHeight();
      containerTop = $container.offset().top;
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each($allPanels, function (idx, panel) {
        var panelDef = panelDefinitions()[idx];

        if (!panelRatios[panelDef.type] || $allPanels.length === 1) {
          panelRatios[panelDef.type] = 1 / panelDefinitions().length;
        }

        totalRatios += panelRatios[panelDef.type];
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).data('minHeight', panelDef.minHeight);
      });
      var availableForPanels = totalHeight - allExtrasHeight;
      var leftoverSpace = 0;
      $allPanels.each(function (idx, panel) {
        var $panel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel);
        var desiredHeight = availableForPanels * panelRatios[panelDefinitions()[idx].type];
        var newHeight = Math.max($panel.data('minHeight'), desiredHeight);
        $panel.height(newHeight);
        leftoverSpace += newHeight - desiredHeight;
      }); // The minheight is greater than the ratio so we shrink where possible

      if (leftoverSpace > 0) {
        $allPanels.each(function (idx, panel) {
          if (leftoverSpace === 0) {
            return false;
          }

          var $panel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel);
          var currentHeight = $panel.height();
          var possibleContribution = Math.min(currentHeight - $panel.data('minHeight'), leftoverSpace);

          if (possibleContribution > 0) {
            $panel.height(currentHeight - possibleContribution);
            leftoverSpace -= possibleContribution;
          }
        });
      }
    };

    resizeByRatio();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).resize(resizeByRatio);
    window.setTimeout(resizeByRatio, 1000);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('assist.forceRender', function () {
      window.setTimeout(resizeByRatio, 200);
    });
    $allExtras.show();
    $allPanels.show();

    var fitPanelHeights = function fitPanelHeights($panelsToResize, desiredTotalHeight) {
      var currentHeightOfPanels = 0;
      var noMoreSpace = true;
      $panelsToResize.each(function (idx, panel) {
        var $panel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel);
        var panelHeight = $panel.outerHeight(true);
        noMoreSpace = noMoreSpace && panelHeight <= $panel.data('minHeight');
        currentHeightOfPanels += panelHeight;
      });
      var distanceToGo = desiredTotalHeight - currentHeightOfPanels;

      if (noMoreSpace && distanceToGo < 0) {
        return;
      } // Add all to the first panel if expanding (distanceToGo is positive


      if (distanceToGo >= 0) {
        $panelsToResize.first().height($panelsToResize.first().height() + distanceToGo + 'px');
        return;
      } // Remove as much as possible on each panel if shrinking (distanceToGo is negative)


      $panelsToResize.each(function (idx, panel) {
        var $panel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel);
        var initialHeight = $panel.height();
        var newHeight = Math.max($panel.data('minHeight'), initialHeight + distanceToGo);

        if (initialHeight === newHeight) {
          return true;
        }

        $panel.height(newHeight);
        distanceToGo += initialHeight - newHeight;

        if (distanceToGo >= 0) {
          return false;
        }
      });
    };

    $allResizers.each(function (idx, resizer) {
      var $resizer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(resizer);
      var extrasBeforeHeight = 0;
      $resizer.prevAll('.assist-fixed-height').each(function (idx, extra) {
        extrasBeforeHeight += jquery__WEBPACK_IMPORTED_MODULE_0___default()(extra).outerHeight(true);
      });
      var $panelsBefore = $resizer.prevAll('.assist-inner-panel');
      var limitBefore = extrasBeforeHeight;
      $panelsBefore.each(function (idx, panel) {
        limitBefore += jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).data('minHeight');
      });
      var extrasAfterHeight = allExtrasHeight - extrasBeforeHeight;
      var $panelsAfter = $resizer.nextAll('.assist-inner-panel');
      var requiredSpaceAfter = extrasAfterHeight;
      $panelsAfter.each(function (idx, panel) {
        requiredSpaceAfter += jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).data('minHeight');
      });
      $resizer.draggable({
        axis: 'y',
        drag: function drag(event, ui) {
          var limitAfter = totalHeight - requiredSpaceAfter;
          var position = ui.offset.top - containerTop;

          if (position > limitBefore && position < limitAfter) {
            fitPanelHeights($panelsBefore, position - extrasBeforeHeight);
            fitPanelHeights($panelsAfter, totalHeight - extrasAfterHeight - position);
          } else if (position > limitAfter) {
            fitPanelHeights($panelsBefore, limitAfter - extrasBeforeHeight);
            fitPanelHeights($panelsAfter, totalHeight - extrasAfterHeight - limitAfter);
          } else if (position < limitBefore) {
            fitPanelHeights($panelsBefore, limitBefore - extrasBeforeHeight);
            fitPanelHeights($panelsAfter, totalHeight - extrasAfterHeight - limitBefore);
          }

          ui.offset.top = 0;
          ui.position.top = 0;
        },
        stop: function stop(event, ui) {
          ui.offset.top = 0;
          ui.position.top = 0;
          var totalHeightForPanels = 0;
          $allPanels.each(function (idx, panel) {
            totalHeightForPanels += jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).outerHeight(true);
          });
          $allPanels.each(function (idx, panel) {
            panelRatios[panelDefinitions()[idx].type] = jquery__WEBPACK_IMPORTED_MODULE_0___default()(panel).outerHeight(true) / totalHeightForPanels;
          });
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'innerPanelRatios', panelRatios);
        }
      });
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.attachViewModelToElementData.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.attachViewModelToElementData.js ***!
  \************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].attachViewModelToElementData = {
  init: function init(el, valueAccessor, allBindingsAccessor, viewModel) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(el).data('__ko_vm', viewModel);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.augmentHtml.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.augmentHtml.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: less from bootstrap?

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].augmentHtml = {
  render: function render(element, valueAccessor) {
    var _val = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

    var _enc = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').html(_val);

    if (_enc.find('style').length > 0) {
      var parser = new less.Parser();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(_enc.find('style')).each(function (cnt, item) {
        var _less = '.result-container {' + jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).text() + '}';

        try {
          parser.parse(_less, function (err, tree) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(item).text(tree.toCSS());
          });
        } catch (e) {}
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).html(_enc.html());
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).html(_val);
    }
  },
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].augmentHtml.render(element, valueAccessor, allBindingsAccessor, viewModel);
  },
  update: function update(element, valueAccessor, allBindingsAccessor, viewModel) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].augmentHtml.render(element, valueAccessor, allBindingsAccessor, viewModel);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.autocomplete.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.autocomplete.js ***!
  \********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].autocomplete = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    var getMenuElement = function getMenuElement() {
      if (typeof options.appendTo === 'string') {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.appendTo);
      }

      return options.appendTo;
    };

    var delay = 400;

    var showSpinner = function showSpinner() {
      if (options.showSpinner) {
        $element.addClass('input-spinner');
      }
    };

    var spinThrottle = -1;

    var hideSpinner = function hideSpinner() {
      window.clearTimeout(spinThrottle);
      $element.removeClass('input-spinner');
    };

    options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
      addCount: false,
      closeOnEnter: true,
      blurOnEnter: false,
      classPrefix: 'hue-',
      showOnFocus: false,
      minLength: 0,
      limitWidthToInput: false,
      minWidth: 200,
      disabled: true,
      delay: delay,
      search: function search() {
        window.clearTimeout(spinThrottle);

        if (!$element.hueAutocomplete('option', 'disabled')) {
          spinThrottle = window.setTimeout(showSpinner, 50);
        }
      },
      open: function open() {
        hideSpinner();
      },
      close: function close() {
        hideSpinner();
      }
    }, options);

    if (options.addCount) {
      var oldSource = options.source;

      options.source = function (request, callback) {
        oldSource(request, function (values) {
          callback(values);
          var $menu = jquery__WEBPACK_IMPORTED_MODULE_0___default()($element.data('custom-hueAutocomplete').menu.element);
          $menu.children('.autocomplete-count').remove();
          var count = options.realCountCallback ? options.realCountCallback() : values.filter(function (value) {
            return !value.divider && !value.noMatch;
          }).length;

          if (count > 0) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('autocomplete-count').text('(' + count + ')').appendTo(getMenuElement());
          }
        });
      };
    }

    if (typeof jquery__WEBPACK_IMPORTED_MODULE_0___default()().hueAutocomplete === 'undefined') {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.widget('custom.hueAutocomplete', jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ui.autocomplete, {
        _renderItemData: function _renderItemData(ul, item) {
          if (item.error && this.options.errorTemplate) {
            var $li = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li data-bind="template: { name: \'' + this.options.errorTemplate + '\' }">').addClass(this.options.classPrefix + 'autocomplete-item').appendTo(ul).data('ui-autocomplete-item', item);
            knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](item, $li[0]);
          } else if (item.noMatch && this.options.noMatchTemplate) {
            var _$li = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li data-bind="template: { name: \'' + this.options.noMatchTemplate + '\' }">').addClass(this.options.classPrefix + 'autocomplete-item').appendTo(ul).data('ui-autocomplete-item', item);

            knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](item, _$li[0]);
          } else if (item.divider) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li/>').addClass(this.options.classPrefix + 'autocomplete-divider').appendTo(ul);
          } else {
            var _$li2 = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<li data-bind="template: { name: \'' + this.options.itemTemplate + '\', data: $data }">').addClass(this.options.classPrefix + 'autocomplete-item').appendTo(ul).data('ui-autocomplete-item', item);

            knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](item.data, _$li2[0]);
          }
        },
        _resizeMenu: function _resizeMenu() {
          // This overrides the default behaviour of using dropdown width of the same size as input autocomplete box
          if (options.limitWidthToInput) {
            this.menu.element.outerWidth(options.minWidth);
          }
        },
        _renderMenu: function _renderMenu(ul, items) {
          var self = this;
          hideSpinner();

          if (options.limitWidthToInput) {
            ul.css('max-width', Math.max(options.minWidth, $element.outerWidth(true)) + 'px');
          }

          ul.css('min-width', options.minWidth || $element.outerWidth(true));
          ul.css('min-height', options.minHeight || '20px');
          ul.addClass(this.options.classPrefix + 'autocomplete');
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(items, function (index, item) {
            self._renderItemData(ul, item);
          });
        }
      });
    }

    if (options.closeOnEnter || options.onEnter || options.blurOnEnter) {
      $element.on('keyup', function (e) {
        if (e.which === 13) {
          if (options.reopenPattern && options.reopenPattern.test($element.val())) {
            window.setTimeout(function () {
              $element.hueAutocomplete('search', $element.val());
            }, 0);
            return;
          }

          if (options.closeOnEnter) {
            hideSpinner();
            $element.hueAutocomplete('close'); // Prevent autocomplete on enter

            $element.hueAutocomplete('option', 'disabled', true);
            window.setTimeout(function () {
              $element.hueAutocomplete('option', 'disabled', false);
            }, delay + 200);
          }

          if (options.valueObservable) {
            options.valueObservable($element.val());
          }

          if (options.onEnter) {
            options.onEnter();
          }

          if (options.blurOnEnter) {
            hideSpinner();
            $element.blur();
          }
        }
      });
    }

    $element.on('keydown', function (e) {
      // ctrl + backspace to delete words
      if (e.which === 8 && e.ctrlKey) {
        var lastSpaceOrColon = Math.max($element.val().lastIndexOf(' '), $element.val().lastIndexOf(':'));

        if (lastSpaceOrColon < $element.val().length - 1) {
          if (lastSpaceOrColon !== -1) {
            $element.val($element.val().substring(0, lastSpaceOrColon + 1));
          } else {
            $element.val('');
          }

          e.preventDefault();
          return false;
        }
      } else if (e.which === 32 && e.ctrlKey) {
        $element.hueAutocomplete('search', $element.val());
      }
    });

    if (options.showOnFocus) {
      $element.on('focus', function () {
        $element.hueAutocomplete('search', $element.val());
      });
    }

    var closeSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('autocomplete.close', function () {
      hideSpinner();
      $element.hueAutocomplete('close');
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      closeSubscription.remove();
    });

    if (options.reopenPattern || options.valueObservable || options.onSelect) {
      var oldSelect = options.select;

      options.select = function (event, ui) {
        if (options.reopenPattern && options.reopenPattern.test(ui.item.value)) {
          window.setTimeout(function () {
            $element.hueAutocomplete('search', $element.val());
          }, 0);
          return;
        }

        if (options.valueObservable) {
          options.valueObservable(ui.item.value);
        }

        if (options.onSelect) {
          options.onSelect(ui.item);
        }

        if (oldSelect) {
          oldSelect(event, ui);
        }
      };
    }

    $element.hueAutocomplete(options);

    var enableAutocomplete = function enableAutocomplete() {
      if ($element.data('custom-hueAutocomplete')) {
        $element.hueAutocomplete('option', 'disabled', false);
        $element.off('click', enableAutocomplete);
      } else {
        window.setTimeout(enableAutocomplete, 200);
      }
    }; // IE 11 trick to prevent it from being shown on page refresh


    $element.on('click', enableAutocomplete);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.autogrowInput.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.autogrowInput.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].autogrowInput = {
  init: function init(element, valueAccessor) {
    var o = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
      minWidth: 0,
      maxWidth: 1000,
      comfortZone: 70
    }, valueAccessor());
    var minWidth = o.minWidth || jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width();
    var input = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var testSubject = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<tester/>').css({
      position: 'absolute',
      top: -9999,
      left: -9999,
      width: 'auto',
      fontSize: input.css('fontSize'),
      fontFamily: input.css('fontFamily'),
      fontWeight: input.css('fontWeight'),
      letterSpacing: input.css('letterSpacing'),
      whiteSpace: 'nowrap'
    });
    var val = '';

    var check = function check() {
      if (val === (val = input.val())) {
        return;
      }

      var escaped = val.replace(/&/g, '&amp;').replace(/\s/g, ' ').replace(/</g, '&lt;').replace(/>/g, '&gt;');
      testSubject.html(escaped);
      var testerWidth = testSubject.width(),
          newWidth = testerWidth + o.comfortZone >= minWidth ? testerWidth + o.comfortZone : minWidth,
          currentWidth = input.width(),
          isValidWidthChange = newWidth < currentWidth && newWidth >= minWidth || newWidth > minWidth && newWidth < o.maxWidth;

      if (isValidWidthChange) {
        input.width(newWidth);
      }
    };

    testSubject.insertAfter(element);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].registerEventHandler(element, 'keyup keydown blur update', check);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.blurHide.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.blurHide.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].blurHide = {
  init: function init(element, valueAccessor) {
    var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var prop = valueAccessor();
    $el.on('blur', function () {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim($el.val()) === '') {
        if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](prop)) {
          prop(false);
        }
      }
    });
  },
  update: function update(element, valueAccessor) {
    var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var prop = valueAccessor();

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](prop) && prop()) {
      $el.focus();
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.bytesize.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.bytesize.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! sprintf-js */ "./node_modules/sprintf-js/src/sprintf.js");
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(sprintf_js__WEBPACK_IMPORTED_MODULE_2__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].bytesize = function () {
  var that;
  return that = {
    units: ['B', 'KB', 'MB', 'GB', 'TB', 'PB'],
    init: function init(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    update: function update(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    format: function format(element, valueAccessor) {
      var value = valueAccessor();
      var formatted = that.humanSize(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).text(formatted);
    },
    getBaseLog: function getBaseLog(x, y) {
      return Math.log(x) / Math.log(y);
    },
    humanSize: function humanSize(bytes) {
      var isNumber = !isNaN(parseFloat(bytes)) && isFinite(bytes);

      if (!isNumber) {
        return '';
      } // Special case small numbers (including 0), because they're exact.


      if (bytes < 1024) {
        return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%d B', bytes);
      }

      var index = Math.floor(that.getBaseLog(bytes, 1024));
      index = Math.min(that.units.length - 1, index);
      return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%.1f %s', bytes / Math.pow(1024, index), that.units[index]);
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.chosen.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.chosen.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].chosen = {
  init: function init(element, valueAccessor, allBindings) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

    if (_typeof(options) === 'object') {
      $element.chosen(options);
    } else {
      $element.chosen();
    }

    ['options', 'selectedOptions', 'value'].forEach(function (propName) {
      if (allBindings.has(propName)) {
        var prop = allBindings.get(propName);

        if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](prop)) {
          prop.subscribe(function () {
            $element.trigger('chosen:updated');
          });
        }
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.clearable.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.clearable.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].clearable = {
  after: ['textInput', 'value', 'valueUpdate'],
  init: function init(element, valueAccessor, allBindingsAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var params = valueAccessor();
    var valueObservable = knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](params) ? params : params.value;

    function tog(v) {
      return v ? 'addClass' : 'removeClass';
    }

    $element.addClass('clearable');
    $element[tog(valueObservable())]('x');
    $element.on('input', function () {
      $element[tog(this.value)]('x');
    }).on('mousemove', function (e) {
      $element[tog(this.offsetWidth - 18 < e.clientX - this.getBoundingClientRect().left)]('onX');
    }).on('click', function (e) {
      if (this.offsetWidth - 18 < e.clientX - this.getBoundingClientRect().left) {
        $element.removeClass('x onX').val('');
        valueObservable('');

        if (typeof params.onClear === 'function') {
          params.onClear();
        }
      }
    });

    if (!allBindingsAccessor()['textInput'] || !allBindingsAccessor()['value']) {
      $element.on('change', function () {
        valueObservable($element.val());
      }).on('blur', function () {
        valueObservable($element.val());
      });

      if (allBindingsAccessor()['valueUpdate'] != null && allBindingsAccessor()['valueUpdate'] === 'afterkeydown') {
        $element.on('keyup', function () {
          valueObservable($element.val());
        });
      }

      if (allBindingsAccessor()['valueUpdateDelay'] != null) {
        var _timeout = -1;

        $element.on('keyup', function (e) {
          if (!([13, 37, 38, 39, 40].indexOf(e.keyCode) > -1)) {
            window.clearTimeout(_timeout);
            _timeout = window.setTimeout(function () {
              valueObservable($element.val());
            }, allBindingsAccessor()['valueUpdateDelay']);
          }
        });
      }
    }
  },
  update: function update(element, valueAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var params = valueAccessor();
    var valueObservable = knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](params) ? params : params.value;

    if (!$element.is(':focus') || valueObservable() !== $element.val()) {
      $element.val(valueObservable());
    }

    if ($element.val() === '') {
      $element.removeClass('x');
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.clickForAceFocus.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.clickForAceFocus.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].clickForAceFocus = {
  init: function init(element, valueAccessor) {
    var editor = valueAccessor();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('click', function (e) {
      if (e.target === element) {
        editor().focus();
        editor().execCommand('gotolineend');
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.clickToCopy.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.clickToCopy.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].clickToCopy = {
  init: function init(element, valueAccessor) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).click(function () {
      var $input = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<textarea>').css({
        opacity: 0
      }).val(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor())).appendTo('body').select();
      document.execCommand('copy');
      $input.remove();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.clipboard.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.clipboard.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].clipboard = {
  init: function init(element, valueAccessor) {
    if (!window.Clipboard) {
      console.warn('ko.clipboard.js depends on window.Clipboard');
      return;
    }

    var options = valueAccessor();
    var clipboard = new window.Clipboard(element, {
      target: options.target,
      text: options.text
    });

    if (options.onSuccess) {
      clipboard.on('success', options.onSuccess);
    }

    knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      clipboard.destroy();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.codemirror.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.codemirror.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].codemirror = {
  init: function init(element, valueAccessor) {
    var options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(valueAccessor(), {});
    var editor = CodeMirror.fromTextArea(element, options);
    element.editor = editor;
    editor.setValue(options.data());
    editor.refresh();
    var wrapperElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(editor.getWrapperElement());
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('refreshCodemirror', function () {
      editor.setSize('100%', 300);
      editor.refresh();
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('addFieldToSource', function (e, field) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('template')) {
        editor.replaceSelection('{{' + field.name() + '}}');
      }
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('addFunctionToSource', function (e, fn) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('template')) {
        editor.replaceSelection(fn);
      }
    });
    var $chosenSelect = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.chosen-select');
    $chosenSelect.chosen({
      disable_search_threshold: 10,
      width: '75%'
    });
    $chosenSelect.trigger('chosen:updated');
    var sourceDelay = -1;
    editor.on('change', function (cm) {
      clearTimeout(sourceDelay);
      var _cm = cm;
      sourceDelay = setTimeout(function () {
        var _value = _cm.getValue();

        if (options.stripScript) {
          _value = _value.replace(/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi, '');
        }

        valueAccessor().data(_value);

        if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.widget-html-pill').parent().hasClass('active')) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('[contenteditable=true]').html(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].stripHtmlFromFunctions(valueAccessor().data()));
        }
      }, 100);
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      wrapperElement.remove();
    });
  },
  update: function update(element) {
    var editor = element.editor;
    editor.refresh();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.contextMenu.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.contextMenu.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



/**
 * This binding can be used to show a custom context menu on right-click,
 * It assumes that the context menu is nested within the bound element and
 * the selector for the menu has to be supplied as a parameter.
 *
 * Example:
 *
 * <div data-bind="contextMenu: {
 *   menuSelector: '.hue-context-menu',
 *   beforeOpen: function () { ... }
 * }">
 *   <ul class="hue-context-menu">...</ul>
 * </div>
 *
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].contextMenu = {
  initContextMenu: function initContextMenu($menu, $scrollContainer) {
    var active = false;
    var currentLeft = 0;
    var currentTop = 0;
    var openScrollTop = 0;
    var openScrollLeft = 0;

    var adjustForScroll = function adjustForScroll() {
      $menu.css('top', currentTop - $scrollContainer.scrollTop() + openScrollTop);
      $menu.css('left', currentLeft - $scrollContainer.scrollLeft() + openScrollLeft);
    };

    return {
      show: function show(event) {
        $menu.css('top', 0);
        $menu.css('left', 0);
        $menu.css('opacity', 0);
        $menu.show();
        openScrollTop = $scrollContainer.scrollTop();
        openScrollLeft = $scrollContainer.scrollLeft();
        var menuWidth = $menu.outerWidth(true);

        if (event.clientX + menuWidth > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width()) {
          currentLeft = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() - menuWidth;
        } else {
          currentLeft = event.clientX;
        }

        $menu.css('left', currentLeft);
        var menuHeight = $menu.outerHeight(true);

        if (event.clientY + menuHeight > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height()) {
          currentTop = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - menuHeight;
        } else {
          currentTop = event.clientY;
        }

        $menu.css('top', currentTop);
        $menu.css('opacity', 1);
        active = true;
        $scrollContainer.on('scroll', adjustForScroll);
      },
      hide: function hide() {
        if (active) {
          $scrollContainer.off('scroll', adjustForScroll);
          $menu.css('opacity', 0);
          window.setTimeout(function () {
            $menu.hide();
          }, 300);
          active = false;
        }
      }
    };
  },
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor();
    var $menu = $element.find(options.menuSelector);
    bindingContext.$altDown = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    window.addEventListener('keydown', function (e) {
      bindingContext.$altDown(e.altKey);
    });
    window.addEventListener('keyup', function () {
      bindingContext.$altDown(false);
    });
    var $scrollContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.scrollContainer).length > 0 ? jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.scrollContainer) : jquery__WEBPACK_IMPORTED_MODULE_0___default()(window);
    var menu = knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].contextMenu.initContextMenu($menu, $scrollContainer);
    element.addEventListener('contextmenu', function (event) {
      if (document.selection && document.selection.empty) {
        document.selection.empty();
      } else if (window.getSelection) {
        var sel = window.getSelection();
        sel.removeAllRanges();
      }

      if (typeof options.beforeOpen === 'function') {
        options.beforeOpen.bind(viewModel)();
      }

      menu.show(event);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('contextmenu-active', element);
      event.preventDefault();
      event.stopPropagation();
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('contextmenu-active', function (origin) {
      if (origin !== element) {
        menu.hide();
      }
    });
    document.addEventListener('contextmenu', function () {
      menu.hide();
    });
    $menu.click(function (e) {
      menu.hide();
      e.stopPropagation();
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).click(function (event) {
      if ($element.find(jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target)).length === 0) {
        menu.hide();
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.contextSubMenu.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.contextSubMenu.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].contextSubMenu = {
  init: function init(element, valueAccessor) {
    var menuSelector = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $menu = $element.find(menuSelector);
    var $parentMenu = $element.parent('.hue-context-menu');
    var open = false;

    var closeSubMenu = function closeSubMenu() {
      open = false;
      $menu.hide();
      $element.removeClass('active');
    };

    var hideTimeout = -1;
    $element.add($menu).on('mouseenter', function () {
      $element.addClass('active');

      if (!open) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('hue.sub.menu.close');
      }

      open = true;
      window.clearTimeout(hideTimeout);
      var menuHeight = $menu.outerHeight();
      $menu.css('top', $element.position().top + $parentMenu.position().top + menuHeight > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() ? jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - menuHeight - 8 : $element.position().top + $parentMenu.position().top);
      $menu.css('left', $element.offset().left + $element.outerWidth(true));
      $menu.css('opacity', 0);
      $menu.show();
      $menu.css('opacity', 1);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribeOnce('hue.sub.menu.close', closeSubMenu);
    });
    $element.add($menu).on('mouseleave', function () {
      window.clearTimeout(hideTimeout);
      hideTimeout = window.setTimeout(closeSubMenu, 300);
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.datalist.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.datalist.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
 // https://stackoverflow.com/questions/19865364/knockoutjs-linking-value-from-a-input-to-a-datalist-value

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].datalist = function () {
  function getVal(rawItem, prop) {
    var item = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](rawItem);
    return item && prop ? knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](item[prop]) : item;
  }

  function findItem(options, prop, ref) {
    return knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].arrayFirst(options, function (item) {
      return ref === getVal(item, prop);
    });
  }

  return {
    init: function init(element, valueAccessor, allBindingsAccessor) {
      var setup = valueAccessor(),
          textProperty = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.optionsText),
          valueProperty = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.optionsValue),
          dataItems = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.options),
          myValue = setup.value,
          koValue = allBindingsAccessor().value,
          datalist = document.createElement('DATALIST'); // create an associated <datalist> element

      datalist.id = element.getAttribute('list');
      document.body.appendChild(datalist); // when the value is changed, write to the associated myValue observable

      function onNewValue(newVal) {
        var setup = valueAccessor(),
            dataItems = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.options),
            selectedItem = findItem(dataItems, textProperty, newVal),
            newValue = selectedItem ? getVal(selectedItem, valueProperty) : newVal;

        if (knockout__WEBPACK_IMPORTED_MODULE_0__["isWriteableObservable"](myValue)) {
          myValue(newValue);
        }
      } // listen for value changes
      // - either via KO's value binding (preferred) or the change event


      if (knockout__WEBPACK_IMPORTED_MODULE_0__["isSubscribable"](koValue)) {
        var onNewValueSubscription = koValue.subscribe(onNewValue);
        knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
          onNewValueSubscription.remove();
        });
      } else {
        var event = allBindingsAccessor().valueUpdate === 'afterkeydown' ? 'input' : 'change';
        knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].registerEventHandler(element, event, function () {
          onNewValue(this.value);
        });
      } // init the element's value
      // - either via the myValue observable (preferred) or KO's value binding


      if (knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](myValue) && myValue()) {
        var selectedItem = findItem(dataItems, valueProperty, myValue());
        element.value = selectedItem ? getVal(selectedItem, textProperty) : myValue();
      } else if (knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](koValue) && koValue()) {
        onNewValue(koValue());
      }
    },
    update: function update(element, valueAccessor) {
      var setup = valueAccessor(),
          datalist = element.list,
          dataItems = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.options),
          textProperty = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](setup.optionsText); // rebuild list of options when an underlying observable changes

      datalist.innerHTML = '';
      knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].arrayForEach(dataItems, function (item) {
        var option = document.createElement('OPTION');
        option.value = getVal(item, textProperty);
        datalist.appendChild(option);
      });
      knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].triggerEvent(element, 'change');
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.dateRangePicker.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.dateRangePicker.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker = {
  INTERVAL_OPTIONS: [{
    value: '+200MILLISECONDS',
    label: '200ms'
  }, {
    value: '+1SECONDS',
    label: '1s'
  }, {
    value: '+5SECONDS',
    label: '5s'
  }, {
    value: '+30SECONDS',
    label: '30s'
  }, {
    value: '+1MINUTES',
    label: '1m'
  }, {
    value: '+5MINUTES',
    label: '5m'
  }, {
    value: '+10MINUTES',
    label: '10m'
  }, {
    value: '+30MINUTES',
    label: '30m'
  }, {
    value: '+1HOURS',
    label: '1h'
  }, {
    value: '+3HOURS',
    label: '3h'
  }, {
    value: '+6HOURS',
    label: '6h'
  }, {
    value: '+12HOURS',
    label: '12h'
  }, {
    value: '+1DAYS',
    label: '1d'
  }, {
    value: '+7DAYS',
    label: '7d'
  }, {
    value: '+1MONTHS',
    label: '1M'
  }, {
    value: '+6MONTHS',
    label: '6M'
  }, {
    value: '+1YEARS',
    label: '1y'
  }, {
    value: '+10YEARS',
    label: '10y'
  }],
  EXTRA_INTERVAL_OPTIONS: [],
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
    var DATE_FORMAT = 'YYYY-MM-DD';
    var TIME_FORMAT = 'HH:mm:ss';
    var DATETIME_FORMAT = DATE_FORMAT + ' ' + TIME_FORMAT;

    var _el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    var _options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(valueAccessor(), {});

    var _intervalOptions = [];
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.INTERVAL_OPTIONS.forEach(function (interval) {
      _intervalOptions.push('<option value="' + interval.value + '">' + interval.label + '</option>');
    });

    function enableOptions() {
      var _opts = [];

      var _tmp = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').html(_intervalOptions.join(''));

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(arguments, function (cnt, item) {
        if (_tmp.find("option[value='+" + item + "']").length > 0) {
          _opts.push('<option value="+' + item + '">' + _tmp.find("option[value='+" + item + "']").eq(0).text() + '</option>');
        }
      });
      return _opts;
    }

    function renderOptions(opts) {
      var _html = '';

      for (var i = 0; i < opts.length; i++) {
        _html += opts[i];
      }

      return _html;
    }

    var _tmpl = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div class="simpledaterangepicker">' + '<div class="facet-field-cnt custom">' + '<div class="facet-field-label facet-field-label-fixed-width"></div>' + '<div class="facet-field-switch"><i class="fa fa-calendar muted"></i> <a href="javascript:void(0)">' + KO_DATERANGEPICKER_LABELS.DATE_PICKERS + '</a></div>' + '</div>' + '<div class="facet-field-cnt picker">' + '<div class="facet-field-label facet-field-label-fixed-width"></div>' + '<div class="facet-field-switch"><i class="fa fa-calendar-o muted"></i> <a href="javascript:void(0)">' + KO_DATERANGEPICKER_LABELS.CUSTOM_FORMAT + '</a></div>' + '</div>' + '<div class="facet-field-cnt picker">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.START + '</div>' + '<div class="input-prepend input-group">' + '<span class="add-on input-group-addon"><i class="fa fa-calendar"></i></span>' + '<input type="text" class="input-small form-control start-date" />' + '</div>' + '<div class="input-prepend input-group left-margin">' + '<span class="add-on input-group-addon"><i class="fa fa-clock-o"></i></span>' + '<input type="text" class="input-mini form-control start-time" />' + '</div>' + '</div>' + '<div class="facet-field-cnt picker">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.END + '</div>' + '<div class="input-prepend input-group">' + '<span class="add-on input-group-addon"><i class="fa fa-calendar"></i></span>' + '<input type="text" class="input-small form-control end-date" />' + '</div>' + '<div class="input-prepend input-group left-margin">' + '<span class="add-on input-group-addon"><i class="fa fa-clock-o"></i></span>' + '<input type="text" class="input-mini form-control end-time" />' + '</div>' + '</div>' + '<div class="facet-field-cnt picker">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.INTERVAL + '</div>' + '<div class="input-prepend input-group"><span class="add-on input-group-addon"><i class="fa fa-repeat"></i></span></div>&nbsp;' + '<select class="input-small interval-select" style="margin-right: 6px">' + renderOptions(_intervalOptions) + '</select>' + '<input class="input interval hide" type="hidden" value="" />' + '</div>' + '<div class="facet-field-cnt custom">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.START + '</div>' + '<div class="input-prepend input-group">' + '<span class="add-on input-group-addon"><i class="fa fa-calendar-o"></i></span>' + '<input type="text" class="input-large form-control start-date-custom" />' + '</div>' + '<span class="pointer custom-popover" data-trigger="click" data-toggle="popover" data-placement="right" rel="popover" data-html="true"' + '       title="' + KO_DATERANGEPICKER_LABELS.CUSTOM_POPOVER_TITLE + '"' + '       data-content="' + KO_DATERANGEPICKER_LABELS.CUSTOM_POPOVER_CONTENT + '">' + '&nbsp;&nbsp;<i class="fa fa-question-circle"></i>' + ' </span>' + '</div>' + '<div class="facet-field-cnt custom">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.END + '</div>' + '<div class="input-prepend input-group">' + '<span class="add-on input-group-addon"><i class="fa fa-calendar-o"></i></span>' + '<input type="text" class="input-large form-control end-date-custom" />' + '</div>' + '</div>' + '<div class="facet-field-cnt custom">' + '<div class="facet-field-label facet-field-label-fixed-width">' + KO_DATERANGEPICKER_LABELS.INTERVAL + '</div>' + '<div class="input-prepend input-group">' + '<span class="add-on input-group-addon"><i class="fa fa-repeat"></i></span>' + '<input type="text" class="input-large form-control interval-custom" />' + '</div>' + '</div>' + '</div>');

    _tmpl.insertAfter(_el);

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.custom-popover').popover();

    var _minMoment = moment(_options.min());

    var _maxMoment = moment(_options.max());

    if (_minMoment.isValid() && _maxMoment.isValid()) {
      _tmpl.find('.facet-field-cnt.custom').hide();

      _tmpl.find('.facet-field-cnt.picker').show();

      _tmpl.find('.start-date').val(_minMoment.utc().format(DATE_FORMAT));

      _tmpl.find('.start-time').val(_minMoment.utc().format(TIME_FORMAT));

      _tmpl.find('.end-date').val(_maxMoment.utc().format(DATE_FORMAT));

      _tmpl.find('.end-time').val(_maxMoment.utc().format(TIME_FORMAT));

      _tmpl.find('.interval').val(_options.gap());

      _tmpl.find('.interval-select').val(_options.gap());

      _tmpl.find('.interval-custom').val(_options.gap());

      if (_tmpl.find('.interval-select').val() == null || knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.EXTRA_INTERVAL_OPTIONS.indexOf(_tmpl.find('.interval-select').val()) > -1) {
        pushIntervalValue(_options.gap());

        _tmpl.find('.facet-field-cnt.custom').show();

        _tmpl.find('.facet-field-cnt.picker').hide();
      }
    } else {
      _tmpl.find('.facet-field-cnt.custom').show();

      _tmpl.find('.facet-field-cnt.picker').hide();

      _tmpl.find('.start-date-custom').val(_options.min());

      _tmpl.find('.end-date-custom').val(_options.max());

      _tmpl.find('.interval-custom').val(_options.gap());

      pushIntervalValue(_options.gap());
    }

    if (typeof _options.relatedgap != 'undefined') {
      pushIntervalValue(_options.relatedgap());
    }

    _tmpl.find('.start-date').datepicker({
      format: DATE_FORMAT.toLowerCase()
    }).on('changeDate', function () {
      rangeHandler(true);
    });

    _tmpl.find('.start-date').on('change', function () {
      rangeHandler(true);
    });

    _tmpl.find('.start-time').timepicker({
      minuteStep: 1,
      showSeconds: true,
      showMeridian: false,
      defaultTime: false
    });

    _tmpl.find('.end-date').datepicker({
      format: DATE_FORMAT.toLowerCase()
    }).on('changeDate', function () {
      rangeHandler(false);
    });

    _tmpl.find('.end-date').on('change', function () {
      rangeHandler(true);
    });

    _tmpl.find('.end-time').timepicker({
      minuteStep: 1,
      showSeconds: true,
      showMeridian: false,
      defaultTime: false
    });

    _tmpl.find('.start-time').on('change', function () {
      // the timepicker plugin doesn't have a change event handler
      // so we need to wait a bit to handle in with the default field event
      window.setTimeout(function () {
        rangeHandler(true);
      }, 200);
    });

    _tmpl.find('.end-time').on('change', function () {
      window.setTimeout(function () {
        rangeHandler(false);
      }, 200);
    });

    if (_minMoment.isValid() && _maxMoment.isValid()) {
      rangeHandler(true);
    }

    _tmpl.find('.facet-field-cnt.picker .facet-field-switch a').on('click', function () {
      _tmpl.find('.facet-field-cnt.custom').show();

      _tmpl.find('.facet-field-cnt.picker').hide();
    });

    _tmpl.find('.facet-field-cnt.custom .facet-field-switch a').on('click', function () {
      _tmpl.find('.facet-field-cnt.custom').hide();

      _tmpl.find('.facet-field-cnt.picker').show();
    });

    _tmpl.find('.start-date-custom').on('change', function () {
      _options.min(_tmpl.find('.start-date-custom').val());

      _tmpl.find('.start-date').val(moment(_options.min()).utc().format(DATE_FORMAT));

      _tmpl.find('.start-time').val(moment(_options.min()).utc().format(TIME_FORMAT));

      _options.start(_options.min());
    });

    _tmpl.find('.end-date-custom').on('change', function () {
      _options.max(_tmpl.find('.end-date-custom').val());

      _tmpl.find('.end-date').val(moment(_options.max()).utc().format(DATE_FORMAT));

      _tmpl.find('.end-time').val(moment(_options.max()).utc().format(TIME_FORMAT));

      _options.end(_options.max());
    });

    _tmpl.find('.interval-custom').on('change', function () {
      _options.gap(_tmpl.find('.interval-custom').val());

      matchIntervals(true);

      if (typeof _options.relatedgap != 'undefined') {
        _options.relatedgap(_options.gap());
      }
    });

    function pushIntervalValue(newValue) {
      var _found = false;
      knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.INTERVAL_OPTIONS.forEach(function (interval) {
        if (interval.value == newValue) {
          _found = true;
        }
      });

      if (!_found) {
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.INTERVAL_OPTIONS.push({
          value: newValue,
          label: newValue
        });
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.EXTRA_INTERVAL_OPTIONS.push(newValue);

        _intervalOptions.push('<option value="' + newValue + '">' + newValue + '</option>');
      }
    }

    function matchIntervals(fromCustom) {
      _tmpl.find('.interval-select').val(_options.gap());

      if (_tmpl.find('.interval-select').val() == null) {
        if (fromCustom) {
          pushIntervalValue(_options.gap());

          if (bindingContext.$root.intervalOptions) {
            bindingContext.$root.intervalOptions(knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dateRangePicker.INTERVAL_OPTIONS);
          }
        } else {
          _tmpl.find('.interval-select').val(_tmpl.find('.interval-select option:first').val());

          _options.gap(_tmpl.find('.interval-select').val());

          if (typeof _options.relatedgap != 'undefined') {
            _options.relatedgap(_options.gap());
          }

          _tmpl.find('.interval-custom').val(_options.gap());
        }
      }
    }

    _tmpl.find('.interval-select').on('change', function () {
      _options.gap(_tmpl.find('.interval-select').val());

      if (typeof _options.relatedgap != 'undefined') {
        _options.relatedgap(_options.gap());
      }

      _tmpl.find('.interval').val(_options.gap());

      _tmpl.find('.interval-custom').val(_options.gap());
    });

    function rangeHandler(isStart) {
      var startDate = moment(_tmpl.find('.start-date').val() + ' ' + _tmpl.find('.start-time').val(), DATETIME_FORMAT);
      var endDate = moment(_tmpl.find('.end-date').val() + ' ' + _tmpl.find('.end-time').val(), DATETIME_FORMAT);

      if (startDate.valueOf() > endDate.valueOf()) {
        if (isStart) {
          _tmpl.find('.end-date').val(startDate.utc().format(DATE_FORMAT));

          _tmpl.find('.end-date').datepicker('setValue', startDate.utc().format(DATE_FORMAT));

          _tmpl.find('.end-date').data('original-val', _tmpl.find('.end-date').val());

          _tmpl.find('.end-time').val(startDate.utc().format(TIME_FORMAT));
        } else {
          if (_tmpl.find('.end-date').val() === _tmpl.find('.start-date').val()) {
            _tmpl.find('.end-time').val(startDate.utc().format(TIME_FORMAT));

            _tmpl.find('.end-time').data('timepicker').setValues(startDate.format(TIME_FORMAT));
          } else {
            _tmpl.find('.end-date').val(_tmpl.find('.end-date').data('original-val'));

            _tmpl.find('.end-date').datepicker('setValue', _tmpl.find('.end-date').data('original-val'));
          } // non-sticky error notification


          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.jHueNotify.notify({
            level: 'ERROR',
            message: 'The end cannot be before the starting moment'
          });
        }
      } else {
        _tmpl.find('.end-date').data('original-val', _tmpl.find('.end-date').val());

        _tmpl.find('.start-date').datepicker('hide');

        _tmpl.find('.end-date').datepicker('hide');
      }

      var _calculatedStartDate = moment(_tmpl.find('.start-date').val() + ' ' + _tmpl.find('.start-time').val(), DATETIME_FORMAT);

      var _calculatedEndDate = moment(_tmpl.find('.end-date').val() + ' ' + _tmpl.find('.end-time').val(), DATETIME_FORMAT);

      _options.min(_calculatedStartDate.format('YYYY-MM-DD[T]HH:mm:ss[Z]'));

      _options.start(_options.min());

      _options.max(_calculatedEndDate.format('YYYY-MM-DD[T]HH:mm:ss[Z]'));

      _options.end(_options.max());

      _tmpl.find('.start-date-custom').val(_options.min());

      _tmpl.find('.end-date-custom').val(_options.max());

      var _opts = []; // hide not useful options from interval

      if (_calculatedEndDate.diff(_calculatedStartDate, 'minutes') > 1 && _calculatedEndDate.diff(_calculatedStartDate, 'minutes') <= 60) {
        _opts = enableOptions('200MILLISECONDS', '1SECONDS', '1MINUTES', '5MINUTES', '10MINUTES', '30MINUTES');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'hours') > 1 && _calculatedEndDate.diff(_calculatedStartDate, 'hours') <= 12) {
        _opts = enableOptions('5MINUTES', '10MINUTES', '30MINUTES', '1HOURS', '3HOURS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'hours') > 12 && _calculatedEndDate.diff(_calculatedStartDate, 'hours') < 36) {
        _opts = enableOptions('10MINUTES', '30MINUTES', '1HOURS', '3HOURS', '6HOURS', '12HOURS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'days') > 1 && _calculatedEndDate.diff(_calculatedStartDate, 'days') <= 7) {
        _opts = enableOptions('30MINUTES', '1HOURS', '3HOURS', '6HOURS', '12HOURS', '1DAYS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'days') > 7 && _calculatedEndDate.diff(_calculatedStartDate, 'days') <= 14) {
        _opts = enableOptions('3HOURS', '6HOURS', '12HOURS', '1DAYS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'days') > 14 && _calculatedEndDate.diff(_calculatedStartDate, 'days') <= 31) {
        _opts = enableOptions('12HOURS', '1DAYS', '7DAYS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'months') >= 1) {
        _opts = enableOptions('1DAYS', '7DAYS', '1MONTHS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'months') > 6) {
        _opts = enableOptions('1DAYS', '7DAYS', '1MONTHS', '6MONTHS');
      }

      if (_calculatedEndDate.diff(_calculatedStartDate, 'months') > 12) {
        _opts = enableOptions('7DAYS', '1MONTHS', '6MONTHS', '1YEARS', '10YEARS');
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.interval-select').html(renderOptions(_opts));
      matchIntervals(true);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.datepicker.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.datepicker.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].datepicker = {
  init: function init(element, valueAccessor, allBindings) {
    var _el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    var _options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

    _el.datepicker({
      format: 'yyyy-mm-dd'
    }).on('show', function (e) {
      if (_options.momentFormat) {
        var m = moment.utc(_el.val());

        _el.datepicker('setValue', m.format('YYYY-MM-DD'));

        _el.val(m.format(_options.momentFormat)); // Set value again as datepicker clears the time component

      }
    }).on('changeDate', function (e) {
      setDate(e.date);
    }).on('hide', function (e) {
      setDate(e.date);
    });

    function setDate(d) {
      if (_options.momentFormat) {
        var m = moment(d); // Keep time intact

        var previous = moment.utc(allBindings().value());
        previous.date(m.date());
        previous.month(m.month());
        previous.year(m.year());

        _el.val(previous.format(_options.momentFormat));
      }

      allBindings().value(_el.val());
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.dblClick.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.dblClick.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dblclick = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel) {
    var fn = valueAccessor();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).dblclick(function () {
      var data = knockout__WEBPACK_IMPORTED_MODULE_1__["dataFor"](this);
      fn.call(viewModel, data);
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.delayedOverflow.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.delayedOverflow.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].delayedOverflow = {
  init: function init(element, valueAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.css('overflow', 'hidden');
    var isTouch = false;
    $element.on('touchstart', function () {
      isTouch = true;
    });
    var scrollTimeout = -1;
    $element.hover(function () {
      scrollTimeout = window.setTimeout(function () {
        $element.css('overflow', 'auto');
      }, valueAccessor && valueAccessor() === 'slow' ? 500 : 30);
    }, function () {
      if (!isTouch) {
        clearTimeout(scrollTimeout);
        $element.css('overflow', 'hidden');
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.dockable.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.dockable.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dockable = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor() || {};
    var scrollable = options.scrollable ? options.scrollable : window;
    var triggerAdjust = options.triggerAdjust || 0;
    var zIndex = options.zIndex || 1000;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).addClass('dockable');
    var initialTopPosition = -1;
    var initialSize = {
      w: jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width() - _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__["default"].scrollbarWidth(),
      h: jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).outerHeight() + (options.jumpCorrection || 0)
    };
    var ghost = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css({
      display: 'none',
      height: initialSize.h
    }).insertBefore(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element));

    function dock() {
      if (initialTopPosition === -1) {
        initialTopPosition = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).position().top;
        ghost.height(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).outerHeight() + (options.jumpCorrection || 0));
      }

      if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(scrollable).scrollTop() + triggerAdjust > initialTopPosition) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('style', 'position: fixed!important; top: ' + options.topSnap + '; width: ' + initialSize.w + 'px!important; z-index: ' + zIndex);
        ghost.show();
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).removeAttr('style');
        ghost.hide();
      }
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(scrollable).on('scroll', dock);
    var scrollOffSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('scrollable.scroll.off', function (scrollElement) {
      if (scrollElement === scrollable) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(scrollable).on('scroll', dock);
      }
    });

    function resetInitialStyle() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).removeAttr('style');
      initialSize = {
        w: jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).width() - _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__["default"].scrollbarWidth(),
        h: jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).outerHeight() + (options.jumpCorrection || 0)
      };
      dock();
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('resize', resetInitialStyle);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('resize', resetInitialStyle);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(scrollable).off('scroll', dock);
      scrollOffSubscription.remove();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.documentChooser.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.documentChooser.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



var TYPE_MAP = {
  hive: 'query-hive',
  impala: 'query-impala',
  java: 'query-java',
  spark: 'query-spark2',
  pig: 'query-pig',
  sqoop: 'query-sqoop1',
  'distcp-doc': 'query-distcp',
  'shell-doc': 'query-shell',
  'mapreduce-doc': 'query-mapreduce',
  'hive-document-widget': 'query-hive',
  'impala-document-widget': 'query-impala',
  'java-document-widget': 'query-java',
  'spark-document-widget': 'query-spark2',
  'pig-document-widget': 'query-pig',
  'sqoop-document-widget': 'query-sqoop1',
  'distcp-document-widget': 'query-distcp',
  'shell-document-widget': 'query-shell',
  'mapreduce-document-widget': 'query-mapreduce'
};
knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].documentChooser = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var type = 'query-hive';

    if (options.type) {
      var tempType = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.type);

      if (tempType === 'function') {
        tempType = tempType();
      }

      type = TYPE_MAP[tempType] ? TYPE_MAP[tempType] : tempType;
    }

    var firstLoad = false;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).selectize({
      valueField: 'uuid',
      labelField: 'name',
      searchField: 'name',
      options: [],
      create: false,
      preload: true,
      dropdownParent: 'body',
      render: {
        option: function option(item, escape) {
          return '<div>' + '<strong>' + escape(item.name) + '</strong><br>' + '<span class="muted">' + escape(item.description) + '</span>' + '</div>';
        }
      },
      load: function load(query, callback) {
        if (query === '' && options.value && !firstLoad) {
          firstLoad = true;
        }

        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].searchDocuments({
          type: type,
          text: query,
          include_trashed: false,
          limit: 100,
          successCallback: function successCallback(data) {
            callback(data.documents);
          }
        });
      },
      onChange: function onChange(val) {
        if (options.value) {
          options.value(val);
        }

        if (options.document) {
          options.document(this.options[val]);
        }

        if (options.mappedDocument) {
          options.mappedDocument(knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].fromJS(this.options[val]));
        }
      },
      onLoad: function onLoad() {
        if (options.value) {
          this.setValue(options.value());
        }

        if (options.loading) {
          options.loading(false);
        }
      }
    });
  },
  update: function update(element, valueAccessor) {
    var options = valueAccessor();

    if (options.value) {
      element.selectize.setValue(options.value());
    }

    if (options.dependentValue && options.dependentValue() !== '') {
      element.selectize.setValue(options.dependentValue());
      options.dependentValue('');
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.documentContextPopover.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.documentContextPopover.js ***!
  \******************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




/**
 * Show the Context Popover for Documents when the bound element is clicked.
 *
 * Parameters:
 *
 * {string} uuid - the uuid of the document
 * {string} [orientation] - 'top', 'right', 'bottom', 'left'. Default 'right'
 * {Object} [offset] - Optional offset from the element
 * {number} [offset.top] - Offset in pixels
 * {number} [offset.left] - Offset in pixels
 *
 * Examples:
 *
 * data-bind="documentContextPopover: { uuid: 'bana-na12-3456-7890' }"
 * data-bind="documentContextPopover: { uuid: 'bana-na12-3456-7890', orientation: 'bottom', offset: { top: 5 } }"
 *
 * @type {{init: ko.bindingHandlers.documentContextPopover.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].documentContextPopover = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].click.init(element, function () {
      return function () {
        var options = valueAccessor();
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDocument({
          uuid: options.uuid,
          fetchContents: true,
          silenceErrors: true
        }).done(function (response) {
          var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
          var offset = $source.offset();

          if (options.offset) {
            offset.top += options.offset.top || 0;
            offset.left += options.offset.left || 0;
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
            data: {
              type: 'hue',
              definition: response.document
            },
            showInAssistEnabled: true,
            orientation: options.orientation || 'right',
            source: {
              element: element,
              left: offset.left,
              top: offset.top,
              right: offset.left + $source.width(),
              bottom: offset.top + $source.height()
            }
          });
        });
      };
    }, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.draggableText.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.draggableText.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].draggableText = {
  init: function init(element, valueAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor();

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](options.text) && !options.text() || !options.text) {
      return;
    }

    $element.addClass('draggableText');
    var $helper = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').text(knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](options.text) ? options.text() : options.text).css('z-index', '99999');
    var dragStartX = -1;
    var dragStartY = -1;
    var notifiedOnDragStarted = false;
    $element.draggable({
      helper: function helper() {
        return $helper;
      },
      appendTo: 'body',
      start: function start(event) {
        dragStartX = event.clientX;
        dragStartY = event.clientY;
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('draggable.text.meta', options.meta);
        notifiedOnDragStarted = false;
      },
      drag: function drag(event) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('draggable.text.drag', {
          event: event,
          meta: options.meta
        });

        if (!notifiedOnDragStarted && Math.sqrt((dragStartX - event.clientX) * (dragStartX - event.clientX) + (dragStartY - event.clientY) * (dragStartY - event.clientY)) >= 10) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('draggable.text.started', options.meta);
          notifiedOnDragStarted = true;
        }
      },
      stop: function stop(event) {
        if (Math.sqrt((dragStartX - event.clientX) * (dragStartX - event.clientX) + (dragStartY - event.clientY) * (dragStartY - event.clientY)) < 10) {
          $helper.remove();
          var elementAtStart = document.elementFromPoint(dragStartX, dragStartY);
          var elementAtStop = document.elementFromPoint(event.clientX, event.clientY);

          if (elementAtStart === elementAtStop) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(elementAtStop).trigger('click');
          }
        }

        notifiedOnDragStarted = false;
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('draggable.text.stopped');
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.dropdown.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.dropdown.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dropdown = {
  init: function init(element) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).dropdown();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.dropzone.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.dropzone.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var dropzone__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! dropzone */ "./node_modules/dropzone/dist/dropzone.js");
/* harmony import */ var dropzone__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(dropzone__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



 // TODO: Depends on Dropzone

knockout__WEBPACK_IMPORTED_MODULE_2__["bindingHandlers"].dropzone = {
  init: function init(element, valueAccessor) {
    var value = knockout__WEBPACK_IMPORTED_MODULE_2__["unwrap"](valueAccessor());

    if (value.disabled) {
      return;
    }

    var options = {
      autoDiscover: false,
      maxFilesize: 5000000,
      previewsContainer: '#progressStatusContent',
      previewTemplate: '<div class="progress-row">' + '<span class="break-word" data-dz-name></span>' + '<div class="pull-right">' + '<span class="muted" data-dz-size></span>&nbsp;&nbsp;' + '<span data-dz-remove><a href="javascript:undefined;" title="' + Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Cancel upload') + '"><i class="fa fa-fw fa-times"></i></a></span>' + '<span style="display: none" data-dz-uploaded><i class="fa fa-fw fa-check muted"></i></span>' + '</div>' + '<div class="progress-row-bar" data-dz-uploadprogress></div>' + '</div>',
      sending: function sending() {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('.hoverMsg').addClass('hide');
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatus').removeClass('hide');
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatusBar').removeClass('hide');
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatus .progress-row').remove();
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatusBar div').css('width', '0');
      },
      uploadprogress: function uploadprogress(file, progress) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('[data-dz-name]').each(function (cnt, item) {
          if (jquery__WEBPACK_IMPORTED_MODULE_1___default()(item).text() === file.name) {
            jquery__WEBPACK_IMPORTED_MODULE_1___default()(item).parents('.progress-row').find('[data-dz-uploadprogress]').width(progress.toFixed() + '%');

            if (progress.toFixed() === '100') {
              jquery__WEBPACK_IMPORTED_MODULE_1___default()(item).parents('.progress-row').find('[data-dz-remove]').hide();
              jquery__WEBPACK_IMPORTED_MODULE_1___default()(item).parents('.progress-row').find('[data-dz-uploaded]').show();
            }
          }
        });
      },
      totaluploadprogress: function totaluploadprogress(progress) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatusBar div').width(progress.toFixed() + '%');
      },
      canceled: function canceled() {
        jquery__WEBPACK_IMPORTED_MODULE_1___default.a.jHueNotify.info(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('The upload has been canceled'));
      },
      complete: function complete(file) {
        if (file.xhr.response !== '') {
          var response = JSON.parse(file.xhr.response);

          if (response && response.status != null) {
            if (response.status !== 0) {
              jquery__WEBPACK_IMPORTED_MODULE_1___default()(document).trigger('error', response.data);

              if (value.onError) {
                value.onError(file.name);
              }
            } else {
              jquery__WEBPACK_IMPORTED_MODULE_1___default()(document).trigger('info', response.path + ' ' + Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('uploaded successfully'));

              if (value.onComplete) {
                value.onComplete(response.path);
              }
            }
          }
        }
      },
      queuecomplete: function queuecomplete() {
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatus').addClass('hide');
          jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatusBar').addClass('hide');
          jquery__WEBPACK_IMPORTED_MODULE_1___default()('#progressStatusBar div').css('width', '0');
        }, 2500);
      },
      createImageThumbnails: false
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default.a.extend(options, value);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(element).addClass('dropzone');
    new dropzone__WEBPACK_IMPORTED_MODULE_0___default.a(element, options);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.duration.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.duration.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! sprintf-js */ "./node_modules/sprintf-js/src/sprintf.js");
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(sprintf_js__WEBPACK_IMPORTED_MODULE_2__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].duration = function () {
  var that;
  return that = {
    init: function init(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    update: function update(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    format: function format(element, valueAccessor) {
      var value = valueAccessor();
      var formatted = that.humanTime(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).text(formatted);
    },
    humanTime: function humanTime(value) {
      value = value * 1;

      if (value < Math.pow(10, 3)) {
        return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%i ns', value);
      } else if (value - Math.pow(10, 6) < -Math.pow(10, 3) / 2) {
        // Make sure rounding doesn't cause numbers to have more than 4 significant digits.
        value = value * 1.0 / Math.pow(10, 3);
        var sprint = value > 100 ? '%i us' : '%.1f us';
        return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf(sprint, value);
      } else if (value - Math.pow(10, 9) < -Math.pow(10, 6) / 2) {
        value = value * 1.0 / Math.pow(10, 6);

        var _sprint = value > 100 ? '%i ms' : '%.1f ms';

        return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf(_sprint, value);
      } else {
        // get the ms value
        var SECOND = 1;
        var MINUTE = SECOND * 60;
        var HOUR = MINUTE * 60;
        value = value * 1 / Math.pow(10, 9);
        var buffer = '';

        if (value > HOUR) {
          buffer += sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%i h', value / HOUR);
          value = value % HOUR;
        }

        if (buffer.length < 4 && value > MINUTE) {
          var _sprint2 = buffer.length ? ' %i m' : '%i m';

          buffer += sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf(_sprint2, value / MINUTE);
          value = value % MINUTE;
        }

        if (buffer.length < 4 && value > SECOND) {
          var _sprint3 = buffer.length ? ' %i s' : '%.1f s';

          buffer += sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf(_sprint3, value * 1.0 / SECOND);
        }

        return buffer;
      }
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.ellipsis.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.ellipsis.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].ellipsis = {
  update: function update(element, valueAccessor) {
    var value = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var chopLength = value.length ? value.length : 30;
    var text = _typeof(value) === 'object' ? value.data : value;

    if (text.length > chopLength) {
      $element.attr('title', text);
      $element.text(text.substr(0, chopLength) + '...');
    } else {
      $element.text(text);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.fadeVisible.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.fadeVisible.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].fadeVisible = {
  init: function init(element, valueAccessor) {
    var value = valueAccessor();
    var toggleValue = typeof value.value === 'undefined' ? value : value.value;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).toggle(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](toggleValue));
  },
  update: function update(element, valueAccessor) {
    var value = valueAccessor();
    var toggleValue = typeof value.value === 'undefined' ? value : value.value;
    var speed = typeof value.speed === 'undefined' ? 'normal' : value.speed;
    var fadeOut = typeof value.fadeOut === 'undefined' ? false : value.fadeOut;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).stop();

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](toggleValue)) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).fadeIn(speed);
    } else if (fadeOut) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).fadeOut(speed);
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).hide();
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.fetchMore.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.fetchMore.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].fetchMore = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var throttle = -1;
    $element.on('scroll.fetchMore', function () {
      window.clearTimeout(throttle);
      throttle = window.setTimeout(function () {
        if (element.scrollTop + $element.innerHeight() >= element.scrollHeight - 10 && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.hasMore) && !knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.loadingMore)) {
          options.fetchMore();
        }
      }, 100);
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      $element.off('scroll.fetchMore');
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.fileChooser.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.fileChooser.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].filechooser = {
  init: function init(element, valueAccessor, allBindingsAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](allBindingsAccessor());
    $element.attr('autocomplete', 'off');

    if (typeof valueAccessor() == 'function' || typeof valueAccessor().value == 'function') {
      $element.val(valueAccessor().value ? valueAccessor().value() : valueAccessor()());
      $element.data('fullPath', $element.val());
      $element.attr('data-original-title', $element.val());

      if (valueAccessor().displayJustLastBit) {
        var _val = $element.val();

        $element.val(_val.split('/')[_val.split('/').length - 1]);
      }

      $element.on('blur', function () {
        if (valueAccessor().value) {
          if (valueAccessor().displayJustLastBit) {
            var _val2 = $element.data('fullPath');

            valueAccessor().value(_val2.substr(0, _val2.lastIndexOf('/')) + '/' + $element.val());
          } else {
            valueAccessor().value($element.val());
          }

          $element.data('fullPath', valueAccessor().value());
        } else {
          valueAccessor()($element.val());
          $element.data('fullPath', valueAccessor()());
        }

        $element.attr('data-original-title', $element.data('fullPath'));
      });

      if (options.valueUpdate && options.valueUpdate === 'afterkeydown') {
        $element.on('keyup', function () {
          if (valueAccessor().value) {
            valueAccessor().value($element.val());
          } else {
            valueAccessor()($element.val());
          }
        });
      }
    } else {
      $element.val(valueAccessor());
      $element.on('blur', function () {
        valueAccessor($element.val());
      });

      if (options.valueUpdate && options.valueUpdate === 'afterkeydown') {
        $element.on('keyup', function () {
          valueAccessor($element.val());
        });
      }
    }

    $element.after(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].getFileBrowseButton($element, true, valueAccessor, true, allBindingsAccessor, valueAccessor().isAddon, valueAccessor().isNestedModal, allBindingsAccessor && allBindingsAccessor().filechooserOptions && allBindingsAccessor().filechooserOptions.linkMarkup));

    if (allBindingsAccessor && allBindingsAccessor().filechooserOptions && allBindingsAccessor().filechooserOptions.openOnFocus) {
      $element.on('focus', function () {
        if ($element.val() === '') {
          $element.siblings('.filechooser-clickable').click();
        }
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.foreachVisible.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.foreachVisible.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



/**
 * This binding limits the rendered items based on what is visible within a scrollable container. It supports
 * multiple any amount of nested children with foreachVisible bindings
 *
 * The minHeight parameter is the initial expected rendered height of each entry, once rendered the real
 * height is used. It keeps a number of elements above and below the visible elements to make slow scrolling
 * smooth.
 *
 * The height of the container element has to be less than or equal to the inner height of the window.
 *
 * Example:
 *
 * <div class="container" style="overflow-y: scroll; height: 100px">
 *  <ul data-bind="foreachVisible: { data: items, minHeight: 20, container: '.container' }">
 *    <li>...</li>
 *  </ul>
 * </div>
 *
 * For tables the binding has to be attached to the tbody element:
 *
 * <div class="container" style="overflow-y: scroll; height: 100px">
 *  <table>
 *    <thead>...</thead>
 *    <tbody data-bind="foreachVisible: { data: items, minHeight: 20, container: '.container' }>
 *      <tr>...</tr>
 *    </tbody>
 *  </ul>
 * </div>
 *
 * Currently the binding only supports one element inside the bound element otherwise the height
 * calculations will be off. In other words this will make it go bonkers:
 *
 * <div class="container" style="overflow-y: scroll; height: 100px">
 *  <ul data-bind="foreachVisible: { data: items, minHeight: 20, container: '.container' }">
 *    <li>...</li>
 *    <li style="display: none;">...</li>
 *  </ul>
 * </div>
 *
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].foreachVisible = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    return knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].template.init(element, function () {
      return {
        foreach: [],
        templateEngine: knockout__WEBPACK_IMPORTED_MODULE_1__["nativeTemplateEngine"].instance
      };
    }, allBindings, viewModel, bindingContext);
  },
  update: function update(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var options = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var isTable = false;

    if ($element.parent().is('table')) {
      $element = $element.parent();
      isTable = true;
    }

    var $container = $element.closest(options.container);
    var id = Math.random(); // This is possibly a parent element that has the foreachVisible binding

    var $parentFVElement = bindingContext.$parentForeachVisible || null;
    var parentId = bindingContext.$parentForeachVisibleId || -1; // This is the element from the parent foreachVisible rendered element that contains
    // this one or container for root

    var $parentFVOwnerElement = $container;
    $element.data('parentForeachVisible', $parentFVElement);
    var depth = bindingContext.$depth || 0; // Locate the owning element if within another foreach visible binding

    if ($parentFVElement) {
      var myOffset = $element.offset().top;
      $parentFVElement.children().each(function (idx, child) {
        var $child = jquery__WEBPACK_IMPORTED_MODULE_0___default()(child);

        if (myOffset > $child.offset().top) {
          $parentFVOwnerElement = $child;
        } else {
          return false;
        }
      });
    }

    if ($parentFVOwnerElement.data('disposalFunction')) {
      $parentFVOwnerElement.data('disposalFunction')();
      $parentFVOwnerElement.data('lastKnownHeights', null);
    }

    var entryMinHeight = options.minHeight;
    var allEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(options.data);
    var visibleEntryCount = 0;
    var incrementLimit = 0; // The diff required to re-render, set to visibleCount below

    var elementIncrement = 0; // Elements to add on either side of the visible elements, set to 3x visibleCount

    var endIndex = 0;

    var updateVisibleEntryCount = function updateVisibleEntryCount() {
      // TODO: Drop the window innerHeight limitation.
      // Sometimes after resizeWrapper() is called the reported innerHeight of the $container is the same as
      // the wrapper causing the binding to render all the items. This limits the visibleEntryCount to the
      // window height.
      var newEntryCount = Math.ceil(Math.min(jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).innerHeight(), $container.innerHeight()) / entryMinHeight);

      if (newEntryCount !== visibleEntryCount) {
        var diff = newEntryCount - visibleEntryCount;
        elementIncrement = options.elementIncrement || 25;
        incrementLimit = options.incrementLimit || 5;
        visibleEntryCount = newEntryCount;
        endIndex += diff;
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('foreach.visible.update', id);
      }
    }; // TODO: Move intervals to webworker


    var updateCountInterval = setInterval(updateVisibleEntryCount, 300);
    updateVisibleEntryCount(); // In case this element was rendered before use the last known indices

    var startIndex = Math.max($parentFVOwnerElement.data('startIndex') || 0, 0);
    endIndex = Math.min($parentFVOwnerElement.data('endIndex') || visibleEntryCount + elementIncrement, allEntries.length - 1);
    var huePubSubs = [];

    var _scrollToIndex = function scrollToIndex(idx, offset, instant, callback) {
      var lastKnownHeights = $parentFVOwnerElement.data('lastKnownHeights');

      if (!lastKnownHeights || lastKnownHeights.length <= idx) {
        return;
      }

      var top = 0;

      for (var i = 0; i < idx; i++) {
        top += lastKnownHeights[i];
      }

      var bottom = top + lastKnownHeights[idx];
      window.setTimeout(function () {
        var newScrollTop = top + offset;

        if (instant) {
          if (newScrollTop >= $container.height() + $container.scrollTop()) {
            $container.scrollTop(bottom - $container.height());
          } else if (newScrollTop <= $container.scrollTop()) {
            $container.scrollTop(newScrollTop);
          }
        } else {
          $container.stop().animate({
            scrollTop: newScrollTop
          }, '500', 'swing', function () {
            if (callback) {
              callback();
            }
          });
        }
      }, 0);
    };

    if (!options.skipScrollEvent) {
      huePubSubs.push(_utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('assist.db.scrollTo', function (targetEntry) {
        var foundIndex = -1;
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(allEntries, function (idx, entry) {
          if (targetEntry === entry) {
            foundIndex = idx;
            return false;
          }
        });

        if (foundIndex !== -1) {
          var offset = depth > 0 ? $parentFVOwnerElement.position().top : 0;

          _scrollToIndex(foundIndex, offset, false, function () {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.db.scrollToComplete', targetEntry);
          });
        }
      }));
    }

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](viewModel.foreachVisible)) {
      viewModel.foreachVisible({
        scrollToIndex: function scrollToIndex(index) {
          var offset = depth > 0 ? $parentFVOwnerElement.position().top : 0;

          _scrollToIndex(index, offset, true);
        }
      });
    }

    var childBindingContext = bindingContext.createChildContext(bindingContext.$rawData, null, function (context) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].extend(context, {
        $parentForeachVisible: $element,
        $parentForeachVisibleId: id,
        $depth: depth + 1,
        $indexOffset: function $indexOffset() {
          return startIndex;
        }
      });
    });
    var $wrapper = $element.parent();

    if (!$wrapper.hasClass('foreach-wrapper')) {
      $wrapper = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').css({
        position: 'relative',
        width: '100%'
      }).addClass('foreach-wrapper').insertBefore($element);

      if (options.usePreloadBackground) {
        $wrapper.addClass('assist-preloader-wrapper');
        $element.addClass('assist-preloader');
      }

      $element.css({
        position: 'absolute',
        top: 0,
        width: '100%'
      }).appendTo($wrapper);
    } // This is kept up to date with the currently rendered elements, it's used to keep track of any
    // height changes of the elements.


    var renderedElements = [];

    if (!$parentFVOwnerElement.data('lastKnownHeights') || $parentFVOwnerElement.data('lastKnownHeights').length !== allEntries.length) {
      var lastKnownHeights = [];
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(allEntries, function () {
        lastKnownHeights.push(entryMinHeight);
      });
      $parentFVOwnerElement.data('lastKnownHeights', lastKnownHeights);
    }

    var resizeWrapper = function resizeWrapper() {
      var totalHeight = 0;
      var lastKnownHeights = $parentFVOwnerElement.data('lastKnownHeights');

      if (!lastKnownHeights) {
        return;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(lastKnownHeights, function (idx, height) {
        totalHeight += height;
      });
      $wrapper.height(totalHeight + 'px');
    };

    resizeWrapper();

    var updateLastKnownHeights = function updateLastKnownHeights() {
      if ($container.data('busyRendering')) {
        return;
      }

      var lastKnownHeights = $parentFVOwnerElement.data('lastKnownHeights'); // Happens when closing first level and the third level is open, disposal tells the parents
      // to update their heights...

      if (!lastKnownHeights) {
        return;
      }

      var diff = false;
      var updateEntryCount = false;
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(renderedElements, function (idx, renderedElement) {
        // TODO: Figure out why it goes over index at the end scroll position
        if (startIndex + idx < lastKnownHeights.length) {
          var renderedHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(renderedElement).outerHeight(true);

          if (renderedHeight > 5 && lastKnownHeights[startIndex + idx] !== renderedHeight) {
            if (renderedHeight < entryMinHeight) {
              entryMinHeight = renderedHeight;
              updateEntryCount = true;
            }

            lastKnownHeights[startIndex + idx] = renderedHeight;
            diff = true;
          }
        }
      });

      if (updateEntryCount) {
        updateVisibleEntryCount();
      } // Only resize if a difference in height was noticed.


      if (diff) {
        $parentFVOwnerElement.data('lastKnownHeights', lastKnownHeights);
        resizeWrapper();
      }
    };

    var updateHeightsInterval = window.setInterval(updateLastKnownHeights, 600);
    huePubSubs.push(_utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('foreach.visible.update.heights', function (targetId) {
      if (targetId === id) {
        clearInterval(updateHeightsInterval);
        updateLastKnownHeights();
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('foreach.visible.update.heights', parentId);
        updateHeightsInterval = window.setInterval(updateLastKnownHeights, 600);
      }
    }));
    updateLastKnownHeights();

    var positionList = function positionList() {
      var lastKnownHeights = $parentFVOwnerElement.data('lastKnownHeights');

      if (!lastKnownHeights) {
        return;
      }

      var top = 0;

      for (var i = 0; i < startIndex; i++) {
        top += lastKnownHeights[i];
      }

      $element.css('top', top + 'px');
    };

    var _afterRender = function afterRender() {
      renderedElements = isTable ? $element.children('tbody').children() : $element.children();
      $container.data('busyRendering', false);

      if (typeof options.fetchMore !== 'undefined' && endIndex === allEntries.length - 1) {
        options.fetchMore();
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('foreach.visible.update.heights', id);
    };

    var render = function render() {
      if (endIndex === 0 && allEntries.length > 1 || endIndex < 0) {
        knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].template.update(element, function () {
          return {
            foreach: [],
            templateEngine: knockout__WEBPACK_IMPORTED_MODULE_1__["nativeTemplateEngine"].instance,
            afterRender: function afterRender() {
              // This is called once for each added element (not when elements are removed)
              clearTimeout(throttle);
              throttle = setTimeout(_afterRender, 0);
            }
          };
        }, allBindings, viewModel, childBindingContext);
        return;
      }

      $container.data('busyRendering', true); // Save the start and end index for when the list is removed and is shown again.

      $parentFVOwnerElement.data('startIndex', startIndex);
      $parentFVOwnerElement.data('endIndex', endIndex);
      positionList(); // This is to ensure that our afterRender is called (the afterRender of KO below isn't called
      // when only elements are removed)

      var throttle = setTimeout(_afterRender, 0);
      knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].template.update(element, function () {
        return {
          foreach: allEntries.slice(startIndex, endIndex + 1),
          templateEngine: knockout__WEBPACK_IMPORTED_MODULE_1__["nativeTemplateEngine"].instance,
          afterRender: function afterRender() {
            // This is called once for each added element (not when elements are removed)
            clearTimeout(throttle);
            throttle = setTimeout(_afterRender, 0);
          }
        };
      }, allBindings, viewModel, childBindingContext);
    };

    var setStartAndEndFromScrollTop = function setStartAndEndFromScrollTop() {
      var lastKnownHeights = $parentFVOwnerElement.data('lastKnownHeights');

      if (!lastKnownHeights) {
        return;
      }

      var parentSpace = 0;
      var $lastParent = $parentFVElement;
      var $lastRef = $element;

      var _loop = function _loop() {
        // Include the header, parent() is .foreach-wrapper, parent().parent() is the container (ul or div)
        var lastRefOffset = $lastRef.parent().parent().offset().top;
        var lastAddedSpace = 0;
        $lastParent.children().each(function (idx, child) {
          var $child = jquery__WEBPACK_IMPORTED_MODULE_0___default()(child);

          if (lastRefOffset > $child.offset().top) {
            lastAddedSpace = $child.outerHeight(true);
            parentSpace += lastAddedSpace;
          } else {
            // Remove the height of the child which is the parent of this
            parentSpace -= lastAddedSpace;
            return false;
          }
        });
        parentSpace += $lastParent.position().top;
        $lastRef = $lastParent;
        $lastParent = $lastParent.data('parentForeachVisible');
      };

      while ($lastParent) {
        _loop();
      }

      var position = Math.min($container.scrollTop() - parentSpace, $wrapper.height());

      for (var i = 0; i < lastKnownHeights.length; i++) {
        position -= lastKnownHeights[i];

        if (position <= 0) {
          startIndex = Math.max(i - elementIncrement, 0);
          endIndex = Math.min(allEntries.length - 1, i + elementIncrement + visibleEntryCount);
          break;
        }
      }
    };

    var renderThrottle = -1;
    var preloadGhostThrottle = -1;
    var lastScrollTop = -1;

    var onScroll = function onScroll() {
      if (startIndex > incrementLimit && Math.abs(lastScrollTop - $container.scrollTop()) < incrementLimit * options.minHeight) {
        return;
      }

      lastScrollTop = $container.scrollTop();
      setStartAndEndFromScrollTop(); // adds a preload ghost image just on scroll and removes it 200ms after the scroll stops

      if (options.usePreloadBackground) {
        $wrapper.addClass('assist-preloader-ghost');
        clearTimeout(preloadGhostThrottle);
        preloadGhostThrottle = setTimeout(function () {
          $wrapper.removeClass('assist-preloader-ghost');
        }, 200);
      }

      clearTimeout(renderThrottle);
      var startDiff = Math.abs($parentFVOwnerElement.data('startIndex') - startIndex);
      var endDiff = Math.abs($parentFVOwnerElement.data('endIndex') - endIndex);

      if (startDiff > incrementLimit || endDiff > incrementLimit || startDiff !== 0 && startIndex === 0 || endDiff !== 0 && endIndex === allEntries.length - 1) {
        renderThrottle = setTimeout(render, 0);
      }
    };

    huePubSubs.push(_utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('foreach.visible.update', function (callerId) {
      if (callerId === id && endIndex > 0) {
        setStartAndEndFromScrollTop();
        clearTimeout(renderThrottle);
        renderThrottle = setTimeout(render, 0);
      }
    }));
    $container.bind('scroll', onScroll);
    $parentFVOwnerElement.data('disposalFunction', function () {
      setTimeout(function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('foreach.visible.update.heights', parentId);
      }, 0);
      huePubSubs.forEach(function (pubSub) {
        pubSub.remove();
      });
      $container.unbind('scroll', onScroll);
      clearInterval(updateCountInterval);
      clearInterval(updateHeightsInterval);
      $parentFVOwnerElement.data('disposalFunction', null);
    });

    if (typeof options.pubSubDispose !== 'undefined') {
      huePubSubs.push(_utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe(options.pubSubDispose, $parentFVOwnerElement.data('disposalFunction')));
    }

    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback($wrapper[0], $parentFVOwnerElement.data('disposalFunction'));
    setStartAndEndFromScrollTop();
    render();
  }
};
knockout__WEBPACK_IMPORTED_MODULE_1__["expressionRewriting"].bindingRewriteValidators['foreachVisible'] = false;
knockout__WEBPACK_IMPORTED_MODULE_1__["virtualElements"].allowedBindings['foreachVisible'] = true;

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.fresherEditor.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.fresherEditor.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].fresherEditor = {
  init: function init(element, valueAccessor) {
    var _el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    var options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(valueAccessor(), {});

    _el.html(options.data());

    _el.freshereditor({
      excludes: ['strikethrough', 'removeFormat', 'insertorderedlist', 'justifyfull', 'insertheading1', 'insertheading2', 'superscript', 'subscript']
    });

    _el.freshereditor('edit', true);

    _el.on('mouseup', function () {
      storeSelection();
      updateValues();
    });

    var sourceDelay = -1;

    _el.on('keyup', function () {
      clearTimeout(sourceDelay);
      storeSelection();
      sourceDelay = setTimeout(function () {
        updateValues();
      }, 100);
    });

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.chosen-select').chosen({
      disable_search_threshold: 10,
      width: '75%'
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('addFieldToVisual', function (e, field) {
      _el.focus();

      pasteHtmlAtCaret('{{' + field.name() + '}}');
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('addFunctionToVisual', function (e, fn) {
      _el.focus();

      pasteHtmlAtCaret(fn);
    });

    function updateValues() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('[data-template]')[0].editor.setValue(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].stripHtmlFromFunctions(_el.html()));
      valueAccessor().data(_el.html());
    }

    function storeSelection() {
      if (window.getSelection) {
        // IE9 and non-IE
        var sel = window.getSelection();

        if (sel.getRangeAt && sel.rangeCount) {
          var range = sel.getRangeAt(0);

          _el.data('range', range);
        }
      } else if (document.selection && document.selection.type !== 'Control') {
        // IE < 9
        _el.data('selection', document.selection);
      }
    }

    function pasteHtmlAtCaret(html) {
      var sel, range;

      if (window.getSelection) {
        // IE9 and non-IE
        sel = window.getSelection();

        if (sel.getRangeAt && sel.rangeCount) {
          if (_el.data('range')) {
            range = _el.data('range');
          } else {
            range = sel.getRangeAt(0);
          }

          range.deleteContents(); // Range.createContextualFragment() would be useful here but is
          // non-standard and not supported in all browsers (IE9, for one)

          var el = document.createElement('div');
          el.innerHTML = html;
          var frag = document.createDocumentFragment();
          var node, lastNode;

          while (node = el.firstChild) {
            lastNode = frag.appendChild(node);
          }

          range.insertNode(frag); // Preserve the selection

          if (lastNode) {
            range = range.cloneRange();
            range.setStartAfter(lastNode);
            range.collapse(true);
            sel.removeAllRanges();
            sel.addRange(range);
          }
        }
      } else if (document.selection && document.selection.type !== 'Control') {
        // IE < 9
        if (_el.data('selection')) {
          _el.data('selection').createRange().pasteHTML(html);
        } else {
          document.selection.createRange().pasteHTML(html);
        }
      }
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hdfsAutocomplete.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hdfsAutocomplete.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hdfsAutocomplete = {
  init: function init(element) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.attr('autocomplete', 'off');
    $element.jHueHdfsAutocomplete({
      skipKeydownEvents: true,
      skipScrollEvent: true
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hdfsTree.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hdfsTree.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hdfsTree = {
  update: function update(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.empty();
    $element.jHueHdfsTree({
      home: '',
      isS3: !!options.isS3,
      root: options.root,
      initialPath: options.path,
      withTopPadding: false,
      onPathChange: function onPathChange(path) {
        options.selectedPath(path);
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.highlight.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.highlight.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: Depends on Ace

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].highlight = {
  init: function init(element) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).addClass('ace-highlight');
  },
  update: function update(element, valueAccessor) {
    var options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
      dialect: 'hive',
      value: '',
      formatted: false
    }, valueAccessor());
    var value = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.value);

    if (typeof value !== 'undefined' && value !== '') {
      // allows highlighting static code
      if (options.path) {
        value = value[options.path];
      }

      ace.require(['ace/mode/impala_highlight_rules', 'ace/mode/hive_highlight_rules', 'ace/mode/xml_highlight_rules', 'ace/tokenizer', 'ace/layer/text', 'ace/config'], function (impalaRules, hiveRules, xmlRules, tokenizer, text, config) {
        var res = [];
        var Tokenizer = tokenizer.Tokenizer;
        var Rules = hiveRules.HiveHighlightRules;

        if (options.dialect && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.dialect) === 'impala') {
          Rules = impalaRules.ImpalaHighlightRules;
        }

        config.loadModule(['theme', jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.ace.theme') || 'ace/theme/hue']);
        var Text = text.Text;
        var tok = new Tokenizer(new Rules().getRules());
        var lines = value.split('\n');

        var renderSimpleLine = function renderSimpleLine(txt, stringBuilder, tokens) {
          var screenColumn = 0;
          var token = tokens[0];
          var value = token.value;

          if (value) {
            try {
              screenColumn = txt.$renderToken(stringBuilder, screenColumn, token, value);
            } catch (e) {
              console.warn(value, 'Failed to get screen column due to some parsing errors, skip rendering.');
            }
          }

          for (var i = 1; i < tokens.length; i++) {
            token = tokens[i];
            value = token.value;

            try {
              screenColumn = txt.$renderToken(stringBuilder, screenColumn, token, value);
            } catch (e) {
              if (console && console.warn) {
                console.warn(value, 'This token has some parsing errors and it has been rendered without highlighting.');
              }

              stringBuilder.push(value);
              screenColumn = screenColumn + value.length;
            }
          }
        };

        var additionalClass = '';

        if (!options.splitLines && !options.formatted) {
          additionalClass = 'pull-left';
        } else if (options.formatted) {
          additionalClass = 'ace-highlight-pre';
        }

        lines.forEach(function (line) {
          var renderedTokens = [];
          var tokens = tok.getLineTokens(line);

          if (tokens && tokens.tokens.length) {
            renderSimpleLine(new Text(document.createElement('div')), renderedTokens, tokens.tokens);
          }

          res.push('<div class="ace_line ' + additionalClass + '">' + renderedTokens.join('') + '&nbsp;</div>');
        });
        element.innerHTML = '<div class="ace_editor ace-hue"' + (options.enableOverflow ? ' style="overflow: initial !important;"' : '') + '><div class="ace_layer" style="position: static;' + (options.enableOverflow ? ' overflow: initial !important;' : '') + '">' + res.join('') + '</div></div>';

        if (options.enableOverflow) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).css({
            overflow: 'auto'
          });
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.ace_invisible_space').remove();
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hiveChooser.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hiveChooser.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hiveChooser = {
  init: function init(element, valueAccessor, allBindingsAccessor) {
    var self = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var complexConfiguration = false;

    if (typeof options === 'function') {
      self.val(options());
    } else if (options && options.data) {
      self.val(options.data);
      complexConfiguration = true;
    } else {
      self.val(options);
    }

    if (complexConfiguration) {
      self.jHueGenericAutocomplete({
        showOnFocus: true,
        skipColumns: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.skipColumns),
        skipTables: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.skipTables),
        startingPath: options.database + '.',
        rewriteVal: true,
        onPathChange: options.onChange,
        namespace: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.namespace),
        compute: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.compute),
        searchEverywhere: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.searchEverywhere) || false,
        apiHelperUser: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.apiHelperUser) || '',
        apiHelperType: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.apiHelperType) || '',
        mainScrollable: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.mainScrollable) || jquery__WEBPACK_IMPORTED_MODULE_0___default()(window)
      });
    } else {
      options = allBindingsAccessor();

      var setPathFromAutocomplete = function setPathFromAutocomplete(path) {
        self.val(path);
        valueAccessor()(path);
        self.blur();
      };

      self.on('blur', function () {
        if (!options.skipInvalids) {
          valueAccessor()(self.val());
        }
      });

      if (allBindingsAccessor().valueUpdate != null && allBindingsAccessor().valueUpdate === 'afterkeydown') {
        self.on('keyup', function () {
          valueAccessor()(self.val());
        });
      }

      self.jHueGenericAutocomplete({
        showOnFocus: true,
        home: '/',
        skipColumns: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.skipColumns) || false,
        skipTables: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.skipTables) || false,
        namespace: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.namespace),
        compute: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.compute),
        pathChangeLevel: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.pathChangeLevel) || '',
        apiHelperUser: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.apiHelperUser) || '',
        apiHelperType: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.apiHelperType) || '',
        mainScrollable: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.mainScrollable) || jquery__WEBPACK_IMPORTED_MODULE_0___default()(window),
        onPathChange: function onPathChange(path) {
          setPathFromAutocomplete(path);
        },
        onEnter: function onEnter(el) {
          if (!options.skipInvalids) {
            setPathFromAutocomplete(el.val());
          }
        },
        onBlur: function onBlur() {
          if (self.val().lastIndexOf('.') === self.val().length - 1) {
            self.val(self.val().substr(0, self.val().length - 1));
          }

          if (!options.skipInvalids) {
            valueAccessor()(self.val());
          }
        }
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.html.js":
/*!************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.html.js ***!
  \************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // we override the default html binding to prevent XSS/JS injection

var originalHtmlBinding = knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].html;
knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].html = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var newValueAccessor = function newValueAccessor() {
      return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].deXSS(knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](valueAccessor()));
    };

    originalHtmlBinding.init(element, newValueAccessor, allBindings, viewModel, bindingContext);
  },
  update: function update(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var newValueAccessor = function newValueAccessor() {
      return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].deXSS(knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](valueAccessor()));
    };

    originalHtmlBinding.update(element, newValueAccessor, allBindings, viewModel, bindingContext);
  }
};
knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].htmlUnsecure = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    originalHtmlBinding.init(element, valueAccessor, allBindings, viewModel, bindingContext);
  },
  update: function update(element, valueAccessor, allBindings, viewModel, bindingContext) {
    originalHtmlBinding.update(element, valueAccessor, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueAppIcon.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueAppIcon.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var APP_ICON_INDEX = {
  adls: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-adls\"></use></svg>",
  dashboard: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-dashboard\"></use></svg>",
  "default": "<i class=\"fa fa-fw fa-database\"></i>",
  'dist-cp': "<i class=\"fa fa-fw fa-files-o\"></i>",
  documents: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-documents\"></use></svg>",
  editor: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-editor\"></use></svg>",
  hbase: "<i class=\"fa fa-fw fa-th-large\"></i>",
  hdfs: "<i class=\"fa fa-fw fa-folder-o\"></i>",
  hive: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-hive\"></use></svg>",
  impala: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-impala\"></use></svg>",
  importer: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-exchange\"></use></svg>",
  indexes: "<i class=\"fa fa-fw fa-search-plus\"></i>",
  jar: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-spark\"></use></svg>",
  java: "<i class=\"fa fa-fw fa-file-code-o\"></i>",
  'job-designer': "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-job-designer\"></use></svg>",
  kafka: "<i class=\"fa fa-fw fa-sitemap\"></i>",
  mapreduce: "<i class=\"fa fa-fw fa-file-archive-o\"></i>",
  markdown: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-markdown\"></use></svg>",
  notebook: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-file-notebook\"></use></svg>",
  oozie: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie\"></use></svg>",
  'oozie-bundle': "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie-bundle\"></use></svg>",
  'oozie-coordinator': "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie-coordinator\"></use></svg>",
  'oozie-workflow': "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie-workflow\"></use></svg>",
  pig: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-pig\"></use></svg>",
  py: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-py\"></use></svg>",
  pyspark: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-spark\"></use></svg>",
  r: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-r\"></use></svg>",
  report: "<i class=\"fa fa-fw fa-area-chart\"></i>",
  s3: "<i class=\"fa fa-fw fa-cubes\"></i>",
  scala: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-scala\"></use></svg>",
  scheduler: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie\"></use></svg>",
  security: "<i class=\"fa fa-fw fa-lock\"></i>",
  shell: "<i class=\"fa fa-fw fa-terminal\"></i>",
  solr: "<i class=\"fa fa-fw fa-search-plus\"></i>",
  spark2: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-spark\"></use></svg>",
  spark: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-spark\"></use></svg>",
  sqoop1: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-sqoop\"></use></svg>",
  sqoop: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-sqoop\"></use></svg>",
  support: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-support\"></use></svg>",
  tables: "<i class=\"fa fa-fw fa-table\"></i>",
  text: "<i class=\"fa fa-fw fa-i-cursor\"></i>",
  warehouses: "<i class=\"altus-icon altus-adb-cluster\" style=\"margin: 0 1px 0 3px\"></i>",
  workflows: "<svg class=\"hi hi-fw\"><use xlink:href=\"#hi-oozie\"></use></svg>",
  yarn: "<i class=\"fa fa-fw fa-tasks\"></i>"
};
knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueAppIcon = {
  update: function update(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var iconName = options.icon ? knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.icon) : options;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).html(APP_ICON_INDEX[iconName] || APP_ICON_INDEX["default"]);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckAll.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckAll.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].hueCheckAll = {
  init: function init(element, valueAccessor) {
    var allValues = knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].unwrapObservable(valueAccessor()).allValues;
    var selectedValues = knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].unwrapObservable(valueAccessor()).selectedValues;

    var updateCheckedState = function updateCheckedState() {
      knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].toggleDomNodeCssClass(element, 'fa-check', allValues().length > 0 && selectedValues().length === allValues().length);
      knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].toggleDomNodeCssClass(element, 'fa-minus hue-uncheck', selectedValues().length > 0 && selectedValues().length !== allValues().length);
    };

    knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].registerEventHandler(element, 'click', function () {
      if (selectedValues().length === 0) {
        selectedValues(allValues().slice(0));
      } else {
        selectedValues([]);
      }
    });
    selectedValues.subscribe(updateCheckedState);
    allValues.subscribe(updateCheckedState);
    updateCheckedState();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckbox.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckbox.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueCheckbox = {
  after: ['value', 'attr'],
  init: function init(element, valueAccessor) {
    var value = valueAccessor();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).addClass('hue-checkbox fa');

    var updateCheckedState = function updateCheckedState() {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].toggleDomNodeCssClass(element, 'fa-check', value());
    };

    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].registerEventHandler(element, 'click', function () {
      value(!value());
    });
    value.subscribe(updateCheckedState);
    updateCheckedState();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueChecked.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueChecked.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].hueChecked = {
  after: ['value', 'attr'],
  init: function init(element, valueAccessor, allBindings, viewModel) {
    var selectedValues = valueAccessor();

    if (allBindings().checkedValue) {
      viewModel = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](allBindings().checkedValue);
    }

    var updateCheckedState = function updateCheckedState() {
      knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].toggleDomNodeCssClass(element, 'fa-check', selectedValues.indexOf(viewModel) > -1);
    };

    knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].registerEventHandler(element, 'click', function () {
      var currentIndex = selectedValues.indexOf(viewModel);

      if (currentIndex === -1) {
        selectedValues.push(viewModel);
      } else if (currentIndex > -1) {
        selectedValues.splice(currentIndex, 1);
      }
    });
    selectedValues.subscribe(updateCheckedState);
    updateCheckedState();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueLink.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueLink.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueLink = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].click.init(element, function () {
      return function (data, event) {
        var url = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

        if (url) {
          var prefix = window.HUE_BASE_URL + '/hue' + (url.indexOf('/') === 0 ? '' : '/');

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('target')) {
            window.open(prefix + url, jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('target'));
          } else if (event.ctrlKey || event.metaKey || event.which === 2) {
            window.open(prefix + url, '_blank');
          } else {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', url);
          }
        }
      };
    }, allBindings, viewModel, bindingContext);
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueLink.update(element, valueAccessor);
  },
  update: function update(element, valueAccessor) {
    var url = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

    if (url) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('href', '/hue' + (url.indexOf('/') === 0 ? url : '/' + url));
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('href', 'javascript: void(0);');
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueSpinner.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueSpinner.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/**
 * Binding for adding a spinner to the page
 *
 * Example:
 *
 * <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->
 *
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueSpinner = {
  update: function update(element, valueAccessor) {
    var value = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var options = {
      size: 'default',
      center: false,
      overlay: false,
      inline: false,
      blackout: false
    };
    var spin = false;

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](valueAccessor())) {
      spin = value();
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(options, value);
      spin = typeof value.spin === 'function' ? value.spin() : value.spin;
    }

    knockout__WEBPACK_IMPORTED_MODULE_1__["virtualElements"].emptyNode(element);

    if (spin) {
      var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>');
      $container.addClass(options.overlay ? 'hue-spinner-overlay' : options.inline ? 'hue-spinner-inline' : 'hue-spinner');

      if (options.blackout) {
        $container.addClass('hue-spinner-blackout');
      }

      if (!options.overlay) {
        var $spinner = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>');
        $spinner.addClass('fa fa-spinner fa-spin');

        if (options.size === 'large') {
          $spinner.addClass('hue-spinner-large');
        }

        if (options.size === 'xlarge') {
          $spinner.addClass('hue-spinner-xlarge');
        }

        if (options.center) {
          $spinner.addClass('hue-spinner-center');

          if (options.inline) {
            $container.css('width', '100%');
          }
        }

        $container.append($spinner);
      }

      knockout__WEBPACK_IMPORTED_MODULE_1__["virtualElements"].prepend(element, $container[0]);
    }
  }
};
knockout__WEBPACK_IMPORTED_MODULE_1__["virtualElements"].allowedBindings.hueSpinner = true;

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.hueach.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.hueach.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].hueach = {
  init: function init(element, valueAccessor, allBindings) {
    var valueAccessorBuilder = function valueAccessorBuilder() {
      return {
        data: knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([])
      };
    };

    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].foreach.init(element, valueAccessorBuilder, allBindings);
  },
  update: function update(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $parent = $element.parent();
    var data = typeof valueAccessor().data === 'function' ? valueAccessor().data() : valueAccessor().data;
    var considerStretching = valueAccessor().considerStretching || false;
    var itemHeight = valueAccessor().itemHeight || 22;
    var scrollable = valueAccessor().scrollable || 'body';
    var scrollUp = valueAccessor().scrollUp || false;
    var scrollableOffset = valueAccessor().scrollableOffset || 0;
    var disableHueEachRowCount = valueAccessor().disableHueEachRowCount || 0;
    var forceRenderSub = valueAccessor().forceRenderSub || null;
    var renderTimeout = -1;
    var dataHasChanged = true;
    var wrappable = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    if (data.length > disableHueEachRowCount) {
      if ($parent.is('table')) {
        wrappable = $parent;
        $parent = wrappable.parent();
      }

      if (!wrappable.parent().hasClass('hueach')) {
        wrappable.wrap('<div class="hueach"></div>');
        $parent = wrappable.parent();
        wrappable.css({
          position: 'absolute',
          width: '100%'
        });
      }

      $parent.height(data.length * itemHeight);

      if (wrappable.is('table')) {
        $parent.height($parent.height() + (data.length > 0 ? itemHeight : 0));
      }
    }

    try {
      if (knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'originalData') && JSON.stringify(knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'originalData')) === JSON.stringify(data)) {
        dataHasChanged = false;
      }
    } catch (e) {}

    if (dataHasChanged) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'originalData', data);
    }

    var startItem = 0,
        endItem = 0;

    var valueAccessorBuilder = function valueAccessorBuilder() {
      return {
        data: knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'originalData') ? knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'originalData').slice(startItem, endItem)) : []
      };
    };

    var render = function render() {
      if ($parent.parents('.hueach').length === 0) {
        var heightCorrection = 0,
            fluidCorrection = 0;
        var scrollTop = $parent.parents(scrollable).scrollTop();

        if (wrappable.is('table')) {
          if (scrollTop < scrollableOffset + itemHeight) {
            wrappable.find('thead').css('opacity', '1');
          } else {
            wrappable.find('thead').css('opacity', '0');
          }
        } else {
          wrappable.children(':visible').each(function (cnt, child) {
            if (jquery__WEBPACK_IMPORTED_MODULE_0___default()(child).height() >= itemHeight) {
              heightCorrection += jquery__WEBPACK_IMPORTED_MODULE_0___default()(child).height();
            }
          });

          if (heightCorrection > 0) {
            knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'heightCorrection', heightCorrection);
          }

          if (heightCorrection === 0 && knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'heightCorrection')) {
            fluidCorrection = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'heightCorrection') - 20;
          }
        }

        startItem = Math.max(0, Math.floor(Math.max(1, scrollTop - heightCorrection - fluidCorrection - scrollableOffset) / itemHeight) - 10);

        if (wrappable.is('table') && startItem % 2 === 1) {
          startItem--;
        }

        endItem = Math.min(startItem + Math.ceil($parent.parents(scrollable).height() / itemHeight) + 20, data.length);
        wrappable.css('top', startItem * itemHeight + fluidCorrection + 'px');
      } else {
        startItem = 0;
        endItem = data.length;
      }

      bindingContext.$indexOffset = function () {
        return startItem;
      };

      knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].foreach.update(element, valueAccessorBuilder, allBindings, viewModel, bindingContext);
    };

    $parent.parents(scrollable).off('scroll');
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('scrollable.scroll.off', scrollable);
    $parent.parents(scrollable).on('scroll', render);

    if (scrollUp) {
      $parent.parents(scrollable).jHueScrollUp();
    }

    if ($parent.parents('.hueach').length > 0) {
      window.setTimeout(render, 100);
    }

    if (considerStretching) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('assist.stretchDown', function () {
        window.clearTimeout(renderTimeout);
        renderTimeout = window.setTimeout(function () {
          knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'hasStretched', true);
          render();
        }, 300);
      });
    }

    if (forceRenderSub) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe(forceRenderSub, function () {
        window.setTimeout(render, 300);
      });
    }

    window.clearTimeout(renderTimeout);
    renderTimeout = window.setTimeout(function () {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'hasStretched', true);
      render();
    }, 300);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.impalaDagre.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.impalaDagre.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


 // TODO: Depends on impalaDagre

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].impalaDagre = function () {
  return {
    init: function init(element, valueAccessor, allBindingsAccessor) {
      var id = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('id');
      element._impalaDagre = impalaDagre(id);
      var clickSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('impala.node.moveto', function (value) {
        element._impalaDagre.moveTo(value);
      });
      var selectSubscription = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('impala.node.select', function (value) {
        element._impalaDagre.select(value);
      });
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
        clickSubscription.remove();
        selectSubscription.remove();
      });
    },
    update: function update(element, valueAccessor) {
      var props = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());

      element._impalaDagre.metrics(props.metrics);

      element._impalaDagre.height(props.height);

      element._impalaDagre.update(props.value);
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.jHueRowSelector.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.jHueRowSelector.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].jHueRowSelector = {
  init: function init(element) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).jHueRowSelector();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.logResizer.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.logResizer.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].logResizer = {
  init: function init(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor()),
        $resizer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element),
        $parent = $resizer.parents(options.parent),
        $target = $parent.find(options.target),
        onStart = options.onStart,
        onResize = options.onResize;
    var initialHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.logs.size') || 80;
    window.setTimeout(function () {
      $target.css('height', initialHeight + 'px');
    }, 0);
    $resizer.draggable({
      axis: 'y',
      start: function start() {
        if (onStart) {
          onStart();
        }
      },
      drag: function drag(event, ui) {
        var currentHeight = ui.offset.top - $target.offset().top - 20;

        if (options.minHeight && currentHeight < options.minHeight) {
          currentHeight = options.minHeight;
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.editor.logs.size', currentHeight);
        $target.css('height', currentHeight + 'px');
        ui.offset.top = 0;
        ui.position.top = 0;
      },
      stop: function stop(event, ui) {
        ui.offset.top = 0;
        ui.position.top = 0;

        if (onResize) {
          onResize();
        }
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.logScroller.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.logScroller.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].logScroller = {
  init: function init(element, valueAccessor, allBindings) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.on('scroll', function () {
      $element.data('lastScrollTop', $element.scrollTop());
    });
    $element.on('wheel', function () {
      $element.data('hasUserScrolled', true);
    });

    function autoLogScroll() {
      var elementHeight = $element.innerHeight();
      var lastHeight = $element.data('lastHeight') || elementHeight;
      var lastScrollTop = $element.data('lastScrollTop') || 0;
      var hasUserScrolled = $element.data('hasUserScrolled') || false;
      var lastScrollHeight = $element.data('lastScrollHeight') || elementHeight;
      var stickToBottom = !hasUserScrolled || elementHeight !== lastHeight || lastScrollTop + elementHeight === lastScrollHeight;

      if (stickToBottom) {
        $element.scrollTop(element.scrollHeight - $element.height());
        $element.data('lastScrollTop', $element.scrollTop());
      }

      $element.data('lastScrollHeight', element.scrollHeight);
      $element.data('lastHeight', elementHeight);
    }

    var logValue = valueAccessor();
    logValue.subscribe(function () {
      window.setTimeout(autoLogScroll, 200);
    });

    if (typeof allBindings().logScrollerVisibilityEvent !== 'undefined') {
      allBindings().logScrollerVisibilityEvent.subscribe(function () {
        window.setTimeout(autoLogScroll, 0);
      });
    } else {
      _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].waitForRendered(element, function (el) {
        return el.is(':visible');
      }, autoLogScroll, 300);
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
        window.clearTimeout($element.data('waitForRenderTimeout'));
      });
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.medium.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.medium.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var medium_editor__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! medium-editor */ "./node_modules/medium-editor/dist/js/medium-editor.js");
/* harmony import */ var medium_editor__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(medium_editor__WEBPACK_IMPORTED_MODULE_2__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].medium = {
  init: function init(element, valueAccessor, allBindings) {
    new medium_editor__WEBPACK_IMPORTED_MODULE_2___default.a(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element), {
      buttons: ['header1', 'header2', 'bold', 'italic', 'underline', 'quote', 'anchor', 'orderedlist', 'unorderedlist', 'pre', 'outdent', 'indent'],
      buttonLabels: 'fontawesome',
      anchorTarget: true,
      anchorInputPlaceholder: '${ _("Paste or type a link") }',
      anchorInputCheckboxLabel: '${ _("Open in new window") }',
      firstHeader: 'h2',
      secondHeader: 'h3'
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('blur', function () {
      allBindings().value(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).html());
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.moment.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.moment.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].moment = {
  update: function update(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var value = typeof options.data === 'function' ? options.data() : options.data;

    function render() {
      var fMoment = moment(value);
      var text;

      if (!fMoment.isValid()) {
        text = value;
      } else if (options.format) {
        text = fMoment.format(options.format);
      } else {
        text = fMoment.format();
      }

      $element.text(text);
    }

    render();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.momentFromNow.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.momentFromNow.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].momentFromNow = {
  update: function update(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var value = typeof options.data === 'function' ? options.data() : options.data;

    function render() {
      $element.text(moment(value).fromNow());

      if (options.titleFormat) {
        $element.attr('title', moment(value).format(options.titleFormat));
      }
    }

    render();

    if (options.interval) {
      window.clearInterval($element.data('momentInterval'));
      $element.data('momentInterval', window.setInterval(render, options.interval));
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.multiCheck.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.multiCheck.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].multiCheck = {
  init: function init(element, valueAccessor) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).attr('unselectable', 'on').css('user-select', 'none').on('selectstart', false);
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor()));
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).click(function (e) {
      var $self = jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target);

      if ($self.data('noMultiCheck')) {
        $self.data('noMultiCheck', false);
        return;
      }

      var shouldCheck = $self.is(':checked') || !$self.hasClass('fa-check');

      if (e.shiftKey && shouldCheck === $container.data('last-clicked-checkbox-state')) {
        var insideGroup = false;
        var allCheckboxes = $container.find(':checkbox');

        if (allCheckboxes.length === 0) {
          allCheckboxes = $container.find('.hue-checkbox');
        }

        for (var i = 0; i < allCheckboxes.length; i++) {
          var checkbox = allCheckboxes[i];

          if (checkbox === e.target || checkbox === $container.data('last-clicked-checkbox')) {
            if (insideGroup) {
              break;
            }

            insideGroup = true;
            continue;
          }

          if (insideGroup) {
            var $checkbox = jquery__WEBPACK_IMPORTED_MODULE_0___default()(checkbox);
            $checkbox.data('noMultiCheck', true);

            if (($checkbox.is(':checked') || $checkbox.hasClass('fa-check')) !== shouldCheck) {
              $checkbox.trigger('click');
            }
          }
        }
      }

      $container.data('last-clicked-checkbox', e.target);
      $container.data('last-clicked-checkbox-state', shouldCheck);
    });
  },
  update: function update() {}
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.multiCheckForeachVisible.js":
/*!********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.multiCheckForeachVisible.js ***!
  \********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].multiCheckForeachVisible = {
  init: function init(element, valueAccessor, allBindings, clickedEntry, bindingContext) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var parentContext = bindingContext.$parentContext;
    var selectedAttr = valueAccessor().selectedAttr;
    var entries = valueAccessor().entries;
    $element.attr('unselectable', 'on').css('user-select', 'none').on('selectstart', false);
    $element.on('click', function (e) {
      if (e.shiftKey && parentContext.$multiCheckLastEntry) {
        var lastEntry = parentContext.$multiCheckLastEntry;
        var inside = false;
        entries().every(function (otherEntry) {
          if (otherEntry === lastEntry || otherEntry === clickedEntry) {
            if (inside) {
              return false;
            }

            inside = true;
            return true;
          }

          if (inside && otherEntry[selectedAttr]() !== lastEntry[selectedAttr]()) {
            otherEntry[selectedAttr](lastEntry[selectedAttr]());
          }

          return true;
        });

        if (clickedEntry[selectedAttr]() !== lastEntry[selectedAttr]()) {
          clickedEntry[selectedAttr](lastEntry[selectedAttr]());
        }
      } else {
        clickedEntry[selectedAttr](!clickedEntry[selectedAttr]());
      }

      parentContext.$multiCheckLastEntry = clickedEntry;
      parentContext.$multiCheckLastChecked = clickedEntry[selectedAttr]();
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      $element.off('click');
    });
  },
  update: function update() {}
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.multiClick.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.multiClick.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].multiClick = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var clickHandlerFunction = valueAccessor().click;
    var dblClickHandlerFunction = valueAccessor().dblClick;

    if (!dblClickHandlerFunction && !clickHandlerFunction) {
      return;
    }

    var clickedOnce = false;
    var singleClickTimeout = -1;
    var dblClickTimeout = -1;

    var newValueAccessor = function newValueAccessor() {
      return function () {
        var clickArgs = arguments;

        if (!dblClickHandlerFunction && clickHandlerFunction) {
          clickHandlerFunction.apply(viewModel, clickArgs);
          return;
        }

        if (clickedOnce) {
          dblClickHandlerFunction.apply(viewModel, clickArgs);
          clickedOnce = false;
          clearTimeout(singleClickTimeout);
          clearTimeout(dblClickTimeout);
        } else if (clickHandlerFunction) {
          clickedOnce = true;
          singleClickTimeout = window.setTimeout(function () {
            clickHandlerFunction.apply(viewModel, clickArgs);
            dblClickTimeout = window.setTimeout(function () {
              clickedOnce = false;
            }, 100);
          }, 225);
        }
      };
    };

    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].click.init(element, newValueAccessor, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.multiLineEllipsis.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.multiLineEllipsis.js ***!
  \*************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_multiLineEllipsisHandler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/multiLineEllipsisHandler */ "./desktop/core/src/desktop/js/utils/multiLineEllipsisHandler.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].multiLineEllipsis = {
  after: ['text', 'value'],
  init: function init(element, valueAccessor) {},
  update: function update(element, valueAccessor) {
    var options = {};

    if (valueAccessor && knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](valueAccessor())) {
      options.overflowing = valueAccessor();
    } else if (valueAccessor) {
      options = valueAccessor() || {};
    }

    var multiLineEllipsisHandler = new _utils_multiLineEllipsisHandler__WEBPACK_IMPORTED_MODULE_1__["default"]({
      element: element,
      text: element.textContent,
      overflowing: options.overflowing,
      linkify: true,
      expandable: options.expandable,
      expanded: options.expanded,
      expandActionClass: options.expandActionClass,
      expandClass: options.expandClass
    });
    knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      multiLineEllipsisHandler.dispose();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.numberFormat.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.numberFormat.js ***!
  \********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].numberFormat = function () {
  var that;
  return that = {
    init: function init(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    update: function update(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    format: function format(element, valueAccessor) {
      var value = valueAccessor();
      var unwrapped = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).text(that.human(unwrapped.value, unwrapped.unit));
    },
    human: function human(value, unit) {
      var fn;

      if (unit === 1) {
        fn = function fn(value) {
          return knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].simplesize.humanSize(value) + '/s';
        };
      } else if (unit === 3) {
        fn = knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].bytesize.humanSize;
      } else if (unit === 4) {
        fn = function fn(value) {
          return knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].bytesize.humanSize(value) + '/s';
        };
      } else if (unit === 5) {
        fn = knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].duration.humanTime;
      } else if (unit === 8) {
        fn = function fn(value) {
          return knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].duration.humanTime(value * 1000000);
        };
      } else if (unit === 9) {
        fn = function fn(value) {
          return knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].duration.humanTime(value * 1000000000);
        };
      } else {
        fn = knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].simplesize.humanSize;
      }

      return fn(value);
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.numericTextInput.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.numericTextInput.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].numericTextInput = {
  init: function init(element, valueAccessor, allBindings) {
    var bindingOptions = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](valueAccessor());
    var numericValue = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](bindingOptions.value()).extend({
      numeric: {
        precision: bindingOptions.precision,
        allowEmpty: typeof bindingOptions.allowEmpty !== 'undefined' && bindingOptions.allowEmpty
      }
    });
    numericValue.subscribe(function (newValue) {
      bindingOptions.value(newValue);
    });
    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].textInput.init(element, function () {
      return numericValue;
    }, allBindings);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.onClickOutside.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.onClickOutside.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].onClickOutside = {
  update: function update(element, valueAccessor, allBindingsAccessor, viewModel) {
    var options = valueAccessor();
    var func = typeof options === 'function' ? options : options.onOutside;

    var onDocumentClick = function onDocumentClick(event) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(document, event.target) && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(element, event.target)) {
        var result = func.bind(viewModel)();

        if (typeof result === 'undefined' || result) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', onDocumentClick);
        }
      }
    };

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', onDocumentClick);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', onDocumentClick);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', onDocumentClick);
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.oneClickSelect.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.oneClickSelect.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].oneClickSelect = {
  init: function init(element) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).click(function () {
      if (document.selection) {
        var range = document.body.createTextRange();
        range.moveToElementText(element);
        range.select();
      } else if (window.getSelection) {
        var _range = document.createRange();

        _range.selectNode(element);

        window.getSelection().addRange(_range);
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.parseArguments.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.parseArguments.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].parseArguments = {
  init: function init(element, valueAccessor) {
    var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    function splitStrings(str) {
      var bits = [];
      var isInQuotes = false;
      var tempStr = '';
      str.replace(/<\/?arg>|<\/?command>/gi, ' ').replace(/\r?\n|\r/g, '').replace(/\s\s+/g, ' ').split('').forEach(function (_char) {
        if (_char === '"' || _char === "'") {
          isInQuotes = !isInQuotes;
        } else if ((_char === ' ' || _char === '\n') && !isInQuotes && tempStr !== '') {
          bits.push(tempStr);
          tempStr = '';
        } else {
          tempStr += _char;
        }
      });

      if (tempStr !== '') {
        bits.push(tempStr);
      }

      return bits;
    }

    $el.bind('paste', function (e) {
      var pasted = e.originalEvent.clipboardData.getData('text');
      var args = splitStrings(pasted);

      if (args.length > 1) {
        var newList = [];
        args.forEach(function (arg) {
          var obj = {};
          obj[valueAccessor().objectKey] = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(arg);
          newList.push(obj);
        });
        valueAccessor().list(knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].fromJS(newList)());
        valueAccessor().callback();
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.publish.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.publish.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].publish = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].click.init(element, function () {
      return function () {
        var topicDetails = knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](valueAccessor());

        if (typeof topicDetails === 'string') {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish(topicDetails);
        } else if (_typeof(topicDetails) === 'object') {
          var keys = Object.keys(topicDetails);

          if (keys.length === 1) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].publish(keys[0], topicDetails[keys[0]]);
          }
        }
      };
    }, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.readOnlyAce.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.readOnlyAce.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: Depends on Ace

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].readOnlyAce = {
  init: function init(element) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).css({
      'min-height': '250px'
    });
    var editor = ace.edit(element);
    editor.setOptions({
      readOnly: true,
      maxLines: Infinity
    });
    editor.setTheme(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.ace.theme') || 'ace/theme/hue');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('aceEditor', editor);
  },
  update: function update(element, valueAccessor, allBindingsAccessor) {
    var value = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](allBindingsAccessor());
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('aceEditor').getSession().setMode('ace/mode/' + options.type || false); // e.g. xml, json...

    if (typeof value !== 'undefined' && value !== '') {
      // allows highlighting static code
      if (options.path) {
        value = value[options.path];
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).data('aceEditor').setValue(value, -1);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.resizable.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.resizable.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


/**
 * Binding for jquery UI resizable
 *
 * @type {{init: ko.bindingHandlers.resizable.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].resizable = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor() || {};
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).resizable(options);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).children('.ui-resizable-handle').css('z-index', 10000);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.select2.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.select2.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: Depends on Role

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].select2 = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["toJS"](valueAccessor()) || {};
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element); // When the options are in the binding value accessor the data attribute will be used instead of any <select>
    // tag it's attached to.

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](valueAccessor().options) && knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](valueAccessor().value)) {
      var optionsObservable = valueAccessor().options;
      var valueObservable = valueAccessor().value;
      options.data = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(optionsObservable(), function (value) {
        return {
          id: value,
          text: value
        };
      });
      options.val = valueObservable();

      var refreshSelect2Data = function refreshSelect2Data() {
        $element.select2('data', jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(optionsObservable(), function (value) {
          return {
            id: value,
            text: value
          };
        }));
        $element.select2('val', valueObservable());
      };

      valueObservable.subscribe(function (newValue) {
        if (newValue !== $element.select2('val')) {
          refreshSelect2Data();
        }
      });
      optionsObservable.subscribe(refreshSelect2Data);
      window.setTimeout(function () {
        refreshSelect2Data();
      }, 10);
    }

    if (typeof valueAccessor().vm != 'undefined') {
      viewModel = valueAccessor().vm;
    }

    if (typeof valueAccessor().update != 'undefined') {
      if (options.type === 'user' && viewModel.selectableHadoopUsers().indexOf(options.update) === -1) {
        viewModel.availableHadoopUsers.push({
          username: options.update
        });
      }

      if (options.type === 'group') {
        if (options.update instanceof Array) {
          options.update.forEach(function (opt) {
            if (viewModel.selectableHadoopGroups().indexOf(opt) === -1) {
              viewModel.availableHadoopGroups.push({
                name: opt
              });
            }
          });
        } else if (viewModel.selectableHadoopGroups().indexOf(options.update) === -1) {
          viewModel.availableHadoopGroups.push({
            name: options.update
          });
        }
      }

      if (options.type === 'action' && viewModel.availableActions().indexOf(options.update) === -1) {
        viewModel.availableActions.push(options.update);
      }

      if (options.type === 'scope' && viewModel.availablePrivileges().indexOf(options.update) === -1) {
        viewModel.availablePrivileges.push(options.update);
      }

      if (options.type === 'parameter' && options.update !== '') {
        var _found = false;
        allBindingsAccessor().options().forEach(function (opt) {
          var _option = opt[allBindingsAccessor().optionsValue];

          if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](_option)) {
            _option = _option();
          }

          if (_option === options.update) {
            _found = true;
          }
        });

        if (!_found) {
          allBindingsAccessor().options.push({
            name: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.update),
            value: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.update)
          });
        }
      }
    }

    $element.select2(options).on('change', function (e) {
      if (typeof e.val != 'undefined') {
        if (typeof valueAccessor().update != 'undefined') {
          valueAccessor().update(e.val);
        }

        if (typeof valueAccessor().value != 'undefined') {
          valueAccessor().value(e.val);
        }
      }
    }).on('select2-focus', function () {
      if (typeof options.onFocus != 'undefined') {
        options.onFocus();
      }
    }).on('select2-blur', function () {
      if (typeof options.onBlur != 'undefined') {
        options.onBlur();
      }
    }).on('select2-open', function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.select2-input').off('keyup').data('type', options.type).on('keyup', function (e) {
        if (e.keyCode === 13) {
          var _isArray = options.update instanceof Array;

          var _newVal = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).val();

          var _type = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).data('type');

          if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(_newVal) !== '') {
            if (_type === 'user') {
              viewModel.availableHadoopUsers.push({
                username: _newVal
              });
            }

            if (_type === 'group') {
              viewModel.availableHadoopGroups.push({
                name: _newVal
              });
            }

            if (_type === 'action') {
              viewModel.availableActions.push(_newVal);
            }

            if (_type === 'scope') {
              viewModel.availablePrivileges.push(_newVal);
            }

            if (_type === 'role' && window.Role) {
              var _r = new Role(viewModel, {
                name: _newVal
              });

              viewModel.tempRoles.push(_r);
              viewModel.roles.push(_r);
            }

            if (_type === 'parameter') {
              var _found2 = false;
              allBindingsAccessor().options().forEach(function (opt) {
                if (opt[allBindingsAccessor().optionsValue]() === _newVal) {
                  _found2 = true;
                }
              });

              if (!_found2) {
                allBindingsAccessor().options.push({
                  name: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_newVal),
                  value: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_newVal)
                });
              }
            }

            if (_isArray) {
              var _vals = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('val');

              _vals.push(_newVal);

              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('val', _vals, true);
            } else {
              jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('val', _newVal, true);
            }

            jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('close');
          }
        }
      });
    });
    $element.data('select2').search.prop('readOnly', true).attr('onfocus', 'this.removeAttribute("readonly");').wrap('<form autocomplete="off">');
  },
  update: function update(element, valueAccessor, allBindingsAccessor) {
    if (typeof allBindingsAccessor().visible != 'undefined') {
      if (typeof allBindingsAccessor().visible == 'boolean' && allBindingsAccessor().visible || typeof allBindingsAccessor().visible == 'function' && allBindingsAccessor().visible()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('container').show();
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('container').hide();
      }
    }

    if (typeof valueAccessor().update != 'undefined') {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('val', valueAccessor().update());
    }

    if (typeof valueAccessor().readonly != 'undefined') {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).select2('readonly', valueAccessor().readonly);

      if (typeof valueAccessor().readonlySetTo != 'undefined') {
        valueAccessor().readonlySetTo();
      }
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.simplesize.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.simplesize.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! sprintf-js */ "./node_modules/sprintf-js/src/sprintf.js");
/* harmony import */ var sprintf_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(sprintf_js__WEBPACK_IMPORTED_MODULE_2__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].simplesize = function () {
  var that;
  return that = {
    units: ['', 'K', 'M', 'G', 'T', 'P'],
    init: function init(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    update: function update(element, valueAccessor) {
      that.format(element, valueAccessor);
    },
    format: function format(element, valueAccessor) {
      var value = valueAccessor();
      var formatted = that.humanSize(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).text(formatted);
    },
    getBaseLog: function getBaseLog(x, y) {
      return Math.log(x) / Math.log(y);
    },
    humanSize: function humanSize(bytes) {
      var isNumber = !isNaN(parseFloat(bytes)) && isFinite(bytes);

      if (!isNumber) {
        return '';
      } // Special case small numbers (including 0), because they're exact.


      if (bytes < 1000) {
        return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%d', bytes);
      }

      var index = Math.floor(that.getBaseLog(bytes, 1000));
      index = Math.min(that.units.length - 1, index);
      return sprintf_js__WEBPACK_IMPORTED_MODULE_2___default.a.sprintf('%.1f %s', bytes / Math.pow(1000, index), that.units[index]);
    }
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.slideVisible.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.slideVisible.js ***!
  \********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].slideVisible = {
  init: function init(element, valueAccessor) {
    var value = valueAccessor();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).toggle(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
  },
  update: function update(element, valueAccessor, allBindings) {
    var value = valueAccessor();
    var onComplete = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](allBindings()).onComplete;
    knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value) ? jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).slideDown(100, onComplete ? onComplete() : function () {}) : jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).slideUp(100, onComplete ? onComplete() : function () {});
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.slider.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.slider.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].slider = {
  init: function init(element, valueAccessor) {
    var _el = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);

    var _options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(valueAccessor(), {});

    _el.slider({
      min: !isNaN(parseFloat(_options.start())) ? parseFloat(_options.start()) : 0,
      max: !isNaN(parseFloat(_options.end())) ? parseFloat(_options.end()) : 10,
      step: !isNaN(parseFloat(_options.gap())) ? parseFloat(_options.gap()) : 1,
      handle: _options.handle ? _options.handle : 'triangle',
      start: parseFloat(_options.min()),
      end: parseFloat(_options.max()),
      tooltip_split: true,
      tooltip: 'always',
      labels: _options.labels
    });

    _el.on('slide', function (e) {
      _options.start(e.min);

      _options.end(e.max);

      _options.min(e.start);

      _options.max(e.end);

      if (_options.min() < _options.start()) {
        _options.start(_options.min());
      }

      if (_options.max() > _options.end()) {
        _options.end(_options.max());
      }

      _options.gap(e.step);

      if (typeof _options.properties.initial_start == 'function') {
        _options.properties.start(_options.properties.initial_start());

        _options.properties.end(_options.properties.initial_end());

        _options.properties.gap(_options.properties.initial_gap());
      }
    });

    _el.on('slideStop', function () {
      if (window.searchViewModel) {
        window.searchViewModel.search();
      }
    });
  },
  update: function update(element, valueAccessor) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(valueAccessor(), {});
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.solrChooser.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.solrChooser.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].solrChooser = {
  init: function init(element, valueAccessor) {
    var self = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    self.val(valueAccessor()());

    function setPathFromAutocomplete(path) {
      self.val(path);
      valueAccessor()(path);
      self.blur();
    }

    self.on('blur', function () {
      valueAccessor()(self.val());
    });
    self.jHueGenericAutocomplete({
      showOnFocus: true,
      home: '/',
      serverType: 'SOLR',
      skipTables: true,
      // No notion of DB actually
      onPathChange: function onPathChange(path) {
        setPathFromAutocomplete(path);
      },
      onEnter: function onEnter(el) {
        setPathFromAutocomplete(el.val());
      },
      onBlur: function onBlur() {
        if (self.val().lastIndexOf('.') === self.val().length - 1) {
          self.val(self.val().substr(0, self.val().length - 1));
        }

        valueAccessor()(self.val());
      }
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.spinEdit.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.spinEdit.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].spinedit = {
  init: function init(element, valueAccessor, allBindingsAccessor) {
    var options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
      minimum: 0,
      maximum: 10000,
      step: 5,
      value: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor()),
      numberOfDecimals: 0
    }, allBindingsAccessor().override);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).spinedit(options);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('valueChanged', function (e) {
      valueAccessor()(e.value);
    });
  },
  update: function update(element, valueAccessor) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).spinedit('setValue', knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor()));
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.splitDraggable.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.splitDraggable.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].splitDraggable = {
  init: function init(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var leftPanelWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_left_panel_width') != null ? Math.max(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_left_panel_width'), 250) : 250;
    var rightPanelWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_right_panel_width') != null ? Math.max(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_right_panel_width'), 250) : 290;
    var containerSelector = options.containerSelector || '.panel-container';
    var contentPanelSelector = options.contentPanelSelector || '.content-panel';

    var onPosition = options.onPosition || function () {};

    var hasLeftPanel = !!options.leftPanelVisible;
    var hasRightPanel = !!options.rightPanelVisible;
    var isRightPanel = !!options.isRightPanel;
    var $resizer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $leftPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.left-panel');
    var $rightPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.right-panel');
    var $contentPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(contentPanelSelector);
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(containerSelector);

    var positionPanels = function positionPanels() {
      if (isRightPanel) {
        var oppositeWidth = hasLeftPanel && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.leftPanelVisible) ? $leftPanel.width() + $resizer.width() : 0;
        var totalWidth = $container.width() - oppositeWidth;

        if (knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.rightPanelVisible) && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.rightPanelAvailable)) {
          $resizer.show();
          rightPanelWidth = Math.min(rightPanelWidth, $container.width() - 100);
          var contentPanelWidth = totalWidth - rightPanelWidth - $resizer.width();
          $rightPanel.css('width', rightPanelWidth + 'px');
          $contentPanel.css('width', contentPanelWidth + 'px');
          $resizer.css('left', $container.width() - rightPanelWidth - $resizer.width() + 'px');
          $contentPanel.css('right', rightPanelWidth + $resizer.width() + 'px');
        } else {
          if (oppositeWidth === 0) {
            $contentPanel.css('width', '100%');
          } else {
            $contentPanel.css('width', totalWidth);
          }

          $contentPanel.css('right', '0');
          $resizer.hide();
        }
      } else {
        var _oppositeWidth = hasRightPanel && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.rightPanelVisible) && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.rightPanelAvailable) ? $rightPanel.width() + $resizer.width() : 0;

        var _totalWidth = $container.width() - _oppositeWidth;

        if (knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.leftPanelVisible)) {
          $resizer.show();
          leftPanelWidth = Math.min(leftPanelWidth, _totalWidth - 100);

          var _contentPanelWidth = _totalWidth - leftPanelWidth - $resizer.width();

          $leftPanel.css('width', leftPanelWidth + 'px');
          $contentPanel.css('width', _contentPanelWidth + 'px');
          $resizer.css('left', leftPanelWidth + 'px');
          $contentPanel.css('left', leftPanelWidth + $resizer.width() + 'px');
        } else {
          if (_oppositeWidth === 0) {
            $contentPanel.css('width', '100%');
          } else {
            $contentPanel.css('width', _totalWidth);
          }

          $contentPanel.css('left', '0');
          $resizer.hide();
        }
      }

      onPosition();
    };

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](options.leftPanelVisible)) {
      options.leftPanelVisible.subscribe(positionPanels);
    }

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](options.rightPanelVisible)) {
      options.rightPanelVisible.subscribe(positionPanels);
    }

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](options.rightPanelAvailable)) {
      options.rightPanelAvailable.subscribe(positionPanels);
    }

    var dragTimeout = -1;
    $resizer.draggable({
      axis: 'x',
      containment: $container,
      drag: function drag(event, ui) {
        if (isRightPanel) {
          ui.position.left = Math.min($container.width() - 200, ui.position.left);
        } else {
          ui.position.left = Math.min($container.width() - $container.position().left - 200, Math.max(250, ui.position.left));
        }

        window.clearTimeout(dragTimeout);
        dragTimeout = window.setTimeout(function () {
          if (isRightPanel) {
            var oppositeWidth = hasLeftPanel && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.leftPanelVisible) ? $leftPanel.width() + $resizer.width() : 0;
            var totalWidth = $container.width() - oppositeWidth;
            rightPanelWidth = $container.width() - ui.position.left;
            $rightPanel.css('width', rightPanelWidth + 'px');
            $contentPanel.css('width', totalWidth - rightPanelWidth + 'px'); // $contentPanel.css("right", rightPanelWidth + $resizer.width());
          } else {
            var _oppositeWidth2 = hasRightPanel && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.rightPanelVisible) ? $rightPanel.width() + $resizer.width() : 0;

            var _totalWidth2 = $container.width() - _oppositeWidth2;

            leftPanelWidth = ui.position.left;
            $leftPanel.css('width', leftPanelWidth + 'px');
            $contentPanel.css('width', _totalWidth2 - leftPanelWidth - $resizer.width() + 'px');
            $contentPanel.css('left', leftPanelWidth + $resizer.width());
          }

          onPosition();
        }, 10);
      },
      stop: function stop() {
        if (isRightPanel) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_right_panel_width', rightPanelWidth);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_left_panel_width', leftPanelWidth);
        }

        window.setTimeout(positionPanels, 100);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('split.panel.resized');
      }
    });
    var positionTimeout = -1;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).resize(function () {
      window.clearTimeout(positionTimeout);
      positionTimeout = window.setTimeout(function () {
        positionPanels();
      }, 1);
    });

    function initialPositioning() {
      if (!$container.is(':visible')) {
        window.setTimeout(initialPositioning, 50);
      } else {
        positionPanels(); // Even though the container is visible some slow browsers might not
        // have rendered the panels

        window.setTimeout(positionPanels, 100);
      }
    }

    initialPositioning();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.splitFlexDraggable.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.splitFlexDraggable.js ***!
  \**************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].splitFlexDraggable = {
  init: function init(element, valueAccessor) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var sidePanelWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_' + options.orientation + '_panel_width') != null ? jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_' + options.orientation + '_panel_width') : 290;
    var $resizer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $sidePanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.sidePanelSelector);
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.containerSelector);
    var isLeft = options.orientation === 'left';

    var onPosition = options.onPosition || function () {};

    var containerWidth = $container.width();
    $sidePanel.css('flex-basis', sidePanelWidth + 'px');
    $resizer.draggable({
      axis: 'x',
      containment: $container,
      start: function start() {
        sidePanelWidth = $sidePanel.width();
        containerWidth = $container.width();
      },
      drag: function drag(event, ui) {
        var flexBasis = Math.min(Math.max(sidePanelWidth + (isLeft ? ui.position.left : -ui.position.left), 200), containerWidth) + 'px';
        $sidePanel.css('flex-basis', flexBasis);
        onPosition(flexBasis);
        ui.position.left = 0;
      },
      stop: function stop() {
        sidePanelWidth = $sidePanel.width();
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage(options.appName + '_' + options.orientation + '_panel_width', sidePanelWidth);
        window.setTimeout(positionPanels, 100);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('split.panel.resized');
      }
    });

    var positionPanels = function positionPanels() {
      if (options.sidePanelVisible()) {
        $sidePanel.css('flex-basis', Math.max(sidePanelWidth, 200) + 'px');
        onPosition();
      }
    };

    options.sidePanelVisible.subscribe(positionPanels);
    var positionTimeout = -1;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).resize(function () {
      window.clearTimeout(positionTimeout);
      positionTimeout = window.setTimeout(function () {
        positionPanels();
      }, 1);
    });

    function initialPositioning() {
      if (!$container.is(':visible') && !$sidePanel.is(':visible')) {
        window.setTimeout(initialPositioning, 50);
      } else {
        positionPanels(); // Even though the container is visible some slow browsers might not
        // have rendered the panels

        window.setTimeout(positionPanels, 50);
      }
    }

    initialPositioning();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.sqlContextPopover.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.sqlContextPopover.js ***!
  \*************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




/**
 * Show the Context Popover for SQL or Solr entities when the bound element is clicked.
 *
 * Parameters:
 *
 * {string} sourceType - 'impala', 'hive' etc.
 * {ContextNamespace} namespace
 * {ContextCompute} compute
 * {string} path - the path, i.e. 'default.customers' or ['default', 'customers'
 * {string} [orientation] - 'top', 'right', 'bottom', 'left'. Default 'right'
 * {Object} [offset] - Optional offset from the element
 * {number} [offset.top] - Offset in pixels
 * {number} [offset.left] - Offset in pixels
 *
 * Examples:
 *
 * data-bind="sqlContextPopover: { sourceType: 'impala', namespace: { id: 'myNamespace' }, compute: { id: 'myCompute' }, path: 'default.customers' }"
 * data-bind="sqlContextPopover: { sourceType: 'hive', namespace: { id: 'myNamespace' }, compute: { id: 'myCompute' }, path: 'default', orientation: 'bottom', offset: { top: 5 } }"
 *
 * @type {{init: ko.bindingHandlers.sqlContextPopover.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].sqlContextPopover = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].click.init(element, function () {
      return function () {
        var options = valueAccessor();
        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry(options).done(function (entry) {
          var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
          var offset = $source.offset();

          if (options.offset) {
            offset.top += options.offset.top || 0;
            offset.left += options.offset.left || 0;
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
            data: {
              type: 'catalogEntry',
              catalogEntry: entry
            },
            showInAssistEnabled: true,
            orientation: options.orientation || 'right',
            source: {
              element: element,
              left: offset.left,
              top: offset.top,
              right: offset.left + $source.width(),
              bottom: offset.top + $source.height()
            }
          });
        });
      };
    }, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.stickVertical.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.stickVertical.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);


/**
 * This binding can be used to emulate position sticky for any element.
 *
 * Example:
 *
 * <div databind="stickVertical: { scrollContainer: '.some-container' }">...</div>
 *
 * @type {{init: ko.bindingHandlers.stickVertical.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].stickVertical = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor() || {};
    var $scrollContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.scrollContainer || window);
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $parent = $element.parent();
    var active = false;
    var throttleTimeout = -1;

    var throttledReposition = function throttledReposition() {
      window.clearTimeout(throttleTimeout);
      throttleTimeout = window.setTimeout(function () {
        var diff = $scrollContainer.offset().top - $parent.offset().top;

        if (diff > 0) {
          $element.animate({
            'margin-top': diff + 'px'
          }, 40);
          active = true;
        } else if (active) {
          $element.css({
            'margin-top': ''
          });
          active = false;
        }
      }, 50);
    };

    $scrollContainer.on('scroll.stickVertical', throttledReposition);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('resize.stickVertical', throttledReposition);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      $scrollContainer.off('scroll.stickVertical');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('resize.stickVertical');
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.storageContextPopover.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.storageContextPopover.js ***!
  \*****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _components_assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../components/assist/assistStorageEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




/**
 * Show the Context Popover for files (HDFS, S3, ADLS, ...) when the bound element is clicked.
 *
 * Parameters:
 *
 * {string} path - the path (can include type, i.e. 'hdfs://tmp'
 * {string} [type] - Optional type, 'hdfs', 's3' etc. Default 'hdfs'.
 * {string} [orientation] - 'top', 'right', 'bottom', 'left'. Default 'right';
 * {Object} [offset] - Optional offset from the element
 * {number} [offset.top] - Offset in pixels
 * {number} [offset.left] - Offset in pixels
 *
 * Examples:
 *
 * data-bind="storageContextPopover: { path: '/tmp/banana.csv' }"
 * data-bind="storageContextPopover: { path: 's3:/tmp/banana.csv', orientation: 'bottom', offset: { top: 5 } }"
 *
 * @type {{init: ko.bindingHandlers.storageContextPopover.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].storageContextPopover = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].click.init(element, function () {
      return function () {
        var options = valueAccessor();
        _components_assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry(options.path, options.type).done(function (entry) {
          var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
          var offset = $source.offset();

          if (options.offset) {
            offset.top += options.offset.top || 0;
            offset.left += options.offset.left || 0;
          }

          entry.open(true);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
            data: {
              type: 'storageEntry',
              storageEntry: entry
            },
            orientation: options.orientation || 'right',
            source: {
              element: element,
              left: offset.left,
              top: offset.top,
              right: offset.left + $source.width(),
              bottom: offset.top + $source.height()
            }
          });
        });
      };
    }, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.stretchDown.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.stretchDown.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].stretchDown = {
  init: function init(element) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $parent = $element.parent();
    var lastParentHeight = -1;
    var lastTop = -1;

    function stretch(force) {
      if (lastParentHeight !== $parent.innerHeight() || lastTop !== $element.position().top || force) {
        lastParentHeight = $parent.innerHeight();
        lastTop = $element.position().top;
        $element.height(lastParentHeight - lastTop - ($element.outerHeight(true) - $element.innerHeight()));
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.stretchDown', $element);
      }
    }

    window.setInterval(stretch, 200);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('assist.forceStretchDown', function () {
      stretch(true);
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.tagEditor.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.tagEditor.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].tagEditor = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var validRegExp = options.validRegExp ? new RegExp(options.validRegExp) : undefined;

    var showValidationError = function showValidationError() {
      var $errorWrapper = $element.siblings('.selectize-error');

      if (options.invalidMessage && $errorWrapper.length > 0) {
        $errorWrapper.find('.message').text(options.invalidMessage);
        $errorWrapper.show();
        window.setTimeout(function () {
          $errorWrapper.fadeOut(400, function () {
            $errorWrapper.hide();
          });
        }, 5000);
      }
    };

    options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
      plugins: ['remove_button'],
      options: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(options.setTags(), function (value) {
        return {
          value: value,
          text: value
        };
      }),
      delimiter: ',',
      items: options.setTags(),
      closeAfterSelect: true,
      persist: true,
      preload: true,
      create: function create(input) {
        if (typeof validRegExp !== 'undefined' && !validRegExp.test(input)) {
          showValidationError();
          return false;
        }

        return {
          value: input.replace(/\s/g, '-'),
          text: input.replace(/\s/g, '-')
        };
      }
    }, options);
    var $readOnlyContainer = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').hide().addClass('selectize-control selectize-read-only multi').attr('style', $element.attr('style')).insertAfter(jquery__WEBPACK_IMPORTED_MODULE_0___default()(element));

    if (!options.readOnly) {
      $readOnlyContainer.on('mouseover', function () {
        $readOnlyContainer.find('.selectize-actions').addClass('selectize-actions-visible');
      });
      $readOnlyContainer.on('mouseout', function () {
        $readOnlyContainer.find('.selectize-actions').removeClass('selectize-actions-visible');
      });
    }

    $element.hide();
    var currentSelectize;
    var optionsBeforeEdit = [];

    var saveOnClickOutside = function saveOnClickOutside(event) {
      if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(document, event.target) && currentSelectize && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(currentSelectize.$wrapper[0], event.target)) {
        if (currentSelectize.getValue() !== optionsBeforeEdit.join(',')) {
          options.onSave(currentSelectize.getValue());
        }

        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', saveOnClickOutside);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('keyup', hideOnEscape);
        showReadOnly();
      }
    };

    var hideOnEscape = function hideOnEscape(event) {
      if (event.which === 27) {
        showReadOnly();
      }
    };

    var sizeCheckInterval = -1;
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      window.clearInterval(sizeCheckInterval);
    });

    var showEdit = function showEdit() {
      window.clearInterval(sizeCheckInterval);
      optionsBeforeEdit = options.setTags().concat();
      options.options = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(options.setTags(), function (value) {
        return {
          value: value,
          text: value
        };
      });
      currentSelectize = $element.selectize(options)[0].selectize;
      $readOnlyContainer.hide();
      $element.next().find('.selectize-input').css('padding-right', '38px');
      $element.next().find('input').focus();
      var $editActions = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('selectize-actions').appendTo($element.next());
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-check').click(function () {
        if (currentSelectize.getValue() !== optionsBeforeEdit.join(',')) {
          options.onSave(currentSelectize.getValue());
        }

        showReadOnly();
      }).appendTo($editActions);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-close').click(function () {
        showReadOnly();
      }).appendTo($editActions);
      window.setTimeout(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', saveOnClickOutside);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('keyup', hideOnEscape);
      }, 0);
    };

    var lastKnownOffsetWidth = -1;
    var lastKnownOffsetHeight = -1;

    var addReadOnlyTagsTillOverflow = function addReadOnlyTagsTillOverflow($readOnlyInner) {
      $readOnlyInner.empty();
      var tagElements = [];
      options.setTags().forEach(function (tag) {
        tagElements.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').text(tag).appendTo($readOnlyInner));
      });

      if (!options.readOnly && !options.hasErrors()) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-pencil selectize-edit pointer').attr('title', Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Edit tags')).appendTo($readOnlyInner);
        $readOnlyInner.click(function () {
          showEdit();
        });
      }

      if (!options.overflowEllipsis) {
        return;
      }

      if ($readOnlyInner[0].offsetHeight < $readOnlyInner[0].scrollHeight || $readOnlyInner[0].offsetWidth < $readOnlyInner[0].scrollWidth && tagElements.length) {
        tagElements[tagElements.length - 1].after(jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('hue-tag-overflow').text('...'));
      }

      while (tagElements.length && ($readOnlyInner[0].offsetHeight < $readOnlyInner[0].scrollHeight || $readOnlyInner[0].offsetWidth < $readOnlyInner[0].scrollWidth)) {
        tagElements.pop().remove();
      }

      lastKnownOffsetWidth = $readOnlyInner[0].offsetWidth;
      lastKnownOffsetHeight = $readOnlyInner[0].offsetHeight;
    };

    var showReadOnly = function showReadOnly() {
      window.clearInterval(sizeCheckInterval);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', saveOnClickOutside);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('keyup', hideOnEscape);

      if (currentSelectize) {
        currentSelectize.destroy();
        $element.hide();
        $element.val(options.setTags().join(','));
      }

      $readOnlyContainer.empty();
      var $readOnlyInner = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('selectize-input items not-full has-options has-items').appendTo($readOnlyContainer);

      if (options.setTags().length > 0) {
        addReadOnlyTagsTillOverflow($readOnlyInner);

        if (options.overflowEllipsis) {
          sizeCheckInterval = window.setInterval(function () {
            if ($readOnlyInner[0].offsetWidth !== lastKnownOffsetWidth || $readOnlyInner[0].offsetHeight !== lastKnownOffsetHeight) {
              addReadOnlyTagsTillOverflow($readOnlyInner);
            }
          }, 500);
        }
      } else {
        if (options.hasErrors()) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('selectize-no-tags').text(options.errorMessage).appendTo($readOnlyInner);
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').addClass('selectize-no-tags').text(options.emptyPlaceholder).appendTo($readOnlyInner);
        }

        if (!options.readOnly && !options.hasErrors()) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('<i>').addClass('fa fa-pencil selectize-edit pointer').attr('title', Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Edit tags')).appendTo($readOnlyInner);
          $readOnlyInner.click(function () {
            showEdit();
          });
        }
      }

      $readOnlyContainer.attr('title', options.setTags().join(', '));
      $readOnlyContainer.show();
    };

    showReadOnly();
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.tagsNotAllowed.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.tagsNotAllowed.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].tagsNotAllowed = {
  update: function update(element, valueAccessor, allBindingsAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var params = allBindingsAccessor();
    var valueObservable = knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](params) ? params : params.textInput ? params.textInput : params.value;
    var value = valueObservable();
    var escaped = value.replace(/<|>/g, '');

    if (escaped !== value) {
      $element.val(escaped);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.templateContextMenu.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.templateContextMenu.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].templateContextMenu = {
  init: function init(element, valueAccessor, allBindings, viewModel) {
    var options = valueAccessor();
    element.addEventListener('contextmenu', function (event) {
      if (document.selection && document.selection.empty) {
        document.selection.empty();
      } else if (window.getSelection) {
        var sel = window.getSelection();
        sel.removeAllRanges();
      }

      if (typeof options.beforeOpen === 'function') {
        options.beforeOpen.bind(viewModel)();
      }

      var $menu = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#hueContextMenu_' + options.template);

      if ($menu.length === 0) {
        $menu = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<ul id="hueContextMenu_' + options.template + '" class="hue-context-menu" data-bind="template: { name: \'' + options.template + '\', data: viewModel, afterRender: afterRender }"></ul>').appendTo('body');
      } else {
        knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($menu[0]);
      }

      $menu.data('active', true);
      $menu.css('top', 0);
      $menu.css('left', 0);
      $menu.css('opacity', 0);
      $menu.show();

      var hideMenu = function hideMenu() {
        if (!$menu.data('active')) {
          $menu.hide();
          knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($menu[0]);
        }
      };

      knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"]({
        afterRender: function afterRender() {
          var menuWidth = $menu.outerWidth(true);
          var menuHeight = $menu.outerHeight(true);
          $menu.css('left', event.clientX + menuWidth > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() ? jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width() - menuWidth : event.clientX);
          $menu.css('top', event.clientY + menuHeight > jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() ? jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height() - menuHeight : event.clientY);
          $menu.css('opacity', 1);

          if (options.scrollContainer) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.scrollContainer).one('scroll', hideMenu);
          }

          window.setTimeout(function () {
            $menu.data('active', false);
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).one('click', hideMenu);
          }, 100);
        },
        viewModel: options.viewModel || viewModel
      }, $menu[0]);
      knockout__WEBPACK_IMPORTED_MODULE_1__["contextFor"]($menu[0]).$contextSourceElement = element;
      event.preventDefault();
      event.stopPropagation();
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.templatePopover.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.templatePopover.js ***!
  \***********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].templatePopover = {
  init: function init(element, valueAccessor, allBindingsAccessor, viewModel) {
    var options = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](valueAccessor());
    var clickTrigger = options.trigger === 'click';
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#popover-container');

    if (!$container.length) {
      $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').attr('id', 'popover-container').appendTo('body');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('temp-content').hide().appendTo($container);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('temp-title').hide().appendTo($container);
    }

    var $content = $container.find('.temp-content');
    var $title = $container.find('.temp-title');
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(options, {
      html: true,
      trigger: 'manual',
      container: '#popover-container'
    });
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var visible = options.visible || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    var trackElementInterval = -1;

    var hidePopover = function hidePopover() {
      if (visible()) {
        window.clearInterval(trackElementInterval);
        $element.popover('hide');
        visible(false);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', hideOnClickOutside);
      }
    };

    var closeSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('close.popover', hidePopover);

    var hideOnClickOutside = function hideOnClickOutside(event) {
      if (visible() && $element.data('popover') && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains($element.data('popover').$tip[0], event.target)) {
        hidePopover();
      }
    };

    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      if (visible && $element.data('popover')) {
        hidePopover();
      }

      closeSub.remove();
    });

    var _afterRender = function afterRender() {
      options.content = $content.html();
      options.title = $title.html();
      var triggerTitle;

      if ($element.attr('title')) {
        triggerTitle = $element.attr('title');
        $element.attr('title', null);
      }

      $element.popover(options);
      $element.popover('show');

      if (triggerTitle) {
        $element.attr('title', triggerTitle);
      }

      var $tip = $element.data('popover').$tip;
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($tip.get(0));
      knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](viewModel, $tip.get(0));
      $tip.find('.close-popover, .close-template-popover').click(function (event) {
        hidePopover();
        event.stopPropagation();
      });

      if (options.minWidth) {
        var heightBefore = $tip.outerHeight(true);
        var widthBefore = $tip.outerWidth(true);
        $tip.css('min-width', options.minWidth); // The min-width might affect the height/width in which case we reposition the popover depending on placement

        var heightDiff = (heightBefore - $tip.outerHeight(true)) / 2;
        var widthDiff = (widthBefore - $tip.outerWidth(true)) / 2;

        if ((!options.placement || options.placement === 'left' || options.placement === 'right') && heightDiff !== 0) {
          $tip.css('top', $tip.position().top + heightDiff + 'px');
        } else if (options.placement && (options.placement === 'bottom' || options.placement === 'top') && widthDiff !== 0) {
          $tip.css('left', $tip.position().left + widthDiff + 'px');
        }
      }

      var lastWidth = $element.outerWidth(true);
      var lastOffset = $element.offset();
      var lastHeight = $element.outerHeight(true);
      trackElementInterval = window.setInterval(function () {
        var elementWidth = $element.outerWidth(true);
        var elementHeight = $element.outerHeight(true);
        var elementOffset = $element.offset();

        if (lastHeight !== elementHeight || lastWidth !== $element.outerWidth(true) || lastOffset.top !== elementOffset.top || lastOffset.left !== elementOffset.left) {
          $tip.css({
            left: elementOffset.left + elementWidth / 2 - $tip.outerWidth(true) / 2,
            top: elementOffset.top + elementHeight + 10
          });
          lastWidth = elementWidth;
          lastOffset = elementOffset;
          lastHeight = elementHeight;
        }
      }, 50);
      $content.empty();
      $title.empty();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', hideOnClickOutside);
      visible(true);
    };

    var showPopover = function showPopover(preventClose) {
      if (!preventClose) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('close.popover');
      }

      knockout__WEBPACK_IMPORTED_MODULE_1__["renderTemplate"](options.contentTemplate, viewModel, {
        afterRender: function afterRender() {
          if (options.titleTemplate) {
            knockout__WEBPACK_IMPORTED_MODULE_1__["renderTemplate"](options.titleTemplate, viewModel, {
              afterRender: function afterRender() {
                _afterRender();
              }
            }, $title.get(0), 'replaceChildren');
          } else {
            _afterRender();
          }
        }
      }, $content.get(0), 'replaceChildren');
    };

    if (visible()) {
      window.setTimeout(function () {
        showPopover(true);
      }, 0);
    }

    if (clickTrigger) {
      $element.click(function (e) {
        if (visible()) {
          hidePopover();
        } else {
          showPopover();
        }

        e.stopPropagation();
      });
    } else {
      $element.mouseenter(showPopover);
      $element.mouseleave(hidePopover);
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.textSqueezer.js":
/*!********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.textSqueezer.js ***!
  \********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].textSqueezer = {
  init: function init(element, valueAccessor) {
    var value = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.text(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
    $element.textSqueezer({
      decimalPrecision: 2
    });
  },
  update: function update(element, valueAccessor) {
    var value = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    $element.text(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](value));
    $element.trigger('redraw');
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.toggle.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.toggle.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * This binding can be used to toggle a boolean value on click
 *
 * Example:
 *
 * <div databind="toggle: value">...</div>
 *
 * @type {{init: ko.bindingHandlers.toggle.init}}
 */

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].toggle = {
  init: function init(element, valueAccessor, allBindings, viewModel, bindingContext) {
    var value = valueAccessor();
    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].click.init(element, function () {
      return function () {
        value(!value());
      };
    }, allBindings, viewModel, bindingContext);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.toggleOverflow.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.toggleOverflow.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].toggleOverflow = {
  render: function render($element, options) {
    if (_utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].isOverflowing($element.find('.toggle-overflow'))) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('toggle-overflow-toggle').html('<i class="fa fa-caret-down muted"></i>').appendTo($element);
      $element.on('click', function () {
        if ($element.find('.toggle-overflow-toggle i').hasClass('fa-caret-down')) {
          $element.find('.toggle-overflow').css('height', '');
          $element.css('cursor', 'n-resize');
          $element.find('.toggle-overflow-toggle').removeClass('toggle-hidden').css('cursor', 'n-resize');
          $element.find('.toggle-overflow-toggle i').removeClass('fa-caret-down').addClass('fa-caret-up');
        } else {
          if (options.height) {
            $element.find('.toggle-overflow').height(options.height);
          }

          $element.css('cursor', 's-resize');
          $element.find('.toggle-overflow-toggle').addClass('toggle-hidden').css('cursor', 's-resize');
          $element.find('.toggle-overflow-toggle i').removeClass('fa-caret-up').addClass('fa-caret-down');
        }
      });
    }
  },
  init: function init(element, valueAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor() || {};
    $element.wrapInner('<div class="toggle-overflow"></div>');

    if (options.height) {
      $element.find('.toggle-overflow').height(options.height);
    }

    if (options.width) {
      $element.find('.toggle-overflow').width(options.width);
    }
  },
  update: function update(element, valueAccessor) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor() || {};
    window.setTimeout(function () {
      knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].toggleOverflow.render($element, options);
    }, 100);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.tooltip.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.tooltip.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].tooltip = {
  after: ['attr'],
  update: function update(element, valueAccessor) {
    var local = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor());
    var options = {
      container: 'body'
    };
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).tooltip('destroy');
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].extend(options, local);

    if (options.title) {
      var title = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](options.title); // Not always an observable

      if (typeof title === 'string' && !options.html) {
        options.title = _utils_hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].escapeOutput(title);
      }
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).tooltip(options);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).tooltip('destroy');
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.truncatedText.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.truncatedText.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].truncatedText = {
  update: function update(element, valueAccessor, allBindingsAccessor) {
    var text = knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](valueAccessor()) ? knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].unwrapObservable(valueAccessor()) : valueAccessor();
    var length = knockout__WEBPACK_IMPORTED_MODULE_0__["utils"].unwrapObservable(allBindingsAccessor().maxLength) || 20;
    var truncated = '';

    if (typeof text !== 'undefined' && text !== null) {
      truncated = text.length > length ? text.substring(0, length) + '...' : text;
    }

    knockout__WEBPACK_IMPORTED_MODULE_0__["bindingHandlers"].text.update(element, function () {
      return truncated;
    });
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.typeahead.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.typeahead.js ***!
  \*****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].typeahead = {
  init: function init(element, valueAccessor) {
    var elem = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor();
    var source = options.nonBindableSource ? options.nonBindableSource : function () {
      var _source = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor.source);

      if (options.extraKeywords) {
        _source = _source.concat(options.extraKeywords.split(' '));
      }

      if (options.sourceSuffix && _source) {
        var _tmp = [];

        _source.forEach(function (item) {
          _tmp.push(item + options.sourceSuffix);
        });

        _source = _tmp;
      }

      return _source;
    };

    if (options.nonBindableSource && options.displayProperty) {
      source = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayMap(options.nonBindableSource(), function (item) {
        return item[options.displayProperty]();
      });
    }

    var _options = {
      source: source,
      onselect: function onselect(val) {
        if (typeof options.target == 'function') {
          options.target(val);
        } else {
          options.target = val;
        }
      }
    };

    function extractor(query, extractorSeparator) {
      var result = /([^ ]+)$/.exec(query);

      if (extractorSeparator) {
        result = new RegExp('([^\\' + extractorSeparator + ']+)$').exec(query);
      }

      if (result && result[1]) {
        return result[1].trim();
      }

      return '';
    }

    if (options.multipleValues) {
      var _extractorFound = null;

      var updateExtractors = function updateExtractors() {
        var _val = elem.val();

        _extractorFound = null;

        var _extractors = typeof options.multipleValuesExtractors == 'undefined' || options.multipleValuesExtractors == null ? [' '] : options.multipleValuesExtractors;

        var _extractorFoundLastIndex = -1;

        _extractors.forEach(function (extractor) {
          if (_val.indexOf(extractor) > -1) {
            if (_val.indexOf(extractor) >= _extractorFoundLastIndex) {
              _extractorFound = extractor;
              _extractorFoundLastIndex = _val.indexOf(extractor);
            }
          }
        });
      };

      _options.updater = function (item) {
        var _val = this.$element.val();

        var _separator = typeof options.multipleValuesSeparator == 'undefined' || options.multipleValuesSeparator == null ? ':' : options.multipleValuesSeparator;

        if (options.extraKeywords && options.extraKeywords.split(' ').indexOf(item) > -1) {
          _separator = '';
        }

        var isSpecialResult = false;

        if (item.indexOf('<i ') > -1) {
          _separator = '';
          isSpecialResult = true;
        }

        updateExtractors();

        if (_extractorFound != null) {
          return (isSpecialResult ? '"' : '') + _val.substring(0, _val.lastIndexOf(_extractorFound)) + _extractorFound + jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(item.replace(/<[^>]*>/gi, '')) + (isSpecialResult ? '"' : '') + _separator;
        } else {
          return (isSpecialResult ? '"' : '') + jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(item.replace(/<[^>]*>/gi, '')) + (isSpecialResult ? '"' : '') + _separator;
        }
      };

      _options.matcher = function (item) {
        updateExtractors();

        var _tquery = extractor(this.query, _extractorFound);

        if (!_tquery) {
          return false;
        }

        return ~item.toLowerCase().indexOf(_tquery.toLowerCase());
      };

      _options.highlighter = function (item) {
        updateExtractors();

        var _query = extractor(this.query, _extractorFound).replace(/[\-\[\]{}()*+?.:\\\^$|#\s]/g, '\\$&');

        var _result = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.trim(item.replace(/<[^>]*>/gi, '')).replace(new RegExp('(' + _query + ')', 'ig'), function ($1, match) {
          return '<strong>' + match + '</strong>';
        });

        if (item.indexOf('<i ') > -1) {
          _result += ' ' + item.substr(item.indexOf('<i '));
        }

        return _result;
      };
    }

    if (options.completeSolrRanges) {
      elem.on('keyup', function (e) {
        if (e.keyCode !== 8 && e.which !== 8 && elem.val() && (elem.val().slice(-1) === '[' || elem.val().slice(-1) === '{')) {
          var _index = elem.val().length;
          elem.val(elem.val() + ' TO ' + (elem.val().slice(-1) === '[' ? ']' : '}'));

          if (element.createTextRange) {
            var range = element.createTextRange();
            range.move('character', _index);
            range.select();
          } else if (element.selectionStart != null) {
            element.focus();
            element.setSelectionRange(_index, _index);
          }
        }
      });
    }

    if (options.triggerOnFocus) {
      _options.minLength = 0;
    }

    element.typeahead = elem.typeahead(_options);

    if (options.triggerOnFocus) {
      elem.on('focus', function () {
        elem.trigger('keyup');
      });
    }

    elem.blur(function () {
      if (typeof options.target == 'function') {
        options.target(elem.val());
      } else {
        options.target = elem.val();
      }
    });
  },
  update: function update(element, valueAccessor) {
    var elem = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var options = valueAccessor();

    if (typeof options.completeSolrRanges === 'undefined') {
      if (typeof options.target == 'function') {
        elem.val(options.target());
      } else {
        elem.val(options.target);
      }
    }

    if (options.forceUpdateSource) {
      element.typeahead.data('typeahead').source = function () {
        var _source = knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(options.source);

        if (options.extraKeywords) {
          _source = _source.concat(options.extraKeywords.split(' '));
        }

        if (options.sourceSuffix && _source) {
          var _tmp = [];

          _source.forEach(function (item) {
            _tmp.push(item + options.sourceSuffix);
          });

          _source = _tmp;
        }

        return _source;
      };
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.verticalSlide.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.verticalSlide.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].verticalSlide = {
  init: function init(element, valueAccessor) {
    if (knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor())) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).show();
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).hide();
    }
  },
  update: function update(element, valueAccessor) {
    if (knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor())) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).slideDown('fast');
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).slideUp('fast');
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/bindings/ko.visibleOnHover.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/bindings/ko.visibleOnHover.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].visibleOnHover = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var selector = options.selector;
    var showTimeout = -1;
    var hideTimeout = -1;
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'visibleOnHover.override', knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(options.override) || false);
    var inside = false;

    var show = function show() {
      if (options.childrenOnly) {
        $element.children(selector).fadeTo('fast', 1);
      } else {
        $element.find(selector).fadeTo('fast', 1);
      }

      window.clearTimeout(hideTimeout);
    };

    var hide = function hide() {
      if (!inside) {
        window.clearTimeout(showTimeout);
        hideTimeout = window.setTimeout(function () {
          if (options.childrenOnly) {
            $element.children(selector).fadeTo('fast', 0);
          } else {
            $element.find(selector).fadeTo('fast', 0);
          }
        }, 10);
      }
    };

    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'visibleOnHover.show', show);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'visibleOnHover.hide', hide);

    if (knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'visibleOnHover.override')) {
      window.setTimeout(show, 1);
    }

    $element.mouseenter(function () {
      showTimeout = window.setTimeout(function () {
        inside = true;
        show();
      }, 300);
    });
    $element.mouseleave(function () {
      window.clearTimeout(showTimeout);
      inside = false;

      if (!knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'visibleOnHover.override')) {
        hide();
      }
    });
  },
  update: function update(element, valueAccessor) {
    if (knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].unwrapObservable(valueAccessor().override)) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'visibleOnHover.override', true);
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'visibleOnHover.show')();
    } else {
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.set(element, 'visibleOnHover.override', false);
      knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domData.get(element, 'visibleOnHover.hide')();
    }
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/DisposableComponent.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/DisposableComponent.js ***!
  \**************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return DisposableComponent; });
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var DisposableComponent =
/*#__PURE__*/
function () {
  function DisposableComponent() {
    _classCallCheck(this, DisposableComponent);

    this.disposals = [];
  }

  _createClass(DisposableComponent, [{
    key: "subscribe",
    value: function subscribe(subscribable, callback) {
      if (typeof subscribable === 'string') {
        var pubSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_0__["default"].subscribe(subscribable, callback);
        this.disposals.push(function () {
          pubSub.remove();
        });
      } else if (subscribable.subscribe) {
        var sub = subscribable.subscribe(callback);
        this.disposals.push(function () {
          sub.dispose();
        });
      }
    }
  }, {
    key: "addDisposalCallback",
    value: function addDisposalCallback(callback) {
      this.disposals.push(callback);
    }
  }, {
    key: "dispose",
    value: function dispose() {
      while (this.disposals.length) {
        try {
          this.disposals.pop()();
        } catch (err) {
          console.warn(err);
        }
      }
    }
  }]);

  return DisposableComponent;
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/appSwitcher/apps.v2.json":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/appSwitcher/apps.v2.json ***!
  \****************************************************************************/
/*! exports provided: 0, 1, 2, 3, 4, 5, 6, 7, default */
/***/ (function(module) {

module.exports = JSON.parse("[{\"name\":\"home\",\"displayName\":\"Home\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"cdp-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#FF8400\\\" stop-opacity=\\\".975\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#AD4B00\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#cdp-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M82.12 47.5L39.832 75.138l4.17 6.355 7.793-5.092V116.5h60.643V76.401l7.558 4.865 4.17-6.355L82.119 47.5zM59.376 71.45l22.742-14.871 22.74 14.87v37.485H93.49V78.671H70.744v30.263H59.377V71.45zm18.948 37.484h7.585V86.237h-7.585v22.697z\\\"/></g></svg>\",\"baseUrl\":\"altus\",\"path\":\"/cdp.html#/\"},{\"name\":\"dataHub\",\"displayName\":\"Data Hub Clusters\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"data-hub-lg-gradient\\\" x1=\\\"26.767%\\\" y1=\\\"31.124%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#ED1978\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#8F2068\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#data-hub-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M79.775 88.444c.552.234 1.104.339 1.725.339s1.173-.105 1.725-.306c2.001-.678 3.45-2.577 3.45-4.781 0-2.815-2.311-5.087-5.175-5.087s-5.175 2.272-5.175 5.087a5.003 5.003 0 0 0 3.45 4.748M116 114.217c0 3.727-3.105 6.783-6.9 6.783-3.795 0-6.9-3.056-6.9-6.783 0-3.153 2.208-5.799 5.175-6.545v-5.324H83.191l-.035 5.287c3.001.75 5.244 3.429 5.244 6.582 0 3.727-3.105 6.783-6.9 6.783-3.795 0-6.9-3.056-6.9-6.783 0-3.12 2.174-5.768 5.106-6.545l.034-5.324H55.626v5.324c2.967.746 5.175 3.392 5.175 6.545 0 3.727-3.105 6.783-6.9 6.783-3.795 0-6.9-3.056-6.9-6.783 0-3.153 2.208-5.799 5.175-6.545v-8.715h27.566V93.7c-4.865-.783-8.591-4.951-8.591-10.004 0-5.633 4.623-10.174 10.35-10.174 5.727 0 10.35 4.54 10.35 10.174 0 5.053-3.76 9.258-8.66 10.038v5.223h27.635v8.715c2.967.746 5.175 3.392 5.175 6.545m0-39.298c0 7.342-6.434 13.297-14.376 13.297H93.55c.552-1.407.886-2.926.886-4.52 0-.777-.096-1.526-.23-2.262h7.417c4.123 0 7.476-2.924 7.476-6.515 0-2.967-2.515-5.355-4.599-5.355h-6.9v-6.782c.328-18.028-22.78-16.251-22.628-1.696-2.857.01-4.972 0-4.972 0-1.78 0-4.602 1.228-4.602 4.524v6.783h-6.9c-1.746 0-4.599 2.896-4.599 5.185 0 2.126 2.063 3.856 4.599 3.856h10.295a12.514 12.514 0 0 0-.231 2.262c0 1.594.334 3.113.886 4.52H58.5c-6.353 0-11.5-4.764-11.5-10.638C47 71.7 52.751 65.61 58.499 65.61c0-6.986 5.748-11.307 11.502-11.307C72.875 45.825 80.961 42.98 87.251 43c8.625.024 17.25 8.478 17.25 19.782 6.048 0 11.499 5.605 11.499 12.137\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/cloud/workloads\"},{\"name\":\"dwx\",\"displayName\":\"Data Warehouse\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"data-warehouse-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#8263C2\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#33058D\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#data-warehouse-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M91.29 91.292c-9.105 9.096-23.914 9.096-33.02 0-6.03-6.035-7.976-14.556-6.01-22.284l12.135 12.14c.39.385.88.657 1.417.782l17.015 3.868c.214.05.432.07.646.07.767 0 1.51-.3 2.063-.853a2.93 2.93 0 0 0 .786-2.712L82.45 65.29a2.942 2.942 0 0 0-.786-1.417L69.816 52.024c7.502-1.622 15.65.432 21.474 6.25 9.102 9.104 9.102 23.913 0 33.018zM77.026 67.767l2.572 11.31-11.312-2.571 8.74-8.739zm-13.008 4.75l-9.101-9.1 9.02-9.02L73.04 63.5l-9.023 9.019zm35.335 21.335c9.474-12.202 8.638-29.879-2.56-41.08-12.137-12.14-31.888-12.14-44.024 0-12.136 12.135-12.136 31.885 0 44.021 6.066 6.07 14.039 9.101 22.012 9.101a31.07 31.07 0 0 0 19.07-6.54l20.98 20.98 5.502-5.502-20.98-20.98z\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/dwx/\"},{\"name\":\"ml\",\"displayName\":\"Machine Learning\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"machine-learning-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#22BCB9\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#066584\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#machine-learning-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M102.748 47.5c4.141 0 7.63 1.188 10.124 3.642 6.02 6.056 4.295 18.208-3.298 30.858 7.593 12.65 9.318 24.802 3.298 30.858-2.493 2.454-5.983 3.642-10.124 3.642-5.676 0-12.502-2.223-19.562-6.248-.38-.192-.763-.422-1.185-.69-2.377-1.457-5.526-3.642-7.056-4.83-2.837-2.185-5.675-4.6-8.36-7.322-2.53-2.492-4.793-5.098-6.864-7.743a7.19 7.19 0 0 0-.46-.575l-.282-.423C57.75 86.818 55.42 83.168 54.425 82c-7.589-12.65-9.314-24.802-3.294-30.858 2.489-2.454 5.982-3.642 10.124-3.642 5.982 0 13.268 2.492 20.746 6.938 1.573.729 5.714 3.795 7.056 4.83 2.838 2.185 5.676 4.6 8.356 7.322a82.846 82.846 0 0 1 5.565 6.133c-.269.805-3.298 4.677-4.564 6.517a77.5 77.5 0 0 0-6.404-7.245c-2.953-2.952-5.905-5.443-8.824-7.552-.226-.153-.686-.46-1.223-.843-1.956-1.265-5.407-3.412-7.018-4.332-.038 0-.08-.038-.08-.038-.226-.115-.38-.192-.533-.268-5.177-2.607-9.74-3.795-13.077-3.795-1.496 0-3.528.23-4.678 1.418-2.416 2.377-1.88 9.277 2.377 17.748l.238.476.069.138c.997 1.725 3.068 5.213 4.333 7.015a.036.036 0 0 0-.037.028l-.001.01.345.46c2.224 3.143 4.905 6.363 8.088 9.545a75.156 75.156 0 0 0 8.082 6.982l.665.493v.038c.23.192.686.499 1.265.882a100.552 100.552 0 0 0 6.672 4.064l.419.23-.035.038c.035.038.077.038.115.038.039 0 .039 0 .073.038.733.384 1.385.729 1.918.959 4.567 2.07 8.555 3.066 11.585 3.066 1.495 0 3.528-.23 4.678-1.418 2.493-2.453 1.84-9.622-2.684-18.362-2.186 2.837-4.602 5.674-7.329 8.357-1.836 1.84-3.715 3.565-5.633 5.098-2.07-.92-5.599-2.568-7.593-3.68 2.608-1.955 5.216-4.216 7.823-6.823 3.336-3.335 6.136-6.708 8.433-10.005.732-.997 3.03-4.868 4.26-7.13 0 .038 0 .038.039.077.191-.384.383-.767.537-1.112.038-.115.11-.23.153-.307 3.912-8.088 4.333-14.643 1.994-16.943-1.15-1.188-3.183-1.418-4.678-1.418-2.991 0-6.903.958-11.39 2.951-1.035-1.188-4.337-4.063-6.672-5.213 6.519-3.488 12.808-5.405 18.062-5.405zM52.817 84.875c1.227 1.84 3.681 5.213 5.138 6.862-3.332 7.513-3.605 13.493-1.38 15.678 1.15 1.188 3.186 1.418 4.678 1.418 2.957 0 6.792-.92 11.198-2.875 1.346 1.534 3.835 4.179 6.097 5.482-6.25 3.258-12.23 5.06-17.295 5.06-4.141 0-7.631-1.188-10.12-3.642-5.564-5.596-4.529-16.406 1.684-27.983zM82 74.322c1.956 0 3.911.76 5.407 2.273a7.565 7.565 0 0 1 0 10.81A7.577 7.577 0 0 1 82 89.679a7.577 7.577 0 0 1-5.407-2.274 7.565 7.565 0 0 1 0-10.81A7.577 7.577 0 0 1 82 74.322zm-9.666-12.945a47.656 47.656 0 0 1 4.909 2.3c.345.153.694.341.997.537.614.345 1.154.651 1.572.958-2.604 1.955-5.211 4.217-7.823 6.823a79.95 79.95 0 0 0-6.285 7.054c-1.342-1.614-3.34-4.179-4.333-5.559-.154-.214-.283-.38-.387-.516l-.074-.097v-.038c1.76-2.147 3.605-4.217 5.672-6.249 1.88-1.878 3.797-3.641 5.752-5.213z\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/ml/\"},{\"name\":\"wxm\",\"displayName\":\"Workload Manager\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"workload-manager-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#5667FF\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#111B99\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#workload-manager-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M74.333 112.667h15.334V51.333H74.333v61.334zm30.667 0h15.333v-46H105v46zm-61.333 0H59V82H43.667v30.667z\\\"/></g></svg>\",\"baseUrl\":\"altus\",\"path\":\"/wxm/\"},{\"name\":\"dmx\",\"displayName\":\"Replication Manager\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"replication-manager-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#488CCB\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#19457E\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#replication-manager-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M78.167 47.5V59h7.666v-3.833h26.834V82H105v7.667h15.333V47.5H78.167zM70.5 66.667v7.666h13.746L65.271 93.308l5.42 5.42 18.976-18.974V93.5h7.666V66.667H70.5zm-26.833 7.666V116.5h42.166v-15.333h-7.666v7.666H51.333V82h11.5v-7.667H43.667z\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/dmx/\",\"entitlement\":\"DMX_BETA_ENTITLEMENT\"},{\"name\":\"dataCatalog\",\"displayName\":\"Data Catalog\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"data-catalog-lg-gradient\\\" x1=\\\"26.347%\\\" y1=\\\"30.729%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#F2B50E\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#B36820\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#data-catalog-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M88.6 78.448c6.704 0 12.124 5.432 12.124 12.104 0 6.712-5.42 12.144-12.124 12.144-6.66 0-12.084-5.432-12.084-12.144 0-6.672 5.424-12.104 12.084-12.104zm16.54 23.16a19.874 19.874 0 0 0 3.332-11.056c0-10.94-8.912-19.86-19.872-19.86-10.92 0-19.828 8.92-19.828 19.86 0 10.98 8.908 19.904 19.828 19.904 4.104 0 7.904-1.244 11.04-3.336L112.5 120l5.5-5.508-12.86-12.884zM54.792 53.196c2.94-1.128 8.944-2.368 17.856-2.368 8.904 0 14.908 1.24 17.852 2.368-9.488 3.06-26.22 3.06-35.708 0zM72.648 44C64.628 44 46 45.008 46 54.008v41.124c0 3.8 3.332 6.592 9.836 8.224 3.836.972 8.752 1.592 14.06 1.744a23.516 23.516 0 0 1-3.756-7.02c-7.904-.62-12.396-2.248-13.324-3.26v-7.524c3.484 1.124 7.668 1.9 12.12 2.288.08-2.02.392-3.916.968-5.78-5.072-.392-9.756-1.32-13.088-2.716v-8.496c4.876 1.592 11.228 2.48 17.7 2.636a24.428 24.428 0 0 1 7.704-6.012c-9.18.656-19.44-.312-25.404-2.796v-7.756c5.42 1.784 12.624 2.676 19.832 2.676 7.2 0 14.404-.892 19.828-2.676v8.496c1.16.156 2.324.424 3.408.816 1.2.388 2.32.852 3.408 1.392v-15.36c0-9-18.628-10.008-26.644-10.008z\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/dss/catalog/search\"},{\"name\":\"serviceManager\",\"displayName\":\"Management Console\",\"logo\":\"<svg xmlns=\\\"http://www.w3.org/2000/svg\\\" width=\\\"40\\\" height=\\\"40\\\" viewBox=\\\"0 0 192 192\\\"><defs><linearGradient id=\\\"management-console-lg-gradient\\\" x1=\\\"26.465%\\\" y1=\\\"30.841%\\\" y2=\\\"100%\\\"><stop offset=\\\"0%\\\" stop-color=\\\"#008CFF\\\"/><stop offset=\\\"100%\\\" stop-color=\\\"#004496\\\"/></linearGradient></defs><g fill=\\\"none\\\" fill-rule=\\\"evenodd\\\"><path fill=\\\"url(#management-console-lg-gradient)\\\" d=\\\"M20 20v152h100.645L172 120.645V20z\\\"/><path fill=\\\"#FFF\\\" d=\\\"M109.757 100.002l6.743 3.963L82 124.167l-34.5-20.202 6.747-3.963L82 116.25l27.757-16.247zm-5.984-15.35l12.727 7.473-7.245 4.254-3.105 1.834-.498.299-6.747 3.955-3.105 1.797v.033l-7.245 4.183L82 112.33l-6.555-3.85-7.245-4.183v-.033l-3.105-1.797-6.743-3.955-.502-.299-3.105-1.834-7.245-4.254 12.727-7.473 7.245 4.258-5.52 3.215L82 103.886l20.048-11.76-5.52-3.216 2.377-1.382 4.868-2.876zM86.87 39.833l.851 4.966c.996.31 1.964.702 2.894 1.17l4.204-2.929 6.888 6.714-3.003 4.096c.48.906.883 1.85 1.2 2.817L105 57.5v9.488l-5.097.829c-.317.97-.72 1.913-1.2 2.817l3.003 4.098-6.888 6.712-4.204-2.927c-.93.466-1.898.858-2.894 1.17l-.85 4.966h-9.74l-.85-4.966a19.317 19.317 0 0 1-2.893-1.17l-4.205 2.927-6.888-6.712 3.003-4.098a17.732 17.732 0 0 1-1.2-2.817L59 66.986V57.5l5.097-.832a17.91 17.91 0 0 1 1.2-2.817l-3.003-4.096 6.888-6.714 4.205 2.929a18.95 18.95 0 0 1 2.893-1.17l.85-4.966h9.74zM82 51.038c-6.343 0-11.5 5.025-11.5 11.205S75.657 73.447 82 73.447s11.5-5.025 11.5-11.204c0-6.18-5.157-11.205-11.5-11.205z\\\"/></g></svg>\",\"baseUrl\":\"mow\",\"path\":\"/cloud/environments\"}]");

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/appSwitcher/environment.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/appSwitcher/environment.js ***!
  \******************************************************************************/
/*! exports provided: getAltusBaseUrl, getMowBaseUrl */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getAltusBaseUrl", function() { return getAltusBaseUrl; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getMowBaseUrl", function() { return getMowBaseUrl; });
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
var Environment = {
  MOCK: 'MOCK',
  LOCAL: 'LOCAL',
  DEV: 'DEV',
  INT: 'INT',
  STAGE: 'STAGE',
  PROD: 'PROD'
};
/**
 * Returns environment type based on current url.
 * E.g., PROD is returned for localhost.altus.cloudera.com
 * Default to PROD
 * @param environmentBaseUrl
 */

var getEnvironment = function getEnvironment(environmentBaseUrl) {
  var hostName = environmentBaseUrl || window.location.hostname;

  if (hostName.indexOf('localhost.') > -1) {
    return Environment.LOCAL;
  }

  if (hostName.indexOf('-dev.cloudera.com') > -1) {
    return Environment.DEV;
  }

  if (hostName.indexOf('-int.cloudera.com') > -1) {
    return Environment.INT;
  }

  if (hostName.indexOf('-stage.cloudera.com') > -1) {
    return Environment.STAGE;
  }

  return Environment.PROD;
};

var getAltusBaseUrl = function getAltusBaseUrl() {
  var environment = getEnvironment(window.APP_SWITCHER_ALTUS_BASE_URL);

  switch (environment) {
    case Environment.MOCK:
      return '';

    case Environment.LOCAL:
      return '';

    case Environment.DEV:
      return 'https://console.thunderhead-dev.cloudera.com';

    case Environment.INT:
      return 'https://console.thunderhead-int.cloudera.com';

    case Environment.STAGE:
      return 'https://console.thunderhead-stage.cloudera.com';

    case Environment.PROD:
      return window.APP_SWITCHER_ALTUS_BASE_URL || 'https://console.altus.cloudera.com';
  }
};
var getMowBaseUrl = function getMowBaseUrl() {
  var environment = getEnvironment(window.APP_SWITCHER_MOW_BASE_URL);

  switch (environment) {
    case Environment.MOCK:
    case Environment.LOCAL:
    case Environment.DEV:
      return 'https://cloudera.dps.mow-dev.cloudera.com';

    case Environment.INT:
      return 'https://cloudera.cdp.mow-int.cloudera.com';

    case Environment.STAGE:
      return 'https://cloudera.cdp.mow-stage.cloudera.com';

    case Environment.PROD:
      return window.APP_SWITCHER_MOW_BASE_URL || 'https://cloudera.us-west-1.cdp.cloudera.com';
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/appSwitcher/ko.appSwitcher.js":
/*!*********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/appSwitcher/ko.appSwitcher.js ***!
  \*********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var ko_components_appSwitcher_apps_v2__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ko/components/appSwitcher/apps.v2 */ "./desktop/core/src/desktop/js/ko/components/appSwitcher/apps.v2.json");
var ko_components_appSwitcher_apps_v2__WEBPACK_IMPORTED_MODULE_2___namespace = /*#__PURE__*/__webpack_require__.t(/*! ko/components/appSwitcher/apps.v2 */ "./desktop/core/src/desktop/js/ko/components/appSwitcher/apps.v2.json", 1);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _environment__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./environment */ "./desktop/core/src/desktop/js/ko/components/appSwitcher/environment.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var TEMPLATE = "\n  <div class=\"hue-sidebar-header\">\n    <a class=\"hue-app-switcher-trigger\" data-bind=\"toggle: open\"><svg class=\"show\"><use xlink:href=\"#hi-app-picker\"></use></svg></a>\n    <div class=\"hue-app-switcher-logo\"><svg><use xlink:href=\"#hi-sidebar-logo\"></use></svg></div>\n  </div>\n\n  <div class=\"hue-app-switcher\" data-bind=\"css: { 'open': open }\">\n    <div class=\"app-switcher-header\">\n      <svg class=\"show\"><use xlink:href=\"#hi-cdp-logo\"></use></svg>\n      <a href=\"javascript: void(0);\" class=\"close\" data-bind=\"toggle: open\">&times;</a></form>\n    </div>\n\n    <ul data-bind=\"foreach: links\">\n      <li><a data-bind=\"attr: { href: url }\"><i data-bind=\"html: svg\"></i><span data-bind=\"text: label\"></span></a></li>\n    </ul>\n  </div>\n";

var getUrl = function getUrl(baseUrl, path) {
  if (baseUrl === 'mow') {
    return Object(_environment__WEBPACK_IMPORTED_MODULE_4__["getMowBaseUrl"])() + path;
  } else if (baseUrl === 'altus') {
    return Object(_environment__WEBPACK_IMPORTED_MODULE_4__["getAltusBaseUrl"])() + path;
  }

  console.warn('Could not find baseUrl for "' + baseUrl + '", using relative link instead.');
  return path;
};

var AppSwitcher = function AppSwitcher() {
  var _this = this;

  this.links = ko_components_appSwitcher_apps_v2__WEBPACK_IMPORTED_MODULE_2__.map(function (app) {
    return {
      label: app.displayName,
      svg: app.logo,
      url: getUrl(app.baseUrl, app.path)
    };
  });
  this.open = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

  var closeOnClickOutside = function closeOnClickOutside(event) {
    if (!_this.open()) {
      return;
    }

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(document, event.target) && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-app-switcher')[0], event.target)) {
      _this.open(false);
    }
  };

  this.open.subscribe(function (newVal) {
    if (newVal) {
      window.setTimeout(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click', closeOnClickOutside);
      }, 0);
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click', closeOnClickOutside);
    }
  });
};

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent('hue-app-switcher', AppSwitcher, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js ***!
  \***************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var findNameInHierarchy = function findNameInHierarchy(entry, searchCondition) {
  var sourceType = entry.sourceType;

  while (entry && !searchCondition(entry)) {
    entry = entry.parent;
  }

  if (entry) {
    return _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_3__["default"].backTickIfNeeded(sourceType, entry.catalogEntry.name);
  }
};

var AssistDbEntry =
/*#__PURE__*/
function () {
  /**
   * @param {DataCatalogEntry} catalogEntry
   * @param {AssistDbEntry} parent
   * @param {AssistDbNamespace} assistDbNamespace
   * @param {Object} filter
   * @param {function} filter.querySpec (observable)
   * @param {Object} i18n
   * @param {string} i18n.errorLoadingTablePreview
   * @param {Object} navigationSettings
   * @constructor
   */
  function AssistDbEntry(catalogEntry, parent, assistDbNamespace, filter, i18n, navigationSettings) {
    _classCallCheck(this, AssistDbEntry);

    var self = this;
    self.catalogEntry = catalogEntry;
    self.parent = parent;
    self.assistDbNamespace = assistDbNamespace;
    self.filter = filter;
    self.i18n = i18n;
    self.navigationSettings = navigationSettings;
    self.sourceType = assistDbNamespace.sourceType;
    self.invalidateOnRefresh = assistDbNamespace.invalidateOnRefresh;
    self.expandable = self.catalogEntry.hasPossibleChildren();
    self.filterColumnNames = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.highlight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.popularity = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.loaded = false;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.open = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.statsVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.iconClass = '';

    if (!self.navigationSettings.rightAssist) {
      if (self.sourceType === 'solr') {
        self.iconClass = 'fa-search';
      } else if (self.sourceType === 'kafka') {
        self.iconClass = 'fa-sitemap';
      } else if (self.catalogEntry.isView()) {
        self.iconClass = 'fa-eye';
      } else {
        self.iconClass = 'fa-table';
      }
    }

    self.open.subscribe(function (newValue) {
      if (newValue && self.entries().length === 0) {
        self.loadEntries();
      }
    });
    self.hasEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.entries().length > 0;
    });
    self.filteredEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var facets = self.filter.querySpec().facets;
      var facetMatch = !facets || Object.keys(facets).length === 0 || !facets['type']; // So far only type facet is used for SQL
      // Only text match on tables/views or columns if flag is set

      var textMatch = !self.catalogEntry.isDatabase() && !self.filterColumnNames() || !self.filter.querySpec().text || self.filter.querySpec().text.length === 0;

      if (facetMatch && textMatch) {
        return self.entries();
      }

      return self.entries().filter(function (entry) {
        var match = true;

        if (match && !facetMatch) {
          if (entry.catalogEntry.isField()) {
            match = Object.keys(facets['type']).length === 2 && facets['type']['table'] && facets['type']['view'] || Object.keys(facets['type']).length === 1 && (facets['type']['table'] || facets['type']['view']) || facets['type'][entry.catalogEntry.getType()];
          } else if (entry.catalogEntry.isTableOrView()) {
            match = !facets['type']['table'] && !facets['type']['view'] || facets['type']['table'] && entry.catalogEntry.isTable() || facets['type']['view'] && entry.catalogEntry.isView();
          }
        }

        if (match && !textMatch) {
          var nameLower = entry.catalogEntry.name.toLowerCase();
          match = self.filter.querySpec().text.every(function (text) {
            return nameLower.indexOf(text.toLowerCase()) !== -1;
          });
        }

        return match;
      });
    });

    self.autocompleteFromEntries = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.entries().forEach(function (entry) {
        if (entry.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + entry.catalogEntry.name.substring(partial.length));
        }
      });
      return result;
    };

    self.tableName = null;
    self.columnName = null;
    self.type = null;
    self.databaseName = self.getHierarchy()[0];

    if (self.catalogEntry.isTableOrView()) {
      self.tableName = self.catalogEntry.name;
      self.columnName = null;
      self.type = self.catalogEntry.getType();
    } else if (self.catalogEntry.isColumn()) {
      self.tableName = parent.catalogEntry.name;
      self.columnName = self.catalogEntry.name;
    }

    self.editorText = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (self.catalogEntry.isTableOrView()) {
        return self.getTableName();
      }

      if (self.catalogEntry.isColumn()) {
        return self.getColumnName() + ', ';
      }

      return self.getComplexName() + ', ';
    });
  }

  _createClass(AssistDbEntry, [{
    key: "knownFacetValues",
    value: function knownFacetValues() {
      var self = this;
      var types = {};

      if (self.parent === null) {
        // Only find facets on the DB level
        self.entries().forEach(function (tableEntry) {
          if (!self.assistDbNamespace.nonSqlType) {
            if (tableEntry.catalogEntry.isTable()) {
              types.table = types.table ? types.table + 1 : 1;
            } else if (tableEntry.catalogEntry.isView()) {
              types.view = types.view ? types.view + 1 : 1;
            }
          }

          if (tableEntry.open()) {
            tableEntry.entries().forEach(function (colEntry) {
              if (!types[colEntry.catalogEntry.getType()]) {
                types[colEntry.catalogEntry.getType()] = 1;
              } else {
                types[colEntry.catalogEntry.getType()]++;
              }
            });
          }
        });
      }

      if (Object.keys(types).length) {
        return {
          type: types
        };
      }

      return {};
    }
  }, {
    key: "getDatabaseName",
    value: function getDatabaseName() {
      return findNameInHierarchy(this, function (entry) {
        return entry.catalogEntry.isDatabase();
      });
    }
  }, {
    key: "getTableName",
    value: function getTableName() {
      return findNameInHierarchy(this, function (entry) {
        return entry.catalogEntry.isTableOrView();
      });
    }
  }, {
    key: "getColumnName",
    value: function getColumnName() {
      return findNameInHierarchy(this, function (entry) {
        return entry.catalogEntry.isColumn();
      });
    }
  }, {
    key: "getComplexName",
    value: function getComplexName() {
      var entry = this;
      var sourceType = entry.sourceType;
      var parts = [];

      while (entry != null) {
        if (entry.catalogEntry.isTableOrView()) {
          break;
        }

        if (entry.catalogEntry.isArray() || entry.catalogEntry.isMapValue()) {
          if (sourceType === 'hive') {
            parts.push('[]');
          }
        } else {
          parts.push(_sql_sqlUtils__WEBPACK_IMPORTED_MODULE_3__["default"].backTickIfNeeded(sourceType, entry.catalogEntry.name));
          parts.push('.');
        }

        entry = entry.parent;
      }

      parts.reverse();
      return parts.slice(1).join('');
    }
  }, {
    key: "showContextPopover",
    value: function showContextPopover(entry, event, positionAdjustment) {
      var self = this;
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target);
      var offset = $source.offset();

      if (positionAdjustment) {
        offset.left += positionAdjustment.left;
        offset.top += positionAdjustment.top;
      }

      self.statsVisible(true);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.show', {
        data: {
          type: 'catalogEntry',
          catalogEntry: self.catalogEntry
        },
        showInAssistEnabled: !!self.navigationSettings.rightAssist,
        orientation: self.navigationSettings.rightAssist ? 'left' : 'right',
        pinEnabled: self.navigationSettings.pinEnabled,
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 3,
          right: offset.left + $source.width() + 1,
          bottom: offset.top + $source.height() - 3
        }
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribeOnce('context.popover.hidden', function () {
        self.statsVisible(false);
      });
    }
  }, {
    key: "triggerRefresh",
    value: function triggerRefresh() {
      var self = this;
      self.catalogEntry.clearCache({
        invalidate: self.invalidateOnRefresh(),
        cascade: true
      });
    }
  }, {
    key: "highlightInside",
    value: function highlightInside(path) {
      var self = this;

      var searchEntry = function searchEntry() {
        var foundEntry;
        self.entries().forEach(function (entry) {
          entry.highlight(false);

          if (entry.catalogEntry.name === path[0]) {
            foundEntry = entry;
          }
        });

        if (foundEntry) {
          if (foundEntry.expandable && !foundEntry.open()) {
            foundEntry.open(true);
          }

          window.setTimeout(function () {
            if (path.length > 1) {
              foundEntry.highlightInside(path.slice(1));
            } else {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribeOnce('assist.db.scrollToComplete', function () {
                foundEntry.highlight(true); // Timeout is for animation effect

                window.setTimeout(function () {
                  foundEntry.highlight(false);
                }, 1800);
              });
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.db.scrollTo', foundEntry);
            }
          }, 0);
        }
      };

      if (self.entries().length === 0) {
        if (self.loading()) {
          var subscription = self.loading.subscribe(function (newVal) {
            if (!newVal) {
              subscription.dispose();
              searchEntry();
            }
          });
        } else {
          self.loadEntries(searchEntry);
        }
      } else {
        searchEntry();
      }
    }
  }, {
    key: "loadEntries",
    value: function loadEntries(callback) {
      var self = this;

      if (!self.expandable || self.loading()) {
        return;
      }

      self.loading(true);
      var loadEntriesDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      var successCallback = function successCallback(sourceMeta) {
        self.entries([]);

        if (!sourceMeta.notFound) {
          self.catalogEntry.getChildren({
            silenceErrors: self.navigationSettings.rightAssist
          }).done(function (catalogEntries) {
            self.hasErrors(false);
            self.loading(false);
            self.loaded = true;

            if (catalogEntries.length === 0) {
              self.entries([]);
              return;
            }

            var newEntries = [];
            catalogEntries.forEach(function (catalogEntry) {
              newEntries.push(self.createEntry(catalogEntry));
            });

            if (sourceMeta.type === 'array') {
              self.entries(newEntries);
              self.entries()[0].open(true);
            } else {
              self.entries(newEntries);
            }

            loadEntriesDeferred.resolve(newEntries);

            if (typeof callback === 'function') {
              callback();
            }
          }).fail(function () {
            self.loading(false);
            self.loaded = true;
            self.hasErrors(true);
          });

          if (!self.assistDbNamespace.nonSqlType) {
            self.catalogEntry.loadNavigatorMetaForChildren({
              silenceErrors: self.navigationSettings.rightAssist
            });
          }
        } else {
          self.hasErrors(true);
          self.loading(false);
          self.loaded = true;

          if (typeof callback === 'function') {
            callback();
          }
        }
      };

      var errorCallback = function errorCallback() {
        self.hasErrors(true);
        self.loading(false);
        self.loaded = true;
        loadEntriesDeferred.resolve([]);
      };

      if (!self.navigationSettings.rightAssist && HAS_OPTIMIZER && (self.catalogEntry.isTable() || self.catalogEntry.isDatabase()) && !self.assistDbNamespace.nonSqlType) {
        self.catalogEntry.loadNavOptPopularityForChildren({
          silenceErrors: true
        }).done(function () {
          loadEntriesDeferred.done(function () {
            if (!self.hasErrors()) {
              self.entries().forEach(function (entry) {
                if (entry.catalogEntry.navOptPopularity) {
                  if (entry.catalogEntry.navOptPopularity.popularity) {
                    entry.popularity(entry.catalogEntry.navOptPopularity.popularity);
                  } else if (entry.catalogEntry.navOptPopularity.column_count) {
                    entry.popularity(entry.catalogEntry.navOptPopularity.column_count);
                  } else if (entry.catalogEntry.navOptPopularity.selectColumn) {
                    entry.popularity(entry.catalogEntry.navOptPopularity.selectColumn.columnCount);
                  }
                }
              });
            }
          });
        });
      }

      self.catalogEntry.getSourceMeta({
        silenceErrors: self.navigationSettings.rightAssist
      }).done(successCallback).fail(errorCallback);
    }
    /**
     * @param {DataCatalogEntry} catalogEntry
     */

  }, {
    key: "createEntry",
    value: function createEntry(catalogEntry) {
      var self = this;
      return new AssistDbEntry(catalogEntry, self, self.assistDbNamespace, self.filter, self.i18n, self.navigationSettings);
    }
  }, {
    key: "getHierarchy",
    value: function getHierarchy() {
      var self = this;
      return self.catalogEntry.path.concat();
    }
  }, {
    key: "dblClick",
    value: function dblClick() {
      var self = this;

      if (self.catalogEntry.isTableOrView()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('editor.insert.table.at.cursor', {
          name: self.getTableName(),
          database: self.getDatabaseName()
        });
      } else if (self.catalogEntry.isColumn()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('editor.insert.column.at.cursor', {
          name: self.getColumnName(),
          table: self.getTableName(),
          database: self.getDatabaseName()
        });
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('editor.insert.column.at.cursor', {
          name: self.getComplexName(),
          table: self.getTableName(),
          database: self.getDatabaseName()
        });
      }
    }
  }, {
    key: "explore",
    value: function explore(isSolr) {
      var self = this;

      if (isSolr) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', '/hue/dashboard/browse/' + self.catalogEntry.name);
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', '/hue/dashboard/browse/' + self.getDatabaseName() + '.' + self.getTableName() + '?engine=' + self.assistDbNamespace.sourceType);
      }
    }
  }, {
    key: "openInMetastore",
    value: function openInMetastore() {
      var self = this;
      var url;

      if (self.catalogEntry.isDatabase()) {
        url = '/metastore/tables/' + self.catalogEntry.name + '?source=' + self.catalogEntry.getSourceType() + '&namespace=' + self.catalogEntry.namespace.id;
      } else if (self.catalogEntry.isTableOrView()) {
        url = '/metastore/table/' + self.parent.catalogEntry.name + '/' + self.catalogEntry.name + '?source=' + self.catalogEntry.getSourceType() + '&namespace=' + self.catalogEntry.namespace.id;
      } else {
        return;
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', url);
    }
  }, {
    key: "openInIndexer",
    value: function openInIndexer() {
      var self = this;
      var definitionName = self.catalogEntry.name;

      if (window.IS_NEW_INDEXER_ENABLED) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', '/indexer/indexes/' + definitionName);
      } else {
        var hash = '#edit/' + definitionName;

        if (window.location.pathname.startsWith('/hue/indexer') && !window.location.pathname.startsWith('/hue/indexer/importer')) {
          window.location.hash = hash;
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribeOnce('app.gained.focus', function (app) {
            if (app === 'indexes') {
              window.setTimeout(function () {
                window.location.hash = hash;
              }, 0);
            }
          });
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', '/indexer');
        }
      }
    }
  }, {
    key: "toggleOpen",
    value: function toggleOpen() {
      var self = this;
      self.open(!self.open());
    }
  }, {
    key: "openItem",
    value: function openItem() {
      var self = this;

      if (self.catalogEntry.isTableOrView()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.table.selected', {
          sourceType: self.assistDbNamespace.sourceType,
          namespace: self.assistDbNamespace.namespace,
          database: self.databaseName,
          name: self.catalogEntry.name
        });
      } else if (self.catalogEntry.isDatabase()) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.database.selected', {
          sourceType: self.assistDbNamespace.sourceType,
          namespace: self.assistDbNamespace.namespace,
          name: self.catalogEntry.name
        });
      }
    }
  }]);

  return AssistDbEntry;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistDbEntry);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistDbNamespace.js":
/*!*******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistDbNamespace.js ***!
  \*******************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./assistDbEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var AssistDbNamespace =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Object} options.i18n
   * @param {string} options.sourceType
   * @param {ContextNamespace} options.namespace
   * @param {boolean} options.nonSqlType - Optional, default false
   * @param {Object} options.navigationSettings
   * @constructor
   */
  function AssistDbNamespace(options) {
    _classCallCheck(this, AssistDbNamespace);

    var self = this;
    self.i18n = options.i18n;
    self.navigationSettings = options.navigationSettings;
    self.sourceType = options.sourceType;
    self.nonSqlType = options.nonSqlType;
    self.namespace = options.namespace;
    self.status = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.namespace.status); // TODO: Compute selection in assist?

    self.compute = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    if (self.namespace.computes.length) {
      self.compute(self.namespace.computes[0]);
    }

    self.name = options.namespace.name;
    self.dbIndex = {};
    self.databases = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.selectedDatabase = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.highlight = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadedPromise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    self.loadedDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    self.loaded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.reloading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.invalidateOnRefresh = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('cache');
    self.loadingTables = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return typeof self.selectedDatabase() !== 'undefined' && self.selectedDatabase() !== null && self.selectedDatabase().loading();
    });
    self.filter = {
      querySpec: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({}).extend({
        rateLimit: 300
      })
    };
    self.hasEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.databases().length > 0;
    });
    self.filteredEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.filter.querySpec() || typeof self.filter.querySpec().query === 'undefined' || !self.filter.querySpec().query) {
        return self.databases();
      }

      return self.databases().filter(function (database) {
        return database.catalogEntry.name.toLowerCase().indexOf(self.filter.querySpec().query.toLowerCase()) !== -1;
      });
    });

    self.autocompleteFromEntries = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.databases().forEach(function (db) {
        if (db.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + db.catalogEntry.name.substring(partial.length));
        }
      });
      return result;
    };

    self.selectedDatabase.subscribe(function () {
      var db = self.selectedDatabase();

      if (window.HAS_OPTIMIZER && db && !db.popularityIndexSet && !self.nonSqlType) {
        db.catalogEntry.loadNavOptPopularityForChildren({
          silenceErrors: true
        }).done(function () {
          var applyPopularity = function applyPopularity() {
            db.entries().forEach(function (entry) {
              if (entry.catalogEntry.navOptPopularity && entry.catalogEntry.navOptPopularity.popularity >= 5) {
                entry.popularity(entry.catalogEntry.navOptPopularity.popularity);
              }
            });
          };

          if (db.loading()) {
            var subscription = db.loading.subscribe(function () {
              subscription.dispose();
              applyPopularity();
            });
          } else if (db.entries().length === 0) {
            var _subscription = db.entries.subscribe(function (newEntries) {
              if (newEntries.length > 0) {
                _subscription.dispose();

                applyPopularity();
              }
            });
          } else {
            applyPopularity();
          }
        });
      }
    });

    self.selectedDatabaseChanged = function () {
      if (self.selectedDatabase()) {
        if (!self.selectedDatabase().hasEntries() && !self.selectedDatabase().loading()) {
          self.selectedDatabase().loadEntries();
        }

        if (!self.navigationSettings.rightAssist) {
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist_' + self.sourceType + '_' + self.namespace.id, 'lastSelectedDb', self.selectedDatabase().catalogEntry.name);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.database.set', {
            sourceType: self.sourceType,
            namespace: self.namespace,
            name: self.selectedDatabase().catalogEntry.name
          });
        }
      }
    };

    var nestedFilter = {
      querySpec: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({}).extend({
        rateLimit: 300
      })
    };

    self.setDatabase = function (databaseName) {
      if (databaseName && self.selectedDatabase() && databaseName === self.selectedDatabase().catalogEntry.name) {
        return;
      }

      if (databaseName && self.dbIndex[databaseName]) {
        self.selectedDatabase(self.dbIndex[databaseName]);
        self.selectedDatabaseChanged();
        return;
      }

      var lastSelectedDb = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist_' + self.sourceType + '_' + self.namespace.id, 'lastSelectedDb', 'default');

      if (lastSelectedDb && self.dbIndex[lastSelectedDb]) {
        self.selectedDatabase(self.dbIndex[lastSelectedDb]);
        self.selectedDatabaseChanged();
      } else if (self.databases().length > 0) {
        self.selectedDatabase(self.databases()[0]);
        self.selectedDatabaseChanged();
      }
    };

    self.initDatabases = function (callback) {
      if (self.loading()) {
        return;
      }

      self.loading(true);
      self.hasErrors(false);
      var lastSelectedDbName = self.selectedDatabase() ? self.selectedDatabase().catalogEntry.name : null;
      self.selectedDatabase(null);
      self.databases([]);
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getEntry({
        sourceType: self.sourceType,
        namespace: self.namespace,
        compute: self.compute(),
        path: [],
        definition: {
          type: 'source'
        }
      }).done(function (catalogEntry) {
        self.catalogEntry = catalogEntry;
        self.catalogEntry.getChildren({
          silenceErrors: self.navigationSettings.rightAssist
        }).done(function (databaseEntries) {
          self.dbIndex = {};
          var hasNavMeta = false;
          var dbs = [];
          databaseEntries.forEach(function (catalogEntry) {
            hasNavMeta = hasNavMeta || !!catalogEntry.navigatorMeta;
            var database = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__["default"](catalogEntry, null, self, nestedFilter, self.i18n, self.navigationSettings);
            self.dbIndex[catalogEntry.name] = database;

            if (catalogEntry.name === lastSelectedDbName) {
              self.selectedDatabase(database);
              self.selectedDatabaseChanged();
            }

            dbs.push(database);
          });

          if (!hasNavMeta && !self.nonSqlType) {
            self.catalogEntry.loadNavigatorMetaForChildren({
              silenceErrors: true
            });
          }

          self.databases(dbs);

          if (typeof callback === 'function') {
            callback();
          }
        }).fail(function () {
          self.hasErrors(true);
        }).always(function () {
          self.loaded(true);
          self.loadedDeferred.resolve();
          self.loading(false);
          self.reloading(false);
        });
      });
    };

    self.modalItem = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    if (!self.navigationSettings.rightAssist) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('data.catalog.entry.refreshed', function (details) {
        if (self.namespace.id !== details.entry.namespace.id || details.entry.getSourceType() !== self.sourceType) {
          return;
        }

        if (self.catalogEntry === details.entry) {
          self.initDatabases();
        } else {
          var findAndReloadInside = function findAndReloadInside(entries) {
            return entries.some(function (entry) {
              if (entry.catalogEntry.path.join('.') === details.entry.path.join('.')) {
                entry.catalogEntry = details.entry;
                entry.loadEntries();
                return true;
              }

              return findAndReloadInside(entry.entries());
            });
          };

          findAndReloadInside(self.databases());
        }
      });
    }
  }

  _createClass(AssistDbNamespace, [{
    key: "whenLoaded",
    value: function whenLoaded(callback) {
      var self = this;
      self.loadedDeferred.done(callback);
    }
  }, {
    key: "highlightInside",
    value: function highlightInside(catalogEntry) {
      var self = this;
      var foundDb;

      var findDatabase = function findDatabase() {
        self.databases().forEach(function (db) {
          db.highlight(false);

          if (db.databaseName === catalogEntry.path[0]) {
            foundDb = db;
          }
        });

        if (foundDb) {
          var whenLoaded = function whenLoaded() {
            if (self.selectedDatabase() !== foundDb) {
              self.selectedDatabase(foundDb);
            }

            if (!foundDb.open()) {
              foundDb.open(true);
            }

            window.setTimeout(function () {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribeOnce('assist.db.scrollToComplete', function () {
                foundDb.highlight(true); // Timeout is for animation effect

                window.setTimeout(function () {
                  foundDb.highlight(false);
                }, 1800);
              });

              if (catalogEntry.path.length > 1) {
                foundDb.highlightInside(catalogEntry.path.slice(1));
              } else {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.db.scrollTo', foundDb);
              }
            }, 0);
          };

          if (foundDb.hasEntries()) {
            whenLoaded();
          } else {
            foundDb.loadEntries(whenLoaded);
          }
        }
      };

      if (!self.loaded()) {
        self.initDatabases(findDatabase);
      } else {
        findDatabase();
      }
    }
  }, {
    key: "triggerRefresh",
    value: function triggerRefresh() {
      var self = this;

      if (self.catalogEntry) {
        self.catalogEntry.clearCache({
          invalidate: self.invalidateOnRefresh()
        });
      }
    }
  }]);

  return AssistDbNamespace;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistDbNamespace);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js ***!
  \****************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistDbNamespace__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./assistDbNamespace */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbNamespace.js");
/* harmony import */ var _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../catalog/contextCatalog */ "./desktop/core/src/desktop/js/catalog/contextCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var AssistDbSource =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Object} options.i18n
   * @param {string} options.type
   * @param {ContextNamespace} [options.initialNamespace] - Optional initial namespace to use
   * @param {ContextCompute} [options.initialCompute] - Optional initial compute to use
   * @param {string} options.name
   * @param {boolean} options.nonSqlType - Optional, default false
   * @param {Object} options.navigationSettings
   * @constructor
   */
  function AssistDbSource(options) {
    _classCallCheck(this, AssistDbSource);

    var self = this;
    self.sourceType = options.type;
    self.name = options.name;
    self.i18n = options.i18n;
    self.nonSqlType = options.nonSqlType;
    self.navigationSettings = options.navigationSettings;
    self.initialNamespace = options.initialNamespace || _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('contextSelector', 'lastSelectedNamespace');
    self.initialCompute = options.initialCompute || _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('contextSelector', 'lastSelectedCompute');
    self.selectedNamespace = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.namespaces = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.loadedDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.filter = {
      querySpec: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({}).extend({
        rateLimit: 300
      })
    };
    self.filteredNamespaces = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.filter.querySpec() || typeof self.filter.querySpec().query === 'undefined' || !self.filter.querySpec().query) {
        return self.namespaces();
      }

      return self.namespaces().filter(function (namespace) {
        return namespace.name.toLowerCase().indexOf(self.filter.querySpec().query.toLowerCase()) !== -1;
      });
    });

    self.autocompleteFromNamespaces = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.namespaces().forEach(function (namespace) {
        if (namespace.name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + namespace.name.substring(partial.length));
        }
      });
      return result;
    };

    var ensureDbSet = function ensureDbSet() {
      if (self.nonSqlType) {
        if (!self.selectedNamespace().selectedDatabase()) {
          self.selectedNamespace().selectedDatabase(self.selectedNamespace().databases()[0]);
          self.selectedNamespace().selectedDatabaseChanged();
        }
      }
    };

    self.selectedNamespace.subscribe(function (namespace) {
      if (namespace && !namespace.loaded() && !namespace.loading()) {
        namespace.initDatabases(ensureDbSet);
      } else {
        ensureDbSet();
      }
    });
    self.hasNamespaces = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.namespaces().length > 0;
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('context.catalog.namespaces.refreshed', function (sourceType) {
      if (self.sourceType !== sourceType) {
        return;
      }

      self.loading(true);
      _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getNamespaces({
        sourceType: self.sourceType
      }).done(function (context) {
        var newNamespaces = [];
        var existingNamespaceIndex = {};
        self.namespaces().forEach(function (assistNamespace) {
          existingNamespaceIndex[assistNamespace.namespace.id] = assistNamespace;
        });
        context.namespaces.forEach(function (newNamespace) {
          if (existingNamespaceIndex[newNamespace.id]) {
            existingNamespaceIndex[newNamespace.id].namespace = newNamespace;
            existingNamespaceIndex[newNamespace.id].name = newNamespace.name;
            existingNamespaceIndex[newNamespace.id].status(newNamespace.status);
            newNamespaces.push(existingNamespaceIndex[newNamespace.id]);
          } else {
            newNamespaces.push(new _assistDbNamespace__WEBPACK_IMPORTED_MODULE_3__["default"]({
              sourceType: self.sourceType,
              namespace: newNamespace,
              i18n: self.i18n,
              nonSqlType: self.nonSqlType,
              navigationSettings: self.navigationSettings
            }));
          }
        });
        self.namespaces(newNamespaces);
      }).always(function () {
        self.loading(false);
      });
    });
  }

  _createClass(AssistDbSource, [{
    key: "whenLoaded",
    value: function whenLoaded(callback) {
      var self = this;
      self.loadedDeferred.done(callback);
    }
  }, {
    key: "loadNamespaces",
    value: function loadNamespaces(refresh) {
      var self = this;
      self.loading(true);

      if (refresh) {
        _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getComputes({
          sourceType: self.sourceType,
          clearCache: true
        });
      }

      return _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getNamespaces({
        sourceType: self.sourceType,
        clearCache: refresh
      }).done(function (context) {
        var assistNamespaces = [];
        var activeNamespace;
        var activeCompute;
        context.namespaces.forEach(function (namespace) {
          var assistNamespace = new _assistDbNamespace__WEBPACK_IMPORTED_MODULE_3__["default"]({
            sourceType: self.sourceType,
            namespace: namespace,
            i18n: self.i18n,
            nonSqlType: self.nonSqlType,
            navigationSettings: self.navigationSettings
          });

          if (self.initialNamespace && namespace.id === self.initialNamespace.id) {
            activeNamespace = assistNamespace;

            if (self.initialCompute) {
              activeNamespace.namespace.computes.some(function (compute) {
                if (compute.id === self.initialCompute.id) {
                  activeCompute = compute;
                }
              });
            }
          }

          assistNamespaces.push(assistNamespace);
        });
        self.namespaces(assistNamespaces);

        if (!refresh) {
          if (activeNamespace) {
            self.selectedNamespace(activeNamespace);
          } else if (assistNamespaces.length) {
            self.selectedNamespace(assistNamespaces[0]);
          }

          if (activeCompute) {
            self.selectedNamespace().compute(activeCompute);
          } else if (self.selectedNamespace() && self.selectedNamespace().namespace && self.selectedNamespace().namespace.computes && self.selectedNamespace().namespace.computes.length) {
            self.selectedNamespace().compute(self.selectedNamespace().namespace.computes[0]);
          }
        }
      }).fail(function () {
        self.hasErrors(true);
      }).always(function () {
        self.loadedDeferred.resolve();
        self.loading(false);
      });
    }
  }, {
    key: "highlightInside",
    value: function highlightInside(catalogEntry) {
      var self = this;

      if (self.navigationSettings.rightAssist) {
        return;
      }

      var whenLoaded = function whenLoaded() {
        self.namespaces().some(function (namespace) {
          if (namespace.namespace.id === catalogEntry.namespace.id) {
            if (self.selectedNamespace() !== namespace) {
              self.selectedNamespace(namespace);
            }

            if (self.selectedNamespace().hasEntries()) {
              self.selectedNamespace().highlightInside(catalogEntry);
            } else {
              self.selectedNamespace().initDatabases(function () {
                self.selectedNamespace().highlightInside(catalogEntry);
              });
            }

            return true;
          }
        });
      };

      if (self.namespaces().length) {
        whenLoaded();
      } else if (self.loading()) {
        var loadingSub = self.loading.subscribe(function () {
          loadingSub.dispose();
          whenLoaded();
        });
      } else {
        self.loadNamespaces().done(whenLoaded);
      }
    }
  }, {
    key: "triggerRefresh",
    value: function triggerRefresh() {
      var self = this;
      self.loadNamespaces(true);
    }
  }]);

  return AssistDbSource;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistDbSource);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistGitEntry.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistGitEntry.js ***!
  \****************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var AssistGitEntry =
/*#__PURE__*/
function () {
  /**
   * @param {object} options
   * @param {object} options.definition
   * @param {string} options.definition.name
   * @param {string} options.definition.type (file, dir)
   * @param {AssistGitEntry} options.parent
   * @constructor
   */
  function AssistGitEntry(options) {
    _classCallCheck(this, AssistGitEntry);

    var self = this;
    self.definition = options.definition;
    self.parent = options.parent;
    self.path = '';

    if (self.parent !== null) {
      self.path = self.parent.path;

      if (self.parent.path !== '/') {
        self.path += '/';
      }
    }

    self.path += self.definition.name;
    self.fileContent = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]('');
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]([]);
    self.loaded = false;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.loadingMore = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.open = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.open.subscribe(function (newValue) {
      if (newValue && self.entries().length === 0) {
        self.loadEntries();
      }
    });
    self.hasEntries = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return self.entries().length > 0;
    });
  }

  _createClass(AssistGitEntry, [{
    key: "dblClick",
    value: function dblClick() {
      var self = this;

      if (self.definition.type !== 'file') {
        return;
      }

      self.hasErrors(false);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].fetchGitContents({
        pathParts: self.getHierarchy(),
        fileType: self.definition.type,
        successCallback: function successCallback(data) {
          self.fileContent(data.content);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.dblClickGitItem', self);
        },
        errorCallback: function errorCallback() {
          self.hasErrors(true);
          self.loading(false);
        }
      });
    }
  }, {
    key: "loadEntries",
    value: function loadEntries(callback) {
      var self = this;

      if (self.loading()) {
        return;
      }

      self.loading(true);
      self.hasErrors(false);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].fetchGitContents({
        pathParts: self.getHierarchy(),
        fileType: self.definition.type,
        successCallback: function successCallback(data) {
          var filteredFiles = data.files.filter(function (file) {
            return file.name !== '.' && file.name !== '..';
          });
          self.entries(filteredFiles.map(function (file) {
            return new AssistGitEntry({
              definition: file,
              parent: self
            });
          }));
          self.loaded = true;
          self.loading(false);

          if (callback) {
            callback();
          }
        },
        errorCallback: function errorCallback() {
          self.hasErrors(true);
          self.loading(false);

          if (callback) {
            callback();
          }
        }
      });
    }
  }, {
    key: "loadDeep",
    value: function loadDeep(folders, callback) {
      var self = this;

      if (folders.length === 0) {
        callback(self);
        return;
      }

      var findNextAndLoadDeep = function findNextAndLoadDeep() {
        var nextName = folders.shift();
        var foundEntry = self.entries().filter(function (entry) {
          return entry.definition.name === nextName && entry.definition.type === 'dir';
        });

        if (foundEntry.length === 1) {
          foundEntry[0].loadDeep(folders, callback);
        } else if (!self.hasErrors()) {
          callback(self);
        }
      };

      if (!self.loaded) {
        self.loadEntries(findNextAndLoadDeep);
      } else {
        findNextAndLoadDeep();
      }
    }
  }, {
    key: "getHierarchy",
    value: function getHierarchy() {
      var self = this;
      var parts = [];
      var entry = self;

      while (entry != null) {
        parts.push(entry.definition.name);
        entry = entry.parent;
      }

      parts.reverse();
      return parts;
    }
  }, {
    key: "toggleOpen",
    value: function toggleOpen() {
      var self = this;

      if (self.definition.type !== 'dir') {
        return;
      }

      self.open(!self.open());

      if (self.definition.name === '..') {
        if (self.parent.parent) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.selectGitEntry', self.parent.parent);
        }
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.selectGitEntry', self);
      }
    }
  }]);

  return AssistGitEntry;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistGitEntry);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistHBaseEntry.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistHBaseEntry.js ***!
  \******************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var AssistHBaseEntry =
/*#__PURE__*/
function () {
  /**
   * @param {object} options
   * @param {object} options.definition
   * @param {string} options.definition.name
   * @constructor
   */
  function AssistHBaseEntry(options) {
    _classCallCheck(this, AssistHBaseEntry);

    var self = this;
    self.definition = options.definition;
    self.path = self.definition.name;
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]([]);
    self.loaded = false;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.hasEntries = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return self.entries().length > 0;
    });
  }

  _createClass(AssistHBaseEntry, [{
    key: "loadEntries",
    value: function loadEntries(callback) {
      var self = this;

      if (self.loading()) {
        return;
      }

      self.loading(true);
      self.hasErrors(false);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].fetchHBase({
        parent: self.definition,
        successCallback: function successCallback(data) {
          self.entries(data.data.map(function (obj) {
            return new AssistHBaseEntry({
              definition: obj
            });
          }));
          self.loaded = true;
          self.loading(false);

          if (callback) {
            callback();
          }
        },
        errorCallback: function errorCallback() {
          self.hasErrors(true);
          self.loading(false);

          if (callback) {
            callback();
          }
        }
      });
    }
  }, {
    key: "open",
    value: function open() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.clickHBaseItem', this);
    }
  }, {
    key: "click",
    value: function click() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.clickHBaseItem', this);
    }
  }, {
    key: "dblClick",
    value: function dblClick() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.dblClickHBaseItem', this);
    }
  }]);

  return AssistHBaseEntry;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistHBaseEntry);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistInnerPanel.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistInnerPanel.js ***!
  \******************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



var AssistInnerPanel =
/**
 * @param {Object} options
 * @param {string} options.type
 * @param {number} options.minHeight
 * @param {string} options.icon
 * @param {boolean} [options.rightAlignIcon] - Default false
 * @param {boolean} options.visible
 * @param {Object} panelData - component data
 * @constructor
 */
function AssistInnerPanel(options) {
  _classCallCheck(this, AssistInnerPanel);

  var self = this;
  self.minHeight = options.minHeight;
  self.icon = options.icon;
  self.type = options.type;
  self.name = options.name;
  self.panelData = options.panelData;
  self.rightAlignIcon = !!options.rightAlignIcon;
  self.iconSvg = options.iconSvg;
  self.visible = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](options.visible || true);
  _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].withTotalStorage('assist', 'showingPanel_' + self.type, self.visible, false, options.visible);
  self.templateName = 'assist-' + (['solr', 'kafka'].indexOf(self.type) !== -1 ? 'sql' : self.type) + '-inner-panel';

  var loadWhenVisible = function loadWhenVisible() {
    if (!self.visible()) {
      return;
    }

    if (self.type === 'documents' && !self.panelData.activeEntry().loaded()) {
      self.panelData.activeEntry().load();
    }
  };

  self.visible.subscribe(loadWhenVisible);
  loadWhenVisible();
};

/* harmony default export */ __webpack_exports__["default"] = (AssistInnerPanel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js":
/*!********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js ***!
  \********************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var PAGE_SIZE = 100;
var TYPE_SPECIFICS = {
  adls: {
    apiHelperFetchFunction: 'fetchAdlsPath',
    dblClickPubSubId: 'assist.dblClickAdlsItem'
  },
  abfs: {
    apiHelperFetchFunction: 'fetchAbfsPath',
    dblClickPubSubId: 'assist.dblClickAbfsItem'
  },
  hdfs: {
    apiHelperFetchFunction: 'fetchHdfsPath',
    dblClickPubSubId: 'assist.dblClickHdfsItem'
  },
  s3: {
    apiHelperFetchFunction: 'fetchS3Path',
    dblClickPubSubId: 'assist.dblClickS3Item'
  }
};

var AssistStorageEntry =
/*#__PURE__*/
function () {
  /**
   * @param {object} options
   * @param {object} options.definition
   * @param {string} options.definition.name
   * @param {string} options.definition.type (file, dir)
   * @param {string} options.type - The storage type ('adls', 'hdfs', 's3')
   * @param {string} [options.originalType] - The original storage type ('adl', 's3a')
   * @param {AssistStorageEntry} options.parent
   * @constructor
   */
  function AssistStorageEntry(options) {
    _classCallCheck(this, AssistStorageEntry);

    var self = this;
    self.type = options.type;
    self.originalType = options.originalType;
    self.definition = options.definition;
    self.parent = options.parent;
    self.path = '';

    if (self.parent !== null) {
      self.path = self.parent.path;

      if (self.parent.path !== '/') {
        self.path += '/';
      }
    }

    self.path += self.definition.name;
    self.currentPage = 1;
    self.hasMorePages = true;
    self.preview = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.contextPopoverVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.filter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('').extend({
      rateLimit: 400
    });
    self.filter.subscribe(function () {
      self.currentPage = 1;
      self.hasMorePages = true;
      self.loadEntries();
    });
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.loaded = false;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingMore = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.errorText = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.open = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.open.subscribe(function (newValue) {
      if (newValue && self.entries().length === 0) {
        if (self.definition.type === 'dir') {
          self.loadEntries();
        } else {
          self.loadPreview();
        }
      }
    });
    self.hasEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.entries().length > 0;
    });
  }

  _createClass(AssistStorageEntry, [{
    key: "dblClick",
    value: function dblClick() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(TYPE_SPECIFICS[self.type].dblClickPubSubId, this);
    }
  }, {
    key: "loadPreview",
    value: function loadPreview() {
      var self = this;
      self.loading(true);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchStoragePreview({
        path: self.getHierarchy(),
        type: self.type,
        silenceErrors: true
      }).done(function (data) {
        self.preview(data);
      }).fail(function (errorText) {
        self.hasErrors(true);
        self.errorText(errorText);
      }).always(function () {
        self.loading(false);
      });
    }
  }, {
    key: "loadEntries",
    value: function loadEntries(callback) {
      var self = this;

      if (self.loading()) {
        return;
      }

      self.loading(true);
      self.hasErrors(false);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"][TYPE_SPECIFICS[self.type].apiHelperFetchFunction]({
        pageSize: PAGE_SIZE,
        page: self.currentPage,
        filter: self.filter().trim() ? self.filter() : undefined,
        pathParts: self.getHierarchy(),
        successCallback: function successCallback(data) {
          self.hasMorePages = data.page.next_page_number > self.currentPage;
          var filteredFiles = data.files.filter(function (file) {
            return file.name !== '.' && file.name !== '..';
          });
          self.entries(filteredFiles.map(function (file) {
            return new AssistStorageEntry({
              originalType: self.originalType,
              type: self.type,
              definition: file,
              parent: self
            });
          }));
          self.loaded = true;
          self.loading(false);
          self.hasErrors(!!data.s3_listing_not_allowed); // Special case where we want errors inline instead of the default popover. We don't want errorCallback handling

          self.errorText(data.s3_listing_not_allowed);

          if (callback) {
            callback();
          }
        },
        errorCallback: function errorCallback(errorText) {
          self.hasErrors(true);
          self.errorText(errorText);
          self.loading(false);

          if (callback) {
            callback();
          }
        }
      });
    }
  }, {
    key: "goHome",
    value: function goHome() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.storage.go.home');
    }
  }, {
    key: "loadDeep",
    value: function loadDeep(folders, callback) {
      var self = this;

      if (folders.length === 0) {
        callback(self);
        return;
      }

      var nextName = folders.shift();
      var loadedPages = 0;

      var findNextAndLoadDeep = function findNextAndLoadDeep() {
        var foundEntry = self.entries().filter(function (entry) {
          return entry.definition.name === nextName;
        });
        var passedAlphabetically = self.entries().length > 0 && self.entries()[self.entries().length - 1].definition.name.localeCompare(nextName) > 0;

        if (foundEntry.length === 1) {
          foundEntry[0].loadDeep(folders, callback);
        } else if (!passedAlphabetically && self.hasMorePages && loadedPages < 50) {
          loadedPages++;
          self.fetchMore(findNextAndLoadDeep, function () {
            callback(self);
          });
        } else {
          callback(self);
        }
      };

      if (!self.loaded) {
        self.loadEntries(findNextAndLoadDeep);
      } else {
        findNextAndLoadDeep();
      }
    }
  }, {
    key: "getHierarchy",
    value: function getHierarchy() {
      var self = this;
      var parts = [];
      var entry = self;

      while (entry != null) {
        parts.push(entry.definition.name);
        entry = entry.parent;
      }

      parts.reverse();
      return parts;
    }
  }, {
    key: "toggleOpen",
    value: function toggleOpen(data, event) {
      var self = this;

      if (self.definition.type === 'file') {
        if (event.ctrlKey || event.metaKey || event.which === 2) {
          window.open('/hue' + self.definition.url, '_blank');
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('open.link', self.definition.url);
        }

        return;
      }

      self.open(!self.open());

      if (self.definition.name === '..') {
        if (self.parent.parent) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.selectStorageEntry', self.parent.parent);
        }
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.selectStorageEntry', self);
      }
    }
  }, {
    key: "fetchMore",
    value: function fetchMore(_successCallback, _errorCallback) {
      var self = this;

      if (!self.hasMorePages || self.loadingMore()) {
        return;
      }

      self.currentPage++;
      self.loadingMore(true);
      self.hasErrors(false);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"][TYPE_SPECIFICS[self.type].apiHelperFetchFunction]({
        pageSize: PAGE_SIZE,
        page: self.currentPage,
        filter: self.filter().trim() ? self.filter() : undefined,
        pathParts: self.getHierarchy(),
        successCallback: function successCallback(data) {
          self.hasMorePages = data.page.next_page_number > self.currentPage;
          var filteredFiles = data.files.filter(function (file) {
            return file.name !== '.' && file.name !== '..';
          });
          self.entries(self.entries().concat(filteredFiles.map(function (file) {
            return new AssistStorageEntry({
              originalType: self.originalType,
              type: self.type,
              definition: file,
              parent: self
            });
          })));
          self.loadingMore(false);

          if (_successCallback) {
            _successCallback();
          }
        },
        errorCallback: function errorCallback() {
          self.hasErrors(true);

          if (_errorCallback) {
            _errorCallback();
          }
        }
      });
    }
  }, {
    key: "showContextPopover",
    value: function showContextPopover(entry, event, positionAdjustment) {
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target);
      var offset = $source.offset();
      entry.contextPopoverVisible(true);

      if (positionAdjustment) {
        offset.left += positionAdjustment.left;
        offset.top += positionAdjustment.top;
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
        data: {
          type: 'storageEntry',
          storageEntry: entry
        },
        pinEnabled: true,
        orientation: 'right',
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 3,
          right: offset.left + $source.width() + 3,
          bottom: offset.top + $source.height() - 3
        }
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribeOnce('context.popover.hidden', function () {
        entry.contextPopoverVisible(false);
      });
    }
  }, {
    key: "openInImporter",
    value: function openInImporter() {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('open.in.importer', this.definition.path);
    }
    /**
     * Helper function to create an assistStorageEntry. It will load the entries starting from the root up until the
     * path or stop when a part is not found.
     *
     * @param {string} path - The path, can include the type i.e. '/tmp' or 's3:/tmp'.
     * @param {string} [type] - Optional type, if not specified here or in the path 'hdfs' will be used.
     * @return {Promise}
     */

  }], [{
    key: "getEntry",
    value: function getEntry(path, type) {
      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var typeMatch = path.match(/^([^:]+):\/(\/.*)\/?/i);
      type = typeMatch ? typeMatch[1] : type || 'hdfs';
      type = type.replace(/s3.*/i, 's3');
      type = type.replace(/adl.*/i, 'adls');
      type = type.replace(/abfs.*/i, 'abfs');
      var rootEntry = new AssistStorageEntry({
        type: type.toLowerCase(),
        originalType: typeMatch && typeMatch[1],
        definition: {
          name: '/',
          type: 'dir'
        },
        parent: null,
        apiHelper: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"]
      });

      if (type == 'abfs' || type == 'adls') {
        // ABFS / ADLS can have domain name in path. To prevent regression with s3 which allow periods in bucket name handle separately.
        var azureMatch = path.match(/^([^:]+):\/(\/((\w+)@)?[\w]+([\-\.]{1}\w+)*\.[\w]*)?(\/.*)?\/?/i);
        path = (azureMatch ? azureMatch[6] || '' : path).replace(/(?:^\/)|(?:\/$)/g, '').split('/');

        if (azureMatch && azureMatch[4]) {
          path.unshift(azureMatch[4]);
        }
      } else {
        path = (typeMatch ? typeMatch[2] : path).replace(/(?:^\/)|(?:\/$)/g, '').split('/');
      }

      rootEntry.loadDeep(path, deferred.resolve);
      return deferred.promise();
    }
  }]);

  return AssistStorageEntry;
}();

/* harmony default export */ __webpack_exports__["default"] = (AssistStorageEntry);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/assistViewModel.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/assistViewModel.js ***!
  \*****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _assistDbEntry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./assistDbEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js");
/* harmony import */ var _assistDbSource__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./assistDbSource */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

 // TODO: Get rid of

window.AssistDbEntry = _assistDbEntry__WEBPACK_IMPORTED_MODULE_0__["default"];
window.AssistDbSource = _assistDbSource__WEBPACK_IMPORTED_MODULE_1__["default"];

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDashboardPanel.js":
/*!*************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistDashboardPanel.js ***!
  \*************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _assistDbEntry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./assistDbEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js");
/* harmony import */ var _assistDbSource__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./assistDbSource */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _ko_assistEditorContextPanel__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./ko.assistEditorContextPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistEditorContextPanel.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var AssistDashboardPanel =
/*#__PURE__*/
function () {
  function AssistDashboardPanel() {
    var _this = this;

    _classCallCheck(this, AssistDashboardPanel);

    this.disposals = [];
    this.isSolr = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](true);
    this.showRisks = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.filter = {
      querySpec: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]({
        query: '',
        facets: {},
        text: []
      }).extend({
        rateLimit: 300
      })
    };
    this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]('solr');
    this.activeTables = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    this.filteredTables = _ko_assistEditorContextPanel__WEBPACK_IMPORTED_MODULE_6__["AssistantUtils"].getFilteredTablesPureComputed(this);
    this.someLoading = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return _this.activeTables().some(function (table) {
        return table.loading() || !table.hasEntries() && !table.hasErrors();
      });
    });
    var navigationSettings = {
      showStats: true,
      rightAssist: true
    };
    var i18n = {};
    var activeDashboardCollection = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('set.active.dashboard.collection', function (collection) {
      var collectionName = collection.name();

      if (!collectionName) {
        return;
      }

      _this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](collection.engine());
      var assistDbSource = new _assistDbSource__WEBPACK_IMPORTED_MODULE_2__["default"]({
        i18n: i18n,
        initialNamespace: collection.activeNamespace,
        initialCompute: collection.activeCompute,
        type: collection.engine(),
        name: collection.engine(),
        nonSqlType: true,
        navigationSettings: navigationSettings
      });
      var fakeParentName = collectionName.indexOf('.') > -1 ? collectionName.split('.')[0] : 'default';
      var sourceType = collection.source() === 'query' ? collection.engine() + '-query' : collection.engine();
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getEntry({
        sourceType: sourceType,
        namespace: collection.activeNamespace,
        compute: collection.activeCompute,
        path: [fakeParentName],
        definition: {
          type: 'database'
        }
      }).done(function (fakeDbCatalogEntry) {
        var assistFakeDb = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_1__["default"](fakeDbCatalogEntry, null, assistDbSource, _this.filter, i18n, navigationSettings);
        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_4__["default"].getEntry({
          sourceType: sourceType,
          namespace: collection.activeNamespace,
          compute: collection.activeCompute,
          path: [fakeParentName, collectionName.indexOf('.') > -1 ? collectionName.split('.')[1] : collectionName],
          definition: {
            type: 'table'
          }
        }).done(function (collectionCatalogEntry) {
          var collectionEntry = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_1__["default"](collectionCatalogEntry, assistFakeDb, assistDbSource, _this.filter, i18n, navigationSettings);

          _this.activeTables([collectionEntry]);

          if (!collectionEntry.loaded && !collectionEntry.hasErrors() && !collectionEntry.loading()) {
            collectionEntry.loadEntries(function () {
              collectionEntry.toggleOpen();
            });
          }
        });
      });

      _this.autocompleteFromEntries = function (nonPartial, partial) {
        var added = {};
        var result = [];
        var partialLower = partial.toLowerCase();
        this.activeTables().forEach(function (table) {
          if (!added[table.catalogEntry.name] && table.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
            added[table.catalogEntry.name] = true;
            result.push(nonPartial + partial + table.catalogEntry.name.substring(partial.length));
          }

          table.entries().forEach(function (col) {
            if (!added[col.catalogEntry.name] && col.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
              added[col.catalogEntry.name] = true;
              result.push(nonPartial + partial + col.catalogEntry.name.substring(partial.length));
            }
          });
        });
        return result;
      };
    });
    this.disposals.push(function () {
      activeDashboardCollection.remove();
    });
  }

  _createClass(AssistDashboardPanel, [{
    key: "dispose",
    value: function dispose() {
      this.disposals.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return AssistDashboardPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('assist-dashboard-panel', AssistDashboardPanel, _ko_assistEditorContextPanel__WEBPACK_IMPORTED_MODULE_6__["TEMPLATE"]);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDbPanel.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistDbPanel.js ***!
  \******************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistDbSource__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./assistDbSource */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var ASSIST_TABLE_TEMPLATES = "\n  <script type=\"text/html\" id=\"assist-no-database-entries\">\n    <ul class=\"assist-tables\">\n      <li>\n        <span class=\"assist-no-entries\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No entries found'), "</span>\n      </li>\n    </ul>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-no-table-entries\">\n    <ul>\n      <li>\n        <span class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('The table has no columns'), "</span>\n      </li>\n    </ul>\n  </script>\n\n  <script type=\"text/html\" id=\"sql-context-items\">\n    <!-- ko if: typeof catalogEntry !== 'undefined' -->\n      <li><a href=\"javascript:void(0);\" data-bind=\"click: function (data) { showContextPopover(data, { target: $parentContext.$contextSourceElement }, { left: -15, top: 2 }); }\"><i class=\"fa fa-fw fa-info\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Show details'), "</a></li>\n      <!-- ko switch: sourceType -->\n      <!-- ko case: 'solr' -->\n        <!-- ko if: catalogEntry.isTableOrView() -->\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: openInIndexer\"><i class=\"fa fa-fw fa-table\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Browser'), "</a></li>\n        <li><a href=\"javascript: void(0);\" data-bind=\"click: function() { explore(true); }\"><!-- ko template: { name: 'app-icon-template', data: { icon: 'dashboard' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Dashboard'), "</a></li>\n        <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko case: $default -->\n        <!-- ko if: !catalogEntry.isDatabase() && $currentApp() === 'editor' -->\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: dblClick\"><i class=\"fa fa-fw fa-paste\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Insert at cursor'), "</a></li>\n        <!-- /ko -->\n        <!-- ko if: catalogEntry.path.length <=2 -->\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: openInMetastore\"><i class=\"fa fa-fw fa-table\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Browser'), "</a></li>\n        <!-- /ko -->\n        <!-- ko if: catalogEntry.isTableOrView() -->\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function() { huePubSub.publish('query.and.watch', {'url': '/notebook/browse/' + databaseName + '/' + tableName + '/', sourceType: sourceType}); }\"><i class=\"fa fa-fw fa-code\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Editor'), "</a></li>\n        <!-- ko if: window.HAS_SQL_DASHBOARD -->\n        <li><a href=\"javascript: void(0);\" data-bind=\"click: function() { explore(false); }\"><!-- ko template: { name: 'app-icon-template', data: { icon: 'dashboard' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Dashboard'), "</a></li>\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- ko if: window.ENABLE_QUERY_BUILDER && catalogEntry.isColumn() && $currentApp() === 'editor' -->\n        <li class=\"divider\"></li>\n        <!-- ko template: { name: 'query-builder-context-items' } --><!-- /ko -->\n        <!-- /ko -->\n      <!-- /ko -->\n      <!-- /ko -->\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"query-builder-context-items\">\n    <li data-bind=\"contextSubMenu: '.hue-context-sub-menu'\">\n      <a href=\"javascript:void(0);\"><i class=\"fa fa-fw fa-magic\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Project'), "<i class=\"sub-icon fa fa-fw fa-chevron-right\"></i></a>\n      <ul class=\"hue-context-menu hue-context-sub-menu\">\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Select', 'Project', '{0}', false, false); }\">Select</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Select distinct', 'Project', '{0}', false, false); }\">Select distinct</a></li>\n      </ul>\n    </li>\n\n    <li data-bind=\"contextSubMenu: '.hue-context-sub-menu'\">\n      <a href=\"javascript:void(0);\"><i class=\"fa fa-fw fa-magic\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Aggregate'), "<i class=\"sub-icon fa fa-fw fa-chevron-right\"></i></a>\n      <ul class=\"hue-context-menu hue-context-sub-menu\">\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Count', 'Aggregate', 'COUNT({0}.{1}) as count_{1}', false, false); }\">Count</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Count distinct', 'Aggregate', 'COUNT(DISTINCT {0}.{1}) as distinct_count_{1}', false, false); }\">Count distinct</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Sum', 'Aggregate', 'SUM({0}.{1}) as sum_{1}', false, false); }\">Sum</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Minimum', 'Aggregate', 'MIN({0}.{1}) as min_{1}', false, false); }\">Minimum</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Maximum', 'Aggregate', 'MAX({0}.{1}) as max_{1}', false, false); }\">Maximum</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Average', 'Aggregate', 'AVG({0}.{1}) as avg_{1}', false, false); }\">Average</a></li>\n      </ul>\n    </li>\n\n    <li data-bind=\"contextSubMenu: '.hue-context-sub-menu'\">\n      <a href=\"javascript:void(0);\"><i class=\"fa fa-fw fa-magic\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Filter'), "<i class=\"sub-icon fa fa-fw fa-chevron-right\"></i></a>\n      <ul class=\"hue-context-menu hue-context-sub-menu\">\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { var isNotNullRule = QueryBuilder.getRule(databaseName, tableName, columnName, 'Is not null'); if (isNotNullRule.length) { isNotNullRule.attr('rule', 'Is null'); isNotNullRule.find('.rule').text('Is null'); } else { QueryBuilder.addRule(databaseName, tableName, columnName, 'Is null', 'Filter', '{0}.{1} = null', false, false); } }\">Is null</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { var isNullRule = QueryBuilder.getRule(databaseName, tableName, columnName, 'Is null'); if (isNullRule.length) { isNullRule.attr('rule', 'Is not null'); isNullRule.find('.rule').text('Is not null'); } else { QueryBuilder.addRule(databaseName, tableName, columnName, 'Is not null', 'Filter', '{0}.{1} != null', false, false); } }\">Is not null</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Equal to', 'Filter', '{0}.{1} = {2}', true, true); }\">Equal to</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Not equal to', 'Filter', '{0}.{1} != {2}', true, true); }\">Not equal to</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Greater than', 'Filter', '{0}.{1} > {2}', true, false) }\">Greater than</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { QueryBuilder.addRule(databaseName, tableName, columnName, 'Less than', 'Filter', '{0}.{1} < {2}', true, false); }\">Less than</a></li>\n      </ul>\n    </li>\n    <li data-bind=\"contextSubMenu: '.hue-context-sub-menu'\">\n      <a href=\"javascript:void(0);\"><i class=\"fa fa-fw fa-magic\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Order'), "<i class=\"sub-icon fa fa-fw fa-chevron-right\"></i></a>\n      <ul class=\"hue-context-menu hue-context-sub-menu\">\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { var descendingRule = QueryBuilder.getRule(databaseName, tableName, columnName, 'Descending'); if (descendingRule.length) { descendingRule.attr('rule', 'Ascending'); descendingRule.find('.rule').text('Ascending'); } else { QueryBuilder.addRule(databaseName, tableName, columnName, 'Ascending', 'Order', '{0}.{1} ASC', false, false); } }\">Ascending</a></li>\n        <li><a href=\"javascript:void(0);\" data-bind=\"click: function () { var ascendingRule = QueryBuilder.getRule(databaseName, tableName, columnName, 'Ascending'); if (ascendingRule.length) { ascendingRule.attr('rule', 'Descending'); ascendingRule.find('.rule').text('Descending'); } else { QueryBuilder.addRule(databaseName, tableName, columnName, 'Descending', 'Order', '{0}.{1} DESC', false, false); } }\">Descending</a></li>\n      </ul>\n    </li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-table-entry\">\n    <li class=\"assist-table\" data-bind=\"appAwareTemplateContextMenu: { template: 'sql-context-items', scrollContainer: '.assist-db-scrollable' }, visibleOnHover: { override: statsVisible() || navigationSettings.rightAssist, selector: '.table-actions' }\">\n      <div class=\"assist-actions table-actions\" data-bind=\"css: { 'assist-actions-left': navigationSettings.rightAssist }\" style=\"opacity: 0\">\n        <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.showStats, click: showContextPopover, css: { 'blue': statsVisible }\"><i class=\"fa fa-fw fa-info\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Show details'), "\"></i></a>\n        <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.openItem, click: openItem\"><i class=\"fa fa-long-arrow-right\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open'), "\"></i></a>\n      </div>\n      <a class=\"assist-entry assist-table-link\" href=\"javascript:void(0)\" data-bind=\"click: toggleOpen, attr: {'title': catalogEntry.getTitle(true) }, draggableText: { text: editorText,  meta: {'type': 'sql', 'isView': catalogEntry.isView(), 'table': tableName, 'database': databaseName} }\">\n        <i class=\"fa fa-fw muted valign-middle\" data-bind=\"css: iconClass\"></i>\n        <span class=\"highlightable\" data-bind=\"text: catalogEntry.getDisplayName(navigationSettings.rightAssist), css: { 'highlight': highlight }\"></span>\n      </a>\n      <div class=\"center assist-spinner\" data-bind=\"visible: loading() && open()\"><i class=\"fa fa-spinner fa-spin\"></i></div>\n      <!-- ko template: { if: open, name: 'assist-db-entries'  } --><!-- /ko -->\n    </li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-column-entry\">\n    <li data-bind=\"appAwareTemplateContextMenu: { template: 'sql-context-items', scrollContainer: '.assist-db-scrollable' }, visible: ! hasErrors(), visibleOnHover: { childrenOnly: true, override: statsVisible, selector: catalogEntry.isView() ? '.table-actions' : '.column-actions' }, css: { 'assist-table': catalogEntry.isView(), 'assist-column': catalogEntry.isField() }\">\n      <div class=\"assist-actions column-actions\" data-bind=\"css: { 'assist-actions-left': navigationSettings.rightAssist }\" style=\"opacity: 0\">\n        <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.showStats, click: showContextPopover, css: { 'blue': statsVisible }\"><i class=\"fa fa-fw fa-info\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Show details'), "\"></i></a>\n      </div>\n      <!-- ko if: expandable -->\n      <a class=\"assist-entry assist-field-link\" href=\"javascript:void(0)\" data-bind=\"click: toggleOpen, attr: {'title': catalogEntry.getTitle(true) }, css: { 'assist-entry-left-action': navigationSettings.rightAssist }\">\n        <span class=\"highlightable\" data-bind=\"css: { 'highlight': highlight}, attr: {'column': columnName, 'table': tableName, 'database': databaseName }, text: catalogEntry.getDisplayName(), draggableText: { text: editorText, meta: {'type': 'sql', 'column': columnName, 'table': tableName, 'database': databaseName } }\"></span><!-- ko if: catalogEntry.isKey() --> <i class=\"fa fa-key\"></i><!-- /ko -->\n      </a>\n      <!-- /ko -->\n      <!-- ko ifnot: expandable -->\n      <div class=\"assist-entry assist-field-link default-cursor\" href=\"javascript:void(0)\" data-bind=\"event: { dblclick: dblClick }, attr: {'title': catalogEntry.getTitle(true) }, css: { 'assist-entry-left-action': navigationSettings.rightAssist }\">\n        <span class=\"highlightable\" data-bind=\"css: { 'highlight': highlight}, attr: {'column': columnName, 'table': tableName, 'database': databaseName}, text: catalogEntry.getDisplayName(), draggableText: { text: editorText, meta: {'type': 'sql', 'column': columnName, 'table': tableName, 'database': databaseName} }\"></span><!-- ko if: catalogEntry.isKey()  --> <i class=\"fa fa-key\"></i><!-- /ko -->\n      </div>\n      <!-- /ko -->\n      <div class=\"center assist-spinner\" data-bind=\"visible: loading\"><i class=\"fa fa-spinner fa-spin\"></i></div>\n      <!-- ko template: { if: open, name: 'assist-db-entries'  } --><!-- /ko -->\n    </li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-column-entry-assistant\">\n    <li data-bind=\"appAwareTemplateContextMenu: { template: 'sql-context-items', scrollContainer: '.assist-db-scrollable' }, visible: ! hasErrors(), visibleOnHover: { childrenOnly: true, override: statsVisible, selector: catalogEntry.isView() ? '.table-actions' : '.column-actions' }, css: { 'assist-table': catalogEntry.isView(), 'assist-column': catalogEntry.isField() }\">\n      <div class=\"assist-actions column-actions assist-actions-left\" style=\"opacity: 0\">\n        <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.showStats, click: showContextPopover, css: { 'blue': statsVisible }\"><i class=\"fa fa-fw fa-info\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Show details'), "\"></i></a>\n      </div>\n      <!-- ko if: expandable -->\n      <a class=\"assist-entry assist-field-link assist-field-link-dark assist-entry-left-action assist-ellipsis\" href=\"javascript:void(0)\" data-bind=\"click: toggleOpen, attr: {'title': catalogEntry.getTitle(true) }\">\n        <span data-bind=\"text: catalogEntry.getType()\" class=\"muted pull-right margin-right-20\"></span>\n        <span class=\"highlightable\" data-bind=\"css: { 'highlight': highlight}, attr: {'column': columnName, 'table': tableName, 'database': databaseName }, text: catalogEntry.name, draggableText: { text: editorText, meta: {'type': 'sql', 'column': columnName, 'table': tableName, 'database': databaseName } }\"></span><!-- ko if: catalogEntry.isKey() --> <i class=\"fa fa-key\"></i><!-- /ko -->\n      </a>\n      <!-- /ko -->\n      <!-- ko ifnot: expandable -->\n      <div class=\"assist-entry assist-field-link assist-field-link-dark default-cursor assist-ellipsis\" href=\"javascript:void(0)\" data-bind=\"event: { dblclick: dblClick }, attr: {'title': catalogEntry.getTitle(true) }, css: { 'assist-entry-left-action': navigationSettings.rightAssist }\">\n        <span data-bind=\"text: catalogEntry.getType()\" class=\"muted pull-right margin-right-20\"></span>\n        <span class=\"highlightable\" data-bind=\"css: { 'highlight': highlight}, attr: {'column': columnName, 'table': tableName, 'database': databaseName}, text: catalogEntry.name, draggableText: { text: editorText, meta: {'type': 'sql', 'column': columnName, 'table': tableName, 'database': databaseName} }\"></span><!-- ko if: catalogEntry.isKey() --> <i class=\"fa fa-key\"></i><!-- /ko -->\n      </div>\n      <!-- /ko -->\n      <div class=\"center assist-spinner\" data-bind=\"visible: loading\"><i class=\"fa fa-spinner fa-spin\"></i></div>\n      <!-- ko template: { if: open, name: 'assist-db-entries'  } --><!-- /ko -->\n    </li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-db-entries\">\n    <!-- ko if: ! hasErrors() && hasEntries() && ! loading() && filteredEntries().length == 0 -->\n    <ul class=\"assist-tables\">\n      <li class=\"assist-entry assist-no-entries\"><!-- ko if: catalogEntry.isTableOrView() -->").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No columns found'), "<!--/ko--><!-- ko if: catalogEntry.isDatabase() -->").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No tables found'), "<!--/ko--><!-- ko if: catalogEntry.isField() -->").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No results found'), "<!--/ko--></li>\n    </ul>\n    <!-- /ko -->\n    <!-- ko if: ! hasErrors() && hasEntries() && ! loading() && filteredEntries().length > 0 -->\n    <ul class=\"database-tree\" data-bind=\"foreachVisible: { data: filteredEntries, minHeight: navigationSettings.rightAssist ? 22 : 23, container: '.assist-db-scrollable', skipScrollEvent: navigationSettings.rightAssist, usePreloadBackground: true }, css: { 'assist-tables': catalogEntry.isDatabase() }\">\n      <!-- ko template: { if: catalogEntry.isTableOrView(), name: 'assist-table-entry' } --><!-- /ko -->\n      <!-- ko if: navigationSettings.rightAssist -->\n        <!-- ko template: { ifnot: catalogEntry.isTableOrView(), name: 'assist-column-entry-assistant' } --><!-- /ko -->\n      <!-- /ko -->\n      <!-- ko ifnot: navigationSettings.rightAssist -->\n        <!-- ko template: { ifnot: catalogEntry.isTableOrView(), name: 'assist-column-entry' } --><!-- /ko -->\n      <!-- /ko -->\n    </ul>\n    <!-- /ko -->\n    <!-- ko template: { if: ! hasErrors() && ! hasEntries() && ! loading() && (catalogEntry.isTableOrView()), name: 'assist-no-table-entries' } --><!-- /ko -->\n    <!-- ko template: { if: ! hasErrors() && ! hasEntries() && ! loading() && catalogEntry.isDatabase(), name: 'assist-no-database-entries' } --><!-- /ko -->\n    <!-- ko if: hasErrors -->\n    <ul class=\"assist-tables\">\n      <!-- ko if: catalogEntry.isTableOrView() -->\n      <li class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Error loading columns.'), "</li>\n      <!-- /ko -->\n      <!-- ko if: catalogEntry.isField() -->\n      <li class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Error loading fields.'), "</li>\n      <!-- /ko -->\n    </ul>\n    <!-- /ko -->\n  </script>\n");
var TEMPLATE = ASSIST_TABLE_TEMPLATES + "\n  <script type=\"text/html\" id=\"assist-database-actions\">\n    <div class=\"assist-actions database-actions\" style=\"opacity: 0\">\n      <!-- ko if: sourceType === 'hive' || sourceType === 'impala' -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.showStats, click: function (data, event) { showContextPopover(data, event); }, css: { 'blue': statsVisible }\"><i class=\"fa fa-fw fa-info\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Show details'), "\"></i></a>\n      <!-- /ko -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"visible: navigationSettings.openItem, click: openItem\"><i class=\"fa fa-long-arrow-right\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open'), "\"></i></a>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"collection-title-context-items\">\n    <li><a href=\"javascript:void(0);\" data-bind=\"hueLink: '/indexer'\"><i class=\"fa fa-fw fa-table\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Open in Browser'), "</a></li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-database-entry\">\n    <li class=\"assist-table\" data-bind=\"appAwareTemplateContextMenu: { template: 'sql-context-items', scrollContainer: '.assist-db-scrollable' }, visibleOnHover: { selector: '.database-actions' }\">\n      <!-- ko template: { name: 'assist-database-actions' } --><!-- /ko -->\n      <a class=\"assist-table-link\" href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.selectedDatabase($data); $parent.selectedDatabaseChanged(); }, attr: {'title': catalogEntry.getTitle(true) }, draggableText: { text: editorText,  meta: {'type': 'sql', 'database': databaseName} }\"><i class=\"fa fa-fw fa-database muted valign-middle\"></i> <span class=\"highlightable\" data-bind=\"text: catalogEntry.name, css: { 'highlight': highlight() }\"></span></a>\n    </li>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-db-breadcrumb\">\n    <div class=\"assist-flex-header assist-breadcrumb\">\n      <!-- ko if: selectedSource() -->\n      <!-- ko if: selectedSource().selectedNamespace() -->\n      <!-- ko if: selectedSource().selectedNamespace().selectedDatabase() -->\n      <a data-bind=\"click: back, appAwareTemplateContextMenu: { template: 'sql-context-items', viewModel: selectedSource().selectedNamespace().selectedDatabase() }\">\n        <i class=\"fa fa-chevron-left assist-breadcrumb-back\" ></i>\n        <i class=\"fa assist-breadcrumb-text\" data-bind=\"css: { 'fa-server': nonSqlType, 'fa-database': !nonSqlType }\"></i>\n        <span class=\"assist-breadcrumb-text\" data-bind=\"text: breadcrumb, attr: {'title': breadcrumb() +  (nonSqlType ? '' : ' (' + selectedSource().sourceType + ' ' + selectedSource().selectedNamespace().name + ')') }\"></span>\n      </a>\n      <!-- /ko -->\n      <!-- ko ifnot: selectedSource().selectedNamespace().selectedDatabase() -->\n      <!-- ko if: window.HAS_MULTI_CLUSTER-->\n      <a data-bind=\"click: back\">\n        <i class=\"fa fa-chevron-left assist-breadcrumb-back\"></i>\n        <i class=\"fa fa-snowflake-o assist-breadcrumb-text\"></i>\n        <span class=\"assist-breadcrumb-text\" data-bind=\"text: breadcrumb, attr: {'title': breadcrumb() + ' (' + selectedSource().sourceType + ')' }\"></span>\n      </a>\n      <!-- /ko -->\n      <!-- ko ifnot: window.HAS_MULTI_CLUSTER -->\n      <a data-bind=\"click: back\">\n        <i class=\"fa fa-chevron-left assist-breadcrumb-back\"></i>\n        <i class=\"fa fa-server assist-breadcrumb-text\"></i>\n        <span class=\"assist-breadcrumb-text\" data-bind=\"text: breadcrumb\"></span>\n      </a>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko ifnot: selectedSource().selectedNamespace() -->\n      <a data-bind=\"click: back\">\n        <i class=\"fa fa-chevron-left assist-breadcrumb-back\"></i>\n        <i class=\"fa fa-server assist-breadcrumb-text\"></i>\n        <span class=\"assist-breadcrumb-text\" data-bind=\"text: breadcrumb\"></span>\n      </a>\n      <!-- /ko -->\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-sql-inner-panel\">\n    <!-- ko template: { if: breadcrumb() !== null, name: 'assist-db-breadcrumb' } --><!-- /ko -->\n    <!-- ko template: { ifnot: selectedSource, name: 'assist-sources-template' } --><!-- /ko -->\n    <!-- ko with: selectedSource -->\n      <!-- ko template: { ifnot: selectedNamespace, name: 'assist-namespaces-template' } --><!-- /ko -->\n      <!-- ko with: selectedNamespace -->\n        <!-- ko template: { ifnot: selectedDatabase, name: 'assist-databases-template' } --><!-- /ko -->\n        <!-- ko with: selectedDatabase -->\n          <!-- ko template: { name: 'assist-tables-template' } --><!-- /ko -->\n        <!-- /ko -->\n      <!-- /ko -->\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"ask-for-invalidate-title\">\n    &nbsp;<a class=\"pull-right pointer close-popover inactive-action\">&times;</a>\n  </script>\n\n  <script type=\"text/html\" id=\"ask-for-invalidate-content\">\n    <label class=\"radio\">\n      <input type=\"radio\" name=\"refreshImpala\" value=\"cache\" data-bind=\"checked: invalidateOnRefresh\" />\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Clear cache'), "\n    </label>\n    <label class=\"radio\">\n      <input type=\"radio\" name=\"refreshImpala\" value=\"invalidate\" data-bind=\"checked: invalidateOnRefresh\" />\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Perform incremental metadata update.'), "\n    </label>\n    <div class=\"assist-invalidate-description\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('This will sync missing tables.'), "</div>\n    <div style=\"width: 100%; display: inline-block; margin-top: 5px;\"><button class=\"pull-right btn btn-primary\" data-bind=\"css: { 'btn-primary': invalidateOnRefresh() !== 'invalidateAndFlush', 'btn-danger': invalidateOnRefresh() === 'invalidateAndFlush' }, click: function (data, event) { huePubSub.publish('close.popover'); triggerRefresh(data, event); }, clickBubble: false\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "</button></div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-namespace-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <!-- ko ifnot: loading -->\n      <span class=\"assist-tables-counter\">(<span data-bind=\"text: filteredNamespaces().length\"></span>)</span>\n      <!-- ko if: window.HAS_MULTI_CLUSTER -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: triggerRefresh\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "\"></i></a>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko if: loading -->\n      <i class=\"fa fa-refresh fa-spin blue\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "\"></i>\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-db-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <!-- ko ifnot: loading -->\n      <span class=\"assist-tables-counter\">(<span data-bind=\"text: filteredEntries().length\"></span>)</span>\n      <!-- ko if: window.ENABLE_NEW_CREATE_TABLE && (sourceType === 'hive' || sourceType === 'impala') -->\n      <!-- ko if: typeof databaseName !== 'undefined' -->\n        <a class=\"inactive-action\" data-bind=\"hueLink: window.HUE_URLS.IMPORTER_CREATE_TABLE + databaseName + '/?sourceType=' + sourceType + '&namespace=' + assistDbNamespace.namespace.id\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Create table'), "\" href=\"javascript:void(0)\">\n          <i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Create table'), "\"></i>\n        </a>\n      <!-- /ko -->\n      <!-- ko if: typeof databases !== 'undefined' -->\n        <a class=\"inactive-action\" data-bind=\"hueLink: window.HUE_URLS.IMPORTER_CREATE_DATABASE + '/?sourceType=' + sourceType + '&namespace=' + namespace.id\" href=\"javascript:void(0)\">\n          <i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Create database'), "\"></i>\n        </a>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko if: sourceType === 'solr' -->\n      <a class=\"inactive-action\" data-bind=\"hueLink: '/indexer/importer/prefill/all/index/'\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Create index'), "\">\n        <i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Create index'), "\"></i>\n      </a>\n      <!-- /ko -->\n      <!-- ko if: sourceType === 'impala' -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"templatePopover : { contentTemplate: 'ask-for-invalidate-content', titleTemplate: 'ask-for-invalidate-title', trigger: 'click', minWidth: '320px' }\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "\"></i></a>\n      <!-- /ko -->\n      <!-- ko if: sourceType !== 'impala' -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: triggerRefresh\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "\"></i></a>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko if: loading -->\n      <i class=\"fa fa-refresh fa-spin blue\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Refresh'), "\"></i>\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-sources-template\">\n    <div class=\"assist-flex-header\">\n      <div class=\"assist-inner-header\">\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Sources'), "\n      </div>\n    </div>\n    <div class=\"assist-flex-fill\">\n      <ul class=\"assist-tables\" data-bind=\"foreach: sources\">\n        <li class=\"assist-table\">\n          <a class=\"assist-table-link\" href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.selectedSource($data); }\"><i class=\"fa fa-fw fa-server muted valign-middle\"></i> <span data-bind=\"text: name\"></span></a>\n        </li>\n      </ul>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-namespaces-template\">\n    <div class=\"assist-flex-header\">\n      <div class=\"assist-inner-header\">\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Namespaces'), "\n        <!-- ko template: 'assist-namespace-header-actions' --><!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-search\" data-bind=\"visible: hasNamespaces() && !hasErrors()\">\n      <div class=\"assist-filter\">\n        <!-- ko component: {\n            name: 'inline-autocomplete',\n            params: {\n              querySpec: filter.querySpec,\n              facets: [],\n              knownFacetValues: {},\n              autocompleteFromEntries: autocompleteFromNamespaces\n            }\n          } --><!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-fill assist-db-scrollable\" data-bind=\"visible: !hasErrors() && !loading() && hasNamespaces(), delayedOverflow\">\n      <!-- ko if: !loading() && filteredNamespaces().length == 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No results found'), "</li>\n      </ul>\n      <!-- /ko -->\n      <ul class=\"assist-tables\" data-bind=\"foreach: filteredNamespaces\">\n        <li class=\"assist-table\">\n          <!-- ko if: status() === 'STARTING' -->\n          <span class=\"assist-table-link\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Starting'), "\" data-bind=\"tooltip: { placement: 'bottom' }\"><i class=\"fa fa-fw fa-spinner fa-spin muted valign-middle\"></i> <span data-bind=\"text: name\"></span></span>\n          <!-- /ko -->\n          <!-- ko if: status() !== 'STARTING' -->\n          <!-- ko if: namespace.computes.length -->\n          <a class=\"assist-table-link\" href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.selectedNamespace($data); }\"><i class=\"fa fa-fw fa-snowflake-o muted valign-middle\"></i> <span data-bind=\"text: name\"></span></a>\n          <!-- /ko -->\n          <!-- ko ifnot: namespace.computes.length -->\n          <span class=\"assist-table-link\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No related computes'), "\" data-bind=\"tooltip: { placement: 'bottom' }\"><i class=\"fa fa-fw fa-warning muted valign-middle\"></i> <span data-bind=\"text: name\"></span></span>\n          <!-- /ko -->\n          <!-- /ko -->\n        </li>\n      </ul>\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: loading\">\n      <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: hasErrors() && !loading()\">\n      <span class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Error loading namespaces.'), "</span>\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: !hasErrors() && !loading() && !hasNamespaces()\">\n      <span class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No namespaces found.'), "</span>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-databases-template\">\n    <div class=\"assist-flex-header\" data-bind=\"visibleOnHover: { selector: '.hover-actions', override: loading() }\">\n      <div class=\"assist-inner-header\">\n        <!-- ko ifnot: sourceType === 'solr' || sourceType === 'kafka' -->\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Databases'), "\n        <!-- ko template: 'assist-db-header-actions' --><!-- /ko -->\n        <!-- /ko -->\n        <!-- ko if: sourceType === 'solr' || sourceType === 'kafka'-->\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Sources'), "\n        <!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-search\" data-bind=\"visible: hasEntries() && ! hasErrors()\">\n      <div class=\"assist-filter\">\n        <!-- ko component: {\n            name: 'inline-autocomplete',\n            params: {\n              querySpec: filter.querySpec,\n              facets: [],\n              placeHolder: sourceType === 'solr' || sourceType === 'kafka' ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Filter sources...'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Filter databases...'), "',\n              knownFacetValues: {},\n              autocompleteFromEntries: autocompleteFromEntries\n            }\n          } --><!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-fill assist-db-scrollable\" data-bind=\"visible: ! hasErrors() && ! loading() && hasEntries(), delayedOverflow\">\n      <!-- ko if: ! loading() && filteredEntries().length == 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No results found'), "</li>\n      </ul>\n      <!-- /ko -->\n      <ul class=\"assist-tables\" data-bind=\"foreachVisible: {data: filteredEntries, minHeight: 23, container: '.assist-db-scrollable', skipScrollEvent: navigationSettings.rightAssist }\">\n        <!-- ko template: { name: 'assist-database-entry' } --><!-- /ko -->\n      </ul>\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: loading\">\n      <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: hasErrors() && ! loading()\">\n      <span class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Error loading databases.'), "</span>\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: ! hasErrors() && ! loading() && ! hasEntries()\">\n      <span class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No databases found.'), "</span>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-tables-template\">\n    <div class=\"assist-flex-header\">\n      <div class=\"assist-inner-header\" data-bind=\"visible: !$parent.loading() && !$parent.hasErrors()\">\n        <!-- ko ifnot: sourceType === 'solr' || sourceType === 'kafka' -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Tables'), "\n        <!-- /ko -->\n        <!-- ko if: sourceType === 'solr' -->\n          <div data-bind=\"appAwareTemplateContextMenu: { template: 'collection-title-context-items', scrollContainer: '.assist-db-scrollable' }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Indexes'), "</div>\n        <!-- /ko -->\n        <!-- ko if: sourceType === 'kafka' -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Topics'), "\n        <!-- /ko -->\n        <!-- ko template: 'assist-db-header-actions' --><!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-search\" data-bind=\"visible: hasEntries() && !$parent.loading() && !$parent.hasErrors()\">\n      <div class=\"assist-filter\">\n        <!-- ko component: {\n          name: 'inline-autocomplete',\n          params: {\n            querySpec: filter.querySpec,\n            facets: ['type'],\n            knownFacetValues: knownFacetValues.bind($data),\n            autocompleteFromEntries: autocompleteFromEntries\n          }\n        } --><!-- /ko -->\n      </div>\n    </div>\n    <div class=\"assist-flex-fill assist-db-scrollable\" data-bind=\"visible: ! hasErrors() && ! loading(), delayedOverflow\">\n      <!-- ko template: 'assist-db-entries' --><!-- /ko -->\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: loading() || $parent.loading()\">\n      <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    </div>\n    <div class=\"assist-flex-fill\" data-bind=\"visible: hasErrors() && ! loading()\">\n      <span class=\"assist-errors\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Error loading tables.'), "</span>\n    </div>\n  </script>\n\n  <!-- ko template: 'assist-sql-inner-panel' --><!-- /ko -->\n");

var AssistDbPanel =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Object} options.i18n
   * @param {Object[]} options.sourceTypes - All the available SQL source types
   * @param {string} options.sourceTypes[].name - Example: Hive SQL
   * @param {string} options.sourceTypes[].type - Example: hive
   * @param {string} [options.activeSourceType] - Example: hive
   * @param {Object} options.navigationSettings - enable/disable the links
   * @param {boolean} options.navigationSettings.openItem
   * @param {boolean} options.navigationSettings.showStats
   * @param {boolean} options.navigationSettings.pinEnabled
   * @param {boolean} [options.isSolr] - Default false;
   * @param {boolean} [options.isStreams] - Default false;
   * @constructor
   **/
  function AssistDbPanel(options) {
    _classCallCheck(this, AssistDbPanel);

    var self = this;
    self.options = options;
    self.i18n = options.i18n;
    self.initialized = false;
    self.initalizing = false;
    self.isStreams = options.isStreams;
    self.isSolr = options.isSolr;
    self.nonSqlType = self.isSolr || self.isStreams;

    if (typeof options.sourceTypes === 'undefined') {
      options.sourceTypes = [];

      if (self.isSolr) {
        options.sourceTypes = [{
          type: 'solr',
          name: 'solr'
        }];
      } else if (self.isStreams) {
        options.sourceTypes = [{
          type: 'kafka',
          name: 'kafka'
        }];
      } else {
        window.ASSIST_SQL_INTERPRETERS.forEach(function (interpreter) {
          options.sourceTypes.push(interpreter);
        });
      }
    }

    self.sources = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.sourceIndex = {};
    self.selectedSource = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    options.sourceTypes.forEach(function (sourceType) {
      self.sourceIndex[sourceType.type] = new _assistDbSource__WEBPACK_IMPORTED_MODULE_3__["default"]({
        i18n: self.i18n,
        type: sourceType.type,
        name: sourceType.name,
        nonSqlType: sourceType.type === 'solr' || sourceType.type === 'kafka',
        navigationSettings: options.navigationSettings
      });
      self.sources.push(self.sourceIndex[sourceType.type]);
    });

    if (self.sources().length === 1) {
      self.selectedSource(self.sources()[0]);
    }

    if (self.sourceIndex['solr']) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.collections.refresh', function () {
        var solrSource = self.sourceIndex['solr'];

        var doRefresh = function doRefresh() {
          if (solrSource.selectedNamespace()) {
            var assistDbNamespace = solrSource.selectedNamespace();
            _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_5__["default"].getEntry({
              sourceType: 'solr',
              namespace: assistDbNamespace.namespace,
              compute: assistDbNamespace.compute(),
              path: []
            }).done(function (entry) {
              entry.clearCache({
                cascade: true
              });
            });
          }
        };

        if (!solrSource.hasNamespaces()) {
          solrSource.loadNamespaces(true).done(doRefresh);
        } else {
          doRefresh();
        }
      });
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.db.highlight', function (catalogEntry) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('left.assist.show');

      if (catalogEntry.getSourceType() === 'solr') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.show.solr');
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.show.sql');
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('context.popover.hide');
      window.setTimeout(function () {
        var foundSource;
        self.sources().some(function (source) {
          if (source.sourceType === catalogEntry.getSourceType()) {
            foundSource = source;
            return true;
          }
        });

        if (foundSource) {
          if (self.selectedSource() !== foundSource) {
            self.selectedSource(foundSource);
          }

          foundSource.highlightInside(catalogEntry);
        }
      }, 0);
    });

    if (!self.isSolr && !self.isStreams) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.set.database', function (databaseDef) {
        if (!databaseDef.source || !self.sourceIndex[databaseDef.source]) {
          return;
        }

        self.selectedSource(self.sourceIndex[databaseDef.source]);
        self.setDatabaseWhenLoaded(databaseDef.namespace, databaseDef.name);
      });

      var getSelectedDatabase = function getSelectedDatabase(source) {
        var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
        var assistDbSource = self.sourceIndex[source];

        if (assistDbSource) {
          assistDbSource.loadedDeferred.done(function () {
            if (assistDbSource.selectedNamespace()) {
              assistDbSource.selectedNamespace().loadedDeferred.done(function () {
                if (assistDbSource.selectedNamespace().selectedDatabase()) {
                  deferred.resolve({
                    sourceType: source,
                    namespace: assistDbSource.selectedNamespace().namespace,
                    name: assistDbSource.selectedNamespace().selectedDatabase().name
                  });
                } else {
                  var lastSelectedDb = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist_' + source + '_' + assistDbSource.selectedNamespace().namespace.id, 'lastSelectedDb', 'default');
                  deferred.resolve({
                    sourceType: source,
                    namespace: assistDbSource.selectedNamespace().namespace,
                    name: lastSelectedDb
                  });
                }
              });
            } else {
              deferred.resolve({
                sourceType: source,
                namespace: {
                  id: 'default'
                },
                name: 'default'
              });
            }
          });
        } else {
          deferred.reject();
        }

        return deferred;
      };

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.get.database', function (source) {
        getSelectedDatabase(source).done(function (databaseDef) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.database.set', databaseDef);
        });
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.get.database.callback', function (options) {
        getSelectedDatabase(options.source).done(options.callback);
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.get.source', function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.source.set', self.selectedSource() ? self.selectedSource().sourceType : undefined);
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.set.source', function (source) {
        if (self.sourceIndex[source]) {
          self.selectedSource(self.sourceIndex[source]);
        }
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.db.panel.ready');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('assist.is.db.panel.ready', function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.db.panel.ready');
      });
      self.selectedSource.subscribe(function (newSource) {
        if (newSource) {
          if (newSource.namespaces().length === 0) {
            newSource.loadNamespaces();
          }

          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'lastSelectedSource', newSource.sourceType);
        } else {
          _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'lastSelectedSource');
        }
      });
    }

    if (self.isSolr || self.isStreams) {
      if (self.sources().length === 1) {
        self.selectedSource(self.sources()[0]);
        self.selectedSource().loadNamespaces().done(function () {
          var solrNamespace = self.selectedSource().selectedNamespace();

          if (solrNamespace) {
            solrNamespace.initDatabases();
            solrNamespace.whenLoaded(function () {
              solrNamespace.setDatabase('default');
            });
          }
        });
      }
    }

    self.breadcrumb = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (self.isStreams && self.selectedSource()) {
        return self.selectedSource().name;
      }

      if (!self.isSolr && self.selectedSource()) {
        if (self.selectedSource().selectedNamespace()) {
          if (self.selectedSource().selectedNamespace().selectedDatabase()) {
            return self.selectedSource().selectedNamespace().selectedDatabase().catalogEntry.name;
          }

          if (window.HAS_MULTI_CLUSTER) {
            return self.selectedSource().selectedNamespace().name;
          }
        }

        return self.selectedSource().name;
      }

      return null;
    });
    self.init();
  }

  _createClass(AssistDbPanel, [{
    key: "setDatabaseWhenLoaded",
    value: function setDatabaseWhenLoaded(namespace, databaseName) {
      var self = this;
      self.selectedSource().whenLoaded(function () {
        if (self.selectedSource().selectedNamespace() && self.selectedSource().selectedNamespace().namespace.id !== namespace.id) {
          self.selectedSource().namespaces().some(function (otherNamespace) {
            if (otherNamespace.namespace.id === namespace.id) {
              self.selectedSource().selectedNamespace(otherNamespace);
              return true;
            }
          });
        }

        if (self.selectedSource().selectedNamespace()) {
          self.selectedSource().selectedNamespace().whenLoaded(function () {
            self.selectedSource().selectedNamespace().setDatabase(databaseName);
          });
        }
      });
    }
  }, {
    key: "back",
    value: function back() {
      if (this.isStreams) {
        this.selectedSource(null);
        return;
      }

      if (this.selectedSource()) {
        if (this.selectedSource() && this.selectedSource().selectedNamespace()) {
          if (this.selectedSource().selectedNamespace().selectedDatabase()) {
            this.selectedSource().selectedNamespace().selectedDatabase(null);
          } else if (window.HAS_MULTI_CLUSTER) {
            this.selectedSource().selectedNamespace(null);
          } else {
            this.selectedSource(null);
          }
        } else {
          this.selectedSource(null);
        }
      }
    }
  }, {
    key: "init",
    value: function init() {
      if (this.initialized) {
        return;
      }

      if (this.isSolr) {
        this.selectedSource(this.sourceIndex['solr']);
      } else if (this.isStreams) {
        this.selectedSource(this.sourceIndex['kafka']);
      } else {
        var storageSourceType = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'lastSelectedSource');

        if (!this.selectedSource()) {
          if (this.options.activeSourceType) {
            this.selectedSource(this.sourceIndex[this.options.activeSourceType]);
          } else if (storageSourceType && this.sourceIndex[storageSourceType]) {
            this.selectedSource(this.sourceIndex[storageSourceType]);
          }
        }
      }

      this.initialized = true;
    }
  }]);

  return AssistDbPanel;
}();

var instances = {};
var viewModelFactory = {
  createViewModel: function createViewModel(params) {
    var name = params.isStreams ? 'streams' : params.isSolr ? 'solr' : 'sql';

    if (!instances[name]) {
      instances[name] = new AssistDbPanel(params);
    }

    return instances[name];
  }
};
_componentUtils__WEBPACK_IMPORTED_MODULE_4__["default"].registerComponent('hue-assist-db-panel', viewModelFactory, TEMPLATE);
/* harmony default export */ __webpack_exports__["default"] = (ASSIST_TABLE_TEMPLATES);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDocumentsPanel.js":
/*!*************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistDocumentsPanel.js ***!
  \*************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../doc/hueFileEntry */ "./desktop/core/src/desktop/js/doc/hueFileEntry.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _doc_docSupport__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../doc/docSupport */ "./desktop/core/src/desktop/js/doc/docSupport.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var TEMPLATE = "\n  <script type=\"text/html\" id=\"document-context-items\">\n    <!-- ko if: definition().type === 'directory' -->\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: open\"><i class=\"fa fa-fw fa-folder-open-o\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Open folder'), "</a></li>\n    <!-- /ko -->\n    <!-- ko if: definition().type !== 'directory' -->\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: function(data) { showContextPopover(data, { target: $parentContext.$contextSourceElement }, { left: -15, top: 2 }); }\"><i class=\"fa fa-fw fa-info\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Show details'), "</a></li>\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: open\"><i class=\"fa fa-fw fa-edit\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Open document'), "</a></li>\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: function() { huePubSub.publish('doc.show.delete.modal', $data); activeEntry().getSelectedDocsWithDependents(); activeEntry().showDeleteConfirmation(); }\"><i class=\"fa fa-fw fa-trash-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Delete document'), "</a></li>\n    <!-- /ko -->\n    <li><a href=\"javascript: void(0);\" data-bind=\"publish: { 'doc.show.share.modal': $data }\"><i class=\"fa fa-fw fa-users\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Share'), "</a></li>\n  </script>\n  \n  <script type=\"text/html\" id=\"assist-document-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <!-- ko if: !loading() -->\n      <div class=\"highlightable\" data-bind=\"css: { 'highlight': $parent.highlightTypeFilter() }, component: { name: 'hue-drop-down', params: { fixedPosition: true, value: typeFilter, searchable: true, entries: DOCUMENT_TYPES, linkTitle: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Document type'), "' } }\" style=\"display: inline-block\"></div>\n      <!-- /ko -->\n      <span class=\"dropdown new-document-drop-down\">\n\n        <a class=\"inactive-action dropdown-toggle\" data-toggle=\"dropdown\" data-bind=\"dropdown\" href=\"javascript:void(0);\">\n          <i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('New document'), "\"></i>\n        </a>\n        <ul class=\"dropdown-menu less-padding document-types\" style=\"margin-top:3px; margin-left:-140px; width: 175px;position: absolute;\" role=\"menu\">\n            <!-- ko if: window.HUE_APPS.indexOf('beeswax') !== -1 -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Hive Query'), "\" data-bind=\"click: function() { huePubSub.publish('open.editor.new.query', {type: 'hive', 'directoryUuid': $data.getDirectory()}); }\" href=\"javascript:void(0);\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'hive' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Hive Query'), "\n                </a>\n              </li>\n            <!-- /ko -->\n            <!-- ko if: window.HUE_APPS.indexOf('impala') !== -1 -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Impala Query'), "\" class=\"dropdown-item\" data-bind=\"click: function() { huePubSub.publish('open.editor.new.query', {type: 'impala', 'directoryUuid': $data.getDirectory()}); }\" href=\"javascript:void(0);\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'impala' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Impala Query'), "\n                </a>\n            </li>\n            <!-- /ko -->\n            <!-- ko if: window.SHOW_NOTEBOOKS -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Notebook'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.NOTEBOOK_INDEX)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'notebook' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Notebook'), "\n                </a>\n              </li>\n            <!-- /ko -->\n            <!-- ko if: window.HUE_APPS.indexOf('pig') !== -1 -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Pig Script'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.PIG_INDEX)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'pig' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Pig Script'), "\n                </a>\n              </li>\n            <!-- /ko -->\n            <!-- ko if: window.HUE_APPS.indexOf('oozie') !== -1 -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Oozie Workflow'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.OOZIE_NEW_WORKFLOW)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'oozie-workflow' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Workflow'), "\n                </a>\n              </li>\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Oozie Schedule'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.OOZIE_NEW_COORDINATOR)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'oozie-coordinator' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Schedule'), "\n                </a>\n              </li>\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Oozie Bundle'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.OOZIE_NEW_BUNDLE)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'oozie-bundle' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Bundle'), "\n                </a>\n              </li>\n            <!-- /ko -->\n            <!-- ko if: window.HUE_APPS.indexOf('search') !== -1 -->\n              <li>\n                <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Solr Search'), "\" data-bind=\"click: function() { $('.new-document-drop-down').removeClass('open');}, hueLink: $data.addDirectoryParamToUrl(window.HUE_URLS.SEARCH_NEW_SEARCH)\">\n                  <!-- ko template: { name: 'app-icon-template', data: { icon: 'dashboard' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Dashboard'), "\n                </a>\n              </li>\n            <!-- /ko -->\n            <li class=\"divider\"></li>\n            <li data-bind=\"css: { 'disabled': $data.isTrash() || $data.isTrashed() || !$data.canModify() }\">\n              <a href=\"javascript:void(0);\" data-bind=\"click: function () { $('.new-document-drop-down').removeClass('open'); huePubSub.publish('show.create.directory.modal', $data); $data.showNewDirectoryModal()}\"><svg class=\"hi\"><use xlink:href=\"#hi-folder\"></use><use xlink:href=\"#hi-plus-addon\"></use></svg> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('New folder'), "</a>\n            </li>\n          </ul>\n      </span>\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: function () { huePubSub.publish('assist.document.refresh'); }\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Manual refresh'), "\"></i></a>\n    </div>\n  </script>\n\n  <!-- ko with: activeEntry -->\n  <div class=\"assist-flex-header assist-breadcrumb\" style=\"overflow: visible\">\n    <!-- ko ifnot: isRoot -->\n    <a href=\"javascript: void(0);\" data-bind=\"click: function () { if (loaded()) { parent.makeActive(); } }\">\n      <i class=\"fa fa-fw fa-chevron-left\"></i>\n      <i class=\"fa fa-fw fa-folder-o\"></i>\n      <span data-bind=\"text: definition().name, attr: {'title': definition().name }\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko if: isRoot -->\n    <div>\n      <i class=\"fa fa-fw fa-folder-o\"></i>\n      <span>/</span>\n    </div>\n    <!-- /ko -->\n    <!-- ko template: 'assist-document-header-actions' --><!-- /ko -->\n  </div>\n  <div class=\"assist-flex-search\">\n    <div class=\"assist-filter\">\n      <form autocomplete=\"off\">\n        <input class=\"clearable\" type=\"text\" autocorrect=\"off\" autocomplete=\"do-not-autocomplete\" spellcheck=\"false\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Filter...'), "\" data-bind=\"clearable: filter, value: filter, valueUpdate: 'afterkeydown'\"/>\n      </form>\n    </div>\n  </div>\n  <div class=\"assist-flex-fill assist-file-scrollable\" data-bind=\"delayedOverflow\">\n    <div data-bind=\"visible: ! loading() && ! hasErrors() && entries().length > 0\">\n      <!-- ko if: filteredEntries().length == 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry\"><span class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No documents found'), "</span></li>\n      </ul>\n      <!-- /ko -->\n      <ul class=\"assist-tables\" data-bind=\"foreachVisible: { data: filteredEntries, minHeight: 27, container: '.assist-file-scrollable' }\">\n        <li class=\"assist-entry assist-file-entry\" data-bind=\"appAwareTemplateContextMenu: { template: 'document-context-items', scrollContainer: '.assist-file-scrollable', beforeOpen: beforeContextOpen }, assistFileDroppable, assistFileDraggable, visibleOnHover: { 'selector': '.assist-file-actions' }\">\n          <div class=\"assist-file-actions table-actions\">\n            <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: showContextPopover, css: { 'blue': statsVisible }\"><i class=\"fa fa-fw fa-info\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Show details'), "\"></i></a>\n          </div>\n          <a href=\"javascript:void(0)\" class=\"assist-entry assist-document-link\" data-bind=\"click: open, attr: {'title': name }\">\n            <!-- ko template: { name: 'document-icon-template', data: { document: $data, showShareAddon: true } } --><!-- /ko -->\n            <span class=\"highlightable\" data-bind=\"css: { 'highlight': highlight }, text: definition().name\"></span>\n          </a>\n        </li>\n      </ul>\n    </div>\n    <div data-bind=\"visible: !loading() && ! hasErrors() && entries().length === 0\">\n      <span class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Empty directory'), "</span>\n    </div>\n    <div class=\"center\" data-bind=\"visible: loading() && ! hasErrors()\">\n      <i class=\"fa fa-spinner fa-spin\" style=\"font-size: 20px; color: #BBB\"></i>\n    </div>\n    <div class=\"assist-errors\" data-bind=\"visible: ! loading() && hasErrors()\">\n      <span>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Error loading contents.'), "</span>\n    </div>\n  </div>\n  <!-- /ko -->\n");

var AssistDocumentsPanel =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {string} options.user
   * @constructor
   **/
  function AssistDocumentsPanel(options) {
    var _this = this;

    _classCallCheck(this, AssistDocumentsPanel);

    var self = this;
    self.user = options.user;
    self.activeEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.activeSort = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('defaultAsc');
    self.typeFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_doc_docSupport__WEBPACK_IMPORTED_MODULE_7__["DOCUMENT_TYPES"][0]); // all is first

    self.highlightTypeFilter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    var lastOpenedUuid = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'last.opened.assist.doc.uuid');

    if (lastOpenedUuid) {
      self.activeEntry(new _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_4__["default"]({
        activeEntry: self.activeEntry,
        trashEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
        app: 'documents',
        user: self.user,
        activeSort: self.activeSort,
        typeFilter: self.typeFilter,
        definition: {
          uuid: lastOpenedUuid,
          type: 'directory'
        }
      }));
    } else {
      self.fallbackToRoot();
    }

    self.activeEntry.subscribe(function (newEntry) {
      if (!newEntry.loaded()) {
        var loadedSub = newEntry.loaded.subscribe(function (loaded) {
          if (loaded && !newEntry.hasErrors() && newEntry.definition() && newEntry.definition().uuid) {
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'last.opened.assist.doc.uuid', newEntry.definition().uuid);
          }

          loadedSub.dispose();
        });
      } else if (!newEntry.hasErrors() && newEntry.definition() && newEntry.definition().uuid) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'last.opened.assist.doc.uuid', newEntry.definition().uuid);
      }
    });

    self.reload = function () {
      self.activeEntry().load(function () {}, function () {
        self.fallbackToRoot();
      });
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.document.refresh', function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.clear.document.cache');
      self.reload();
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.doc.highlight', function (details) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.show.documents');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.popover.hide');
      var whenLoaded = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().done(function () {
        self.activeEntry().highlightInside(details.docUuid);
      });

      if (self.activeEntry() && self.activeEntry().definition() && self.activeEntry().definition().uuid === details.parentUuid) {
        if (self.activeEntry().loaded() && !self.activeEntry().hasErrors()) {
          whenLoaded.resolve();
        } else {
          var loadedSub = self.activeEntry().loaded.subscribe(function (newVal) {
            if (newVal) {
              if (!self.activeEntry().hasErrors()) {
                whenLoaded.resolve();
              }

              whenLoaded.reject();
              loadedSub.remove();
            }
          });
        }

        self.activeEntry().highlight(details.docUuid);
      } else {
        self.activeEntry(new _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_4__["default"]({
          activeEntry: self.activeEntry,
          trashEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
          app: 'documents',
          user: self.user,
          activeSort: self.activeSort,
          typeFilter: self.typeFilter,
          definition: {
            uuid: details.parentUuid,
            type: 'directory'
          }
        }));
        self.activeEntry().load(function () {
          whenLoaded.resolve();
        }, function () {
          whenLoaded.reject();
          self.fallbackToRoot();
        });
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.documents.set.type.filter', function (docType) {
      if (docType) {
        _this.setTypeFilter(docType);
      }
    });
    self.init();
  }

  _createClass(AssistDocumentsPanel, [{
    key: "setTypeFilter",
    value: function setTypeFilter(newType) {
      var self = this;
      _doc_docSupport__WEBPACK_IMPORTED_MODULE_7__["DOCUMENT_TYPES"].some(function (docType) {
        if (docType.type === newType) {
          self.typeFilter(docType);
          return true;
        }
      });
      self.highlightTypeFilter(true);
      window.setTimeout(function () {
        self.highlightTypeFilter(false);
      }, 600);
    }
  }, {
    key: "fallbackToRoot",
    value: function fallbackToRoot() {
      var self = this;

      if (!self.activeEntry() || self.activeEntry().definition() && (self.activeEntry().definition().path !== '/' || self.activeEntry().definition().uuid)) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'last.opened.assist.doc.uuid', null);
        self.activeEntry(new _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_4__["default"]({
          activeEntry: self.activeEntry,
          trashEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
          app: 'documents',
          user: self.user,
          activeSort: self.activeSort,
          typeFilter: self.typeFilter,
          definition: {
            name: '/',
            type: 'directory'
          }
        }));
        self.activeEntry().load();
      }
    }
  }, {
    key: "init",
    value: function init() {
      var self = this;

      if (!self.activeEntry().loaded()) {
        self.activeEntry().load(function () {}, function () {
          self.fallbackToRoot();
        }, true);
      }
    }
  }]);

  return AssistDocumentsPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('hue-assist-documents-panel', AssistDocumentsPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistEditorContextPanel.js":
/*!*****************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistEditorContextPanel.js ***!
  \*****************************************************************************************/
/*! exports provided: TEMPLATE, AssistantUtils */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TEMPLATE", function() { return TEMPLATE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AssistantUtils", function() { return AssistantUtils; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ko_assistDbPanel__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ko.assistDbPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDbPanel.js");
/* harmony import */ var _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./assistDbEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbEntry.js");
/* harmony import */ var _assistDbSource__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./assistDbSource */ "./desktop/core/src/desktop/js/ko/components/assist/assistDbSource.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.









var TEMPLATE = _ko_assistDbPanel__WEBPACK_IMPORTED_MODULE_2__["default"] + "\n  <div class=\"assist-inner-panel assist-assistant-panel\">\n    <div class=\"assist-flex-panel\">\n      <div class=\"assist-flex-header\">\n        <div class=\"assist-inner-header\">\n          <!-- ko if: isSolr -->\n          ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Indexes'), "\n          <!-- /ko -->\n          <!-- ko ifnot: isSolr -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Tables'), "\n          <!-- ko if: statementCount() > 1 -->\n          <div class=\"statement-count\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Statement'), " <span data-bind=\"text: activeStatementIndex() + '/' + statementCount()\"></span></div>\n          <!-- /ko -->\n          <!-- /ko -->\n        </div>\n      </div>\n      <div class=\"assist-flex-search\" data-bind=\"visible: activeTables().length > 0\">\n        <div class=\"assist-filter\">\n          <!-- ko component: {\n            name: 'inline-autocomplete',\n            params: {\n              querySpec: filter.querySpec,\n              facets: ['type'],\n              knownFacetValues: isSolr() ? SOLR_ASSIST_KNOWN_FACET_VALUES : SQL_ASSIST_KNOWN_FACET_VALUES,\n              autocompleteFromEntries: $component.autocompleteFromEntries\n            }\n          } --><!-- /ko -->\n        </div>\n      </div>\n      <div class=\"assist-flex-fill assist-db-scrollable\" data-bind=\"delayedOverflow\">\n        <!-- ko if: filteredTables().length === 0 && (!filter.querySpec() || filter.querySpec().query === '') -->\n        <div class=\"assist-no-entries\">\n          <!-- ko if: isSolr -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('No indexes selected.'), "\n          <!-- /ko -->\n          <!-- ko ifnot: isSolr  -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('No tables identified.'), "\n          <!-- /ko -->\n        </div>\n        <!-- /ko -->\n        <!-- ko if: filteredTables().length === 0 && filter.querySpec() && filter.querySpec().query !== '' && !someLoading() -->\n        <div class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('No entries found'), "</div>\n        <!-- /ko -->\n        <!-- ko if: filteredTables().length > 0 -->\n        <ul class=\"database-tree assist-tables\" data-bind=\"foreachVisible: { data: filteredTables, minHeight: 22, container: '.assist-db-scrollable', skipScrollEvent: true }\">\n          <!-- ko if: hasErrors -->\n          <li class=\"assist-table hue-warning\" data-bind=\"attr: { 'title': $parent.isSolr() ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Error loading index details.'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Error loading table details.'), "'}\">\n            <span class=\"assist-entry\">\n              <i class=\"hue-warning fa fa-fw muted valign-middle fa-warning\"></i>\n              <!-- ko with: catalogEntry -->\n              <!-- ko if: typeof reload !== 'undefined' -->\n              <span data-bind=\"text: getDisplayName()\"></span> <a class=\"inactive-action\" href=\"javascript: void(0);\" data-bind=\"click: reload\"><i class=\"fa fa-refresh\" data-bind=\"css: { 'fa-spin': reloading }\"></i></a>\n              <!-- /ko -->\n              <!-- /ko -->\n            </span>\n          </li>\n          <!-- /ko -->\n          <!-- ko ifnot: hasErrors -->\n          <!-- ko template: { if: catalogEntry.isTableOrView(), name: 'assist-table-entry' } --><!-- /ko -->\n          <!-- ko template: { if: catalogEntry.isField(), name: 'assist-column-entry-assistant' } --><!-- /ko -->\n          <!-- /ko -->\n        </ul>\n        <!-- /ko -->\n        <!-- ko hueSpinner: { spin: filter.querySpec() && filter.querySpec().query !== '' && someLoading(), inline: true,  center: true} --><!-- /ko -->\n      </div>\n\n      <!-- ko if: showRisks -->\n      <div class=\"assist-flex-header assist-divider\"><div class=\"assist-inner-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Query Analysis'), "</div></div>\n      <div class=\"assist-flex-third\">\n        <!-- ko if: ! activeRisks().hints -->\n        <div class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Select a query or start typing to get optimization hints.'), "</div>\n        <!-- /ko -->\n        <!-- ko if: activeRisks().hints && activeRisks().hints.length === 0 -->\n        <div class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('No optimizations identified.'), "</div>\n        <!-- /ko -->\n        <!-- ko if: activeRisks().hints && activeRisks().hints.length > 0 -->\n        <ul class=\"risk-list\" data-bind=\"foreach: activeRisks().hints\">\n          <li>\n            <div class=\"risk-list-title\" data-bind=\"css: { 'risk-list-high' : risk === 'high', 'risk-list-normal':  risk !== 'high' }, tooltip: { title: risk + ' ' + riskTables }\"><span data-bind=\"text: riskAnalysis\"></span></div>\n            <div class=\"risk-list-description\" data-bind=\"text: riskRecommendation\"></div>\n            <div class=\"risk-quickfix\" data-bind=\"visible: (riskId === 17 || riskId === 22) && $parent.activeEditor() && $parent.activeLocations()\" style=\"display:none;\">\n              <a href=\"javascript:void(0);\" data-bind=\"click: function () { $parent.addFilter(riskId); hueAnalytics.convert('optimizer', 'addFilter/' + riskId); }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Add filter'), "</a>\n            </div>\n          </li>\n        </ul>\n        <!-- /ko -->\n        <!-- ko if: hasMissingRisks() -->\n        <div class=\"margin-top-20\">\n          <!-- ko hueSpinner: { spin: uploadingTableStats, inline: true} --><!-- /ko -->\n          <!-- ko ifnot: uploadingTableStats -->\n          <a href=\"javascript:void(0)\" data-bind=\"visible: activeTables().length > 0, click: function() { uploadTableStats(true) }, attr: { 'title': ('").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Add table'), " '  + (isMissingDDL() ? 'DDL' : '') + (isMissingDDL() && isMissingStats() ? ' ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('and'), " ' : '') + (isMissingStats() ? 'stats' : '')) }\">\n            <i class=\"fa fa-fw fa-plus-circle\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Improve Analysis'), "\n          </a>\n          <!-- /ko -->\n        </div>\n        <!-- /ko -->\n      </div>\n      <!-- /ko -->\n    </div>\n  </div>\n");

var AssistantUtils =
/*#__PURE__*/
function () {
  function AssistantUtils() {
    _classCallCheck(this, AssistantUtils);
  }

  _createClass(AssistantUtils, null, [{
    key: "getFilteredTablesPureComputed",
    value: function getFilteredTablesPureComputed(vm) {
      var openedByFilter = [];
      return knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
        if (!vm.filter || !vm.filter.querySpec() || (!vm.filter.querySpec().facets || Object.keys(vm.filter.querySpec().facets).length === 0) && (!vm.filter.querySpec().text || vm.filter.querySpec().text.length === 0)) {
          while (openedByFilter.length) {
            openedByFilter.pop().open(false);
          }

          return vm.activeTables();
        }

        var facets = vm.filter.querySpec().facets;
        var result = [];
        vm.activeTables().forEach(function (entry) {
          var facetMatch = !facets || !facets['type'] || !facets['type']['table'] && !facets['type']['view'];

          if (!facetMatch && facets['type']['table']) {
            facetMatch = entry.catalogEntry.isTable();
          }

          if (!facetMatch && facets['type']['view']) {
            facetMatch = entry.catalogEntry.isView();
          }

          var textMatch = !vm.filter.querySpec().text || vm.filter.querySpec().text.length === 0;

          if (!textMatch) {
            var nameLower = entry.catalogEntry.name.toLowerCase();
            textMatch = vm.filter.querySpec().text.every(function (text) {
              return nameLower.indexOf(text.toLowerCase()) !== -1;
            });
          }

          entry.filterColumnNames(!textMatch);

          if (facetMatch && textMatch || entry.filteredEntries().length > 0) {
            if (!entry.open()) {
              entry.open(true);
              openedByFilter.push(entry);
            }

            result.push(entry);
          }
        });
        return result;
      });
    }
  }]);

  return AssistantUtils;
}();

var AssistEditorContextPanel =
/*#__PURE__*/
function () {
  function AssistEditorContextPanel(params) {
    var _this = this;

    _classCallCheck(this, AssistEditorContextPanel);

    this.disposals = [];
    this.isSolr = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.activeTab = params.activeTab;
    this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.sourceType());
    this.showRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return window.HAS_OPTIMIZER && !_this.isSolr() && (_this.sourceType() === 'impala' || _this.sourceType() === 'hive');
    });
    var typeSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('active.snippet.type.changed', function (details) {
      _this.sourceType(details.type);
    });
    this.disposals.push(function () {
      typeSub.remove();
    });
    this.uploadingTableStats = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.activeStatement = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.activeTables = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.activeRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({});
    this.activeEditor = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.activeRisks.subscribe(function () {
      if (_this.isMissingDDL()) {
        _this.uploadTableStats(false);
      }
    });
    this.activeLocations = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.statementCount = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    this.activeStatementIndex = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    this.hasActiveRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.activeRisks().hints && _this.activeRisks().hints.length > 0;
    });
    this.hasMissingRisks = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.isMissingDDL() || _this.isMissingStats();
    });
    this.isMissingDDL = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.activeRisks().noDDL && _this.activeRisks().noDDL.length > 0;
    });
    this.isMissingStats = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return window.AUTO_UPLOAD_OPTIMIZER_STATS && _this.activeRisks().noStats && _this.activeRisks().noStats.length > 0;
    });
    this.someLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this.activeTables().some(function (table) {
        return table.loading() || !table.hasEntries() && !table.hasErrors();
      });
    });

    var createQualifiedIdentifier = function createQualifiedIdentifier(identifierChain, defaultDatabase) {
      if (identifierChain.length === 1) {
        return defaultDatabase + '.' + identifierChain[0].name;
      }

      return identifierChain.map(function (identifier) {
        return identifier.name;
      }).join('.').toLowerCase();
    };

    this.filter = {
      querySpec: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
        query: '',
        facets: {},
        text: []
      }).extend({
        rateLimit: 300
      })
    };
    this.filteredTables = AssistantUtils.getFilteredTablesPureComputed(this);
    var navigationSettings = {
      showStats: true,
      rightAssist: true
    };
    var i18n = {};
    var sources = {};
    var loadEntriesTimeout = -1; // This fetches the columns for each table synchronously with 2 second in between.

    var loadEntries = function loadEntries(currentCount) {
      var count = currentCount || 0;
      count++;

      if (count > 10) {
        return;
      }

      window.clearTimeout(loadEntriesTimeout);

      if (_this.activeTables().length === 1) {
        _this.activeTables()[0].open(true);
      } else {
        loadEntriesTimeout = window.setTimeout(function () {
          _this.activeTables().every(function (table) {
            if (!table.loaded && !table.hasErrors() && !table.loading()) {
              table.loadEntries(function () {
                loadEntries(count);
              });
              return false;
            }

            return !table.loading();
          });
        }, 2000);
      }
    };

    this.autocompleteFromEntries = function (nonPartial, partial) {
      var added = {};
      var result = [];
      var partialLower = partial.toLowerCase();

      _this.filteredTables().forEach(function (table) {
        if (!added[table.catalogEntry.name] && table.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
          added[table.catalogEntry.name] = true;
          result.push(nonPartial + partial + table.catalogEntry.name.substring(partial.length));
        }

        table.entries().forEach(function (col) {
          if (!added[col.catalogEntry.name] && col.catalogEntry.name.toLowerCase().indexOf(partialLower) === 0) {
            added[col.catalogEntry.name] = true;
            result.push(nonPartial + partial + col.catalogEntry.name.substring(partial.length));
          }
        });
      });

      return result;
    };

    var activeTablesSub = this.activeTables.subscribe(loadEntries);
    this.disposals.push(function () {
      window.clearTimeout(loadEntriesTimeout);
      activeTablesSub.dispose();
    });
    var updateOnVisible = false;
    var runningPromises = [];

    var handleLocationUpdate = function handleLocationUpdate(activeLocations) {
      while (runningPromises.length) {
        var promise = runningPromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }

      updateOnVisible = false;

      if (!sources[activeLocations.type]) {
        sources[activeLocations.type] = {
          assistDbSource: new _assistDbSource__WEBPACK_IMPORTED_MODULE_4__["default"]({
            i18n: i18n,
            initialNamespace: activeLocations.namespace,
            type: activeLocations.type,
            name: activeLocations.type,
            navigationSettings: navigationSettings
          }),
          databaseIndex: {},
          activeTableIndex: {}
        };
      }

      var assistDbSource = sources[activeLocations.type].assistDbSource;
      var databaseIndex = sources[activeLocations.type].databaseIndex;
      var activeTableIndex = sources[activeLocations.type].activeTableIndex;

      if (!activeLocations) {
        _this.activeLocations(undefined);

        return;
      }

      _this.activeLocations(activeLocations);

      _this.statementCount(activeLocations.totalStatementCount);

      _this.activeStatementIndex(activeLocations.activeStatementIndex);

      if (activeLocations.activeStatementLocations) {
        var updateTables = false;
        var tableQidIndex = {};
        var ctes = {};
        activeLocations.activeStatementLocations.forEach(function (location) {
          if (location.type === 'alias' && location.source === 'cte') {
            ctes[location.alias.toLowerCase()] = true;
          }
        });
        activeLocations.activeStatementLocations.forEach(function (location) {
          if (location.type === 'table' && (location.identifierChain.length !== 1 || !ctes[location.identifierChain[0].name.toLowerCase()])) {
            var tableDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
            var dbDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
            runningPromises.push(tableDeferred);
            runningPromises.push(dbDeferred);
            var qid = createQualifiedIdentifier(location.identifierChain, activeLocations.defaultDatabase);

            if (activeTableIndex[qid]) {
              tableQidIndex[qid] = true;
              tableDeferred.resolve(activeTableIndex[qid]);
              dbDeferred.resolve(activeTableIndex[qid].parent);
            } else {
              var database = location.identifierChain.length === 2 ? location.identifierChain[0].name : activeLocations.defaultDatabase;
              database = database.toLowerCase();

              if (databaseIndex[database]) {
                dbDeferred.resolve(databaseIndex[database]);
              } else {
                _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__["default"].getEntry({
                  sourceType: activeLocations.type,
                  namespace: activeLocations.namespace,
                  compute: activeLocations.compute,
                  path: [database],
                  definition: {
                    type: 'database'
                  }
                }).done(function (catalogEntry) {
                  databaseIndex[database] = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__["default"](catalogEntry, null, assistDbSource, _this.filter, i18n, navigationSettings);
                  updateTables = true;
                  dbDeferred.resolve(databaseIndex[database]);
                }).fail(function () {
                  dbDeferred.reject();
                });
              }

              dbDeferred.done(function (dbEntry) {
                dbEntry.catalogEntry.getChildren({
                  silenceErrors: true
                }).done(function (tableEntries) {
                  var tableName = location.identifierChain[location.identifierChain.length - 1].name;
                  var found = tableEntries.some(function (tableEntry) {
                    if (tableEntry.name === tableName) {
                      var assistTableEntry = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__["default"](tableEntry, dbEntry, assistDbSource, _this.filter, i18n, navigationSettings);
                      activeTableIndex[createQualifiedIdentifier(location.identifierChain, activeLocations.defaultDatabase)] = assistTableEntry;
                      tableQidIndex[qid] = true;
                      updateTables = true;
                      tableDeferred.resolve(assistTableEntry);
                      return true;
                    }
                  });

                  if (!found) {
                    var missingEntry = new _assistDbEntry__WEBPACK_IMPORTED_MODULE_3__["default"]({
                      path: [dbEntry.catalogEntry.name, tableName],
                      name: tableName,
                      isTableOrView: function isTableOrView() {
                        return true;
                      },
                      getType: function getType() {
                        return 'table';
                      },
                      hasPossibleChildren: function hasPossibleChildren() {
                        return true;
                      },
                      getSourceMeta: function getSourceMeta() {
                        return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve({
                          notFound: true
                        }).promise();
                      },
                      getDisplayName: function getDisplayName() {
                        return dbEntry.catalogEntry.name + '.' + tableName;
                      },
                      reloading: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                      reload: function reload() {
                        var self = this;

                        if (self.reloading()) {
                          return;
                        }

                        self.reloading(true);
                        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribeOnce('data.catalog.entry.refreshed', function (data) {
                          data.entry.getSourceMeta({
                            silenceErrors: true
                          }).always(function () {
                            self.reloading(false);
                          });
                        });
                        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__["default"].getEntry({
                          sourceType: activeLocations.type,
                          namespace: activeLocations.namespace,
                          compute: activeLocations.compute,
                          path: []
                        }).done(function (sourceEntry) {
                          sourceEntry.getChildren().done(function (dbEntries) {
                            var clearPromise; // Clear the database first if it exists without cascade

                            var hasDb = dbEntries.some(function (dbEntry) {
                              if (dbEntry.name.toLowerCase() === self.path[0].toLowerCase()) {
                                clearPromise = dbEntry.clearCache({
                                  invalidate: 'invalidate',
                                  cascade: false
                                });
                                return true;
                              }
                            });

                            if (!hasDb) {
                              // If the database is missing clear the source without cascade
                              clearPromise = sourceEntry.clearCache({
                                invalidate: 'invalidate',
                                cascade: false
                              });
                            }

                            clearPromise.fail(function () {
                              self.reloading(false);
                            });
                          }).fail(function () {
                            self.reloading(false);
                          });
                        }).fail(function () {
                          self.reloading(false);
                        });
                      }
                    }, dbEntry, assistDbSource, _this.filter, i18n, navigationSettings);
                    activeTableIndex[createQualifiedIdentifier(location.identifierChain, activeLocations.defaultDatabase)] = missingEntry;
                    tableQidIndex[qid] = true;
                    updateTables = true;
                    missingEntry.hasErrors(true);
                    tableDeferred.resolve(missingEntry);
                  }
                }).fail(tableDeferred.reject);
              }).fail(tableDeferred.reject);
            }
          }
        });
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, runningPromises).always(function () {
          runningPromises.length = 0;
          Object.keys(activeTableIndex).forEach(function (key) {
            if (!tableQidIndex[key]) {
              delete activeTableIndex[key];
              updateTables = true;
            }
          });

          if (updateTables) {
            var tables = [];
            Object.keys(activeTableIndex).forEach(function (key) {
              tables.push(activeTableIndex[key]);
            });
            tables.sort(function (a, b) {
              return a.catalogEntry.name.localeCompare(b.catalogEntry.name);
            });

            _this.activeTables(tables);
          }
        });
      }
    };

    var entryRefreshedSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('data.catalog.entry.refreshed', function (details) {
      var sourceType = details.entry.getSourceType();

      if (sources[sourceType]) {
        var completeRefresh = false;

        if (details.entry.isSource()) {
          sources[sourceType].databaseIndex = {};
          sources[sourceType].activeTableIndex = {};
          completeRefresh = true;
        } else if (details.entry.isDatabase() && sources[sourceType].databaseIndex[details.entry.name]) {
          var dbEntry = sources[sourceType].databaseIndex[details.entry.name];
          var activeTableIndex = sources[sourceType].activeTableIndex;
          Object.keys(activeTableIndex).forEach(function (tableKey) {
            var tableEntry = activeTableIndex[tableKey];

            if (tableEntry.parent === dbEntry) {
              delete activeTableIndex[tableKey];
              completeRefresh = true;
            }
          });
        } else if (details.entry.isTableOrView()) {
          var _activeTableIndex = sources[sourceType].activeTableIndex;

          if (_activeTableIndex[details.entry.getQualifiedPath()]) {
            delete _activeTableIndex[details.entry.getQualifiedPath()];
            completeRefresh = true;
          }
        }

        if (completeRefresh) {
          handleLocationUpdate(_this.activeLocations());
        }
      }
    });

    if (this.activeTab() === 'editorAssistant') {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('get.active.editor.locations', handleLocationUpdate);
    } else {
      updateOnVisible = true;
    }

    var activeTabSub = this.activeTab.subscribe(function (activeTab) {
      if (activeTab === 'editorAssistant' && updateOnVisible) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('get.active.editor.locations', handleLocationUpdate);
      }
    });
    this.disposals.push(function () {
      entryRefreshedSub.remove();
      activeTabSub.dispose();
    });
    var activeLocationsSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('editor.active.locations', function (activeLocations) {
      if (_this.activeTab() === 'editorAssistant') {
        handleLocationUpdate(activeLocations);
      } else {
        updateOnVisible = true;
      }
    });
    var activeRisksSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('editor.active.risks', function (details) {
      if (details.risks !== _this.activeRisks()) {
        _this.activeRisks(details.risks);

        _this.activeEditor(details.editor);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('editor.get.active.risks', function (details) {
      _this.activeRisks(details.risks);

      _this.activeEditor(details.editor);
    });
    this.disposals.push(function () {
      activeLocationsSub.remove();
      activeRisksSub.remove();
    });
  }

  _createClass(AssistEditorContextPanel, [{
    key: "addFilter",
    value: function addFilter(riskId) {
      var _this2 = this;

      if (this.activeLocations() && this.activeEditor()) {
        this.activeLocations().activeStatementLocations.every(function (location) {
          var isLowerCase = false;

          if (_this2.activeLocations().activeStatementLocations && _this2.activeLocations().activeStatementLocations.length > 0) {
            var firstToken = _this2.activeLocations().activeStatementLocations[0].firstToken;

            isLowerCase = firstToken === firstToken.toLowerCase();
          }

          if (location.type === 'whereClause' && !location.subquery && (location.missing || riskId === 22)) {
            _this2.activeEditor().moveCursorToPosition({
              row: location.location.last_line - 1,
              column: location.location.last_column - 1
            });

            _this2.activeEditor().clearSelection();

            if (/\S$/.test(_this2.activeEditor().getTextBeforeCursor())) {
              _this2.activeEditor().session.insert(_this2.activeEditor().getCursorPosition(), ' ');
            }

            var operation = location.missing ? 'WHERE ' : 'AND ';

            _this2.activeEditor().session.insert(_this2.activeEditor().getCursorPosition(), isLowerCase ? operation.toLowerCase() : operation);

            _this2.activeEditor().focus();

            if (riskId === 22) {
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('editor.autocomplete.temporary.sort.override', {
                partitionColumnsFirst: true
              });
            }

            window.setTimeout(function () {
              _this2.activeEditor().execCommand('startAutocomplete');
            }, 1);
            return false;
          }

          return true;
        });
      }
    }
  }, {
    key: "uploadTableStats",
    value: function uploadTableStats(showProgress) {
      var _this3 = this;

      if (this.uploadingTableStats()) {
        return;
      }

      this.uploadingTableStats(true);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('editor.upload.table.stats', {
        activeTables: this.activeTables(),
        showProgress: showProgress,
        callback: function callback() {
          _this3.uploadingTableStats(false);
        }
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {
      this.disposals.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return AssistEditorContextPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_5__["default"].registerStaticComponent('assist-editor-context-panel', AssistEditorContextPanel, TEMPLATE);


/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistFunctionsPanel.js":
/*!*************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistFunctionsPanel.js ***!
  \*************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../sql/sqlFunctions */ "./desktop/core/src/desktop/js/sql/sqlFunctions.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var TEMPLATE = "\n  <div class=\"assist-inner-panel\">\n    <div class=\"assist-flex-panel\">\n      <div class=\"assist-flex-header\">\n        <div class=\"assist-inner-header\">\n          <div class=\"function-dialect-dropdown\" data-bind=\"component: { name: 'hue-drop-down', params: { fixedPosition: true, value: activeType, entries: availableTypes, linkTitle: '".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Selected dialect'), "' } }\" style=\"display: inline-block\"></div>\n        </div>\n      </div>\n      <div class=\"assist-flex-search\">\n        <div class=\"assist-filter\">\n          <form autocomplete=\"off\">\n            <input class=\"clearable\" type=\"text\" autocorrect=\"off\" autocomplete=\"do-not-autocomplete\" spellcheck=\"false\" placeholder=\"Filter...\" data-bind=\"clearable: query, value: query, valueUpdate: 'afterkeydown'\">\n          </form>\n        </div>\n      </div>\n      <div data-bind=\"css: { 'assist-flex-fill': !selectedFunction(), 'assist-flex-half': selectedFunction() }\">\n        <!-- ko ifnot: query -->\n        <ul class=\"assist-function-categories\" data-bind=\"foreach: activeCategories\">\n          <li>\n            <a class=\"black-link\" href=\"javascript: void(0);\" data-bind=\"toggle: open\"><i class=\"fa fa-fw\" data-bind=\"css: { 'fa-chevron-right': !open(), 'fa-chevron-down': open }\"></i> <span data-bind=\"text: name\"></span></a>\n            <ul class=\"assist-functions\" data-bind=\"slideVisible: open, foreach: functions\">\n              <li data-bind=\"tooltip: { title: description, placement: 'left', delay: 1000 }\">\n                <a class=\"assist-field-link\" href=\"javascript: void(0);\" data-bind=\"draggableText: { text: draggable, meta: { type: 'function' } }, css: { 'blue': $parents[1].selectedFunction() === $data }, multiClick: { click: function () { $parents[1].selectedFunction($data); }, dblClick: function () { huePubSub.publish('editor.insert.at.cursor', draggable); } }, text: signature\"></a>\n              </li>\n            </ul>\n          </li>\n        </ul>\n        <!-- /ko -->\n        <!-- ko if: query -->\n        <!-- ko if: filteredFunctions().length > 0 -->\n        <ul class=\"assist-functions\" data-bind=\"foreach: filteredFunctions\">\n          <li data-bind=\"tooltip: { title: description, placement: 'left', delay: 1000 }\">\n            <a class=\"assist-field-link\" href=\"javascript: void(0);\" data-bind=\"draggableText: { text: draggable, meta: { type: 'function' } }, css: { 'blue': $parent.selectedFunction() === $data }, multiClick: { click: function () { $parent.selectedFunction($data); }, dblClick: function () { huePubSub.publish('editor.insert.at.cursor', draggable); } }, html: signatureMatch\"></a>\n          </li>\n        </ul>\n        <!-- /ko -->\n        <!-- ko if: filteredFunctions().length === 0 -->\n        <ul class=\"assist-functions\">\n          <li class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No results found.'), "</li>\n        </ul>\n        <!-- /ko -->\n        <!-- /ko -->\n      </div>\n      <!-- ko if: selectedFunction -->\n      <div class=\"assist-flex-half assist-function-details\" data-bind=\"with: selectedFunction\">\n        <div class=\"assist-panel-close\"><button class=\"close\" data-bind=\"click: function() { $parent.selectedFunction(null); }\">&times;</button></div>\n        <div class=\"assist-function-signature blue\" data-bind=\"draggableText: { text: draggable, meta: { type: 'function' } }, text: signature, event: { 'dblclick': function () { huePubSub.publish('editor.insert.at.cursor', draggable); } }\"></div>\n        <!-- ko if: description -->\n        <div data-bind=\"html: descriptionMatch\"></div>\n        <!-- /ko -->\n      </div>\n      <!-- /ko -->\n    </div>\n  </div>\n");

var AssistFunctionsPanel =
/*#__PURE__*/
function () {
  function AssistFunctionsPanel() {
    var _this = this;

    _classCallCheck(this, AssistFunctionsPanel);

    this.categories = {};
    this.disposals = [];
    this.activeType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    this.availableTypes = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    this.query = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]().extend({
      rateLimit: 400
    });
    this.selectedFunction = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    var selectedFunctionPerType = {};
    this.selectedFunction.subscribe(function (newFunction) {
      if (newFunction) {
        selectedFunctionPerType[_this.activeType()] = newFunction;

        if (!newFunction.category.open()) {
          newFunction.category.open(true);
        }
      }
    });
    this.activeCategories = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    this.filteredFunctions = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      var result = [];

      var lowerCaseQuery = _this.query().toLowerCase();

      var replaceRegexp = new RegExp('(' + lowerCaseQuery + ')', 'i');

      _this.activeCategories().forEach(function (category) {
        category.functions.forEach(function (fn) {
          if (fn.signature.toLowerCase().indexOf(lowerCaseQuery) === 0) {
            fn.weight = 2;
            fn.signatureMatch(fn.signature.replace(replaceRegexp, '<b>$1</b>'));
            fn.descriptionMatch(fn.description);
            result.push(fn);
          } else if (fn.signature.toLowerCase().indexOf(lowerCaseQuery) !== -1) {
            fn.weight = 1;
            fn.signatureMatch(fn.signature.replace(replaceRegexp, '<b>$1</b>'));
            fn.descriptionMatch(fn.description);
            result.push(fn);
          } else if (fn.description && fn.description.toLowerCase().indexOf(lowerCaseQuery) !== -1) {
            fn.signatureMatch(fn.signature);
            fn.descriptionMatch(fn.description.replace(replaceRegexp, '<b>$1</b>'));
            fn.weight = 0;
            result.push(fn);
          } else {
            if (fn.signatureMatch() !== fn.signature) {
              fn.signatureMatch(fn.signature);
            }

            if (fn.descriptionMatch() !== fn.desciption) {
              fn.descriptionMatch(fn.description);
            }
          }
        });
      });

      result.sort(function (a, b) {
        if (a.weight !== b.weight) {
          return b.weight - a.weight;
        }

        return a.signature.localeCompare(b.signature);
      });
      return result;
    });
    this.activeType.subscribe(function (newType) {
      if (newType) {
        _this.selectedFunction(selectedFunctionPerType[newType]);

        _this.activeCategories(_this.categories[newType]);

        _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'function.panel.active.type', newType);
      }
    });

    var updateType = function updateType(type) {
      _this.availableTypes().every(function (availableType) {
        if (availableType.toLowerCase() === type) {
          if (_this.activeType() !== availableType) {
            _this.activeType(availableType);
          }

          return false;
        }

        return true;
      });
    };

    var activeSnippetTypeSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('active.snippet.type.changed', function (details) {
      updateType(details.type);
    });
    var configSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
      var lastActiveType = _this.activeType() || _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].getFromTotalStorage('assist', 'function.panel.active.type');

      if (clusterConfig.app_config && clusterConfig.app_config.editor && clusterConfig.app_config.editor.interpreters) {
        var typesIndex = {};
        clusterConfig.app_config.editor.interpreters.forEach(function (interpreter) {
          if (interpreter.type === 'hive' || interpreter.type === 'impala' || interpreter.type === 'pig') {
            typesIndex[interpreter.type] = true;
          }
        });

        _this.availableTypes(Object.keys(typesIndex).sort());

        _this.availableTypes().forEach(function (type) {
          _this.initFunctions(type);
        });

        if (lastActiveType && typesIndex[lastActiveType]) {
          _this.activeType(lastActiveType);
        } else {
          _this.activeType(_this.availableTypes().length ? _this.availableTypes()[0] : undefined);
        }
      } else {
        _this.availableTypes([]);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('cluster.config.get.config');
    this.disposals.push(function () {
      activeSnippetTypeSub.remove();
      configSub.remove();
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('get.active.snippet.type', updateType);
  }

  _createClass(AssistFunctionsPanel, [{
    key: "dispose",
    value: function dispose() {
      this.disposals.forEach(function (dispose) {
        dispose();
      });
    }
  }, {
    key: "initFunctions",
    value: function initFunctions(dialect) {
      var _this2 = this;

      this.categories[dialect] = [];
      var functions = dialect === 'pig' ? _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_4__["PigFunctions"].CATEGORIZED_FUNCTIONS : _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_4__["SqlFunctions"].CATEGORIZED_FUNCTIONS[dialect.toLowerCase()];
      functions.forEach(function (category) {
        var koCategory = {
          name: category.name,
          open: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
          functions: Object.keys(category.functions).map(function (key) {
            var fn = category.functions[key];
            return {
              draggable: fn.draggable,
              signature: fn.signature,
              signatureMatch: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](fn.signature),
              description: fn.description,
              descriptionMatch: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](fn.description)
            };
          })
        };
        koCategory.functions.forEach(function (fn) {
          fn.category = koCategory;
        });

        _this2.categories[dialect].push(koCategory);
      });
    }
  }]);

  return AssistFunctionsPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerStaticComponent('assist-functions-panel', AssistFunctionsPanel, TEMPLATE);
/* harmony default export */ __webpack_exports__["default"] = (AssistFunctionsPanel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistGitPanel.js":
/*!*******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistGitPanel.js ***!
  \*******************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistGitEntry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./assistGitEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistGitEntry.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var TEMPLATE = "\n  <script type=\"text/html\" id=\"git-details-title\">\n    <span data-bind=\"text: definition.name\"></span>\n  </script>\n\n  <script type=\"text/html\" id=\"assist-git-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: function () { huePubSub.publish('assist.git.refresh'); }\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Manual refresh'), "\"></i></a>\n    </div>\n  </script>\n\n  <!-- ko with: selectedGitEntry -->\n  <div class=\"assist-flex-header assist-breadcrumb\" >\n    <!-- ko if: parent !== null -->\n    <a href=\"javascript: void(0);\" data-bind=\"click: function () { huePubSub.publish('assist.selectGitEntry', parent); }\">\n      <i class=\"fa fa-fw fa-chevron-left\"></i>\n      <i class=\"fa fa-fw fa-folder-o\"></i>\n      <span data-bind=\"text: path, attr: {'title': path }\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko if: parent === null -->\n    <div>\n      <i class=\"fa fa-fw fa-folder-o\"></i>\n      <span data-bind=\"text: path\"></span>\n    </div>\n    <!-- /ko -->\n    <!-- ko template: 'assist-git-header-actions' --><!-- /ko -->\n  </div>\n  <div class=\"assist-flex-fill assist-git-scrollable\" data-bind=\"delayedOverflow\">\n    <div data-bind=\"visible: ! loading() && ! hasErrors()\" style=\"position: relative;\">\n      <!-- ko hueSpinner: { spin: loadingMore, overlay: true } --><!-- /ko -->\n      <ul class=\"assist-tables\" data-bind=\"foreachVisible: { data: entries, minHeight: 22, container: '.assist-git-scrollable' }\">\n        <li class=\"assist-entry assist-table-link\" style=\"position: relative;\" data-bind=\"visibleOnHover: { 'selector': '.assist-actions' }\">\n\n          <a href=\"javascript:void(0)\" class=\"assist-entry assist-table-link\" data-bind=\"multiClick: { click: toggleOpen, dblClick: dblClick }, attr: {'title': definition.name }\">\n            <!-- ko if: definition.type === 'dir' -->\n            <i class=\"fa fa-fw fa-folder-o muted valign-middle\"></i>\n            <!-- /ko -->\n            <!-- ko ifnot: definition.type === 'dir' -->\n            <i class=\"fa fa-fw fa-file-o muted valign-middle\"></i>\n            <!-- /ko -->\n            <span draggable=\"true\" data-bind=\"text: definition.name, draggableText: { text: '\\'' + path + '\\'', meta: {'type': 'git', 'definition': definition} }\"></span>\n          </a>\n        </li>\n      </ul>\n      <!-- ko if: !loading() && entries().length === 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry\"><span class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Empty directory'), "</span></li>\n      </ul>\n      <!-- /ko -->\n    </div>\n    <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    <div class=\"assist-errors\" data-bind=\"visible: ! loading() && hasErrors()\">\n      <span>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Error loading contents.'), "</span>\n    </div>\n  </div>\n  <!-- /ko -->\n");

var AssistGitPanel =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @constructor
   **/
  function AssistGitPanel(options) {
    _classCallCheck(this, AssistGitPanel);

    var self = this;
    self.selectedGitEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();

    self.reload = function () {
      var lastKnownPath = _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].getFromTotalStorage('assist', 'currentGitPath', window.USER_HOME_DIR);
      var parts = lastKnownPath.split('/');
      parts.shift();
      var currentEntry = new _assistGitEntry__WEBPACK_IMPORTED_MODULE_2__["default"]({
        definition: {
          name: '/',
          type: 'dir'
        },
        parent: null
      });
      currentEntry.loadDeep(parts, function (entry) {
        self.selectedGitEntry(entry);
        entry.open(true);
      });
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.selectGitEntry', function (entry) {
      self.selectedGitEntry(entry);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'currentGitPath', entry.path);
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.git.refresh', function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('assist.clear.git.cache');
      self.reload();
    });
    self.init();
  }

  _createClass(AssistGitPanel, [{
    key: "init",
    value: function init() {
      this.reload();
    }
  }]);

  return AssistGitPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('hue-assist-git-panel', AssistGitPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistHBasePanel.js":
/*!*********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistHBasePanel.js ***!
  \*********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistHBaseEntry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./assistHBaseEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistHBaseEntry.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var TEMPLATE = "\n  <script type=\"text/html\" id=\"hbase-context-items\">\n    <!-- ko if: definition.host -->\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: open\"><i class=\"fa fa-fw fa-folder-open-o\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Open cluster'), "</a></li>\n    <!-- /ko -->\n    <!-- ko ifnot: definition.host -->\n    <li><a href=\"javascript: void(0);\" data-bind=\"click: open\"><!-- ko template: { name: 'app-icon-template', data: { icon: 'hbase' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Open in HBase'), "</a></li>\n    <!-- /ko -->\n  </script>\n  \n  <script type=\"text/html\" id=\"assist-hbase-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: function () { huePubSub.publish('assist.hbase.refresh'); }\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Manual refresh'), "\"></i></a>\n    </div>\n  </script>\n\n  <!-- ko with: selectedHBaseEntry -->\n  <div class=\"assist-inner-header assist-breadcrumb\" >\n    <!-- ko if: definition.host !== '' -->\n    <a href=\"javascript: void(0);\" data-bind=\"click: function () { huePubSub.publish('assist.clickHBaseRootItem'); }\">\n      <i class=\"fa fa-fw fa-chevron-left\"></i>\n      <i class=\"fa fa-fw fa-th-large\"></i>\n      <span data-bind=\"text: definition.name\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko if: definition.host === '' -->\n    ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Clusters'), "\n    <!-- /ko -->\n    <!-- ko template: 'assist-hbase-header-actions' --><!-- /ko -->\n  </div>\n  <div class=\"assist-flex-fill assist-hbase-scrollable\" data-bind=\"delayedOverflow\">\n    <div data-bind=\"visible: ! loading() && ! hasErrors()\" style=\"position: relative;\">\n      <ul class=\"assist-tables\" data-bind=\"foreachVisible: { data: entries, minHeight: 22, container: '.assist-hbase-scrollable' }\">\n        <li class=\"assist-entry assist-table-link\" style=\"position: relative;\" data-bind=\"appAwareTemplateContextMenu: { template: 'hbase-context-items', scrollContainer: '.assist-hbase-scrollable' }, visibleOnHover: { 'selector': '.assist-actions' }\">\n          <a href=\"javascript:void(0)\" class=\"assist-entry assist-table-link\" data-bind=\"multiClick: { click: click, dblClick: dblClick }, attr: {'title': definition.name }\">\n            <!-- ko if: definition.host -->\n            <i class=\"fa fa-fw fa-th-large muted valign-middle\"></i>\n            <!-- /ko -->\n            <!-- ko ifnot: definition.host -->\n            <i class=\"fa fa-fw fa-th muted valign-middle\"></i>\n            <!-- /ko -->\n            <span draggable=\"true\" data-bind=\"text: definition.name, draggableText: { text: '\\'' + definition.name + '\\'', meta: {'type': 'collection', 'definition': definition} }\"></span>\n          </a>\n        </li>\n      </ul>\n      <!-- ko if: !loading() && entries().length === 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry\">\n          <span class=\"assist-no-entries\">\n          <!-- ko if: definition.host === '' -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No clusters available.'), "\n          <!-- /ko -->\n          <!-- ko if: definition.host !== '' -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No tables available.'), "\n          <!-- /ko -->\n          </span>\n        </li>\n      </ul>\n      <!-- /ko -->\n    </div>\n    <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    <div class=\"assist-errors\" data-bind=\"visible: ! loading() && hasErrors()\">\n      <span>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Error loading contents.'), "</span>\n    </div>\n  </div>\n  <!-- /ko -->\n");

var AssistHBasePanel =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @constructor
   **/
  function AssistHBasePanel(options) {
    _classCallCheck(this, AssistHBasePanel);

    var self = this;
    self.initialized = false;
    var root = new _assistHBaseEntry__WEBPACK_IMPORTED_MODULE_2__["default"]({
      definition: {
        host: '',
        name: '',
        port: 0
      }
    });
    self.selectedHBaseEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();

    self.reload = function () {
      self.selectedHBaseEntry(root);
      root.loadEntries(function () {
        var lastOpenendPath = _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].getFromTotalStorage('assist', 'last.opened.hbase.entry', null);

        if (lastOpenendPath) {
          root.entries().every(function (entry) {
            if (entry.path === lastOpenendPath) {
              entry.open();
              return false;
            }

            return true;
          });
        }
      });
    };

    self.selectedHBaseEntry.subscribe(function (newEntry) {
      if (newEntry !== root || newEntry === root && newEntry.loaded) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'last.opened.hbase.entry', newEntry.path);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.clickHBaseItem', function (entry) {
      if (entry.definition.host) {
        entry.loadEntries();
        self.selectedHBaseEntry(entry);
      } else {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('assist.dblClickHBaseItem', entry);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.clickHBaseRootItem', function () {
      self.reload();
    });

    var delayChangeHash = function delayChangeHash(hash) {
      window.setTimeout(function () {
        window.location.hash = hash;
      }, 0);
    };

    self.lastClickeHBaseEntry = null;
    self.HBaseLoaded = false;
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribeOnce('hbase.app.loaded', function () {
      if (self.selectedHBaseEntry() && self.lastClickeHBaseEntry) {
        delayChangeHash(self.selectedHBaseEntry().definition.name + '/' + self.lastClickeHBaseEntry.definition.name);
      }

      self.HBaseLoaded = true;
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.dblClickHBaseItem', function (entry) {
      var hash = self.selectedHBaseEntry().definition.name + '/' + entry.definition.name;

      if (window.location.pathname.startsWith('/hue/hbase')) {
        window.location.hash = hash;
      } else {
        self.lastClickeHBaseEntry = entry;
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribeOnce('app.gained.focus', function (app) {
          if (app === 'hbase' && self.HBaseLoaded) {
            delayChangeHash(hash);
          }
        });
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('open.link', '/hbase');
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.hbase.refresh', function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('assist.clear.hbase.cache');
      self.reload();
    });
    self.init();
  }

  _createClass(AssistHBasePanel, [{
    key: "init",
    value: function init() {
      var self = this;

      if (self.initialized) {
        return;
      }

      self.reload();
      self.initialized = true;
    }
  }]);

  return AssistHBasePanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('hue-assist-hbase-panel', AssistHBasePanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistLangRefPanel.js":
/*!***********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistLangRefPanel.js ***!
  \***********************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var TEMPLATE = "\n  <script type=\"text/html\" id=\"language-reference-topic-tree\">\n    <!-- ko if: $data.length -->\n    <ul class=\"assist-docs-topic-tree \" data-bind=\"foreach: $data\">\n      <li>\n        <a class=\"black-link\" href=\"javascript: void(0);\" data-bind=\"click: function () { $component.selectedTopic($data); }, toggle: open\">\n          <i class=\"fa fa-fw\" style=\"font-size: 12px;\" data-bind=\"css: { 'fa-chevron-right': children.length && !open(), 'fa-chevron-down': children.length && open() }\"></i>\n          <span class=\"assist-field-link\" href=\"javascript: void(0);\" data-bind=\"css: { 'blue': $component.selectedTopic() === $data }, text: title\"></span>\n        </a>\n        <!-- ko if: open -->\n        <!-- ko template: { name: 'language-reference-topic-tree', data: children } --><!-- /ko -->\n        <!-- /ko -->\n      </li>\n    </ul>\n    <!-- /ko -->\n  </script>\n\n  <div class=\"assist-inner-panel\">\n    <div class=\"assist-flex-panel\">\n      <div class=\"assist-flex-header\">\n        <div class=\"assist-inner-header\">\n          <div class=\"function-dialect-dropdown\" data-bind=\"component: { name: 'hue-drop-down', params: { fixedPosition: true, value: sourceType, entries: availableTypes, linkTitle: '".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Selected dialect'), "' } }\" style=\"display: inline-block\"></div>\n        </div>\n      </div>\n      <div class=\"assist-flex-search\">\n        <div class=\"assist-filter\">\n          <form autocomplete=\"off\">\n            <input class=\"clearable\" type=\"text\" autocorrect=\"off\" autocomplete=\"do-not-autocomplete\" spellcheck=\"false\" placeholder=\"Filter...\" data-bind=\"clearable: query, value: query, valueUpdate: 'afterkeydown'\">\n          </form>\n        </div>\n      </div>\n      <div class=\"assist-docs-topics\" data-bind=\"css: { 'assist-flex-fill': !selectedTopic(), 'assist-flex-40': selectedTopic() }\">\n        <!-- ko ifnot: query -->\n        <!-- ko template: { name: 'language-reference-topic-tree', data: topics } --><!-- /ko -->\n        <!-- /ko -->\n        <!-- ko if: query -->\n        <!-- ko if: filteredTopics().length > 0 -->\n        <ul class=\"assist-docs-topic-tree\" data-bind=\"foreach: filteredTopics\">\n          <li>\n            <a class=\"assist-field-link\" href=\"javascript: void(0);\" data-bind=\"css: { 'blue': $component.selectedTopic() === $data }, click: function () { $component.selectedTopic($data); }, html: titleMatch() || title\"></a>\n          </li>\n        </ul>\n        <!-- /ko -->\n        <!-- ko if: filteredTopics().length === 0 -->\n        <ul class=\"assist-docs-topic-tree\">\n          <li class=\"assist-no-entries\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No results found.'), "</li>\n        </ul>\n        <!-- /ko -->\n        <!-- /ko -->\n      </div>\n      <!-- ko if: selectedTopic -->\n      <div class=\"assist-flex-60 assist-docs-details\" data-bind=\"with: selectedTopic\">\n        <div class=\"assist-panel-close\"><button class=\"close\" data-bind=\"click: function() { $component.selectedTopic(undefined); }\">&times;</button></div>\n        <div data-bind=\"html: bodyMatch() || body()\"></div>\n      </div>\n      <!-- /ko -->\n    </div>\n  </div>\n");

var LanguageReferenceTopic =
/*#__PURE__*/
function () {
  function LanguageReferenceTopic(entry, index) {
    var _this = this;

    _classCallCheck(this, LanguageReferenceTopic);

    this.ref = entry.ref;
    this.title = entry.title;
    this.index = index;
    this.weight = 1;
    this.children = [];
    entry.children.forEach(function (child) {
      _this.children.push(new LanguageReferenceTopic(child, _this.index));
    });
    this.loadDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.body = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.bodyMatch = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.open = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.titleMatch = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  }

  _createClass(LanguageReferenceTopic, [{
    key: "load",
    value: function load() {
      var _this2 = this;

      if (this.body() || this.loading()) {
        return this.loadDeferred.promise();
      }

      this.loading(true);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].simpleGet(this.index[this.ref]).done(function (doc) {
        _this2.body(doc.body);
      }).always(function () {
        _this2.loading(false);

        _this2.loadDeferred.resolve(_this2);
      });
      return this.loadDeferred.promise();
    }
  }]);

  return LanguageReferenceTopic;
}();

var AssistLangRefPanel =
/*#__PURE__*/
function () {
  function AssistLangRefPanel(params, element) {
    var _this3 = this;

    _classCallCheck(this, AssistLangRefPanel);

    this.disposals = [];
    this.availableTypes = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.allTopics = {
      impala: [],
      hive: []
    };
    window.IMPALA_DOC_TOP_LEVEL.forEach(function (topLevelItem) {
      _this3.allTopics.impala.push(new LanguageReferenceTopic(topLevelItem, window.IMPALA_DOC_INDEX));
    });
    window.HIVE_DOC_TOP_LEVEL.forEach(function (topLevelItem) {
      _this3.allTopics.hive.push(new LanguageReferenceTopic(topLevelItem, window.HIVE_DOC_INDEX));
    });

    var updateType = function updateType(type) {
      if (_this3.availableTypes().indexOf(type) !== -1) {
        _this3.sourceType(type);
      }
    };

    var activeSnippetTypeSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('active.snippet.type.changed', function (details) {
      updateType(details.type);
    });
    var configSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
      var lastActiveType = _this3.sourceType();

      if (clusterConfig.app_config && clusterConfig.app_config.editor && clusterConfig.app_config.editor.interpreters) {
        var typesIndex = {};
        clusterConfig.app_config.editor.interpreters.forEach(function (interpreter) {
          if (interpreter.type === 'hive' || interpreter.type === 'impala') {
            typesIndex[interpreter.type] = true;
          }
        });

        _this3.availableTypes(Object.keys(typesIndex).sort());

        if (lastActiveType && typesIndex[lastActiveType]) {
          _this3.sourceType(lastActiveType);
        } else {
          _this3.sourceType(_this3.availableTypes().length ? _this3.availableTypes()[0] : undefined);
        }
      } else {
        _this3.availableTypes([]);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('cluster.config.get.config');
    this.disposals.push(function () {
      configSub.remove();
      activeSnippetTypeSub.remove();
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('get.active.snippet.type', updateType);
    this.topics = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return _this3.sourceType() ? _this3.allTopics[_this3.sourceType()] : [];
    });
    this.selectedTopic = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    var selectedSub = this.selectedTopic.subscribe(function (newTopic) {
      if (newTopic) {
        newTopic.load();
      }
    });
    this.disposals.push(function () {
      selectedSub.dispose();
    });
    this.query = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]().extend({
      throttle: 200
    });
    this.filteredTopics = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();

    var sortFilteredTopics = function sortFilteredTopics() {
      _this3.filteredTopics.sort(function (a, b) {
        if (a.weight !== b.weight) {
          return b.weight - a.weight;
        }

        return a.title.localeCompare(b.title);
      });
    };

    this.query.subscribe(function (newVal) {
      if (!newVal) {
        return;
      }

      var lowerCaseQuery = _this3.query().toLowerCase();

      var replaceRegexp = new RegExp('(' + lowerCaseQuery + ')', 'i');

      _this3.filteredTopics([]);

      var sortTimeout = -1;

      var findInside = function findInside(topic) {
        topic.load().done(function (loadedTopic) {
          var match = false;
          var titleIndex = loadedTopic.title.toLowerCase().indexOf(lowerCaseQuery);

          if (titleIndex !== -1) {
            loadedTopic.weight = titleIndex === 0 ? 2 : 1;
            loadedTopic.titleMatch(loadedTopic.title.replace(new RegExp('(' + lowerCaseQuery + ')', 'i'), '<b>$1</b>'));
            loadedTopic.bodyMatch(undefined);

            _this3.filteredTopics.push(loadedTopic);

            match = true;
          } else if (loadedTopic.body() && loadedTopic.body().toLowerCase().indexOf(lowerCaseQuery) !== -1) {
            loadedTopic.weight = 0;
            loadedTopic.titleMatch(undefined);
            loadedTopic.bodyMatch(loadedTopic.body().replace(replaceRegexp, '<b>$1</b>'));

            _this3.filteredTopics.push(loadedTopic);

            match = true;
          } else {
            loadedTopic.titleMatch(undefined);
            loadedTopic.bodyMatch(undefined);
          }

          if (match) {
            window.clearTimeout(sortTimeout);
            sortTimeout = window.setTimeout(sortFilteredTopics, 100);
          }
        });
        topic.children.forEach(findInside);
      };

      _this3.topics().forEach(findInside);

      window.setTimeout(function () {
        // Initial sort deferred for promises to complete
        sortFilteredTopics();
      }, 0);
    });
    var selectedTopicSub = this.selectedTopic.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.assist-docs-details').scrollTop(0);
    });
    var querySub = this.query.subscribe(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.assist-docs-topics').scrollTop(0);
    });

    var scrollToSelectedTopic = function scrollToSelectedTopic() {
      var topics = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.assist-docs-topics');

      if (topics.find('.blue').length) {
        topics.scrollTop(Math.min(topics.scrollTop() + topics.find('.blue').position().top - 20, topics.find('> ul').height() - topics.height()));
      }
    };

    var scrollToAnchor = function scrollToAnchor(anchorId) {
      if (!anchorId) {
        return;
      }

      var detailsPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.assist-docs-details');
      var found = detailsPanel.find('#' + anchorId.split('/').join(' #'));

      if (found.length) {
        detailsPanel.scrollTop(found.position().top - 10);
      }
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('scroll.test', scrollToSelectedTopic);
    var showTopicSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.lang.ref.panel.show.topic', function (targetTopic) {
      var topicStack = [];

      var findTopic = function findTopic(topics) {
        topics.some(function (topic) {
          topicStack.push(topic);

          if (topic.ref === targetTopic.ref) {
            while (topicStack.length) {
              topicStack.pop().open(true);
            }

            _this3.query('');

            _this3.selectedTopic(topic);

            window.setTimeout(function () {
              scrollToAnchor(targetTopic.anchorId);
              scrollToSelectedTopic();
            }, 0);
            return true;
          } else if (topic.children.length) {
            var inChild = findTopic(topic.children);

            if (inChild) {
              return true;
            }
          }

          topicStack.pop();
        });
      };

      findTopic(_this3.topics());
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).on('click.langref', function (event) {
      if (event.target.className === 'hue-doc-internal-link') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('assist.lang.ref.panel.show.topic', {
          ref: jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target).data('doc-ref'),
          anchorId: jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target).data('doc-anchor-id')
        });
      }
    });
    this.disposals.push(function () {
      selectedTopicSub.dispose();
      querySub.dispose();
      showTopicSub.remove();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).off('click.langref');
    });
  }

  _createClass(AssistLangRefPanel, [{
    key: "dispose",
    value: function dispose() {
      while (this.disposals.length) {
        this.disposals.pop()();
      }
    }
  }]);

  return AssistLangRefPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('assist-language-reference-panel', {
  createViewModel: function createViewModel(params, componentInfo) {
    return new AssistLangRefPanel(params, componentInfo.element);
  }
}, TEMPLATE);
/* harmony default export */ __webpack_exports__["default"] = (AssistLangRefPanel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistPanel.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistPanel.js ***!
  \****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./assistInnerPanel */ "./desktop/core/src/desktop/js/ko/components/assist/assistInnerPanel.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var TEMPLATE = "\n  <script type=\"text/html\" id=\"assist-panel-inner-header\">\n    <div class=\"assist-header assist-fixed-height\" data-bind=\"visibleOnHover: { selector: '.assist-header-actions' }, css: { 'assist-resizer': $index() > 0 }\" style=\"display:none;\">\n      <span data-bind=\"text: $parent.name\"></span>\n      <div class=\"assist-header-actions\">\n        <div class=\"inactive-action\" data-bind=\"click: function () { $parent.visible(false) }\"><i class=\"fa fa-times\"></i></div>\n      </div>\n    </div>\n  </script>\n  \n  <div class=\"assist-panel\" data-bind=\"dropzone: { url: '/filebrowser/upload/file?dest=' + DROPZONE_HOME_DIR, params: {dest: DROPZONE_HOME_DIR}, clickable: false, paramName: 'hdfs_file', onComplete: function(path){ huePubSub.publish('assist.dropzone.complete', path); }, disabled: !window.SHOW_UPLOAD_BUTTON }\">\n    <!-- ko if: availablePanels().length > 1 -->\n    <div class=\"assist-panel-switches\">\n      <!-- ko foreach: availablePanels -->\n      <div class=\"inactive-action assist-type-switch\" data-bind=\"click: function () { $parent.visiblePanel($data); }, css: { 'blue': $parent.visiblePanel() === $data }, style: { 'float': rightAlignIcon ? 'right' : 'left' },  attr: { 'title': name }\">\n        <!-- ko if: iconSvg --><span style=\"font-size:22px;\"><svg class=\"hi\"><use data-bind=\"attr: {'xlink:href': iconSvg }\" xlink:href=''></use></svg></span><!-- /ko -->\n        <!-- ko if: !iconSvg --><i class=\"fa fa-fw valign-middle\" data-bind=\"css: icon\"></i><!-- /ko -->\n      </div>\n      <!-- /ko -->\n    </div>\n    <!-- /ko -->\n    <!-- ko with: visiblePanel -->\n    <div class=\"assist-panel-contents\" data-bind=\"style: { 'padding-top': $parent.availablePanels().length > 1 ? '10px' : '5px' }\">\n      <div class=\"assist-inner-panel\">\n        <div class=\"assist-flex-panel\">\n          <!-- ko component: panelData --><!-- /ko -->\n        </div>\n      </div>\n    </div>\n    <!-- /ko -->\n  </div>\n";

var AssistPanel =
/**
 * @param {Object} params
 * @param {string} params.user
 * @param {boolean} params.onlySql - For the old query editors
 * @param {string[]} params.visibleAssistPanels - Panels that will initially be shown regardless of total storage
 * @param {Object} params.sql
 * @param {Object[]} params.sql.sourceTypes - All the available SQL source types
 * @param {string} params.sql.sourceTypes[].name - Example: Hive SQL
 * @param {string} params.sql.sourceTypes[].type - Example: hive
 * @param {string} [params.sql.activeSourceType] - Example: hive
 * @param {Object} params.sql.navigationSettings - enable/disable the links
 * @param {boolean} params.sql.navigationSettings.openItem - Example: true
 * @param {boolean} params.sql.navigationSettings.showStats - Example: true
 * @constructor
 */
function AssistPanel(params) {
  _classCallCheck(this, AssistPanel);

  var self = this;
  var i18n = {
    errorLoadingDatabases: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('There was a problem loading the databases'),
    errorLoadingTablePreview: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('There was a problem loading the table preview')
  };
  var i18nCollections = {
    errorLoadingDatabases: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('There was a problem loading the indexes'),
    errorLoadingTablePreview: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('There was a problem loading the index preview')
  };
  self.tabsEnabled = window.USE_NEW_SIDE_PANELS;
  self.availablePanels = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.visiblePanel = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.lastOpenPanelType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].withTotalStorage('assist', 'last.open.panel', self.lastOpenPanelType);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribeOnce('cluster.config.set.config', function (clusterConfig) {
    if (clusterConfig && clusterConfig['app_config']) {
      var panels = [];
      var appConfig = clusterConfig['app_config'];

      if (appConfig['editor']) {
        var sqlPanel = new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
          panelData: {
            name: 'hue-assist-db-panel',
            params: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
              i18n: i18n
            }, params.sql)
          },
          name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('SQL'),
          type: 'sql',
          icon: 'fa-database',
          minHeight: 75
        });
        panels.push(sqlPanel);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.show.sql', function () {
          if (self.visiblePanel() !== sqlPanel) {
            self.visiblePanel(sqlPanel);
          }
        });
      }

      if (self.tabsEnabled) {
        if (appConfig.browser && appConfig.browser.interpreter_names) {
          var storageBrowsers = appConfig.browser.interpreter_names.filter(function (interpreter) {
            return interpreter === 'adls' || interpreter === 'hdfs' || interpreter === 's3' || interpreter === 'abfs';
          });

          if (storageBrowsers.length) {
            panels.push(new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
              panelData: {
                name: 'hue-assist-storage-panel',
                params: {
                  sources: storageBrowsers
                }
              },
              name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Files'),
              type: 'files',
              icon: 'fa-files-o',
              minHeight: 50
            }));
          }

          if (appConfig.browser.interpreter_names.indexOf('indexes') !== -1) {
            var solrPanel = new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
              panelData: {
                name: 'hue-assist-db-panel',
                params: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
                  i18n: i18nCollections,
                  isSolr: true
                }, params.sql)
              },
              name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Indexes'),
              type: 'solr',
              icon: 'fa-search-plus',
              minHeight: 75
            });
            panels.push(solrPanel);
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.show.solr', function () {
              if (self.visiblePanel() !== solrPanel) {
                self.visiblePanel(solrPanel);
              }
            });
          }

          if (appConfig.browser.interpreter_names.indexOf('kafka') !== -1) {
            var streamsPanel = new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
              panelData: {
                name: 'hue-assist-db-panel',
                params: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
                  i18n: i18nCollections,
                  isStreams: true
                }, params.sql)
              },
              name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Streams'),
              type: 'kafka',
              icon: 'fa-sitemap',
              minHeight: 75
            });
            panels.push(streamsPanel);
          }

          if (appConfig.browser.interpreter_names.indexOf('hbase') !== -1) {
            panels.push(new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
              panelData: {
                name: 'hue-assist-hbase-panel',
                params: {}
              },
              name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('HBase'),
              type: 'hbase',
              icon: 'fa-th-large',
              minHeight: 50
            }));
          }
        }

        var documentsPanel = new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
          panelData: {
            name: 'hue-assist-documents-panel',
            params: {
              user: params.user
            }
          },
          name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Documents'),
          type: 'documents',
          icon: 'fa-files-o',
          iconSvg: '#hi-documents',
          minHeight: 50,
          rightAlignIcon: true,
          visible: params.visibleAssistPanels && params.visibleAssistPanels.indexOf('documents') !== -1
        });
        panels.push(documentsPanel);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.show.documents', function (docType) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('left.assist.show');

          if (self.visiblePanel() !== documentsPanel) {
            self.visiblePanel(documentsPanel);
          }

          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.documents.set.type.filter', docType);
        });

        if (window.HAS_GIT) {
          panels.push(new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
            panelData: {
              name: 'hue-assist-git-panel',
              params: {}
            },
            name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Git'),
            type: 'git',
            icon: 'fa-github',
            minHeight: 50,
            rightAlignIcon: true
          }));
        }
      }

      self.availablePanels(panels);
    } else {
      self.availablePanels([new _assistInnerPanel__WEBPACK_IMPORTED_MODULE_3__["default"]({
        panelData: {
          name: 'hue-assist-db-panel',
          params: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({
            i18n: i18n
          }, params.sql)
        },
        name: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('SQL'),
        type: 'sql',
        icon: 'fa-database',
        minHeight: 75
      })]);
    }

    if (!self.lastOpenPanelType()) {
      self.lastOpenPanelType(self.availablePanels()[0].type);
    }

    var lastFoundPanel = self.availablePanels().filter(function (panel) {
      return panel.type === self.lastOpenPanelType();
    });
    self.visiblePanel.subscribe(function (newValue) {
      self.lastOpenPanelType(newValue.type);
    });
    self.visiblePanel(lastFoundPanel.length === 1 ? lastFoundPanel[0] : self.availablePanels()[0]);
  });
  window.setTimeout(function () {
    // Main initialization trigger in hue.mako, this is for Hue 3
    if (self.availablePanels().length === 0) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('cluster.config.get.config');
    }
  }, 0);
};

_componentUtils__WEBPACK_IMPORTED_MODULE_4__["default"].registerStaticComponent('assist-panel', AssistPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistSchedulePanel.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistSchedulePanel.js ***!
  \************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var TEMPLATE = "\n  <div class=\"assist-inner-panel\">\n    <div class=\"assist-flex-panel\">\n      <!-- ko if: selectedNotebook() && selectedNotebook().isBatchable() -->\n      <!-- ko with: selectedNotebook() -->\n      <div class=\"tab-pane\" id=\"scheduleTab\">\n        <!-- ko ifnot: isSaved() && ! isHistory() -->\n        ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Query needs to be saved.'), "\n        <!-- /ko -->\n        <!-- ko if: isSaved() && ! isHistory() -->\n          <!-- ko if: schedulerViewModelIsLoaded() && schedulerViewModel.coordinator.isDirty() -->\n          <a data-bind=\"click: saveScheduler\" href=\"javascript: void(0);\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Save changes'), "</a>\n          <!-- /ko -->\n          <!-- ko if: schedulerViewModelIsLoaded() && ! schedulerViewModel.coordinator.isDirty() && (! viewSchedulerId() || isSchedulerJobRunning() == false )-->\n          <a data-bind=\"click: showSubmitPopup\" href=\"javascript: void(0);\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Start'), "</a>\n          <!-- /ko -->\n          <!-- ko if: schedulerViewModelIsLoaded() && viewSchedulerId()-->\n          <a data-bind=\"click: function() { huePubSub.publish('show.jobs.panel', {id: viewSchedulerId(), interface: 'schedules'}) }, clickBubble: false\" href=\"javascript: void(0);\">\n            ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('View'), "\n          </a>\n          <!-- ko if: isSchedulerJobRunning() -->\n            ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Running'), "\n          <!-- /ko -->\n          <!-- ko if: isSchedulerJobRunning() == false -->\n            ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Stopped'), "\n          <!-- /ko -->\n        <!-- /ko -->\n        <!-- /ko -->\n        <br>\n        <br>\n        <div id=\"schedulerEditor\"></div>\n      </div>\n      <!-- /ko -->\n      <!-- /ko -->\n    </div>\n  </div>\n");

var AssistSchedulePanel =
/*#__PURE__*/
function () {
  function AssistSchedulePanel() {
    var _this = this;

    _classCallCheck(this, AssistSchedulePanel);

    this.disposals = [];
    this.selectedNotebook = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](); // TODO: Move all the scheduler logic out of the notebook to here.

    var selectedNotebookSub = this.selectedNotebook.subscribe(function (notebook) {
      // Happening 4 times for each notebook loaded
      if (notebook && notebook.schedulerViewModel == null && notebook.isSaved() && !notebook.isHistory()) {
        notebook.loadScheduler();

        if (notebook.viewSchedulerId()) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('check.schedules.browser');
        }
      }
    });
    this.disposals.push(selectedNotebookSub.dispose.bind(selectedNotebookSub));
    var setSelectedNotebookSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('jobbrowser.schedule.data', function (jobs) {
      if (_this.selectedNotebook() && _this.selectedNotebook().viewSchedulerId()) {
        var job = jobs.filter(function (job) {
          return _this.selectedNotebook().viewSchedulerId() === job.id;
        });

        _this.selectedNotebook().isSchedulerJobRunning(job.length > 0 && job[0].apiStatus === 'RUNNING');
      }
    });
    this.disposals.push(setSelectedNotebookSub.remove.bind(setSelectedNotebookSub)); // Hue 3

    var setSelectedNotebookSub3 = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('set.selected.notebook', this.selectedNotebook);
    this.disposals.push(setSelectedNotebookSub3.remove.bind(setSelectedNotebookSub3));
    var selectedNotebookChangedSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('selected.notebook.changed', this.selectedNotebook);
    this.disposals.push(selectedNotebookChangedSub.remove.bind(selectedNotebookChangedSub));
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('get.selected.notebook'); // Hue 4

    var currentAppSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('set.current.app.view.model', function (viewModel) {
      if (viewModel.selectedNotebook) {
        if (viewModel.selectedNotebook()) {
          _this.selectedNotebook(viewModel.selectedNotebook());
        } else {
          var subscription = viewModel.selectedNotebook.subscribe(function (notebook) {
            _this.selectedNotebook(notebook);

            subscription.dispose();
          });
        }
      } else {
        _this.selectedNotebook(null);
      }
    });
    this.disposals.push(currentAppSub.remove.bind(currentAppSub));
  }

  _createClass(AssistSchedulePanel, [{
    key: "dispose",
    value: function dispose() {
      this.disposals.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return AssistSchedulePanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerStaticComponent('assist-schedule-panel', AssistSchedulePanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistStoragePanel.js":
/*!***********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.assistStoragePanel.js ***!
  \***********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _assistStorageEntry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./assistStorageEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var TEMPLATE = "\n  <script type=\"text/html\" id=\"storage-context-items\">\n    <li><a href=\"javascript:void(0);\" data-bind=\"click: function (data) { showContextPopover(data, { target: $parentContext.$contextSourceElement }, { left: -15, top: 2 }); }\"><i class=\"fa fa-fw fa-info\"></i> ".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Show details'), "</a></li>\n    <li><a href=\"javascript:void(0);\" data-bind=\"hueLink: definition.url\"><i class=\"fa fa-fw\" data-bind=\"css: {'fa-folder-open-o': definition.type === 'dir', 'fa-file-text-o': definition.type === 'file'}\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Open in Browser'), "</a></li>\n    <!-- ko if: definition.type === 'file' -->\n    <li><a href=\"javascript:void(0);\" data-bind=\"click: openInImporter\"><!-- ko template: { name: 'app-icon-template', data: { icon: 'importer' } } --><!-- /ko --> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Open in Importer'), "</a></li>\n    <!-- /ko -->\n    <!-- ko if: $currentApp() === 'editor' -->\n    <li><a href=\"javascript:void(0);\" data-bind=\"click: dblClick\"><i class=\"fa fa-fw fa-paste\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Insert at cursor'), "</a></li>\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"assist-storage-header-actions\">\n    <div class=\"assist-db-header-actions\">\n      <!-- ko if: type !== 's3' && type !== 'abfs' -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: goHome, attr: { title: I18n('Go to ' + window.USER_HOME_DIR) }\"><i class=\"pointer fa fa-home\"></i></a>\n      <!-- ko if: window.SHOW_UPLOAD_BUTTON -->\n      <a class=\"inactive-action\" data-bind=\"dropzone: {\n            url: '/filebrowser/upload/file?dest=' + (type === 'adls' ? 'adl:' : '') + path,\n            params: { dest: path },\n            paramName: 'hdfs_file',\n            onError: function(x, e){ $(document).trigger('error', e); },\n            onComplete: function () { huePubSub.publish('assist.storage.refresh'); } }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Upload file'), "\" href=\"javascript:void(0)\">\n        <div class=\"dz-message inline\" data-dz-message><i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Upload file'), "\"></i></div>\n      </a>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- ko if: type === 'abfs' && path !== '/' && window.SHOW_UPLOAD_BUTTON -->\n      <a class=\"inactive-action\" data-bind=\"dropzone: {\n            url: '/filebrowser/upload/file?dest=' + 'abfs:/' + path,\n            params: { dest: 'abfs:/' + path },\n            paramName: 'hdfs_file',\n            onError: function(x, e){ $(document).trigger('error', e); },\n            onComplete: function () { huePubSub.publish('assist.storage.refresh'); } }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Upload file'), "\" href=\"javascript:void(0)\">\n        <div class=\"dz-message inline\" data-dz-message><i class=\"pointer fa fa-plus\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Upload file'), "\"></i></div>\n      </a>\n      <!-- /ko -->\n      <a class=\"inactive-action\" href=\"javascript:void(0)\" data-bind=\"click: function () { huePubSub.publish('assist.storage.refresh'); }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Manual refresh'), "\"><i class=\"pointer fa fa-refresh\" data-bind=\"css: { 'fa-spin blue' : loading }\"></i></a>\n    </div>\n  </script>\n\n  <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n\n  <!-- ko ifnot: activeSource -->\n  <div class=\"assist-flex-header\">\n    <div class=\"assist-inner-header\">\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Sources'), "\n    </div>\n  </div>\n  <div class=\"assist-flex-fill\">\n    <ul class=\"assist-tables\" data-bind=\"foreach: sources\">\n      <li class=\"assist-table\">\n        <a class=\"assist-table-link\" href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.activeSource($data); }\"><i class=\"fa fa-fw fa-server muted valign-middle\"></i> <span data-bind=\"text: $data.toUpperCase()\"></span></a>\n      </li>\n    </ul>\n  </div>\n  <!-- /ko -->\n\n  <!-- ko if: activeSource -->\n  <!-- ko with: selectedStorageEntry -->\n  <div class=\"assist-flex-header assist-breadcrumb\" >\n    <!-- ko if: parent !== null -->\n    <a href=\"javascript: void(0);\" data-bind=\"appAwareTemplateContextMenu: {\n      template: 'storage-context-items',\n      scrollContainer: '.assist-files-scrollable'\n    }, click: function () {\n      huePubSub.publish('assist.selectStorageEntry', parent);\n    }\">\n      <i class=\"fa fa-fw fa-chevron-left\"></i>\n      <i class=\"fa fa-fw fa-folder-o\"></i>\n      <span data-bind=\"text: definition.name, tooltip: {'title': path, 'placement': 'top' }\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko if: parent === null -->\n    <a href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.activeSource(undefined) }\">\n      <i class=\"fa fa-fw fa-chevron-left\"></i>\n      <i class=\"fa fa-fw fa-server\"></i>\n      <span data-bind=\"text: $parent.activeSource().toUpperCase()\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko template: 'assist-storage-header-actions' --><!-- /ko -->\n  </div>\n  <div class=\"assist-flex-search\">\n    <div class=\"assist-filter\">\n      <form autocomplete=\"off\">\n        <input class=\"clearable\" type=\"text\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Filter...'), "\" autocorrect=\"off\" autocomplete=\"do-not-autocomplete\" autocapitalize=\"off\" spellcheck=\"false\"\n        data-bind=\"clearable: filter, value: filter, valueUpdate: 'afterkeydown'\"/>\n      </form>\n    </div>\n  </div>\n\n  <div class=\"assist-flex-fill assist-storage-scrollable\" data-bind=\"delayedOverflow\">\n    <div data-bind=\"visible: ! loading() && ! hasErrors()\" style=\"position: relative;\">\n      <!-- ko hueSpinner: { spin: loadingMore, overlay: true } --><!-- /ko -->\n      <ul class=\"assist-tables\" data-bind=\"foreachVisible: { data: entries, minHeight: 22, container: '.assist-storage-scrollable', fetchMore: $data.fetchMore.bind($data) }\">\n        <li class=\"assist-entry assist-table-link\" style=\"position: relative;\" data-bind=\"appAwareTemplateContextMenu: { template: 'storage-context-items', scrollContainer: '.assist-storage-scrollable' }, visibleOnHover: { override: contextPopoverVisible, 'selector': '.assist-actions' }\">\n          <div class=\"assist-actions table-actions\" style=\"opacity: 0;\" >\n            <a style=\"padding: 0 3px;\" class=\"inactive-action\" href=\"javascript:void(0);\" data-bind=\"click: showContextPopover, css: { 'blue': contextPopoverVisible }\">\n              <i class='fa fa-info' title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Details'), "\"></i>\n            </a>\n          </div>\n\n          <a href=\"javascript:void(0)\" class=\"assist-entry assist-table-link\" data-bind=\"multiClick: { click: toggleOpen, dblClick: dblClick }, attr: {'title': definition.name }\">\n            <!-- ko if: definition.type === 'dir' -->\n            <i class=\"fa fa-fw fa-folder-o muted valign-middle\"></i>\n            <!-- /ko -->\n            <!-- ko if: definition.type === 'file' -->\n            <i class=\"fa fa-fw fa-file-o muted valign-middle\"></i>\n            <!-- /ko -->\n            <span draggable=\"true\" data-bind=\"text: definition.name, draggableText: { text: '\\'' + path + '\\'', meta: {'type': type, 'definition': definition} }\"></span>\n          </a>\n        </li>\n      </ul>\n      <!-- ko if: !loading() && entries().length === 0 -->\n      <ul class=\"assist-tables\">\n        <li class=\"assist-entry\"><span class=\"assist-no-entries\"><!-- ko if: filter() -->").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('No results found'), "<!-- /ko --><!-- ko ifnot: filter() -->").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Empty directory'), "<!-- /ko --></span></li>\n      </ul>\n      <!-- /ko -->\n    </div>\n    <!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko -->\n    <span class=\"assist-errors\" data-bind=\"visible: ! loading() && hasErrors(), text: errorText() || '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Error loading contents.'), "'\">\n    </span>\n  </div>\n  <!-- /ko -->\n  <!-- /ko -->\n");

var AssistStoragePanel =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {String[]} options.sources
   * @constructor
   **/
  function AssistStoragePanel(options) {
    var _this = this;

    _classCallCheck(this, AssistStoragePanel);

    this.sources = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](options.sources);
    var lastSource = _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].getFromTotalStorage('assist', 'lastStorageSource', 'hdfs');

    if (options.sources.indexOf(lastSource) === -1) {
      lastSource = options.sources.indexOf('hdfs') !== -1 ? 'hdfs' : options.sources[0];
    }

    this.activeSource = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](lastSource);
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    this.initialized = false;
    this.selectedStorageEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    this.activeSource.subscribe(function (newValue) {
      if (newValue) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'lastStorageSource', newValue);

        _this.selectedStorageEntry(undefined);

        _this.reload();
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.selectStorageEntry', function (entry) {
      _this.selectedStorageEntry(entry);

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'currentStoragePath_' + entry.type, entry.path);
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.storage.refresh', function () {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].clearStorageCache(_this.activeSource());

      _this.reload();
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.storage.go.home', function () {
      var path = _this.activeSource() === 's3' || _this.activeSource() === 'abfs' ? '/' : window.USER_HOME_DIR;

      _this.loadPath(path);

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'currentStoragePath_' + _this.activeSource(), path);
    });
    this.init();
  }

  _createClass(AssistStoragePanel, [{
    key: "loadPath",
    value: function loadPath(path) {
      var _this2 = this;

      this.loading(true);
      var parts = path.split('/');
      parts.shift();
      var currentEntry = new _assistStorageEntry__WEBPACK_IMPORTED_MODULE_2__["default"]({
        type: this.activeSource(),
        definition: {
          name: '/',
          type: 'dir'
        },
        parent: null
      });
      currentEntry.loadDeep(parts, function (entry) {
        _this2.selectedStorageEntry(entry);

        entry.open(true);

        _this2.loading(false);
      });
    }
  }, {
    key: "reload",
    value: function reload() {
      this.loadPath(_api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].getFromTotalStorage('assist', 'currentStoragePath_' + this.activeSource(), this.activeSource() === 'hdfs' ? window.USER_HOME_DIR : '/'));
    }
  }, {
    key: "init",
    value: function init() {
      if (this.initialized) {
        return;
      }

      this.reload();
      this.initialized = true;
    }
  }]);

  return AssistStoragePanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerStaticComponent('hue-assist-storage-panel', AssistStoragePanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/assist/ko.rightAssistPanel.js":
/*!*********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/assist/ko.rightAssistPanel.js ***!
  \*********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var EDITOR_ASSISTANT_TAB = 'editorAssistant';
var DASHBOARD_ASSISTANT_TAB = 'dashboardAssistant';
var FUNCTIONS_TAB = 'functions';
var SCHEDULES_TAB = 'schedules';
var LANG_REF_TAB = 'langRef';
var TEMPLATE = "\n  <div class=\"right-assist-tabs\" data-bind=\"splitFlexDraggable : {\n      containerSelector: '.content-wrapper',\n      sidePanelSelector: '.right-panel',\n      sidePanelVisible: visible,\n      orientation: 'right',\n      onPosition: function() { huePubSub.publish('split.draggable.position') }\n    }\">\n    <div class=\"right-assist-tab\" data-bind=\"visible: editorAssistantTabAvailable\" style=\"display:none;\"><a class=\"inactive-action\" href=\"javascript: void(0);\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Assistant'), "\" data-bind=\"css: { 'blue' : activeTab() === 'editorAssistant' }, tooltip: { placement: 'left' }, click: editorAssistantTabClick\"><i class=\"fa fa-fw fa-compass\"></i></a></div>\n    <div class=\"right-assist-tab\" data-bind=\"visible: dashboardAssistantTabAvailable\" style=\"display:none;\"><a class=\"inactive-action\" href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Assistant'), "\" data-bind=\"css: { 'blue' : activeTab() === 'dashboardAssistant' }, tooltip: { placement: 'left' }, click: dashboardAssistantTabClick\"><i class=\"fa fa-fw fa-compass\"></i></a></div>\n    <div class=\"right-assist-tab\" data-bind=\"visible: functionsTabAvailable\" style=\"display:none;\"><a class=\"inactive-action\" href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Functions'), "\" data-bind=\"css: { 'blue' : activeTab() === 'functions' }, tooltip: { placement: 'left' }, click: functionsTabClick\"><i class=\"fa fa-fw fa-superscript\"></i></a></div>\n    <div class=\"right-assist-tab\" data-bind=\"visible: langRefTabAvailable\" style=\"display:none;\"><a class=\"inactive-action\" href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Language Reference'), "\" data-bind=\"css: { 'blue' : activeTab() === 'langRef' }, tooltip: { placement: 'left' }, click: langRefTabClick\"><i class=\"fa fa-fw fa-book\"></i></a></div>\n    <div class=\"right-assist-tab\" data-bind=\"visible: schedulesTabAvailable\" style=\"display:none;\"><a class=\"inactive-action\" href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Schedule'), "\" data-bind=\"css: { 'blue' : activeTab() === 'schedules' }, tooltip: { placement: 'left' }, click: schedulesTabClick\"><i class=\"fa fa-fw fa-calendar\"></i></a></div>\n  </div>\n\n  <!-- ko if: visible -->\n  <div class=\"right-assist-contents\">\n    <!-- ko if: editorAssistantTabAvailable-->\n    <div data-bind=\"component: { name: 'assist-editor-context-panel', params: { activeTab: activeTab, sourceType: sourceType } }, visible: activeTab() === 'editorAssistant'\"></div>\n    <!-- /ko -->\n\n    <!-- ko if: functionsTabAvailable -->\n    <div data-bind=\"component: { name: 'assist-functions-panel' }, visible: activeTab() === 'functions'\"></div>\n    <!-- /ko -->\n\n    <!-- ko if: langRefTabAvailable -->\n    <div data-bind=\"component: { name: 'assist-language-reference-panel' }, visible: activeTab() === 'langRef'\"></div>\n    <!-- /ko -->\n\n    <!-- ko if: dashboardAssistantTabAvailable -->\n    <div data-bind=\"component: { name: 'assist-dashboard-panel' }, visible: activeTab() === 'dashboardAssistant'\"></div>\n    <!-- /ko -->\n\n    <div data-bind=\"component: { name: 'assist-schedule-panel' }, visible: activeTab() === 'schedules'\" style=\"display:none;\"></div>\n  </div>\n  <!-- /ko -->\n");

var RightAssistPanel =
/*#__PURE__*/
function () {
  function RightAssistPanel(params) {
    var _this = this;

    _classCallCheck(this, RightAssistPanel);

    this.disposals = [];
    this.activeTab = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    this.visible = params.visible;
    this.sourceType = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    this.editorAssistantTabAvailable = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.dashboardAssistantTabAvailable = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.functionsTabAvailable = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.langRefTabAvailable = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.schedulesTabAvailable = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.lastActiveTabEditor = _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].withTotalStorage('assist', 'last.open.right.panel', knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](), EDITOR_ASSISTANT_TAB);
    this.lastActiveTabDashboard = _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].withTotalStorage('assist', 'last.open.right.panel.dashboard', knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](), DASHBOARD_ASSISTANT_TAB);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('assist.highlight.risk.suggestions', function () {
      if (_this.editorAssistantTabAvailable() && _this.activeTab() !== EDITOR_ASSISTANT_TAB) {
        _this.activeTab(EDITOR_ASSISTANT_TAB);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('assist.lang.ref.show.topic', function (targetTopic) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('right.assist.show');

      if (_this.langRefTabAvailable() && _this.activeTab() !== LANG_REF_TAB) {
        _this.activeTab(LANG_REF_TAB);
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.lang.ref.panel.show.topic', targetTopic);
    });

    var updateTabs = function updateTabs() {
      if (!_this.visible()) {
        _this.activeTab(undefined);

        return;
      }

      if (_this.lastActiveTabEditor() === FUNCTIONS_TAB && _this.functionsTabAvailable()) {
        _this.activeTab(FUNCTIONS_TAB);
      } else if (_this.lastActiveTabEditor() === SCHEDULES_TAB && _this.schedulesTabAvailable()) {
        _this.activeTab(SCHEDULES_TAB);
      } else if (_this.lastActiveTabEditor() === LANG_REF_TAB && _this.langRefTabAvailable()) {
        _this.activeTab(LANG_REF_TAB);
      } else if (_this.editorAssistantTabAvailable()) {
        _this.activeTab(EDITOR_ASSISTANT_TAB);
      } else if (_this.functionsTabAvailable()) {
        _this.activeTab(FUNCTIONS_TAB);
      } else if (_this.schedulesTabAvailable()) {
        _this.activeTab(SCHEDULES_TAB);
      } else if (_this.dashboardAssistantTabAvailable()) {
        _this.activeTab(DASHBOARD_ASSISTANT_TAB);
      } else {
        _this.activeTab(undefined);
      }
    };

    var updateContentsForType = function updateContentsForType(type, isSqlDialect) {
      _this.sourceType(type); // TODO: Get these dynamically from langref and functions modules when moved to webpack


      _this.functionsTabAvailable(type === 'hive' || type === 'impala' || type === 'pig');

      _this.langRefTabAvailable(type === 'hive' || type === 'impala');

      _this.editorAssistantTabAvailable(isSqlDialect);

      _this.dashboardAssistantTabAvailable(type === 'dashboard');

      _this.schedulesTabAvailable(false);

      if (type !== 'dashboard') {
        if (window.ENABLE_QUERY_SCHEDULING) {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribeOnce('set.current.app.view.model', function (viewModel) {
            // Async
            _this.schedulesTabAvailable(!!viewModel.selectedNotebook);

            updateTabs();
          });
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('get.current.app.view.model');
        } else {
          _this.schedulesTabAvailable(false);
        }
      }

      updateTabs();
    };

    var snippetTypeSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('active.snippet.type.changed', function (details) {
      updateContentsForType(details.type, details.isSqlDialect);
    });
    this.disposals.push(snippetTypeSub.remove.bind(snippetTypeSub));
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('set.current.app.name', function (appName) {
      if (appName === 'dashboard') {
        updateContentsForType(appName, false);
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('get.current.app.name');
    updateTabs();
  }

  _createClass(RightAssistPanel, [{
    key: "switchTab",
    value: function switchTab(tabName) {
      if (this.activeTab() === tabName) {
        this.visible(false);
        this.activeTab(undefined);
      } else {
        this.activeTab(tabName);

        if (!this.visible()) {
          this.visible(true);
        }
      }
    }
  }, {
    key: "editorAssistantTabClick",
    value: function editorAssistantTabClick() {
      this.lastActiveTabEditor(EDITOR_ASSISTANT_TAB);
      this.switchTab(EDITOR_ASSISTANT_TAB);
    }
  }, {
    key: "dashboardAssistantTabClick",
    value: function dashboardAssistantTabClick() {
      this.lastActiveTabDashboard(DASHBOARD_ASSISTANT_TAB);
      this.switchTab(DASHBOARD_ASSISTANT_TAB);
    }
  }, {
    key: "functionsTabClick",
    value: function functionsTabClick() {
      this.lastActiveTabEditor(FUNCTIONS_TAB);
      this.switchTab(FUNCTIONS_TAB);
    }
  }, {
    key: "langRefTabClick",
    value: function langRefTabClick() {
      this.lastActiveTabEditor(LANG_REF_TAB);
      this.switchTab(LANG_REF_TAB);
    }
  }, {
    key: "schedulesTabClick",
    value: function schedulesTabClick() {
      this.lastActiveTabEditor(SCHEDULES_TAB);
      this.switchTab(SCHEDULES_TAB);
    }
  }, {
    key: "dispose",
    value: function dispose() {
      this.disposals.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return RightAssistPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerStaticComponent('right-assist-panel', RightAssistPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/componentUtils.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/componentUtils.js ***!
  \*********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var instances = {};

var componentUtils =
/*#__PURE__*/
function () {
  function componentUtils() {
    _classCallCheck(this, componentUtils);
  }

  _createClass(componentUtils, null, [{
    key: "registerComponent",
    value: function registerComponent(name, model, template) {
      return regeneratorRuntime.async(function registerComponent$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve, reject) {
                if (!knockout__WEBPACK_IMPORTED_MODULE_0__["components"].isRegistered(name)) {
                  var componentInfo = {
                    template: template
                  };

                  if (model) {
                    componentInfo['viewModel'] = model;
                  }

                  knockout__WEBPACK_IMPORTED_MODULE_0__["components"].register(name, componentInfo);
                  resolve();
                } else {
                  reject();
                }
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      });
    }
  }, {
    key: "registerStaticComponent",
    value: function registerStaticComponent(name, model, template) {
      return regeneratorRuntime.async(function registerStaticComponent$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", componentUtils.registerComponent(name, {
                createViewModel: function createViewModel(params, componentInfo) {
                  if (!instances[name]) {
                    if (model && model.createViewModel) {
                      instances[name] = model.createViewModel(params, componentInfo);
                    } else if (model) {
                      instances[name] = new model(params);
                    }
                  }

                  return instances[name];
                }
              }, template));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      });
    }
  }]);

  return componentUtils;
}();

/* harmony default export */ __webpack_exports__["default"] = (componentUtils);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/asteriskContextTabs.js":
/*!*****************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/asteriskContextTabs.js ***!
  \*****************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var AsteriskData = function AsteriskData(data, sourceType, namespace, compute, defaultDatabase) {
  _classCallCheck(this, AsteriskData);

  var self = this;
  self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
  self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.columns = [];
  self.selectedColumns = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    return self.columns.filter(function (column) {
      return column.selected();
    });
  });

  self.expand = function () {
    var colsToExpand = self.selectedColumns().length === 0 ? self.columns : self.selectedColumns();
    var colIndex = {};
    var colsTableMap = {};
    self.columns.forEach(function (col) {
      if (colsTableMap[col.name]) {
        colsTableMap[col.name].push(col.table);
      } else {
        colsTableMap[col.name] = [col.table];
      }
    });
    colsToExpand.forEach(function (col) {
      if (colIndex[col.name]) {
        colIndex[col.name]++;
      } else {
        colIndex[col.name] = 1;
      }
    });
    Object.keys(colIndex).forEach(function (name) {
      if (colIndex[name] === 1 && colsTableMap[name].length === 1) {
        delete colIndex[name];
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('ace.replace', {
      location: data.location,
      text: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(colsToExpand, function (column) {
        if (column.tableAlias) {
          return _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(sourceType, column.tableAlias) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(sourceType, column.name);
        }

        if (colIndex[column.name]) {
          return _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(sourceType, column.table) + '.' + _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(sourceType, column.name);
        }

        return _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].backTickIfNeeded(sourceType, column.name);
      }).join(', ')
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.hide');
  };

  var deferrals = [];
  data.tables.forEach(function (table) {
    if (table.identifierChain) {
      var fetchDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      deferrals.push(fetchDeferred);
      var path = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(table.identifierChain, function (identifier) {
        return identifier.name;
      });

      if (path.length === 1) {
        path.unshift(defaultDatabase);
      }

      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry({
        sourceType: sourceType,
        namespace: namespace,
        compute: compute,
        path: path
      }).done(function (entry) {
        entry.getSourceMeta({
          silenceErrors: true
        }).done(function (sourceMeta) {
          if (typeof sourceMeta.extended_columns !== 'undefined') {
            var newColumns = [];
            sourceMeta.extended_columns.forEach(function (column) {
              var clonedColumn = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend({}, column);
              clonedColumn.extendedType = clonedColumn.type.replace(/</g, '&lt;').replace(/>/g, '&lt;');

              if (clonedColumn.type.indexOf('<') !== -1) {
                clonedColumn.type = clonedColumn.type.substring(0, clonedColumn.type.indexOf('<'));
              }

              clonedColumn.selected = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
              clonedColumn.table = table.identifierChain[table.identifierChain.length - 1].name;

              if (table.alias) {
                clonedColumn.tableAlias = table.alias;
              }

              newColumns.push(clonedColumn);
            });
            self.columns = self.columns.concat(newColumns);
          }

          fetchDeferred.resolve();
        }).fail(fetchDeferred.reject);
      }).fail(fetchDeferred.reject);
    }
  });

  if (deferrals.length === 0) {
    self.loading(false);
  }

  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, deferrals).done(function () {
    self.loading(false);
  }, function () {
    if (self.columns.length === 0) {
      self.hasErrors(true);
    }
  });
};

var AsteriskContextTabs = function AsteriskContextTabs(data, sourceType, namespace, compute, defaultDatabase) {
  _classCallCheck(this, AsteriskContextTabs);

  var self = this;
  self.data = new AsteriskData(data, sourceType, namespace, compute, defaultDatabase);
  self.tabs = [{
    id: 'details',
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Details'),
    template: 'context-popover-asterisk-details',
    templateData: self.data
  }];
  self.activeTab = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('details');
};

/* harmony default export */ __webpack_exports__["default"] = (AsteriskContextTabs);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/collectionContextTabs.js":
/*!*******************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/collectionContextTabs.js ***!
  \*******************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var CollectionContextTabs =
/*#__PURE__*/
function () {
  function CollectionContextTabs(data) {
    _classCallCheck(this, CollectionContextTabs);

    var self = this;
    self.disposals = [];
    self.catalogEntry = data.catalogEntry;
    self.data = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
      details: data,
      loading: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
      hasErrors: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
      selectedPath: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](data.path),
      loadingTerms: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
      loadingStats: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
      statsSupported: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
      terms: knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].fromJS({
        prefix: '',
        data: []
      }),
      stats: knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].fromJS({
        facet: '',
        data: []
      })
    });
    self.data().terms.prefix.subscribe(function () {
      self.loadTerms();
    });
    self.data().terms.prefix.extend({
      rateLimit: {
        timeout: 500,
        method: 'notifyWhenChangesStop'
      }
    });
    self.loadTerms();
    self.loadStats();
    self.tabs = [{
      id: 'terms',
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Terms'),
      template: 'context-popover-collection-terms-details',
      templateData: self.data
    }, {
      id: 'stats',
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Stats'),
      template: 'context-popover-collection-stats-details',
      templateData: self.data
    }];
    self.activeTab = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('terms');
    var showInAssistPubSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('context.popover.show.in.assist', function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.db.highlight', self.catalogEntry);
    });
    self.disposals.push(function () {
      showInAssistPubSub.remove();
    });
  }

  _createClass(CollectionContextTabs, [{
    key: "loadTerms",
    value: function loadTerms() {
      var self = this;
      self.data().terms.data.removeAll();
      self.data().loadingTerms(true);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDashboardTerms({
        collectionName: self.catalogEntry.path[1],
        fieldName: self.catalogEntry.path[2],
        prefix: self.data().terms.prefix(),
        engine: 'solr',
        successCallback: function successCallback(data) {
          if (data.terms != null) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(data.terms, function (key, val) {
              self.data().terms.data.push({
                key: key,
                val: val
              });
            });
          }
        },
        alwaysCallback: function alwaysCallback() {
          self.data().loadingTerms(false);
        }
      });
    }
  }, {
    key: "loadStats",
    value: function loadStats() {
      var self = this;
      self.data().terms.data.removeAll();
      self.data().loadingStats(true);
      self.data().statsSupported(true);
      var fieldName = self.catalogEntry.path[2];
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDashboardStats({
        collectionName: self.catalogEntry.path[1],
        fieldName: fieldName,
        engine: 'solr',
        successCallback: function successCallback(data) {
          if (data.stats.stats.stats_fields[fieldName] != null) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(data.stats.stats.stats_fields[fieldName], function (key, val) {
              self.data().stats.data.push({
                key: key,
                val: val
              });
            });
          }
        },
        notSupportedCallback: function notSupportedCallback() {
          self.data().statsSupported(false);
        },
        alwaysCallback: function alwaysCallback() {
          self.data().loadingStats(false);
        }
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }]);

  return CollectionContextTabs;
}();

/* harmony default export */ __webpack_exports__["default"] = (CollectionContextTabs);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/dataCatalogContext.js":
/*!****************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/dataCatalogContext.js ***!
  \****************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var DataCatalogContext =
/*#__PURE__*/
function () {
  function DataCatalogContext(options) {
    _classCallCheck(this, DataCatalogContext);

    var self = this;
    self.popover = options.popover;
    self.catalogEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](options.catalogEntry);
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.activePromises = [];
    self.errorText = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.onSampleClick = options.popover.onSampleClick;
    self.analysis = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.comment = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.commentExpanded = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.viewSql = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.viewSqlVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.openActionsEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.catalogEntry() && self.catalogEntry().path.length <= 2;
    });
    self.catalogEntry.subscribe(self.load.bind(self));
    self.breadCrumbs = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var result = [];
      var catalogEntry = self.catalogEntry();

      if (catalogEntry) {
        for (var i = 0; i < catalogEntry.path.length; i++) {
          result.push({
            name: catalogEntry.path[i],
            isActive: i === catalogEntry.path.length - 1,
            path: catalogEntry.path.slice(0, i + 1),
            catalogEntry: self.catalogEntry,
            makeActive: function makeActive() {
              self.catalogEntry().dataCatalog.getEntry({
                namespace: self.catalogEntry().namespace,
                compute: self.catalogEntry().compute,
                path: this.path,
                temporaryOnly: self.catalogEntry().isTemporary
              }).done(self.catalogEntry);
            }
          });
        }
      }

      return result;
    });
    self.originalCatalogEntry = options.catalogEntry;
    self.load();
  }

  _createClass(DataCatalogContext, [{
    key: "refresh",
    value: function refresh() {
      var self = this;
      self.catalogEntry().clearCache({
        invalidate: 'invalidate',
        cascade: true
      }).always(self.load.bind(self));
    }
  }, {
    key: "load",
    value: function load() {
      var self = this;
      self.loading(true);
      self.hasErrors(false);
      self.cancelActivePromises();
      var viewSqlDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().done(self.viewSql);
      self.activePromises.push(viewSqlDeferred.promise());
      self.activePromises.push(self.catalogEntry().getSourceMeta({
        cancellable: true
      }).fail(function () {
        self.hasErrors(true);
      }).always(function () {
        self.loading(false);
      }));

      if (self.catalogEntry().getSourceType() === 'impala' || self.catalogEntry().getSourceType() === 'hive') {
        self.activePromises.push(self.catalogEntry().getAnalysis({
          silenceErrors: true,
          cancellable: true
        }).done(function (analysis) {
          var found = analysis.properties && analysis.properties.some(function (property) {
            if (property.col_name.toLowerCase() === 'view original text:') {
              _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].formatSql({
                statements: property.data_type
              }).done(function (formatResponse) {
                if (formatResponse.status === 0) {
                  viewSqlDeferred.resolve(formatResponse.formatted_statements);
                } else {
                  viewSqlDeferred.resolve(property.data_type);
                }
              }).fail(function () {
                viewSqlDeferred.resolve(property.data_type);
              });
              return true;
            }
          });

          if (!found) {
            viewSqlDeferred.resolve();
          }

          self.analysis(analysis);
        }).fail(viewSqlDeferred.reject));
      } else {
        viewSqlDeferred.reject();
      }

      self.activePromises.push(self.catalogEntry().getComment({
        silenceErrors: true,
        cancellable: true
      }).done(self.comment));
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, self.activePromises).always(function () {
        self.activePromises.length = 0;
      });
    }
  }, {
    key: "cancelActivePromises",
    value: function cancelActivePromises() {
      var self = this;

      while (self.activePromises.length) {
        var promise = self.activePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.cancelActivePromises();
    }
  }, {
    key: "showInAssist",
    value: function showInAssist() {
      var self = this;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.db.highlight', self.catalogEntry());
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('global.search.close');
    }
  }, {
    key: "openInDashboard",
    value: function openInDashboard() {
      var self = this;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('open.link', '/hue/dashboard/browse/' + self.catalogEntry().path.join('.') + '?engine=' + self.catalogEntry().getSourceType());
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.hide');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('global.search.close');
    }
  }, {
    key: "openInTableBrowser",
    value: function openInTableBrowser() {
      var self = this;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('open.link', '/metastore/table' + (self.catalogEntry().isTableOrView() ? '/' : 's/') + self.catalogEntry().path.join('/') + '?source_type=' + self.catalogEntry().getSourceType() + '&namespace=' + self.catalogEntry().namespace.id);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.hide');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('global.search.close');
    }
  }]);

  return DataCatalogContext;
}();

/* harmony default export */ __webpack_exports__["default"] = (DataCatalogContext);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/documentContext.js":
/*!*************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/documentContext.js ***!
  \*************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var DocumentContext =
/*#__PURE__*/
function () {
  function DocumentContext(data) {
    _classCallCheck(this, DocumentContext);

    var self = this;
    self.disposals = []; // Adapt some details to a common format, the global search endpoint has different structure than the docs one

    self.details = {
      type: data.doc_type || data.type,
      name: data.originalName || data.name || data.hue_name,
      link: data.absoluteUrl || data.link,
      description: data.description || data.hue_description,
      isDirectory: data.doc_type === 'directory' || data.type === 'directory',
      definition: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]({
        type: data.doc_type || data.type
      })
    };
    self.data = data;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](true);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.errorText = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.template = 'context-document-details';
    self.documentContents = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.loadDocument();
    var showInAssistPubSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].subscribe('context.popover.show.in.assist', function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.doc.highlight', {
        parentUuid: self.data.parentUuid,
        docUuid: self.data.uuid
      });
    });
    self.disposals.push(function () {
      showInAssistPubSub.remove();
    });
  }

  _createClass(DocumentContext, [{
    key: "open",
    value: function open(entry) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', entry.details.link);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.hide');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('global.search.close');
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }, {
    key: "loadDocument",
    value: function loadDocument() {
      var self = this;
      self.hasErrors(false);
      self.loading(true);
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].fetchDocument({
        uuid: self.data.uuid,
        fetchContents: true,
        silenceErrors: true
      }).done(function (response) {
        self.documentContents(response.data);
        self.loading(false);
      }).fail(function () {
        self.loading(false);
        self.hasErrors(false); // Allows us to revert to a generic document panel in case it can't fetch it.
      });
    }
  }]);

  return DocumentContext;
}();

/* harmony default export */ __webpack_exports__["default"] = (DocumentContext);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/functionContext.js":
/*!*************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/functionContext.js ***!
  \*************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../sql/sqlFunctions */ "./desktop/core/src/desktop/js/sql/sqlFunctions.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var FunctionContextTabs = function FunctionContextTabs(data, sourceType) {
  _classCallCheck(this, FunctionContextTabs);

  var self = this;
  self.func = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]({
    details: _sql_sqlFunctions__WEBPACK_IMPORTED_MODULE_2__["SqlFunctions"].findFunction(sourceType, data["function"]),
    loading: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
    hasErrors: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false)
  });
  self.tabs = [{
    id: 'details',
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_1__["default"])('Details'),
    template: 'context-popover-function-details',
    templateData: self.func
  }];
  self.activeTab = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]('details');
};

/* harmony default export */ __webpack_exports__["default"] = (FunctionContextTabs);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/ko.contextPopover.js":
/*!***************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/ko.contextPopover.js ***!
  \***************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _asteriskContextTabs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./asteriskContextTabs */ "./desktop/core/src/desktop/js/ko/components/contextPopover/asteriskContextTabs.js");
/* harmony import */ var _collectionContextTabs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./collectionContextTabs */ "./desktop/core/src/desktop/js/ko/components/contextPopover/collectionContextTabs.js");
/* harmony import */ var _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../catalog/contextCatalog */ "./desktop/core/src/desktop/js/catalog/contextCatalog.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _dataCatalogContext__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./dataCatalogContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/dataCatalogContext.js");
/* harmony import */ var _documentContext__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./documentContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/documentContext.js");
/* harmony import */ var _functionContext__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./functionContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/functionContext.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _langRefContext__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./langRefContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/langRefContext.js");
/* harmony import */ var _partitionContext__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./partitionContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/partitionContext.js");
/* harmony import */ var _resizeHelper__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./resizeHelper */ "./desktop/core/src/desktop/js/ko/components/contextPopover/resizeHelper.js");
/* harmony import */ var _storageContext__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./storageContext */ "./desktop/core/src/desktop/js/ko/components/contextPopover/storageContext.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

















var SUPPORT_TEMPLATES = "\n  <script type=\"text/html\" id=\"context-popover-footer\">\n    <div class=\"context-popover-flex-bottom-links\">\n      <div class=\"context-popover-link-row\">\n        <a href=\"javascript: void(0);\" class=\"inactive-action\" data-bind=\"visible: showInAssistEnabled, publish: 'context.popover.show.in.assist'\">\n          <i style=\"font-size: 11px;\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Show in Assist...'), "\" class=\"fa fa-search\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Assist'), "\n        </a>\n        <!-- ko if: isDocument -->\n        <!-- ko with: contents -->\n        <a href=\"javascript: void(0);\" class=\"inactive-action\" data-bind=\"click: open\">\n          <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Open'), "\" class=\"fa fa-file-o\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Open'), "\n        </a>\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- ko if: expandColumnsEnabled -->\n        <!-- ko with: contents.data -->\n        <!-- ko if: selectedColumns().length > 0 -->\n        <a class=\"inactive-action pointer\" data-bind=\"click: expand\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Expand to selected columns'), "</a>\n        <!-- /ko -->\n        <!-- ko if: selectedColumns().length === 0 -->\n        <a class=\"inactive-action pointer\" data-bind=\"click: expand\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Expand to all columns'), "</a>\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- /ko -->\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-collection-stats-details\">\n    <div class=\"context-popover-flex-fill\">\n      <div style=\"padding: 8px\">\n        <div data-bind=\"with: stats\">\n        <!-- ko hueSpinner: { spin:  $parent.loadingStats, center: true, size: 'large' } --><!-- /ko -->\n        <div class=\"alert\" data-bind=\"visible: !$parent.loadingStats() && !$parent.statsSupported()\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('This field does not support stats'), "</div>\n        <div class=\"alert\" data-bind=\"visible: !$parent.loadingStats() && $parent.statsSupported() && $data.data().length == 0\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('There are no stats to be shown'), "</div>\n        <table style=\"width: 100%\" data-bind=\"visible: !$parent.loadingStats() && $data.data().length > 0\" class=\"table table-condensed\">\n          <tbody data-bind=\"foreach: $data.data\">\n          <tr>\n            <td style=\"vertical-align: top\"><strong data-bind=\"text: key\"></strong></td>\n            <!-- ko if: key == 'facets' -->\n            <td>\n              <!-- ko if: val[Object.keys(val)[0]] != null -->\n              <table>\n                <tbody data-bind=\"foreach: Object.keys(val[Object.keys(val)[0]])\">\n                  <tr>\n                    <td style=\"vertical-align: top; padding-left: 4px; padding-right: 4px\"><strong data-bind=\"text: $data\"></strong></td>\n                    <td data-bind=\"template: 'context-popover-collection-stats-facets'\"></td>\n                  </tr>\n                </tbody>\n              </table>\n              <!-- /ko -->\n              <!-- ko ifnot: val[Object.keys(val)[0]] != null -->\n              ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Not available'), "\n              <!-- /ko -->\n            </td>\n            <!-- /ko -->\n            <!-- ko ifnot: key == 'facets' -->\n            <td data-bind=\"text: val\"></td>\n            <!-- /ko -->\n          </tr>\n          </tbody>\n        </table>\n        </div>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-collection-stats-facets\">\n    <table style=\"width: 100%\">\n      <tbody data-bind=\"foreach: Object.keys($parent.val[Object.keys($parent.val)[0]][$data])\">\n        <tr>\n          <td style=\"vertical-align: top; padding-left: 4px; padding-right: 4px\"><strong data-bind=\"text: $data\"></strong></td>\n          <!-- ko ifnot: $data == 'facets' -->\n          <td style=\"vertical-align: top\" data-bind=\"text: $parents[1].val[Object.keys($parents[1].val)[0]][$parent][$data]\"></td>\n          <!-- /ko -->\n        </tr>\n      </tbody>\n    </table>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-collection-terms-details\">\n    <div class=\"context-popover-flex-fill\">\n      <input type=\"text\" data-bind=\"value: terms.prefix, clearable: terms.prefix, valueUpdate:'afterkeydown'\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Filter...'), "\" class=\"pull-right\">\n      <div data-bind=\"with: terms\">\n        <!-- ko hueSpinner: { spin:  $parent.loadingTerms, center: true, size: 'large' } --><!-- /ko -->\n        <div class=\"clearfix\"></div>\n        <div class=\"alert\" data-bind=\"visible: !$parent.loadingTerms() && $data.data().length == 0\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('There are no terms to be shown'), "</div>\n        <table style=\"width: 100%\" data-bind=\"visible: !$parent.loadingTerms() && $data.data().length > 0\" class=\"table table-condensed\">\n          <tbody data-bind=\"foreach: $data.data\">\n          <tr>\n            <td data-bind=\"text: val.value\"></td>\n            <td style=\"width: 40px\">\n              <div class=\"progress\">\n                <div class=\"bar-label\" data-bind=\"text:val.count\"></div>\n                <div class=\"bar bar-info\" style=\"margin-top:-20px;\" data-bind=\"style: {'width': ((val.count / $parent.data()[0].val.count) * 100) + '%'}\"></div>\n              </div>\n            </td>\n          </tr>\n          </tbody>\n        </table>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-asterisk-details\">\n    <div class=\"context-popover-flex-fill\">\n      <!-- ko component: { name: 'sql-columns-table', params: { columns: columns, scrollToColumns: false } } --><!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-function-details\">\n    <!-- ko if: typeof details === 'undefined' -->\n    <div class=\"context-popover-flex-fill\">\n      <div class=\"alert\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Could not find details for the function'), " <span data-bind=\"text: $parents[2].title\"></span>()</div>\n    </div>\n    <!-- /ko -->\n    <!-- ko if: typeof details !== 'undefined' -->\n    <div class=\"context-popover-flex-fill\" data-bind=\"with: details\">\n      <div style=\"padding: 8px\">\n        <p style=\"margin: 10px 10px 18px 10px;\"><span style=\"white-space: pre;\" class=\"monospace\" data-bind=\"text: signature\"></span></p>\n        <p><span data-bind=\"text: description\"></span></p>\n      </div>\n    </div>\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"generic-document-context-template\">\n    <div style=\"width:100%; text-align: center; margin-top: 40px; font-size: 100px; color: #787878;\" data-bind=\"template: { name: 'document-icon-template', data: { document: { isDirectory: type === 'directory', definition: function() { return $data } } } }\"></div>\n    <div style=\"width: 100%; margin-top: 20px; text-align:center\">\n      <!-- ko if: type === 'directory' -->\n      <a style=\"font-size: 20px;\" href=\"javascript:void(0)\" data-bind=\"text: name, publish: 'context.popover.show.in.assist'\"></a>\n      <!-- /ko -->\n      <!-- ko if: type !== 'directory' -->\n      <a style=\"font-size: 20px;\" href=\"javascript:void(0)\" data-bind=\"text: name, hueLink: link, click: function () { $parents[1].close(); }\"></a>\n      <!-- /ko -->\n      <br/>\n      <span data-bind=\"text: window.DOCUMENT_TYPE_I18n[type] || type\"></span>\n      <!-- ko if: description -->\n      <div class=\"context-popover-doc-description\" data-bind=\"html: description\"></div>\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-hue-app-details\">\n    <div class=\"context-popover-flex-fill\" style=\"overflow: auto;\" data-bind=\"with: data\">\n      <div style=\"padding: 8px\">\n        <div style=\"width:100%; text-align: center; margin-top: 30px; font-size: 100px; color: #787878;\" data-bind=\"template: { name: 'app-icon-template', data: { icon: interpreter.type } }\"></div>\n          <div style=\"width: 100%; margin-top: 20px; text-align:center\">\n            <a style=\"font-size: 20px;\" href=\"javascript:void(0)\" data-bind=\"text: interpreter.displayName, hueLink: interpreter.page, click: function () { $parents[1].close(); }, attr: { 'title': interpreter.tooltip }\"></a>\n          </div>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-document-details\">\n    <div class=\"context-popover-flex-fill\" style=\"overflow: auto;\">\n      <div class=\"context-popover-inner-content\">\n        <div style=\"position: absolute; right: 6px; top: 8px;\">\n          <a class=\"pointer inactive-action\" data-bind=\"visible: !$parent.closeDisabled, click: function () { $parent.close() }\"><i class=\"fa fa-fw fa-times\"></i></a>\n        </div>\n        <!-- ko if: typeof documentContents() !== 'undefined' && typeof documentContents().snippets !== 'undefined' -->\n        <!-- ko with: details -->\n        <div class=\"context-popover-doc-header-link\" ><a href=\"javascript:void(0)\" data-bind=\"hueLink: link, click: function () { $parents[1].close(); }\"><!-- ko template: { name: 'document-icon-template', data: { document: $data, showShareAddon: false } } --><!-- /ko --> <span data-bind=\"text:name\"></span></a></div>\n        <!-- ko if: description -->\n        <div class=\"context-popover-doc-description\" data-bind=\"html: description\"></div>\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- ko with: documentContents -->\n        <!-- ko foreach: snippets -->\n        <div class=\"context-popover-doc-contents\" data-bind=\"highlight: { value: statement_raw, formatted: true, dialect: type }\"></div>\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- /ko -->\n        <!-- ko if: typeof documentContents() === 'undefined' || typeof documentContents().snippets === 'undefined' -->\n        <div style=\"width: 100%;\" data-bind=\"template: { name: 'generic-document-context-template', data: details }\"></div>\n        <!-- /ko -->\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-partition-details\">\n    <div class=\"context-popover-flex-fill\" style=\"overflow: auto;\">\n      <div class=\"context-popover-inner-content\">\n        <div style=\"position: absolute; right: 6px; top: 8px;\">\n          <a class=\"pointer inactive-action\" data-bind=\"visible: !$parent.closeDisabled, click: function () { $parent.close() }\"><i class=\"fa fa-fw fa-times\"></i></a>\n        </div>\n        <!-- ko with: data -->\n        <div class=\"context-popover-flex-header blue\"><span data-bind=\"text: originalName\"></span></div>\n        <div class=\"context-popover-flex-attributes\">\n          <div class=\"context-popover-attribute\"><div>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Created'), "</div><div data-bind=\"text: created\"></div></div>\n        </div>\n        <!-- ko if: description -->\n        <div class=\"context-popover-doc-description\" data-bind=\"html: description\"></div>\n        <!-- /ko -->\n        <div class=\"context-popover-flex-fill\">\n          <table id=\"partitionsTable\" class=\"table table-condensed table-nowrap\">\n            <thead>\n            <tr>\n              <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Values'), "</th>\n            </tr>\n            </thead>\n            <tbody data-bind=\"foreach: colValues\">\n              <tr>\n                <td data-bind=\"text: $data\"></td>\n              </tr>\n            </tbody>\n          </table>\n        </div>\n        <!-- /ko -->\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-popover-contents\">\n    <div class=\"context-popover-content\">\n      <!-- ko with: contents -->\n      <!-- ko if: typeof tabs !== 'undefined' -->\n      <ul class=\"nav nav-tabs context-popover-tabs\" data-bind=\"foreach: tabs\">\n        <li data-bind=\"click: function () { $parent.activeTab(id); }, css: { 'active' : $parent.activeTab() === id }\">\n          <a class=\"context-popover-tab\" data-toggle=\"tab\" data-bind=\"text: label, attr: { href: '#' + id }\"></a>\n        </li>\n      </ul>\n      <div class=\"context-popover-tab-container\" data-bind=\"foreach: tabs\">\n        <div class=\"context-popover-tab-pane tab-pane\" data-bind=\"visible : $parent.activeTab() === id, attr: { id: id }, css: { 'active' : $parent.activeTab() === id }\">\n          <div class=\"context-popover-flex\">\n            <!-- ko with: templateData -->\n            <div class=\"context-popover-flex-fill\" data-bind=\"visible: loading\"><!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko --></div>\n            <!-- ko if: ! loading() && hasErrors() -->\n            <div class=\"context-popover-flex-fill\">\n                <div class=\"alert\">\n                <span data-bind=\"text: $parent.errorText\"></span>\n                <!-- ko if: $parent.enableSampleError && $parents[1].activeTab() === 'sample' -->\n                <a href=\"javascript:void(0);\" data-bind=\"click: function(){ huePubSub.publish('sample.error.insert.click', $data); huePubSub.publish('context.popover.hide');}\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Insert '), "<span data-bind=\"text:$parent.title\"></span> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('sample query'), "</a> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('at cursor'), "\n                <!-- /ko -->\n                </div>\n            </div>\n            <!-- /ko -->\n            <!-- ko if: ! loading() && ! hasErrors() -->\n            <!-- ko template: { name: $parent.template } --><!-- /ko -->\n            <!-- /ko -->\n            <!-- /ko -->\n            <!-- ko template: { name: 'context-popover-footer', data: $parents[1] } --><!-- /ko -->\n          </div>\n        </div>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: typeof tabs === 'undefined' -->\n      <div class=\"context-popover-flex-fill\" data-bind=\"visible: loading\"><!-- ko hueSpinner: { spin: loading, center: true, size: 'large' } --><!-- /ko --></div>\n      <!-- ko if: !loading() && hasErrors() -->\n      <div class=\"context-popover-flex-fill\">\n        <div class=\"alert\" data-bind=\"text: errorText\"></div>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: !loading() && !hasErrors() -->\n      <!-- ko template: { name: template } --><!-- /ko -->\n      <!-- /ko -->\n      <!-- ko template: { name: 'context-popover-footer', data: $parent } --><!-- /ko -->\n      <!-- /ko -->\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-catalog-doc-title\">\n  </script>\n\n  <script type=\"text/html\" id=\"context-lang-ref-title\">\n    <div class=\"hue-popover-title\" style=\"white-space: nowrap; overflow: hidden; text-overflow: ellipsis; margin-right: 20px;\">\n      <i class=\"fa fa-book muted\" style=\"margin-top: 3px\"></i> <span class=\"blue\" style=\"padding-left: 4px;\" data-bind=\"text: title\"></span>\n      <div class=\"hue-popover-title-actions\">\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Pin'), "\" data-bind=\"visible: popover.pinEnabled, click: popover.pin\"><i class=\"fa fa-fw fa-thumb-tack\"></i></a>\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Close'), "\" data-bind=\"visible: !popover.closeDisabled, click: popover.close\"><i class=\"fa fa-fw fa-times\"></i></a>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-lang-ref-contents\">\n    <div class=\"context-popover-content\">\n      <div class=\"context-popover-flex-fill context-popover-docs-details\" data-bind=\"html: body\"></div>\n      <div class=\"context-popover-flex-bottom-links\">\n        <div class=\"context-popover-link-row\">\n          <a class=\"inactive-action pointer\" data-bind=\"click: openInRightAssist\">\n            <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Show in Assist...'), "\" class=\"fa fa-search\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Assist'), "\n          </a>\n        </div>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-catalog-entry-title\">\n    <div class=\"hue-popover-title\">\n      <i class=\"hue-popover-title-icon fa muted\" data-bind=\"css: catalogEntry() && catalogEntry().isView() ? 'fa-eye' : 'fa-table'\"></i>\n      <span class=\"hue-popover-title-text\" data-bind=\"foreach: breadCrumbs\">\n        <!-- ko ifnot: isActive --><div><a href=\"javascript: void(0);\" data-bind=\"click: makeActive, text: name\"></a>.</div><!-- /ko -->\n        <!-- ko if: isActive -->\n        <div>\n          <span data-bind=\"text: name\"></span>\n          <!-- ko with: catalogEntry -->\n          <!-- ko if: isField() -->\n          (<span data-bind=\"text: getType()\"></span>)\n          <i class=\"fa fa-key\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Primary key'), "\" data-bind=\"visible: isPrimaryKey()\"></i>\n          <i class=\"fa fa-key\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Partition key'), "\" data-bind=\"visible: isPartitionKey()\"></i>\n          <!-- /ko -->\n          <!-- /ko -->\n        </div>\n        <!-- /ko -->\n      </span>\n      <div class=\"hue-popover-title-actions\">\n        <!-- ko hueSpinner: { spin: loading, inline: true } --><!-- /ko -->\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Refresh'), "\" data-bind=\"visible: !loading() && catalogEntry() && !catalogEntry().isTemporary, click: refresh\"><i class=\"fa fa-fw fa-refresh\"></i></a>\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Pin'), "\" data-bind=\"visible: popover.pinEnabled && catalogEntry() && !catalogEntry().isTemporary, click: popover.pin\"><i class=\"fa fa-fw fa-thumb-tack\"></i></a>\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Close'), "\" data-bind=\"visible: !popover.closeDisabled, click: popover.close\"><i class=\"fa fa-fw fa-times\"></i></a>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-catalog-entry-contents\">\n    <div class=\"context-popover-content\">\n      <div class=\"context-popover-flex-fill\" data-bind=\"visible: loading\"><!-- ko hueSpinner: { spin: loading, center: true, size: 'xlarge' } --><!-- /ko --></div>\n      <!-- ko if: !loading() && hasErrors() -->\n      <div class=\"context-popover-flex-fill\">\n        <div class=\"alert\" data-bind=\"text: errorText\"></div>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: !loading() && !hasErrors() && typeof catalogEntry() !== 'undefined'-->\n      <div class=\"context-popover-flex-fill\" data-bind=\"with: catalogEntry\">\n        <div class=\"context-popover-inner-content\">\n          <!-- ko if: $parent.comment() && !isTemporary  -->\n          <div class=\"context-popover-comment\" data-bind=\"attr: { 'title': $parent.comment }, multiLineEllipsis: { expanded: $parent.commentExpanded, expandable: true, expandClass: 'context-popover-comment-expanded' }, text: $parent.comment\"></div>\n          <!-- /ko -->\n\n          <!-- ko ifnot: $parent.commentExpanded -->\n              <!-- ko if: window.HAS_CATALOG && !isTemporary && (getSourceType() === 'hive' || getSourceType() === 'impala') -->\n              <div data-bind=\"component: { name: 'nav-tags', params: { catalogEntry: $data, overflowEllipsis: true } }\"></div>\n              <!-- /ko -->\n\n            <!-- ko if: isView() && $parent.viewSql() -->\n            <a href=\"javascript:void(0);\" style=\"text-align: right; margin-bottom: 5px;\" data-bind=\"toggle: $parent.viewSqlVisible, text: $parent.viewSqlVisible() ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Show columns'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Show view SQL'), "'\"></a>\n            <!-- /ko -->\n  \n            <!-- ko if: $parent.viewSqlVisible -->\n            <div class=\"context-popover-sql\" data-bind=\"highlight: { value: $parent.viewSql, enableOverflow: true, formatted: true, dialect: getSourceType() }\"></div>\n            <!-- /ko -->\n            <!-- ko ifnot: $parent.viewSqlVisible -->\n            <!-- ko component: { name: 'catalog-entries-list', params: { catalogEntry: $data, onClick: $parent.catalogEntry, onSampleClick: $parent.onSampleClick } } --><!-- /ko -->\n            <!-- /ko -->\n          <!-- /ko -->\n        </div>\n      </div>\n\n      <div class=\"context-popover-flex-bottom-links\">\n        <div class=\"context-popover-link-row\">\n          <!-- ko if: catalogEntry -->\n          <a class=\"inactive-action pointer\" data-bind=\"visible: popover.showInAssistEnabled || catalogEntry() !== originalCatalogEntry, click: showInAssist\">\n            <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Show in Assist...'), "\" class=\"fa fa-search\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Assist'), "\n          </a>\n          <!-- ko if: window.HAS_SQL_DASHBOARD -->\n            <a class=\"inactive-action pointer\" data-bind=\"visible: openActionsEnabled, click: openInDashboard\">\n              <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Open in Dashboard...'), "\" class=\"fa fa-external-link\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Dashboard'), "\n            </a>\n          <!-- /ko -->\n          <!-- ko if: catalogEntry().getSourceType() !== 'solr' && openActionsEnabled() -->\n          <a class=\"inactive-action pointer\" data-bind=\"click: openInTableBrowser\">\n            <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Open in Table Browser...'), "\" class=\"fa fa-external-link\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Table Browser'), "\n          </a>\n          <!-- /ko -->\n          <!-- /ko -->\n        </div>\n      </div>\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"context-storage-entry-title\">\n    <div class=\"hue-popover-title\">\n      <i class=\"hue-popover-title-icon fa muted\" data-bind=\"css: storageEntry() && storageEntry().definition.type === 'dir' ? 'fa-folder-o' : 'fa-file-o'\"></i>\n      <span class=\"hue-popover-title-text\" data-bind=\"foreach: breadCrumbs\">\n        <!-- ko ifnot: isActive --><div><a href=\"javascript: void(0);\" data-bind=\"click: makeActive, text: name\"></a><!-- ko if: $index() > 0 -->/<!-- /ko --></div><!-- /ko -->\n        <!-- ko if: isActive -->\n        <div>\n          <span data-bind=\"text: name\"></span>\n        </div>\n        <!-- /ko -->\n      </span>\n      <div class=\"hue-popover-title-actions\">\n        <!-- ko hueSpinner: { spin: loading, inline: true } --><!-- /ko -->\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Go Home'), "\" data-bind=\"visible: !loading(), click: goHome\"><i class=\"fa fa-fw fa-home\"></i></a>\n        <a class=\"pointer inactive-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Close'), "\" data-bind=\"visible: !popover.closeDisabled, click: popover.close\"><i class=\"fa fa-fw fa-times\"></i></a>\n      </div>\n    </div>\n  </script>\n  \n  <script type=\"text/html\" id=\"context-storage-entry-contents\">\n    <div class=\"context-popover-content\" data-bind=\"with: storageEntry\">\n      <!-- ko if: !loading() && hasErrors() -->\n      <div class=\"context-popover-flex-fill\">\n        <div class=\"alert\" data-bind=\"text: errorText\"></div>\n      </div>\n      <!-- /ko -->\n  \n      <div class=\"context-popover-flex-fill\" data-bind=\"visible: loading\"><!-- ko hueSpinner: { spin: loading, center: true, size: 'xlarge' } --><!-- /ko --></div>\n  \n      <!-- ko if: !loading() && !hasErrors() -->\n      <!-- ko with: definition -->\n      <div class=\"context-popover-flex-attributes\">\n          <!-- ko if: typeof humansize !== 'undefined' -->\n          <div class=\"context-popover-attribute\"><div>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Size'), "</div><div data-bind=\"text: humansize\"></div></div>\n          <!-- /ko -->\n          <!-- ko if: typeof stats !== 'undefined' -->\n          <!-- ko with: stats -->\n          <!-- ko if: user -->\n          <div class=\"context-popover-attribute\"><div>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Owner'), "</div><div data-bind=\"text: user\"></div></div>\n          <!-- /ko -->\n          <!-- /ko -->\n          <!-- /ko -->\n          <!-- ko if: typeof rwx !== 'undefined' -->\n          <div class=\"context-popover-attribute\"><div>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Permissions'), "</div><div data-bind=\"text: rwx\"></div></div>\n          <!-- /ko -->\n      </div>\n      <!-- /ko -->\n      <!-- ko if: definition.type === 'dir' -->\n      <div class=\"context-popover-flex-fill storage-entry-container\" data-bind=\"fetchMore: { fetchMore: fetchMore.bind($data), hasMore: hasMorePages, loadingMore: loadingMore.bind($data) }\">\n        <table class=\"table table-condensed table-nowrap\">\n          <thead>\n            <tr>\n              <th width=\"1%\"></th>\n              <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Name'), "</th>\n              <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Size'), "</th>\n              <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Permissions'), "</th>\n            </tr>\n          </thead>\n          <tbody>\n            <!-- ko if: $parent.storageEntry().parent -->\n            <tr>\n              <td><i class=\"fa fa-folder-o\"></i></td>\n              <td><a href=\"javascript: void(0);\" data-bind=\"click: function () { $parent.storageEntry($parent.storageEntry().parent) }\">..</a></td>\n              <td data-bind=\"text: $parent.storageEntry().definition.humansize\"></td>\n              <td data-bind=\"text: $parent.storageEntry().definition.rwx\"></td>\n            </tr>\n            <!-- /ko -->\n            <!-- ko foreach: entries -->\n            <tr>\n              <td><i class=\"fa\" data-bind=\"css: definition.type === 'dir' ? 'fa-folder-o' : 'fa-file-o'\"></i></td>\n              <td><a href=\"javascript: void(0);\" data-bind=\"click: function () { $parents[1].storageEntry($data) }, text: definition.name\"></a></td>\n              <td data-bind=\"text: definition.humansize\"></td>\n              <td data-bind=\"text: definition.rwx\"></td>\n            </tr>\n            <!-- /ko -->\n          </tbody>\n        </table>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: definition.type !== 'dir' -->\n      <div class=\"context-popover-flex-header\"><div class=\"context-popover-header\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Preview'), "</div></div>\n      <div class=\"context-popover-flex-fill storage-entry-container\">\n        <div data-bind=\"with: preview\">\n          <!-- ko if: view && view.contents -->\n          <pre data-bind=\"text: view.contents\"></pre>\n          <!-- /ko -->\n          <!-- ko if: view && !view.contents -->\n          <div class=\"empty-file-contents\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Empty file...'), "</div>\n          <!-- /ko -->\n        </div>\n      </div>\n      <!-- /ko -->\n      <!-- /ko -->\n  \n      <div class=\"context-popover-flex-bottom-links\">\n        <div class=\"context-popover-link-row\">\n          <!-- ko ifnot: loading -->\n          <a class=\"inactive-action pointer\" data-bind=\"click: $parent.openInFileBrowser\">\n            <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Open in File Browser...'), "\" class=\"fa fa-external-link\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('File Browser'), "\n          </a>\n          <!-- ko if: typeof $parent.editorLocation !== 'undefined' -->\n          <a class=\"inactive-action pointer\" data-bind=\"click: function () { $parent.replaceInEditor($data, $parent) }\">\n            <i style=\"font-size: 11px;\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Replace the editor content...'), "\" class=\"fa fa-pencil\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_11__["default"])('Insert in the editor'), "\n          </a>\n          <!-- /ko -->\n          <!-- /ko -->\n        </div>\n      </div>\n    </div>\n  </script>\n");
var CONTEXT_POPOVER_TEMPLATE = "\n  <div class=\"hue-popover\" data-bind=\"css: orientationClass, style: { 'left': left() + 'px', 'top': top() + 'px', 'width': width() + 'px', height: height() + 'px' }, resizable: { containment: 'document', handles: resizeHelper.resizableHandles, start: resizeHelper.resizeStart, stop: resizeHelper.resizeStop, resize: resizeHelper.resize }\">\n    <div class=\"hue-popover-arrow\" data-bind=\"style: { 'margin-left': leftAdjust() + 'px',  'margin-top': topAdjust() + 'px' }\"></div>\n    <!-- ko if: typeof titleTemplate !== 'undefined' -->\n    <!-- ko template: { name: titleTemplate, data: contents } --><!-- /ko -->\n    <!-- /ko -->\n    <!-- ko if: typeof titleTemplate === 'undefined' -->\n    <div class=\"hue-popover-title\" style=\"white-space: nowrap; overflow: hidden; text-overflow: ellipsis; margin-right: 30px;\">\n      <i class=\"fa muted\" data-bind=\"css: iconClass\" style=\"margin-top: 3px\"></i> <span style=\"padding-left: 4px;\" data-bind=\"text: title\"></span>\n      <!-- ko if: typeof subtitle !== 'undefined' && subtitle -->\n      <span class=\"muted\" style=\"padding-left: 4px;\" data-bind=\"html: subtitle\"></span>\n      <!-- /ko -->\n      <div style=\"position: absolute; right: 6px; top: 8px;\">\n        <a class=\"pointer inactive-action\" data-bind=\"visible: pinEnabled, click: pin\"><i class=\"fa fa-fw fa-thumb-tack\"></i></a>\n        <a class=\"pointer inactive-action\" data-bind=\"click: close\"><i class=\"fa fa-fw fa-times\"></i></a>\n      </div>\n    </div>\n    <!-- /ko -->\n    <!-- ko if: typeof contentsTemplate !== 'undefined' -->\n    <!-- ko template: { name: contentsTemplate, data: contents } --><!-- /ko -->\n    <!-- /ko -->\n    <!-- ko if: typeof contentsTemplate === 'undefined' -->\n    <!-- ko template: 'context-popover-contents' --><!-- /ko -->\n    <!-- /ko -->\n  </div>\n";
var GLOBAL_SEARCH_TEMPLATE = "\n  <!-- ko if: isCatalogEntry -->\n  <!-- ko with: contents -->\n  <div class=\"global-search-catalog-entry\">\n    <!-- ko template: 'context-catalog-entry-title' --><!-- /ko -->\n    <!-- ko template: 'context-catalog-entry-contents' --><!-- /ko -->\n  </div>\n  <!-- /ko -->\n  <!-- /ko -->\n  <!-- ko ifnot: isCatalogEntry -->\n  <!-- ko template: 'context-popover-contents' --><!-- /ko -->\n  <!-- /ko -->\n";
var HALF_ARROW = 6;
var preventHide = false;

var hidePopover = function hidePopover() {
  if (!preventHide) {
    var $contextPopover = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#contextPopover');

    if ($contextPopover.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($contextPopover[0]);
      $contextPopover.remove();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.context');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('context.popover.hidden');
    }
  }
};

var ContextPopoverViewModel =
/*#__PURE__*/
function () {
  function ContextPopoverViewModel(params) {
    _classCallCheck(this, ContextPopoverViewModel);

    var self = this;
    self.disposals = [];
    self.left = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.top = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    var popoverSize = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'popover.size', {
      width: 450,
      height: 400
    });
    self.width = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](popoverSize.width);
    self.height = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](popoverSize.height);
    self.leftAdjust = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.topAdjust = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.data = params.data;
    self.sourceType = params.sourceType;
    self.namespace = params.namespace;
    self.compute = params.compute;
    self.defaultDatabase = params.defaultDatabase;
    self.close = hidePopover;
    self.onSampleClick = params.onSampleClick;
    var orientation = params.orientation || 'bottom';
    self.contents = null;
    self.resizeHelper = new _resizeHelper__WEBPACK_IMPORTED_MODULE_14__["default"](orientation, self.leftAdjust, self.topAdjust, function (noHide) {
      preventHide = noHide;
    });

    if (typeof params.source.element !== 'undefined') {
      // Track the source element and close the popover if moved
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(params.source.element);
      var originalSourceOffset = $source.offset();
      var currentSourceOffset;
      var detectMoveInterval = window.setInterval(function () {
        currentSourceOffset = $source.offset();

        if (currentSourceOffset.top !== originalSourceOffset.top) {
          hidePopover();
        }
      }, 200);
      self.disposals.push(function () {
        window.clearInterval(detectMoveInterval);
      });
    }

    var windowWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).width();

    var fitHorizontally = function fitHorizontally() {
      var left = params.source.left + Math.round((params.source.right - params.source.left) / 2) - self.width() / 2;

      if (left + self.width() > windowWidth - 10) {
        self.leftAdjust(left + self.width() - windowWidth + 5);
        left = windowWidth - self.width() - 10;
      } else if (left < 10) {
        self.leftAdjust(left - 10 - HALF_ARROW);
        left = 10;
      } else {
        self.leftAdjust(-HALF_ARROW);
      }

      self.left(left);
    };

    var windowHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).height();

    var fitVertically = function fitVertically() {
      var top = params.source.top + Math.round((params.source.bottom - params.source.top) / 2) - self.height() / 2;

      if (top + self.height() > windowHeight - 10) {
        self.topAdjust(top + self.height() - windowHeight + 5);
        top = windowHeight - self.height() - 10;
      } else if (top < 10) {
        self.topAdjust(top - 10 - HALF_ARROW);
        top = 10;
      } else {
        self.topAdjust(-HALF_ARROW);
      }

      self.top(top);
    };

    switch (orientation) {
      case 'top':
        fitHorizontally();
        self.top(params.source.top - self.height());
        break;

      case 'right':
        fitVertically();
        self.left(params.source.right);
        break;

      case 'bottom':
        fitHorizontally();
        self.top(params.source.bottom);
        break;

      case 'left':
        fitVertically();
        self.left(params.source.left - self.width());
    }

    self.isSolr = params.sourceType === 'solr';
    self.isComplex = params.data.type === 'complex';
    self.isFunction = params.data.type === 'function';
    self.isStorageEntry = params.data.type === 'storageEntry';
    self.isAsterisk = params.data.type === 'asterisk';
    self.isDocument = params.data.type.toLowerCase() === 'hue';
    self.isCollection = params.data.type === 'collection';
    self.isCatalogEntry = !!params.data.catalogEntry;
    self.isLangRef = params.data.type === 'statementType';

    if (self.isCatalogEntry && params.data.catalogEntry.getSourceType() === 'solr' && params.data.catalogEntry.isField()) {
      self.isCollection = true;
      self.isCatalogEntry = false;
      self.namespace = params.data.catalogEntry.namespace;
      self.compute = params.data.catalogEntry.compute;
    }

    self.showInAssistEnabled = (typeof params.showInAssistEnabled !== 'undefined' ? params.showInAssistEnabled : true) && (self.isDocument || self.isCollection || self.isCatalogEntry);
    self.openInDashboardEnabled = self.isCatalogEntry && params.data.catalogEntry.path.length <= 2;
    self.openInTableBrowserEnabled = self.isCatalogEntry && params.data.catalogEntry.path.length <= 2;
    self.expandColumnsEnabled = self.isAsterisk;
    self.pinEnabled = params.pinEnabled && !self.isFunction && !self.isAsterisk && !self.isStorageEntry && !self.isCatalogEntry;

    if (self.isCatalogEntry) {
      self.contents = new _dataCatalogContext__WEBPACK_IMPORTED_MODULE_7__["default"]({
        popover: self,
        catalogEntry: params.data.catalogEntry
      });
      self.titleTemplate = 'context-catalog-entry-title';
      self.contentsTemplate = 'context-catalog-entry-contents';
    } else if (self.isFunction) {
      self.contents = new _functionContext__WEBPACK_IMPORTED_MODULE_9__["default"](self.data, self.sourceType);
      self.title = self.data["function"];
      self.iconClass = 'fa-superscript';
    } else if (self.isStorageEntry) {
      self.contents = new _storageContext__WEBPACK_IMPORTED_MODULE_15__["default"]({
        popover: self,
        storageEntry: params.data.storageEntry,
        editorLocation: params.data.editorLocation
      });
      self.titleTemplate = 'context-storage-entry-title';
      self.contentsTemplate = 'context-storage-entry-contents';
    } else if (self.isAsterisk) {
      self.contents = new _asteriskContextTabs__WEBPACK_IMPORTED_MODULE_3__["default"](self.data, self.sourceType, self.namespace, self.compute, self.defaultDatabase);
      self.title = '*';
      self.iconClass = 'fa-table';
    } else if (self.isDocument) {
      self.contents = new _documentContext__WEBPACK_IMPORTED_MODULE_8__["default"](self.data.definition);
      self.titleTemplate = 'context-catalog-doc-title';
    } else if (self.isCollection) {
      self.contents = new _collectionContextTabs__WEBPACK_IMPORTED_MODULE_4__["default"](self.data);
      self.title = self.data.catalogEntry.path.slice(1).join('.');
      self.iconClass = 'fa-search';
    } else if (self.isLangRef) {
      self.contents = new _langRefContext__WEBPACK_IMPORTED_MODULE_12__["default"]({
        popover: self,
        data: params.data
      });
      self.titleTemplate = 'context-lang-ref-title';
      self.contentsTemplate = 'context-lang-ref-contents';
    } else {
      self.title = '';
      self.iconClass = 'fa-info';
    }

    self.orientationClass = 'hue-popover-' + orientation;

    if (params.delayedHide) {
      var hideTimeout = -1;

      var onLeave = function onLeave() {
        hideTimeout = window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').fadeOut(200, function () {
            hidePopover();
          });
        }, 1000);
      };

      var onEnter = function onEnter() {
        window.clearTimeout(hideTimeout);
      };

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(params.delayedHide).add(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover')).on('mouseleave', onLeave).on('mouseenter', onEnter);

      var keepPopoverOpenOnClick = function keepPopoverOpenOnClick() {
        window.clearTimeout(hideTimeout);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(params.delayedHide).add(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover')).off('mouseleave', onLeave).off('mouseenter', onEnter);
      };

      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').on('click', keepPopoverOpenOnClick);
      self.disposals.push(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(params.delayedHide).add(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover')).off('mouseleave', onLeave).off('mouseenter', onEnter);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').off('click', keepPopoverOpenOnClick);
      });
    }

    var closeOnEsc = function closeOnEsc(e) {
      if (e.keyCode === 27) {
        hidePopover();
      }
    };

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('keyup', closeOnEsc);
    self.disposals.push(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('keyup', closeOnEsc);
    });
    window.setTimeout(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.context');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click.context', function (event) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(document, event.target) && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(jquery__WEBPACK_IMPORTED_MODULE_0___default()('#contextPopover')[0], event.target) && (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal')[0].length === 0 || !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal')[0], event.target))) {
          hidePopover();
        }
      });
    }, 0);
    self.disposals.push(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.context');
    });
  }

  _createClass(ContextPopoverViewModel, [{
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }

      if (self.contents && self.contents.dispose) {
        self.contents.dispose();
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('context.popover.dispose');
    }
  }, {
    key: "pin",
    value: function pin() {
      var self = this;
      hidePopover();

      if (self.contents && typeof self.contents.sample !== 'undefined') {
        self.contents.sample.fetchedData(undefined);
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('sql.context.pin', self);

      if (self.contents && self.contents.activeTab() === 'sample') {
        self.contents.refetchSamples();
      }
    }
  }]);

  return ContextPopoverViewModel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_16__["default"].registerComponent('context-popover', ContextPopoverViewModel, SUPPORT_TEMPLATES + CONTEXT_POPOVER_TEMPLATE);
_utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].subscribe('context.popover.hide', hidePopover);
_utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].subscribe('context.popover.show', function (details) {
  hidePopover();
  var $contextPopover = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="contextPopover" data-bind="component: { name: \'context-popover\', params: $data }" />');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($contextPopover);
  knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](details, $contextPopover[0]);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('context.popover.shown');
});

var SqlContextContentsGlobalSearch =
/*#__PURE__*/
function () {
  function SqlContextContentsGlobalSearch(params) {
    _classCallCheck(this, SqlContextContentsGlobalSearch);

    var self = this;
    self.contents = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.disposals = [];
    self.isCatalogEntry = params.data.type === 'catalogEntry' || params.data.type.toLowerCase() === 'database' || params.data.type.toLowerCase() === 'table' || params.data.type.toLowerCase() === 'field' || params.data.type.toLowerCase() === 'view';
    self.isDocument = params.data.type.toLowerCase() === 'hue';
    self.isPartition = params.data.type.toLowerCase() === 'partition';
    self.close = params.globalSearch.close.bind(params.globalSearch); // These are currently not in the global search results

    self.isStorageEntry = false;
    self.isAsterisk = false;
    self.isComplex = false;
    self.isFunction = false;
    self.showInAssistEnabled = !self.isHueApp;
    self.openInDashboardEnabled = false;
    self.openInTableBrowserEnabled = false;
    self.expandColumnsEnabled = self.isAsterisk;
    self.closeDisabled = true; // Global search has it's own close

    var adaptedData = {
      identifierChain: []
    };
    var path = params.data.originalName.split('.');
    path.forEach(function (part) {
      adaptedData.identifierChain.push({
        name: part
      });
    });
    var sourceType = params.data.sourceType && params.data.sourceType.toLowerCase();

    if (!sourceType || sourceType === 'hive') {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('cluster.config.get.config', function (clusterConfig) {
        if (clusterConfig) {
          var defaultEditor = clusterConfig['default_sql_interpreter'];

          if (!sourceType || sourceType === 'hive' && defaultEditor === 'impala') {
            sourceType = defaultEditor;
          }
        }
      });
    }

    if (self.isCatalogEntry) {
      _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_5__["default"].getNamespaces({
        sourceType: sourceType
      }).done(function (context) {
        // TODO: Namespace and compute selection for global search results?
        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_6__["default"].getEntry({
          sourceType: sourceType,
          namespace: context.namespaces[0],
          compute: context.namespaces[0].computes[0],
          path: path,
          definition: {
            type: params.data.type.toLowerCase()
          }
        }).done(function (catalogEntry) {
          catalogEntry.navigatorMeta = params.data;
          catalogEntry.navigatorMetaPromise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve(catalogEntry.navigatorMeta);
          catalogEntry.saveLater();
          self.contents(new _dataCatalogContext__WEBPACK_IMPORTED_MODULE_7__["default"]({
            popover: self,
            catalogEntry: catalogEntry
          }));
        });
      });
    } else if (self.isDocument) {
      self.contents(new _documentContext__WEBPACK_IMPORTED_MODULE_8__["default"](params.data));
    } else if (self.isPartition) {
      self.contents(new _partitionContext__WEBPACK_IMPORTED_MODULE_13__["default"](params.data));
    }
  }

  _createClass(SqlContextContentsGlobalSearch, [{
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }

      if (self.contents && self.contents.dispose) {
        self.contents.dispose();
      }

      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_10__["default"].publish('context.popover.dispose');
    }
  }]);

  return SqlContextContentsGlobalSearch;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_16__["default"].registerComponent('context-popover-contents-global-search', SqlContextContentsGlobalSearch, SUPPORT_TEMPLATES + GLOBAL_SEARCH_TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/langRefContext.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/langRefContext.js ***!
  \************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var LangRefContext =
/*#__PURE__*/
function () {
  function LangRefContext(options) {
    _classCallCheck(this, LangRefContext);

    var self = this;
    self.popover = options.popover;
    self.title = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.body = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.topicId = 'topics/impala_' + options.data.identifier.toLowerCase().replace(/ /g, '_') + '.xml';
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.get(window.IMPALA_DOC_INDEX[self.topicId]).done(function (topic) {
      self.title(topic.title);
      self.body(topic.body);
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').on('click.contextLangRef', function (event) {
      if (event.target.className === 'hue-doc-internal-link') {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.lang.ref.show.topic', {
          ref: jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target).data('doc-ref'),
          anchorId: jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target).data('doc-anchor-id')
        });
      }
    });
  }

  _createClass(LangRefContext, [{
    key: "dispose",
    value: function dispose() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').off('click.contextLangRef');
    }
  }, {
    key: "openInRightAssist",
    value: function openInRightAssist() {
      var self = this;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('assist.lang.ref.show.topic', {
        ref: self.topicId
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.hide');
    }
  }]);

  return LangRefContext;
}();

/* harmony default export */ __webpack_exports__["default"] = (LangRefContext);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/partitionContext.js":
/*!**************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/partitionContext.js ***!
  \**************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var PartitionContext =
/*#__PURE__*/
function () {
  function PartitionContext(data) {
    _classCallCheck(this, PartitionContext);

    var self = this;
    self.disposals = [];
    self.data = data;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.errorText = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.template = 'context-partition-details';
  }

  _createClass(PartitionContext, [{
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }]);

  return PartitionContext;
}();

/* harmony default export */ __webpack_exports__["default"] = (PartitionContext);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/resizeHelper.js":
/*!**********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/resizeHelper.js ***!
  \**********************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



var HALF_SIZE_LIMIT_X = 130;
var HALF_SIZE_LIMIT_Y = 100;

var ResizeHelper = function ResizeHelper(orientation, leftAdjust, topAdjust, preventHideCallback) {
  _classCallCheck(this, ResizeHelper);

  var self = this;
  var originalMidX, originalWidth, originalRightX, originalLeftX, originalMidY, originalHeight, originalTopY, originalBottomY;
  var rightX, leftX, leftDiff, rightDiff, topY, bottomY, topDiff, bottomDiff;
  var redrawHeaders = false;

  var initOriginalValues = function initOriginalValues(attempt) {
    if (attempt > 20) {
      return;
    }

    window.setTimeout(function () {
      var offset = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').offset();

      if (!offset) {
        // Popover isn't visible yet, wait a bit and try again
        attempt++;
        initOriginalValues(attempt);
        return;
      }

      if (orientation === 'right') {
        offset.left -= 5;
      } else if (orientation === 'bottom') {
        offset.top -= 5;
      }

      originalHeight = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').height();
      originalWidth = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').width();
      originalMidX = offset.left + originalWidth / 2;
      originalMidY = offset.top + originalHeight / 2;
      originalLeftX = offset.left;
      originalRightX = offset.left + originalWidth;
      originalTopY = offset.top;
      originalBottomY = offset.top + originalHeight;
    }, attempt * 20);
  };

  initOriginalValues(0);

  self.saveSize = function () {
    _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setInTotalStorage('assist', 'popover.size', {
      width: jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').width(),
      height: jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').height()
    });
  };

  self.resizeStart = function (event, ui) {
    preventHideCallback(true);
  };

  self.resizeStop = function (event, ui) {
    if (redrawHeaders) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('table.extender.redraw', 'sampleTab');
      redrawHeaders = false;
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.resized'); // Delay or it will close the popover when releasing at the window borders

    window.setTimeout(function () {
      preventHideCallback(false);
    }, 300);
    self.saveSize();
  };

  var resizeTopBottomHorizontal = function resizeTopBottomHorizontal(event, ui) {
    leftX = ui.position.left;
    rightX = ui.position.left + ui.size.width;

    if (rightX < originalMidX + HALF_SIZE_LIMIT_X) {
      ui.size.width = originalMidX + HALF_SIZE_LIMIT_X - ui.position.left;
      rightX = ui.position.left + ui.size.width;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('width', ui.size.width + 'px');
    }

    if (leftX > originalMidX - HALF_SIZE_LIMIT_X) {
      ui.position.left = originalMidX - HALF_SIZE_LIMIT_X;
      ui.size.width = ui.originalSize.width - (ui.position.left - ui.originalPosition.left);
      leftX = ui.position.left;
      rightX = ui.position.left + ui.size.width;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('left', ui.position.left + 'px');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('width', ui.size.width + 'px');
    }

    leftDiff = originalLeftX - leftX;
    rightDiff = originalRightX - rightX;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover-arrow').css('margin-left', (leftDiff + rightDiff) / 2 + leftAdjust() + 'px');
  };

  var resizeLeftRightVertical = function resizeLeftRightVertical(event, ui) {
    if (!redrawHeaders && ui.originalPosition.top !== ui.position.top) {
      redrawHeaders = true;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('table.extender.hide', 'sampleTab');
    }

    topY = ui.position.top;
    bottomY = ui.position.top + ui.size.height;

    if (bottomY < originalMidY + HALF_SIZE_LIMIT_Y) {
      ui.size.height = originalMidY + HALF_SIZE_LIMIT_Y - ui.position.top;
      bottomY = ui.position.top + ui.size.height;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('height', ui.size.height + 'px');
    }

    if (topY > originalMidY - HALF_SIZE_LIMIT_Y) {
      ui.position.top = originalMidY - HALF_SIZE_LIMIT_Y;
      ui.size.height = ui.originalSize.height - (ui.position.top - ui.originalPosition.top);
      topY = ui.position.top;
      bottomY = ui.position.top + ui.size.height;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('top', ui.position.top + 'px');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('height', ui.size.height + 'px');
    }

    topDiff = originalTopY - topY;
    bottomDiff = originalBottomY - bottomY;
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover-arrow').css('margin-top', (topDiff + bottomDiff) / 2 + topAdjust() + 'px');
  };

  switch (orientation) {
    case 'top':
      self.resizableHandles = 'w, nw, n, ne, e';

      self.resize = function (event, ui) {
        resizeTopBottomHorizontal(event, ui); // TODO: Implement resize height limits when popover is above
      };

      break;

    case 'right':
      self.resizableHandles = 'n, ne, e, se, s';

      self.resize = function (event, ui) {
        resizeLeftRightVertical(event, ui);

        if (ui.size.width < 350) {
          ui.size.width = 350;
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('width', 350 + 'px');
        }
      };

      break;

    case 'bottom':
      self.resizableHandles = 'e, se, s, sw, w';

      self.resize = function (event, ui) {
        resizeTopBottomHorizontal(event, ui);

        if (ui.size.height < 200) {
          ui.size.height = 200;
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('.hue-popover').css('height', 200 + 'px');
        }
      };

      break;

    case 'left':
      self.resizableHandles = 's, sw, w, nw, n';

      self.resize = function (event, ui) {
        resizeLeftRightVertical(event, ui); // TODO: Implement resize width limits when popover is on the left
      };

      break;
  }
};

/* harmony default export */ __webpack_exports__["default"] = (ResizeHelper);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/contextPopover/storageContext.js":
/*!************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/contextPopover/storageContext.js ***!
  \************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../assist/assistStorageEntry */ "./desktop/core/src/desktop/js/ko/components/assist/assistStorageEntry.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var StorageContext =
/*#__PURE__*/
function () {
  function StorageContext(options) {
    _classCallCheck(this, StorageContext);

    var self = this;
    self.popover = options.popover;
    self.storageEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.editorLocation = options.editorLocation;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      return self.storageEntry() && self.storageEntry().loading();
    });
    self.storageEntry.subscribe(function (newVal) {
      if (!newVal.loaded && !newVal.loading()) {
        if (newVal.definition.type === 'dir') {
          newVal.open(true);
        } else {
          newVal.loadPreview();
        }
      }
    });
    self.storageEntry(options.storageEntry);
    self.breadCrumbs = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      var result = [];
      var currentEntry = self.storageEntry();

      do {
        result.unshift({
          name: currentEntry.definition.name,
          originalType: currentEntry.originalType,
          isActive: currentEntry === self.storageEntry(),
          storageEntry: currentEntry,
          makeActive: function makeActive() {
            self.storageEntry(this.storageEntry);
          }
        });
        currentEntry = currentEntry.parent;
      } while (currentEntry);

      return result;
    });
  }

  _createClass(StorageContext, [{
    key: "openInFileBrowser",
    value: function openInFileBrowser(entry) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('open.link', entry.definition.url);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.hide');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('global.search.close');
    }
  }, {
    key: "replaceInEditor",
    value: function replaceInEditor(entry, storageContext) {
      var text = entry.originalType ? entry.originalType + ':/' + entry.path : entry.path;
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('ace.replace', {
        location: storageContext.editorLocation,
        text: text
      });
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.hide');
    }
  }, {
    key: "goHome",
    value: function goHome() {
      var self = this;
      _assist_assistStorageEntry__WEBPACK_IMPORTED_MODULE_1__["default"].getEntry(window.USER_HOME_DIR, self.storageEntry().type).done(self.storageEntry);
    }
  }]);

  return StorageContext;
}();

/* harmony default export */ __webpack_exports__["default"] = (StorageContext);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.catalogEntriesList.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.catalogEntriesList.js ***!
  \****************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'catalog-entries-list';
var TEMPLATE = "\n  <script type=\"text/html\" id=\"entries-table-td-description\">\n    <td data-bind=\"attr: { 'title': comment }\">\n    <!-- ko if: $parent.editableDescriptions && !window.HAS_READ_ONLY_CATALOG -->\n      <div class=\"hue-catalog-entries-table-desc\" data-bind=\"visibleOnHover: { selector: '.editable-inline-action' }\">\n        <div data-bind=\"editable: comment, editableOptions: {\n          mode: 'inline',\n          enabled: true,\n          type: 'textarea',\n          showbuttons: 'bottom',\n          inputclass: 'hue-table-browser-desc-input',\n          toggle: 'manual',\n          toggleElement: '.toggle-editable',\n          placeholder: '".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add a description...'), "',\n          emptytext: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add a description...'), "',\n          inputclass: 'hue-catalog-entries-table-desc-input',\n          rows: 6,\n          save: saveComment,\n          inlineEditAction: { editClass: 'toggle-editable editable-inline-action' },\n          multiLineEllipsis: { overflowHeight: '40px', expandable: true, expandActionClass: 'editable-inline-action' }\n        }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add a description...'), "</div>\n      </div>\n    <!-- /ko -->\n    <!-- ko if: !$parent.editableDescriptions || window.HAS_READ_ONLY_CATALOG -->\n      <div class=\"entries-table-description\" data-bind=\"text: comment, multiLineEllipsis\"></div>\n    <!-- /ko -->\n    </td>\n  </script>\n\n  <script type=\"text/html\" id=\"entries-table-tbody-no-entries\">\n    <tbody>\n      <tr>\n        <td style=\"font-style: italic;\" data-bind=\"attr: { 'colspan': colCount + (typeof $component.selectedEntries !== 'undefined' ? 1 : 0) + ($component.contextPopoverEnabled ? 1 : 0) }\">\n          <!-- ko ifnot: hasErrors -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No entries found'), "\n          <!-- /ko -->\n          <!-- ko if: hasErrors -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Error loading entries'), "\n          <!-- /ko -->\n        </td>\n      </tr>\n    </tbody>\n  </script>\n\n  <script type=\"text/html\" id=\"entries-table-shared-headers\">\n    <!-- ko if: typeof selectedEntries !== 'undefined' -->\n    <th width=\"1%\" class=\"select-column\"><div class=\"hue-checkbox fa\" data-bind=\"hueCheckAll: { allValues: filteredEntries, selectedValues: selectedEntries }\"></div></th>\n    <!-- /ko -->\n    <!-- ko if: contextPopoverEnabled -->\n    <th width=\"1%\">&nbsp;</th>\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"entries-table-shared-columns\">\n    <!-- ko if: typeof $parent.selectedEntries !== 'undefined' -->\n    <td width=\"1%\" class=\"select-column\"><div class=\"hue-checkbox fa\" data-bind=\"multiCheck: '#entryTable', value: $data, hueChecked: $parent.selectedEntries\"></div></td>\n    <!-- /ko -->\n    <!-- ko if: $parent.contextPopoverEnabled -->\n    <td width=\"1%\"><a href=\"javascript: void(0);\" data-bind=\"click: showContextPopover\"><i class=\"fa fa-info\"></i></a></td>\n    <!-- /ko -->\n  </script>\n\n  <!-- ko if: !loading() && (!catalogEntry().isField() || catalogEntry().isComplex())-->\n  <div class=\"context-popover-inline-autocomplete\">\n    <div class=\"context-popover-sample-filter\">\n      <!-- ko component: {\n        name: 'inline-autocomplete',\n        params: {\n          querySpec: querySpec,\n          facets: facets,\n          knownFacetValues: knownFacetValues,\n          autocompleteFromEntries: autocompleteFromEntries\n        }\n      } --><!-- /ko -->\n    </div>\n  </div>\n  <!-- /ko -->\n\n  <div class=\"catalog-entries-list-container\">\n    <!-- ko hueSpinner: { spin: loading, center: true, size: 'xlarge' } --><!-- /ko -->\n    <!-- ko if: !loading() && catalogEntry().isSource() -->\n    <table id=\"entryTable\" class=\"table table-condensed table-nowrap\">\n      <thead>\n        <tr>\n          <!-- ko template: 'entries-table-shared-headers' --><!-- /ko -->\n          <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Database'), "</th>\n          <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Description'), " <!-- ko if: loadingNav --><i class=\"fa fa-spinner fa-spin\"></i><!-- /ko --></th>\n        </tr>\n      </thead>\n      <!-- ko if: filteredEntries().length -->\n      <tbody data-bind=\"foreach: filteredEntries\">\n        <tr data-bind=\"click: onRowClick\">\n          <!-- ko template: 'entries-table-shared-columns' --><!-- /ko -->\n          <td><a href=\"javascript: void(0);\" data-bind=\"text: catalogEntry().name, click: onClick, attr: { 'title': catalogEntry().getTitle() }\"></a></td>\n          <!-- ko template: 'entries-table-td-description' --><!-- /ko -->\n        </tr>\n      </tbody>\n      <!-- /ko -->\n      <!-- ko if: filteredEntries().length === 0 -->\n      <!-- ko template: { name: 'entries-table-tbody-no-entries', data: { colCount: 2, hasErrors: hasErrors } } --><!-- /ko -->\n      <!-- /ko -->\n    </table>\n    <!-- /ko -->\n\n    <!-- ko if: !loading() && catalogEntry().isDatabase() -->\n    <table id=\"entryTable\" class=\"table table-condensed table-nowrap\">\n      <thead>\n      <tr>\n        <!-- ko template: 'entries-table-shared-headers' --><!-- /ko -->\n        <th data-bind=\"text: catalogEntry().getSourceType() !== 'solr' ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Table'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Collection'), "'\"></th>\n        <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Description'), " <!-- ko if: loadingNav --><i class=\"fa fa-spinner fa-spin\"></i><!-- /ko --></th>\n      </tr>\n      </thead>\n      <!-- ko if: filteredEntries().length -->\n      <tbody data-bind=\"foreach: filteredEntries\">\n      <tr data-bind=\"click: onRowClick\">\n        <!-- ko template: 'entries-table-shared-columns' --><!-- /ko -->\n        <td><a href=\"javascript: void(0);\" data-bind=\"text: catalogEntry().name, click: onClick, attr: { 'title': catalogEntry().getTitle() }\"></a></td>\n        <!-- ko template: 'entries-table-td-description' --><!-- /ko -->\n      </tr>\n      </tbody>\n      <!-- /ko -->\n      <!-- ko if: filteredEntries().length === 0 -->\n      <!-- ko template: { name: 'entries-table-tbody-no-entries', data: { colCount: 2, hasErrors: hasErrors } } --><!-- /ko -->\n      <!-- /ko -->\n    </table>\n    <!-- /ko -->\n\n    <!-- ko if: !loading() && (catalogEntry().isTableOrView() || catalogEntry().isComplex()) -->\n    <table class=\"table table-condensed table-nowrap\">\n      <thead>\n      <tr>\n        <!-- ko template: 'entries-table-shared-headers' --><!-- /ko -->\n        <th><span data-bind=\"text: catalogEntry().getSourceType() !== 'solr' ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Column'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Field'), "'\"></span> (<span data-bind=\"text: filteredEntries().length\"></span>)</th>\n        <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Type'), "</th>\n        <th with=\"25%\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Description'), " <!-- ko if: loadingNav --><i class=\"fa fa-spinner fa-spin\"></i><!-- /ko --></th>\n        <th colspan=\"2\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sample'), " <!-- ko if: loadingSamples() || sampleRefreshEnabled() --><i class=\"fa fa-spinner fa-spin\"></i><!-- /ko --> <!-- ko if: sampleRefreshEnabled --><a class=\"inactive-action\" href=\"javascript: void(0);\" data-bind=\"toggle: sampleRefreshEnabled\"><i class=\"fa fa-stop\"></i></a><!-- /ko --></th>\n      </tr>\n      </thead>\n      <!-- ko if: filteredEntries().length -->\n      <tbody data-bind=\"foreach: filteredEntries\">\n      <tr data-bind=\"click: onRowClick\">\n        <!-- ko template: 'entries-table-shared-columns' --><!-- /ko -->\n        <td class=\"name-column\" data-bind=\"attr: { 'title': catalogEntry().name + ' - ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Click for more details'), "' }\">\n          <a href=\"javascript: void(0);\" data-bind=\"click: onClick\">\n            <span data-bind=\"text: catalogEntry().name\"></span>\n            <!-- ko if: isKey -->\n            &nbsp;<i class=\"fa fa-key\" data-bind=\"tooltip: { title: keyText, html: true }\"></i>\n            <!-- /ko -->\n            <!-- ko if: popularity && popularity() >= 5 -->\n            &nbsp;<i data-bind=\"tooltip: { title: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Popularity'), ": ' + popularity() + '%' }\" class=\"fa fa-star-o\"></i>\n            <!-- /ko -->\n          </a>\n        </td>\n        <td class=\"type-column\" data-bind=\"text: catalogEntry().getType(), attr: { 'title': catalogEntry().getRawType() }\"></td>\n        <!-- ko template: 'entries-table-td-description' --><!-- /ko -->\n        <td class=\"sample-column\" data-bind=\"html: firstSample, attr: { 'title': hueUtils.html2text(firstSample()) }\"></td>\n        <td class=\"sample-column\" data-bind=\"html: secondSample, attr: { 'title': hueUtils.html2text(secondSample()) }\"></td>\n      </tr>\n      </tbody>\n      <!-- /ko -->\n      <!-- ko if: filteredEntries().length === 0 -->\n      <!-- ko template: { name: 'entries-table-tbody-no-entries', data: { colCount: 5, hasErrors: hasErrors } } --><!-- /ko -->\n      <!-- /ko -->\n    </table>\n    <!-- /ko -->\n\n    <!-- ko if: !loading() && catalogEntry().isField() && !catalogEntry().isComplex() -->\n    <!-- ko component: { name: 'field-samples', params: {\n        catalogEntry: catalogEntry,\n        onSampleClick: onSampleClick,\n        refreshSampleInterval: refreshSampleInterval\n      }} --><!-- /ko -->\n    <!-- /ko -->\n  </div>\n");

var SampleEnrichedEntry =
/*#__PURE__*/
function () {
  function SampleEnrichedEntry(index, catalogEntry, onClick, onRowClick) {
    _classCallCheck(this, SampleEnrichedEntry);

    var self = this;
    self.index = index;
    self.catalogEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](catalogEntry) ? catalogEntry : knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](catalogEntry);
    self.popularity = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.firstSample = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.secondSample = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.onClick = onClick;
    self.onRowClick = onRowClick;
    self.comment = self.catalogEntry().getCommentObservable();
    self.joinColumns = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.isKey = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.catalogEntry().isPrimaryKey() || self.catalogEntry().isPartitionKey() || self.joinColumns().length;
    });
    self.keyText = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var keys = [];

      if (self.catalogEntry().isPrimaryKey()) {
        keys.push(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Primary key'));
      }

      if (self.catalogEntry().isPartitionKey()) {
        keys.push(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Partition key'));
      }

      if (self.joinColumns().length) {
        var key = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])(self.joinColumns().length > 1 ? 'Foreign keys' : 'Foreign key') + ':';
        self.joinColumns().forEach(function (joinCol) {
          key += '<br/>' + joinCol;
        });
        keys.push(key);
      }

      return keys.join('<br/>');
    });
  }

  _createClass(SampleEnrichedEntry, [{
    key: "showContextPopover",
    value: function showContextPopover(entry, event) {
      var $source = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.currentTarget || event.target);
      var offset = $source.offset();
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.popover.show', {
        data: {
          type: 'catalogEntry',
          catalogEntry: entry.catalogEntry()
        },
        orientation: 'right',
        source: {
          element: event.target,
          left: offset.left,
          top: offset.top - 2,
          right: offset.left + $source.width() + 1,
          bottom: offset.top + $source.height() - 2
        }
      });
    }
  }, {
    key: "saveComment",
    value: function saveComment() {
      var self = this;

      if (self.comment() !== self.catalogEntry().getResolvedComment()) {
        self.catalogEntry().setComment(self.comment()).done(self.comment).fail(function () {
          self.comment(self.catalogEntry().getResolvedComment());
        });
      }
    }
  }]);

  return SampleEnrichedEntry;
}();

var CatalogEntriesList =
/*#__PURE__*/
function () {
  function CatalogEntriesList(params) {
    _classCallCheck(this, CatalogEntriesList);

    var self = this;
    self.catalogEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](params.catalogEntry) ? params.catalogEntry : knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.catalogEntry);
    self.selectedEntries = params.selectedEntries;
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.editableDescriptions = !!params.editableDescriptions;
    self.contextPopoverEnabled = !!params.contextPopoverEnabled;
    self.onSampleClick = params.onSampleClick;
    self.querySpec = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.cancellablePromises = [];
    self.lastSamplePromise = undefined;
    self.fetchSampleTimeout = -1;
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingNav = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingSamples = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.refreshSampleInterval = params.refreshSampleInterval;
    self.sampleRefreshEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!params.refreshSampleInterval);
    self.sampleRefreshEnabled.subscribe(function (newVal) {
      if (!newVal) {
        window.clearTimeout(self.fetchSampleTimeout);

        if (self.lastSamplePromise && self.lastSamplePromise.cancel) {
          self.lastSamplePromise.cancel();
        }
      }
    }); // TODO: Can be computed based on contents (instead of always suggesting all col types etc.)

    self.knownFacetValues = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (self.catalogEntry().isDatabase()) {
        return {
          type: {
            table: -1,
            view: -1
          }
        };
      } else if (self.catalogEntry().isTableOrView()) {
        var typeIndex = {
          type: {}
        }; // Issue with filteredEntries is that it's not updated in time when typing,
        // i.e. type:| doesn't automatically open the suggestion list.

        self.entries().forEach(function (entry) {
          var type = entry.catalogEntry().getType().toLowerCase();

          if (!typeIndex['type'][type]) {
            typeIndex['type'][type] = 1;
          } else {
            typeIndex['type'][type]++;
          }
        });
        return typeIndex;
      }
    });
    self.facets = self.catalogEntry().isField() && !self.catalogEntry().isComplex() ? [] : ['type'];
    self.filteredEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.querySpec() || self.querySpec().query === '') {
        return self.entries();
      }

      var facets = self.querySpec().facets;
      var isFacetMatch = !facets || Object.keys(facets).length === 0 || !facets['type']; // So far only type facet is used for SQL

      var isTextMatch = !self.querySpec().text || self.querySpec().text.length === 0;
      return self.entries().filter(function (entry) {
        var match = true;

        if (!isFacetMatch) {
          if (entry.catalogEntry().isField()) {
            match = !!facets['type'][entry.catalogEntry().getType().toLowerCase()];
          } else if (entry.catalogEntry().isTableOrView()) {
            match = facets['type']['table'] && entry.catalogEntry().isTable() || facets['type']['view'] && entry.catalogEntry().isView();
          }
        }

        if (match && !isTextMatch) {
          match = self.querySpec().text.every(function (text) {
            var textLower = text.toLowerCase();
            return entry.catalogEntry().name.toLowerCase().indexOf(textLower) !== -1 || entry.catalogEntry().getResolvedComment().toLowerCase().indexOf(textLower) !== -1;
          });
        }

        return match;
      });
    });

    self.autocompleteFromEntries = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.entries().forEach(function (entry) {
        if (entry.catalogEntry().name.toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + entry.catalogEntry().name.substring(partial.length));
        }
      });
      return result;
    };

    var entrySort = function entrySort(a, b) {
      var aIsKey = a.catalogEntry().isPrimaryKey() || a.catalogEntry().isPartitionKey();
      var bIsKey = b.catalogEntry().isPrimaryKey() || b.catalogEntry().isPartitionKey();

      if (aIsKey && !bIsKey) {
        return -1;
      }

      if (bIsKey && !aIsKey) {
        return 1;
      }

      return b.popularity() - a.popularity() || a.index - b.index;
    };

    var onClick = function onClick(sampleEnrichedEntry, event) {
      if (params.onClick) {
        params.onClick(sampleEnrichedEntry.catalogEntry(), event);
      } else if (self.contextPopoverEnabled) {
        sampleEnrichedEntry.showContextPopover(sampleEnrichedEntry, event);
      } else {
        self.catalogEntry(sampleEnrichedEntry.catalogEntry());
      }
    };

    var onRowClick = function onRowClick(sampleEnrichedEntry, event) {
      if (self.selectedEntries && jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target).is('td')) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.currentTarget).find('.hue-checkbox').trigger('click');
      }

      return true;
    };

    var loadEntries = function loadEntries() {
      self.loading(true);
      var entriesAddedDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var childPromise = self.catalogEntry().getChildren({
        silenceErrors: true,
        cancellable: true
      }).done(function (childEntries) {
        var entries = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(childEntries, function (entry, index) {
          return new SampleEnrichedEntry(index, entry, onClick, onRowClick);
        });
        entries.sort(entrySort);
        self.entries(entries);
        entriesAddedDeferred.resolve(entries);
      }).fail(function () {
        self.hasErrors(true);
        entriesAddedDeferred.reject();
      }).always(function () {
        self.loading(false);
      });

      if (self.catalogEntry().isTableOrView()) {
        var joinsPromise = self.catalogEntry().getTopJoins({
          silenceErrors: true,
          cancellable: true
        }).done(function (topJoins) {
          if (topJoins && topJoins.values && topJoins.values.length) {
            entriesAddedDeferred.done(function (entries) {
              var entriesIndex = {};
              entries.forEach(function (entry) {
                entriesIndex[entry.catalogEntry().path.join('.').toLowerCase()] = {
                  joinColumnIndex: {},
                  entry: entry
                };
              });
              topJoins.values.forEach(function (topJoin) {
                topJoin.joinCols.forEach(function (topJoinCols) {
                  if (topJoinCols.columns.length === 2) {
                    if (entriesIndex[topJoinCols.columns[0].toLowerCase()]) {
                      entriesIndex[topJoinCols.columns[0].toLowerCase()].joinColumnIndex[topJoinCols.columns[1].toLowerCase()] = topJoinCols.columns[1];
                    } else if (entriesIndex[topJoinCols.columns[1].toLowerCase()]) {
                      entriesIndex[topJoinCols.columns[1].toLowerCase()].joinColumnIndex[topJoinCols.columns[0].toLowerCase()] = topJoinCols.columns[0];
                    }
                  }
                });
              });
              Object.keys(entriesIndex).forEach(function (key) {
                if (Object.keys(entriesIndex[key].joinColumnIndex).length) {
                  entriesIndex[key].entry.joinColumns(Object.keys(entriesIndex[key].joinColumnIndex));
                }
              });
            });
          }
        });
        self.cancellablePromises.push(joinsPromise);
      }

      var navMetaPromise = self.catalogEntry().loadNavigatorMetaForChildren({
        silenceErrors: true,
        cancellable: true
      }).always(function () {
        self.loadingNav(false);
      });
      self.cancellablePromises.push(navMetaPromise);
      self.cancellablePromises.push(childPromise);
      self.cancellablePromises.push(self.catalogEntry().loadNavOptPopularityForChildren({
        silenceErrors: true,
        cancellable: true
      }).done(function (popularEntries) {
        if (popularEntries.length) {
          childPromise.done(function () {
            var entryIndex = {};
            self.entries().forEach(function (entry) {
              entryIndex[entry.catalogEntry().name] = entry;
            });
            var totalCount = 0;
            var popularityToApply = [];
            popularEntries.forEach(function (popularEntry) {
              if (entryIndex[popularEntry.name] && popularEntry.navOptPopularity && popularEntry.navOptPopularity.selectColumn && popularEntry.navOptPopularity.selectColumn.columnCount > 0) {
                totalCount += popularEntry.navOptPopularity.selectColumn.columnCount;
                popularityToApply.push(function () {
                  entryIndex[popularEntry.name].popularity(Math.round(100 * popularEntry.navOptPopularity.selectColumn.columnCount / totalCount));
                });
              }
            });
            var foundPopularEntries = popularityToApply.length !== 0;

            while (popularityToApply.length) {
              popularityToApply.pop()();
            }

            if (foundPopularEntries) {
              self.entries().sort(entrySort);
            }
          });
        }
      }));

      if (self.catalogEntry().isTableOrView() || self.catalogEntry().isComplex()) {
        self.loadingSamples(true);
        var firstSampleFetch = true;

        var fetchSamples = function fetchSamples() {
          window.clearInterval(self.fetchSampleTimeout);
          self.lastSamplePromise = self.catalogEntry().getSample({
            silenceErrors: true,
            cancellable: true,
            refreshCache: !firstSampleFetch
          }).done(function (sample) {
            childPromise.done(function () {
              if (sample.meta && sample.meta.length && sample.data && sample.data.length) {
                var entryIndex = {};
                self.entries().forEach(function (entry) {
                  entryIndex[entry.catalogEntry().name] = entry;
                });

                for (var i = 0; i < sample.meta.length; i++) {
                  var name = sample.meta[i].name;

                  if (name.toLowerCase().indexOf(self.catalogEntry().name.toLowerCase() + '.') === 0) {
                    name = name.substring(self.catalogEntry().name.length + 1);
                  }

                  var sampleEntry = entryIndex[name];

                  if (sampleEntry) {
                    sampleEntry.firstSample(sample.data[0][i]);

                    if (sample.data.length > 1) {
                      sampleEntry.secondSample(sample.data[1][i]);
                    }
                  }
                }
              }
            }).always(function () {
              self.loadingSamples(false);
              firstSampleFetch = false;

              if (self.refreshSampleInterval && self.sampleRefreshEnabled()) {
                self.fetchSampleTimeout = window.setTimeout(fetchSamples, self.refreshSampleInterval);
              }
            });
          }).fail(function () {
            self.loadingSamples(false);
          });
        };

        fetchSamples();
      }
    };

    window.setTimeout(loadEntries, 100);
  }

  _createClass(CatalogEntriesList, [{
    key: "dispose",
    value: function dispose() {
      var self = this;
      window.clearTimeout(self.fetchSampleTimeout);

      if (self.lastSamplePromise && self.lastSamplePromise.cancel) {
        self.lastSamplePromise.cancel();
      }

      while (self.cancellablePromises.length) {
        var promise = self.cancellablePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }
    }
  }]);

  return CatalogEntriesList;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, CatalogEntriesList, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.contextSelector.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.contextSelector.js ***!
  \*************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../catalog/contextCatalog */ "./desktop/core/src/desktop/js/catalog/contextCatalog.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var NAME = 'hue-context-selector';
var TEMPLATE = "\n  <!-- ko if: loadingContext -->\n  <i class=\"fa fa-spinner fa-spin muted\"></i>\n  <!-- /ko -->\n\n  <div class=\"inline-block\" style=\"display: none;\" data-bind=\"visible: !loadingContext()\">\n    <!-- ko if: window.HAS_MULTI_CLUSTER -->\n    <!-- ko if: availableClusters().length > 0 && !hideClusters -->\n    <!-- ko ifnot: hideLabels --><span class=\"editor-header-title\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Cluster'), "</span><!-- /ko -->\n    <div data-bind=\"component: { name: 'hue-drop-down', params: { value: cluster, onSelect: onClusterSelect, entries: availableClusters, labelAttribute: 'name', searchable: true, linkTitle: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Active cluster'), "' } }\" style=\"display: inline-block\"></div>\n    <!-- /ko -->\n    <!-- ko if: availableClusters().length === 0 && !hideClusters -->\n    <span class=\"editor-header-title\"><i class=\"fa fa-warning\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No clusters found'), "</span>\n    <!-- /ko -->\n\n    <!-- ko if: availableComputes().length > 0 && !hideComputes -->\n    <!-- ko ifnot: hideLabels --><span class=\"editor-header-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Compute'), "</span><!-- /ko -->\n    <div data-bind=\"component: { name: 'hue-drop-down', params: { value: compute, onSelect: onComputeSelect, entries: availableComputes, labelAttribute: 'name', searchable: true, linkTitle: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Active compute'), "' } }\" style=\"display: inline-block\"></div>\n    <!-- /ko -->\n    <!-- ko if: availableComputes().length === 0 && !hideComputes -->\n    <span class=\"editor-header-title\"><i class=\"fa fa-warning\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No computes found'), "</span>\n    <!-- /ko -->\n\n    <!-- ko if: availableNamespaces().length > 0 && !hideNamespaces -->\n    <!-- ko ifnot: hideLabels --><span class=\"editor-header-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Namespace'), "</span><!-- /ko -->\n    <div data-bind=\"component: { name: 'hue-drop-down', params: { value: namespace, onSelect: onNamespaceSelect, entries: availableNamespaces, labelAttribute: 'name', searchable: true, linkTitle: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Active namespace'), "' } }\" style=\"display: inline-block\"></div>\n    <!-- /ko -->\n    <!-- ko if: availableNamespaces().length === 0 && !hideNamespaces -->\n    <span class=\"editor-header-title\"><i class=\"fa fa-warning\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No namespaces found'), "</span>\n    <!-- /ko -->\n    <!-- /ko -->\n\n    <!-- ko if: availableDatabases().length > 0 && !hideDatabases-->\n    <!-- ko ifnot: hideLabels --><span class=\"editor-header-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Database'), "</span><!-- /ko -->\n    <div data-bind=\"component: { name: 'hue-drop-down', params: { value: database, entries: availableDatabases, foreachVisible: true, searchable: true, linkTitle: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Active database'), "' } }\" style=\"display: inline-block\"></div>\n    <!-- /ko -->\n    <!-- ko if: availableDatabases().length === 0  && !hideDatabases -->\n    <span class=\"editor-header-title\"><i class=\"fa fa-warning\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('No databases found'), "</span>\n    <!-- /ko -->\n  </div>\n");
var TYPES_INDEX = {
  cluster: {
    name: 'cluster',
    loading: 'loadingClusters',
    available: 'availableClusters',
    hide: 'hideClusters',
    lastPromise: 'lastClustersPromise',
    contextCatalogFn: 'getClusters',
    totalStorageId: 'lastSelectedCluster',
    onSelect: 'onClusterSelect'
  },
  compute: {
    name: 'compute',
    loading: 'loadingComputes',
    available: 'availableComputes',
    hide: 'hideComputes',
    lastPromise: 'lastComputesPromise',
    contextCatalogFn: 'getComputes',
    totalStorageId: 'lastSelectedCompute',
    onSelect: 'onComputeSelect'
  },
  namespace: {
    name: 'namespace',
    loading: 'loadingNamespaces',
    available: 'availableNamespaces',
    hide: 'hideNamespaces',
    lastPromise: 'lastNamespacesPromise',
    contextCatalogFn: 'getNamespaces',
    totalStorageId: 'lastSelectedNamespace',
    onSelect: 'onNamespaceSelect'
  }
};
var TYPES = Object.keys(TYPES_INDEX).map(function (key) {
  return TYPES_INDEX[key];
});
/**
 * This is a component for compute, namespace and database selection. All parameters are optional except the
 * sourceType, if for instance no database and namespace observables are provided it will only show compute
 * selection.
 *
 * If it's desired to just show namespaces for a given compute you can force hide the compute selection by
 * setting hideComputes to true and the value of the compute observable will be used.
 *
 * Example:
 *
 *   <!-- ko component: {
 *     name: 'hue-context-selector',
 *     params: {
 *       sourceType: 'impala',
 *       compute: myComputeObservable,
 *       namespace: myNamespaceObservable,
 *     }
 *   } --><!-- /ko -->
 *
 * @param {Object} params
 * @param {ko.observable|string} params.sourceType
 * @param {ko.observable} [params.cluster]
 * @param {ko.observable} [params.compute]
 * @param {ko.observable} [params.namespace]
 * @param {ko.observable} [params.database]
 * @param {ko.observableArray} [params.availableDatabases]
 * @param {boolean} [params.hideClusters] - Can be used to force hide cluster selection even if a cluster
 *                                          observable is provided.
 * @param {boolean} [params.hideComputes] - Can be used to force hide compute selection even if a compute
 *                                          observable is provided.
 * @param {boolean} [params.hideNamespaces] - Can be used to force hide namespace selection even if a namespace
 *                                            observable is provided.
 * @param {boolean} [params.hideDatabases] - Can be used to force hide database selection even if a database
 *                                           observable is provided.
 * @param {function} [params.onComputeSelect] - Callback when a new compute is selected (after initial set)
 * @param {function} [params.onClusterSelect] - Callback when a new cluster is selected (after initial set)
 * @param {function} [params.onNamespaceSelect] - Callback when a new namespace is selected (after initial set)
 * @constructor
 */

var HueContextSelector = function HueContextSelector(params) {
  var self = this;
  self.sourceType = params.sourceType;
  self.disposals = [];
  self.hideLabels = params.hideLabels;
  TYPES.forEach(function (type) {
    self[type.name] = params[type.name];
    self[type.loading] = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self[type.available] = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self[type.hide] = params[type.hide] || !self[type.name];
    self[type.lastPromise] = undefined;

    self[type.onSelect] = function (selectedVal, previousVal) {
      if (params[type.onSelect]) {
        params[type.onSelect](selectedVal, previousVal);
      }

      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('contextSelector', type.totalStorageId, selectedVal);

      if (selectedVal && type === TYPES_INDEX.compute) {
        self.setMatchingNamespace(selectedVal);
      } else if (selectedVal && type === TYPES_INDEX.namespace) {
        self.setMatchingCompute(selectedVal);
      }
    };

    if (self[type.name]) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('context.selector.set.' + type.name, function (id) {
        self[type.available]().some(function (instance) {
          if (instance.id === id) {
            self[type.name](instance);
            return true;
          }
        });
      });
    }

    self.reload(type);
  });
  var refreshThrottle = -1;

  var refresh = function refresh(sourceType) {
    if (!sourceType || knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType) === sourceType) {
      window.clearTimeout(refreshThrottle);
      refreshThrottle = window.setTimeout(function () {
        TYPES.forEach(self.reload.bind(self));
      }, 100);
    }
  };

  var namespaceRefreshSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('context.catalog.namespaces.refreshed', refresh);
  var contextCatalogRefreshSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('context.catalog.refreshed', refresh);
  self.disposals.push(function () {
    window.clearTimeout(refreshThrottle);
    namespaceRefreshSub.remove();
    contextCatalogRefreshSub.remove();
  });
  self.loadingDatabases = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.availableDatabases = params.availableDatabases || knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.database = params.database;
  self.hideDatabases = params.hideDatabases || !self.database;
  self.reloadDatabaseThrottle = -1;
  self.reloadDatabases();

  if (self.database) {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('data.catalog.entry.refreshed', function (details) {
      if (details.entry.isSource()) {
        if (knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType) === details.entry.getSourceType()) {
          self.reloadDatabases();
        }
      }
    });
  }

  self.loadingContext = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    return self[TYPES_INDEX.cluster.loading]() || self[TYPES_INDEX.namespace.loading]() || self[TYPES_INDEX.compute.loading]() || self.loadingDatabases();
  });
};

HueContextSelector.prototype.setMatchingNamespace = function (compute) {
  var self = this;

  if (self[TYPES_INDEX.namespace.name]) {
    // Select the first corresponding namespace when a compute is selected (unless selected)
    self[TYPES_INDEX.namespace.lastPromise].done(function () {
      if (!self[TYPES_INDEX.namespace.name]() || self[TYPES_INDEX.namespace.name]().id !== compute.namespace) {
        var found = self[TYPES_INDEX.namespace.available]().some(function (namespace) {
          if (compute.namespace === namespace.id) {
            self[TYPES_INDEX.namespace.name](namespace);
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('contextSelector', TYPES_INDEX.namespace.totalStorageId, namespace);
            return true;
          }
        });

        if (!found) {
          // This can happen when a compute refers to a namespace that isn't returned by the namespaces call
          // TODO: What should we do?
          self[TYPES_INDEX.namespace.name](undefined);
        }
      }
    });
  }
};

HueContextSelector.prototype.setMatchingCompute = function (namespace) {
  var self = this;

  if (self[TYPES_INDEX.compute.name]) {
    // Select the first corresponding compute when a namespace is selected (unless selected)
    self[TYPES_INDEX.compute.lastPromise].done(function () {
      if (!self[TYPES_INDEX.compute.name]() || self[TYPES_INDEX.compute.name]().namespace && self[TYPES_INDEX.compute.name]().namespace !== namespace.id) {
        var found = self[TYPES_INDEX.compute.available]().some(function (compute) {
          if (namespace.id === compute.namespace) {
            self[TYPES_INDEX.compute.name](compute);
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('contextSelector', TYPES_INDEX.compute.totalStorageId, namespace);
            return true;
          }
        });

        if (!found) {
          // This can happen when a namespace refers to a compute that isn't returned by the computes call
          // TODO: What should we do?
          self[TYPES_INDEX.compute.name](undefined);
        }
      }
    });
  }
};

HueContextSelector.prototype.reload = function (type) {
  var self = this;

  if (self[type.name]) {
    self[type.loading](true);
    self[type.lastPromise] = _catalog_contextCatalog__WEBPACK_IMPORTED_MODULE_4__["default"][type.contextCatalogFn]({
      sourceType: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType)
    }).done(function (available) {
      // Namespaces response differs slightly from the others
      if (type === TYPES_INDEX.namespace) {
        available = available.namespaces;
      }

      self[type.available](available); // If we only get one and hue is not configured for multi-cluster we always fallback to the returned
      // compute or namespace from the backend. This also guarantees a compute and namespace is always set.

      if (available.length === 1 && !window.HAS_MULTI_CLUSTER) {
        if (!self[type.name]() || self[type.name]().id !== available[0].id) {
          self[type.name](available[0]);
        }

        return;
      } // In some cases we could have a namespace or compute without the name attribute, or the name might have changed.


      if (self[type.name]() && !self[type.name]().name) {
        available.some(function (other) {
          if (other !== self[type.name]() && other.id === self[type.name]().id) {
            self[type.name](other);
            return true;
          }
        });
      }

      if (!self[type.name]() && _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('contextSelector', type.totalStorageId)) {
        var lastSelected = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('contextSelector', type.totalStorageId);
        var found = available.some(function (other) {
          if (other.id === lastSelected.id) {
            self[type.name](other);
            return true;
          }
        }); // If we can't find the last selected cluster or compute we try to find by type

        if (!found && lastSelected && (type === TYPES_INDEX.cluster || type === TYPES_INDEX.compute)) {
          available.some(function (other) {
            if (lastSelected && other.type === lastSelected.type) {
              self[type.name](other);
              return true;
            }
          });
        }
      }

      if (!self[type.name]() && available.length) {
        self[type.name](available[0]);
      } // Namespace is leading, update compute to match once/if available


      if (self[type.name]() && type === TYPES_INDEX.namespace) {
        self.setMatchingCompute(self[type.name]());
      }
    }).always(function () {
      self[type.loading](false);
    });
  } else {
    self[type.lastPromise] = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve().promise();
  }
};

HueContextSelector.prototype.reloadDatabases = function () {
  var self = this;

  if (self.database && !self.hideDatabases) {
    self.loadingDatabases(true);
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(self[TYPES_INDEX.namespace.lastPromise], self[TYPES_INDEX.compute.lastPromise]).done(function () {
      window.clearTimeout(self.reloadDatabaseThrottle);
      self.reloadDatabaseThrottle = window.setTimeout(function () {
        if (!self[TYPES_INDEX.namespace.name]()) {
          self.availableDatabases([]);
          self.loadingDatabases(false);
          return;
        }

        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_5__["default"].getEntry({
          sourceType: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType),
          namespace: self[TYPES_INDEX.namespace.name](),
          compute: self[TYPES_INDEX.compute.name](),
          path: [],
          definition: {
            type: 'source'
          }
        }).done(function (sourceEntry) {
          sourceEntry.getChildren({
            silenceErrors: true
          }).done(function (databaseEntries) {
            var databaseNames = [];
            databaseEntries.forEach(function (databaseEntry) {
              databaseNames.push(databaseEntry.name);
            });
            self.availableDatabases(databaseNames);
          }).fail(function () {
            self.availableDatabases([]);
          }).always(function () {
            if (!self.database() || self.availableDatabases().indexOf(self.database()) === -1) {
              var lastSelectedDb = _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist_' + knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType) + '_' + self[TYPES_INDEX.namespace.name]().id, 'lastSelectedDb', 'default');

              if (self.availableDatabases().length === 0 || self.availableDatabases().indexOf(lastSelectedDb) !== -1) {
                self.database(lastSelectedDb);
              } else {
                self.database(self.availableDatabases()[0]);
              }
            }

            self.loadingDatabases(false);
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('assist.set.database', {
              source: knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.sourceType),
              namespace: self[TYPES_INDEX.namespace.name](),
              name: self.database()
            });
          });
        });
      }, 10);
    });
  } else if (self.database) {
    self.availableDatabases([]);
    self.database(undefined);
  }
};

HueContextSelector.prototype.dispose = function () {
  var self = this;

  while (self.disposals.length) {
    self.disposals.pop()();
  }
};

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, HueContextSelector, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.createDirectoryModal.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.createDirectoryModal.js ***!
  \******************************************************************************/
/*! exports provided: SHOW_EVENT, SHOWN_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_EVENT", function() { return SHOW_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOWN_EVENT", function() { return SHOWN_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var SHOW_EVENT = 'show.create.directory.modal';
var SHOWN_EVENT = 'create.directory.modal.shown';
var TEMPLATE = "\n  <!-- ko with: activeEntry -->\n  <form class=\"form-horizontal\">\n    <div class=\"modal-header\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n      <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Create Directory'), "</h2>\n    </div>\n    <div class=\"modal-body \">\n      <input id=\"newDirectoryName\" class=\"input large-as-modal\" type=\"text\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Directory name'), "\" />\n    </div>\n    <div class=\"modal-footer\">\n      <input type=\"button\" class=\"btn\" data-dismiss=\"modal\" data-bind=\"click: function () { $('#newDirectoryName').val(null) }\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "\">\n      <input type=\"submit\" class=\"btn btn-primary disable-feedback\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Create'), "\" data-bind=\"click: function () { if ($('#newDirectoryName').val()) { $data.createDirectory($('#newDirectoryName').val()); $('#createDirectoryModal').modal('hide'); } }\"/>\n    </div>\n  </form>\n  <!-- /ko -->\n");
_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent('create-directory', undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_EVENT, function (docViewModel) {
    var $createDirectoryModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#createDirectoryModal');

    if ($createDirectoryModal.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($createDirectoryModal[0]);
      $createDirectoryModal.remove();
    }

    var data = {
      params: docViewModel,
      descendantsComplete: function descendantsComplete() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(SHOWN_EVENT);
      }
    };
    $createDirectoryModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="createDirectoryModal" data-bind="descendantsComplete: descendantsComplete, component: { name: \'create-directory\', params: params }" data-keyboard="true" class="modal hide fade" tabindex="-1"/>');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($createDirectoryModal);
    knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](data, $createDirectoryModal[0]);
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.deleteDocModal.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.deleteDocModal.js ***!
  \************************************************************************/
/*! exports provided: SHOW_EVENT, SHOWN_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_EVENT", function() { return SHOW_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOWN_EVENT", function() { return SHOWN_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var SHOW_EVENT = 'doc.show.delete.modal';
var SHOWN_EVENT = 'doc.delete.modal.shown';
var TEMPLATE = "\n  <!-- ko with: activeEntry -->\n  <div class=\"modal-header\">\n    <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n    <!-- ko if: entriesToDelete().length === 0 -->\n    <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('The trash is empty'), "</h2>\n    <!-- /ko -->\n    <!-- ko if: entriesToDelete().length > 0 -->\n    <h2 class=\"modal-title\"> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Do you really want to delete the following document(s)?'), " </h2>\n    <!-- /ko -->\n  </div>\n  <div class=\"modal-body\">\n    <div class=\"doc-browser-empty animated\" style=\"display: none;\" data-bind=\"visible: entriesToDelete().length > 0 && selectedDocsWithDependents().length === 0\">\n      <i class=\"fa fa-spinner fa-spin fa-2x\"></i>\n    </div>\n    <ul data-bind=\"foreach: selectedDocsWithDependents()\">\n      <li>\n        <span data-bind=\"text: $data.name\"></span>\n        <!-- ko if: $data.dependents.length > 0 -->\n          (").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('used by'), "\n          <a class=\"pointer\" data-bind=\"hueLink: $data.dependents[0].absoluteUrl, text: $data.dependents[0].name\"></a>\n          <!-- ko if: $data.dependents.length > 1 -->\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('and'), " <a class=\"pointer\" data-bind=\"hueLink: $data.dependents[1].absoluteUrl, text: $data.dependents[1].name\"></a>\n            <!-- ko if: $data.dependents.length > 2 -->\n              ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('and'), " <span data-bind=\"text: $data.dependents.length - 2\"></span> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('other'), "\n            <!-- /ko -->\n          <!-- /ko -->\n          )\n        <!-- /ko -->\n      </li>\n    </ul>\n  </div>\n  <div class=\"modal-footer\">\n    <!-- ko if: entriesToDelete().length === 0 -->\n    <input type=\"button\" class=\"btn\" data-dismiss=\"modal\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\">\n    <!-- /ko -->\n    <!-- ko if: entriesToDelete().length > 0 -->\n    <input type=\"button\" class=\"btn\" data-dismiss=\"modal\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "\">\n    <input type=\"submit\" data-bind=\"click: function() { if (isTrash() || isTrashed()) { removeDocuments(true) } else { moveToTrash() } }, disable: deletingEntries\" class=\"btn btn-danger disable-feedback\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Yes'), "\"/>\n    <!-- /ko -->\n  </div>\n  <!-- /ko -->\n");
_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent('delete-entry', undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_EVENT, function (docViewModel) {
    var $deleteEntriesModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#deleteEntriesModal');

    if ($deleteEntriesModal.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($deleteEntriesModal[0]);
      $deleteEntriesModal.remove();
    }

    var data = {
      params: docViewModel,
      descendantsComplete: function descendantsComplete() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(SHOWN_EVENT);
      }
    };
    $deleteEntriesModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="deleteEntriesModal" data-bind="descendantsComplete: descendantsComplete, component: { name: \'delete-entry\', params: params }" data-keyboard="true" class="modal hide fade" tabindex="-1"/>');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($deleteEntriesModal);
    knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](data, $deleteEntriesModal[0]);
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.dropDown.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.dropDown.js ***!
  \******************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var NAME = 'hue-drop-down';
var TEMPLATE = "\n  <!-- ko if: !menuOnly && (!dropDownVisible() || !searchable) -->\n  <a class=\"inactive-action hue-drop-down-active\" href=\"javascript:void(0)\" data-bind=\"toggle: dropDownVisible, css: { 'blue': dropDownVisible }\">\n    <!-- ko if: icon --><i class=\"fa\" data-bind=\"css: icon\"></i><!-- /ko -->\n    <!-- ko if: !noLabel && value -->\n    <span class=\"hue-drop-down-selected\" data-bind=\"text: value() && typeof value()[labelAttribute] !== 'undefined' ? value()[labelAttribute] : value(), visible: ! dropDownVisible() || !searchable, attr: { 'title': value() && typeof value()[labelAttribute] !== 'undefined' ? value()[labelAttribute] : value() }\" ></span>\n    <!-- /ko -->\n    <i class=\"fa fa-caret-down\"></i>\n  </a>\n  <!-- /ko -->\n  <!-- ko if: !menuOnly && (dropDownVisible() && searchable) -->\n  <input class=\"hue-drop-down-input\" type=\"text\" data-bind=\"textInput: filter, attr: { 'placeHolder': inputPlaceHolder }, visible: dropDownVisible, style: { color: filterEdited() ? '#000' : '#AAA', 'min-height': '22px', 'margin-left': '10px' }\"/>\n  <i class=\"fa fa-caret-down\"></i>\n  <!-- /ko -->\n  <div class=\"hue-drop-down-container\" data-bind=\"css: { 'open' : dropDownVisible, 'hue-drop-down-fixed': fixedPosition, 'hue-drop-down-container-searchable': searchable }, dropDownKeyUp: { onEsc: onEsc, onEnter: onEnter, dropDownVisible: dropDownVisible }\">\n    <div style=\"overflow-y: auto;\" class=\"dropdown-menu\" data-bind=\"visible: filteredEntries().length > 0\">\n      <!-- ko if: foreachVisible -->\n      <ul class=\"hue-inner-drop-down\" data-bind=\"foreachVisible: { data: filteredEntries, minHeight: 34, container: '.dropdown-menu' }\">\n        <!-- ko if: typeof $data.divider !== 'undefined' && $data.divider -->\n        <li class=\"divider\"></li>\n        <!-- /ko -->\n        <!-- ko if: typeof $data.divider === 'undefined' || !$data.divider -->\n        <li><a href=\"javascript:void(0)\" data-bind=\"text: $data && typeof $data[$parent.labelAttribute] !== 'undefined' ? $data[$parent.labelAttribute] : $data, click: function () { let previous = $parent.value(); $parent.value($data); $parent.onSelect($data, previous); }\"></a></li>\n        <!-- /ko -->\n      </ul>\n      <!-- /ko -->\n      <!-- ko ifnot: foreachVisible -->\n      <ul class=\"hue-inner-drop-down\" data-bind=\"foreach: filteredEntries\">\n        <!-- ko if: typeof $data.divider !== 'undefined' && $data.divider -->\n        <li class=\"divider\"></li>\n        <!-- /ko -->\n        <!-- ko if: typeof $data.divider === 'undefined' || !$data.divider -->\n        <li><a href=\"javascript:void(0)\" data-bind=\"text: $data && typeof $data[$parent.labelAttribute] !== 'undefined' ? $data[$parent.labelAttribute] : $data, click: function () { let previous = $parent.value(); $parent.value($data); $parent.onSelect($data, previous); }\"></a></li>\n        <!-- /ko -->\n      </ul>\n      <!-- /ko -->\n    </div>\n  </div>\n";
knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].dropDownKeyUp = {
  init: function init(element, valueAccessor) {
    var options = valueAccessor();
    var onEsc = options.onEsc;
    var onEnter = options.onEnter;
    var onSelected = options.onSelected;
    var dropDownVisible = options.dropDownVisible;
    var keyUpTarget = options.keyUpTarget || window;

    var keyUp = function keyUp(e) {
      var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
      var $dropDownMenu = $element.find('.dropdown-menu');
      var $currentActive = $element.find('.hue-inner-drop-down > .active');
      var activeTop = $currentActive.length !== 0 ? $currentActive.position().top : 0;
      var activeHeight = $currentActive.length !== 0 ? $currentActive.outerHeight(true) : $element.find('.hue-inner-drop-down li:first-child').outerHeight(true);
      var containerHeight = $dropDownMenu.innerHeight();
      var containerScrollTop = $dropDownMenu.scrollTop();
      $currentActive.removeClass('active');

      if (e.keyCode === 27 && onEsc) {
        onEsc();
      } else if (e.keyCode === 38) {
        // up
        var $nextActive;

        if ($currentActive.length !== 0 && $currentActive.prev().length !== 0) {
          if (activeTop < containerScrollTop + activeHeight) {
            $dropDownMenu.scrollTop(activeTop - containerHeight / 2);
          }

          $nextActive = $currentActive.prev().addClass('active');
        }

        if (onSelected) {
          onSelected($nextActive && $nextActive.length ? knockout__WEBPACK_IMPORTED_MODULE_1__["dataFor"]($nextActive[0]) : undefined);
        }
      } else if (e.keyCode === 40) {
        // down
        var _$nextActive;

        if ($currentActive.length === 0) {
          _$nextActive = $element.find('.hue-inner-drop-down li:first-child').addClass('active');
        } else if ($currentActive.next().length !== 0) {
          if (activeTop + activeHeight * 3 > containerHeight - containerScrollTop) {
            $dropDownMenu.scrollTop(activeTop - containerHeight / 2);
          }

          _$nextActive = $currentActive.next().addClass('active');
        } else {
          _$nextActive = $currentActive.addClass('active');
        }

        if (onSelected) {
          onSelected(_$nextActive && _$nextActive.length ? knockout__WEBPACK_IMPORTED_MODULE_1__["dataFor"](_$nextActive[0]) : undefined);
        }
      } else if (e.keyCode === 13) {
        // enter
        if ($currentActive.length > 0) {
          $dropDownMenu.scrollTop(0);
        }

        if (onEnter) {
          onEnter($currentActive.length ? knockout__WEBPACK_IMPORTED_MODULE_1__["dataFor"]($currentActive[0]) : undefined);
        }
      } else {
        $dropDownMenu.scrollTop(0);
      }
    };

    var visibleSub = dropDownVisible.subscribe(function (newValue) {
      if (newValue) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(keyUpTarget).on('keyup.hueDropDown', keyUp);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(keyUpTarget).on('keydown.hueDropDown', function (e) {
          // This prevents the cursor from moving left or right on up and down
          if (e.keyCode === 38 || e.keyCode === 40) {
            e.preventDefault();
          }
        });
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(keyUpTarget).off('keyup.hueDropDown');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(keyUpTarget).off('keydown.hueDropDown');
      }
    });
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      visibleSub.dispose();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(keyUpTarget).off('keyup.hueDropDown');
    });
  }
};

var HueDropDown = function HueDropDown(params, element) {
  _classCallCheck(this, HueDropDown);

  var self = this;
  self.dropDownVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](!!params.showOnInit);
  self.menuOnly = !!params.menuOnly;
  self.noLabel = !!params.noLabel;
  self.labelAttribute = params.labelAttribute || 'label';
  self.icon = params.icon;
  self.value = params.value;
  self.entries = params.entries;
  self.searchable = params.searchable || false;
  self.foreachVisible = params.foreachVisible || false;
  self.linkTitle = params.linkTitle || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Selected entry');
  self.fixedPosition = !!params.fixedPosition;

  self.onSelect = params.onSelect || function () {};

  self.inputPlaceHolder = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    return self.value() && _typeof(self.value()) === 'object' ? self.value()[self.labelAttribute] : self.value();
  });

  var closeOnOutsideClick = function closeOnOutsideClick(e) {
    var $input = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.hue-drop-down-input');

    if (!$input.is(jquery__WEBPACK_IMPORTED_MODULE_0___default()(e.target))) {
      self.dropDownVisible(false);
    }
  };

  self.onEsc = function () {
    self.dropDownVisible(false);
  };

  self.onEnter = function (value) {
    var previous = self.value();
    self.value(value);
    self.onSelect(value, previous);
    self.dropDownVisible(false);
  };

  self.filter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
  self.value.subscribe(function () {
    self.dropDownVisible(false);
  });
  self.filterEdited = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.filter.subscribe(function () {
    self.filterEdited(true);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.hue-inner-drop-down > .active').removeClass('.active');
  });
  self.dropDownVisible.subscribe(function (newValue) {
    self.filterEdited(false);

    if (newValue) {
      window.setTimeout(function () {
        self.filter('');
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('click', closeOnOutsideClick);
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.hue-drop-down-input').focus();
      }, 0); // Right align the dropdown when outside the right edge

      if (!self.fixedPosition) {
        var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
        var $dropDownMenu = $element.find('.dropdown-menu').parent();
        var $offsetParent = $element.offsetParent();
        var rightLimit = $offsetParent.offset().left + $offsetParent.width();

        if ($dropDownMenu.offset().left + 160 > rightLimit) {
          var $caret = $element.find('.fa-caret-down');
          var caretRight = $caret.offset().left + $caret.width();
          var diff = -$dropDownMenu.offset().left - 160 + caretRight;
          $element.find('.hue-drop-down-container').css({
            'margin-left': diff + 'px'
          });
        }
      }
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).find('.hue-inner-drop-down > .active').removeClass('.active');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('click', closeOnOutsideClick);
    }
  });
  self.filteredEntries = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    if (self.filter() === '' || !self.filterEdited()) {
      return knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.entries);
    } else {
      var lowerFilter = self.filter().toLowerCase();
      return knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.entries).filter(function (entry) {
        if (_typeof(entry) === 'object') {
          return entry[self.labelAttribute].toLowerCase().indexOf(lowerFilter) !== -1;
        }

        return entry.toLowerCase().indexOf(lowerFilter) !== -1;
      });
    }
  });
};

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new HueDropDown(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.executionAnalysis.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.executionAnalysis.js ***!
  \***************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_d3_tip_min__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../ext/d3-tip.min */ "./desktop/core/src/desktop/js/ext/d3-tip.min.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.









var NAME = 'hue-execution-analysis';
var TEMPLATE = "\n  <div class=\"hue-execution-analysis\">\n    <!-- ko hueSpinner: { spin: loading, inline: true } --><!-- /ko -->\n    <!-- ko ifnot: loading -->\n      <!-- ko if: analysisPossible() && !analysis() -->\n      <div class=\"no-analysis\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Execute a query to get query execution analysis.'), "</div>\n      <!-- /ko -->\n      <!-- ko ifnot: analysisPossible -->\n      <div class=\"no-analysis\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Analysis was not possible for the executed query.'), "</div>\n      <!-- /ko -->\n      <!-- ko with: analysis -->\n      <div>\n        <h4>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Heatmap'), "</h4>\n        <div>\n            <select data-bind=\"options: heatmapMetrics, event: { change: $parent.heatmapMetricChanged.bind($parent) }\"></select>\n            <svg class=\"heatmap\"/>\n        </div>\n      </div>\n      <div>\n        <h4>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Summary'), "</h4>\n        <ul class=\"risk-list\" data-bind=\"foreach: summary\" style=\"margin-bottom: 10px\">\n          <li>\n            <span data-bind=\"text: key\"></span>: <strong><span data-bind=\"numberFormat: { value: value, unit: unit }\"></strong></span>\n          </li>\n        </ul>\n      </div>\n      <div>\n        <h4>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Top down analysis'), "</h4>\n        <ul class=\"risk-list\" data-bind=\"foreach: $parent.healthChecks\">\n          <li>\n            <div><a href=\"javascript:void(0);\" data-bind=\"click: $parents[1].handleNodePress.bind($parents[1], $data)\"><span data-bind=\"text: contribution_factor_str\"></span></a> - <strong><span data-bind=\"duration: wall_clock_time\"></strong></div>\n            <ol data-bind=\"foreach: reason\">\n              <li>\n                <span data-bind=\"text: message, css: { striked: fix.fixed }\"></span><strong> - <span data-bind=\"numberFormat: { value: impact, unit: unit }\"></span></strong><span data-bind=\"visible: fix.fixable && !fix.fixed\"> - <a href=\"javascript:void(0);\" data-bind=\"click: $parents[2].handleFix.bind($parents[2], $data.fix)\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_8__["default"])('Fix'), "</a></span>\n              </li>\n            </ol>\n          </li>\n        </ul>\n      </div>\n      <!-- /ko -->\n    <!-- /ko -->\n  </div>\n");

var ExecutionAnalysis =
/*#__PURE__*/
function () {
  function ExecutionAnalysis() {
    _classCallCheck(this, ExecutionAnalysis);

    var self = this;
    self.disposals = [];
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_3__["observable"](false);
    self.analysis = knockout__WEBPACK_IMPORTED_MODULE_3__["observable"]();
    self.details = knockout__WEBPACK_IMPORTED_MODULE_3__["observable"]();
    var analysisSub = self.analysis.subscribe(function (analysis) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('[href*=executionAnalysis] span:eq(1)').text(self.analysisCount());
      setTimeout(function () {
        // Wait for analysis to render
        if (analysis.heatmap) {
          self.updateHeatMap(analysis.heatmap[analysis.heatmapMetrics[0]], analysis.heatmapMetrics[0]);
        } else {
          d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select('.heatmap').remove();
        }
      }, 0);
    });
    self.healthChecks = knockout__WEBPACK_IMPORTED_MODULE_3__["pureComputed"](function () {
      var analysis = self.analysis();

      if (!analysis) {
        return [];
      }

      return analysis.healthChecks.filter(function (check) {
        return check.reason.length;
      });
    });
    self.analysisPossible = knockout__WEBPACK_IMPORTED_MODULE_3__["observable"](true);
    self.analysisCount = knockout__WEBPACK_IMPORTED_MODULE_3__["pureComputed"](function () {
      if (self.healthChecks().length) {
        return '(' + self.healthChecks().length + ')';
      }

      return '';
    });
    self.lastAnalysisPromise = undefined;
    var clearAnalysisSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('editor.clear.execution.analysis', function () {
      if (!window.HAS_WORKLOAD_ANALYTICS) {
        return;
      }

      if (self.lastAnalysisPromise) {
        self.lastAnalysisPromise.cancel();
      }

      self.analysis(undefined);
    });
    var executionAnalysisSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].subscribe('editor.update.execution.analysis', function (details) {
      if (!window.HAS_WORKLOAD_ANALYTICS) {
        return;
      }

      if (details.analysisPossible) {
        self.analysisPossible(true);
        self.details(details);
        self.loadAnalysis(details.compute, details.queryId);
      } else {
        self.analysisPossible(false);
      }
    });
    self.disposals.push(function () {
      analysisSub.dispose();
      clearAnalysisSub.remove();
      executionAnalysisSub.remove();
    });
  }

  _createClass(ExecutionAnalysis, [{
    key: "heatmapMetricChanged",
    value: function heatmapMetricChanged(model, el) {
      var self = this;
      var analysis = self.analysis();

      if (analysis.heatmap) {
        self.updateHeatMap(analysis.heatmap[analysis.heatmapMetrics[0]], analysis.heatmapMetrics[0]);
      }
    }
  }, {
    key: "loadAnalysis",
    value: function loadAnalysis(compute, queryId) {
      var self = this;
      self.loading(true);
      self.lastAnalysisPromise = _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].fetchQueryExecutionAnalysis({
        silenceErrors: true,
        compute: compute,
        queryId: queryId
      }).done(function (response) {
        var analysis = response.query;
        self.analysis(analysis);
      }).always(function () {
        self.loading(false);
      });
    }
  }, {
    key: "updateHeatMap",
    value: function updateHeatMap(data, counterName) {
      // Heatmap block and gap sizes
      var blockWidth = 40;
      var blockGap = 5; // Create tooltip

      var d3 = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.d3-tip').remove();
      var tip = d3.d3tip().attr('class', 'risk d3-tip').offset([-10, 0]).html(function (d) {
        var host = d[0];

        if (host.indexOf(':') >= 0) {
          host = host.substring(0, host.indexOf(':'));
        }

        var value = d[2];
        var unit = d[5];
        var formattedValue = knockout__WEBPACK_IMPORTED_MODULE_3__["bindingHandlers"].numberFormat.human(value, unit);
        return "<strong style='color:cyan'>" + host + '</strong><br><strong>' + counterName + ":</strong> <span style='color:red'>" + formattedValue + '</span>';
      });
      d3.select('.heatmap').call(tip); // Color gradient

      var colors = ['#f6faaa', '#9E0142'];
      var colorScale = d3.scale.linear().domain([0, 1]).interpolate(d3.interpolateHsl).range(colors); // Define map dimensions

      var $heatmap = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.heatmap');
      var svgWidth = $heatmap.width();
      var cols = Math.trunc(svgWidth / (blockWidth + blockGap));
      $heatmap.height((Math.trunc((data.data.length - 1) / cols) + 1) * (blockWidth + blockGap)); // Attribute functions

      var x = function x(d, i) {
        return i % cols * (blockWidth + blockGap) + 1;
      };

      var y = function y(d, i) {
        return Math.trunc(i / cols) * (blockWidth + blockGap) + 1;
      };

      var c = function c(d) {
        return colorScale(d[3]);
      };

      d3.select('.heatmap').selectAll('.box').data([]).exit().remove();
      d3.select('.heatmap').selectAll('.box').data(data.data).enter().append('rect').attr('class', 'box').attr('x', x).attr('y', y).attr('height', blockWidth).attr('width', blockWidth).attr('fill', c).on('mouseover', tip.show).on('mouseout', tip.hide);
    }
  }, {
    key: "handleFix",
    value: function handleFix(fix) {
      var self = this;
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_5__["default"].fixQueryExecutionAnalysis({
        fix: fix,
        start_time: knockout_mapping__WEBPACK_IMPORTED_MODULE_4___default.a.toJSON(new Date().getTime()),
        compute: self.details().compute
      }).done(function (resp) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('notebook.task.submitted', resp.task.history_uuid);
        fix.fixed = true;
        self.analysis.valueHasMutated();
      });
    }
  }, {
    key: "handleNodePress",
    value: function handleNodePress(contributor) {
      var self = this; //TODO: Loading

      if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()('[href*="' + self.details().name + '"]')[0]) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('show.jobs.panel', {
          id: self.details().name,
          "interface": 'queries'
        });
        setTimeout(function () {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('impala.node.moveto', contributor.result_id);
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('impala.node.select', contributor.result_id);
        }, 500);
      } else {
        if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jobsPanel').is(':visible')) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jobsPanel').show();
        }

        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('impala.node.moveto', contributor.result_id);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_7__["default"].publish('impala.node.select', contributor.result_id);
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }]);

  return ExecutionAnalysis;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_6__["default"].registerComponent(NAME, ExecutionAnalysis, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.favoriteApp.js":
/*!*********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.favoriteApp.js ***!
  \*********************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'hue-favorite-app';
var TEMPLATE = "\n  <div class=\"inline pointer favorite-app\" data-bind=\"click: setAsFavoriteApp.bind($data), tooltip: { placement: 'bottom', title: isFavorite() ? '".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Unset from default application'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Set as default application'), "' }\">\n    <i class=\"fa inactive-action\" data-bind=\"css: { 'fa-star-o': !isFavorite(), 'fa-star': isFavorite }\"></i>\n  </div>\n");

var FavoriteApp =
/*#__PURE__*/
function () {
  function FavoriteApp(params) {
    _classCallCheck(this, FavoriteApp);

    this.isFavorite = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.app = params.app;
    this.interpreter = params.interpreter;
    _api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].fetchFavoriteApp().then(this.updateFromApiResponse.bind(this));
  }

  _createClass(FavoriteApp, [{
    key: "updateFromApiResponse",
    value: function updateFromApiResponse(data, announce) {
      this.isFavorite(false);

      if (data.status === 0 && data.data && data.data.default_app) {
        try {
          var defaultApp = JSON.parse(data.data.default_app);
          this.isFavorite(defaultApp.app === this.app && (this.app === 'editor' && defaultApp.interpreter === this.interpreter || this.app !== 'editor'));

          if (announce) {
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('hue.new.default.app', defaultApp);
          }
        } catch (e) {
          console.error('There was a problem decoding the default app setting.');
        }
      }
    }
  }, {
    key: "setAsFavoriteApp",
    value: function setAsFavoriteApp(vm, e) {
      var post, postParams;
      return regeneratorRuntime.async(function setAsFavoriteApp$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              e.originalEvent.stopPropagation();
              e.originalEvent.stopImmediatePropagation();
              post = {};

              if (this.isFavorite()) {
                post["delete"] = true;
              } else {
                postParams = {
                  app: this.app
                };

                if (this.interpreter !== '') {
                  postParams.interpreter = this.interpreter;
                }

                post.set = JSON.stringify(postParams);
              }

              _context.t0 = this;
              _context.next = 7;
              return regeneratorRuntime.awrap(_api_apiHelper__WEBPACK_IMPORTED_MODULE_1__["default"].setFavoriteAppAsync(post));

            case 7:
              _context.t1 = _context.sent;

              _context.t0.updateFromApiResponse.call(_context.t0, _context.t1, true);

            case 9:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }]);

  return FavoriteApp;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, FavoriteApp, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.fieldSamples.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.fieldSamples.js ***!
  \**********************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'field-samples';
var TEMPLATE = "\n  <div class=\"context-popover-inline-autocomplete\" style=\"display: flex\">\n    <div class=\"context-popover-sample-filter\">\n      <!-- ko component: {\n        name: 'inline-autocomplete',\n        params: {\n          querySpec: querySpec,\n          autocompleteFromEntries: autocompleteFromEntries\n        }\n      } --><!-- /ko -->\n    </div>\n    <!-- ko if: showOperations -->\n    <div class=\"context-popover-sample-controls\">\n      <div class=\"margin-left-10 inline-block\" data-bind=\"component: { name: 'hue-drop-down', params: { value: operation, entries: operations } }\"></div>\n      <div class=\"margin-left-10 inactive-action inline-block\">\n        <!-- ko if: loadingSamples() || refreshSampleEnabled() -->\n        <a href=\"javascript:void(0);\" data-bind=\"click: function () { refreshSampleEnabled(false); cancelRunningQueries() }\"><i class=\"fa fa-stop\"></i></a>\n        <!-- /ko -->\n        <!-- ko if: !loadingSamples() && !refreshSampleEnabled() -->\n        <a href=\"javascript:void(0);\" data-bind=\"click: function () { loadSamples(true) }\"><i class=\"fa fa-play\"></i></a>\n        <!-- /ko -->\n      </div>\n    </div>\n    <!-- /ko -->\n  </div>\n\n  <table class=\"table table-condensed table-nowrap\">\n    <thead>\n    <tr>\n      <th>".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sample'), "</th>\n    </tr>\n    </thead>\n    <!-- ko if: loadingSamples() && (!refreshSampleEnabled() || (refreshSampleEnabled() && columnSamples().length === 0))  -->\n    <tbody>\n    <tr>\n      <td><!-- ko hueSpinner: { spin: true, inline: true } --><!-- /ko --></td>\n    </tr>\n    </tbody>\n    <!-- /ko -->\n\n    <!-- ko if: !loadingSamples() || (refreshSampleEnabled() && columnSamples().length > 0)  -->\n    <tbody data-bind=\"foreach: filteredColumnSamples\">\n    <tr>\n      <!-- ko if: typeof $parent.onSampleClick === 'function' -->\n      <td class=\"sample-column pointer\" data-bind=\"html: $data, attr: { 'title': hueUtils.html2text($data) }, click: $parent.sampleClick\"></td>\n      <!-- /ko -->\n      <!-- ko ifnot: typeof $parent.onSampleClick === 'function' -->\n      <td class=\"sample-column\" data-bind=\"html: $data, attr: { 'title': hueUtils.html2text($data) }\"></td>\n      <!-- /ko -->\n    </tr>\n    </tbody>\n    <!-- ko if: filteredColumnSamples().length === 0 -->\n    <tbody>\n    <tr>\n      <!-- ko ifnot: hasErrors -->\n      <td style=\"font-style: italic;\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No entries found'), "</td>\n      <!-- /ko -->\n      <!-- ko if: hasErrors -->\n      <td style=\"font-style: italic;\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Error loading samples'), "</td>\n      <!-- /ko -->\n    </tr>\n    </tbody>\n    <!-- /ko -->\n    <!-- /ko -->\n  </table>\n");

var FieldSamples =
/*#__PURE__*/
function () {
  function FieldSamples(params) {
    _classCallCheck(this, FieldSamples);

    var self = this;
    self.catalogEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](params.catalogEntry) ? params.catalogEntry : knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](params.catalogEntry);
    self.onSampleClick = params.onSampleClick;
    self.refreshSampleInterval = params.refreshSampleInterval;
    self.refreshSampleTimeout = -1;
    self.refreshSampleEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](!!self.refreshSampleInterval);
    self.cancellablePromises = [];
    self.querySpec = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.loadingSamples = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.showOperations = !self.catalogEntry().isTemporary && (self.catalogEntry().getSourceType() === 'impala' || self.catalogEntry().getSourceType() === 'hive');

    self.sampleClick = function (html) {
      self.onSampleClick(_utils_hueUtils__WEBPACK_IMPORTED_MODULE_3__["default"].html2text(html));
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('context.popover.hide');
    };

    self.operations = [{
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('default'),
      type: 'default'
    }, {
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('distinct'),
      type: 'distinct'
    }, {
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('max'),
      type: 'max'
    }, {
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('min'),
      type: 'min'
    }];
    self.operation = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](self.operations[0]);
    self.operation.subscribe(function () {
      self.loadSamples();
    });
    self.columnSamples = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    self.filteredColumnSamples = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      if (!self.querySpec() || self.querySpec().query === '') {
        return self.columnSamples();
      }

      return self.columnSamples().filter(function (sampleValue) {
        if (typeof sampleValue === 'undefined' || sampleValue === null) {
          return false;
        }

        return self.querySpec().text.every(function (text) {
          var textLower = text.toLowerCase();
          return sampleValue.toString().toLowerCase().indexOf(textLower) !== -1;
        });
      });
    });

    self.autocompleteFromEntries = function (nonPartial, partial) {
      var result = [];
      var partialLower = partial.toLowerCase();
      self.columnSamples().forEach(function (sample) {
        if (sample[0].toString().toLowerCase().indexOf(partialLower) === 0) {
          result.push(nonPartial + partial + sample[0].toString().substring(partial.length));
        }
      });
      return result;
    };

    self.loadSamples();
  }

  _createClass(FieldSamples, [{
    key: "loadSamples",
    value: function loadSamples(refreshCache) {
      var self = this;
      window.clearTimeout(self.refreshSampleTimeout);
      self.cancelRunningQueries();
      self.loadingSamples(true);
      self.cancellablePromises.push(self.catalogEntry().getSample({
        silenceErrors: true,
        cancellable: true,
        refreshCache: refreshCache,
        operation: self.operation().type
      }).done(function (samples) {
        if (samples.data && samples.data.length) {
          self.columnSamples(samples.data);
        }
      }).fail(function () {
        self.hasErrors(true);
      }).always(function () {
        self.loadingSamples(false);

        if (self.refreshSampleTimeout && self.refreshSampleEnabled()) {
          self.refreshSampleTimeout = window.setTimeout(function () {
            self.loadSamples(true);
          }, self.refreshSampleInterval);
        }
      }));
    }
  }, {
    key: "cancelRunningQueries",
    value: function cancelRunningQueries() {
      var self = this;
      window.clearTimeout(self.refreshSampleTimeout);

      while (self.cancellablePromises.length) {
        var promise = self.cancellablePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.cancelRunningQueries();
    }
  }]);

  return FieldSamples;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerComponent(NAME, FieldSamples, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.globalSearch.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.globalSearch.js ***!
  \**********************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var NAME = 'hue-global-search';
var TEMPLATE = "\n  <script type=\"text/html\" id=\"top-search-autocomp-item\">\n    <a href=\"javascript:void(0);\">\n      <div>\n        <div><i class=\"fa fa-fw\" data-bind=\"css: icon\"></i></div>\n        <div>\n          <div data-bind=\"html: label, style: { 'padding-top': description ? 0 : '9px' }\"></div>\n          <!-- ko if: description -->\n          <div data-bind=\"html: description\"></div>\n          <!-- /ko -->\n        </div>\n      </div>\n    </a>\n  </script>\n\n  <script type=\"text/html\" id=\"top-search-autocomp-no-match\">\n    <div style=\"height: 30px;\">\n      <div>".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No match found'), "</div>\n    </div>\n  </script>\n  \n  <!-- ko component: inlineAutocompleteComponent --><!-- /ko -->\n  <!-- ko if: searchResultVisible()  -->\n  <!-- ko if: !loading() && searchResultCategories().length === 0 && hasLoadedOnce() -->\n  <div class=\"global-search-results global-search-empty\" data-bind=\"onClickOutside: onResultClickOutside\">\n    <div>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No results found.'), "</div>\n  </div>\n  <!-- /ko -->\n  <!-- ko if: searchResultCategories().length > 0 -->\n  <div class=\"global-search-results\" data-bind=\"onClickOutside: onResultClickOutside, style: { 'height' : heightWhenDragging }\">\n    <div class=\"global-search-alternatives\" data-bind=\"css: { 'global-search-full-width': !selectedResult() }, delayedOverflow\" style=\"position: relative\">\n      <!-- ko foreach: searchResultCategories -->\n      <div class=\"global-search-category\">\n        <div class=\"global-search-category-header\" data-bind=\"text: label\"></div>\n        <ul>\n          <!-- ko foreach: expanded() ? result : topMatches -->\n          <li class=\"result\" data-bind=\"multiClick: {\n              click: function () { $parents[1].resultSelected($parentContext.$index(), $index()) },\n              dblClick: function () { $parents[1].resultSelected($parentContext.$index(), $index()); $parents[1].openResult(); }\n            }, html: label, css: { 'selected': $parents[1].selectedResult() === $data }\"></li>\n          <!-- /ko -->\n          <!-- ko if: topMatches.length < result.length && !expanded() -->\n          <li class=\"blue\" data-bind=\"toggle: expanded\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Show more...'), "</li>\n          <!-- /ko -->\n        </ul>\n      </div>\n      <!-- /ko -->\n      <!-- ko hueSpinner: { spin: loading() && searchResultCategories().length > 0, inline: true } --><!-- /ko -->\n    </div>\n    <!-- ko with: selectedResult -->\n    <div class=\"global-search-preview\" style=\"overflow: auto;\">\n        <div class=\"global-search-close-preview\"><a class=\"pointer inactive-action\" data-bind=\"click: function () { $parent.selectedIndex(undefined); }\"><i class=\"fa fa-fw fa-times\"></i></a></div>\n        <!-- ko switch: type -->\n          <!-- ko case: ['database', 'document', 'field', 'table', 'view', 'partition']  -->\n            <!-- ko component: { name: 'context-popover-contents-global-search', params: { data: data, globalSearch: $parent } } --><!-- /ko -->\n          <!-- /ko -->\n          <!-- ko case: $default -->\n            <pre data-bind=\"text: ko.mapping.toJSON($data)\"></pre>\n          <!-- /ko -->\n        <!-- /ko -->\n    </div>\n    <!--/ko -->\n  </div>\n  <!-- /ko -->\n  <!-- /ko -->\n");
var HUE_DOC_CATEGORY = 'documents';
var NAV_CATEGORY = 'nav';
var CATEGORIES = {
  table: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Tables'),
  database: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Databases'),
  field: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Columns'),
  partition: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Partitions'),
  view: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Views'),
  hueDoc: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Documents')
};

var GlobalSearch =
/*#__PURE__*/
function () {
  function GlobalSearch() {
    _classCallCheck(this, GlobalSearch);

    var self = this;
    self.knownFacetValues = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
      type: {
        field: -1,
        table: -1,
        view: -1,
        database: -1,
        partition: -1,
        document: -1
      }
    });
    self.cancellablePromises = [];
    self.autocompleteThrottle = -1;
    self.fetchThrottle = -1;
    self.searchHasFocus = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.facetDropDownVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.querySpec = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.searchActive = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.searchResultVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.heightWhenDragging = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](null);
    self.searchResultCategories = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([]);
    self.selectedIndex = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.loadingNav = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingDocs = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.loadingNav() || self.loadingDocs();
    });
    self.hasLoadedOnce = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.initializeFacetValues();
    self.inlineAutocompleteComponent = {
      name: 'inline-autocomplete',
      params: {
        hasFocus: self.searchHasFocus,
        disableNavigation: true,
        showMagnify: true,
        facetDropDownVisible: self.facetDropDownVisible,
        spin: self.loading,
        placeHolder: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])(window.HAS_CATALOG ? 'Search data and saved documents...' : 'Search saved documents...'),
        querySpec: self.querySpec,
        onClear: function onClear() {
          self.selectedIndex(null);
          self.searchResultVisible(false);
        },
        facets: window.HAS_READ_ONLY_CATALOG ? ['classification', 'tag', 'tags', 'type'] : ['originalName', 'parentPath', 'tag', 'tags', 'type'],
        knownFacetValues: self.knownFacetValues,
        autocompleteFromEntries: self.autocompleteFromEntries,
        triggerObservable: self.searchResultCategories
      }
    };
    self.selectedResult = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (self.selectedIndex()) {
        return self.searchResultCategories()[self.selectedIndex().categoryIndex].result[self.selectedIndex().resultIndex];
      }
    }).extend({
      deferred: true
    });

    var deferredCloseIfVisible = function deferredCloseIfVisible() {
      window.setTimeout(function () {
        if (self.searchResultVisible()) {
          self.close();
        }
      }, 0);
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('global.search.close', deferredCloseIfVisible);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('context.popover.open.in.metastore', deferredCloseIfVisible);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('context.popover.show.in.assist', deferredCloseIfVisible);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('sample.error.insert.click', deferredCloseIfVisible);
    self.querySpec.subscribe(function (newValue) {
      window.clearTimeout(self.fetchThrottle);

      if (newValue && newValue.query !== '') {
        self.fetchThrottle = window.setTimeout(function () {
          self.fetchResults(newValue);
        }, 600);
      } else {
        self.searchResultVisible(false);
        self.selectedIndex(undefined);
        self.searchResultCategories([]);
        self.cancelRunningRequests();
      }
    });

    self.autocompleteFromEntries = function (lastNonPartial, partial) {
      var result = undefined;
      var partialLower = partial.toLowerCase();
      self.searchResultCategories().every(function (category) {
        return category.result.every(function (entry) {
          if (category.type === 'documents' && entry.data.originalName.toLowerCase().indexOf(partialLower) === 0) {
            result = lastNonPartial + partial + entry.data.originalName.substring(partial.length, entry.data.originalName.length);
            return false;
          } else if (entry.data.selectionName && entry.data.selectionName.toLowerCase().indexOf(partialLower) === 0) {
            result = lastNonPartial + partial + entry.data.selectionName.substring(partial.length, entry.data.selectionName.length);
            return false;
          }

          return true;
        });
      });
      return result;
    };

    self.searchHasFocus.subscribe(function (newVal) {
      if (newVal && self.querySpec() && self.querySpec().query !== '') {
        if (!self.searchResultVisible()) {
          self.searchResultVisible(true);
        }
      }
    });
    self.searchResultVisible.subscribe(function (newVal) {
      if (newVal) {
        self.heightWhenDragging(null);
      } else {
        self.selectedIndex(undefined);
      }
    }); // TODO: Consider attach/detach on focus

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).keydown(function (event) {
      if (self.facetDropDownVisible() || !self.searchHasFocus() && !self.searchResultVisible()) {
        return;
      }

      if (event.keyCode === 13 && self.searchHasFocus() && self.querySpec() && self.querySpec().query !== '') {
        window.clearTimeout(self.fetchThrottle);
        self.fetchResults(self.querySpec());
        return;
      }

      if (self.searchResultVisible() && self.searchResultCategories().length > 0) {
        var currentIndex = self.selectedIndex();

        if (event.keyCode === 40) {
          // Down
          self.searchHasFocus(false);

          if (currentIndex && !(self.searchResultCategories()[currentIndex.categoryIndex].result.length <= currentIndex.resultIndex + 1 && self.searchResultCategories().length <= currentIndex.categoryIndex + 1)) {
            if (self.searchResultCategories()[currentIndex.categoryIndex].result.length <= currentIndex.resultIndex + 1) {
              self.selectedIndex({
                categoryIndex: currentIndex.categoryIndex + 1,
                resultIndex: 0
              });
            } else {
              self.selectedIndex({
                categoryIndex: currentIndex.categoryIndex,
                resultIndex: currentIndex.resultIndex + 1
              });
            }
          } else {
            self.selectedIndex({
              categoryIndex: 0,
              resultIndex: 0
            });
          }

          event.preventDefault();
        } else if (event.keyCode === 38) {
          // Up
          self.searchHasFocus(false);

          if (currentIndex && !(currentIndex.categoryIndex === 0 && currentIndex.resultIndex === 0)) {
            if (currentIndex.resultIndex === 0) {
              self.selectedIndex({
                categoryIndex: currentIndex.categoryIndex - 1,
                resultIndex: self.searchResultCategories()[currentIndex.categoryIndex - 1].result.length - 1
              });
            } else {
              self.selectedIndex({
                categoryIndex: currentIndex.categoryIndex,
                resultIndex: currentIndex.resultIndex - 1
              });
            }
          } else {
            self.selectedIndex({
              categoryIndex: self.searchResultCategories().length - 1,
              resultIndex: self.searchResultCategories()[self.searchResultCategories().length - 1].result.length - 1
            });
          }

          event.preventDefault();
        } else if (event.keyCode === 13 && !self.searchHasFocus() && self.selectedIndex()) {
          // Enter
          self.openResult();
        }
      }
    });
  }

  _createClass(GlobalSearch, [{
    key: "initializeFacetValues",
    value: function initializeFacetValues() {
      var self = this;
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getAllNavigatorTags({
        silenceErrors: true
      }).done(function (facets) {
        var facetValues = self.knownFacetValues();
        facetValues['tags'] = facets;
        facetValues['tag'] = facets;

        if (window.HAS_READ_ONLY_CATALOG) {
          facetValues['classification'] = facets;
        }
      });
    }
  }, {
    key: "cancelRunningRequests",
    value: function cancelRunningRequests() {
      var self = this;

      while (self.cancellablePromises.length) {
        var promise = self.cancellablePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }
    }
  }, {
    key: "close",
    value: function close() {
      var self = this;
      window.clearTimeout(self.fetchThrottle);
      self.cancelRunningRequests();
      self.searchResultVisible(false);
      self.hasLoadedOnce(false);
      self.querySpec({
        query: '',
        facets: {},
        text: []
      });
    }
  }, {
    key: "openResult",
    value: function openResult() {
      var self = this;
      var selectedResult = self.selectedResult();

      if (['database', 'table', 'field', 'view'].indexOf(selectedResult.type) !== -1) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.popover.show.in.assist');
      } else if (selectedResult.type === 'document') {
        if (selectedResult.data.doc_type === 'directory') {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.popover.show.in.assist');
        } else {
          _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', '/hue' + selectedResult.data.link);
        }
      }

      self.close();
    }
  }, {
    key: "resultSelected",
    value: function resultSelected(categoryIndex, resultIndex) {
      var self = this;

      if (!self.selectedIndex() || !(self.selectedIndex().categoryIndex === categoryIndex && self.selectedIndex().resultIndex === resultIndex)) {
        self.selectedIndex({
          categoryIndex: categoryIndex,
          resultIndex: resultIndex
        });
      }
    }
  }, {
    key: "onResultClickOutside",
    value: function onResultClickOutside() {
      var self = this;

      if (!self.searchResultVisible() || self.searchHasFocus()) {
        return false;
      }

      self.searchResultVisible(false);
      window.clearTimeout(self.fetchThrottle);
      window.clearTimeout(self.autocompleteThrottle);
    }
  }, {
    key: "mainSearchSelect",
    value: function mainSearchSelect(entry) {
      if (entry.data && entry.data.link) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', entry.data.link);
      } else if (!/:\s*$/.test(entry.value)) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.show.sql');
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('assist.db.search', entry.value);
      }
    }
  }, {
    key: "updateCategories",
    value: function updateCategories(type, categoriesToAdd) {
      var self = this;
      var newCategories = self.searchResultCategories().filter(function (category) {
        return category.type !== type;
      });
      var change = newCategories.length !== self.searchResultCategories().length;

      if (categoriesToAdd.length > 0) {
        newCategories = newCategories.concat(categoriesToAdd);
        newCategories.sort(function (a, b) {
          if (a.weight === b.weight) {
            return a.label.localeCompare(b.label);
          }

          return b.weight - a.weight;
        });
        change = true;
      }

      if (change) {
        var selected = self.selectedResult();
        var newIndex = undefined;

        if (selected) {
          for (var i = 0; i < newCategories.length; i++) {
            for (var j = 0; j < newCategories[i].result.length; j++) {
              if (newCategories[i].result[j].type === selected.type && newCategories[i].result[j].label === selected.label) {
                newIndex = {
                  categoryIndex: i,
                  resultIndex: j
                };
                break;
              }
            }

            if (newIndex) {
              break;
            }
          }
        }

        self.selectedIndex(newIndex);
        self.searchResultCategories(newCategories);
      }
    }
  }, {
    key: "fetchResults",
    value: function fetchResults(querySpec) {
      var self = this;
      self.cancelRunningRequests();

      if (/:$/.test(querySpec.query)) {
        self.searchResultVisible(false);
        return;
      }

      self.loadingDocs(true);
      self.searchResultVisible(true);
      var clearDocsTimeout = window.setTimeout(function () {
        self.updateCategories(HUE_DOC_CATEGORY, []);
      }, 300);
      var docQuery = querySpec.query;
      var docOnly = querySpec.facets && querySpec.facets['type'] && querySpec.facets['type']['document'];

      if (docOnly) {
        docQuery = querySpec.text.join(' ');
      }

      self.cancellablePromises.push(_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchHueDocsInteractive(docQuery).always(function () {
        self.loadingDocs(false);
        window.clearTimeout(clearDocsTimeout);
      }).done(function (data) {
        self.hasLoadedOnce(true);
        var categories = [];
        var docCategory = {
          label: CATEGORIES.hueDoc,
          result: [],
          expanded: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
          type: HUE_DOC_CATEGORY,
          weight: 3
        };
        data.results.forEach(function (doc) {
          if (doc.hue_name.indexOf('.') !== 0) {
            docCategory.result.push({
              label: doc.hue_name,
              type: 'document',
              data: doc
            });
          }
        });

        if (docCategory.result.length) {
          docCategory.topMatches = docCategory.result.slice(0, 6);
          categories.push(docCategory);
        }

        self.updateCategories(HUE_DOC_CATEGORY, categories);
      }));

      if (!docOnly && window.HAS_CATALOG) {
        var clearNavTimeout = window.setTimeout(function () {
          self.updateCategories(NAV_CATEGORY, []);
        }, 300);
        var navQuery = querySpec.query; // Add * in front of each term unless already there

        querySpec.text.forEach(function (textPart) {
          if (textPart.indexOf('*') === -1 && navQuery.indexOf('*' + textPart) === -1 && textPart.indexOf(':') === -1) {
            navQuery = navQuery.replace(textPart, '*' + textPart);
          }
        });
        self.loadingNav(true);
        self.cancellablePromises.push(_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchNavEntitiesInteractive({
          query: navQuery
        }).always(function () {
          self.loadingNav(false);
          window.clearTimeout(clearNavTimeout);
        }).done(function (data) {
          self.hasLoadedOnce(true);
          var categories = [];
          var newCategories = {};
          data.results.forEach(function (result) {
            var typeLower = result.type.toLowerCase();

            if (CATEGORIES[typeLower]) {
              var category = newCategories[typeLower];

              if (!category) {
                category = {
                  label: CATEGORIES[typeLower],
                  result: [],
                  expanded: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  type: NAV_CATEGORY,
                  weight: 2
                };
                newCategories[typeLower] = category;
              }

              var meta = {
                source: 'globalSearch'
              };

              if (result.type.toLowerCase() === 'database') {
                meta.type = 'sql';
                meta.database = result.originalName;
              } else if (result.type.toLowerCase() === 'table') {
                meta.type = 'sql';
                var split = result.originalName.split('.');

                if (split.length === 2) {
                  meta.database = split[0];
                  meta.table = split[1];
                }
              } else if (result.type.toLowerCase() === 'field') {
                meta.type = 'sql';

                var _split = result.originalName.split('.');

                if (_split.length >= 3) {
                  meta.database = _split[0];
                  meta.table = _split[1];
                  meta.column = _split[2];
                }
              }

              category.result.push({
                label: result.hue_name || result.originalName,
                type: typeLower,
                data: result
              });
            }
          });
          Object.keys(newCategories).forEach(function (key) {
            var category = newCategories[key];

            if (category.result.length) {
              category.topMatches = category.result.slice(0, 6);
              categories.push(category);
            }
          });
          self.updateCategories(NAV_CATEGORY, categories);
        }));
      } else {
        self.updateCategories(NAV_CATEGORY, []);
      }
    }
  }]);

  return GlobalSearch;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_4__["default"].registerComponent(NAME, GlobalSearch, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.historyPanel.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.historyPanel.js ***!
  \**********************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _apps_notebook_editorViewModel__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../apps/notebook/editorViewModel */ "./desktop/core/src/desktop/js/apps/notebook/editorViewModel.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var NAME = 'hue-history-panel';
var TEMPLATE = "\n  <button class=\"btn btn-flat pull-right btn-toggle-jobs-panel\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Task History'), "\" data-bind=\"click: toggleVisibility\">\n    <i class=\"fa fa-history\"></i>\n    <div class=\"jobs-badge\" data-bind=\"text: historyRunningJobs().length, visible: historyRunningJobs().length > 0\"></div>\n  </button>\n\n  <div class=\"jobs-panel history-panel\" data-bind=\"visible: historyPanelVisible, style: { 'top' : top, 'left': left }\" style=\"display: none;\">\n    <a class=\"pointer inactive-action pull-right\" data-bind=\"click: function(){ historyPanelVisible(false); }\"><i class=\"fa fa-fw fa-times\"></i></a>\n    <!-- ko ifnot: editorViewModel.selectedNotebook() && editorViewModel.selectedNotebook().history().length > 0 -->\n      <span style=\"font-style: italic\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No task history.'), "</span>\n    <!-- /ko -->\n    <!-- ko if: editorViewModel.selectedNotebook() && editorViewModel.selectedNotebook().history().length > 0 -->\n    <!-- ko with: editorViewModel.selectedNotebook() -->\n    <div class=\"notification-history margin-bottom-10\">\n      <!-- ko if: onSuccessUrl() -->\n      <div class=\"notification-history-title\">\n        <strong class=\"margin-left-5\" data-bind=\"text: name\"></strong>\n        <!-- ko if: onSuccessUrl() !== 'assist.db.refresh' -->\n        <a class=\"pull-right margin-right-10\" href=\"javascript:void(0)\" data-bind=\"hueLink: onSuccessUrl()\">\n          ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Output'), "\n        </a>\n        <!-- /ko -->\n        <div class=\"clearfix\"></div>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: snippets()[0] -->\n      <!-- ko with: snippets()[0] -->\n      <!-- ko if: progress -->\n      <div class=\"snippet-progress-container\">\n        <div class=\"progress-snippet progress\" data-bind=\"css: {\n                  'progress-danger': progress() == 0 && errors().length > 0 || status() == 'failed',\n                  'progress-starting': progress() == 0 && status() == 'running',\n                  'progress-warning': progress() > 0 && progress() < 100 && status() != 'failed',\n                  'progress-success': progress() == 100\n                  }\" style=\"background-color: #FFF; width: 100%\">\n          <div class=\"bar\" data-bind=\"style: {'width': (errors().length > 0 ? 100 : Math.max(2, progress())) + '%'}\"></div>\n        </div>\n      </div>\n      <!-- /ko -->\n      <!-- ko if: result -->\n      <pre data-bind=\"visible: result.logs() && result.logs().length == 0\" class=\"logs logs-bigger\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No logs available at this moment.'), "</pre>\n      <pre data-bind=\"visible: result.logs() && result.logs().length > 0, text: result.logs, logScroller: result.logs, logScrollerVisibilityEvent: showLogs\" class=\"logs logs-bigger logs-populated\" style=\"height: 120px; overflow-y: auto;\"></pre>\n      <!-- /ko -->\n      <!-- /ko -->\n      <!-- /ko -->\n    </div>\n    <!-- ko if: history -->\n    <hr>\n    <div class=\"notification-history margin-bottom-10\">\n      <!-- ko if: history().length == 0 -->\n      <span style=\"font-style: italic\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No task history.'), "</span>\n      <!-- /ko -->\n      <!-- ko if: history().length > 0 -->\n      <div class=\"notification-history-title\">\n        <strong class=\"margin-left-5\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Task History'), "</strong>\n        <div class=\"inactive-action pointer pull-right\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Clear the query history'), "\" data-target=\"#clearNotificationHistoryModal\" data-toggle=\"modal\" rel=\"tooltip\">\n          <i class=\"fa fa-calendar-times-o\"></i>\n        </div>\n        <div class=\"clearfix\"></div>\n      </div>\n      <ul class=\"unstyled notification-history-list\">\n        <!-- ko foreach: history -->\n        <li data-bind=\"click: function() { $parents[1].editorViewModel.openNotebook(uuid()); }, css: {'active': $parents[1].editorViewModel.selectedNotebook() !== null && $parents[1].editorViewModel.selectedNotebook().uuid() === uuid() }\">\n          <div class=\"muted pull-left\" data-bind=\"momentFromNow: {data: lastExecuted, interval: 10000, titleFormat: 'LLL'}\"></div>\n          <div class=\"pull-right muted\">\n            <!-- ko switch: status -->\n            <!-- ko case: 'running' -->\n            <div class=\"history-status\" data-bind=\"tooltip: { title: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Query running'), "', placement: 'bottom' }\"><i class=\"fa fa-fighter-jet fa-fw\"></i></div>\n            <!-- /ko -->\n            <!-- ko case: 'failed' -->\n            <div class=\"history-status\" data-bind=\"tooltip: { title: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Query failed'), "', placement: 'bottom' }\"><i class=\"fa fa-exclamation fa-fw\"></i></div>\n            <!-- /ko -->\n            <!-- ko case: 'available' -->\n            <div class=\"history-status\" data-bind=\"tooltip: { title: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Result available'), "', placement: 'bottom' }\"><i class=\"fa fa-check fa-fw\"></i></div>\n            <!-- /ko -->\n            <!-- ko case: 'expired' -->\n            <div class=\"history-status\" data-bind=\"tooltip: { title: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Result expired'), "', placement: 'bottom' }\"><i class=\"fa fa-unlink fa-fw\"></i></div>\n            <!-- /ko -->\n            <!-- /ko -->\n          </div>\n          <div class=\"clearfix\"></div>\n          <strong data-bind=\"text: name, attr: { title: uuid }\"></strong>\n          <div data-bind=\"highlight: { value: query }\"></div>\n        </li>\n        <!-- /ko -->\n      </ul>\n      <!-- /ko -->\n    </div>\n    <!-- /ko -->\n    <!-- /ko -->\n    <!-- /ko -->\n  </div>\n\n  <div id=\"clearNotificationHistoryModal\" class=\"modal hide fade\" data-backdrop=\"false\">\n    <div class=\"modal-header\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n      <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Confirm History Clearing'), "</h2>\n    </div>\n    <div class=\"modal-body\">\n      <p>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Are you sure you want to clear the task history?'), "</p>\n    </div>\n    <div class=\"modal-footer\">\n      <a class=\"btn\" data-dismiss=\"modal\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('No'), "</a>\n      <a class=\"btn btn-danger disable-feedback\" data-bind=\"click: function() { editorViewModel.selectedNotebook().clearHistory(); editorViewModel.selectedNotebook(null); }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Yes'), "</a>\n    </div>\n  </div>\n");

var HistoryPanel =
/*#__PURE__*/
function () {
  function HistoryPanel() {
    _classCallCheck(this, HistoryPanel);

    var self = this;
    self.top = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.left = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.historyPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.historyPanelVisible.subscribe(function (newVal) {
      if (newVal) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hide.jobs.panel');
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('hide.history.panel', function () {
      self.historyPanelVisible(false);
    });
    self.editorViewModel = new _apps_notebook_editorViewModel__WEBPACK_IMPORTED_MODULE_3__["default"](null, '', {
      user: window.LOGGED_USERNAME,
      userId: window.LOGGED_USER_ID,
      languages: [{
        name: 'Java',
        type: 'java'
      }, {
        name: 'Hive SQL',
        type: 'hive'
      }],
      // TODO reuse
      snippetViewSettings: {
        hive: {
          placeHolder: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Example: SELECT * FROM tablename, or press CTRL + space'),
          aceMode: 'ace/mode/hive',
          snippetImage: window.STATIC_URLS['beeswax/art/icon_beeswax_48.png'],
          sqlDialect: true
        },
        impala: {
          placeHolder: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('Example: SELECT * FROM tablename, or press CTRL + space'),
          aceMode: 'ace/mode/impala',
          snippetImage: window.STATIC_URLS['impala/art/icon_impala_48.png'],
          sqlDialect: true
        },
        java: {
          snippetIcon: 'fa-file-code-o'
        },
        shell: {
          snippetIcon: 'fa-terminal'
        },
        sqoop1: {
          sqlDialect: false
        },
        spark: {
          sqlDialect: false
        }
      }
    });
    self.editorViewModel.editorMode(true);
    self.editorViewModel.isNotificationManager(true);
    self.editorViewModel.newNotebook();
    self.$toggleElement;
    var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('body');

    self.reposition = function () {
      self.top(self.$toggleElement.offset().top + self.$toggleElement.height() + 15 + 'px');
      self.left($container.offset().left + $container.width() - 630 + 'px');
    };

    self.historyRunningJobs = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      if (self.editorViewModel.selectedNotebook()) {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.editorViewModel.selectedNotebook().history(), function (task) {
          return task.status() == 'running';
        });
      } else {
        return [];
      }
    });
    self.historyFinishedJobs = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
      if (self.editorViewModel.selectedNotebook()) {
        return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.editorViewModel.selectedNotebook().history(), function (task) {
          return task.status() == 'available' || task.status() == 'failed';
        });
      } else {
        return [];
      }
    });
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('notebook.task.submitted', function (history_id) {
      self.editorViewModel.openNotebook(history_id, null, true, function () {
        var notebook = self.editorViewModel.selectedNotebook();
        notebook.snippets()[0].progress.subscribe(function (val) {
          if (val === 100) {//self.indexingStarted(false);
            //self.isIndexing(false);
            //self.indexingSuccess(true);
          }
        });
        notebook.snippets()[0].status.subscribe(function (val) {
          if (val === 'failed') {//self.isIndexing(false);
            //self.indexingStarted(false);
            //self.indexingError(true);
          } else if (val === 'available') {
            var snippet = notebook.snippets()[0];

            if (!snippet.result.handle().has_more_statements) {
              // TODO: Show finish notification and clicking on it does onSuccessUrl
              // or if still on initial spinner we redirect automatically to onSuccessUrl
              if (notebook.onSuccessUrl() && notebook.onSuccessUrl() !== 'assist.db.refresh') {
                // TODO: Similar if in in FB directory, also refresh FB dir
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', notebook.onSuccessUrl());
              }

              if (notebook.onSuccessUrl() === 'assist.db.refresh') {
                _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_2__["default"].getEntry({
                  sourceType: snippet.type(),
                  namespace: snippet.namespace(),
                  compute: snippet.compute(),
                  path: []
                }).done(function (entry) {
                  entry.clearCache({
                    invalidate: 'cache',
                    cascade: true,
                    silenceErrors: true
                  });
                });
              } else if (notebook.onSuccessUrl()) {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish(notebook.pubSubUrl());
              }
            } else {
              // Perform last DROP statement execute
              snippet.execute();
            }
          }
        });
        notebook.snippets()[0].checkStatus(); // Add to history

        notebook.history.unshift(notebook.makeHistoryRecord(notebook.onSuccessUrl(), notebook.description(), new Date().getTime(), notebook.snippets()[0].status(), notebook.name(), notebook.uuid()));
        self.historyPanelVisible(true);
      });
    });
  }

  _createClass(HistoryPanel, [{
    key: "toggleVisibility",
    value: function toggleVisibility(historyPanel, event) {
      var self = this;

      if (!self.historyPanelVisible()) {
        self.$toggleElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.target);
        self.reposition();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('resize', self.reposition);
        var positionSub = self.historyPanelVisible.subscribe(function (newValue) {
          if (!newValue) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('resize', self.reposition);
            positionSub.dispose();
          }
        });
      }

      self.historyPanelVisible(!self.historyPanelVisible());
    }
  }, {
    key: "dispose",
    value: function dispose() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('resize', self.reposition);
    }
  }]);

  return HistoryPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_4__["default"].registerComponent(NAME, HistoryPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.importDocumentsModal.js":
/*!******************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.importDocumentsModal.js ***!
  \******************************************************************************/
/*! exports provided: HIDE_EVENT, SHOW_EVENT, SHOWN_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HIDE_EVENT", function() { return HIDE_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_EVENT", function() { return SHOW_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOWN_EVENT", function() { return SHOWN_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../doc/hueFileEntry */ "./desktop/core/src/desktop/js/doc/hueFileEntry.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var HIDE_EVENT = 'hide.import.documents.modal';
var SHOW_EVENT = 'show.import.documents.modal';
var SHOWN_EVENT = 'import.documents.modal.shown';
var TEMPLATE = "\n<div class=\"modal-header\">\n  <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n  <!-- ko if: isHistory -->\n  <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Import Query History'), "</h2>\n  <!-- /ko -->\n  <!-- ko ifnot: isHistory -->\n  <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Import Hue Documents'), "</h2>\n  <!-- /ko -->\n</div>\n\n<!-- ko ifnot: imported --> \n<div class=\"modal-body\">\n  <!-- ko with: activeEntry -->\n  <form id=\"importDocumentsForm\" class=\"form-horizontal\" style=\"display: inline\" enctype=\"multipart/form-data\">\n    <div data-bind=\"visible: uploading() || uploadComplete()\">\n      <span data-bind=\"visible: uploading()\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Importing...'), "</span>\n      <span data-bind=\"visible: !uploadFailed() && uploadComplete()\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Import complete!'), "</span>\n      <span data-bind=\"visible: uploadFailed\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Import failed!'), "</span>\n      <progress data-bind=\"visible: uploading() || uploadComplete()\" id=\"importDocumentsProgress\" value=\"0\" max=\"100\" style=\"width: 560px;\"></progress>\n    </div>\n    <div class=\"pull-right\">\n      <!-- ko ifnot: uploading() || uploadComplete() -->\n      <input type=\"button\" class=\"btn\" data-clear=\"fileupload\" data-bind=\"click: closeUploadModal\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "\" />\n      <input type=\"submit\" class=\"btn btn-danger\" data-clear=\"fileupload\" data-bind=\"enable: importEnabled, click: function() { upload($parent.importComplete) }\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Import'), "\" />\n      <!-- /ko -->\n      <!-- ko if: uploading() || uploadComplete() -->\n      <input type=\"button\" class=\"btn\" data-clear=\"fileupload\" data-bind=\"click: closeUploadModal\" value=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\" />\n      <!-- /ko -->\n    </div>\n\n    <div class=\"fileupload fileupload-new\" data-provides=\"fileupload\" data-bind=\"visible: !uploading() && !uploadComplete()\">\n      <span class=\"btn btn-file\">\n        <span class=\"fileupload-new\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Select json file'), "</span>\n        <span class=\"fileupload-exists\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Change'), "</span>\n        <input id=\"importDocumentInput\" type=\"file\" name=\"documents\" accept=\".json\" data-bind=\"value: selectedImportFile\" />\n      </span>\n      &nbsp;&nbsp;<span class=\"fileupload-preview\"></span>\n      <a href=\"#\" class=\"fileupload-exists\" data-clear=\"fileupload\"><i class=\"fa fa-times\"></i></a>\n    </div>\n    <input type=\"hidden\" name=\"path\" data-bind=\"value: definition().path\" />\n  </form>\n  <!-- /ko -->\n</div>\n<!-- /ko -->\n<!-- ko if: imported -->\n<div class=\"modal-body\">\n  <!-- ko with: activeEntry -->\n  <div class=\"center\" style=\"display: none;\" data-bind=\"visible: importedDocumentCount() == 0\">\n    <i class=\"fa fa-spinner fa-spin fa-2x\"></i>\n  </div>\n  <!-- ko if: importedDocumentCount() > 0 -->\n  <ul>\n    <li> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Imported: '), " <span data-bind=\"text: importedDocSummary()['count']\"></span></li>\n    <li> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Created: '), " <span data-bind=\"text: importedDocSummary()['created_count']\"></span></li>\n    <li> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Updated: '), " <span data-bind=\"text: importedDocSummary()['updated_count']\"></span></li>\n  </ul>\n\n  <!-- ko ifnot: showTable() -->\n  <a href=\"javascript:void(0)\" class=\"margin-left-10 margin-top-10\" data-bind=\"click: toggleShowTable\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Show Details'), " <i class=\"fa fa-caret-down\"></i></a>\n  <!-- /ko -->\n  <!-- ko if: showTable() -->\n  <a href=\"javascript:void(0)\" class=\"margin-left-10 margin-top-10\" data-bind=\"click: toggleShowTable\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Hide Details'), " <i class=\"fa fa-caret-up\"></i></a>\n  <table class=\"table table-condensed\">\n    <thead>\n      <tr>\n        <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Name'), "</th>\n        <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Type'), "</th>\n        <th>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Owner'), "</th>\n      </tr>\n    </thead>\n    <tbody data-bind=\"foreach: importedDocSummary()['documents']\">\n      <tr>\n        <td data-bind=\"text: $data.name\"> </td>\n        <td data-bind=\"text: $data.type\"> </td>\n        <td data-bind=\"text: $data.owner\"> </td>\n      </tr>\n    </tbody>\n  </table>\n  <!-- /ko -->\n  <!-- /ko -->\n  <!-- /ko -->\n</div>\n<!-- /ko -->\n");

var ImportDocumentsModal = function ImportDocumentsModal(params) {
  var _this = this;

  _classCallCheck(this, ImportDocumentsModal);

  if (!params) {
    params = {};
  }

  this.activeEntry = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.fileEntry);

  if (!params.fileEntry) {
    this.activeEntry(new _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_5__["default"]({
      activeEntry: this.activeEntry,
      trashEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
      app: 'documents',
      user: self.user,
      activeSort: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('defaultAsc'),
      definition: {
        name: '/',
        type: 'directory'
      }
    }));
  }

  this.imported = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  this.isHistory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.isHistory);

  this.importComplete = function () {
    if (params.importedCallback) {
      params.importedCallback();
    }

    _this.imported(true);
  };
};

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent('import-documents-modal', undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_EVENT, function (params) {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(HIDE_EVENT);
    var $importDocumentsModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="importDocumentsModal" data-bind="descendantsComplete: descendantsComplete, component: { name: \'import-documents-modal\', params: params }" data-keyboard="true" class="modal hide fade fileupload-modal" tabindex="-1"/>');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($importDocumentsModal);
    var data = {
      params: new ImportDocumentsModal(params),
      descendantsComplete: function descendantsComplete() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(SHOWN_EVENT);
      }
    };
    knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](data, $importDocumentsModal[0]);
    $importDocumentsModal.modal('show');
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('hide.import.documents.modal', function () {
    var $importDocumentsModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#importDocumentsModal');

    if ($importDocumentsModal.length > 0) {
      $importDocumentsModal.modal('hide');
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($importDocumentsModal[0]);
      $importDocumentsModal.remove();
    }
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.inlineAutocomplete.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.inlineAutocomplete.js ***!
  \****************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _parse_globalSearchParser__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../parse/globalSearchParser */ "./desktop/core/src/desktop/js/parse/globalSearchParser.js");
/* harmony import */ var _utils_hueDebug__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/hueDebug */ "./desktop/core/src/desktop/js/utils/hueDebug.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var NAME = 'inline-autocomplete';
var TEMPLATE = "\n  <div class=\"inline-autocomp-container\">\n    <div>\n      <!-- ko if: showMagnify -->\n        <!-- ko ifnot: spin -->\n        <i style=\"top: 6px;\" class=\"inline-autocomp-magnify-icon fa fa-fw fa-search\"></i>\n        <!-- /ko -->\n        <!-- ko if: spin -->\n        <i class=\"inline-autocomp-magnify-icon fa fa-fw fa-spinner fa-spin\"></i>\n        <!-- /ko -->\n      <!-- /ko-->\n      <form autocomplete=\"off\">\n        <input class=\"inline-autocomp-input\" autocorrect=\"off\" autocomplete=\"do-not-autocomplete\" autocapitalize=\"off\" spellcheck=\"false\" type=\"text\" data-bind=\"\n          attr: { 'placeHolder' : hasFocus() ? '' : placeHolder },\n          textInput: searchInput,\n          hasFocus: hasFocus,\n          clearable: { value: searchInput, onClear: onClear },\n          css: { 'inline-autocomp-magnify-input': showMagnify }\">\n        <input class=\"inline-autocomp-autocomp\" disabled type=\"text\" autocomplete=\"do-not-autocomplete\" data-bind=\"\n          value: inlineAutocomplete,\n          css: { 'inline-autocomp-magnify-input': showMagnify }\">\n      </form>\n    </div>\n  </div>\n\n  <div class=\"hue-drop-down-container hue-drop-down-fixed\" data-bind=\"event: { 'mousedown': facetDropDownMouseDown }, css: { 'open' : facetDropDownVisible() }, dropDownKeyUp: { onEsc: facetDropDownOnEsc, onEnter: facetDropDownOnEnter, onSelected: facetDropDownOnSelected, dropDownVisible: facetDropDownVisible }\">\n    <div class=\"dropdown-menu\" style=\"overflow-y: auto;\" data-bind=\"visible: facetSuggestions().length > 0\">\n      <ul class=\"hue-inner-drop-down\" data-bind=\"foreach: facetSuggestions\">\n        <li><a href=\"javascript:void(0)\" data-bind=\"html: label, click: function () { $parent.facetClicked($data); }, clickBubble: false\"></a></li>\n      </ul>\n    </div>\n  </div>\n";

var getSortedFacets = function getSortedFacets(facetIndex) {
  var result = Object.keys(facetIndex);
  result.sort(function (a, b) {
    return a.localeCompare(b);
  });
  return result;
};

var InlineAutocomplete =
/*#__PURE__*/
function () {
  function InlineAutocomplete(params) {
    _classCallCheck(this, InlineAutocomplete);

    var self = this;
    self.disposals = [];
    self.showMagnify = !!params.showMagnify;
    self.spin = params.spin;
    self.placeHolder = params.placeHolder || Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Filter...');
    self.hasFocus = params.hasFocus || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.querySpec = params.querySpec;
    self.querySpec({
      query: '',
      facets: {},
      text: []
    });

    self.autocompleteFromEntries = params.autocompleteFromEntries || function () {
      return [];
    };

    self.facets = params.facets || [];
    self.knownFacetValues = params.knownFacetValues || {};
    self.uniqueFacets = !!params.uniqueFacets;
    self.disableNavigation = !!params.disableNavigation;
    self.changedAfterFocus = false;
    self.searchInput = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
    self.suggestions = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.selectedSuggestionIndex = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](0);
    self.suggestions.subscribe(function () {
      self.selectedSuggestionIndex(0);
    });
    self.facetSuggestions = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.facetDropDownVisible = params.facetDropDownVisible || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

    self.facetClicked = function (facet) {
      self.searchInput(facet.value);
      self.facetDropDownVisible(false);
    };

    self.facetDropDownOnEnter = function (facet) {
      if (facet) {
        self.searchInput(facet.value);
      }

      self.facetDropDownVisible(false);
    };

    self.facetDropDownOnEsc = function () {
      self.facetDropDownVisible(false);
    };

    self.facetDropDownOnSelected = function (facet) {
      if (facet) {
        var suggestions = self.suggestions();

        for (var i = 0; i < suggestions.length; i++) {
          if (facet.value === suggestions[i]) {
            self.selectedSuggestionIndex(i);
            break;
          }
        }
      }
    };

    self.facetDropDownMouseDown = function (data, evt) {
      evt.preventDefault(); // Prevent focus loss on the input when an entry is clicked

      return false;
    };

    self.inlineAutocomplete = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      if (!self.hasFocus() || self.suggestions().length === 0) {
        return '';
      }

      return self.suggestions()[self.selectedSuggestionIndex()];
    });
    self.lastParseResult = {};
    var querySpecSub = self.querySpec.subscribe(function (newVal) {
      if (!newVal || !newVal.query) {
        self.lastParseResult = {};
        self.searchInput('');
        self.clearSuggestions();
      }
    });
    self.disposals.push(function () {
      querySpecSub.dispose();
    });

    self.onClear = function () {
      if (params.onClear) {
        params.onClear();
      }

      self.clearSuggestions();
    };

    if (params.triggerObservable) {
      var triggerSub = params.triggerObservable.subscribe(function () {
        self.autocomplete();
      });
      self.disposals.push(function () {
        triggerSub.dispose();
      });
    }

    var inputSub = self.searchInput.subscribe(function (newValue) {
      if (self.querySpec() && self.querySpec().query === newValue) {
        return;
      }

      if (newValue === '') {
        self.changedAfterFocus = false;
        self.clearSuggestions();

        if (self.querySpec() && self.querySpec().query !== '') {
          self.querySpec({
            query: '',
            facets: {},
            text: []
          });
        }

        return;
      }

      self.changedAfterFocus = true;
      self.updateQuerySpec();
      self.autocomplete();
    });
    self.disposals.push(function () {
      inputSub.dispose();
    });

    var onKeyDown = function onKeyDown(event) {
      if (!self.hasFocus()) {
        return;
      }

      if (!self.disableNavigation && event.keyCode === 38 && self.suggestions().length && !self.facetDropDownVisible()) {
        // Up
        if (self.selectedSuggestionIndex() === 0) {
          self.selectedSuggestionIndex(self.suggestions().length - 1);
        } else {
          self.selectedSuggestionIndex(self.selectedSuggestionIndex() - 1);
        }

        event.preventDefault();
        return;
      }

      if (!self.disableNavigation && event.keyCode === 40 && self.suggestions().length && !self.facetDropDownVisible()) {
        // Down
        if (self.selectedSuggestionIndex() === self.suggestions().length - 1) {
          self.selectedSuggestionIndex(0);
        } else {
          self.selectedSuggestionIndex(self.selectedSuggestionIndex() + 1);
        }

        event.preventDefault();
        return;
      }

      if (event.keyCode === 32 && event.ctrlKey) {
        // Ctrl-Space
        if (!self.lastParseResult) {
          self.updateQuerySpec();
        }

        self.changedAfterFocus = true;
        self.autocomplete();
        return;
      }

      if (event.keyCode === 39 && self.inlineAutocomplete() !== '' && self.inlineAutocomplete() !== self.searchInput()) {
        // Right arrow
        // TODO: Check that cursor is last
        self.searchInput(self.inlineAutocomplete());
        return;
      }

      if (event.keyCode === 9 && self.inlineAutocomplete() !== self.searchInput()) {
        // Tab
        self.searchInput(self.inlineAutocomplete());
        event.preventDefault();
      }
    };

    self.disposals.push(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('keydown.inlineAutocomplete', onKeyDown);
    });
    var focusSub = self.hasFocus.subscribe(function (newVal) {
      if (!newVal) {
        self.clearSuggestions();
        self.changedAfterFocus = false;
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('keydown.inlineAutocomplete', onKeyDown);
      } else if (self.searchInput() !== '') {
        self.autocomplete();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('keydown.inlineAutocomplete', onKeyDown);
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('keydown.inlineAutocomplete', onKeyDown);
      }

      if (!newVal && self.facetDropDownVisible()) {
        self.facetDropDownVisible(false);
      }
    });
    self.disposals.push(function () {
      focusSub.dispose();
    });
  }

  _createClass(InlineAutocomplete, [{
    key: "updateQuerySpec",
    value: function updateQuerySpec() {
      var self = this; // TODO: Get cursor position and split to before and after

      self.lastParseResult = _parse_globalSearchParser__WEBPACK_IMPORTED_MODULE_3__["default"].parseGlobalSearch(self.searchInput(), '');

      if (_utils_hueDebug__WEBPACK_IMPORTED_MODULE_4__["default"] && _utils_hueDebug__WEBPACK_IMPORTED_MODULE_4__["default"].showGlobalSearchParseResults) {
        // eslint-disable-next-line no-restricted-syntax
        console.log(self.lastParseResult);
      }

      var querySpec = {
        query: self.searchInput()
      };

      if (self.lastParseResult.facets) {
        var knownFacetValues = typeof self.knownFacetValues === 'function' ? self.knownFacetValues() : self.knownFacetValues;
        var cleanFacets = {};
        Object.keys(self.lastParseResult.facets).forEach(function (facet) {
          if (!knownFacetValues[facet]) {
            cleanFacets[facet] = self.lastParseResult.facets[facet];
          } else {
            cleanFacets[facet] = {};
            Object.keys(self.lastParseResult.facets[facet]).forEach(function (value) {
              if (knownFacetValues[facet][value]) {
                cleanFacets[facet][value] = self.lastParseResult.facets[facet][value];
              } else {
                var found = false; // Find the closest match, i.e. type:s -> type: [string, smallint, ...]

                getSortedFacets(knownFacetValues[facet]).forEach(function (knownValue) {
                  if (knownValue.toLowerCase().indexOf(value.toLowerCase()) === 0) {
                    if (!cleanFacets[facet][knownValue]) {
                      cleanFacets[facet][knownValue] = [];
                    }

                    cleanFacets[facet][knownValue] = true;
                    found = true;
                  }
                });

                if (!found) {
                  cleanFacets[facet][value] = self.lastParseResult.facets[facet][value];
                }
              }
            });
          }
        });
        querySpec.facets = cleanFacets;
      }

      if (self.lastParseResult.text) {
        querySpec.text = self.lastParseResult.text;
      }

      self.querySpec(querySpec);
    }
  }, {
    key: "clearSuggestions",
    value: function clearSuggestions() {
      var self = this;

      if (self.suggestions().length) {
        self.suggestions([]);
      }

      if (self.facetSuggestions().length) {
        self.facetSuggestions([]);
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }, {
    key: "autocomplete",
    value: function autocomplete() {
      var self = this;

      if (!self.lastParseResult) {
        self.clearSuggestions();
        return;
      }

      var text = self.searchInput();
      var partial, nonPartial;
      var partialMatch = text.match(/([^:\s]+)$/i);

      if (partialMatch) {
        partial = partialMatch[0];
        nonPartial = text.substring(0, text.length - partial.length);
      } else {
        partial = '';
        nonPartial = text;
      }

      var newSuggestions = [];
      var facetSuggestions = [];
      var partialLower = partial.toLowerCase();

      if (self.lastParseResult.suggestFacets) {
        var existingFacetIndex = {};

        if (self.uniqueFacets && self.lastParseResult.facets) {
          Object.keys(self.lastParseResult.facets).forEach(function (facet) {
            existingFacetIndex[facet.toLowerCase()] = true;
          });
        }

        var suggestion = nonPartial + partial;
        var isLowerCase = suggestion.length > 0 && suggestion.toLowerCase() === suggestion;
        self.facets.forEach(function (facet) {
          if (self.uniqueFacets && existingFacetIndex[facet]) {
            return;
          }

          if (partial.length === 0 || facet.indexOf(partialLower) === 0) {
            var remainder = facet.substring(partial.length);
            suggestion += isLowerCase ? remainder : remainder.toUpperCase();
            suggestion += ':';
            newSuggestions.push(suggestion);
          }
        });
      }

      if (self.lastParseResult.suggestFacetValues) {
        var facetValues = typeof self.knownFacetValues === 'function' ? self.knownFacetValues() : self.knownFacetValues;

        if (facetValues && facetValues[self.lastParseResult.suggestFacetValues.toLowerCase()]) {
          var matchedFacets = facetValues[self.lastParseResult.suggestFacetValues.toLowerCase()];
          getSortedFacets(matchedFacets).forEach(function (value) {
            if (value.toLowerCase().indexOf(partialLower) === 0) {
              var fullValue = nonPartial + partial + value.substring(partial.length, value.length);
              var label = partial.length ? '<b>' + partial + '</b>' + value.substring(partial.length) : value;

              if (matchedFacets[value] !== -1) {
                label += ' (' + matchedFacets[value] + ')';
              }

              if (matchedFacets[value] !== 0) {
                facetSuggestions.push({
                  label: label,
                  value: fullValue
                });
                newSuggestions.push(fullValue);
              }
            }
          });
        }
      }

      if (partial !== '' && self.lastParseResult.suggestResults) {
        newSuggestions = newSuggestions.concat(self.autocompleteFromEntries(nonPartial, partial));
      }

      self.facetSuggestions(facetSuggestions);

      if (self.changedAfterFocus && (facetSuggestions.length > 1 || facetSuggestions.length === 1 && facetSuggestions[0].value !== self.searchInput())) {
        self.facetDropDownVisible(true);
      } else if (self.facetDropDownVisible()) {
        self.facetDropDownVisible(false);
      }

      self.suggestions(newSuggestions);
    }
  }]);

  return InlineAutocomplete;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, InlineAutocomplete, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.jobBrowserLinks.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.jobBrowserLinks.js ***!
  \*************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'hue-job-browser-links';
var TEMPLATE = "\n  <div class=\"btn-group pull-right\">\n    <!-- ko if: window.IS_K8S_ONLY -->\n      <a class=\"btn btn-flat\" style=\"padding-right: 4px\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Query browser'), "\" data-bind=\"hueLink: '/jobbrowser#!queries', click: function() { huePubSub.publish('show.jobs.panel', {interface: 'queries'}); huePubSub.publish('hide.jobs.panel'); }\">\n        <span>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Queries'), "</span>\n      </a>\n    <!-- /ko -->\n    <!-- ko if: window.HAS_JOB_BROWSER -->\n    <!-- ko ifnot: window.IS_K8S_ONLY -->\n      <a class=\"btn btn-flat\" style=\"padding-right: 4px\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Job browser'), "\" data-bind=\"hueLink: '/jobbrowser#!jobs', click: function() { huePubSub.publish('hide.jobs.panel'); }\">\n        <span>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])(window.IS_MULTICLUSTER_ONLY ? 'Queries' : 'Jobs'), "</span>\n      </a>\n    <!-- /ko -->\n    <button class=\"btn btn-flat btn-toggle-jobs-panel\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Jobs preview'), "\" data-bind=\"click: function() { huePubSub.publish('toggle.jobs.panel'); }, style: {'paddingLeft': jobCount() > 0 ? '0': '4px'}\">\n      <span class=\"jobs-badge\" data-bind=\"visible: jobCount() > 0, text: jobCount\"></span>\n      <i class=\"fa fa-tasks\"></i>\n    </button>\n    <!-- /ko -->\n  </div>\n");
var JB_CHECK_INTERVAL_IN_MILLIS = 30000;

var JobBrowserPanel = function JobBrowserPanel(params) {
  _classCallCheck(this, JobBrowserPanel);

  var self = this;
  var $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('body');
  var $jobsPanel = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#jobsPanel');
  var $toggle = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.btn-toggle-jobs-panel');

  var reposition = function reposition() {
    $jobsPanel.css('top', $toggle.offset().top + $toggle.height() + 15 + 'px');
    $jobsPanel.css('left', $container.offset().left + $container.width() - 630 + 'px');
  };

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('hide.jobs.panel', function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).off('resize', reposition);
    $jobsPanel.hide();
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('show.jobs.panel', function (options) {
    if (window.IS_K8S_ONLY) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('context.selector.set.cluster', 'impala');
    }

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('hide.history.panel');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).on('resize', reposition);
    reposition();
    $jobsPanel.show();
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('mini.jb.navigate', {
      section: options && options["interface"] ? options["interface"] : 'jobs',
      compute: options && options.compute
    });

    if (options && options.id) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('mini.jb.open.job', options.id);
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('toggle.jobs.panel', function () {
    if ($jobsPanel.is(':visible')) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('hide.jobs.panel');
    } else {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('show.jobs.panel');
    }
  });
  self.jobCounts = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
    yarn: 0,
    schedules: 0
  });
  self.jobCount = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    var total = 0;
    Object.keys(self.jobCounts()).forEach(function (value) {
      total += self.jobCounts()[value];
    });
    return total;
  });
  self.onePageViewModel = params.onePageViewModel;
  var lastYarnBrowserRequest = null;

  var checkYarnBrowserStatus = function checkYarnBrowserStatus() {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/jobbrowser/jobs/', {
      format: 'json',
      state: 'running',
      user: window.LOGGED_USERNAME
    }).done(function (data) {
      if (data != null && data.jobs != null) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('jobbrowser.data', data.jobs);
        self.jobCounts()['yarn'] = data.jobs.length;
        self.jobCounts.valueHasMutated();
      }
    }).fail(function (response) {
      console.warn(response);
    });
  };

  var lastScheduleBrowserRequest = undefined;

  var checkScheduleBrowserStatus = function checkScheduleBrowserStatus() {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/jobbrowser/api/jobs', {
      "interface": knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON('schedules'),
      filters: knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON([{
        text: 'user:' + window.LOGGED_USERNAME
      }, {
        time: {
          time_value: 7,
          time_unit: 'days'
        }
      }, {
        states: ['running']
      }, {
        pagination: {
          page: 1,
          offset: 1,
          limit: 1
        }
      }])
    }, function (data) {
      if (data != null && data.total != null) {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('jobbrowser.schedule.data', data.apps);
        self.jobCounts()['schedules'] = data.total;
        self.jobCounts.valueHasMutated();
      }
    });
  };

  var checkJobBrowserStatusIdx = -1;

  var checkJobBrowserStatus = function checkJobBrowserStatus() {
    lastYarnBrowserRequest = checkYarnBrowserStatus();

    if (window.ENABLE_QUERY_SCHEDULING) {
      lastScheduleBrowserRequest = checkScheduleBrowserStatus();
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, [lastYarnBrowserRequest, lastScheduleBrowserRequest]).done(function () {
      window.clearTimeout(checkJobBrowserStatusIdx);
      checkJobBrowserStatusIdx = window.setTimeout(checkJobBrowserStatus, JB_CHECK_INTERVAL_IN_MILLIS);
    }).fail(function () {
      window.clearTimeout(checkJobBrowserStatusIdx);
    });
  }; // Load the mini jobbrowser


  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
    url: '/jobbrowser/apps?is_embeddable=true&is_mini=true',
    beforeSend: function beforeSend(xhr) {
      xhr.setRequestHeader('X-Requested-With', 'Hue');
    },
    dataType: 'html',
    success: function success(response) {
      params.onePageViewModel.processHeaders(response).done(function (rawHtml) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()('#mini_jobbrowser').html(rawHtml); //ko.bindingHandlers.delayedOverflow.init($('#mini_jobbrowser')[0]);
      });
    }
  });

  if (!window.IS_K8S_ONLY) {
    checkJobBrowserStatusIdx = window.setTimeout(checkJobBrowserStatus, 10);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('check.job.browser', checkYarnBrowserStatus);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('check.schedules.browser', checkScheduleBrowserStatus);
  }
};

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, JobBrowserPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.multiClusterSidebar.js":
/*!*****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.multiClusterSidebar.js ***!
  \*****************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'hue-multi-cluster-sidebar';
var TEMPLATE = "\n  <div class=\"sidebar-content\" data-bind=\"foreach: categories\">\n    <!-- ko if: typeof label !== 'undefined' -->\n    <h4 class=\"sidebar-category-item\" data-bind=\"text: label\"></h4>\n    <!-- /ko -->\n    <!-- ko foreach: items -->\n    <!-- ko if: typeof items == 'undefined' -->\n    <a role=\"button\" class=\"sidebar-item\" data-bind=\"css: { 'active': false }, hueLink: url, attr: { 'title': label }\">\n      <span class=\"sidebar-icon without-tooltip\">\n        <span data-bind=\"css: icon\"></span>\n      </span>\n      <span class=\"sidebar-item-name\" data-bind=\"text: label\"></span>\n    </a>\n    <!-- /ko -->\n    <!-- ko if: typeof items !== 'undefined' -->\n    <a role=\"button\" class=\"sidebar-item\" href=\"javascript: void(0);\" data-bind=\"sidebarSubmenuActivator, css: { 'active': false }, attr: {'title': label\">\n      <span class=\"sidebar-icon without-tooltip\">\n        <span data-bind=\"css: icon\"></span>\n      </span>\n      <span class=\"sidebar-item-name\" data-bind=\"text: label\"></span>\n      <i class=\"submenu-icon fa fa-chevron-right\"></i>\n    </a>\n    <div class=\"sidebar-submenu\" style=\"display:none;\" data-bind=\"foreach: items\">\n      <a role=\"button\" class=\"sidebar-submenu-item\" data-bind=\"hueLink: url, attr: { 'title': label }, text: label\"></a>\n    </div>\n    <!-- /ko -->\n    <!-- /ko -->\n  </div>\n";
knockout__WEBPACK_IMPORTED_MODULE_1__["bindingHandlers"].sidebarSubmenuActivator = {
  init: function init(element) {
    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var $menu = $element.next();
    var visible = false;
    var hideTimeout = -1;

    var show = function show() {
      window.clearTimeout(hideTimeout);

      if (!visible) {
        $menu.css({
          top: $element.offset().top + 'px'
        });
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('hue.sidebar.hide.submenus');
        $menu.show();
        visible = true;
      }
    };

    var hide = function hide() {
      hideTimeout = window.setTimeout(function () {
        if (visible) {
          $menu.hide();
          visible = false;
        }
      }, 300);
    };

    var hideSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('hue.sidebar.hide.submenus', function () {
      window.clearTimeout(hideTimeout);
      $menu.hide();
      visible = false;
    });
    $element.on('click', show);
    $element.on('mouseover', show);
    $element.on('mouseout', hide);
    $menu.on('mouseover', show);
    $menu.on('mouseout', hide);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].domNodeDisposal.addDisposeCallback(element, function () {
      $menu.hide();
      hideSub.remove();
      $element.off('click');
      $element.off('mouseover');
      $element.off('mouseout');
      $menu.off('mouseover');
      $menu.off('mouseout');
    });
  }
}; // TODO: Fetch menu from the backend

var FIXED_CATEGORIES = [{
  items: [{
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Data Warehouse'),
    icon: 'altus-icon altus-adb-query',
    url: '/editor?type=impala'
  }, {
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Data Science'),
    url: '/',
    icon: 'altus-icon altus-ds'
  }, {
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Admin'),
    url: '/',
    icon: 'altus-icon altus-de'
  }]
}];

var MultiClusterSidebar = function MultiClusterSidebar() {
  _classCallCheck(this, MultiClusterSidebar);

  var self = this;
  self.categories = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](FIXED_CATEGORIES);
};

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, MultiClusterSidebar, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.navProperties.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.navProperties.js ***!
  \***********************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'nav-properties';
var TEMPLATE = "\n  <script type=\"text/html\" id=\"nav-property-edit-popover-content\">\n    <div class=\"hue-nav-property-edit-content\">\n      <a href=\"javascript: void(0);\" class=\"close-popover\"><i class=\"fa fa-times\"></i></a>\n      <div class=\"control-group\" data-bind=\"css: { 'error': keyInvalid }\">\n        <label class=\"control-label\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Key'), "</label>\n        <div class=\"controls\">\n          <input type=\"text\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Key'), "\" data-bind=\"textInput: key\">\n        </div>\n      </div>\n      <div class=\"control-group\" data-bind=\"css: { 'error': valueInvalid }\">\n        <label class=\"control-label\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Value'), "</label>\n        <div class=\"controls\">\n          <input type=\"text\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Value'), "\" data-bind=\"textInput: value\">\n        </div>\n      </div>\n    </div>\n  </script>\n\n  <!-- ko if: loading -->\n  <div class=\"hue-nav-properties\"><div data-bind=\"hueSpinner: { spin: loading, inline: true }\"></div></div>\n  <!-- /ko -->\n  <!-- ko ifnot: loading -->\n  <!-- ko ifnot: editMode -->\n\n  <!-- ko ifnot: window.HAS_READ_ONLY_CATALOG -->\n  <div class=\"hue-nav-properties\" data-bind=\"click: startEdit, visibleOnHover: { selector: '.editable-inline-action' }\">\n    <!-- ko if: !properties().length -->\n    <div class=\"hue-nav-properties-empty\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add properties...'), "</div>\n    <!-- /ko -->\n    <!-- ko foreach: properties -->\n    <div class=\"hue-nav-property\"><div class=\"hue-nav-property-key\" data-bind=\"text: key, attr: { 'title': key }\"></div><div class=\"hue-nav-property-value\" data-bind=\"text: value, attr: { 'title': value }\"></div></div>\n    <!-- /ko -->\n    <div class=\"editable-inline-action\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Edit'), "\"><a href=\"javascript: void(0);\" data-bind=\"click: startEdit\"><i class=\"fa fa-pencil\"></i></a></div>\n  </div>\n  <!-- /ko -->\n\n  <!-- ko if: window.HAS_READ_ONLY_CATALOG && properties().length -->\n  <div class=\"hue-nav-properties\">\n    <!-- ko foreach: properties -->\n    <div class=\"hue-nav-property\" data-bind=\"tooltip: { placement: 'bottom' }, attr: { title: title }\"><div class=\"hue-nav-property-key\" data-bind=\"text: key\"></div><div class=\"hue-nav-property-value\" data-bind=\"text: value\"></div></div>\n    <!-- /ko -->\n  </div>\n  <!-- /ko -->\n\n  <!-- /ko -->\n  <!-- ko if: editMode -->\n  <div class=\"hue-nav-properties hue-nav-properties-edit\">\n    <!-- ko foreach: editProperties -->\n    <div class=\"hue-nav-property hue-nav-property-edit\" data-bind=\"css: { 'hue-nav-property-invalid': invalid }, templatePopover: { trigger: 'click', placement: 'bottom', visible: editPropertyVisible, contentTemplate: 'nav-property-edit-popover-content' }\">\n      <div class=\"hue-nav-property-key\" data-bind=\"text: key, attr: { 'title': key }\"></div><div class=\"hue-nav-property-value\" data-bind=\"text: value, attr: { 'title': value }\"></div>\n      <div class=\"hue-nav-property-remove\"><a href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Remove'), "\" data-bind=\"click: function (entry) { $parent.removeProperty(entry); }\"><i class=\"fa fa-times\"></i></a></div>\n    </div>\n    <!-- /ko -->\n    <div class=\"hue-nav-property-add\"><a href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add'), "\" data-bind=\"click: addProperty\"><i class=\"fa fa-plus\"></i></a></div>\n    <div class=\"hue-nav-properties-edit-actions\">\n      <a href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Save'), "\" data-bind=\"click: saveEdit\"><i class=\"fa fa-check\"></i></a>\n      <a href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "\" data-bind=\"click: cancelEdit\"><i class=\"fa fa-close\"></i></a>\n    </div>\n  </div>\n  <!-- /ko -->\n  <!-- /ko -->\n");

var NavProperty =
/*#__PURE__*/
function () {
  function NavProperty(key, value, isNew) {
    _classCallCheck(this, NavProperty);

    var self = this;
    self.key = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](key);
    self.keyEdited = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.value = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](value);
    self.valueEdited = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.editPropertyVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](isNew);
    self.title = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    var keySub = self.key.subscribe(function () {
      keySub.dispose();
      self.keyEdited(true);
    });
    var valueSub = self.value.subscribe(function () {
      valueSub.dispose();
      self.valueEdited(true);
    });
    var editSub = self.editPropertyVisible.subscribe(function () {
      editSub.dispose();
      keySub.dispose();
      valueSub.dispose();
      self.keyEdited(true);
      self.valueEdited(true);
    });
    self.keyInvalid = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.keyEdited() && !self.key();
    });
    self.valueInvalid = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.valueEdited() && !self.value();
    });
    self.invalid = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.keyInvalid() || self.valueInvalid() || !self.editPropertyVisible() && !self.key() && !self.value();
    });
  }

  _createClass(NavProperty, [{
    key: "setTitle",
    value: function setTitle(title) {
      this.title(title);
    }
  }]);

  return NavProperty;
}();

var NavProperties =
/*#__PURE__*/
function () {
  /**
   * @param {object} params
   * @param {DataCatalogEntry} [params.catalogEntry]
   *
   * @constructor
   */
  function NavProperties(params, element) {
    _classCallCheck(this, NavProperties);

    var self = this;
    self.element = element;
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    self.properties = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.editProperties = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.catalogEntry = params.catalogEntry;
    self.editMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadProperties();
    self.refreshSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('data.catalog.entry.refreshed', function (details) {
      if (details.entry === self.catalogEntry) {
        self.loadProperties();
      }
    });
  }

  _createClass(NavProperties, [{
    key: "startEdit",
    value: function startEdit() {
      if (window.HAS_READ_ONLY_CATALOG) {
        return;
      }

      var self = this;
      var editProperties = [];
      self.properties().forEach(function (property) {
        editProperties.push(new NavProperty(property.key(), property.value()));
      });
      self.editProperties(editProperties);
      self.editMode(true);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click.navProperties', function (event) {
        if (jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(document, event.target) && !jquery__WEBPACK_IMPORTED_MODULE_0___default.a.contains(self.element, event.target) && !self.editProperties().some(function (prop) {
          return prop.editPropertyVisible();
        })) {
          self.saveEdit();
        }
      });
    }
  }, {
    key: "cancelEdit",
    value: function cancelEdit() {
      var self = this;
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.navProperties');
      self.editMode(false);
    }
  }, {
    key: "saveEdit",
    value: function saveEdit() {
      var self = this;
      var someInvalid = self.editProperties().some(function (property) {
        return !property.key() || !property.value();
      });

      if (someInvalid) {
        return;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.navProperties');
      self.editMode(false);

      if (knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON(self.editProperties()) !== knockout__WEBPACK_IMPORTED_MODULE_1__["mapping"].toJSON(self.properties())) {
        self.loading(true);
        self.catalogEntry.getNavigatorMeta().done(function (navigatorMeta) {
          var keysAfterEdit = {};
          var modifiedCustomMetadata = {};

          if (!navigatorMeta.properties) {
            navigatorMeta.properties = {};
          }

          self.editProperties().forEach(function (property) {
            if (navigatorMeta.properties[property.key()] !== property.value()) {
              modifiedCustomMetadata[property.key()] = property.value();
            }

            keysAfterEdit[property.key()] = true;
          });
          var deletedCustomMetadataKeys = [];
          self.properties().forEach(function (property) {
            if (!keysAfterEdit[property.key()]) {
              deletedCustomMetadataKeys.push(property.key());
            }
          });
          self.catalogEntry.updateNavigatorCustomMetadata(modifiedCustomMetadata, deletedCustomMetadataKeys).always(function () {
            self.loadProperties();
          });
        }).fail(function () {
          self.loadProperties();
        });
      }
    }
  }, {
    key: "removeProperty",
    value: function removeProperty(property) {
      var self = this;
      self.editProperties.remove(property);
    }
  }, {
    key: "addProperty",
    value: function addProperty() {
      var self = this;
      var newProperty = new NavProperty('', '', true);
      newProperty.editPropertyVisible(true);
      self.editProperties.push(newProperty);
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.refreshSub.remove();
    }
  }, {
    key: "loadProperties",
    value: function loadProperties() {
      var self = this;
      self.loading(true);
      self.hasErrors(false);
      knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.catalogEntry).getNavigatorMeta().done(function (navigatorMeta) {
        var newProps = [];

        if (navigatorMeta.classifications) {
          navigatorMeta.classifications.forEach(function (classification) {
            if (classification.attributes) {
              Object.keys(classification.attributes).forEach(function (attributeKey) {
                var property = new NavProperty(attributeKey, classification.attributes[attributeKey]);
                property.setTitle(classification.typeName);
                newProps.push(property);
              });
            }
          });
        } else if (navigatorMeta.properties) {
          Object.keys(navigatorMeta.properties).forEach(function (key) {
            if (!key.startsWith('__cloudera_internal')) {
              newProps.push(new NavProperty(key, navigatorMeta.properties[key]));
            }
          });
          newProps.sort(function (a, b) {
            return a.key().localeCompare(b.key());
          });
        }

        self.properties(newProps);
      }).fail(function () {
        self.hasErrors(true);
      }).always(function () {
        self.loading(false);
      });
    }
  }]);

  return NavProperties;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new NavProperties(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.navTags.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.navTags.js ***!
  \*****************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var NAME = 'nav-tags';
var TEMPLATE = "\n  <!-- ko if: loading -->\n  <div style=\"width: 100%; height: 20px; left: 6px; position: relative;\" data-bind=\"hueSpinner: { spin: loading }\"></div>\n  <!-- /ko -->\n  <!-- ko if: !loading() && (!readOnly || readOnly && currentTags().length) -->\n  <div class=\"hue-tags\" style=\"width: 100%\" data-bind=\"ifnot: loading, css: { 'read-only-tags': readOnly }\">\n   <textarea style=\"width: 100%\" data-bind=\"tagEditor: {\n      emptyPlaceholder: '".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Add tags...'), "',\n      readOnly: readOnly,\n      hasErrors: hasErrors,\n      errorMessage: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Tags could not be loaded.'), "',\n      setTags: currentTags,\n      overflowEllipsis: overflowEllipsis,\n      onSave: saveTags.bind($data),\n      validRegExp: '^[a-zA-z0-9_-]{1,50}$',\n      invalidMessage: '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Tags can only contain 1 to 50 alphanumeric characters, _ or -.'), "',\n      load: getSelectizeTags\n    }\"></textarea>\n   <div class=\"selectize-error\" style=\"display: none;\"><i class=\"fa fa-exclamation-triangle\"></i> <span class=\"message\"></span></div>\n  </div>\n  <!-- /ko -->\n");

var NavTags =
/*#__PURE__*/
function () {
  /**
   * @param {object} params
   * @param {DataCatalogEntry} [params.catalogEntry]
   *
   * @constructor
   */
  function NavTags(params) {
    _classCallCheck(this, NavTags);

    var self = this;
    self.hasErrors = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true);
    self.currentTags = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.allTags = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.catalogEntry = params.catalogEntry;
    self.overflowEllipsis = params.overflowEllipsis;
    self.readOnly = !window.USER_HAS_METADATA_WRITE_PERM || !!params.readOnly || window.HAS_READ_ONLY_CATALOG;

    self.getSelectizeTags = function (query, callback) {
      callback(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(self.allTags(), function (tag) {
        return {
          value: tag,
          text: tag
        };
      }));
    };

    self.loadTags();
    self.refreshSub = _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('data.catalog.entry.refreshed', function (details) {
      if (details.entry === self.catalogEntry) {
        self.loadTags();
      }
    });
  }

  _createClass(NavTags, [{
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.refreshSub.remove();
    }
  }, {
    key: "loadTags",
    value: function loadTags() {
      var self = this;
      self.loading(true);
      self.hasErrors(false);
      var currentTagsPromise = knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.catalogEntry).getNavigatorMeta().done(function (navigatorMeta) {
        self.currentTags(navigatorMeta && navigatorMeta.tags || []);
      }).fail(function () {
        self.hasErrors(true);
      });
      var allTagsPromise = _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getAllNavigatorTags({
        silenceErrors: true
      }).done(function (tagList) {
        self.allTags(Object.keys(tagList));
      }).fail(function () {
        self.allTags([]);
      });
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(currentTagsPromise, allTagsPromise).always(function () {
        self.loading(false);
      });
    }
  }, {
    key: "saveTags",
    value: function saveTags(value) {
      var self = this;
      var newTags = value.length > 0 ? value.split(',') : [];
      var tagsToRemove = [];
      var tagsToAdd = [];
      var tagIndex = {};
      self.currentTags().forEach(function (tag) {
        tagIndex[tag] = false;
      });
      newTags.forEach(function (newTag) {
        if (typeof tagIndex[newTag] !== 'undefined') {
          tagIndex[newTag] = true;
        } else {
          tagsToAdd.push(newTag);
        }
      });
      Object.keys(tagIndex).forEach(function (oldTag) {
        if (!tagIndex[oldTag]) {
          tagsToRemove.push(oldTag);
        }
      });
      self.loading(true);
      self.hasErrors(false);
      var addTagsPromise = tagsToAdd.length > 0 ? knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.catalogEntry).addNavigatorTags(tagsToAdd) : jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve().promise();
      var deleteTagsPromise = tagsToRemove.length > 0 ? knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.catalogEntry).deleteNavigatorTags(tagsToRemove) : jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve().promise();
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when(addTagsPromise, deleteTagsPromise).done(function () {
        if (tagsToAdd.length || tagsToRemove.length) {
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].updateAllNavigatorTags(tagsToAdd, tagsToRemove);
          knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](self.catalogEntry).save();
        }

        self.loadTags();
      }).fail(function () {
        self.hasErrors(true);
      }).always(function () {
        self.loading(false);
      });
    }
  }]);

  return NavTags;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, NavTags, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.performanceGraph.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.performanceGraph.js ***!
  \**************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var d3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3 */ "./node_modules/d3/index.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var NAME = 'performance-graph';
var TEMPLATE = "\n<script type=\"text/html\" id=\"performance-graph-d3-template\">\n  <div style=\"position:relative;\"\n      data-bind=\"attr: { 'id': id }, style: { height: graphHeight + 'px', width: graphWidth + 'px' }\"></div>\n</script>\n\n<div style=\"position: relative\" data-bind=\"template: { afterRender: componentRendered }\">\n  <div style=\"padding: 10px; float: right;\" data-bind=\"foreach: availableGranularities\">\n    <!-- ko if: $data === $parent.selectedGranularity() -->\n    <span class=\"margin-right-20\" data-bind=\"text: label\"></span>\n    <!-- /ko -->\n    <!-- ko if: $data !== $parent.selectedGranularity() -->\n    <a class=\"margin-right-20\" href=\"javascript: void(0);\" data-bind=\"text: label, click: function () { $parent.selectedGranularity($data); }\"></a>\n    <!-- /ko -->\n  </div>\n  <div style=\"clear: both;\" class=\"performance-graph\" data-bind=\"style: { height: graphHeight + 'px', width: graphWidth + 'px' }\"></div>\n</div>\n";

var PerformanceGraph =
/*#__PURE__*/
function () {
  function PerformanceGraph(params) {
    _classCallCheck(this, PerformanceGraph);

    var self = this;
    self.graphHeight = 500;
    self.graphWidth = 1000;
    self.data = undefined;
    self.graphElement = undefined;
    self.availableGranularities = [{
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('1 hour'),
      totalTime: 1000 * 60 * 60,
      initialWindow: 1000 * 60 * 10,
      step: 5 * 1000 // 5 seconds

    }, {
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('8 hours'),
      totalTime: 1000 * 60 * 60 * 8,
      initialWindow: 1000 * 60 * 60 * 2,
      step: 15 * 1000 // 15 seconds

    }, {
      label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('1 week'),
      totalTime: 1000 * 60 * 60 * 24 * 7,
      initialWindow: 1000 * 60 * 60 * 24,
      step: 5 * 60 * 1000 // Every 5 minutes

    }];
    self.selectedGranularity = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](self.availableGranularities[_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('warehouses', 'performanceGraphGranularity', 0)]);
    self.clusterName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.clusterName); // Load the initial data

    var initialLoadPromise = self.loadData();
    self.appendTimeout = -1;

    self.componentRendered = function (elements) {
      elements.some(function (element) {
        if (element.className === 'performance-graph') {
          self.graphElement = element;
          return true;
        }
      });

      if (!self.data || !self.data.length) {
        self.showLoadingMessage();
      }

      initialLoadPromise.done(function () {
        self.redrawGraph();
        self.selectedGranularity.subscribe(function (granularity) {
          for (var i = 0; i < self.availableGranularities.length; i++) {
            if (granularity === self.availableGranularities[i]) {
              _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('warehouses', 'performanceGraphGranularity', i);
              break;
            }
          }

          window.clearTimeout(self.appendTimeout);
          self.data = undefined;
          self.loadData().done(function () {
            self.redrawGraph();
          });
        });
      });
    };
  }

  _createClass(PerformanceGraph, [{
    key: "showLoadingMessage",
    value: function showLoadingMessage() {
      var self = this;
      d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).select('svg').remove();
      var svg = d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).append('svg').attr('width', self.graphWidth).attr('height', self.graphHeight);
      svg.selectAll('.loading-text').data([Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Loading metrics...')]).enter().append('text', 'rect').attr('class', 'loading-text').text(function (d) {
        return d;
      }).attr('text-anchor', 'middle').attr('dy', self.graphHeight / 2).attr('dx', self.graphWidth / 2);
    }
  }, {
    key: "redrawGraph",
    value: function redrawGraph() {
      var self = this; // Wait for data to appear

      if (!self.data.length) {
        self.showLoadingMessage();
        window.setTimeout(function () {
          self.loadData().done(function () {
            self.redrawGraph();
          });
        }, 3000);
        return;
      } // Margins and sizes


      var subTop = self.graphHeight - 150;
      var legendTop = self.graphHeight - 50;
      var mainMargin = {
        top: 10,
        right: 70,
        left: 70,
        bottom: self.graphHeight - subTop + 40
      };
      var subMargin = {
        top: subTop,
        right: 70,
        bottom: 40,
        left: 70
      };
      var legendMargin = {
        top: legendTop,
        right: 70,
        bottom: 10,
        left: 70
      };
      var width = self.graphWidth - mainMargin.left - mainMargin.right;
      var mainHeight = self.graphHeight - mainMargin.top - mainMargin.bottom;
      var subHeight = self.graphHeight - subMargin.top - subMargin.bottom - 50; // Scales

      var percentageYScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleLinear"]().range([mainHeight, 0]);
      var queryYScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleLinear"]().range([mainHeight, 0]);
      var mainXScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleTime"]().range([0, width]);
      var subPercentageYScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleLinear"]().range([subHeight, 0]);
      var subQueryYScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleLinear"]().range([subHeight, 0]);
      var subXScale = d3__WEBPACK_IMPORTED_MODULE_0__["scaleTime"]().range([0, width]); // Axes

      var mainXAxis = d3__WEBPACK_IMPORTED_MODULE_0__["axisBottom"](mainXScale).tickPadding(7);
      var subXAxis = d3__WEBPACK_IMPORTED_MODULE_0__["axisBottom"](subXScale).tickPadding(7).tickSize(0);
      var queryYAxis = d3__WEBPACK_IMPORTED_MODULE_0__["axisLeft"](queryYScale).tickPadding(7);
      var percentageYAxis = d3__WEBPACK_IMPORTED_MODULE_0__["axisRight"](percentageYScale).tickPadding(7).tickFormat(function (y) {
        return y + '%';
      }); // Update scale domains from data

      mainXScale.domain([self.data[0][0], self.data[self.data.length - 1][0]]);
      percentageYScale.domain([0, 100]);
      var queryMax = 15;
      self.data.forEach(function (row) {
        if (row[4] + row[5] > queryMax) {
          queryMax = row[4] + row[5];
        }
      });
      queryYScale.domain([0, queryMax + 2]);
      subXScale.domain(mainXScale.domain());
      subPercentageYScale.domain(percentageYScale.domain());
      subQueryYScale.domain(queryYScale.domain());
      d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).select('svg').remove(); // Draw the graphs

      var svg = d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).append('svg').attr('width', self.graphWidth).attr('height', self.graphHeight); // Clipping path

      svg.append('defs').append('clipPath').attr('id', 'clip').append('rect').attr('width', width).attr('height', mainHeight); // Containers for the graphs and legend

      var mainGroup = svg.append('g').attr('class', 'main-group').attr('transform', 'translate(' + mainMargin.left + ',' + mainMargin.top + ')');
      var subGroup = svg.append('g').attr('class', 'sub-group').attr('transform', 'translate(' + subMargin.left + ',' + subMargin.top + ')');
      var legendGroup = svg.append('g').attr('class', 'legend-group').attr('transform', 'translate(' + legendMargin.left + ',' + legendMargin.top + ')'); // Draw the query and resource graphs

      var createLineGraph = function createLineGraph(options) {
        var line;
        var _enabled = options.enabled;

        if (options.area) {
          line = d3__WEBPACK_IMPORTED_MODULE_0__["area"]().curve(d3__WEBPACK_IMPORTED_MODULE_0__["curveStep"]).x(function (d) {
            return mainXScale(d[0]);
          }).y0(mainHeight).y1(options.y);
        } else {
          line = d3__WEBPACK_IMPORTED_MODULE_0__["line"]().curve(d3__WEBPACK_IMPORTED_MODULE_0__["curveMonotoneX"]).x(function (d) {
            return mainXScale(d[0]);
          }).y(options.y);
        }

        var path = mainGroup.append('path').datum(self.data).attr('stroke', function () {
          return options.color;
        }).attr('stroke-width', options.area ? 0 : 2).style('opacity', _enabled ? 1 : 0).attr('fill', options.area ? options.color : 'none').attr('clip-path', 'url(#clip)').classed('line line-' + options.id, true).attr('d', line);
        var subRefresh;

        if (options.subLine) {
          var subLine;

          if (options.area) {
            subLine = d3__WEBPACK_IMPORTED_MODULE_0__["area"]().curve(d3__WEBPACK_IMPORTED_MODULE_0__["curveStep"]).x(function (d) {
              return subXScale(d[0]);
            }).y0(subHeight).y1(options.subY);
          } else {
            subLine = d3__WEBPACK_IMPORTED_MODULE_0__["line"]().curve(d3__WEBPACK_IMPORTED_MODULE_0__["curveMonotoneX"]).x(function (d) {
              return subXScale(d[0]);
            }).y(options.subY);
          }

          var subPath = subGroup.append('path').datum(self.data).attr('stroke', function () {
            return options.subLineColor || options.color;
          }).style('opacity', _enabled ? 1 : 0).attr('fill', options.area ? options.subLineColor || options.color : 'none').attr('clip-path', 'url(#clip)').classed('line line-' + options.id, true).attr('d', subLine);

          subRefresh = function subRefresh() {
            subPath.datum(self.data);
            subPath.attr('d', subLine);
          };
        }

        var stackedGraph;

        if (options.stackedGraph) {
          stackedGraph = options.stackedGraph();
        }

        return {
          refresh: function refresh() {
            path.datum(self.data);
            path.attr('d', line);

            if (subRefresh) {
              subRefresh();
            }

            if (stackedGraph) {
              stackedGraph.refresh();
            }
          },
          id: options.id,
          enabled: function enabled() {
            return _enabled;
          },
          color: options.color,
          label: options.label,
          tooltip: options.tooltip,
          toggle: function toggle() {
            _enabled = !_enabled;
            _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('warehouses', options.id + 'GraphEnabled', _enabled);
            mainGroup.select('.highlight-point-' + options.id).style('display', _enabled ? null : 'none');
            mainGroup.select('.line-' + options.id).transition().style('opacity', _enabled ? 1 : 0);
            subGroup.select('.line-' + options.id).transition().style('opacity', _enabled ? 1 : 0);

            if (stackedGraph) {
              stackedGraph.enabled = _enabled;
              mainGroup.select('.highlight-point-' + stackedGraph.id).style('display', _enabled ? null : 'none');
              mainGroup.select('.line-' + stackedGraph.id).transition().style('opacity', _enabled ? 1 : 0);
              subGroup.select('.line-' + stackedGraph.id).transition().style('opacity', _enabled ? 1 : 0);
            }
          },
          highlightPoint: function highlightPoint(dataPoint) {
            if (!options.disableHighlight) {
              mainGroup.select('.highlight-point-' + options.id).remove();
              mainGroup.insert('circle', '.overlay').attr('class', 'highlight-point highlight-point-' + options.id).style('display', _enabled ? null : 'none').attr('stroke', '#FFF').attr('stroke-width', 2).attr('fill', function () {
                return options.color;
              }).attr('r', 4).attr('transform', 'translate(' + mainXScale(dataPoint[0]) + ',' + options.y(dataPoint) + ')');
            }
          }
        };
      };

      var graphs = [createLineGraph({
        id: 'queries',
        label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Queries'),
        enabled: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('warehouses', 'queriesGraphEnabled', true),
        color: '#A9DBF1',
        subLineColor: '#DCDCDC',
        area: true,
        subLine: true,
        tooltip: function tooltip(d) {
          return d[4] + (d[5] ? ' (' + d[5] + ' ' + Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('queued') : '');
        },
        y: function y(d) {
          return queryYScale(d[4]);
        },
        subY: function subY(d) {
          return subQueryYScale(d[4]);
        },
        stackedGraph: function stackedGraph() {
          return createLineGraph({
            id: 'query-count-queued',
            enabled: true,
            color: '#0B7FAD',
            area: true,
            disableHighlight: true,
            y: function y(d) {
              return queryYScale(d[5]);
            }
          });
        }
      }), createLineGraph({
        id: 'cpu',
        enabled: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('warehouses', 'cpuGraphEnabled', false),
        label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('CPU'),
        color: '#654C94',
        subLine: true,
        tooltip: function tooltip(d) {
          return d[1] + '%';
        },
        y: function y(d) {
          return percentageYScale(d[1]);
        },
        subY: function subY(d) {
          return subPercentageYScale(d[1]);
        }
      }), createLineGraph({
        id: 'memory',
        enabled: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('warehouses', 'memoryGraphEnabled', false),
        label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Memory'),
        color: '#83C1B9',
        subLine: true,
        tooltip: function tooltip(d) {
          return d[2] + '%';
        },
        y: function y(d) {
          return percentageYScale(d[2]);
        },
        subY: function subY(d) {
          return subPercentageYScale(d[2]);
        }
      }), createLineGraph({
        id: 'io',
        enabled: _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('warehouses', 'ioGraphEnabled', false),
        label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('IO'),
        color: '#D4965E',
        subLine: true,
        tooltip: function tooltip(d) {
          return d[3] + '%';
        },
        y: function y(d) {
          return percentageYScale(d[3]);
        },
        subY: function subY(d) {
          return subPercentageYScale(d[3]);
        }
      })]; // Draw the axes

      mainGroup.append('g').attr('class', 'main-axis main-axis-x').attr('transform', 'translate(0,' + mainHeight + ')').call(mainXAxis);
      mainGroup.append('g').attr('class', 'main-axis main-axis-y main-axis-query-count').call(queryYAxis);
      mainGroup.append('g').attr('class', 'main-axis main-axis-y main-axis-percentage').attr('transform', 'translate(' + width + ' ,0)').call(percentageYAxis);
      subGroup.append('g').attr('class', 'sub-axis sub-axis-x').attr('transform', 'translate(0,' + subHeight + ')').call(subXAxis);
      mainGroup.append('text').attr('class', 'y-label y-label-queries').attr('transform', 'rotate(-90)').attr('x', -mainHeight / 2).attr('y', -45).attr('dy', '1em').style('text-anchor', 'middle');
      mainGroup.append('text').attr('class', 'y-label y-label-resources').attr('transform', 'rotate(90)').attr('x', mainHeight / 2).attr('y', -width - 55).attr('dy', '1em').style('text-anchor', 'middle');

      var updateAxesLabels = function updateAxesLabels() {
        var queriesLabel = '';
        var resourcesLabel = '';

        for (var i = 0; i < graphs.length; i++) {
          if (i === 0 && graphs[i].enabled()) {
            queriesLabel = graphs[i].label;
          } else if (graphs[i].enabled()) {
            if (resourcesLabel !== '') {
              resourcesLabel += ' ';
            }

            resourcesLabel += graphs[i].label;
          }
        }

        mainGroup.select('.y-label-queries').text(queriesLabel);
        mainGroup.select('.y-label-resources').text(resourcesLabel);
        mainGroup.select('.main-axis-query-count').attr('display', queriesLabel === '' ? 'none' : null);
        mainGroup.select('.main-axis-percentage').attr('display', resourcesLabel === '' ? 'none' : null);
      };

      updateAxesLabels(); // Add brush

      var brushed = function brushed() {
        var s = d3__WEBPACK_IMPORTED_MODULE_0__["event"].selection || subXScale.range();
        mainXScale.domain(s.map(subXScale.invert, subXScale));
        graphs.forEach(function (graph) {
          graph.refresh();
        });
        mainGroup.select('.main-axis-x').call(mainXAxis);
        handle.attr('transform', function (d, i) {
          return 'translate(' + s[i] + ',' + subHeight / 2 + ')';
        });
      };

      var brush = d3__WEBPACK_IMPORTED_MODULE_0__["brushX"]().extent([[0, 0], [width, subHeight]]).on('start brush end', brushed);
      var brushG = subGroup.append('g').attr('class', 'brush').call(brush);
      var handle = brushG.selectAll('.handle--custom').data([{
        type: 'w'
      }, {
        type: 'e'
      }]).enter().append('circle').classed('handle--custom', true).attr('cursor', 'ew-resize').attr('fill', '#FFF').attr('r', 8).attr('stroke', '#787878').attr('stroke-width', 7);
      brushG.call(brush.move, [mainXScale(Math.max(self.data[self.data.length - 1][0] - self.selectedGranularity().initialWindow, self.data[0][0])), mainXScale(self.data[self.data.length - 1][0])]); // Mouse hover overlay

      var dateBisector = d3__WEBPACK_IMPORTED_MODULE_0__["bisector"](function (d) {
        return d[0];
      }).left;

      var pointFocus = function pointFocus(mouseCoord, focusX) {
        var x = focusX;
        var j = dateBisector(self.data, x, 1);
        var d0 = self.data[j - 1];
        var d1 = self.data[j];
        var closest = x - d0[0] > d1[0] - x ? d1 : d0;
        graphs.forEach(function (graph) {
          graph.highlightPoint(closest);
        });

        var generateTooltipHtml = function generateTooltipHtml(dataPoint) {
          var html = '<div class="performance-tooltip-time">' + moment(dataPoint[0]).toISOString() + '</div>';
          graphs.forEach(function (graph) {
            if (graph.tooltip && graph.enabled()) {
              html += '<div><div class="performance-tooltip-indicator"><div style="background-color: ' + graph.color + '">&nbsp;</div></div><span class="performance-tooltip-label">' + graph.label + '</span> ' + graph.tooltip(dataPoint) + '</div>';
            }
          });
          return html;
        };

        d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).select('.performance-tooltip').html(generateTooltipHtml(closest)).style('left', lastMouseCoord[0] + mainMargin.left + 15 + 'px').style('top', lastMouseCoord[1] + mainMargin.top + 'px');
      };

      var lastMouseCoord = [0, 0];
      var lastFocusX = 0;
      mainGroup.append('rect').attr('class', 'overlay').attr('fill-opacity', '0').attr('fill', 'white').attr('width', width).attr('height', mainHeight).on('mouseout', function () {
        mainGroup.selectAll('.highlight-point').remove();
        d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).selectAll('.performance-tooltip').remove();
      }).on('mouseover', function () {
        d3__WEBPACK_IMPORTED_MODULE_0__["select"](self.graphElement).append('div').attr('class', 'performance-tooltip');
      }).on('mousemove', function () {
        lastMouseCoord = d3__WEBPACK_IMPORTED_MODULE_0__["mouse"](this);
        lastFocusX = mainXScale.invert(lastMouseCoord[0]);
        pointFocus(lastMouseCoord, lastFocusX);
      }); // Add Legend

      var legendSerie = legendGroup.selectAll('.legend-serie').data(graphs).enter().append('g').attr('class', 'legend-serie').on('click', function (d) {
        d.toggle();
        d3__WEBPACK_IMPORTED_MODULE_0__["select"](this).select('rect').transition().attr('fill', function (d) {
          return d.enabled() ? d.color : '#FFF';
        });
        d3__WEBPACK_IMPORTED_MODULE_0__["select"](this).select('path').transition().attr('opacity', function (d) {
          return d.enabled() ? 1 : 0;
        });
        updateAxesLabels();
      });
      legendSerie.append('rect').attr('class', 'legend-radio').attr('fill', function (d) {
        return d.enabled() ? d.color : '#FFF';
      }).attr('stroke', function (d) {
        return d.color;
      }).attr('stroke-width', 2).attr('rx', 2).attr('ry', 2).attr('width', 12).attr('height', 12).attr('transform', 'translate(-8, -6)');
      legendSerie.append('path').attr('d', 'M-6,-1, -2,3, 2,-4').attr('fill', 'none').attr('stroke', function (d, j) {
        return j === 0 || j === 2 ? '#000' : '#FFF';
      }).transition().attr('opacity', function (d) {
        return d.enabled() ? 1 : 0;
      }).attr('stroke-width', 2);
      legendSerie.append('text', 'rect').text(function (d) {
        return d.label;
      }).attr('text-anchor', 'start').attr('dy', '.32em').attr('dx', '8');
      legendSerie.append('line');
      var knownLengths = [];
      legendSerie.attr('transform', function (d, j) {
        knownLengths[j] = d3__WEBPACK_IMPORTED_MODULE_0__["select"](this).select('text').node().getComputedTextLength() + 28;
        var x = 5;

        for (var i = 0; i < j; i++) {
          x += knownLengths[i];
        }

        return 'translate(' + x + ', 5)';
      }); // Fetch and append data at set interval

      var appendData = function appendData() {
        var currentDomain = mainXScale.domain();
        var currentSubDomain = subXScale.domain();
        var timeBetweenPoints = self.data[1][0] - self.data[0][0];
        var startTime = self.data[self.data.length - 1][0];
        var endTime = startTime + timeBetweenPoints;
        self.loadData(startTime, endTime, 1).done(function () {
          var mainStart = currentDomain[0].getTime() !== currentSubDomain[0].getTime() ? currentDomain[0] : self.data[0][0];
          var mainEnd = currentDomain[1].getTime() !== currentSubDomain[1].getTime() ? currentDomain[1] : self.data[self.data.length - 1][0];
          mainXScale.domain([mainStart, mainEnd]);
          subXScale.domain([self.data[0][0], self.data[self.data.length - 1][0]]);
          graphs.forEach(function (graph) {
            graph.refresh();
          }); // Update highlight points and tip if data is appended when highlight is active

          if (mainGroup.selectAll('.highlight-point').size()) {
            pointFocus(lastMouseCoord, lastFocusX);
          }

          subGroup.select('.sub-axis-x').call(subXAxis);
          mainGroup.select('.main-axis-x').call(mainXAxis);
          subGroup.select('.brush').call(brush);
          self.appendTimeout = window.setTimeout(appendData, self.selectedGranularity().step);
        });
      };

      self.appendTimeout = window.setTimeout(appendData, self.selectedGranularity().step);
    }
  }, {
    key: "loadData",
    value: function loadData() {
      var self = this;
      return _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchResourceStats({
        clusterName: self.clusterName(),
        pastMs: self.selectedGranularity().totalTime,
        stepMs: self.selectedGranularity().step
      }).done(function (data) {
        self.data = data;
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;

      if (self.appendTimeout) {
        window.clearTimeout(self.appendTimeout);
      }
    }
  }]);

  return PerformanceGraph;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, PerformanceGraph, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.pollingCatalogEntriesList.js":
/*!***********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.pollingCatalogEntriesList.js ***!
  \***********************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_catalogEntriesList__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ko.catalogEntriesList */ "./desktop/core/src/desktop/js/ko/components/ko.catalogEntriesList.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var NAME = 'polling-catalog-entries-list';
var TEMPLATE = "\n  <div>\n    <!-- ko hueSpinner: { spin: !catalogEntryExists(), inline: true } --><!-- /ko -->\n    <!-- ko if: catalogEntryExists -->\n      <!-- ko component: { name: 'catalog-entries-list', params: {\n        catalogEntry: catalogEntry,\n        selectedEntries: selectedEntries,\n        editableDescriptions: editableDescriptions,\n        contextPopoverEnabled: contextPopoverEnabled,\n        onSampleClick: onSampleClick,\n        refreshSampleInterval: refreshSampleInterval\n      }} --><!-- /ko -->\n    <!-- /ko -->\n  </div>\n";

var PollingCatalogEntriesList =
/*#__PURE__*/
function () {
  /**
   * This is the same as the 'catalog-entries-list' component with the difference that this
   * one waits until a catalog entry exists.
   *
   * Example usage:
   *
   * <div data-bind="component: { name: 'polling-catalog-entries-list', params: {
   *   sourceType: sourceType,
   *   namespace: ko.observable({ id: 'default' }),
   *   compute: ko.observable({ id: 'default' }),
   *   path: ko.observable('default.foo'),
   *   refreshSampleInterval: 3000
   * }}" />
   *
   * @param params
   * @constructor
   */
  function PollingCatalogEntriesList(params) {
    _classCallCheck(this, PollingCatalogEntriesList);

    var self = this;
    self.selectedEntries = params.selectedEntries;
    self.editableDescriptions = params.editableDescriptions;
    self.contextPopoverEnabled = params.contextPopoverEnabled;
    self.onSampleClick = params.onSampleClick;
    self.sourceType = params.sourceType;
    self.namespace = params.namespace;
    self.compute = params.compute;
    self.path = params.path;
    self.refreshSampleInterval = params.refreshSampleInterval;
    self.pollTimeout = -1;
    self.pollCount = 0;
    self.disposals = [];
    self.lastPollSourceMetaPromise = undefined;
    self.catalogEntryExists = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.catalogEntry = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
    self.intialize();

    if (knockout__WEBPACK_IMPORTED_MODULE_0__["isObservable"](self.path)) {
      var pathSub = self.path.subscribe(function (newValue) {
        if (newValue) {
          self.intialize();
        }
      });
      self.disposals.push(function () {
        pathSub.dispose();
      });
    }
  }

  _createClass(PollingCatalogEntriesList, [{
    key: "pollForSourceMeta",
    value: function pollForSourceMeta() {
      var self = this;
      window.clearTimeout(self.pollTimeout);

      var pollInternal = function pollInternal() {
        self.pollCount++;

        if (self.catalogEntry()) {
          self.lastPollSourceMetaPromise = self.catalogEntry().getSourceMeta({
            silenceErrors: true,
            refreshCache: self.pollCount > 0,
            cancellable: true
          }).done(function (sourceMeta) {
            if (sourceMeta.notFound) {
              self.pollForSourceMeta();
            } else {
              self.catalogEntryExists(true);
            }
          }).fail(function () {
            self.pollForSourceMeta();
          });
        }
      };

      if (self.pollCount === 0) {
        pollInternal();
      } else {
        self.pollTimeout = window.setTimeout(pollInternal, Math.min(1000 * self.pollCount, 3000));
      }
    }
  }, {
    key: "intialize",
    value: function intialize() {
      var self = this;
      self.pollCount = 0;
      window.clearTimeout(self.pollTimeout);
      self.catalogEntryExists(false);

      if (self.lastPollSourceMetaPromise && self.lastPollSourceMetaPromise.cancel) {
        self.lastPollSourceMetaPromise.cancel();
      }

      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
        sourceType: knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](self.sourceType),
        namespace: knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](self.namespace),
        compute: knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](self.compute),
        path: knockout__WEBPACK_IMPORTED_MODULE_0__["unwrap"](self.path)
      }).done(function (catalogEntry) {
        self.catalogEntry(catalogEntry);
        self.pollForSourceMeta();
      });
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      window.clearTimeout(self.pollTimeout);

      if (self.lastPollSourceMetaPromise && self.lastPollSourceMetaPromise.cancel) {
        self.lastPollSourceMetaPromise.cancel();
      }

      while (self.disposals.length) {
        self.disposals.pop()();
      }
    }
  }]);

  return PollingCatalogEntriesList;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent(NAME, PollingCatalogEntriesList, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.sentryPrivileges.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.sentryPrivileges.js ***!
  \**************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var NAME = 'hue-sentry-privileges';
var TEMPLATE = "\n  <script type=\"text/html\" id=\"sentry-privileges-component-role\">\n    <div class=\"acl-block-title\">\n      <i class=\"fa fa-cube muted\"></i> <a class=\"pointer\" data-bind=\"click: function(){  $parents[0].showRole($data); }\"><span data-bind=\"text: name\"></span></a>\n    </div>\n    <div data-bind=\"template: { name: 'sentry-privileges-component-privilege', foreach: privilegesForView }\"></div>\n    <div class=\"acl-block acl-actions\">\n      <span class=\"pointer\" data-bind=\"visible: privilegesForViewTo() < privileges().length, click: function(){ privilegesForViewTo(privilegesForViewTo() + 50) }\" title=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Show 50 more...'), "\"><i class=\"fa fa-ellipsis-h\"></i></span>\n      <span class=\"pointer\" data-bind=\"click: addPrivilege, visible: $parents[0].isSentryAdmin && !$parents[0].readOnly\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Add privilege'), "\"><i class=\"fa fa-plus\"></i></span>\n      <span class=\"pointer\" data-bind=\"click: function() { $parents[0].listSentryPrivilegesByAuthorizable() }, visible: privilegesChanged().length > 0\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Undo'), "\"> &nbsp; <i class=\"fa fa-undo\"></i></span>\n      <span class=\"pointer\" data-bind=\"click: function() { $parents[0].deletePrivilegeModal($data) }, visible: privilegesChanged().length > 0\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Save'), "\"> &nbsp; <i class=\"fa fa-save\"></i></span>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"sentry-privileges-component-privilege\">\n    <div data-bind=\"visible: status() != 'deleted' && status() != 'alreadydeleted'\" class=\"acl-block acl-block-airy\">\n      <!-- ko if: editing -->\n      <div class=\"pull-right privilege-actions\" data-bind=\"visible: (grantOption() || $parents[1].isSentryAdmin) && !$parents[1].readOnly\">\n        <a class=\"pointer\" style=\"margin-right: 4px\" data-bind=\"click: function() { if (editing()) { editing(false); }}\"><i class=\"fa fa-eye\"></i></a>\n        <a class=\"pointer\" style=\"margin-right: 4px\" data-bind=\"click: remove\"><i class=\"fa fa-times\"></i></a>\n      </div>\n    \n      <div class=\"inline-block\" style=\"vertical-align: middle\">\n        <a class=\"pointer\" style=\"padding-top: 4px\" data-bind=\"click: function(){ privilegeType('db'); action($parents[1].availableActions(privilegeScope())[0]) }\">\n          <i class=\"fa fa-fw fa-1halfx muted\" data-bind=\"css: {'fa-circle-o': privilegeType() != 'db' , 'fa-check-circle-o': privilegeType() == 'db'}\"></i>\n        </a>\n      </div>\n      <input type=\"text\" data-bind=\"hiveChooser: $data.path, enable: privilegeType() == 'db', apiHelperUser: '").concat(window.LOGGED_USERNAME, "', apiHelperType: 'hive'\" placeholder=\"dbName.tableName <CTRL+SPACE>\">\n    \n      <div class=\"inline-block\" style=\"vertical-align: middle\">\n        <a class=\"pointer\" style=\"padding-top: 4px\" data-bind=\"click: function(){ privilegeType('uri'); action('ALL'); }\">\n          <i class=\"fa fa-fw fa-1halfx muted\" data-bind=\"css: {'fa-circle-o': privilegeType() != 'uri' , 'fa-check-circle-o': privilegeType() == 'uri'}\"></i>\n        </a>\n      </div>\n      <input type=\"text\" data-bind=\"filechooser: $data.URI, enable: privilegeType() == 'uri', valueUpdate: 'afterkeydown'\" placeholder=\"URI\">\n    \n      <select data-bind=\"options: $parents[1].availableActions(privilegeScope()), value: $data.action, enable: (privilegeType() == 'db')\" style=\"width: 100px; margin-bottom: 0\"></select>\n    \n      <div class=\"margin-top-10\">\n        <label class=\"checkbox pull-left\"><input type=\"checkbox\" data-bind=\"checked: grantOption\"> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('With grant'), "</label>\n        <div class=\"inline-block margin-left-10\" style=\"margin-top: 6px\">\n          <a class=\"pointer showAdvanced\" data-bind=\"click: function(){ showAdvanced(true); }, visible: !showAdvanced()\"><i class=\"fa fa-cog\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Show advanced'), "</a>\n          <a class=\"pointer showAdvanced\" data-bind=\"click: function(){ showAdvanced(false); }, visible: showAdvanced()\"><i class=\"fa fa-cog\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Hide advanced'), "</a>\n        </div>\n        <div class=\"clearfix\"></div>\n      </div>\n    \n      <div class=\"acl-block-section\" data-bind=\"visible: showAdvanced\" style=\"margin-top: 0\">\n        ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Server'), " <input type=\"text\" data-bind=\"value: serverName\" placeholder=\"serverName\" style=\"margin-left: 6px\">\n      </div>\n      <!-- /ko -->\n  \n      <!-- ko ifnot: editing -->\n      <div class=\"pull-right privilege-actions\" data-bind=\"visible: (grantOption() || $parents[1].isSentryAdmin) && !$parents[1].readOnly\">\n        <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Edit this privilege'), "\" class=\"pointer\" style=\"margin-right: 4px\" data-bind=\"visible: $parents[1].isSentryAdmin, click: function() { if (! editing()) { editing(true); }}\"><i class=\"fa fa-pencil\"></i></a>\n        <a title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Delete this privilege'), "\" class=\"pointer\" style=\"margin-right: 4px\" data-bind=\"visible: $parents[1].isSentryAdmin, click: remove\"><i class=\"fa fa-times\"></i></a>\n      </div>\n  \n      <span class=\"muted\" data-bind=\"text: privilegeScope, attr: {title: moment(timestamp()).fromNow()}\"></span>\n      <!-- ko if: grantOption -->\n        <i class=\"fa fa-unlock muted\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('With grant option'), "\"></i>\n      <!-- /ko -->\n      <span data-bind=\"visible: metastorePath() != '' && privilegeType() == 'db'\">\n        <a data-bind=\"hueLink: metastorePath()\" class=\"muted\" style=\"margin-left: 4px\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Open in Table Browser...'), "\"><i class=\"fa fa-external-link\"></i></a>\n      </span>\n      <br/>\n  \n      server=<span data-bind=\"text: serverName\"></span>\n  \n      <!-- ko if: privilegeType() == 'db' -->\n      <span data-bind=\"visible: dbName\">\n        <i class=\"fa fa-long-arrow-right\"></i> db=<a class=\"pointer\" data-bind=\"click: function(){ $parents[1].linkToBrowse(dbName()) }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Browse db privileges'), "\"><span data-bind=\"text: dbName\"></span></a>\n      </span>\n      <span data-bind=\"visible: tableName\">\n        <i class=\"fa fa-long-arrow-right\"></i> table=<a class=\"pointer\" data-bind=\"click: function(){ $parents[1].linkToBrowse(dbName() + '.' + tableName()) }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Browse table privileges'), "\"><span data-bind=\"text: tableName\"></span></a>\n      </span>\n      <span data-bind=\"visible: columnName\">\n        <i class=\"fa fa-long-arrow-right\"></i> column=<a class=\"pointer\" data-bind=\"click: function(){ $parents[1].linkToBrowse(dbName() + '.' + tableName() + '.' + columnName()) }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Browse column privileges'), "\"><span data-bind=\"text: columnName\"></span></a>\n      </span>\n      <!-- /ko -->\n  \n      <!-- ko if: privilegeType() == 'uri' -->\n      <i class=\"fa fa-long-arrow-right\"></i> <i class=\"fa fa-file-o\"></i> <i class=\"fa fa-long-arrow-right\"></i> <a data-bind=\"hueLink: '/filebrowser/view=/' + URI().split('/')[3]\"><span data-bind=\"text: URI\"></span></a>\n      <!-- /ko -->\n  \n      <i class=\"fa fa-long-arrow-right\"></i> action=<span data-bind=\"text: action\"></span>\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <!-- ko hueSpinner: { spin: isLoadingPrivileges, inline: true } --><!-- /ko -->\n  <!-- ko if: roles().length -->\n  <div data-bind=\"template: { name: 'sentry-privileges-component-role', foreach: roles }\"></div>\n  <!-- /ko -->\n  <!-- ko ifnot: roles().length -->\n  <em>").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('No privileges found for the selected object.'), "</em>\n  <!-- /ko -->\n  \n  <div id=\"sentryPrivilegesComponentDeletePrivilegeModal\" class=\"modal hide fade in\" role=\"dialog\">\n    <div class=\"modal-header\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n      <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Confirm the deletion?'), "</h2>\n    </div>\n    <div class=\"modal-body\">\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sentry will recursively delete the SERVER or DATABASE privileges you marked for deletion.'), "\n    </div>\n    <div class=\"modal-footer\">\n      <button class=\"btn\" data-dismiss=\"modal\" aria-hidden=\"true\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "</button>\n      <button data-loading-text=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Deleting...'), "\" class=\"btn btn-danger\" data-bind=\"click: function() { roleToUpdate().savePrivileges(roleToUpdate()); }\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Yes, delete'), "</button>\n    </div>\n  </div>\n");

var Privilege = function Privilege(vm, privilege) {
  _classCallCheck(this, Privilege);

  var self = this;
  self.id = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.id != 'undefined' && privilege.id != null ? privilege.id : '');
  self.roleName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.roleName != 'undefined' && privilege.roleName != null ? privilege.roleName : '');
  self.status = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.status != 'undefined' && privilege.status != null ? privilege.status : '');
  self.editing = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.editing != 'undefined' && privilege.editing != null ? privilege.editing : false);
  self.serverName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.serverName != 'undefined' && privilege.serverName != null ? privilege.serverName : '');
  self.serverName.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.dbName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.dbName != 'undefined' && privilege.dbName != null ? privilege.dbName : '');
  self.dbName.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.tableName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.tableName != 'undefined' && privilege.tableName != null ? privilege.tableName : '');
  self.tableName.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.columnName = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.columnName != 'undefined' && privilege.columnName != null ? privilege.columnName : '');
  self.columnName.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.URI = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.URI != 'undefined' && privilege.URI != null ? privilege.URI : '');
  self.URI.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.action = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.action != 'undefined' && privilege.action != null ? privilege.action : 'SELECT');
  self.action.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  });
  self.timestamp = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.timestamp != 'undefined' && privilege.timestamp != null ? privilege.timestamp : 0);
  self.grantOption = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.grantOption != 'undefined' && privilege.grantOption != null ? privilege.grantOption : false);
  self.grantOption.subscribe(function () {
    if (self.status() === '') {
      self.status('modified');
    }
  }); // UI

  self.privilegeType = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.privilegeScope != 'undefined' && privilege.privilegeScope === 'URI' ? 'uri' : 'db');
  self.showAdvanced = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.path = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"]({
    read: function read() {
      if (self.columnName().length > 0) {
        return self.dbName() + '.' + self.tableName() + '.' + self.columnName();
      } else if (self.tableName().length > 0) {
        return self.dbName() + '.' + self.tableName();
      } else {
        return self.dbName();
      }
    },
    write: function write(value) {
      var _parts = value.split('.');

      this.dbName(_parts[0]);
      this.tableName(_parts.length > 1 ? _parts[1] : '');
      this.columnName(_parts.length > 2 ? _parts[2] : '');
    },
    owner: self
  });
  self.metastorePath = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    if (self.columnName().length > 0) {
      return '/metastore/table/' + self.dbName() + '/' + self.tableName() + '#col=' + self.columnName();
    } else if (self.tableName().length > 0) {
      return '/metastore/table/' + self.dbName() + '/' + self.tableName();
    } else if (self.dbName().length > 0) {
      return '/metastore/tables/' + self.dbName();
    } else {
      return '';
    }
  });

  function getPrivilegeScope() {
    if (self.privilegeType() === 'uri') {
      return 'URI';
    } else if (self.columnName().length > 0) {
      return 'COLUMN';
    } else if (self.tableName().length > 0) {
      return 'TABLE';
    } else if (self.dbName().length > 0) {
      return 'DATABASE';
    } else {
      return 'SERVER';
    }
  }

  self.privilegeScope = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof privilege.privilegeScope != 'undefined' ? privilege.privilegeScope : getPrivilegeScope());
  self.privilegeType.subscribe(function () {
    self.privilegeScope(getPrivilegeScope());
  });
  self.columnName.subscribe(function () {
    self.privilegeScope(getPrivilegeScope());
  });
  self.tableName.subscribe(function () {
    self.privilegeScope(getPrivilegeScope());
  });
  self.dbName.subscribe(function () {
    self.privilegeScope(getPrivilegeScope());
  });

  self.remove = function (privilege) {
    if (privilege.status() === 'new') {
      privilege.status('alreadydeleted');
    } else {
      privilege.status('deleted');
    }
  };
};

var Role = function Role(vm, role) {
  _classCallCheck(this, Role);

  var self = this;
  self.name = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](typeof role.name != 'undefined' && role.name != null ? role.name : '');
  self.name.subscribe(function (value) {
    var _found = false;
    vm.role().isEditing(false);
    knockout__WEBPACK_IMPORTED_MODULE_1__["utils"].arrayForEach(vm.roles(), function (role) {
      if (role.name() === value) {
        vm.role(role);
        _found = true;
      }
    });

    if (_found) {
      vm.role().isEditing(true);
      vm.list_sentry_privileges_by_role(vm.role());
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('destroyTypeahead');
    }
  });
  self.selected = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

  self.handleSelect = function () {
    self.selected(!self.selected());
  };

  self.groups = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.originalGroups = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.groups.extend({
    rateLimit: 300
  });
  self.originalGroups.extend({
    rateLimit: 300
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(typeof role.groups != 'undefined' && role.groups != null ? role.groups : [], function (index, group) {
    self.groups.push(group);
    self.originalGroups.push(group);
  });
  self.privileges = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](); // Not included in the API

  self.originalPrivileges = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](); // Not included in the API

  self.privilegesForViewTo = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](49);
  self.showPrivileges = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.showPrivileges.subscribe(function (value) {
    var _expanded = vm.expandedRoles();

    if (value) {
      if (_expanded.indexOf(self.name()) === -1) {
        _expanded.push(self.name());
      }
    } else if (_expanded.indexOf(self.name()) > -1) {
      _expanded.splice(_expanded.indexOf(self.name()), 1);
    }

    vm.expandedRoles(_expanded);
  });
  self.showEditGroups = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.isEditing = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.isLoading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.isValid = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return self.name().length > 0 && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.privileges(), function (privilege) {
      return privilege.privilegeType() === 'uri' && privilege.URI() === '';
    }).length === 0;
  });
  self.privilegesChanged = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default.a.grep(self.privileges(), function (privilege) {
      return ['new', 'deleted', 'modified'].indexOf(privilege.status()) !== -1;
    });
  });
  self.groupsChanged = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return !(jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.groups()).not(self.originalGroups()).length === 0 && jquery__WEBPACK_IMPORTED_MODULE_0___default()(self.originalGroups()).not(self.groups()).length === 0);
  });
  self.groupsChanged.extend({
    rateLimit: 300
  });
  self.privilegesForView = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    return self.privileges().slice(0, self.privilegesForViewTo());
  });

  self.reset = function () {
    self.name('');
    self.groups.removeAll();
    self.privileges.removeAll();
    self.isEditing(false);
  };

  self.addGroup = function () {
    self.groups.push('');
  };

  self.addPrivilege = function () {
    self.privileges.push(new Privilege(vm, {
      serverName: vm.server(),
      status: 'new',
      editing: true,
      dbName: vm.db(),
      tableName: vm.table(),
      columnName: vm.column()
    }));
  };

  self.resetGroups = function () {
    self.groups.removeAll();
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.originalGroups(), function (index, group) {
      self.groups.push(group);
    });
  };

  self.saveGroups = function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/security/api/hive/update_role_groups', {
      role: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self)
    }, function (data) {
      if (data.status === 0) {
        self.showEditGroups(false);
        self.originalGroups.removeAll();
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(self.groups(), function (index, group) {
          self.originalGroups.push(group);
        });
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
      }
    }).fail(function (xhr) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
    });
  };

  self.create = function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();

    if (self.isValid()) {
      self.isLoading(true);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/security/api/hive/create_role', {
        role: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self)
      }, function (data) {
        if (data.status === 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.message);
          vm.showCreateRole(false);
          self.reset();

          var _role2 = new Role(vm, data.role);

          _role2.showPrivileges(true);

          vm.originalRoles.unshift(_role2);
          vm.listSentryPrivilegesByAuthorizable();
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('createdRole');
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).fail(function (xhr) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }).always(function () {
        self.isLoading(false);
      });
    }
  };

  self.update = function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();

    if (self.isValid()) {
      self.isLoading(true);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/security/api/hive/save_privileges', {
        role: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(self)
      }, function (data) {
        if (data.status === 0) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('info', data.message);
          vm.showCreateRole(false);
          vm.listSentryPrivilegesByAuthorizable();
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('createdRole');
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }).fail(function (xhr) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
      }).always(function () {
        self.isLoading(false);
      });
    }
  };

  self.remove = function (role) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();
    self.isLoading(true);
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/security/api/hive/drop_sentry_role', {
      roleName: role.name
    }, function (data) {
      if (data.status === 0) {
        vm.removeRole(role.name());
        vm.listSentryPrivilegesByAuthorizable();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('removedRole');
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
      }
    }).fail(function (xhr) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
    }).always(function () {
      self.isLoading(false);
    });
  };

  self.savePrivileges = function (role) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.jHueNotify').remove();
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.post('/security/api/hive/save_privileges', {
      role: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(role)
    }, function (data) {
      if (data.status === 0) {
        vm.listSentryPrivilegesByAuthorizable();
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('createdRole');
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
      }
    }).fail(function (xhr) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
    });
  };
};

var _create_authorizable_from_ko = function _create_authorizable_from_ko(server, path) {
  if (path != null) {
    var paths = path.split(/[.]/);
    return {
      server: server,
      db: paths[0] ? paths[0] : null,
      table: paths[1] ? paths[1] : null,
      column: paths[2] ? paths[2] : null
    };
  }
};

var _create_ko_privilege = function _create_ko_privilege(privilege) {
  return new Privilege(self, {
    privilegeScope: privilege.scope,
    serverName: privilege.server,
    dbName: privilege.database,
    tableName: privilege.table,
    columnName: privilege.column,
    URI: privilege.URI,
    action: privilege.action,
    timestamp: privilege.timestamp,
    roleName: privilege.roleName,
    grantOption: privilege.grantOption,
    id: _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].UUID()
  });
};

var SentryPrivilegesViewModel = function SentryPrivilegesViewModel(params) {
  _classCallCheck(this, SentryPrivilegesViewModel);

  var self = this;
  self.server = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.server);
  self.path = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.path);
  self.isSentryAdmin = params.isSentryAdmin;
  self.readOnly = !!params.readOnly;
  self.apiVersion = params.apiVersion || 'v1';
  self.apiType = params.apiType || 'hive';
  self.showFilter = params.showFilter;
  self.enableCreateRole = params.enableCreateRole;
  self.path.subscribe(self.listSentryPrivilegesByAuthorizable);
  self.db = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    var db = self.path().split(/[.]/)[0];
    return db ? db : null;
  });
  self.table = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    var table = self.path().split(/[.]/)[1];
    return table ? table : null;
  });
  self.column = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    var column = self.path().split(/[.]/)[2];
    return column ? column : null;
  });
  self.metastorePath = knockout__WEBPACK_IMPORTED_MODULE_1__["computed"](function () {
    if (self.column()) {
      return '/metastore/table/' + self.db() + '/' + self.table() + '#col=' + self.column();
    } else if (self.table()) {
      return '/metastore/table/' + self.db() + '/' + self.table();
    } else if (self.db()) {
      return '/metastore/tables/' + self.db();
    } else {
      return '/metastore/databases';
    }
  });
  self.privileges = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.roles = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.roleToUpdate = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.isLoadingPrivileges = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

  self.availableActions = function (scope) {
    var actions = ['SELECT', 'INSERT', 'ALL'];
    var databaseActions = ['CREATE'];
    var tableActions = ['REFRESH', 'ALTER', 'DROP'];

    switch (scope) {
      case 'SERVER':
        actions = actions.concat(databaseActions).concat(tableActions);
        break;

      case 'DATABASE':
        actions = actions.concat(databaseActions);
        break;

      case 'TABLE':
        actions = actions.concat(tableActions);
        break;
    }

    return knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"](actions.sort());
  };

  self.deletePrivilegeModal = function (role) {
    var cascadeDeletes = role.privilegesChanged().filter(function (privilege) {
      return privilege.status() === 'deleted' && (privilege.privilegeScope() === 'SERVER' || privilege.privilegeScope() === 'DATABASE');
    });

    if (cascadeDeletes.length > 0) {
      self.roleToUpdate(role);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#sentryPrivilegesComponentDeletePrivilegeModal').modal('show');
    } else {
      role.savePrivileges(role);
    }
  };

  self.listSentryPrivilegesByAuthorizable = function () {
    self.isLoadingPrivileges(true);
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
      type: 'POST',
      url: '/security/api/hive/list_sentry_privileges_by_authorizable',
      data: {
        groupName: '',
        roleSet: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON({
          all: true,
          roles: []
        }),
        authorizableHierarchy: knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a.toJSON(_create_authorizable_from_ko(self.server(), self.path()))
      },
      success: function success(data) {
        if (data.status === 0) {
          self.roles([]);
          var _privileges = [];
          jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(data.privileges, function (index, item) {
            if (typeof window.skipList === 'undefined' || window.skipList === false) {
              var _role = null;
              self.roles().forEach(function (role) {
                if (role.name() === item.roleName) {
                  _role = role;
                }
              });

              if (_role == null) {
                var _idx = self.roles.push(new Role(self, {
                  name: item.roleName
                }));

                _role = self.roles()[_idx - 1];
              }

              var privilege = _create_ko_privilege(item);

              var privilegeCopy = _create_ko_privilege(item);

              privilegeCopy.id(privilege.id());

              _role.privileges.push(privilege);

              _role.originalPrivileges.push(privilegeCopy);

              _privileges.push(privilege);
            }
          });

          if (typeof window.skipList === 'undefined' || window.skipList === false) {
            self.privileges(_privileges);
          }
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', data.message);
        }
      }
    }).fail(function (xhr) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).trigger('error', xhr.responseText);
    }).always(function () {
      self.isLoadingPrivileges(false);
    });
  };

  self.linkToBrowse = function (path) {// TODO: implement smart linking
  };

  self.listSentryPrivilegesByAuthorizable();
};

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, SentryPrivilegesViewModel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.sessionAuthModal.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.sessionAuthModal.js ***!
  \**************************************************************************/
/*! exports provided: SHOW_EVENT, SHOWN_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_EVENT", function() { return SHOW_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOWN_EVENT", function() { return SHOWN_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../apps/notebook2/execution/sessionManager */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sessionManager.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var SHOW_EVENT = 'show.session.auth.modal';
var SHOWN_EVENT = 'session.auth.modal.shown';
var TEMPLATE = "\n<div class=\"modal-header\">\n  <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n  <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Connect to the data source'), "</h2>\n</div>\n<div class=\"modal-body\">\n  <!-- ko if: authSessionMessage -->\n    <div class=\"row-fluid\">\n      <div class=\"alert-warning\">\n        <span data-bind=\"text: authSessionMessage\"></span>\n      </div>\n    </div>\n  <!-- /ko -->\n  <div class=\"row-fluid\">\n    <div class=\"span6\">\n      <div class=\"input-prepend\">\n        <span class=\"add-on muted\"><i class=\"fa fa-user\"></i></span>\n        <input name=\"username\" type=\"text\" data-bind=\"value: $root.authSessionUsername\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Username'), "\"/>\n      </div>\n    </div>\n    <div class=\"span6\">\n      <div class=\"input-prepend\">\n        <span class=\"add-on muted\"><i class=\"fa fa-lock\"></i></span>\n        <input name=\"password\" type=\"password\" data-bind=\"value: $root.authSessionPassword\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Password'), "\"/>\n      </div>\n    </div>\n  </div>\n</div>\n<div class=\"modal-footer\">\n  <a class=\"btn\" data-dismiss=\"modal\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Cancel'), "</a>\n  <a class=\"btn btn-primary disable-feedback\" data-bind=\"click: connect, css: { 'disabled': loading }\"><i class='fa fa-spinner fa-spin' data-bind=\"visible: loading\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Connect'), "</a>\n</div>\n");

var SessionAuthModal =
/*#__PURE__*/
function () {
  function SessionAuthModal(params, $modal) {
    _classCallCheck(this, SessionAuthModal);

    this.pending = true;
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.reject = params.reject;
    this.resolve = params.resolve;
    this.session = params.session;
    this.authSessionMessage = params.message;
    this.$modal = $modal;
    var username = '';
    this.session.properties.some(function (property) {
      if (property.name === 'user') {
        username = property.value;
      }
    });
    this.authSessionUsername = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](username);
    this.authSessionPassword = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  }

  _createClass(SessionAuthModal, [{
    key: "connect",
    value: function connect() {
      var properties, session;
      return regeneratorRuntime.async(function connect$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              this.loading(true);
              properties = this.session.properties.filter(function (property) {
                return property.name !== 'user' && property.name !== 'password';
              });
              properties.push({
                name: 'user',
                value: this.authSessionUsername()
              });
              properties.push({
                name: 'password',
                value: this.authSessionPassword()
              });
              _context.prev = 4;
              _context.next = 7;
              return regeneratorRuntime.awrap(_apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_5__["default"].createDetachedSession({
                type: this.session.type,
                properties: properties,
                preventAuthModal: true
              }));

            case 7:
              session = _context.sent;

              // The modal could be closed before creation
              if (this.pending) {
                this.resolve(session);
              }

              this.pending = false;
              this.$modal.modal('hide');
              _context.next = 16;
              break;

            case 13:
              _context.prev = 13;
              _context.t0 = _context["catch"](4);

              if (_context.t0 && _context.t0.auth) {
                this.authSessionMessage(_context.t0.message);
              }

            case 16:
              this.loading(false);

            case 17:
            case "end":
              return _context.stop();
          }
        }
      }, null, this, [[4, 13]]);
    }
  }]);

  return SessionAuthModal;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent('session-auth-modal', undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_EVENT, function (sessionAuthParams) {
    var $sessionAuthModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#sessionAuthModal');

    if ($sessionAuthModal.length > 0) {
      knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($sessionAuthModal[0]);
      $sessionAuthModal.remove();
    }

    $sessionAuthModal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="sessionAuthModal" data-bind="descendantsComplete: descendantsComplete, component: { name: \'session-auth-modal\', params: params }" data-keyboard="true" class="modal hide fade" tabindex="-1"/>');
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($sessionAuthModal);
    var model = new SessionAuthModal(sessionAuthParams, $sessionAuthModal);
    var data = {
      params: model,
      descendantsComplete: function descendantsComplete() {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(SHOWN_EVENT);
      }
    };
    knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](data, $sessionAuthModal[0]);
    $sessionAuthModal.modal('show');
    $sessionAuthModal.on('hidden', function () {
      if (model.pending) {
        model.reject();
        model.pending = false;
      }
    });
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.sessionPanel.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.sessionPanel.js ***!
  \**********************************************************************/
/*! exports provided: NAME, SESSION_PANEL_SHOW_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SESSION_PANEL_SHOW_EVENT", function() { return SESSION_PANEL_SHOW_EVENT; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _bindings_ko_slideVisible__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../bindings/ko.slideVisible */ "./desktop/core/src/desktop/js/ko/bindings/ko.slideVisible.js");
/* harmony import */ var _bindings_ko_toggle__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../bindings/ko.toggle */ "./desktop/core/src/desktop/js/ko/bindings/ko.toggle.js");
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../apps/notebook2/execution/sessionManager */ "./desktop/core/src/desktop/js/apps/notebook2/execution/sessionManager.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.









var NAME = 'session-panel';
var SESSION_PANEL_SHOW_EVENT = 'session.panel.show';
var TEMPLATE = "\n<div class=\"session-panel\" data-test=\"".concat(NAME, "\" data-bind=\"slideVisible: visible\">\n  <div class=\"margin-top-10 padding-left-10 padding-right-10\">\n    <h4 class=\"margin-bottom-10\"><i class=\"fa fa-cogs\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Sessions'), "</h4>\n    <div class=\"session-panel-content\">\n      <!-- ko ifnot: sessions().length -->\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('There are currently no information about the sessions.'), "\n      <!-- /ko -->\n      \n      <!-- ko if: sessions().length -->\n      <div class=\"row-fluid\">\n        <div class=\"span11\">\n          <form class=\"form-horizontal session-config\">\n            <fieldset>\n              <!-- ko foreach: sessions -->\n              <div>\n                <h4 style=\"clear:left; display: inline-block\">\n                  <span data-bind=\"text: session.type\"></span>\n                  <!-- ko if: typeof session.session_id != 'undefined' && session.session_id -->\n                    <span data-bind=\"text: session.session_id\"></span>\n                  <!-- /ko -->\n                </h4>\n                <div class=\"session-actions\">\n                  <a class=\"inactive-action pointer\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Re-create session'), "\" rel=\"tooltip\" data-bind=\"click: $parent.restartSession.bind($parent)\">\n                    <i class=\"fa fa-refresh\" data-bind=\"css: { 'fa-spin': loading }\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Re-create'), "\n                  </a>\n                  <a class=\"inactive-action pointer margin-left-10\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Close session'), "\" rel=\"tooltip\" data-bind=\"click: $parent.closeSession.bind($parent)\">\n                    <i class=\"fa fa-times\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Close'), "\n                  </a>\n                  <!-- ko if: window.USE_DEFAULT_CONFIGURATION -->\n                    <a class=\"inactive-action pointer margin-left-10\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Save session settings as default'), "\" rel=\"tooltip\" data-bind=\"click: saveDefaultUserProperties\"><i class=\"fa fa-save\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Set as default settings'), "</a>\n                  <!-- /ko -->\n                  <!-- ko if: session.type === 'impala' && typeof session.http_addr != 'undefined' -->\n                    <a class=\"margin-left-10\" data-bind=\"attr: { 'href': session.http_addr }\" target=\"_blank\">\n                      <span data-bind=\"text: session.http_addr.replace(/^(https?):\\/\\//, '')\"></span> <i class=\"fa fa-external-link\"></i>\n                    </a>\n                  <!-- /ko -->\n                </div>\n                <!-- ko if: window.USE_DEFAULT_CONFIGURATION -->\n                <div style=\"width:100%;\">\n                  <!-- ko component: { name: 'property-selector', params: { properties: properties } } --><!-- /ko -->\n                </div>\n                <!-- /ko -->\n              </div>\n              <!-- /ko -->\n            </fieldset>\n          </form>\n        </div>\n      </div>\n      <!-- /ko -->\n    </div>\n    <a class=\"pointer demi-modal-chevron\" style=\"position: absolute; bottom: 0\" data-bind=\"toggle: visible\"><i class=\"fa fa-chevron-up\"></i></a>\n  </div>\n</div>\n");

var EditableProperty =
/*#__PURE__*/
function () {
  function EditableProperty(property) {
    _classCallCheck(this, EditableProperty);

    this.defaultValue = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](property.defaultValue);
    this.help_text = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](property.help_text);
    this.key = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](property.key);
    this.multiple = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](property.multiple);
    this.nice_name = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](property.nice_name);
    this.type = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](property.type);
    this.value = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](property.value);
  }

  _createClass(EditableProperty, [{
    key: "getClean",
    value: function getClean() {
      return knockout_mapping__WEBPACK_IMPORTED_MODULE_1___default.a.toJS(this);
    }
  }]);

  return EditableProperty;
}();

var EditableSession =
/*#__PURE__*/
function () {
  function EditableSession(session) {
    _classCallCheck(this, EditableSession);

    this.session = session;
    this.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.properties = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](this.session.properties.map(function (property) {
      return new EditableProperty(property);
    }));
  }

  _createClass(EditableSession, [{
    key: "saveDefaultUserProperties",
    value: function saveDefaultUserProperties() {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_4__["default"].saveConfiguration({
        app: this.session.type,
        properties: this.properties().map(function (property) {
          return property.getClean();
        }),
        userId: window.LOGGED_USER_ID
      });
    }
  }]);

  return EditableSession;
}();

var SessionPanel =
/*#__PURE__*/
function () {
  function SessionPanel() {
    var _this = this;

    _classCallCheck(this, SessionPanel);

    this.visible = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    this.sessions = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    this.activeTypeFilter = undefined;
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe(SESSION_PANEL_SHOW_EVENT, function (type) {
      return _this.showSessions(type);
    });
  }
  /**
   *
   * @param {String} typeFilter
   * @return {Promise<void>}
   */


  _createClass(SessionPanel, [{
    key: "showSessions",
    value: function showSessions(typeFilter) {
      var sessions;
      return regeneratorRuntime.async(function showSessions$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              this.activeTypeFilter = typeFilter;
              sessions = [];

              if (!(typeFilter && _apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__["default"].hasSession(typeFilter))) {
                _context.next = 10;
                break;
              }

              _context.t0 = sessions;
              _context.next = 6;
              return regeneratorRuntime.awrap(_apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__["default"].getSession({
                type: typeFilter
              }));

            case 6:
              _context.t1 = _context.sent;

              _context.t0.push.call(_context.t0, _context.t1);

              _context.next = 13;
              break;

            case 10:
              _context.next = 12;
              return regeneratorRuntime.awrap(_apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__["default"].getAllSessions());

            case 12:
              sessions = _context.sent;

            case 13:
              this.sessions(sessions.map(function (session) {
                return new EditableSession(session);
              }).sort(function (a, b) {
                return a.session.type.localeCompare(b.session.type);
              }));
              this.visible(true);

            case 15:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
    /**
     *
     * @param {EditableSession} editableSession
     * @return {Promise<void>}
     */

  }, {
    key: "restartSession",
    value: function restartSession(editableSession) {
      var session;
      return regeneratorRuntime.async(function restartSession$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              editableSession.loading(true);
              session = editableSession.session; // Apply any changed properties

              session.properties = editableSession.properties().map(function (editableProperty) {
                return editableProperty.getClean();
              });
              _context2.next = 5;
              return regeneratorRuntime.awrap(_apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__["default"].restartSession(session));

            case 5:
              _context2.next = 7;
              return regeneratorRuntime.awrap(this.showSessions(this.activeTypeFilter));

            case 7:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this);
    }
    /**
     *
     * @param {EditableSession} editableSession
     * @return {Promise<void>}
     */

  }, {
    key: "closeSession",
    value: function closeSession(editableSession) {
      var session;
      return regeneratorRuntime.async(function closeSession$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              editableSession.loading(true);
              session = editableSession.session;
              _context3.next = 4;
              return regeneratorRuntime.awrap(_apps_notebook2_execution_sessionManager__WEBPACK_IMPORTED_MODULE_8__["default"].closeSession(session));

            case 4:
              _context3.next = 6;
              return regeneratorRuntime.awrap(this.showSessions(this.activeTypeFilter));

            case 6:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "saveDefaultUserProperties",
    value: function saveDefaultUserProperties(session) {}
  }]);

  return SessionPanel;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_5__["default"].registerComponent(NAME, SessionPanel, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.shareDocModal.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.shareDocModal.js ***!
  \***********************************************************************/
/*! exports provided: SHOW_EVENT, SHOWN_EVENT */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOW_EVENT", function() { return SHOW_EVENT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SHOWN_EVENT", function() { return SHOWN_EVENT; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../doc/hueFileEntry */ "./desktop/core/src/desktop/js/doc/hueFileEntry.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var SHOW_EVENT = 'doc.show.share.modal';
var SHOWN_EVENT = 'doc.share.modal.shown'; // prettier-ignore

var TEMPLATE = "\n  <!-- ko with: document -->\n  <div class=\"modal-header\">\n    <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "\"><span aria-hidden=\"true\">&times;</span></button>\n    <h2 class=\"modal-title\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Sharing'), " - <span data-bind=\"text: $parent.definition().name\"></span></h2>\n  </div>\n  <div class=\"modal-body\" style=\"overflow: visible; height: 240px\">\n    <!-- ko with: definition -->\n    <div class=\"row-fluid\" data-bind=\"visible: !$parent.hasErrors()\" style=\"max-height: 114px;\" id=\"scrolldiv\">\n      <div class=\"span6\">\n        <h4 class=\"muted\" style=\"margin-top: 0\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Read'), "</h4>\n        <div data-bind=\"visible: (perms.read.users.length == 0 && perms.read.groups.length == 0)\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('The document is not shared for read.'), "</div>\n        <ul class=\"unstyled airy\" data-bind=\"foreach: perms.read.users\">\n          <li>\n            <span class=\"badge badge-info\" data-bind=\"css: { 'badge-left' : $parents[1].fileEntry.canModify() }\"><i class=\"fa fa-user\"></i> <span data-bind=\"text: $parents[1].prettifyUsernameById(id), attr:{'data-id': id}\"></span></span><span class=\"badge badge-right trash-share\" data-bind=\"visible: $parents[1].fileEntry.canModify(), click: function() { $parents[1].removeUserReadShare($data) }\"> <i class=\"fa fa-times\"></i></span>\n          </li>\n        </ul>\n        <ul class=\"unstyled airy\" data-bind=\"foreach: perms.read.groups\">\n          <li>\n            <span class=\"badge badge-info\" data-bind=\"css: { 'badge-left' : $parents[1].fileEntry.canModify() }\"><i class=\"fa fa-users\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Group'), " &quot;<span data-bind=\"text: name\"></span>&quot;</span><span class=\"badge badge-right trash-share\" data-bind=\"visible: $parents[1].fileEntry.canModify(), click: function() { $parents[1].removeGroupReadShare($data) }\"> <i class=\"fa fa-times\"></i></span>\n          </li>\n        </ul>\n      </div>\n\n      <div class=\"span6\">\n        <h4 class=\"muted\" style=\"margin-top: 0\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Modify'), "</h4>\n        <div data-bind=\"visible: (perms.write.users.length == 0 && perms.write.groups.length == 0)\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('The document is not shared for modify.'), "</div>\n        <ul class=\"unstyled airy\" data-bind=\"foreach: perms.write.users\">\n          <li>\n            <span class=\"badge badge-info badge-left\" data-bind=\"css: { 'badge-left' : $parents[1].fileEntry.canModify() }\"><i class=\"fa fa-user\"></i> <span data-bind=\"text: $parents[1].prettifyUsernameById(id), attr:{'data-id': id}\"></span></span><span class=\"badge badge-right trash-share\" data-bind=\"visible: $parents[1].fileEntry.canModify(), click: function() { $parents[1].removeUserWriteShare($data) }\"> <i class=\"fa fa-times\"></i></span>\n          </li>\n        </ul>\n        <ul class=\"unstyled airy\" data-bind=\"foreach: perms.write.groups\">\n          <li>\n            <span class=\"badge badge-info badge-left\" data-bind=\"css: { 'badge-left' : $parents[1].fileEntry.canModify() }\"><i class=\"fa fa-users\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Group'), " &quot;<span data-bind=\"text: name\"></span>&quot;</span><span class=\"badge badge-right trash-share\" data-bind=\"visible: $parents[1].fileEntry.canModify(), click: function() { $parents[1].removeGroupWriteShare($data) }\"> <i class=\"fa fa-times\"></i></span>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <!-- /ko -->\n    <div class=\"doc-browser-empty animated\" style=\"display: none;\" data-bind=\"visible: loading\">\n      <i class=\"fa fa-spinner fa-spin fa-2x\" style=\"color: #999;\"></i>\n    </div>\n    <div class=\"doc-browser-empty animated\" style=\"display: none;\" data-bind=\"visible: hasErrors() && ! loading()\">\n      ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('There was an error loading the document.'), "\n    </div>\n    <div style=\"margin-top: 20px\" data-bind=\"visible: fileEntry.canModify() && ! hasErrors() && ! loading()\">\n      <div id=\"shareDocAutocompleteMenu\"></div>\n      <div class=\"input-append\" style=\"font-size: inherit\">\n        <input id=\"shareDocUserInput\" placeholder=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Type a username or a group name'), "\" type=\"text\" data-bind=\"\n            autocomplete: {\n              source: shareAutocompleteUserSource.bind($data),\n              itemTemplate: 'user-search-autocomp-item',\n              noMatchTemplate: 'user-search-autocomp-no-match',\n              valueObservable: searchInput,\n              showSpinner: true,\n              classPrefix: 'hue-',\n              onEnter: onShareAutocompleteUserEnter.bind($data),\n              appendTo: '#shareDocAutocompleteMenu'\n            }, \n            clearable: {\n              value: searchInput,\n              textInput: searchInput\n            }\n          \" class=\"ui-autocomplete-input\" autocomplete=\"off\" style=\"width: 420px\">\n        <div class=\"btn-group\" style=\"overflow:visible\">\n          <a id=\"documentShareAddBtn\" class=\"btn\" data-bind=\"click: function () {  onShareAutocompleteUserEnter() }\"><span data-bind=\"text: selectedPerm() == 'read' ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Read'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Modify'), "'\"></span></a>\n          <a id=\"documentShareCaret\" class=\"btn dropdown-toggle\" data-toggle=\"dropdown\">\n           <span class=\"caret\"></span>\n          </a>\n          <ul class=\"dropdown-menu\">\n            <li><a data-bind=\"click: function () { selectedPerm('read'); onShareAutocompleteUserEnter() }\" href=\"javascript:void(0)\"><i class=\"fa fa-plus\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Read'), "</a></li>\n            <li><a data-bind=\"click: function () { selectedPerm('write'); onShareAutocompleteUserEnter() }\" href=\"javascript:void(0)\"><i class=\"fa fa-plus\"></i> ").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Modify'), "</a></li>\n          </ul>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"modal-footer\">\n    <a href=\"#\" data-dismiss=\"modal\" class=\"btn disable-feedback disable-enter\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_4__["default"])('Close'), "</a>\n  </div>\n  <!-- /ko -->\n");

var getEntry = function getEntry(params) {
  return regeneratorRuntime.async(function getEntry$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          return _context.abrupt("return", new Promise(function (resolve) {
            if (typeof params === 'string') {
              var entry = new _doc_hueFileEntry__WEBPACK_IMPORTED_MODULE_5__["default"]({
                activeEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
                trashEntry: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
                app: 'documents',
                activeSort: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
                user: window.LOGGED_USERNAME,
                definition: {
                  uuid: params
                }
              });
              entry.load(function () {
                resolve(entry);
              }, function () {
                resolve(entry);
              });
            } else {
              resolve(params);
            }
          }));

        case 1:
        case "end":
          return _context.stop();
      }
    }
  });
};

_componentUtils__WEBPACK_IMPORTED_MODULE_2__["default"].registerComponent('share-doc-modal', undefined, TEMPLATE).then(function () {
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe(SHOW_EVENT, function _callee(params) {
    var hueFileEntry, $shareDocMocal, isSharedBefore, data;
    return regeneratorRuntime.async(function _callee$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return regeneratorRuntime.awrap(getEntry(params));

          case 2:
            hueFileEntry = _context2.sent;
            $shareDocMocal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#shareDocModal');

            if ($shareDocMocal.length) {
              knockout__WEBPACK_IMPORTED_MODULE_1__["cleanNode"]($shareDocMocal[0]);
              $shareDocMocal.remove();
            }

            if (!hueFileEntry.document()) {
              hueFileEntry.loadDocument(function () {
                isSharedBefore = hueFileEntry.document().isShared();
              });
            } else {
              isSharedBefore = hueFileEntry.document().isShared();
            }

            $shareDocMocal = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div id="shareDocModal" data-bind="descendantsComplete: descendantsComplete, component: { name: \'share-doc-modal\', params: params }" data-keyboard="true" class="modal hide fade" tabindex="-1"/>');
            jquery__WEBPACK_IMPORTED_MODULE_0___default()('body').append($shareDocMocal);
            data = {
              params: hueFileEntry,
              descendantsComplete: function descendantsComplete() {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish(SHOWN_EVENT);
              }
            };
            knockout__WEBPACK_IMPORTED_MODULE_1__["applyBindings"](data, $shareDocMocal[0]);
            $shareDocMocal.modal('show');
            $shareDocMocal.on('hide', function () {
              if (isSharedBefore !== hueFileEntry.document().isShared()) {
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].publish('assist.document.refresh');
              }
            });

          case 12:
          case "end":
            return _context2.stop();
        }
      }
    });
  });
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.sidebar.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.sidebar.js ***!
  \*****************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var NAME = 'hue-sidebar'; // prettier-ignore

var TEMPLATE = "\n  <script type=\"text/html\" id=\"sidebar-inner-item\">\n    <!-- ko if: iconHtml -->\n    <div class=\"icon\" data-bind=\"html: iconHtml\"></div><span data-bind=\"text: displayName\"></span>\n    <!-- /ko -->\n    <!-- ko ifnot: iconHtml -->\n    <div class=\"icon\" data-bind=\"hueAppIcon: icon\"></div><span data-bind=\"text: displayName\"></span>\n    <!-- /ko -->\n  </script>\n\n  <script type=\"text/html\" id=\"sidebar-item\">\n    <div class=\"item-wrapper\" data-bind=\"css: itemClass\">\n      <!-- ko if: click -->\n      <a href=\"javascript: void(0);\" data-bind=\"click: click, attr: { 'aria-label': displayName, 'data-tooltip': displayName }, css: { 'active': active }\" class=\"item\">\n        <!-- ko template: 'sidebar-inner-item' --><!-- /ko -->\n      </a>\n      <!-- /ko -->\n      <!-- ko ifnot: click -->\n      <a href=\"javascript: void(0);\" data-bind=\"hueLink: url, publish: 'hue.sidebar.update.active', attr: { 'aria-label': displayName, 'data-tooltip': displayName }, css: { 'active': active }\" class=\"item\">\n        <!-- ko template: 'sidebar-inner-item' --><!-- /ko -->\n      </a>\n      <!-- /ko -->\n      <!-- ko if: subMenuTemplate -->\n      <!-- ko template: subMenuTemplate --><!-- /ko -->\n      <!-- /ko -->\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"user-sub-menu-template\">\n    <div class=\"sidebar-menu user-menu\" data-bind=\"css: { 'open' : $component.userMenuOpen }\">\n      <div class=\"menu\">\n        <div class=\"menu-header\">\n          <div class=\"user-icon\" style=\"background-color: #fff\">".concat(window.LOGGED_USERNAME[0].toUpperCase(), "</div>\n          <div>\n            <div>").concat(window.LOGGED_USERNAME, "</div>\n          </div>\n        </div>\n        <ul class=\"sidebar-nav-list\">\n          <!-- ko if: window.USER_VIEW_EDIT_USER_ENABLED -->\n          <li><a href=\"javascript:void(0);\" data-bind=\"\n              hueLink: '/useradmin/users/edit/").concat(window.LOGGED_USERNAME, "',\n              attr: { \n                'title': window.IS_LDAP_SETUP ? '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('View Profile'), "' : '").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Edit Profile'), "'\n              }\n            \">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('My Profile'), "</a></li>\n          <!-- /ko -->\n          <!-- ko if: window.USER_IS_ADMIN -->\n          <li><a href=\"javascript: void(0);\" data-bind=\"hueLink: '/useradmin/users/'\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Manage Users'), "</a></li>\n          <li><a href=\"javascript: void(0);\" data-bind=\"hueLink: '/about/'\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Administration'), "</a></li>\n          <!-- /ko -->\n          <li><a href=\"javascript: void(0);\" data-bind=\"hueLink: '/accounts/logout'\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Sign out'), "\" >").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Sign out'), "</a></li>\n        </ul>\n      </div>\n    </div>\n  </script>\n\n  <script type=\"text/html\" id=\"support-sub-menu-template\">\n    <div class=\"sidebar-menu support-menu\" data-bind=\"css: { 'open' : $component.supportMenuOpen }\">\n      <div class=\"menu\">\n        <ul class=\"sidebar-nav-list\">\n          <li><a href=\"https://docs.gethue.com\" target=\"_blank\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Documentation'), "</a></li>\n          <li><a href=\"javascript:void(0)\" data-bind=\"publish: 'show.welcome.tour'\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Welcome Tour'), "</a></li>\n          <li><a href=\"http://gethue.com\" target=\"_blank\">Gethue.com</a></li>\n        </ul>\n      </div>\n    </div>\n  </script>\n\n  <!-- ko if: window.DISPLAY_APP_SWITCHER -->\n  <!-- ko component: { name: 'hue-app-switcher' } --><!-- /ko -->\n  <!-- /ko -->\n  <!-- ko ifnot: window.DISPLAY_APP_SWITCHER -->\n  <div class=\"hue-sidebar-header\" data-bind=\"css: { 'hue-sidebar-custom-logo' : window.CUSTOM_LOGO }\">\n    <a data-bind=\"hueLink: '/home/'\" href=\"javascript: void(0);\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Documents'), "\">\n      <div class=\"hue-sidebar-logo\"><svg><use xlink:href=\"#hi-sidebar-logo\"></use></svg></div>\n    </a>\n  </div>\n  <!-- /ko -->\n  <div class=\"hue-sidebar-body\">\n    <!-- ko foreach: items -->\n      <!-- ko if: isCategory -->\n        <!-- ko ifnot: $index() === 0 -->\n        <div class=\"item-spacer\"></div>\n        <!-- /ko -->\n        <!-- ko template: {name: 'sidebar-item', foreach: children } --><!-- /ko -->\n      <!-- /ko -->\n      <!-- ko ifnot: isCategory -->\n        <!-- ko template: { name: 'sidebar-item' } --><!-- /ko -->\n      <!-- /ko -->\n    <!-- /ko -->\n  </div>\n  <div class=\"hue-sidebar-footer\">\n    <!-- ko foreach: footerItems -->\n    <!-- ko template: { name: 'sidebar-item' } --><!-- /ko -->\n    <!-- /ko -->\n    <a class=\"hue-sidebar-trigger\" data-bind=\"toggle: collapsed\">\n      <svg><use xlink:href=\"#hi-collapse-nav\"></use></svg>\n    </a>\n  </div>\n");

var SidebarItem = function SidebarItem(options) {
  _classCallCheck(this, SidebarItem);

  this.isCategory = !!options.isCategory;
  this.displayName = options.displayName;
  this.url = options.url;
  this.icon = options.icon;
  this.children = options.children;
  this.name = options.name;
  this.type = options.type;
  this.active = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  this.click = options.click;
  this.subMenuTemplate = options.subMenuTemplate;
  this.iconHtml = options.iconHtml;
  this.itemClass = options.itemClass;
};

var Sidebar =
/*#__PURE__*/
function () {
  function Sidebar(params, element) {
    var _this = this;

    _classCallCheck(this, Sidebar);

    this.$element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    this.collapsed = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    this.userMenuOpen = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.supportMenuOpen = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    this.userMenuOpen.subscribe(function (newVal) {
      if (newVal) {
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click.userMenu', function () {
            _this.userMenuOpen(false);
          });
        }, 0);

        _this.supportMenuOpen(false);
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.userMenu');
      }
    });
    this.supportMenuOpen.subscribe(function (newVal) {
      if (newVal) {
        window.setTimeout(function () {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).on('click.supportMenu', function () {
            _this.supportMenuOpen(false);
          });
        }, 0);

        _this.userMenuOpen(false);
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).off('click.supportMenu');
      }
    });
    this.collapsed.subscribe(function (newVal) {
      if (newVal) {
        _this.$element.addClass('collapsed');
      } else {
        _this.$element.removeClass('collapsed');
      }
    });
    _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].withTotalStorage('hue.sidebar', 'collabse', this.collapsed, true);
    this.items = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    this.footerItems = [new SidebarItem({
      displayName: 'Support',
      icon: 'support',
      click: function click() {
        return _this.supportMenuOpen(!_this.supportMenuOpen());
      },
      subMenuTemplate: 'support-sub-menu-template'
    }), new SidebarItem({
      displayName: window.LOGGED_USERNAME,
      itemClass: 'shepherd-user-menu',
      iconHtml: '<div class="user-icon">' + window.LOGGED_USERNAME[0].toUpperCase() + '</div>',
      click: function click() {
        return _this.userMenuOpen(!_this.userMenuOpen());
      },
      subMenuTemplate: 'user-sub-menu-template'
    })];
    this.lastAppName = undefined;

    var updateActive = function updateActive() {
      _this.userMenuOpen(false);

      _this.supportMenuOpen(false);

      _this.items().forEach(function (item) {
        item.children.forEach(function (child) {
          var active = false;

          if (_this.lastAppName === 'editor') {
            active = child.type === 'editor';
          } else if (_this.lastAppName === 'filebrowser') {
            if (location.href.indexOf('=S3A') !== -1) {
              active = child.type === 's3';
            } else if (location.href.indexOf('=adl') !== -1) {
              active = child.type === 'adls';
            } else if (location.href.indexOf('=abfs') !== -1) {
              active = child.type === 'abfs';
            } else {
              active = child.type === 'hdfs';
            }
          } else {
            active = location.pathname == '/hue' + child.url;
          }

          child.active(active);
        });
      });
    };

    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
      var items = [];

      if (clusterConfig && clusterConfig['app_config']) {
        var appsItems = [];
        var appConfig = clusterConfig['app_config'];

        if (appConfig['editor']) {
          var editor = null;

          if (clusterConfig['main_button_action'] && clusterConfig['main_button_action'].page.indexOf('/editor') === 0) {
            editor = clusterConfig['main_button_action'];
          }

          if (!editor) {
            var defaultEditor = appConfig['editor']['default_sql_interpreter'];

            if (defaultEditor) {
              var foundEditor = appConfig['editor']['interpreters'].filter(function (interpreter) {
                return interpreter.type === defaultEditor;
              });

              if (foundEditor.length === 1) {
                editor = foundEditor[0];
              }
            }
          }

          if (!editor && appConfig['editor']['interpreters'].length > 1) {
            editor = appConfig['editor']['interpreters'][1];
          }

          if (editor) {
            appsItems.push(new SidebarItem({
              displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Editor'),
              url: editor['page'],
              icon: 'editor',
              type: 'editor'
            }));
          } else {
            appsItems.push(new SidebarItem({
              displayName: appConfig['editor']['displayName'],
              url: appConfig['editor']['page'],
              icon: 'editor',
              type: 'editor'
            }));
          }
        }

        ['dashboard', 'scheduler'].forEach(function (appName) {
          if (appConfig[appName]) {
            appsItems.push(new SidebarItem({
              displayName: appConfig[appName]['displayName'],
              url: appConfig[appName]['page'],
              icon: appName,
              type: appName
            }));
          }
        });

        if (appsItems.length > 0) {
          items.push(new SidebarItem({
            isCategory: true,
            displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Apps'),
            children: appsItems
          }));
        }

        var browserItems = [];
        browserItems.push(new SidebarItem({
          displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Documents'),
          url: '/home/',
          icon: 'documents',
          type: 'home'
        }));

        if (appConfig['browser'] && appConfig['browser']['interpreters']) {
          appConfig['browser']['interpreters'].forEach(function (browser) {
            browserItems.push(new SidebarItem({
              displayName: browser.displayName,
              url: browser.page,
              icon: browser.type,
              type: browser.type
            }));
          });
        }

        if (browserItems.length > 0) {
          items.push(new SidebarItem({
            isCategory: true,
            displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Browsers'),
            children: browserItems
          }));
        }

        var sdkItems = [];

        if (appConfig['sdkapps'] && appConfig['sdkapps']['interpreters']) {
          appConfig['sdkapps']['interpreters'].forEach(function (sdkInterpreter) {
            sdkItems.push(new SidebarItem({
              displayName: sdkInterpreter['displayName'],
              url: sdkInterpreter['page'],
              type: sdkInterpreter.type
            }));
          });
        }

        if (sdkItems.length > 0) {
          items.push(new SidebarItem({
            isCategory: true,
            displayName: appConfig['sdkapps']['displayName'],
            children: sdkItems
          }));
        }
      }

      _this.items(items);

      updateActive();
    });
    var throttle = -1;
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('set.current.app.name', function (appName) {
      if (!appName) {
        return;
      }

      _this.lastAppName = appName;
      window.clearTimeout(throttle);
      throttle = window.setTimeout(updateActive, 20);
    });
    updateActive();
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('hue.sidebar.update.active', updateActive);
  }

  _createClass(Sidebar, [{
    key: "toggleCollapse",
    value: function toggleCollapse() {
      this.$element.toggleClass('collapsed');
    }
  }]);

  return Sidebar;
}();

_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent(NAME, {
  createViewModel: function createViewModel(params, componentInfo) {
    return new Sidebar(params, componentInfo.element);
  }
}, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/ko.sqlColumnsTable.js":
/*!*************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/ko.sqlColumnsTable.js ***!
  \*************************************************************************/
/*! exports provided: NAME */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NAME", function() { return NAME; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



var NAME = 'sql-columns-table';
var TEMPLATE = "\n    <div class=\"context-popover-flex\">\n      <div class=\"context-popover-flex-header\">\n        <div class=\"context-popover-header\" style=\"display:inline-block;\">".concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Columns'), " (<span data-bind=\"text: filteredColumns().length\"></span>)</div>\n        <div class=\"context-popover-inline-autocomplete\">\n          <div class=\"context-popover-asterisk-filter\">\n            <!-- ko component: {\n              name: 'inline-autocomplete',\n              params: {\n                querySpec: querySpec,\n                facets: Object.keys(SQL_COLUMNS_KNOWN_FACET_VALUES),\n                knownFacetValues: SQL_COLUMNS_KNOWN_FACET_VALUES,\n                autocompleteFromEntries: autocompleteFromEntries\n              }\n            } --><!-- /ko -->\n          </div>\n        </div>\n      </div>\n      <div class=\"context-popover-flex-fill sql-columns-table\" style=\"position:relative; height: 100%; overflow-y: auto;\">\n        <table id=\"sqlColumnsTable\" style=\"width: 100%\" class=\"table table-condensed table-nowrap\">\n          <!-- ko if: filteredColumns().length !== 0 -->\n          <thead>\n          <tr>\n            <th width=\"6%\">&nbsp;</th>\n            <!-- ko if: typeof filteredColumns()[0].table === 'undefined' -->\n            <th width=\"60%\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Name'), "</th>\n            <!-- /ko -->\n            <!-- ko if: typeof filteredColumns()[0].table !== 'undefined' -->\n            <th width=\"40%\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Name'), "</th>\n            <th width=\"20%\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Table'), "</th>\n            <!-- /ko -->\n            <th width=\"34%\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Type'), "</th>\n            <th width=\"6%\">&nbsp;</th>\n          </tr>\n          </thead>\n          <!-- /ko -->\n          <tbody data-bind=\"foreachVisible: { data: filteredColumns, minHeight: 29, container: '.sql-columns-table', pubSubDispose: 'context.popover.dispose' }\">\n          <tr>\n            <!-- ko if: typeof selected === 'undefined' -->\n            <td data-bind=\"text: $index()+$indexOffset()+1\"></td>\n            <!-- /ko -->\n            <!-- ko if: typeof selected !== 'undefined' -->\n            <td class=\"center\" data-bind=\"multiCheckForeachVisible: { entries: $parent.filteredColumns, selectedAttr: 'selected' }\" style=\"cursor: default;\">\n              <div class=\"hue-checkbox fa\" data-bind=\"css: {'fa-check': selected }\"></div>\n            </td>\n\n            <!-- /ko -->\n            <td style=\"overflow: hidden;\">\n              <!-- ko if: $parent.scrollToColumns -->\n              <a href=\"javascript:void(0)\" class=\"column-selector\" data-bind=\"click: function() { huePubSub.publish('context.popover.scroll.to.column', name); }\" title=\"").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Show sample'), "\"><span data-bind=\"text: name\"></span> <i class=\"fa fa-key\" data-bind=\"visible: typeof primary_key !== 'undefined' && primary_key === 'true'\"></i></a>\n              <!-- /ko -->\n              <!-- ko ifnot: $parent.scrollToColumns -->\n              <span data-bind=\"text: name\"></span> <i class=\"fa fa-key\" data-bind=\"visible: typeof primary_key !== 'undefined' && primary_key === 'true'\"></i>\n              <!-- /ko -->\n            </td>\n            <!-- ko if: typeof table !== 'undefined' -->\n            <td><span data-bind=\"text: table\"></span></td>\n            <!-- /ko -->\n            <td><span data-bind=\"text: type, attr: { 'title': extendedType }, tooltip: { placement: 'bottom' }\"></span></td>\n            <td><i class=\"snippet-icon fa fa-question-circle\" data-bind=\"visible: comment, attr: { 'title': comment }, tooltip: { placement: 'bottom' }\"></i></td>\n          </tr>\n          </tbody>\n        </table>\n        <div class=\"context-popover-empty-columns\" data-bind=\"visible: filteredColumns().length === 0\">").concat(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('No columns found'), "</div>\n      </div>\n    </div>\n");

var SqlColumnsTable = function SqlColumnsTable(params) {
  _classCallCheck(this, SqlColumnsTable);

  var self = this;
  self.columns = params.columns;
  self.scrollToColumns = typeof params.scrollToColumns !== 'undefined' ? params.scrollToColumns : true;
  self.searchInput = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]('');
  self.searchFocus = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
  self.querySpec = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();
  self.filteredColumns = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
    if (!self.querySpec() || self.querySpec().query === '') {
      return self.columns;
    }

    var facets = self.querySpec().facets;
    var isFacetMatch = !facets || Object.keys(facets).length === 0 || !facets['type']; // So far only type facet is used for SQL

    var isTextMatch = !self.querySpec().text || self.querySpec().text.length === 0;
    return self.columns.filter(function (column) {
      var match = true;

      if (!isFacetMatch) {
        match = !!facets['type'][column.type];
      }

      if (match && !isTextMatch) {
        match = self.querySpec().text.every(function (text) {
          return column.name.toLowerCase().indexOf(text.toLowerCase()) !== -1 || column.comment.toLowerCase().indexOf(text.toLowerCase()) !== -1;
        });
      }

      return match;
    });
  });

  self.autocompleteFromEntries = function (nonPartial, partial) {
    var result = [];
    var partialLower = partial.toLowerCase();
    self.columns.forEach(function (column) {
      if (column.name.toLowerCase().indexOf(partialLower) === 0) {
        result.push(nonPartial + partial + column.name.substring(partial.length));
      }
    });
    return result;
  };
};

_componentUtils__WEBPACK_IMPORTED_MODULE_1__["default"].registerComponent(NAME, SqlColumnsTable, TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/ko.simpleAceEditor.js":
/*!*****************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/simpleAceEditor/ko.simpleAceEditor.js ***!
  \*****************************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../bindings/ace/aceLocationHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceLocationHandler.js");
/* harmony import */ var _componentUtils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../componentUtils */ "./desktop/core/src/desktop/js/ko/components/componentUtils.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _solrFormulaAutocompleter__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./solrFormulaAutocompleter */ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrFormulaAutocompleter.js");
/* harmony import */ var _solrQueryAutocompleter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./solrQueryAutocompleter */ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrQueryAutocompleter.js");
/* harmony import */ var _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../sql/sqlAutocompleter */ "./desktop/core/src/desktop/js/sql/sqlAutocompleter.js");
/* harmony import */ var _sql_sqlWorkerHandler__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../sql/sqlWorkerHandler */ "./desktop/core/src/desktop/js/sql/sqlWorkerHandler.js");
/* harmony import */ var _bindings_ace_aceGutterHandler__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../bindings/ace/aceGutterHandler */ "./desktop/core/src/desktop/js/ko/bindings/ace/aceGutterHandler.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var SIMPLE_ACE_TEMPLATE = "\n  <div class=\"simple-ace-single-line\">\n    <div class=\"ace-clearable\" data-bind=\"css: { 'visible': value() !== '' }, click: clear\"><i class=\"fa fa-times-circle\"></i></div>\n    <div class=\"ace-editor\"></div>\n  </div>\n  <!-- ko if: autocompleter !== null -->\n  <!-- ko component: { name: 'hueAceAutocompleter', params: { editor: ace, autocompleter: autocompleter } } --><!-- /ko -->\n  <!-- /ko -->\n";
var SIMPLE_ACE_MULTI_TEMPLATE = "\n  <div class=\"simple-ace-multi-line\">\n    <div class=\"ace-editor\"></div>\n  </div>\n  <!-- ko if: autocompleter !== null -->\n  <!-- ko component: { name: 'hueAceAutocompleter', params: { editor: ace, autocompleter: autocompleter } } --><!-- /ko -->\n  <!-- /ko -->\n";
var AVAILABLE_AUTOCOMPLETERS = {
  solrFormula: _solrFormulaAutocompleter__WEBPACK_IMPORTED_MODULE_5__["default"],
  solrQuery: _solrQueryAutocompleter__WEBPACK_IMPORTED_MODULE_6__["default"],
  impalaQuery: _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__["default"],
  hiveQuery: _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__["default"],
  impala: _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__["default"],
  hive: _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__["default"]
};

var SimpleAceEditor =
/*#__PURE__*/
function () {
  function SimpleAceEditor(params, element) {
    _classCallCheck(this, SimpleAceEditor);

    var $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    var self = this;
    self.value = params.value;
    self.parsedValue = params.parsedValue;
    self.ace = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.disposeFunctions = [];
    self.singleLine = !!params.singleLine;
    var aceOptions = params.aceOptions || {};

    if (!$element.attr('id')) {
      $element.attr('id', _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].UUID());
    }

    var _editor = ace.edit($element.find('.ace-editor')[0]);

    if (params.mode) {
      _editor.getSession().setMode('ace/mode/' + knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](params.mode));
    }

    _editor.$blockScrolling = Infinity;

    _editor.setTheme(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.totalStorage('hue.ace.theme') || 'ace/theme/hue');

    self.ace(_editor);

    if (params.autocomplete) {
      var sourceType = params.autocomplete.type.indexOf('Query') !== -1 ? params.autocomplete.type.replace('Query', '') : params.autocomplete.type;
      var snippet = {
        autocompleteSettings: {
          temporaryOnly: params.temporaryOnly
        },
        type: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](sourceType),
        id: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]($element.attr('id')),
        namespace: params.namespace,
        compute: params.compute,
        database: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](params.database && params.database() ? params.database() : 'default'),
        availableDatabases: knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([params.database && params.database() ? params.database() : 'default']),
        positionStatement: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]({
          location: {
            first_line: 1,
            last_line: 1,
            first_column: 0,
            last_column: _editor.getValue().length
          }
        }),
        whenContextSet: function whenContextSet() {
          var promise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred().resolve().promise();

          promise.dispose = function () {};

          return promise;
        },
        isSqlDialect: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
        aceCursorPosition: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](),
        inFocus: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]()
      };

      if (sourceType === 'hive' || sourceType === 'impala') {
        _sql_sqlWorkerHandler__WEBPACK_IMPORTED_MODULE_8__["default"].registerWorkers();
        var aceLocationHandler = new _bindings_ace_aceLocationHandler__WEBPACK_IMPORTED_MODULE_2__["default"]({
          editor: _editor,
          editorId: $element.attr('id'),
          snippet: snippet
        });
        var aceGutterHandler = new _bindings_ace_aceGutterHandler__WEBPACK_IMPORTED_MODULE_9__["default"]({
          editor: _editor,
          editorId: $element.attr('id'),
          executor: snippet.executor
        });
        self.disposeFunctions.push(function () {
          aceLocationHandler.dispose();
          aceGutterHandler.dispose();
        });
        aceLocationHandler.attachSqlSyntaxWorker();
      }

      var focusListener = _editor.on('focus', function () {
        snippet.inFocus(true);
      });

      var blurListener = _editor.on('blur', function () {
        snippet.inFocus(false);
      });

      self.disposeFunctions.push(function () {
        _editor.off('focus', focusListener);

        _editor.off('blur', blurListener);
      });
      var autocompleteArgs = {
        editor: function editor() {
          return _editor;
        },
        snippet: snippet,
        fixedPrefix: params.fixedPrefix,
        fixedPostfix: params.fixedPostfix,
        support: params.autocomplete.support
      };
      var AutocompleterClass = AVAILABLE_AUTOCOMPLETERS[params.autocomplete.type] || _sql_sqlAutocompleter__WEBPACK_IMPORTED_MODULE_7__["default"];
      self.autocompleter = new AutocompleterClass(autocompleteArgs);
    } else {
      self.autocompleter = null;
    }

    if (self.singleLine) {
      aceOptions = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(aceOptions, {
        fontSize: '13px',
        maxLines: 1,
        // make it 1 line
        autoScrollEditorIntoView: true,
        highlightActiveLine: false,
        printMargin: false,
        showGutter: false
      });
    } else {
      aceOptions = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(aceOptions, {
        maxLines: params.lines || 2
      });
    }

    if (params.autocomplete) {
      aceOptions = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.extend(aceOptions, {
        enableLiveAutocompletion: true,
        enableBasicAutocompletion: true
      });
    }

    _editor.setOptions(aceOptions);

    if (params.onExec) {
      var bindPrefix = params.singleLine ? 'Enter|Shift-Enter|' : '';

      _editor.commands.addCommand({
        name: 'enter',
        bindKey: {
          win: bindPrefix + 'Ctrl-Enter',
          mac: bindPrefix + 'Ctrl-Enter|Command-Enter'
        },
        exec: params.onExec
      });
    }

    if (params.singleLine) {
      _editor.renderer.screenToTextCoordinates = function (x, y) {
        var pos = this.pixelToScreenCoordinates(x, y);
        return this.session.screenToDocumentPosition(Math.min(this.session.getScreenLength() - 1, Math.max(pos.row, 0)), Math.max(pos.column, 0));
      };

      if (!params.onExec) {
        _editor.commands.bindKey('Enter|Shift-Enter', 'null');
      }

      var pasteListener = _editor.on('paste', function (e) {
        e.text = e.text.replace(/[\r\n]+/g, ' ');
      });

      var changeListener = _editor.on('change', function (e) {
        if (e.action === 'insert' && (e.start.row !== 0 || e.end.row !== 0)) {
          _editor.setValue(_editor.getValue().replace(/[\r\n]+/g, ' '));

          _editor.clearSelection();
        }
      });

      self.disposeFunctions.push(function () {
        _editor.off('paste', pasteListener);

        _editor.off('change', changeListener);
      });
    }

    if (self.value()) {
      _editor.setValue(self.value());

      _editor.clearSelection();
    }

    if (params.placeHolder && knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](params.placeHolder)) {
      var placeHolderVisible = false;
      var $placeHolder = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').text(knockout__WEBPACK_IMPORTED_MODULE_1__["unwrap"](params.placeHolder)).addClass('ace_invisible ace_emptyMessage');

      if (_editor.getValue().length === 0) {
        $placeHolder.appendTo(_editor.renderer.scroller);
        placeHolderVisible = true;
      }

      var inputListener = _editor.on('input', function () {
        if (_editor.getValue().length > 0 && placeHolderVisible) {
          $placeHolder.remove();
          placeHolderVisible = false;
        } else if (_editor.getValue().length === 0 && !placeHolderVisible) {
          $placeHolder.appendTo(_editor.renderer.scroller);
          placeHolderVisible = true;
        }
      });

      self.disposeFunctions.push(function () {
        _editor.off('input', inputListener);
      });
    }

    if (params.autocomplete) {
      var AceAutocomplete = ace.require('ace/autocomplete').Autocomplete;

      if (!_editor.completer) {
        _editor.completer = new AceAutocomplete();
      }

      _editor.completer.exactMatch = false;
      _editor.useHueAutocompleter = true;

      var afterExecListener = _editor.commands.on('afterExec', function (e) {
        if (e.command.name === 'insertstring') {
          var triggerAutocomplete = false;

          if (/\S+\(\)$/.test(e.args)) {
            _editor.moveCursorTo(_editor.getCursorPosition().row, _editor.getCursorPosition().column - 1);

            triggerAutocomplete = true;
          } else if (params.autocomplete.type === 'solrQuery' && /:$/.test(e.args)) {
            triggerAutocomplete = true;
          }

          if (triggerAutocomplete) {
            window.setTimeout(function () {
              _editor.execCommand('startAutocomplete');
            }, 1);
          }
        }
      });

      self.disposeFunctions.push(function () {
        _editor.commands.off('afterExec', afterExecListener);
      });
    }

    var parseThrottle = -1;

    var valueUpdateListener = _editor.on('input', function () {
      self.value(_editor.getValue());

      if (self.parsedValue && self.autocompleter && self.autocompleter.parse) {
        window.clearTimeout(parseThrottle);
        parseThrottle = window.setTimeout(function () {
          var parseResult = self.autocompleter.parse(_editor.getValue());

          if (parseResult) {
            self.parsedValue(parseResult.parsedValue);
          } else {
            // TODO: What to do when we can't parse?
            self.parsedValue(_editor.getValue());
          }
        }, 200);
      }
    });

    self.disposeFunctions.push(function () {
      _editor.off('input', valueUpdateListener);
    });
  }

  _createClass(SimpleAceEditor, [{
    key: "clear",
    value: function clear() {
      var self = this;

      if (self.ace()) {
        self.ace().setValue('');
      } else {
        self.value('');
      }
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.disposeFunctions.forEach(function (dispose) {
        dispose();
      });
    }
  }]);

  return SimpleAceEditor;
}(); // Ace requires that the child to clone is first child, so we need separate components for single line & multi line


_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent('hue-simple-ace-editor', {
  createViewModel: function createViewModel(params, componentInfo) {
    return new SimpleAceEditor(params, componentInfo.element);
  }
}, SIMPLE_ACE_TEMPLATE);
_componentUtils__WEBPACK_IMPORTED_MODULE_3__["default"].registerComponent('hue-simple-ace-editor-multi', {
  createViewModel: function createViewModel(params, componentInfo) {
    return new SimpleAceEditor(params, componentInfo.element);
  }
}, SIMPLE_ACE_MULTI_TEMPLATE);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrFormulaAutocompleter.js":
/*!***********************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrFormulaAutocompleter.js ***!
  \***********************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _parse_solrFormulaParser__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../parse/solrFormulaParser */ "./desktop/core/src/desktop/js/parse/solrFormulaParser.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var normalizedColors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].getNormalizedColors(); // TODO: Autocomplete colors should be global

var COLORS = {
  ALL: _utils_hueColors__WEBPACK_IMPORTED_MODULE_1__["default"].BLUE,
  FIELD: normalizedColors['green'][2],
  FUNCTION: normalizedColors['purple-gray'][3],
  KEYWORD: normalizedColors['blue'][4],
  SAMPLE: normalizedColors['purple'][5]
};
var SOLR_FUNCTIONS = {
  abs: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'abs(x)',
    draggable: 'abs()',
    description: 'Returns the absolute value of the specified value or function.'
  },
  and: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'boolean',
      multiple: true
    }]],
    signature: 'and(x, y, ...)',
    draggable: 'and()',
    description: 'Returns a value of true if and only if all of its operands evaluate to true.'
  },
  childfield: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'childfield(x)',
    draggable: 'childfield()',
    description: 'Returns the value of the given field for one of the matched child docs when searching by {!parent}. It can be used only in sort parameter.'
  },
  def: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'def(field, default)',
    draggable: 'def()',
    description: 'def is short for default. Returns the value of field "field", or if the field does not exist, returns the default value specified. and yields the first value where exists()==true.)'
  },
  div: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'div(x, y)',
    draggable: 'div()',
    description: 'Divides one value or function by another. div(x,y) divides x by y.'
  },
  dist: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'dist(power, x, y, 0, 0)',
    draggable: 'dist()',
    description: 'Return the distance between two vectors (points) in an n-dimensional space. Takes in the power, plus two or more ValueSource instances and calculates the distances between the two vectors. Each ValueSource must be a number. There must be an even number of ValueSource instances passed in and the method assumes that the first half represent the first vector and the second half represent the second vector.'
  },
  docfreq: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'docfreq(field, value)',
    draggable: 'docfreq()',
    description: "Returns the number of documents that contain the term in the field. This is a constant (the same value for all documents in the index).\n\n You can quote the term if it's more complex, or do parameter substitution for the term value."
  },
  exists: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'exists(x)',
    draggable: 'exists()',
    description: 'Returns TRUE if any member of the field exists.'
  },
  eq: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'eq(x, y)',
    draggable: 'eq()',
    description: 'Equal, returns TRUE if x is equal to y'
  },
  field: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T',
      optional: true
    }]],
    signature: 'field(field, minOrMax)',
    draggable: 'field()',
    description: 'Returns the numeric docValues or indexed value of the field with the specified name. In its simplest (single argument) form, this function can only be used on single valued fields, and can be called using the name of the field as a string, or for most conventional field names simply use the field name by itself with out using the field(...) syntax.\n\nWhen using docValues, an optional 2nd argument can be specified to select the "min" or "max" value of multivalued fields.\n\n0 is returned for documents without a value in the field.'
  },
  gt: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'gt(x, y)',
    draggable: 'gt()',
    description: 'Greater than, returns TRUE if x is greater than y'
  },
  gte: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'gte(x, y)',
    draggable: 'gte()',
    description: 'Greater than or equal, returns TRUE if x is greater than or equal to y'
  },
  hsin: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'hsin(2, true, x, y, 0, 0)',
    draggable: 'hsin()',
    description: 'The Haversine distance calculates the distance between two points on a sphere when traveling along the sphere. The values must be in radians. hsin also take a Boolean argument to specify whether the function should convert its output to radians.'
  },
  idf: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'idf(field, str)',
    draggable: 'idf()',
    description: 'Inverse document frequency; a measure of whether the term is common or rare across all documents. Obtained by dividing the total number of documents by the number of documents containing the term, and then taking the logarithm of that quotient. See also tf.'
  },
  "if": {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'if(test, val1, val2)',
    draggable: 'if()',
    description: 'Enables conditional function queries. In if(test,value1,value2): \n- test is or refers to a logical value or expression that returns a logical value (TRUE or FALSE).\n- value1 is the value that is returned by the function if test yields TRUE.\n -value2 is the value that is returned by the function if test yields FALSE.\n\nAn expression can be any function which outputs boolean values, or even functions returning numeric values, in which case value 0 will be interpreted as false, or strings, in which case empty string is interpreted as false.'
  },
  linear: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'linear(x, m, c)',
    draggable: 'linear()',
    description: 'Implements m*x+c where m and c are constants and x is an arbitrary function. This is equivalent to sum(product(m,x),c), but slightly more efficient as it is implemented as a single function.'
  },
  log: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'log(x)',
    draggable: 'log()',
    description: 'Returns the log base 10 of the specified function.'
  },
  lt: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'lt(x, y)',
    draggable: 'lt()',
    description: 'Less than, returns TRUE if x is less than y'
  },
  lte: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'lte(x, y)',
    draggable: 'lte()',
    description: 'Less than or equal, returns TRUE if x is less than or equal to y'
  },
  map: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'map(x, min, max, target)',
    draggable: 'map()',
    description: 'Maps any values of an input function x that fall within min and max inclusive to the specified target. The arguments min and max must be constants. The arguments target and default can be constants or functions. If the value of x does not fall between min and max, then either the value of x is returned, or a default value is returned if specified as a 5th argument.'
  },
  max: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'max(x, y, ...)',
    draggable: 'max()',
    description: 'Returns the maximum numeric value of multiple nested functions or constants, which are specified as arguments: max(x,y,...). The max function can also be useful for "bottoming out" another function or field at some specified constant.'
  },
  maxdoc: {
    returnTypes: ['T'],
    arguments: [],
    signature: 'maxdoc()',
    draggable: 'maxdoc()',
    description: 'Returns the number of documents in the index, including those that are marked as deleted but have not yet been purged. This is a constant (the same value for all documents in the index).'
  },
  min: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'min(x, y, ...)',
    draggable: 'min()',
    description: 'Returns the minimum numeric value of multiple nested functions of constants, which are specified as arguments: min(x,y,...). The min function can also be useful for providing an "upper bound" on a function using a constant.'
  },
  ms: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'ms(x, y, ...)',
    draggable: 'ms()',
    description: 'Returns milliseconds of difference between its arguments. Dates are relative to the Unix or POSIX time epoch, midnight, January 1, 1970 UTC. Arguments may be the name of an indexed TrieDateField, or date math based on a constant date or NOW.\n\n- ms(): Equivalent to ms(NOW), number of milliseconds since the epoch.\n- ms(a): Returns the number of milliseconds since the epoch that the argument represents.\n- ms(a,b) : Returns the number of milliseconds that b occurs before a (that is, a - b)'
  },
  mul: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'mul(x, y, ...)',
    draggable: 'mul()',
    description: 'Returns the product of multiple values or functions, which are specified in a comma-separated list. Same as the product function.'
  },
  norm: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'norm(field)',
    draggable: 'norm()',
    description: 'Returns the "norm" stored in the index for the specified field. This is the product of the index time boost and the length normalization factor, according to the Similarity for the field.'
  },
  not: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'boolean'
    }]],
    signature: 'not(x)',
    draggable: 'not()',
    description: 'The logically negated value of the wrapped function.'
  },
  numdocs: {
    returnTypes: ['T'],
    arguments: [],
    signature: 'numdocs()',
    draggable: 'numdocs()',
    description: 'Returns the number of documents in the index, not including those that are marked as deleted but have not yet been purged. This is a constant (the same value for all documents in the index).'
  },
  or: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'boolean',
      multiple: true
    }]],
    signature: 'or(x, y)',
    draggable: 'or()',
    description: 'A logical disjunction.'
  },
  ord: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'ord(field)',
    draggable: 'ord()',
    description: 'Returns the ordinal of the indexed field value within the indexed list of terms for that field in Lucene index order (lexicographically ordered by unicode value), starting at 1. In other words, for a given field, all values are ordered lexicographically; this function then returns the offset of a particular value in that ordering. The field must have a maximum of one value per document (not multi-valued). 0 is returned for documents without a value in the field.'
  },
  payload: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'payload(payloaded_field_dpf, term, 0.0, first)',
    draggable: 'payload()',
    description: 'Returns the float value computed from the decoded payloads of the term specified. The return value is computed using the min, max, or average of the decoded payloads. A special first function can be used instead of the others, to short-circuit term enumeration and return only the decoded payload of the first term. The field specified must have float or integer payload encoding capability (via DelimitedPayloadTokenFilter or NumericPayloadTokenFilter). If no payload is found for the term, the default value is returned.'
  },
  pow: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'pow(x, y)',
    draggable: 'pow()',
    description: 'Raises the specified base to the specified power. pow(x,y) raises x to the power of y.'
  },
  product: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'product(x, y, ...)',
    draggable: 'product()',
    description: 'Returns the product of multiple values or functions, which are specified in a comma-separated list. mul(...) may also be used as an alias for this function.'
  },
  query: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T',
      optional: true
    }]],
    signature: 'query(subquery, default)',
    draggable: 'query()',
    description: 'Returns the score for the given subquery, or the default value for documents not matching the query. Any type of subquery is supported through either parameter de-referencing $otherparam or direct specification of the query string in the Local Parameters through the v key.'
  },
  recip: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }, {
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'recip(x, m, a, b)',
    draggable: 'recip()',
    description: 'Performs a reciprocal function with recip(x,m,a,b) implementing a/(m*x+b) where m,a,b are constants, and x is any arbitrarily complex function.\n\nWhen a and b are equal, and x>=0, this function has a maximum value of 1 that drops as x increases. Increasing the value of a and b together results in a movement of the entire function to a flatter part of the curve. These properties can make this an ideal function for boosting more recent documents when x is rord(datefield).'
  },
  rord: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'rord(x)',
    draggable: 'rord()',
    description: 'Returns the reverse ordering of that returned by ord.'
  },
  scale: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'scale(x, minTarget, maxTarget)',
    draggable: 'scale()',
    description: 'Scales values of the function x such that they fall between the specified minTarget and maxTarget inclusive. The current implementation traverses all of the function values to obtain the min and max, so it can pick the correct scale.\n\nThe current implementation cannot distinguish when documents have been deleted or documents that have no value. It uses 0.0 values for these cases. This means that if values are normally all greater than 0.0, one can still end up with 0.0 as the min value to map from. In these cases, an appropriate map() function could be used as a workaround to change 0.0 to a value in the real range, as shown here: scale(map(x,0,0,5),1,2).'
  },
  sqedist: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'sqedist(x_td, y_td, 0, 0)',
    draggable: 'sqedist()',
    description: 'The Square Euclidean distance calculates the 2-norm (Euclidean distance) but does not take the square root, thus saving a fairly expensive operation. It is often the case that applications that care about Euclidean distance do not need the actual distance, but instead can use the square of the distance. There must be an even number of ValueSource instances passed in and the method assumes that the first half represent the first vector and the second half represent the second vector.'
  },
  sqrt: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'sqrt(x)',
    draggable: 'sqrt()',
    description: 'Returns the square root of the specified value or function.'
  },
  strdist: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'strdist(string1, string2, distance_measure)',
    draggable: 'strdist()',
    description: "Calculate the distance between two strings. Uses the Lucene spell checker StringDistance interface and supports all of the implementations available in that package, plus allows applications to plug in their own via Solr's resource loading capabilities. strdist takes (string1, string2, distance measure).\n\nPossible values for distance measure are:\n- jw: Jaro-Winkler\n- edit: Levenstein or Edit distance\n- ngram: The NGramDistance, if specified, can optionally pass in the ngram size too. Default is 2.\n- FQN: Fully Qualified class Name for an implementation of the StringDistance interface. Must have a no-arg constructor."
  },
  sub: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'sub(x, y)',
    draggable: 'sub()',
    description: 'Returns x-y from sub(x,y).'
  },
  sum: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'sum(x, y, ...)',
    draggable: 'sum()',
    description: 'Returns the sum of multiple values or functions, which are specified in a comma-separated list. add(...) may be used as an alias for this function'
  },
  sumtotaltermfreq: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'sumtotaltermfreq(field)',
    draggable: 'sumtotaltermfreq()',
    description: 'Returns the sum of totaltermfreq values for all terms in the field in the entire index (i.e., the number of indexed tokens for that field). (Aliases sumtotaltermfreq to sttf.)'
  },
  termfreq: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'termfreq(field, term)',
    draggable: 'termfreq()',
    description: 'Returns the number of times the term appears in the field for that document.'
  },
  tf: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'tf(field, term)',
    draggable: 'tf()',
    description: 'Term frequency; returns the term frequency factor for the given term, using the Similarity for the field. The tf-idf value increases proportionally to the number of times a word appears in the document, but is offset by the frequency of the word in the document, which helps to control for the fact that some words are generally more common than others. See also idf.'
  },
  top: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'top(x)',
    draggable: 'top()',
    description: 'Causes the function query argument to derive its values from the top-level IndexReader containing all parts of an index. For example, the ordinal of a value in a single segment will be different from the ordinal of that same value in the complete index.'
  },
  totaltermfreq: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }, {
      type: 'T'
    }]],
    signature: 'totaltermfreq(field, term)',
    draggable: 'totaltermfreq()',
    description: 'Returns the number of times the term appears in the field in the entire index. (Aliases totaltermfreq to ttf.)'
  },
  xor: {
    returnTypes: ['boolean'],
    arguments: [[{
      type: 'boolean',
      multiple: true
    }]],
    signature: 'xor(x, y)',
    draggable: 'xor()',
    description: 'Logical exclusive disjunction, or one or the other but not both.'
  }
};
var SOLR_AGGREGATE_FUNCTIONS = {
  avg: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'avg(x)',
    draggable: 'avg()',
    description: 'Average of numeric values.'
  },
  hll: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'hll(x)',
    draggable: 'hll()',
    description: 'The number of unique values using the HyperLogLog algorithm.'
  },
  max: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'max(x)',
    draggable: 'max()',
    description: 'The maximum value.'
  },
  min: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'min(x)',
    draggable: 'min()',
    description: 'The minimum value.'
  },
  percentile: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T',
      multiple: true
    }]],
    signature: 'percentile(x, y, z, ...)',
    draggable: 'percentile()',
    description: 'Calculates the percentiles.'
  },
  stddev: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'stddev(x)',
    draggable: 'stddev()',
    description: 'Calculates standard deviation (Solr 6.6+).'
  },
  sum: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'sum(x)',
    draggable: 'sum()',
    description: 'The sum of numeric values.'
  },
  sumsq: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'sumsq(x)',
    draggable: 'sumsq()',
    description: 'The sum of squares.'
  },
  unique: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'unique(x)',
    draggable: 'unique()',
    description: 'The number of unique values (count distinct).'
  },
  variance: {
    returnTypes: ['T'],
    arguments: [[{
      type: 'T'
    }]],
    signature: 'variance(x)',
    draggable: 'variance()',
    description: 'Calculates variance (Solr 6.6+).'
  }
};
var CATEGORIES = {
  ALL: {
    id: 'all',
    color: COLORS.ALL,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('All')
  },
  FIELD: {
    id: 'field',
    weight: 1000,
    color: COLORS.FIELD,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Fields'),
    detailsTemplate: 'solr-field'
  },
  FUNCTION: {
    id: 'function',
    weight: 900,
    color: COLORS.FUNCTION,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_3__["default"])('Functions'),
    detailsTemplate: 'udf'
  }
};

var SolrFormulaSuggestions =
/*#__PURE__*/
function () {
  function SolrFormulaSuggestions(fieldAccessor) {
    _classCallCheck(this, SolrFormulaSuggestions);

    var self = this;
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
    self.fieldAccessor = fieldAccessor;
    self.filtered = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      var result = self.entries();

      if (self.filter()) {
        result = _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].autocompleteFilter(self.filter(), result);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('hue.ace.autocompleter.match.updated');
      }

      _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_5__["default"].sortSuggestions(result, self.filter(), self.sortOverride);
      return result;
    });
    self.availableCategories = knockout__WEBPACK_IMPORTED_MODULE_0__["pureComputed"](function () {
      // TODO: Implement autocomplete logic
      return [CATEGORIES.ALL];
    });
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false);
    self.filter = knockout__WEBPACK_IMPORTED_MODULE_0__["observable"]();

    self.cancelRequests = function () {};
  }

  _createClass(SolrFormulaSuggestions, [{
    key: "update",
    value: function update(parseResult) {
      var self = this;
      var syncEntries = [];

      if (parseResult.suggestFields) {
        self.fieldAccessor().forEach(function (field) {
          var type = field.type();

          if (type.indexOf('<') !== -1) {
            type = type.substring(0, type.indexOf('<'));
          }

          syncEntries.push({
            category: CATEGORIES.FIELD,
            value: field.name(),
            meta: type,
            weightAdjust: 0,
            popular: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
            details: field
          });
        });
      }

      if (parseResult.suggestFunctions) {
        Object.keys(SOLR_FUNCTIONS).forEach(function (name) {
          syncEntries.push({
            category: CATEGORIES.FUNCTION,
            value: name + '()',
            meta: SOLR_FUNCTIONS[name].returnTypes.join('|'),
            weightAdjust: 0,
            // Add when we type aware
            popular: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
            details: SOLR_FUNCTIONS[name]
          });
        });
      }

      if (parseResult.suggestAggregateFunctions) {
        Object.keys(SOLR_AGGREGATE_FUNCTIONS).forEach(function (name) {
          syncEntries.push({
            category: CATEGORIES.FUNCTION,
            value: name + '()',
            meta: SOLR_AGGREGATE_FUNCTIONS[name].returnTypes.join('|'),
            weightAdjust: 0,
            // Add when we type aware
            popular: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
            details: SOLR_AGGREGATE_FUNCTIONS[name]
          });
        });
      }

      self.entries(syncEntries);
    }
  }]);

  return SolrFormulaSuggestions;
}();

var SolrFormulaAutocompleter =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Ace} options.editor
   * @param {Object} options.support
   * @param {function} options.support.fields - The observable/function containing the fields
   * @constructor
   */
  function SolrFormulaAutocompleter(options) {
    _classCallCheck(this, SolrFormulaAutocompleter);

    var self = this;
    self.editor = options.editor();
    self.suggestions = new SolrFormulaSuggestions(options.support.fields);
  }

  _createClass(SolrFormulaAutocompleter, [{
    key: "autocomplete",
    value: function autocomplete() {
      var _this = this;

      return regeneratorRuntime.async(function autocomplete$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve) {
                var parseResult = _parse_solrFormulaParser__WEBPACK_IMPORTED_MODULE_4__["default"].autocompleteSolrFormula(_this.editor.getTextBeforeCursor(), _this.editor.getTextAfterCursor());

                _this.suggestions.update(parseResult);

                resolve(parseResult);
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      });
    }
  }, {
    key: "parse",
    value: function parse(value) {
      return _parse_solrFormulaParser__WEBPACK_IMPORTED_MODULE_4__["default"].parseSolrFormula(value);
    }
  }]);

  return SolrFormulaAutocompleter;
}();

/* harmony default export */ __webpack_exports__["default"] = (SolrFormulaAutocompleter);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrQueryAutocompleter.js":
/*!*********************************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/components/simpleAceEditor/solrQueryAutocompleter.js ***!
  \*********************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _parse_solrQueryParser__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../parse/solrQueryParser */ "./desktop/core/src/desktop/js/parse/solrQueryParser.js");
/* harmony import */ var _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../sql/sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var DEFAULT_POPULAR = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
var KEYWORD_I18n = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('keyword');
var SAMPLE_I18n = Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('sample');
var SAMPLE_LIMIT = 100;
var normalizedColors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__["default"].getNormalizedColors(); // TODO: Autocomplete colors should be global

var COLORS = {
  ALL: _utils_hueColors__WEBPACK_IMPORTED_MODULE_3__["default"].BLUE,
  FIELD: normalizedColors['green'][2],
  FUNCTION: normalizedColors['purple-gray'][3],
  KEYWORD: normalizedColors['blue'][4],
  SAMPLE: normalizedColors['purple'][5]
};
var CATEGORIES = {
  ALL: {
    id: 'all',
    color: COLORS.ALL,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('All')
  },
  FIELD: {
    id: 'field',
    weight: 1000,
    color: COLORS.FIELD,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Fields'),
    detailsTemplate: 'solr-field'
  },
  KEYWORD: {
    id: 'keyword',
    weight: 0,
    color: COLORS.KEYWORD,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Keywords'),
    detailsTemplate: 'keyword'
  },
  SAMPLE: {
    id: 'sample',
    weight: 900,
    color: COLORS.SAMPLE,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Samples'),
    detailsTemplate: 'value'
  }
};

var SolrQuerySuggestions =
/*#__PURE__*/
function () {
  function SolrQuerySuggestions(collection, editor) {
    _classCallCheck(this, SolrQuerySuggestions);

    var self = this;
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.editor = editor;
    self.collection = collection;
    self.lastNonSampleSuggestions = [];
    self.parseResult = {};
    self.filtered = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var result = self.entries();

      if (self.filter()) {
        result = _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__["default"].autocompleteFilter(self.filter(), result);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('hue.ace.autocompleter.match.updated');
      }

      _sql_sqlUtils__WEBPACK_IMPORTED_MODULE_7__["default"].sortSuggestions(result, self.filter(), self.sortOverride);
      return result;
    });
    self.availableCategories = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      // TODO: Implement autocomplete logic
      return [CATEGORIES.ALL];
    });
    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.filter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();

    self.cancelRequests = function () {};
  }

  _createClass(SolrQuerySuggestions, [{
    key: "update",
    value: function update(parseResult) {
      var self = this;
      self.lastNonSampleSuggestions = [];
      self.parseResult = parseResult;

      if (self.parseResult.suggestFields) {
        self.collection.template.fieldsAttributes().forEach(function (field) {
          self.lastNonSampleSuggestions.push({
            category: CATEGORIES.FIELD,
            value: field.name() + (parseResult.suggestFields.appendColon ? ':' : ''),
            meta: field.type(),
            weightAdjust: 0,
            popular: DEFAULT_POPULAR,
            details: field
          });
        });
      }

      if (self.parseResult.suggestKeywords) {
        parseResult.suggestKeywords.forEach(function (keyword) {
          self.lastNonSampleSuggestions.push({
            category: CATEGORIES.KEYWORD,
            value: keyword,
            meta: KEYWORD_I18n,
            weightAdjust: 0,
            popular: DEFAULT_POPULAR,
            details: null
          });
        });
      }

      self.entries(self.lastNonSampleSuggestions);

      if (self.parseResult.suggestValues) {
        var aceUtil = ace.require('ace/autocomplete/util');

        var pos = self.editor.getCursorPosition();
        var partial = aceUtil.retrievePrecedingIdentifier(self.editor.session.getLine(pos.row), pos.column);

        if (self.parseResult.suggestValues.partial) {
          partial = self.parseResult.suggestValues.partial + partial;
        }

        var valuesPromise = self.handleSampleSuggestions(partial);
        self.loading(true);
        valuesPromise.done(function (suggestions) {
          if (suggestions.length) {
            self.entries(self.lastNonSampleSuggestions.concat(suggestions));
          }

          self.loading(false);
        });
      }
    }
  }, {
    key: "handleSampleSuggestions",
    value: function handleSampleSuggestions(prefix) {
      var self = this;
      var promise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var fieldName = self.parseResult.suggestValues.field;
      var hasField = self.collection.template.fieldsAttributes().some(function (field) {
        return field.name() === fieldName;
      });

      if (hasField) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].fetchDashboardTerms({
          collectionName: self.collection.name(),
          fieldName: fieldName,
          prefix: prefix || '',
          silenceErrors: true,
          successCallback: function successCallback(result) {
            var sampleSuggestions = [];

            if (result && result.terms && result.terms.length) {
              var maxCount = 1;

              for (var i = 0; i < Math.min(SAMPLE_LIMIT, result.terms.length); i++) {
                var sampleValue = result.terms[i].value;
                var shouldQuote = !self.parseResult.suggestValues.quotePresent && /[\s\u3000!():"'^+\-\[\]{}~*?/]/.test(sampleValue);

                if (maxCount < result.terms[i].count) {
                  maxCount = result.terms[i].count;
                }

                var value = '';

                if (self.parseResult.suggestValues.partial && !shouldQuote && sampleValue.toLowerCase().indexOf(self.parseResult.suggestValues.partial.toLowerCase()) === 0) {
                  value = sampleValue.substring(self.parseResult.suggestValues.partial.length);
                } else {
                  value = shouldQuote ? '"' + sampleValue + '"' : sampleValue;
                }

                sampleSuggestions.push({
                  value: value,
                  meta: SAMPLE_I18n,
                  category: CATEGORIES.SAMPLE,
                  popular: DEFAULT_POPULAR,
                  details: result.terms[i]
                });
              }

              sampleSuggestions.forEach(function (sampleSuggestion) {
                sampleSuggestion.weightAdjust = sampleSuggestion.details.count / maxCount;
              });
            }

            promise.resolve(sampleSuggestions);
          },
          errorCallback: function errorCallback() {
            promise.resolve([]);
          }
        });
      } else {
        promise.resolve([]);
      }

      return promise;
    }
  }, {
    key: "onPartial",
    value: function onPartial(partial) {
      var self = this;

      if (self.parseResult.suggestValues) {
        var promise = self.handleSampleSuggestions(partial);
        promise.done(function (suggestions) {
          if (suggestions.length) {
            self.entries(self.lastNonSampleSuggestions.concat(suggestions));
          } else {
            self.entries(self.lastNonSampleSuggestions);
          }
        });
      }
    }
  }]);

  return SolrQuerySuggestions;
}();

var SolrQueryAutocompleter =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Ace} options.editor
   * @param {Object} options.support
   * @param {function} options.support.fields - The observable/function containing the fields
   * @param {function} options.support.collection - The observable/function containing the active collection
   * @constructor
   */
  function SolrQueryAutocompleter(options) {
    _classCallCheck(this, SolrQueryAutocompleter);

    var self = this;
    self.editor = options.editor();
    self.suggestions = new SolrQuerySuggestions(options.support.collection, self.editor);
  }

  _createClass(SolrQueryAutocompleter, [{
    key: "autocomplete",
    value: function autocomplete() {
      var _this = this;

      return regeneratorRuntime.async(function autocomplete$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve) {
                var parseResult = _parse_solrQueryParser__WEBPACK_IMPORTED_MODULE_6__["default"].autocompleteSolrQuery(_this.editor.getTextBeforeCursor(), _this.editor.getTextAfterCursor());

                _this.suggestions.update(parseResult);

                resolve(parseResult);
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      });
    }
  }, {
    key: "onPartial",
    value: function onPartial(partial) {
      var self = this;
      self.suggestions.onPartial(partial);
    }
  }]);

  return SolrQueryAutocompleter;
}();

/* harmony default export */ __webpack_exports__["default"] = (SolrQueryAutocompleter);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/extenders/ko.maxLength.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/extenders/ko.maxLength.js ***!
  \******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["extenders"].maxLength = function (target, maxLength) {
  var result = knockout__WEBPACK_IMPORTED_MODULE_0__["computed"]({
    read: target,
    write: function write(val) {
      var newVal = val;

      if (maxLength > 0 && val.length > maxLength) {
        var limitedVal = val.substring(0, maxLength);

        if (target() === limitedVal) {
          target.notifySubscribers();
        } else {
          newVal = limitedVal;
        }
      }

      target(newVal);
    }
  }).extend({
    notify: 'always'
  });
  result(target());
  return result;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/extenders/ko.numeric.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/extenders/ko.numeric.js ***!
  \****************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["extenders"].numeric = function (target, config) {
  var precision = typeof config.precision === 'undefined' ? config : config.precision;
  var roundingMultiplier = Math.pow(10, precision);
  var result = knockout__WEBPACK_IMPORTED_MODULE_0__["computed"]({
    read: target,
    write: function write(newValue) {
      var current = target();
      var newValueAsNum = isNaN(newValue) ? 0 : parseFloat(+newValue);
      var valueToWrite = Math.round(newValueAsNum * roundingMultiplier) / roundingMultiplier;

      if (newValue === '' && config.allowEmpty) {
        valueToWrite = newValue;
      }

      if (valueToWrite !== current) {
        target(valueToWrite);
      } else if (newValue !== current) {
        target.notifySubscribers(valueToWrite);
      }
    }
  }).extend({
    notify: 'always'
  });
  result(target());
  return result;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/extenders/ko.toJson.js":
/*!***************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/extenders/ko.toJson.js ***!
  \***************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["toJSONObject"] = function (koObj) {
  return JSON.parse(knockout__WEBPACK_IMPORTED_MODULE_0__["toJSON"](koObj));
};

knockout__WEBPACK_IMPORTED_MODULE_0__["toCleanJSON"] = function (koObj) {
  return knockout__WEBPACK_IMPORTED_MODULE_0__["toJSON"](koObj, function (key, value) {
    if (key === '__ko_mapping__') {
      return;
    } else {
      return value;
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/ko.all.js":
/*!**************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/ko.all.js ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ko_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ko.init */ "./desktop/core/src/desktop/js/ko/ko.init.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout.mapping */ "./node_modules/knockout.mapping/knockout.mapping.js");
/* harmony import */ var knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout_mapping__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var knockout_switch_case__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! knockout-switch-case */ "./node_modules/knockout-switch-case/knockout-switch-case.js");
/* harmony import */ var knockout_switch_case__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(knockout_switch_case__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var knockout_sortable__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! knockout-sortable */ "./node_modules/knockout-sortable/build/knockout-sortable.js");
/* harmony import */ var knockout_sortable__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(knockout_sortable__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var knockout_validation__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! knockout.validation */ "./node_modules/knockout.validation/dist/knockout.validation.js");
/* harmony import */ var knockout_validation__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(knockout_validation__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _ext_ko_editable_custom__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../ext/ko.editable.custom */ "./desktop/core/src/desktop/js/ext/ko.editable.custom.js");
/* harmony import */ var _ext_ko_selectize_custom__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../ext/ko.selectize.custom */ "./desktop/core/src/desktop/js/ext/ko.selectize.custom.js");
/* harmony import */ var _bindings_charts_mapchart_ko_mapChart__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./bindings/charts/mapchart/ko.mapChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/mapchart/ko.mapChart.js");
/* harmony import */ var _bindings_charts_ko_barChart__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./bindings/charts/ko.barChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.barChart.js");
/* harmony import */ var _bindings_charts_ko_leafletMapChart__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./bindings/charts/ko.leafletMapChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.leafletMapChart.js");
/* harmony import */ var _bindings_charts_ko_lineChart__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./bindings/charts/ko.lineChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.lineChart.js");
/* harmony import */ var _bindings_charts_ko_partitionChart__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./bindings/charts/ko.partitionChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.partitionChart.js");
/* harmony import */ var _bindings_charts_ko_pieChart__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./bindings/charts/ko.pieChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.pieChart.js");
/* harmony import */ var _bindings_charts_ko_scatterChart__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./bindings/charts/ko.scatterChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.scatterChart.js");
/* harmony import */ var _bindings_charts_ko_timelineChart__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./bindings/charts/ko.timelineChart */ "./desktop/core/src/desktop/js/ko/bindings/charts/ko.timelineChart.js");
/* harmony import */ var _bindings_ace_ko_aceEditor__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./bindings/ace/ko.aceEditor */ "./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceEditor.js");
/* harmony import */ var _bindings_ace_ko_aceResizer__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./bindings/ace/ko.aceResizer */ "./desktop/core/src/desktop/js/ko/bindings/ace/ko.aceResizer.js");
/* harmony import */ var _bindings_ko_appAwareTemplateContextMenu__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./bindings/ko.appAwareTemplateContextMenu */ "./desktop/core/src/desktop/js/ko/bindings/ko.appAwareTemplateContextMenu.js");
/* harmony import */ var _bindings_ko_assistFileDraggable__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./bindings/ko.assistFileDraggable */ "./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDraggable.js");
/* harmony import */ var _bindings_ko_assistFileDroppable__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./bindings/ko.assistFileDroppable */ "./desktop/core/src/desktop/js/ko/bindings/ko.assistFileDroppable.js");
/* harmony import */ var _bindings_ko_assistVerticalResizer__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./bindings/ko.assistVerticalResizer */ "./desktop/core/src/desktop/js/ko/bindings/ko.assistVerticalResizer.js");
/* harmony import */ var _bindings_ko_attachViewModelToElementData__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./bindings/ko.attachViewModelToElementData */ "./desktop/core/src/desktop/js/ko/bindings/ko.attachViewModelToElementData.js");
/* harmony import */ var _bindings_ko_augmentHtml__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./bindings/ko.augmentHtml */ "./desktop/core/src/desktop/js/ko/bindings/ko.augmentHtml.js");
/* harmony import */ var _bindings_ko_autocomplete__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./bindings/ko.autocomplete */ "./desktop/core/src/desktop/js/ko/bindings/ko.autocomplete.js");
/* harmony import */ var _bindings_ko_autogrowInput__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./bindings/ko.autogrowInput */ "./desktop/core/src/desktop/js/ko/bindings/ko.autogrowInput.js");
/* harmony import */ var _bindings_ko_blurHide__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./bindings/ko.blurHide */ "./desktop/core/src/desktop/js/ko/bindings/ko.blurHide.js");
/* harmony import */ var _bindings_ko_bytesize__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./bindings/ko.bytesize */ "./desktop/core/src/desktop/js/ko/bindings/ko.bytesize.js");
/* harmony import */ var _bindings_ko_chosen__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./bindings/ko.chosen */ "./desktop/core/src/desktop/js/ko/bindings/ko.chosen.js");
/* harmony import */ var _bindings_ko_clearable__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./bindings/ko.clearable */ "./desktop/core/src/desktop/js/ko/bindings/ko.clearable.js");
/* harmony import */ var _bindings_ko_clickForAceFocus__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./bindings/ko.clickForAceFocus */ "./desktop/core/src/desktop/js/ko/bindings/ko.clickForAceFocus.js");
/* harmony import */ var _bindings_ko_clickToCopy__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./bindings/ko.clickToCopy */ "./desktop/core/src/desktop/js/ko/bindings/ko.clickToCopy.js");
/* harmony import */ var _bindings_ko_clipboard__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./bindings/ko.clipboard */ "./desktop/core/src/desktop/js/ko/bindings/ko.clipboard.js");
/* harmony import */ var _bindings_ko_codemirror__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./bindings/ko.codemirror */ "./desktop/core/src/desktop/js/ko/bindings/ko.codemirror.js");
/* harmony import */ var _bindings_ko_contextMenu__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./bindings/ko.contextMenu */ "./desktop/core/src/desktop/js/ko/bindings/ko.contextMenu.js");
/* harmony import */ var _bindings_ko_contextSubMenu__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./bindings/ko.contextSubMenu */ "./desktop/core/src/desktop/js/ko/bindings/ko.contextSubMenu.js");
/* harmony import */ var _bindings_ko_datalist__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./bindings/ko.datalist */ "./desktop/core/src/desktop/js/ko/bindings/ko.datalist.js");
/* harmony import */ var _bindings_ko_datepicker__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./bindings/ko.datepicker */ "./desktop/core/src/desktop/js/ko/bindings/ko.datepicker.js");
/* harmony import */ var _bindings_ko_dateRangePicker__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./bindings/ko.dateRangePicker */ "./desktop/core/src/desktop/js/ko/bindings/ko.dateRangePicker.js");
/* harmony import */ var _bindings_ko_dblClick__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./bindings/ko.dblClick */ "./desktop/core/src/desktop/js/ko/bindings/ko.dblClick.js");
/* harmony import */ var _bindings_ko_delayedOverflow__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./bindings/ko.delayedOverflow */ "./desktop/core/src/desktop/js/ko/bindings/ko.delayedOverflow.js");
/* harmony import */ var _bindings_ko_dockable__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./bindings/ko.dockable */ "./desktop/core/src/desktop/js/ko/bindings/ko.dockable.js");
/* harmony import */ var _bindings_ko_documentChooser__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./bindings/ko.documentChooser */ "./desktop/core/src/desktop/js/ko/bindings/ko.documentChooser.js");
/* harmony import */ var _bindings_ko_documentContextPopover__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./bindings/ko.documentContextPopover */ "./desktop/core/src/desktop/js/ko/bindings/ko.documentContextPopover.js");
/* harmony import */ var _bindings_ko_draggableText__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./bindings/ko.draggableText */ "./desktop/core/src/desktop/js/ko/bindings/ko.draggableText.js");
/* harmony import */ var _bindings_ko_dropdown__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./bindings/ko.dropdown */ "./desktop/core/src/desktop/js/ko/bindings/ko.dropdown.js");
/* harmony import */ var _bindings_ko_dropzone__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./bindings/ko.dropzone */ "./desktop/core/src/desktop/js/ko/bindings/ko.dropzone.js");
/* harmony import */ var _bindings_ko_duration__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./bindings/ko.duration */ "./desktop/core/src/desktop/js/ko/bindings/ko.duration.js");
/* harmony import */ var _bindings_ko_ellipsis__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./bindings/ko.ellipsis */ "./desktop/core/src/desktop/js/ko/bindings/ko.ellipsis.js");
/* harmony import */ var _bindings_ko_fadeVisible__WEBPACK_IMPORTED_MODULE_49__ = __webpack_require__(/*! ./bindings/ko.fadeVisible */ "./desktop/core/src/desktop/js/ko/bindings/ko.fadeVisible.js");
/* harmony import */ var _bindings_ko_fetchMore__WEBPACK_IMPORTED_MODULE_50__ = __webpack_require__(/*! ./bindings/ko.fetchMore */ "./desktop/core/src/desktop/js/ko/bindings/ko.fetchMore.js");
/* harmony import */ var _bindings_ko_fileChooser__WEBPACK_IMPORTED_MODULE_51__ = __webpack_require__(/*! ./bindings/ko.fileChooser */ "./desktop/core/src/desktop/js/ko/bindings/ko.fileChooser.js");
/* harmony import */ var _bindings_ko_foreachVisible__WEBPACK_IMPORTED_MODULE_52__ = __webpack_require__(/*! ./bindings/ko.foreachVisible */ "./desktop/core/src/desktop/js/ko/bindings/ko.foreachVisible.js");
/* harmony import */ var _bindings_ko_fresherEditor__WEBPACK_IMPORTED_MODULE_53__ = __webpack_require__(/*! ./bindings/ko.fresherEditor */ "./desktop/core/src/desktop/js/ko/bindings/ko.fresherEditor.js");
/* harmony import */ var _bindings_ko_hdfsAutocomplete__WEBPACK_IMPORTED_MODULE_54__ = __webpack_require__(/*! ./bindings/ko.hdfsAutocomplete */ "./desktop/core/src/desktop/js/ko/bindings/ko.hdfsAutocomplete.js");
/* harmony import */ var _bindings_ko_hdfsTree__WEBPACK_IMPORTED_MODULE_55__ = __webpack_require__(/*! ./bindings/ko.hdfsTree */ "./desktop/core/src/desktop/js/ko/bindings/ko.hdfsTree.js");
/* harmony import */ var _bindings_ko_highlight__WEBPACK_IMPORTED_MODULE_56__ = __webpack_require__(/*! ./bindings/ko.highlight */ "./desktop/core/src/desktop/js/ko/bindings/ko.highlight.js");
/* harmony import */ var _bindings_ko_hiveChooser__WEBPACK_IMPORTED_MODULE_57__ = __webpack_require__(/*! ./bindings/ko.hiveChooser */ "./desktop/core/src/desktop/js/ko/bindings/ko.hiveChooser.js");
/* harmony import */ var _bindings_ko_html__WEBPACK_IMPORTED_MODULE_58__ = __webpack_require__(/*! ./bindings/ko.html */ "./desktop/core/src/desktop/js/ko/bindings/ko.html.js");
/* harmony import */ var _bindings_ko_hueach__WEBPACK_IMPORTED_MODULE_59__ = __webpack_require__(/*! ./bindings/ko.hueach */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueach.js");
/* harmony import */ var _bindings_ko_hueAppIcon__WEBPACK_IMPORTED_MODULE_60__ = __webpack_require__(/*! ./bindings/ko.hueAppIcon */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueAppIcon.js");
/* harmony import */ var _bindings_ko_hueCheckAll__WEBPACK_IMPORTED_MODULE_61__ = __webpack_require__(/*! ./bindings/ko.hueCheckAll */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckAll.js");
/* harmony import */ var _bindings_ko_hueCheckbox__WEBPACK_IMPORTED_MODULE_62__ = __webpack_require__(/*! ./bindings/ko.hueCheckbox */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueCheckbox.js");
/* harmony import */ var _bindings_ko_hueChecked__WEBPACK_IMPORTED_MODULE_63__ = __webpack_require__(/*! ./bindings/ko.hueChecked */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueChecked.js");
/* harmony import */ var _bindings_ko_hueLink__WEBPACK_IMPORTED_MODULE_64__ = __webpack_require__(/*! ./bindings/ko.hueLink */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueLink.js");
/* harmony import */ var _bindings_ko_hueSpinner__WEBPACK_IMPORTED_MODULE_65__ = __webpack_require__(/*! ./bindings/ko.hueSpinner */ "./desktop/core/src/desktop/js/ko/bindings/ko.hueSpinner.js");
/* harmony import */ var _bindings_ko_impalaDagre__WEBPACK_IMPORTED_MODULE_66__ = __webpack_require__(/*! ./bindings/ko.impalaDagre */ "./desktop/core/src/desktop/js/ko/bindings/ko.impalaDagre.js");
/* harmony import */ var _bindings_ko_jHueRowSelector__WEBPACK_IMPORTED_MODULE_67__ = __webpack_require__(/*! ./bindings/ko.jHueRowSelector */ "./desktop/core/src/desktop/js/ko/bindings/ko.jHueRowSelector.js");
/* harmony import */ var _bindings_ko_logResizer__WEBPACK_IMPORTED_MODULE_68__ = __webpack_require__(/*! ./bindings/ko.logResizer */ "./desktop/core/src/desktop/js/ko/bindings/ko.logResizer.js");
/* harmony import */ var _bindings_ko_logScroller__WEBPACK_IMPORTED_MODULE_69__ = __webpack_require__(/*! ./bindings/ko.logScroller */ "./desktop/core/src/desktop/js/ko/bindings/ko.logScroller.js");
/* harmony import */ var _bindings_ko_medium__WEBPACK_IMPORTED_MODULE_70__ = __webpack_require__(/*! ./bindings/ko.medium */ "./desktop/core/src/desktop/js/ko/bindings/ko.medium.js");
/* harmony import */ var _bindings_ko_moment__WEBPACK_IMPORTED_MODULE_71__ = __webpack_require__(/*! ./bindings/ko.moment */ "./desktop/core/src/desktop/js/ko/bindings/ko.moment.js");
/* harmony import */ var _bindings_ko_momentFromNow__WEBPACK_IMPORTED_MODULE_72__ = __webpack_require__(/*! ./bindings/ko.momentFromNow */ "./desktop/core/src/desktop/js/ko/bindings/ko.momentFromNow.js");
/* harmony import */ var _bindings_ko_multiCheck__WEBPACK_IMPORTED_MODULE_73__ = __webpack_require__(/*! ./bindings/ko.multiCheck */ "./desktop/core/src/desktop/js/ko/bindings/ko.multiCheck.js");
/* harmony import */ var _bindings_ko_multiCheckForeachVisible__WEBPACK_IMPORTED_MODULE_74__ = __webpack_require__(/*! ./bindings/ko.multiCheckForeachVisible */ "./desktop/core/src/desktop/js/ko/bindings/ko.multiCheckForeachVisible.js");
/* harmony import */ var _bindings_ko_multiClick__WEBPACK_IMPORTED_MODULE_75__ = __webpack_require__(/*! ./bindings/ko.multiClick */ "./desktop/core/src/desktop/js/ko/bindings/ko.multiClick.js");
/* harmony import */ var _bindings_ko_multiLineEllipsis__WEBPACK_IMPORTED_MODULE_76__ = __webpack_require__(/*! ./bindings/ko.multiLineEllipsis */ "./desktop/core/src/desktop/js/ko/bindings/ko.multiLineEllipsis.js");
/* harmony import */ var _bindings_ko_numberFormat__WEBPACK_IMPORTED_MODULE_77__ = __webpack_require__(/*! ./bindings/ko.numberFormat */ "./desktop/core/src/desktop/js/ko/bindings/ko.numberFormat.js");
/* harmony import */ var _bindings_ko_numericTextInput__WEBPACK_IMPORTED_MODULE_78__ = __webpack_require__(/*! ./bindings/ko.numericTextInput */ "./desktop/core/src/desktop/js/ko/bindings/ko.numericTextInput.js");
/* harmony import */ var _bindings_ko_onClickOutside__WEBPACK_IMPORTED_MODULE_79__ = __webpack_require__(/*! ./bindings/ko.onClickOutside */ "./desktop/core/src/desktop/js/ko/bindings/ko.onClickOutside.js");
/* harmony import */ var _bindings_ko_oneClickSelect__WEBPACK_IMPORTED_MODULE_80__ = __webpack_require__(/*! ./bindings/ko.oneClickSelect */ "./desktop/core/src/desktop/js/ko/bindings/ko.oneClickSelect.js");
/* harmony import */ var _bindings_ko_parseArguments__WEBPACK_IMPORTED_MODULE_81__ = __webpack_require__(/*! ./bindings/ko.parseArguments */ "./desktop/core/src/desktop/js/ko/bindings/ko.parseArguments.js");
/* harmony import */ var _bindings_ko_publish__WEBPACK_IMPORTED_MODULE_82__ = __webpack_require__(/*! ./bindings/ko.publish */ "./desktop/core/src/desktop/js/ko/bindings/ko.publish.js");
/* harmony import */ var _bindings_ko_readOnlyAce__WEBPACK_IMPORTED_MODULE_83__ = __webpack_require__(/*! ./bindings/ko.readOnlyAce */ "./desktop/core/src/desktop/js/ko/bindings/ko.readOnlyAce.js");
/* harmony import */ var _bindings_ko_resizable__WEBPACK_IMPORTED_MODULE_84__ = __webpack_require__(/*! ./bindings/ko.resizable */ "./desktop/core/src/desktop/js/ko/bindings/ko.resizable.js");
/* harmony import */ var _bindings_ko_select2__WEBPACK_IMPORTED_MODULE_85__ = __webpack_require__(/*! ./bindings/ko.select2 */ "./desktop/core/src/desktop/js/ko/bindings/ko.select2.js");
/* harmony import */ var _bindings_ko_simplesize__WEBPACK_IMPORTED_MODULE_86__ = __webpack_require__(/*! ./bindings/ko.simplesize */ "./desktop/core/src/desktop/js/ko/bindings/ko.simplesize.js");
/* harmony import */ var _bindings_ko_slider__WEBPACK_IMPORTED_MODULE_87__ = __webpack_require__(/*! ./bindings/ko.slider */ "./desktop/core/src/desktop/js/ko/bindings/ko.slider.js");
/* harmony import */ var _bindings_ko_slideVisible__WEBPACK_IMPORTED_MODULE_88__ = __webpack_require__(/*! ./bindings/ko.slideVisible */ "./desktop/core/src/desktop/js/ko/bindings/ko.slideVisible.js");
/* harmony import */ var _bindings_ko_solrChooser__WEBPACK_IMPORTED_MODULE_89__ = __webpack_require__(/*! ./bindings/ko.solrChooser */ "./desktop/core/src/desktop/js/ko/bindings/ko.solrChooser.js");
/* harmony import */ var _bindings_ko_spinEdit__WEBPACK_IMPORTED_MODULE_90__ = __webpack_require__(/*! ./bindings/ko.spinEdit */ "./desktop/core/src/desktop/js/ko/bindings/ko.spinEdit.js");
/* harmony import */ var _bindings_ko_splitDraggable__WEBPACK_IMPORTED_MODULE_91__ = __webpack_require__(/*! ./bindings/ko.splitDraggable */ "./desktop/core/src/desktop/js/ko/bindings/ko.splitDraggable.js");
/* harmony import */ var _bindings_ko_splitFlexDraggable__WEBPACK_IMPORTED_MODULE_92__ = __webpack_require__(/*! ./bindings/ko.splitFlexDraggable */ "./desktop/core/src/desktop/js/ko/bindings/ko.splitFlexDraggable.js");
/* harmony import */ var _bindings_ko_sqlContextPopover__WEBPACK_IMPORTED_MODULE_93__ = __webpack_require__(/*! ./bindings/ko.sqlContextPopover */ "./desktop/core/src/desktop/js/ko/bindings/ko.sqlContextPopover.js");
/* harmony import */ var _bindings_ko_stickVertical__WEBPACK_IMPORTED_MODULE_94__ = __webpack_require__(/*! ./bindings/ko.stickVertical */ "./desktop/core/src/desktop/js/ko/bindings/ko.stickVertical.js");
/* harmony import */ var _bindings_ko_storageContextPopover__WEBPACK_IMPORTED_MODULE_95__ = __webpack_require__(/*! ./bindings/ko.storageContextPopover */ "./desktop/core/src/desktop/js/ko/bindings/ko.storageContextPopover.js");
/* harmony import */ var _bindings_ko_stretchDown__WEBPACK_IMPORTED_MODULE_96__ = __webpack_require__(/*! ./bindings/ko.stretchDown */ "./desktop/core/src/desktop/js/ko/bindings/ko.stretchDown.js");
/* harmony import */ var _bindings_ko_tagEditor__WEBPACK_IMPORTED_MODULE_97__ = __webpack_require__(/*! ./bindings/ko.tagEditor */ "./desktop/core/src/desktop/js/ko/bindings/ko.tagEditor.js");
/* harmony import */ var _bindings_ko_tagsNotAllowed__WEBPACK_IMPORTED_MODULE_98__ = __webpack_require__(/*! ./bindings/ko.tagsNotAllowed */ "./desktop/core/src/desktop/js/ko/bindings/ko.tagsNotAllowed.js");
/* harmony import */ var _bindings_ko_templateContextMenu__WEBPACK_IMPORTED_MODULE_99__ = __webpack_require__(/*! ./bindings/ko.templateContextMenu */ "./desktop/core/src/desktop/js/ko/bindings/ko.templateContextMenu.js");
/* harmony import */ var _bindings_ko_templatePopover__WEBPACK_IMPORTED_MODULE_100__ = __webpack_require__(/*! ./bindings/ko.templatePopover */ "./desktop/core/src/desktop/js/ko/bindings/ko.templatePopover.js");
/* harmony import */ var _bindings_ko_textSqueezer__WEBPACK_IMPORTED_MODULE_101__ = __webpack_require__(/*! ./bindings/ko.textSqueezer */ "./desktop/core/src/desktop/js/ko/bindings/ko.textSqueezer.js");
/* harmony import */ var _bindings_ko_toggle__WEBPACK_IMPORTED_MODULE_102__ = __webpack_require__(/*! ./bindings/ko.toggle */ "./desktop/core/src/desktop/js/ko/bindings/ko.toggle.js");
/* harmony import */ var _bindings_ko_toggleOverflow__WEBPACK_IMPORTED_MODULE_103__ = __webpack_require__(/*! ./bindings/ko.toggleOverflow */ "./desktop/core/src/desktop/js/ko/bindings/ko.toggleOverflow.js");
/* harmony import */ var _bindings_ko_tooltip__WEBPACK_IMPORTED_MODULE_104__ = __webpack_require__(/*! ./bindings/ko.tooltip */ "./desktop/core/src/desktop/js/ko/bindings/ko.tooltip.js");
/* harmony import */ var _bindings_ko_truncatedText__WEBPACK_IMPORTED_MODULE_105__ = __webpack_require__(/*! ./bindings/ko.truncatedText */ "./desktop/core/src/desktop/js/ko/bindings/ko.truncatedText.js");
/* harmony import */ var _bindings_ko_typeahead__WEBPACK_IMPORTED_MODULE_106__ = __webpack_require__(/*! ./bindings/ko.typeahead */ "./desktop/core/src/desktop/js/ko/bindings/ko.typeahead.js");
/* harmony import */ var _bindings_ko_verticalSlide__WEBPACK_IMPORTED_MODULE_107__ = __webpack_require__(/*! ./bindings/ko.verticalSlide */ "./desktop/core/src/desktop/js/ko/bindings/ko.verticalSlide.js");
/* harmony import */ var _bindings_ko_visibleOnHover__WEBPACK_IMPORTED_MODULE_108__ = __webpack_require__(/*! ./bindings/ko.visibleOnHover */ "./desktop/core/src/desktop/js/ko/bindings/ko.visibleOnHover.js");
/* harmony import */ var _components_appSwitcher_ko_appSwitcher__WEBPACK_IMPORTED_MODULE_109__ = __webpack_require__(/*! ./components/appSwitcher/ko.appSwitcher */ "./desktop/core/src/desktop/js/ko/components/appSwitcher/ko.appSwitcher.js");
/* harmony import */ var _components_assist_ko_assistDashboardPanel__WEBPACK_IMPORTED_MODULE_110__ = __webpack_require__(/*! ./components/assist/ko.assistDashboardPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDashboardPanel.js");
/* harmony import */ var _components_assist_ko_assistDbPanel__WEBPACK_IMPORTED_MODULE_111__ = __webpack_require__(/*! ./components/assist/ko.assistDbPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDbPanel.js");
/* harmony import */ var _components_assist_ko_assistDocumentsPanel__WEBPACK_IMPORTED_MODULE_112__ = __webpack_require__(/*! ./components/assist/ko.assistDocumentsPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistDocumentsPanel.js");
/* harmony import */ var _components_assist_ko_assistEditorContextPanel__WEBPACK_IMPORTED_MODULE_113__ = __webpack_require__(/*! ./components/assist/ko.assistEditorContextPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistEditorContextPanel.js");
/* harmony import */ var _components_assist_ko_assistFunctionsPanel__WEBPACK_IMPORTED_MODULE_114__ = __webpack_require__(/*! ./components/assist/ko.assistFunctionsPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistFunctionsPanel.js");
/* harmony import */ var _components_assist_ko_assistGitPanel__WEBPACK_IMPORTED_MODULE_115__ = __webpack_require__(/*! ./components/assist/ko.assistGitPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistGitPanel.js");
/* harmony import */ var _components_assist_ko_assistHBasePanel__WEBPACK_IMPORTED_MODULE_116__ = __webpack_require__(/*! ./components/assist/ko.assistHBasePanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistHBasePanel.js");
/* harmony import */ var _components_assist_ko_assistLangRefPanel__WEBPACK_IMPORTED_MODULE_117__ = __webpack_require__(/*! ./components/assist/ko.assistLangRefPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistLangRefPanel.js");
/* harmony import */ var _components_assist_ko_assistPanel__WEBPACK_IMPORTED_MODULE_118__ = __webpack_require__(/*! ./components/assist/ko.assistPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistPanel.js");
/* harmony import */ var _components_assist_ko_assistSchedulePanel__WEBPACK_IMPORTED_MODULE_119__ = __webpack_require__(/*! ./components/assist/ko.assistSchedulePanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistSchedulePanel.js");
/* harmony import */ var _components_assist_ko_assistStoragePanel__WEBPACK_IMPORTED_MODULE_120__ = __webpack_require__(/*! ./components/assist/ko.assistStoragePanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.assistStoragePanel.js");
/* harmony import */ var _components_assist_ko_rightAssistPanel__WEBPACK_IMPORTED_MODULE_121__ = __webpack_require__(/*! ./components/assist/ko.rightAssistPanel */ "./desktop/core/src/desktop/js/ko/components/assist/ko.rightAssistPanel.js");
/* harmony import */ var _components_contextPopover_ko_contextPopover__WEBPACK_IMPORTED_MODULE_122__ = __webpack_require__(/*! ./components/contextPopover/ko.contextPopover */ "./desktop/core/src/desktop/js/ko/components/contextPopover/ko.contextPopover.js");
/* harmony import */ var _components_simpleAceEditor_ko_simpleAceEditor__WEBPACK_IMPORTED_MODULE_123__ = __webpack_require__(/*! ./components/simpleAceEditor/ko.simpleAceEditor */ "./desktop/core/src/desktop/js/ko/components/simpleAceEditor/ko.simpleAceEditor.js");
/* harmony import */ var _components_ko_catalogEntriesList__WEBPACK_IMPORTED_MODULE_124__ = __webpack_require__(/*! ./components/ko.catalogEntriesList */ "./desktop/core/src/desktop/js/ko/components/ko.catalogEntriesList.js");
/* harmony import */ var _components_ko_contextSelector__WEBPACK_IMPORTED_MODULE_125__ = __webpack_require__(/*! ./components/ko.contextSelector */ "./desktop/core/src/desktop/js/ko/components/ko.contextSelector.js");
/* harmony import */ var _components_ko_createDirectoryModal__WEBPACK_IMPORTED_MODULE_126__ = __webpack_require__(/*! ./components/ko.createDirectoryModal */ "./desktop/core/src/desktop/js/ko/components/ko.createDirectoryModal.js");
/* harmony import */ var _components_ko_deleteDocModal__WEBPACK_IMPORTED_MODULE_127__ = __webpack_require__(/*! ./components/ko.deleteDocModal */ "./desktop/core/src/desktop/js/ko/components/ko.deleteDocModal.js");
/* harmony import */ var _components_ko_dropDown__WEBPACK_IMPORTED_MODULE_128__ = __webpack_require__(/*! ./components/ko.dropDown */ "./desktop/core/src/desktop/js/ko/components/ko.dropDown.js");
/* harmony import */ var _components_ko_executionAnalysis__WEBPACK_IMPORTED_MODULE_129__ = __webpack_require__(/*! ./components/ko.executionAnalysis */ "./desktop/core/src/desktop/js/ko/components/ko.executionAnalysis.js");
/* harmony import */ var _components_ko_favoriteApp__WEBPACK_IMPORTED_MODULE_130__ = __webpack_require__(/*! ./components/ko.favoriteApp */ "./desktop/core/src/desktop/js/ko/components/ko.favoriteApp.js");
/* harmony import */ var _components_ko_fieldSamples__WEBPACK_IMPORTED_MODULE_131__ = __webpack_require__(/*! ./components/ko.fieldSamples */ "./desktop/core/src/desktop/js/ko/components/ko.fieldSamples.js");
/* harmony import */ var _components_ko_globalSearch__WEBPACK_IMPORTED_MODULE_132__ = __webpack_require__(/*! ./components/ko.globalSearch */ "./desktop/core/src/desktop/js/ko/components/ko.globalSearch.js");
/* harmony import */ var _components_ko_historyPanel__WEBPACK_IMPORTED_MODULE_133__ = __webpack_require__(/*! ./components/ko.historyPanel */ "./desktop/core/src/desktop/js/ko/components/ko.historyPanel.js");
/* harmony import */ var _components_ko_importDocumentsModal__WEBPACK_IMPORTED_MODULE_134__ = __webpack_require__(/*! ./components/ko.importDocumentsModal */ "./desktop/core/src/desktop/js/ko/components/ko.importDocumentsModal.js");
/* harmony import */ var _components_ko_inlineAutocomplete__WEBPACK_IMPORTED_MODULE_135__ = __webpack_require__(/*! ./components/ko.inlineAutocomplete */ "./desktop/core/src/desktop/js/ko/components/ko.inlineAutocomplete.js");
/* harmony import */ var _components_ko_jobBrowserLinks__WEBPACK_IMPORTED_MODULE_136__ = __webpack_require__(/*! ./components/ko.jobBrowserLinks */ "./desktop/core/src/desktop/js/ko/components/ko.jobBrowserLinks.js");
/* harmony import */ var _components_ko_multiClusterSidebar__WEBPACK_IMPORTED_MODULE_137__ = __webpack_require__(/*! ./components/ko.multiClusterSidebar */ "./desktop/core/src/desktop/js/ko/components/ko.multiClusterSidebar.js");
/* harmony import */ var _components_ko_navProperties__WEBPACK_IMPORTED_MODULE_138__ = __webpack_require__(/*! ./components/ko.navProperties */ "./desktop/core/src/desktop/js/ko/components/ko.navProperties.js");
/* harmony import */ var _components_ko_navTags__WEBPACK_IMPORTED_MODULE_139__ = __webpack_require__(/*! ./components/ko.navTags */ "./desktop/core/src/desktop/js/ko/components/ko.navTags.js");
/* harmony import */ var _components_ko_performanceGraph__WEBPACK_IMPORTED_MODULE_140__ = __webpack_require__(/*! ./components/ko.performanceGraph */ "./desktop/core/src/desktop/js/ko/components/ko.performanceGraph.js");
/* harmony import */ var _components_ko_pollingCatalogEntriesList__WEBPACK_IMPORTED_MODULE_141__ = __webpack_require__(/*! ./components/ko.pollingCatalogEntriesList */ "./desktop/core/src/desktop/js/ko/components/ko.pollingCatalogEntriesList.js");
/* harmony import */ var _components_ko_sentryPrivileges__WEBPACK_IMPORTED_MODULE_142__ = __webpack_require__(/*! ./components/ko.sentryPrivileges */ "./desktop/core/src/desktop/js/ko/components/ko.sentryPrivileges.js");
/* harmony import */ var _components_ko_sessionAuthModal__WEBPACK_IMPORTED_MODULE_143__ = __webpack_require__(/*! ./components/ko.sessionAuthModal */ "./desktop/core/src/desktop/js/ko/components/ko.sessionAuthModal.js");
/* harmony import */ var _components_ko_sessionPanel__WEBPACK_IMPORTED_MODULE_144__ = __webpack_require__(/*! ./components/ko.sessionPanel */ "./desktop/core/src/desktop/js/ko/components/ko.sessionPanel.js");
/* harmony import */ var _components_ko_shareDocModal__WEBPACK_IMPORTED_MODULE_145__ = __webpack_require__(/*! ./components/ko.shareDocModal */ "./desktop/core/src/desktop/js/ko/components/ko.shareDocModal.js");
/* harmony import */ var _components_ko_sidebar__WEBPACK_IMPORTED_MODULE_146__ = __webpack_require__(/*! ./components/ko.sidebar */ "./desktop/core/src/desktop/js/ko/components/ko.sidebar.js");
/* harmony import */ var _components_ko_sqlColumnsTable__WEBPACK_IMPORTED_MODULE_147__ = __webpack_require__(/*! ./components/ko.sqlColumnsTable */ "./desktop/core/src/desktop/js/ko/components/ko.sqlColumnsTable.js");
/* harmony import */ var _extenders_ko_maxLength__WEBPACK_IMPORTED_MODULE_148__ = __webpack_require__(/*! ./extenders/ko.maxLength */ "./desktop/core/src/desktop/js/ko/extenders/ko.maxLength.js");
/* harmony import */ var _extenders_ko_numeric__WEBPACK_IMPORTED_MODULE_149__ = __webpack_require__(/*! ./extenders/ko.numeric */ "./desktop/core/src/desktop/js/ko/extenders/ko.numeric.js");
/* harmony import */ var _extenders_ko_toJson__WEBPACK_IMPORTED_MODULE_150__ = __webpack_require__(/*! ./extenders/ko.toJson */ "./desktop/core/src/desktop/js/ko/extenders/ko.toJson.js");
/* harmony import */ var _observables_ko_observableArrayDefault__WEBPACK_IMPORTED_MODULE_151__ = __webpack_require__(/*! ./observables/ko.observableArrayDefault */ "./desktop/core/src/desktop/js/ko/observables/ko.observableArrayDefault.js");
/* harmony import */ var _observables_ko_observableDefault__WEBPACK_IMPORTED_MODULE_152__ = __webpack_require__(/*! ./observables/ko.observableDefault */ "./desktop/core/src/desktop/js/ko/observables/ko.observableDefault.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







 // import 'ko/bindings/charts/plotly/ko.plotly'; // The Plotly chart replacement


















































































































































window.ko = knockout__WEBPACK_IMPORTED_MODULE_0__;
window.ko.mapping = knockout_mapping__WEBPACK_IMPORTED_MODULE_2___default.a;
/* harmony default export */ __webpack_exports__["default"] = (knockout__WEBPACK_IMPORTED_MODULE_0__);

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/ko.init.js":
/*!***************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/ko.init.js ***!
  \***************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var proxiedKoRegister = knockout__WEBPACK_IMPORTED_MODULE_0__["components"].register;
var registeredComponents = [];

knockout__WEBPACK_IMPORTED_MODULE_0__["components"].register = function () {
  // This guarantees a ko component is only registered once
  // Some currently get registered twice when switching between notebook and editor
  if (registeredComponents.indexOf(arguments[0]) === -1) {
    registeredComponents.push(arguments[0]);
    return proxiedKoRegister.apply(this, arguments);
  }
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/observables/ko.observableArrayDefault.js":
/*!*********************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/observables/ko.observableArrayDefault.js ***!
  \*********************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["observableArrayDefault"] = function () {
  var prop = arguments[0],
      defValue = arguments[1] || null;
  return knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"](typeof prop != 'undefined' && prop != null ? prop : defValue);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/ko/observables/ko.observableDefault.js":
/*!****************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/ko/observables/ko.observableDefault.js ***!
  \****************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


knockout__WEBPACK_IMPORTED_MODULE_0__["observableDefault"] = function () {
  var prop = arguments[0],
      defValue = arguments[1] || null;
  return knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](typeof prop != 'undefined' && prop != null ? prop : defValue);
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.all.js":
/*!****************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.all.js ***!
  \****************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
/* harmony import */ var _nv_d3_growingDiscreteBar__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./nv.d3.growingDiscreteBar */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBar.js");
/* harmony import */ var _nv_d3_growingDiscreteBarChart__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./nv.d3.growingDiscreteBarChart */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBarChart.js");
/* harmony import */ var _nv_d3_growingMultiBar__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./nv.d3.growingMultiBar */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBar.js");
/* harmony import */ var _nv_d3_growingMultiBarChart__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./nv.d3.growingMultiBarChart */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBarChart.js");
/* harmony import */ var _nv_d3_growingPie__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./nv.d3.growingPie */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingPie.js");
/* harmony import */ var _nv_d3_growingPieChart__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./nv.d3.growingPieChart */ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingPieChart.js");
/* harmony import */ var _nv_d3_legend__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./nv.d3.legend */ "./desktop/core/src/desktop/js/nvd3/nv.d3.legend.js");
/* harmony import */ var _nv_d3_lineWithBrushChart__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./nv.d3.lineWithBrushChart */ "./desktop/core/src/desktop/js/nvd3/nv.d3.lineWithBrushChart.js");
/* harmony import */ var _nv_d3_multiBarWithBrushChart__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./nv.d3.multiBarWithBrushChart */ "./desktop/core/src/desktop/js/nvd3/nv.d3.multiBarWithBrushChart.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










/* harmony default export */ __webpack_exports__["default"] = (_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_0__["default"]);

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBar.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBar.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


 //TODO: consider deprecating by adding necessary features to multiBar model

_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.growingDiscreteBar = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  };

  var width = 960,
      height = 500,
      id = Math.floor(Math.random() * 10000),
      //Create semi-unique ID in case user doesn't select one
  x = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.ordinal(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.linear(),
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceY = [0],
      // 0 is forced by default.. this makes sense for the majority of bar graphs... user can always do chart.forceY([]) to remove
  color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.defaultColor(),
      showValues = false,
      valueFormat = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format(',.2f'),
      xDomain,
      yDomain,
      xRange,
      yRange,
      rectClass = 'discreteBar',
      selectBars = null;

  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var x0, y0; //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this); //add series index to each data point for reference

      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
          point.seriesKey = series.key;
        });
      }); //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains

      var seriesData = xDomain && yDomain ? [] // if we know xDomain and yDomain, no need to calculate
      : data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            y0: d.y0
          };
        });
      });
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.merge(seriesData).map(function (d) {
        return d.x;
      })).rangeBands(xRange || [0, availableWidth], 0.1);
      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.merge(seriesData).map(function (d) {
        return d.y;
      }).concat(forceY))); // If showValues, pad the Y axis range to account for label height

      if (showValues) {
        y.range(yRange || [availableHeight - (y.domain()[0] < 0 ? 12 : 0), y.domain()[1] > 0 ? 12 : 0]);
      } else {
        y.range(yRange || [availableHeight, 0]);
      } //store old scales if they exist


      x0 = x0 || x;
      y0 = y0 || y.copy().range([y(0), y(0)]); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-discretebar').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-discretebar');
      var gEnter = wrapEnter.append('g');
      wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      //TODO: by definition, the discrete bar should not have multiple groups, will modify/remove later

      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d) {
        return d.key;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().transition().style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6).remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', 0.75);
      var bars = groups.selectAll('g.nv-bar').data(function (d) {
        return d.values;
      }).classed('selected', false);
      bars.exit().remove();

      selectBars = function selectBars(selected) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(selected).each(function (cnt, item) {
          bars.each(function (d) {
            if (d.x === item) {
              d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
            }
          });
        });
      };

      var barsEnter = bars.enter().append('g').attr('transform', function (d, i) {
        return 'translate(' + (x(getX(d, i)) + x.rangeBand() * 0.05) + ', ' + y(0) + ')';
      }).on('mouseover', function (d, i) {
        //TODO: figure out why j works above, but not here
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + 0.5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + 0.5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (d.series + 0.5) / data.length, y(getY(d, i))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      });
      barsEnter.append('rect').attr('height', 0).attr('x', function (d, i, j) {
        return j * x.rangeBand() / data.length;
      }).attr('width', x.rangeBand() / data.length);

      if (showValues) {
        barsEnter.append('text').attr('text-anchor', 'middle');
        bars.select('text').text(function (d, i) {
          return valueFormat(getY(d, i));
        }).transition().attr('x', function (d, i, j) {
          return j * x.rangeBand() / data.length + x.rangeBand() * 0.9 / data.length / 2;
        }).attr('y', function (d, i) {
          return getY(d, i) < 0 ? y(getY(d, i)) - y(0) + 12 : -4;
        });
      } else {
        bars.selectAll('text').remove();
      }

      bars.attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).style('fill', function (d, i) {
        return d.color || color(d, i);
      }).style('stroke', function (d, i) {
        return d.color || color(d, i);
      }).select('rect').attr('class', rectClass).transition().attr('x', function (d) {
        return d.series * x.rangeBand() / data.length;
      }).attr('width', x.rangeBand() / data.length * 0.9);
      bars.transition().attr('transform', function (d, i) {
        var left = x(getX(d, i)) + x.rangeBand() * 0.05,
            top = getY(d, i) < 0 ? y(0) : y(0) - y(getY(d, i)) < 1 ? y(0) - 1 //make 1 px positive bars show up above y=0
        : y(getY(d, i));
        return 'translate(' + left + ', ' + top + ')';
      }).select('rect').attr('height', function (d, i) {
        return Math.max(Math.abs(y(getY(d, i)) - y(yDomain && yDomain[0] || 0)) || 1);
      }); //store old scales for use in transitions on update

      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.optionsFunc.bind(chart);

  chart.x = function (val) {
    if (!arguments.length) {
      return getX;
    }

    getX = val;
    return chart;
  };

  chart.y = function (val) {
    if (!arguments.length) {
      return getY;
    }

    getY = val;
    return chart;
  };

  chart.margin = function (val) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof val.top != 'undefined' ? val.top : margin.top;
    margin.right = typeof val.right != 'undefined' ? val.right : margin.right;
    margin.bottom = typeof val.bottom != 'undefined' ? val.bottom : margin.bottom;
    margin.left = typeof val.left != 'undefined' ? val.left : margin.left;
    return chart;
  };

  chart.width = function (val) {
    if (!arguments.length) {
      return width;
    }

    width = val;
    return chart;
  };

  chart.height = function (val) {
    if (!arguments.length) {
      return height;
    }

    height = val;
    return chart;
  };

  chart.xScale = function (val) {
    if (!arguments.length) {
      return x;
    }

    x = val;
    return chart;
  };

  chart.yScale = function (val) {
    if (!arguments.length) {
      return y;
    }

    y = val;
    return chart;
  };

  chart.xDomain = function (val) {
    if (!arguments.length) {
      return xDomain;
    }

    xDomain = val;
    return chart;
  };

  chart.yDomain = function (val) {
    if (!arguments.length) {
      return yDomain;
    }

    yDomain = val;
    return chart;
  };

  chart.xRange = function (val) {
    if (!arguments.length) {
      return xRange;
    }

    xRange = val;
    return chart;
  };

  chart.yRange = function (val) {
    if (!arguments.length) {
      return yRange;
    }

    yRange = val;
    return chart;
  };

  chart.forceY = function (val) {
    if (!arguments.length) {
      return forceY;
    }

    forceY = val;
    return chart;
  };

  chart.color = function (val) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(val);
    return chart;
  };

  chart.id = function (val) {
    if (!arguments.length) {
      return id;
    }

    id = val;
    return chart;
  };

  chart.showValues = function (val) {
    if (!arguments.length) {
      return showValues;
    }

    showValues = val;
    return chart;
  };

  chart.valueFormat = function (val) {
    if (!arguments.length) {
      return valueFormat;
    }

    valueFormat = val;
    return chart;
  };

  chart.rectClass = function (val) {
    if (!arguments.length) {
      return rectClass;
    }

    rectClass = val;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return selectBars;
    }

    selectBars(args);
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBarChart.js":
/*!***************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingDiscreteBarChart.js ***!
  \***************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.growingDiscreteBarChart = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var discretebar = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.growingDiscreteBar(),
      xAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis(),
      yAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis();
  var margin = {
    top: 15,
    right: 10,
    bottom: 50,
    left: 60
  };

  var width = null,
      height = null,
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(),
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      staggerLabels = false,
      tooltips = true,
      tooltip = function tooltip(key, x, y) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' on ' + x + '</p>';
  },
      x,
      y,
      noData = 'No Data Available.',
      transitionDuration = 250,
      selectBars = null;

  xAxis.orient('bottom').highlightZero(false).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.dispatch('tooltipShow', 'tooltipHide', 'beforeUpdate');
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format(',.1f')); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.browser.msie && jquery__WEBPACK_IMPORTED_MODULE_0___default.a.browser.version.indexOf('9.') > -1 ? e.e.clientX : e.e.layerX,
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(discretebar.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(discretebar.y()(e.point, e.pointIndex)),
        content = tooltip(e.point.seriesKey, x, y, e, chart);
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        dispatch.beforeUpdate();
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //------------------------------------------------------------
      // Display No Data message if there's nothing to show.

      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        container.selectAll('.nv-discreteBarWithAxes').style('visibility', 'hidden');
        container.selectAll('.nv-noData').style('visibility', 'visible');
        return chart;
      } else {
        container.selectAll('.nv-discreteBarWithAxes').style('visibility', 'visible');
        container.selectAll('.nv-noData').style('visibility', 'hidden');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = discretebar.xScale();
      y = discretebar.yScale().clamp(true); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-discreteBarWithAxes').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-discreteBarWithAxes').append('g');
      var defsEnter = gEnter.append('defs');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis').append('g').attr('class', 'nv-zeroLine').append('line');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      g.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select('.nv-y.nv-axis').attr('transform', 'translate(' + availableWidth + ',0)');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Main Chart Component(s)


      discretebar.width(availableWidth).height(availableHeight);
      selectBars = discretebar.selectBars;
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(discretebar); //------------------------------------------------------------

      defsEnter.append('clipPath').attr('id', 'nv-x-label-clip-' + discretebar.id()).append('rect');
      g.select('#nv-x-label-clip-' + discretebar.id() + ' rect').attr('width', x.rangeBand() * (staggerLabels ? 2 : 1)).attr('height', 16).attr('x', -x.rangeBand() / (staggerLabels ? 1 : 2)); //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + (y.range()[0] + (discretebar.showValues() && y.domain()[0] < 0 ? 16 : 0)) + ')'); //d3v3.transition(g.select('.nv-x.nv-axis'))

        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.select('.nv-x.nv-axis').selectAll('g');

        if (staggerLabels) {
          var rangeBand = x.rangeBand();
          xTicks.selectAll('text').attr('transform', function (d, i, j) {
            var self = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this);
            var textLength = self.node().getComputedTextLength(),
                text = self.text();

            while (textLength > rangeBand * 2 && text.length > 0) {
              text = text.slice(0, -1);
              self.text(text + '...');
              textLength = self.node().getComputedTextLength();

              if (self.text() === '...') {
                self.text(' ');
                textLength = 0;
              }
            }

            return 'translate(0,' + (j % 2 === 0 ? '5' : '17') + ')';
          });
        }
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } // Zero line


      g.select('.nv-zeroLine line').attr('x1', 0).attr('x2', availableWidth).attr('y1', y(0)).attr('y2', y(0)); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      dispatch.on('tooltipShow', function (e) {
        if (tooltips) {
          showTooltip(e, that.parentNode);
        }
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  discretebar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  discretebar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) {
      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.cleanup();
    }
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.discretebar = discretebar;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.rebind(chart, discretebar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'id', 'showValues', 'valueFormat');
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(_);
    discretebar.color(color);
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) {
      return showXAxis;
    }

    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) {
      return showYAxis;
    }

    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) {
      return rightAlignYAxis;
    }

    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) {
      return staggerLabels;
    }

    staggerLabels = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) {
      return tooltips;
    }

    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) {
      return noData;
    }

    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) {
      return transitionDuration;
    }

    transitionDuration = _;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return selectBars;
    }

    if (selectBars) {
      selectBars(args);
    }

    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBar.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBar.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].models.growingMultiBar = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  };

  var width = 960,
      height = 500,
      x = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.ordinal(),
      y = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.scale.linear(),
      id = Math.floor(Math.random() * 10000),
      //Create semi-unique ID in case user doesn't select one
  getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      forceY = [0],
      // 0 is forced by default.. this makes sense for the majority of bar graphs... user can always do chart.forceY([]) to remove
  clipEdge = true,
      stacked = false,
      stackOffset = 'zero',
      // options include 'silhouette', 'wiggle', 'expand', 'zero', or a custom function
  color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.defaultColor(),
      hideable = false,
      barColor = null,
      // adding the ability to set the color for each rather than the whole group
  disabled,
      // used in conjunction with barColor to communicate from multiBarHorizontalChart what series are disabled
  delay = 0,
      xDomain,
      yDomain,
      xRange,
      yRange,
      groupSpacing = 0.1,
      selectBars = null;

  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var x0, y0; //used to store previous scales
  //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          container = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this);

      if (hideable && data.length) {
        hideable = [{
          values: data[0].values.map(function (d) {
            return {
              x: d.x,
              y: 0,
              series: d.series,
              size: 0.01
            };
          })
        }];
      }

      if (stacked) {
        data = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.layout.stack().offset(stackOffset).values(function (d) {
          return d.values;
        }).y(getY)(!data.length && hideable ? hideable : data);
      } //add series index to each data point for reference


      data.forEach(function (series, i) {
        series.values.forEach(function (point) {
          point.series = i;
          point.seriesKey = series.key;
        });
      }); //------------------------------------------------------------
      // HACK for negative value stacking

      if (stacked) {
        data[0].values.map(function (d, i) {
          var posBase = 0,
              negBase = 0;
          data.map(function (d) {
            var f = d.values[i];

            if (typeof f != 'undefined') {
              f.size = Math.abs(f.y);

              if (f.y < 0) {
                f.y1 = negBase;
                negBase = negBase - f.size;
              } else {
                f.y1 = f.size + posBase;
                posBase = posBase + f.size;
              }
            }
          });
        });
      } //------------------------------------------------------------
      // Setup Scales
      // remap and flatten the data for use in calculating the scales' domains


      var seriesData = xDomain && yDomain ? [] // if we know xDomain and yDomain, no need to calculate
      : data.map(function (d) {
        return d.values.map(function (d, i) {
          return {
            x: getX(d, i),
            y: getY(d, i),
            y0: d.y0,
            y1: d.y1
          };
        });
      });
      x.domain(xDomain || d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.merge(seriesData).map(function (d) {
        return d.x;
      })).rangeBands(xRange || [0, availableWidth], groupSpacing); //y   .domain(yDomain || d3v3.extent(d3v3.merge(seriesData).map(function(d) { return d.y + (stacked ? d.y1 : 0) }).concat(forceY)))

      y.domain(yDomain || d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.extent(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.merge(seriesData).map(function (d) {
        return stacked ? d.y > 0 ? d.y1 : d.y1 + d.y : d.y;
      }).concat(forceY))).range(yRange || [availableHeight, 0]); // If scale's domain don't have a range, slightly adjust to make one... so a chart can show a single data point

      if (x.domain()[0] === x.domain()[1]) {
        x.domain()[0] ? x.domain([x.domain()[0] - x.domain()[0] * 0.01, x.domain()[1] + x.domain()[1] * 0.01]) : x.domain([-1, 1]);
      }

      if (y.domain()[0] === y.domain()[1]) {
        y.domain()[0] ? y.domain([y.domain()[0] + y.domain()[0] * 0.01, y.domain()[1] - y.domain()[1] * 0.01]) : y.domain([-1, 1]);
      }

      x0 = x0 || x;
      y0 = y0 || y; //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multibar').data([data]);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multibar');
      var defsEnter = wrapEnter.append('defs');
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-groups');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      defsEnter.append('clipPath').attr('id', 'nv-edge-clip-' + id).append('rect');
      wrap.select('#nv-edge-clip-' + id + ' rect').attr('width', availableWidth).attr('height', _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.NaNtoZero(availableHeight) >= 0 ? _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.NaNtoZero(availableHeight) : 0);
      g.attr('clip-path', clipEdge ? 'url(#nv-edge-clip-' + id + ')' : '');
      var groups = wrap.select('.nv-groups').selectAll('.nv-group').data(function (d) {
        return d;
      }, function (d, i) {
        return i;
      });
      groups.enter().append('g').style('stroke-opacity', 1e-6).style('fill-opacity', 1e-6);
      groups.exit().transition().selectAll('rect.nv-bar').delay(function (d, i) {
        return i * delay / data[0].values.length;
      }).attr('y', function (d) {
        return stacked ? y0(d.y0) : y0(0);
      }).attr('height', 0).remove();
      groups.attr('class', function (d, i) {
        return 'nv-group nv-series-' + i;
      }).classed('hover', function (d) {
        return d.hover;
      }).style('fill', function (d, i) {
        return color(d, i);
      }).style('stroke', function (d, i) {
        return color(d, i);
      });
      groups.transition().style('stroke-opacity', 1).style('fill-opacity', 0.75);
      var bars = groups.selectAll('rect.nv-bar').data(function (d) {
        return hideable && !data.length ? hideable.values : d.values;
      }).classed('selected', false);
      bars.exit().remove();

      selectBars = function selectBars(selected) {
        if (selected.rangeValues) {
          jquery__WEBPACK_IMPORTED_MODULE_0___default()(selected.rangeValues).each(function (cnt, item) {
            bars.each(function (d) {
              if (parseInt(d.x) >= parseInt(item.from) && parseInt(d.x_end) <= parseInt(item.to)) {
                d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
              }
            });
          });
        } else {
          var _pivotField = null;

          if (!Array.isArray(selected)) {
            _pivotField = selected.field;
            selected = selected.selected;
          }

          jquery__WEBPACK_IMPORTED_MODULE_0___default()(selected).each(function (cnt, item) {
            bars.each(function (d) {
              if (_pivotField != null) {
                if ((Array.isArray(_pivotField) ? knockout__WEBPACK_IMPORTED_MODULE_2__["toJSON"](d.obj.fq_fields) === knockout__WEBPACK_IMPORTED_MODULE_2__["toJSON"](_pivotField) : d.obj.fq_fields === _pivotField) && (item.values ? knockout__WEBPACK_IMPORTED_MODULE_2__["toJSON"](d.obj.fq_values) === knockout__WEBPACK_IMPORTED_MODULE_2__["toJSON"](item.values) : d.obj.fq_values === item)) {
                  d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
                }
              } else if (d.x instanceof Date) {
                if (moment(d.x).utc().format('YYYY-MM-DD[T]HH:mm:ss[Z]') === item) {
                  d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
                }
              } else if (d.x === item) {
                d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
              }
            });
          });
        }
      };

      var barsEnter = bars.enter().append('rect').attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).attr('x', function (d, i, j) {
        return stacked ? 0 : j * x.rangeBand() / data.length;
      }).attr('y', function (d) {
        return y0(stacked ? d.y0 : 0);
      }).attr('height', 0).attr('width', x.rangeBand() / (stacked ? 1 : data.length)).attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',0)';
      });
      bars.style('fill', function (d, i, j) {
        return color(d, j, i);
      }).style('stroke', function (d, i, j) {
        return color(d, j, i);
      });
      barsEnter.on('mouseover', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + 0.5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
      }).on('mouseout', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
      }).on('click', function (d, i) {
        dispatch.elementClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + 0.5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        dispatch.elementDblClick({
          value: getY(d, i),
          point: d,
          series: data[d.series],
          pos: [x(getX(d, i)) + x.rangeBand() * (stacked ? data.length / 2 : d.series + 0.5) / data.length, y(getY(d, i) + (stacked ? d.y0 : 0))],
          // TODO: Figure out why the value appears to be shifted
          pointIndex: i,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      });
      bars.attr('class', function (d, i) {
        return getY(d, i) < 0 ? 'nv-bar negative' : 'nv-bar positive';
      }).transition().attr('transform', function (d, i) {
        return 'translate(' + x(getX(d, i)) + ',0)';
      });

      if (barColor) {
        if (!disabled) {
          disabled = data.map(function () {
            return true;
          });
        }

        bars.style('fill', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        }).style('stroke', function (d, i, j) {
          return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.rgb(barColor(d, i)).darker(disabled.map(function (d, i) {
            return i;
          }).filter(function (d, i) {
            return !disabled[i];
          })[j]).toString();
        });
      }

      if (stacked) {
        bars.transition().delay(function (d, i) {
          return i * delay / data[0].values.length;
        }).attr('y', function (d) {
          return y(stacked ? d.y1 : 0);
        }).attr('height', function (d) {
          return Math.max(Math.abs(y(d.y + (stacked ? d.y0 : 0)) - y(stacked ? d.y0 : 0)), 1);
        }).attr('x', function (d) {
          return stacked ? 0 : d.series * x.rangeBand() / data.length;
        }).attr('width', x.rangeBand() / (stacked ? 1 : data.length));
      } else {
        bars.transition().delay(function (d, i) {
          return i * delay / data[0].values.length;
        }).attr('x', function (d) {
          return d.series * x.rangeBand() / data.length;
        }).attr('width', x.rangeBand() / data.length).attr('y', function (d, i) {
          return getY(d, i) < 0 ? y(0) : y(0) - y(getY(d, i)) < 1 ? y(0) - 1 : y(getY(d, i)) || 0;
        }).attr('height', function (d, i) {
          return Math.max(Math.abs(y(getY(d, i)) - y(0)), 1) || 0;
        });
      } //store old scales for use in transitions on update


      x0 = x.copy();
      y0 = y.copy();
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.optionsFunc.bind(chart);

  chart.x = function (_) {
    if (!arguments.length) {
      return getX;
    }

    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) {
      return getY;
    }

    getY = _;
    return chart;
  };

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.xScale = function (_) {
    if (!arguments.length) {
      return x;
    }

    x = _;
    return chart;
  };

  chart.yScale = function (_) {
    if (!arguments.length) {
      return y;
    }

    y = _;
    return chart;
  };

  chart.xDomain = function (_) {
    if (!arguments.length) {
      return xDomain;
    }

    xDomain = _;
    return chart;
  };

  chart.yDomain = function (_) {
    if (!arguments.length) {
      return yDomain;
    }

    yDomain = _;
    return chart;
  };

  chart.xRange = function (_) {
    if (!arguments.length) {
      return xRange;
    }

    xRange = _;
    return chart;
  };

  chart.yRange = function (_) {
    if (!arguments.length) {
      return yRange;
    }

    yRange = _;
    return chart;
  };

  chart.forceY = function (_) {
    if (!arguments.length) {
      return forceY;
    }

    forceY = _;
    return chart;
  };

  chart.stacked = function (_) {
    if (!arguments.length) {
      return stacked;
    }

    stacked = _;
    return chart;
  };

  chart.stackOffset = function (_) {
    if (!arguments.length) {
      return stackOffset;
    }

    stackOffset = _;
    return chart;
  };

  chart.clipEdge = function (_) {
    if (!arguments.length) {
      return clipEdge;
    }

    clipEdge = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.getColor(_);
    return chart;
  };

  chart.barColor = function (_) {
    if (!arguments.length) {
      return barColor;
    }

    barColor = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_3__["default"].utils.getColor(_);
    return chart;
  };

  chart.disabled = function (_) {
    if (!arguments.length) {
      return disabled;
    }

    disabled = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) {
      return id;
    }

    id = _;
    return chart;
  };

  chart.hideable = function (_) {
    if (!arguments.length) {
      return hideable;
    }

    hideable = _;
    return chart;
  };

  chart.delay = function (_) {
    if (!arguments.length) {
      return delay;
    }

    delay = _;
    return chart;
  };

  chart.groupSpacing = function (_) {
    if (!arguments.length) {
      return groupSpacing;
    }

    groupSpacing = _;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return selectBars;
    }

    selectBars(args);
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBarChart.js":
/*!************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingMultiBarChart.js ***!
  \************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.growingMultiBarChart = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var multibar = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.growingMultiBar(),
      xAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.axis(),
      yAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.axis(),
      legend = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.legend(),
      controls = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.legend();
  var margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  };

  var width = null,
      height = null,
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.defaultColor(),
      showControls = true,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      reduceXTicks = true,
      // if false a tick will show for every data point
  staggerLabels = false,
      rotateLabels = 0,
      tooltips = true,
      tooltip = function tooltip(key, x, y) {
    return '<h3>' + key + '</h3>' + '<p>' + y + ' on ' + x + '</p>';
  },
      x,
      //can be accessed via chart.xScale()
  y,
      //can be accessed via chart.yScale()
  state = {
    stacked: false
  },
      defaultState = null,
      noData = 'No Data Available.',
      transitionDuration = 250,
      selectBars = null,
      onStateChange = null;

  var controlWidth = function controlWidth() {
    return showControls ? 180 : 0;
  };

  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState');
  multibar.stacked(false);
  xAxis.orient('bottom').tickPadding(7).highlightZero(true).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.1f'));
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        x = xAxis.tickFormat()(multibar.x()(e.point, e.pointIndex)),
        y = yAxis.tickFormat()(multibar.y()(e.point, e.pointIndex)),
        content = tooltip(e.point.seriesKey, x, y, e, chart);
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right;
      var availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) {
            defaultState[key] = state[key].slice(0);
          } else {
            defaultState[key] = state[key];
          }
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        container.selectAll('.nv-multiBarWithLegend').style('visibility', 'hidden');
        container.selectAll('.nv-noData').style('visibility', 'visible');
        return chart;
      } else {
        container.selectAll('.nv-multiBarWithLegend').style('visibility', 'visible');
        container.selectAll('.nv-noData').style('visibility', 'hidden');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = multibar.xScale();
      y = multibar.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multiBarWithLegend').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multiBarWithLegend').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-barsWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth - controlWidth());

        if (multibar.barColor()) {
          data.forEach(function (series, i) {
            series.color = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb('#ccc').darker(i * 1.5).toString();
          });
        }

        g.select('.nv-legendWrap').datum(data).call(legend);

        if (legend.height() > 50) {
          g.select('.nv-legendWrap').style('visibility', 'hidden');
        } else {
          g.select('.nv-legendWrap').style('visibility', 'visible');

          if (margin.top !== legend.height()) {
            margin.top = legend.height();
            availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
          }
        }

        g.select('.nv-legendWrap').attr('transform', 'translate(' + controlWidth() + ',' + -margin.top + ')');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      var controlsData = [{
        key: 'Grouped',
        disabled: multibar.stacked()
      }, {
        key: 'Stacked',
        disabled: !multibar.stacked()
      }];

      if (showControls) {
        controls.width(controlWidth()).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select('.nv-y.nv-axis').attr('transform', 'translate(' + availableWidth + ',0)');
      } //------------------------------------------------------------
      // Main Chart Component(s)


      multibar.disabled(data.map(function (series) {
        return series.disabled;
      })).width(availableWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      selectBars = multibar.selectBars;
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(multibar); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Axes

      if (showXAxis) {
        xAxis.scale(x).ticks(availableWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.select('.nv-x.nv-axis > g').selectAll('g');
        xTicks.selectAll('line, text').style('opacity', 1);

        if (staggerLabels) {
          var getTranslate = function getTranslate(x, y) {
            return 'translate(' + x + ',' + y + ')';
          };

          var staggerUp = 5,
              staggerDown = 17; //pixels to stagger by
          // Issue #140

          xTicks.selectAll('text').attr('transform', function (d, i, j) {
            return getTranslate(0, j % 2 === 0 ? staggerUp : staggerDown);
          });
          var totalInBetweenTicks = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll('.nv-x.nv-axis .nv-wrap g g text')[0].length;
          g.selectAll('.nv-x.nv-axis .nv-axisMaxMin text').attr('transform', function (d, i) {
            return getTranslate(0, i === 0 || totalInBetweenTicks % 2 !== 0 ? staggerDown : staggerUp);
          });
        }

        if (reduceXTicks) {
          xTicks.filter(function (d, i) {
            return i % Math.ceil(data[0].values.length / (availableWidth / 100)) !== 0;
          }).selectAll('text, line').style('opacity', 0);
        }

        if (rotateLabels) {
          xTicks.selectAll('.tick text').attr('transform', 'rotate(' + rotateLabels + ' 0,0)').style('text-anchor', rotateLabels > 0 ? 'start' : 'end');
        }

        g.select('.nv-x.nv-axis').selectAll('g.nv-axisMaxMin text').style('opacity', 1);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      controls.dispatch.on('legendClick', function (d) {
        if (!d.disabled) {
          return;
        }

        controlsData.forEach(function (controlData) {
          controlData.disabled = true;
        });
        d.disabled = false;

        switch (d.key) {
          case 'Grouped':
            multibar.stacked(false);
            break;

          case 'Stacked':
            multibar.stacked(true);
            break;
        }

        state.stacked = multibar.stacked();
        dispatch.stateChange(state);

        if (onStateChange != null) {
          onStateChange(state);
        }

        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) {
          showTooltip(e, that.parentNode);
        }
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.stacked !== 'undefined') {
          multibar.stacked(e.stacked);
          state.stacked = e.stacked;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  multibar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  multibar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) {
      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].tooltip.cleanup();
    }
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.multibar = multibar;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, multibar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'clipEdge', 'id', 'stacked', 'stackOffset', 'delay', 'barColor', 'groupSpacing');
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) {
      return showControls;
    }

    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) {
      return showLegend;
    }

    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) {
      return showXAxis;
    }

    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) {
      return showYAxis;
    }

    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) {
      return rightAlignYAxis;
    }

    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.reduceXTicks = function (_) {
    if (!arguments.length) {
      return reduceXTicks;
    }

    reduceXTicks = _;
    return chart;
  };

  chart.rotateLabels = function (_) {
    if (!arguments.length) {
      return rotateLabels;
    }

    rotateLabels = _;
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) {
      return staggerLabels;
    }

    staggerLabels = _;
    return chart;
  };

  chart.tooltip = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) {
      return tooltips;
    }

    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) {
      return state;
    }

    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) {
      return defaultState;
    }

    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) {
      return noData;
    }

    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) {
      return transitionDuration;
    }

    transitionDuration = _;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return selectBars;
    }

    if (selectBars) {
      selectBars(args);
    }

    return chart;
  };

  chart.onStateChange = function (_) {
    if (!arguments.length) {
      return onStateChange;
    }

    onStateChange = _;
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingPie.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingPie.js ***!
  \**************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.growingPie = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  };

  var width = 500,
      height = 500,
      getX = function getX(d) {
    return d.x;
  },
      getY = function getY(d) {
    return d.y;
  },
      getDescription = function getDescription(d) {
    return d.description;
  },
      id = Math.floor(Math.random() * 10000),
      //Create semi-unique ID in case user doesn't select one
  color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.defaultColor(),
      valueFormat = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format(',.2f'),
      showLabels = true,
      pieLabelsOutside = true,
      donutLabelsOutside = false,
      labelType = 'key',
      labelThreshold = 0.02,
      //if slice percentage is under this, don't show label
  donut = false,
      labelSunbeamLayout = false,
      startAngle = false,
      endAngle = false,
      donutRatio = 0.5,
      selectSlices = null;

  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.dispatch('chartClick', 'elementClick', 'elementDblClick', 'elementMouseover', 'elementMouseout'); //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          availableHeight = height - margin.top - margin.bottom,
          radius = Math.min(availableWidth, availableHeight) / 2,
          arcRadius = radius - radius / 5;
      var container = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this); //------------------------------------------------------------
      // Setup containers and skeleton of chart
      //let wrap = container.selectAll('.nv-wrap.nv-pie').data([data]);

      var wrap = container.selectAll('.nv-wrap.nv-pie').data(data);
      var wrapEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-pie nv-chart-' + id);
      var gEnter = wrapEnter.append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-pie');
      gEnter.append('g').attr('class', 'nv-pieLabels');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');
      g.select('.nv-pie').attr('transform', 'translate(' + availableWidth / 2 + ',' + availableHeight / 2 + ')');
      g.select('.nv-pieLabels').attr('transform', 'translate(' + availableWidth / 2 + ',' + availableHeight / 2 + ')'); //------------------------------------------------------------

      container.on('click', function (d, i) {
        dispatch.chartClick({
          data: d,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event,
          id: id
        });
      });

      function updateVariables() {
        availableWidth = width - margin.left - margin.right;
        availableHeight = height - margin.top - margin.bottom;
        radius = Math.min(availableWidth, availableHeight) / 2;
        arcRadius = radius - radius / 5;
      }

      var arcNormal = function arcNormal() {
        updateVariables();
        return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.svg.arc().outerRadius(arcRadius);
      };

      var arcOver = function arcOver() {
        updateVariables();
        return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.svg.arc().outerRadius(arcRadius + 10);
      };

      if (startAngle) {
        arcNormal().startAngle(startAngle);
      }

      if (endAngle) {
        arcNormal().endAngle(endAngle);
      }

      if (donut) {
        arcNormal().innerRadius(radius * donutRatio);
      } // Setup the Pie chart and choose the data element


      var pie = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.layout.pie().sort(null).value(function (d) {
        return d.disabled ? 0 : getY(d);
      });
      var slices = wrap.select('.nv-pie').selectAll('.nv-slice').data(pie).classed('selected', false);
      var pieLabels = wrap.select('.nv-pieLabels').selectAll('.nv-label').data(pie);
      slices.exit().remove();
      pieLabels.exit().remove();

      selectSlices = function selectSlices(selected) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(selected).each(function (cnt, item) {
          slices.each(function (d) {
            if (typeof d.data.obj.from != 'undefined' && d.data.obj.from === item || d.data.obj.value === item) {
              d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected', true);
              d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('path').transition().duration(100).attr('d', arcOver());
            }
          });
        });
      };

      var ae = slices.enter().append('g').attr('class', 'nv-slice').on('mouseover', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('path').transition().duration(100).attr('d', arcOver());
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', true);
        dispatch.elementMouseover({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          pointIndex: i,
          pos: [d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.pageX, d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.pageY],
          id: id
        });
      }).on('mouseout', function (d, i) {
        if (!d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('selected')) {
          d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('path').transition().duration(100).attr('d', arcNormal());
        }

        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).classed('hover', false);
        dispatch.elementMouseout({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          id: id
        });
      }).on('click', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('path').transition().duration(100).attr('d', arcOver());
        dispatch.elementClick({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      }).on('dblclick', function (d, i) {
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this).select('path').transition().duration(100).attr('d', arcNormal());
        dispatch.elementDblClick({
          label: getX(d.data),
          value: getY(d.data),
          point: d.data,
          index: i,
          pos: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event,
          id: id
        });
        d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.stopPropagation();
      });
      slices.attr('fill', function (d, i) {
        return d.data.color || color(d, i);
      }).attr('stroke', function (d, i) {
        return d.data.color || color(d, i);
      });
      ae.append('path').each(function (d) {
        this._current = d;
      });
      slices.select('path').transition().attr('d', arcNormal()).attrTween('d', arcTween);

      if (showLabels) {
        // This does the normal label
        var labelsArc = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.svg.arc().innerRadius(0);

        if (pieLabelsOutside) {
          labelsArc = arcNormal();
        }

        if (donutLabelsOutside) {
          labelsArc = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.svg.arc().outerRadius(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.svg.arc().outerRadius());
        }

        pieLabels.enter().append('g').classed('nv-label', true).each(function (d) {
          if (d.value > 0) {
            var group = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(this);
            group.attr('transform', function (d) {
              if (labelSunbeamLayout) {
                d.outerRadius = arcRadius + 10; // Set Outer Coordinate

                d.innerRadius = arcRadius + 15; // Set Inner Coordinate

                var rotateAngle = (d.startAngle + d.endAngle) / 2 * (180 / Math.PI);

                if ((d.startAngle + d.endAngle) / 2 < Math.PI) {
                  rotateAngle -= 90;
                } else {
                  rotateAngle += 90;
                }

                return 'translate(' + labelsArc.centroid(d) + ') rotate(' + rotateAngle + ')';
              } else {
                d.outerRadius = radius + 10; // Set Outer Coordinate

                d.innerRadius = radius + 15; // Set Inner Coordinate

                return 'translate(' + labelsArc.centroid(d) + ')';
              }
            });
            group.append('rect').style('stroke', '#fff').style('fill', '#fff').attr('rx', 3).attr('ry', 3);
            group.append('text').style('text-anchor', labelSunbeamLayout ? (d.startAngle + d.endAngle) / 2 < Math.PI ? 'start' : 'end' : 'middle') //center the text on it's origin or begin/end if orthogonal aligned
            .style('fill', '#000');
          }
        });
        var labelLocationHash = {};
        var avgHeight = 14;
        var avgWidth = 140;

        var createHashKey = function createHashKey(coordinates) {
          return Math.floor(coordinates[0] / avgWidth) * avgWidth + ',' + Math.floor(coordinates[1] / avgHeight) * avgHeight;
        };

        pieLabels.transition().attr('transform', function (d) {
          if (d.value > 0) {
            if (labelSunbeamLayout) {
              d.outerRadius = arcRadius + 10; // Set Outer Coordinate

              d.innerRadius = arcRadius + 15; // Set Inner Coordinate

              var rotateAngle = (d.startAngle + d.endAngle) / 2 * (180 / Math.PI);

              if ((d.startAngle + d.endAngle) / 2 < Math.PI) {
                rotateAngle -= 90;
              } else {
                rotateAngle += 90;
              }

              return 'translate(' + labelsArc.centroid(d) + ') rotate(' + rotateAngle + ')';
            } else {
              d.outerRadius = radius + 10; // Set Outer Coordinate

              d.innerRadius = radius + 15; // Set Inner Coordinate

              /*
                Overlapping pie labels are not good. What this attempts to do is, prevent overlapping.
                Each label location is hashed, and if a hash collision occurs, we assume an overlap.
                Adjust the label's y-position to remove the overlap.
                */

              var center = labelsArc.centroid(d);
              var hashKey = createHashKey(center);

              if (labelLocationHash[hashKey]) {
                center[1] -= avgHeight;
              }

              labelLocationHash[createHashKey(center)] = true;
              return 'translate(' + center + ')';
            }
          }
        });
        pieLabels.select('.nv-label text').style('text-anchor', function (d) {
          if (d.value > 0) {
            if (labelSunbeamLayout) {
              return (d.startAngle + d.endAngle) / 2 < Math.PI ? 'start' : 'end'; //center the text on it's origin or begin/end if orthogonal aligned
            } else {
              return 'middle';
            }
          }
        }).text(function (d) {
          if (d.value > 0) {
            var percent = (d.endAngle - d.startAngle) / (2 * Math.PI);
            var labelTypes = {
              key: getX(d.data),
              value: getY(d.data),
              percent: d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.format('%')(percent)
            };
            return d.value && percent > labelThreshold ? labelTypes[labelType] : '';
          } else {
            return '';
          }
        });
      }

      function arcTween(a) {
        a.endAngle = isNaN(a.endAngle) ? 0 : a.endAngle;
        a.startAngle = isNaN(a.startAngle) ? 0 : a.startAngle;

        if (!donut) {
          a.innerRadius = 0;
        }

        var i = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.interpolate(this._current, a);
        this._current = i(0);
        return function (t) {
          return arcNormal()(i(t));
        };
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.values = function () {
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].log('pie.values() is no longer supported.');
    return chart;
  };

  chart.x = function (_) {
    if (!arguments.length) {
      return getX;
    }

    getX = _;
    return chart;
  };

  chart.y = function (_) {
    if (!arguments.length) {
      return getY;
    }

    getY = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.functor(_);
    return chart;
  };

  chart.description = function (_) {
    if (!arguments.length) {
      return getDescription;
    }

    getDescription = _;
    return chart;
  };

  chart.showLabels = function (_) {
    if (!arguments.length) {
      return showLabels;
    }

    showLabels = _;
    return chart;
  };

  chart.labelSunbeamLayout = function (_) {
    if (!arguments.length) {
      return labelSunbeamLayout;
    }

    labelSunbeamLayout = _;
    return chart;
  };

  chart.donutLabelsOutside = function (_) {
    if (!arguments.length) {
      return donutLabelsOutside;
    }

    donutLabelsOutside = _;
    return chart;
  };

  chart.pieLabelsOutside = function (_) {
    if (!arguments.length) {
      return pieLabelsOutside;
    }

    pieLabelsOutside = _;
    return chart;
  };

  chart.labelType = function (_) {
    if (!arguments.length) {
      return labelType;
    }

    labelType = _;
    labelType = labelType || 'key';
    return chart;
  };

  chart.donut = function (_) {
    if (!arguments.length) {
      return donut;
    }

    donut = _;
    return chart;
  };

  chart.donutRatio = function (_) {
    if (!arguments.length) {
      return donutRatio;
    }

    donutRatio = _;
    return chart;
  };

  chart.startAngle = function (_) {
    if (!arguments.length) {
      return startAngle;
    }

    startAngle = _;
    return chart;
  };

  chart.endAngle = function (_) {
    if (!arguments.length) {
      return endAngle;
    }

    endAngle = _;
    return chart;
  };

  chart.id = function (_) {
    if (!arguments.length) {
      return id;
    }

    id = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(_);
    return chart;
  };

  chart.valueFormat = function (_) {
    if (!arguments.length) {
      return valueFormat;
    }

    valueFormat = _;
    return chart;
  };

  chart.labelThreshold = function (_) {
    if (!arguments.length) {
      return labelThreshold;
    }

    labelThreshold = _;
    return chart;
  };

  chart.selectSlices = function (args) {
    if (!arguments.length) {
      return selectSlices;
    }

    selectSlices(args);
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.growingPieChart.js":
/*!*******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.growingPieChart.js ***!
  \*******************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.growingPieChart = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var pie = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.growingPie(),
      legend = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.legend(),
      margin = {
    top: 30,
    right: 20,
    bottom: 20,
    left: 20
  };

  var width = null,
      height = null,
      showLegend = true,
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.defaultColor(),
      tooltips = true,
      tooltip = function tooltip(key, y) {
    return '<h3>' + key + '</h3>' + '<p>' + y + '</p>';
  },
      state = {},
      defaultState = null,
      noData = 'No Data Available.',
      selectSlices = null;

  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState'); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var tooltipLabel = pie.description()(e.point) || pie.x()(e.point);
    var left = e.pos[0] + (offsetElement && offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement && offsetElement.offsetTop || 0),
        y = pie.valueFormat()(pie.y()(e.point)),
        content = tooltip(tooltipLabel, y, e, chart);
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right;
      var availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().call(chart);
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) {
            defaultState[key] = state[key].slice(0);
          } else {
            defaultState[key] = state[key];
          }
        }
      } //------------------------------------------------------------
      // Display No Data message if there's nothing to show.


      var _allDataIsZero = true;

      if (data) {
        data.forEach(function (obj) {
          if (obj.value > 0) {
            _allDataIsZero = false;
          }
        });
      }

      if (!data || !data.length || _allDataIsZero) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        container.selectAll('.nv-pieChart').style('visibility', 'hidden');
        container.selectAll('.nv-noData').style('visibility', 'visible');
        return chart;
      } else {
        container.selectAll('.nv-pieChart').style('visibility', 'visible');
        container.selectAll('.nv-noData').style('visibility', 'hidden');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart


      var wrap = container.selectAll('g.nv-wrap.nv-pieChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-pieChart').append('g');
      var g = wrap.select('g');
      gEnter.append('g').attr('class', 'nv-pieWrap');
      gEnter.append('g').attr('class', 'nv-legendWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(availableWidth).key(pie.x());
        wrap.select('.nv-legendWrap').datum(data).call(legend);

        if (legend.height() > 50) {
          wrap.select('.nv-legendWrap').style('visibility', 'hidden');
        } else {
          wrap.select('.nv-legendWrap').style('visibility', 'visible');

          if (margin.top !== legend.height()) {
            margin.top = legend.height();
            availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;
          }
        }

        wrap.select('.nv-legendWrap').attr('transform', 'translate(0,' + -margin.top + ')');
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------
      // Main Chart Component(s)

      pie.width(availableWidth).height(availableHeight);
      var pieWrap = g.select('.nv-pieWrap').datum([data]);
      selectSlices = pie.selectSlices;
      d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.transition(pieWrap).call(pie); //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------

      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);
        chart.update();
      });
      pie.dispatch.on('elementMouseout.tooltip', function (e) {
        dispatch.tooltipHide(e);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  pie.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  dispatch.on('tooltipShow', function (e) {
    if (tooltips) {
      showTooltip(e);
    }
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) {
      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].tooltip.cleanup();
    }
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.legend = legend;
  chart.dispatch = dispatch;
  chart.pie = pie;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, pie, 'valueFormat', 'values', 'x', 'y', 'description', 'id', 'showLabels', 'donutLabelsOutside', 'pieLabelsOutside', 'labelType', 'donut', 'donutRatio', 'labelThreshold');
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.getColor(_);
    legend.color(color);
    pie.color(color);
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) {
      return showLegend;
    }

    showLegend = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) {
      return tooltips;
    }

    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) {
      return state;
    }

    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) {
      return defaultState;
    }

    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) {
      return noData;
    }

    noData = _;
    return chart;
  };

  chart.selectSlices = function (args) {
    if (!arguments.length) {
      return selectSlices;
    }

    selectSlices(args);
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.legend.js":
/*!**********************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.legend.js ***!
  \**********************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].models.legend = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var margin = {
    top: 5,
    right: 0,
    bottom: 5,
    left: 0
  };

  var width = 400,
      height = 20,
      getKey = function getKey(d) {
    return d.key;
  },
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.defaultColor(),
      align = true,
      rightAlign = true,
      updateState = true,
      //If true, legend will update data.disabled and trigger a 'stateChange' dispatch.
  radioButtonMode = false; //If true, clicking legend items will cause it to behave like a radio button. (only one can be selected at a time)


  var dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('legendClick', 'legendDblclick', 'legendMouseover', 'legendMouseout', 'stateChange'); //============================================================

  function chart(selection) {
    selection.each(function (data) {
      var availableWidth = width - margin.left - margin.right,
          container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this); //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-legend').data([data]);
      wrap.enter().append('g').attr('class', 'nvd3 nv-legend').append('g');
      var g = wrap.select('g');
      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')'); //------------------------------------------------------------

      var series = g.selectAll('.nv-series').data(function (d) {
        return d;
      });
      var seriesEnter = series.enter().append('g').attr('class', 'nv-series').on('mouseover', function (d, i) {
        dispatch.legendMouseover(d, i); //TODO: Make consistent with other event objects
      }).on('mouseout', function (d, i) {
        dispatch.legendMouseout(d, i);
      }).on('click', function (d, i) {
        dispatch.legendClick(d, i);

        if (updateState) {
          if (radioButtonMode) {
            //Radio button mode: set every series to disabled,
            //  and enable the clicked series.
            data.forEach(function (series) {
              series.disabled = true;
            });
            d.disabled = false;
          } else {
            d.disabled = !d.disabled;

            if (data.every(function (series) {
              return series.disabled;
            })) {
              //the default behavior of NVD3 legends is, if every single series
              // is disabled, turn all series' back on.
              data.forEach(function (series) {
                series.disabled = false;
              });
            }
          }

          dispatch.stateChange({
            disabled: data.map(function (d) {
              return !!d.disabled;
            })
          });
        }
      }).on('dblclick', function (d, i) {
        dispatch.legendDblclick(d, i);

        if (updateState) {
          //the default behavior of NVD3 legends, when double clicking one,
          // is to set all other series' to false, and make the double clicked series enabled.
          data.forEach(function (series) {
            series.disabled = true;
          });
          d.disabled = false;
          dispatch.stateChange({
            disabled: data.map(function (d) {
              return !!d.disabled;
            })
          });
        }
      });
      seriesEnter.append('circle').style('stroke-width', 2).attr('class', 'nv-legend-symbol').attr('r', 5).style('display', function (d) {
        return d.checkbox ? 'none' : 'inline';
      });
      seriesEnter.append('rect').style('stroke-width', 2).attr('class', 'nv-legend-symbol').attr('width', 10).attr('height', 10).attr('transform', 'translate(-5,-5)').style('display', function (d) {
        return d.checkbox ? 'inline' : 'none';
      });
      seriesEnter.append('text').attr('text-anchor', 'start').attr('class', 'nv-legend-text').attr('dy', '.32em').attr('dx', '8');
      series.classed('disabled', function (d) {
        return d.disabled;
      });
      series.exit().remove();
      series.select('circle').style('fill', function (d, i) {
        return d.color || color(d, i);
      }).style('stroke', function (d, i) {
        return d.color || color(d, i);
      });
      series.select('rect').style('fill', function (d, i) {
        return d.color || color(d, i);
      }).style('stroke', function (d, i) {
        return d.color || color(d, i);
      });
      series.select('text').text(getKey); //TODO: implement fixed-width and max-width options (max-width is especially useful with the align option)
      // NEW ALIGNING CODE, TODO: clean up

      if (align) {
        var seriesWidths = [];
        series.each(function () {
          var legendText = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text');
          var nodeTextLength;

          try {
            nodeTextLength = legendText.getComputedTextLength(); // If the legendText is display:none'd (nodeTextLength == 0), simulate an error so we approximate, instead

            if (nodeTextLength <= 0) {
              throw Error();
            }
          } catch (e) {
            nodeTextLength = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.calcApproxTextWidth(legendText);
          }

          seriesWidths.push(nodeTextLength + 28); // 28 is ~ the width of the circle plus some padding
        });
        var seriesPerRow = 0;
        var legendWidth = 0;
        var columnWidths = [];

        while (legendWidth < availableWidth && seriesPerRow < seriesWidths.length) {
          columnWidths[seriesPerRow] = seriesWidths[seriesPerRow];
          legendWidth += seriesWidths[seriesPerRow++];
        }

        if (seriesPerRow === 0) {
          seriesPerRow = 1;
        } //minimum of one series per row


        while (legendWidth > availableWidth && seriesPerRow > 1) {
          columnWidths = [];
          seriesPerRow--;

          for (var k = 0; k < seriesWidths.length; k++) {
            if (seriesWidths[k] > (columnWidths[k % seriesPerRow] || 0)) {
              columnWidths[k % seriesPerRow] = seriesWidths[k];
            }
          }

          legendWidth = columnWidths.reduce(function (prev, cur) {
            return prev + cur;
          });
        }

        var xPositions = [];

        for (var i = 0, curX = 0; i < seriesPerRow; i++) {
          xPositions[i] = curX;
          curX += columnWidths[i];
        }

        series.attr('transform', function (d, i) {
          return 'translate(' + xPositions[i % seriesPerRow] + ',' + (5 + Math.floor(i / seriesPerRow) * 20) + ')';
        }); //position legend as far right as possible within the total width

        if (rightAlign) {
          g.attr('transform', 'translate(' + _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.NaNtoZero(width - margin.right - legendWidth) + ',' + margin.top + ')');
        } else {
          g.attr('transform', 'translate(0' + ',' + margin.top + ')');
        }

        height = margin.top + margin.bottom + Math.ceil(seriesWidths.length / seriesPerRow) * 20;
      } else {
        var ypos = 5,
            newxpos = 5,
            maxwidth = 0,
            xpos;
        series.attr('transform', function () {
          var length = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this).select('text').node().getComputedTextLength() + 28;
          xpos = newxpos;

          if (width < margin.left + margin.right + xpos + length) {
            newxpos = xpos = 5;
            ypos += 20;
          }

          newxpos += length;

          if (newxpos > maxwidth) {
            maxwidth = newxpos;
          }

          return 'translate(' + xpos + ',' + ypos + ')';
        }); //position legend as far right as possible within the total width

        g.attr('transform', 'translate(' + (width - margin.right - maxwidth) + ',' + margin.top + ')');
        height = margin.top + margin.bottom + ypos + 15;
      }
    });
    return chart;
  } //============================================================
  // Expose Public Variables
  //------------------------------------------------------------


  chart.dispatch = dispatch;
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.key = function (_) {
    if (!arguments.length) {
      return getKey;
    }

    getKey = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_1__["default"].utils.getColor(_);
    return chart;
  };

  chart.align = function (_) {
    if (!arguments.length) {
      return align;
    }

    align = _;
    return chart;
  };

  chart.rightAlign = function (_) {
    if (!arguments.length) {
      return rightAlign;
    }

    rightAlign = _;
    return chart;
  };

  chart.updateState = function (_) {
    if (!arguments.length) {
      return updateState;
    }

    updateState = _;
    return chart;
  };

  chart.radioButtonMode = function (_) {
    if (!arguments.length) {
      return radioButtonMode;
    }

    radioButtonMode = _;
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.lineWithBrushChart.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.lineWithBrushChart.js ***!
  \**********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.lineWithBrushChart = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var LABELS = {
    SELECT: 'Enable selection'
  };
  var lines = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.line(),
      xAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis(),
      yAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis(),
      legend = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.legend(),
      controls = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.legend(),
      interactiveLayer = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].interactiveGuideline(),
      margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  };
  var brush = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.brush(),
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.defaultColor(),
      width = null,
      height = null,
      showLegend = true,
      showControls = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      useInteractiveGuideline = false,
      tooltips = true,
      tooltip = null,
      displayValuesInLegend = false;

  var tooltipSimple = function tooltipSimple(value) {
    return '<h3>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.key) + '</h3>' + '<p>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.x) + '</p>';
  },
      tooltipMultiple = function tooltipMultiple(values) {
    return '<h3>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(values[0] && values[0].x) + '</h3>' + values.map(function (value) {
      return '<p><span class="circle" style="background-color:' + value.color + '"></span><b>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.key) + '</b> ' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.y) + '</p>';
    }).join('');
  },
      getX = function getX(d) {
    return d.x;
  },
      // accessor to get the x value
  getY = function getY(d) {
    return d.y;
  },
      // accessor to get the y value;
  controlWidth = function controlWidth() {
    return showControls ? selectionHidden ? 240 : 300 : 0;
  },
      legendWidth = 175,
      dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState', 'brush');

  var x,
      y,
      state = {},
      defaultState = null,
      noData = 'No Data Available.',
      transitionDuration = 250,
      extent,
      selectionEnabled = false,
      selectionHidden = false,
      onSelectRange = null,
      onStateChange = null,
      onLegendChange = null,
      onChartUpdate = null;
  xAxis.orient('bottom').tickPadding(7);
  yAxis.orient(rightAlignYAxis ? 'right' : 'left');
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var values;

    if (!tooltip) {
      values = (e.list || [e]).map(function (e) {
        var x = xAxis.tickFormat()(lines.x()(e.point, e.pointIndex)),
            y = yAxis.tickFormat()(lines.y()(e.point, e.pointIndex));
        return {
          x: x,
          y: y,
          key: displayValuesInLegend && (e.point.obj.field || e.point.obj.fq_fields && e.point.obj.fq_fields[0]) || e.series.key,
          color: e.series.color || color(e.series, e.point.series)
        };
      });
    } else {
      values = tooltip((e.list || [e]).map(function (e) {
        var x = lines.x()(e.point, e.pointIndex),
            y = lines.y()(e.point, e.pointIndex);
        return {
          x: x,
          y: y,
          key: displayValuesInLegend && (e.point.obj.field || e.point.obj.fq_fields && e.point.obj.fq_fields[0]) || e.series.key,
          color: e.series.color || color(e.series, e.point.series)
        };
      }));
    }

    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        content = displayValuesInLegend ? tooltipSimple(values[0]) : tooltipMultiple(values);
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.show([left, top], content, null, null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableChartWidth = Math.max(availableWidth - showLegend * legendWidth, 0),
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.update = function () {
        container.transition().duration(transitionDuration).each('end', onChartUpdate).call(chart);
        filteredData = data.filter(function (series) {
          return !series.disabled;
        });

        if (selectionEnabled) {
          enableBrush();
        } else {
          disableBrush();
        }
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) {
            defaultState[key] = state[key].slice(0);
          } else {
            defaultState[key] = state[key];
          }
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        return chart;
      } else {
        container.selectAll('.nv-noData').remove();
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = lines.xScale();
      y = lines.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-lineChart').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-lineChart').append('g');
      var g = wrap.select('g');
      gEnter.append('rect').style('opacity', 0);
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-linesWrap'); // We put the legend in an another SVG to support scrolling

      var legendDiv = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(container.node().parentNode).select('div');
      var legendSvg = legendDiv.select('svg').size() === 0 ? legendDiv.append('svg') : legendDiv.select('svg');
      legendSvg.style('height', data.length * 20 + 6 + 'px').selectAll('g').remove();
      var legendG = legendSvg.append('g').attr('class', 'nvd3 nv-wrap nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-interactive');
      gEnter.append('g').attr('class', 'nv-controlsWrap');
      g.select('rect').attr('width', availableChartWidth).attr('height', availableHeight > 0 ? availableHeight : 0); //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(legendWidth / 2);
        legend.height(availableHeight);
        legend.rightAlign(false);
        legend.margin({
          top: 5,
          right: 0,
          left: 10,
          bottom: 0
        });
        data.forEach(function (series, i) {
          series.color = color(series, i);
        });

        try {
          legendG.datum(data).call(legend).selectAll('text').text(function (d) {
            if (displayValuesInLegend) {
              var addEllipsis = d.key && d.key.length > 12;
              return d.key && d.key.substring(0, 12) + (addEllipsis ? '...' : '');
            } else {
              return d.key;
            }
          }).append('title').text(function (d) {
            return d.key;
          });

          if (displayValuesInLegend) {
            legendG.selectAll('g.nv-series').append('text').classed('nv-series-value', true).text(function () {
              return '';
            }).attr('dx', 125).attr('dy', '.32em').attr('text-anchor', 'end').append('title').classed('nv-series-value', true).text(function () {
              return '';
            });
          }
        } catch (e) {}
      }

      var controlsData = [];

      if (showControls) {
        if (!selectionHidden) {
          controlsData.push({
            key: LABELS.SELECT,
            disabled: !selectionEnabled,
            checkbox: true
          });
        }

        controls.width(controlWidth()).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select('.nv-y.nv-axis').attr('transform', 'translate(' + availableChartWidth + ',0)');
      } //------------------------------------------------------------
      // Main Chart Component(s)
      //------------------------------------------------------------
      //Set up interactive layer


      if (useInteractiveGuideline) {
        interactiveLayer.width(availableChartWidth).height(availableHeight).margin({
          left: margin.left,
          top: margin.top
        }).svgContainer(container).xScale(x);
        wrap.select('.nv-interactive').call(interactiveLayer);
      }

      var filteredData = data.filter(function (series) {
        return !series.disabled;
      });
      lines.width(availableChartWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      var linesWrap = g.select('.nv-linesWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      linesWrap.transition().call(lines); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Brush

      var overlay;

      if (selectionEnabled) {
        enableBrush();
        overlay = g.select('rect');
        overlay.style('display', 'none');
      } else {
        disableBrush();
        overlay = g.select('rect');
        overlay.style('display', 'inherit').attr('height', availableHeight).attr('width', availableWidth).on('mousemove', onMouseMove).on('mouseout', onMouseOut).on('click', onClick);
      }

      function enableBrush() {
        if (!g) {
          // Can happen if the state change before the charts has been created.
          return;
        }

        brush.x(x).on('brush', onBrush).on('brushend', onBrushEnd);

        if (chart.brushDomain) {
          var brushExtent = [fGetNumericValue(chart.brushDomain[0]), fGetNumericValue(chart.brushDomain[1])];
          var isWholeDomain = xAxis.scale()(chart.brushDomain[0]) < 10 && xAxis.scale()(chart.brushDomain[1]) >= xAxis.range()[1];

          if (!isWholeDomain) {
            // If brush is the whole domain, don't display brush
            brush.extent(brushExtent);
          } else {
            brush.clear();
          }
        } else {
          brush.clear();
        }

        var gBrush;

        if (g.selectAll('.nv-brush')[0].length === 0) {
          g.append('g').attr('class', 'nv-brushBackground');
          g.append('g').attr('class', 'nv-x nv-brush');
          var brushBG = g.select('.nv-brushBackground').selectAll('g').data([chart.brushExtent || brush.extent()]);
          var brushBGenter = brushBG.enter().append('g');
          brushBGenter.append('rect').attr('class', 'left').attr('x', 0).attr('y', 0).attr('height', availableHeight);
          brushBGenter.append('rect').attr('class', 'right').attr('x', 0).attr('y', 0).attr('height', availableHeight);
          gBrush = g.select('.nv-x.nv-brush').call(brush);
        } else {
          g.selectAll('.nv-brush').attr('display', 'inline');
          gBrush = g.select('.nv-x.nv-brush').call(brush);
        }

        gBrush.selectAll('rect').attr('height', availableHeight).on('mousemove', onMouseMove).on('mouseout', onMouseOut);
      }

      function disableBrush() {
        if (g) {
          g.selectAll('.nv-brush').attr('display', 'none');
        }
      } //------------------------------------------------------------
      // Setup Axes


      if (showXAxis) {
        xAxis.scale(x).ticks(availableChartWidth / 100).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableChartWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);

        if (onLegendChange) {
          onLegendChange(state);
        }

        chart.update();
      });
      controls.dispatch.on('legendClick', function (d) {
        if (typeof d.checkbox == 'undefined') {
          if (!d.disabled) {
            return;
          }

          controlsData.forEach(function (controlData) {
            controlData.disabled = false;
          });
          d.disabled = false;
        }

        switch (d.key) {
          case LABELS.SELECT:
            selectionEnabled = !selectionEnabled;
            break;
        }

        chart.update();
      });
      interactiveLayer.dispatch.on('elementMousemove', function (e) {
        lines.clearHighlights();
        var singlePoint,
            pointIndex,
            pointXLocation = undefined;
        var allData = [];
        data.filter(function (series, i) {
          series.seriesIndex = i;
          return !series.disabled;
        }).forEach(function (series, i) {
          pointIndex = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].interactiveBisect(series.values, e.pointXValue, chart.x());
          lines.highlightPoint(i, pointIndex, true);
          var point = series.values[pointIndex];

          if (typeof point === 'undefined') {
            return;
          }

          if (typeof singlePoint === 'undefined') {
            singlePoint = point;
          }

          if (typeof pointXLocation === 'undefined') {
            pointXLocation = chart.xScale()(chart.x()(point, pointIndex));
          }

          allData.push({
            key: series.key,
            value: chart.y()(point, pointIndex),
            color: color(series, series.seriesIndex)
          });
        }); //Highlight the tooltip entry based on which point the mouse is closest to.

        if (allData.length > 2) {
          var yValue = chart.yScale().invert(e.mouseY);
          var domainExtent = Math.abs(chart.yScale().domain()[0] - chart.yScale().domain()[1]);
          var threshold = 0.03 * domainExtent;
          var indexToHighlight = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].nearestValueIndex(allData.map(function (d) {
            return d.value;
          }), yValue, threshold);

          if (indexToHighlight !== null) {
            allData[indexToHighlight].highlight = true;
          }
        }

        var xValue = xAxis.tickFormat()(chart.x()());
        interactiveLayer.tooltip.position({
          left: pointXLocation + margin.left,
          top: e.mouseY + margin.top
        }).chartContainer(that.parentNode).enabled(tooltips).valueFormatter(function (d) {
          return yAxis.tickFormat()(d);
        }).data({
          value: xValue,
          series: allData
        })();
        interactiveLayer.renderGuideLine(pointXLocation);
      });
      interactiveLayer.dispatch.on('elementMouseout', function (e) {
        dispatch.tooltipHide();
        lines.clearHighlights();
      });
      dispatch.on('tooltipShow', function (e) {
        if (tooltips) {
          showTooltip(e, that.parentNode);
        }
      });
      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined' && data.length === e.disabled.length) {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        chart.update();
      }); //============================================================

      function onBrush() {
        chart.brushExtent = brush.empty() ? null : brush.extent();
        extent = brush.empty() ? x.domain() : brush.extent();
        dispatch.brush({
          extent: extent,
          brush: brush
        });
      }

      function fGetNumericValue(o) {
        return o instanceof Date ? o.getTime() : o;
      }

      function onBrushEnd() {
        var closest = function closest() {
          if (!data[0].values.length) {
            return [];
          }

          var xDate = x.invert(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this)[0]);
          var distances = {};
          var min = Number.MAX_VALUE;
          var next = -Number.MAX_VALUE;
          var diff;
          var i, j;

          for (j = 0; j < data.length; j++) {
            for (i = 0; i < data[j].values.length; i++) {
              diff = xDate - fGetNumericValue(data[j].values[i].x);

              if (diff >= 0 && diff < min) {
                min = diff;
              } else if (diff < 0 && diff > next) {
                next = diff;
              }

              if (!distances[diff]) {
                distances[diff] = [];
              }

              distances[diff].push(data[j].values[i]);
            }
          }

          if (distances[min][0].x_end) {
            return [distances[min][0].x, distances[min][0].x_end];
          } else if (distances[min] !== undefined && distances[next] !== undefined) {
            var _from = distances[min][0].x < distances[next][0].x ? distances[min][0].x : distances[next][0].x;

            var _to = distances[min][0].x < distances[next][0].x ? distances[next][0].x : distances[min][0].x;

            return [_from, _to];
          } else {
            return [];
          }
        };

        chart.brushExtent = extent = brush.empty() ? closest.call(this) : brush.extent();

        if (onSelectRange) {
          onSelectRange(fGetNumericValue(extent[0]), fGetNumericValue(extent[1]));
        }
      }

      function getElByMouse() {
        var xy = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this);
        var px = x.invert(xy[0]);

        if (!filteredData.length || !filteredData[0].values.length) {
          return null;
        }

        var minx = Math.abs(filteredData[0].values[0].x - px);
        var distances = {};
        var py = y.invert(xy[1]);
        var i, j, diff; // Find closest on x axis

        for (j = 0; j < filteredData.length; j++) {
          for (i = 0; i < filteredData[j].values.length; i++) {
            diff = Math.abs(fGetNumericValue(filteredData[j].values[i].x) - px);

            if (!distances[diff]) {
              distances[diff] = [];
            }

            filteredData[j].values[i].seriesKey = filteredData[j].key;
            distances[diff].push(filteredData[j].values[i]);

            if (diff < minx) {
              minx = diff;
            }
          }
        } // Find series with y axis


        var miny = Number.MAX_VALUE;
        var distancesy = {};

        for (i = 0; i < distances[minx].length; i++) {
          diff = Math.abs(distances[minx][i].y - py);

          if (!distancesy[diff]) {
            distancesy[diff] = [];
          }

          distancesy[diff].push(distances[minx][i]);

          if (diff < miny) {
            miny = diff;
          }
        }

        return distancesy[miny];
      }

      function onMouseMove() {
        var el = getElByMouse.call(this); // If we're mousing over a circle that doesn't have class hover, set class and dispatch mouseover

        var target = container.selectAll('g.nv-wrap.nv-lineChart circle:not(.hover)').filter(function (rect) {
          return el && el.some(function (d) {
            return fGetNumericValue(getX(rect)) === fGetNumericValue(getX(d)) && d.series === rect.series;
          });
        });

        if (el && el.length && displayValuesInLegend) {
          var _legendG = legendSvg.select('.nvd3.nv-wrap.nv-legendWrap');

          var elBySerie = el.reduce(function (elBySerie, el) {
            elBySerie[el.seriesKey] = el;
            return elBySerie;
          }, {});

          _legendG.selectAll('g.nv-series text.nv-series-value').text(function (d) {
            if (elBySerie[d.key]) {
              var value = yAxis.tickFormat()(d.values[elBySerie[d.key].index].y) + '';
              var addEllipsis = value.length > 5;
              return value && (addEllipsis ? '...' : '') + value.substring(value.length - 5);
            } else {
              return '';
            }
          }).append('title').text(function (d) {
            if (elBySerie[d.key]) {
              return yAxis.tickFormat()(d.values[elBySerie[d.key].index].y);
            } else {
              return '';
            }
          });
        } // If there's rectangle with the hover class that are not the target, remove the class and dispatch mouseout


        var others = container.selectAll('g.nv-wrap.nv-lineChart circle.hover').filter(function (rect) {
          return !el || !el.some(function (d) {
            return fGetNumericValue(getX(rect)) === fGetNumericValue(getX(d)) && d.series === rect.series;
          });
        });

        if (others.size()) {
          others.classed('hover', false).each(function (d, i) {
            lines.dispatch.elementMouseout({
              value: getY(d),
              point: d,
              series: filteredData[d.series],
              pointIndex: i,
              seriesIndex: d.series,
              e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
            });
          });
        }

        if (target.size()) {
          var e = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event; // Keep reference to event for setTimeout

          setTimeout(function () {
            // Delayed to conteract conflict with elementMouseout.
            target.classed('hover', true);
            var max,
                maxi = 0;
            target.each(function (d, i) {
              if (isNaN(max) || max < getY(d)) {
                max = getY(d);
                maxi = i;
              }
            });
            d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(target[0][maxi]).each(function (d) {
              lines.dispatch.elementMouseover({
                value: getY(d),
                point: d,
                series: filteredData[d.series],
                pos: [x(getX(d)), y(getY(d))],
                pointIndex: -1,
                seriesIndex: d.series,
                list: el.map(function (d) {
                  return {
                    value: getY(d),
                    point: d,
                    series: filteredData[d.series],
                    pos: [x(getX(d)), y(getY(d))],
                    pointIndex: -1,
                    seriesIndex: d.series
                  };
                }),
                e: e
              });
            });
          });
        }
      }

      function onMouseOut() {
        var others = container.selectAll('g.nv-wrap.nv-lineChart circle.hover');

        if (others.size()) {
          others.classed('hover', false).each(function (d) {
            lines.dispatch.elementMouseout({
              value: getY(d),
              point: d,
              series: filteredData[d.series],
              pointIndex: d.index,
              seriesIndex: d.series,
              e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
            });
          });
        }
      }

      function onClick() {
        var el = getElByMouse.call(this);
        var d = el[0];
        lines.dispatch.elementClick({
          value: getY(d),
          point: d,
          series: filteredData[d.series],
          pointIndex: d.index,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  lines.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  lines.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) {
      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.cleanup();
    }
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.lines = lines;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.xScale = lines.xScale;
  chart.interactiveLayer = interactiveLayer;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, lines, 'defined', 'isArea', 'x', 'y', 'size', 'xScale', 'yScale', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'interactive', 'clipEdge', 'clipVoronoi', 'useVoronoi', 'id', 'interpolate');
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) {
      return showControls;
    }

    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) {
      return showLegend;
    }

    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) {
      return showXAxis;
    }

    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) {
      return showYAxis;
    }

    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) {
      return rightAlignYAxis;
    }

    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.useInteractiveGuideline = function (_) {
    if (!arguments.length) {
      return useInteractiveGuideline;
    }

    useInteractiveGuideline = _;

    if (_ === true) {
      chart.interactive(false);
      chart.useVoronoi(false);
    }

    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) {
      return tooltips;
    }

    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) {
      return state;
    }

    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) {
      return defaultState;
    }

    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) {
      return noData;
    }

    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) {
      return transitionDuration;
    }

    transitionDuration = _;
    return chart;
  };

  chart.enableSelection = function () {
    selectionEnabled = true;
    return chart;
  };

  chart.disableSelection = function () {
    selectionEnabled = false;
    return chart;
  };

  chart.isSelectionEnabled = function () {
    return selectionEnabled;
  };

  chart.hideSelection = function () {
    selectionHidden = true;
    return chart;
  };

  chart.showSelection = function () {
    selectionHidden = false;
    return chart;
  };

  chart.onSelectRange = function (_) {
    if (!arguments.length) {
      return onSelectRange;
    }

    onSelectRange = _;
    return chart;
  };

  chart.onChartUpdate = function (_) {
    if (!arguments.length) {
      return onChartUpdate;
    }

    onChartUpdate = _;
    return chart;
  };

  chart.onStateChange = function (_) {
    if (!arguments.length) {
      return onStateChange;
    }

    onStateChange = _;
    return chart;
  };

  chart.onLegendChange = function (_) {
    if (!arguments.length) {
      return onLegendChange;
    }

    onLegendChange = _;
    return chart;
  };

  chart.displayValuesInLegend = function (_) {
    if (!arguments.length) {
      return displayValuesInLegend;
    }

    displayValuesInLegend = _;
    return chart;
  };

  chart.brush = function (_) {
    if (!arguments.length) {
      return brush;
    }

    brush = _;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return chart.brushDomain;
    }

    if (args && args.rangeValues) {
      chart.brushDomain = [args.rangeValues[0].from, args.rangeValues[0].to];
    } else {
      chart.brushDomain = null;
    }

    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/nvd3/nv.d3.multiBarWithBrushChart.js":
/*!**************************************************************************!*\
  !*** ./desktop/core/src/desktop/js/nvd3/nv.d3.multiBarWithBrushChart.js ***!
  \**************************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ext/nv.d3.1.1.15b.custom */ "./desktop/core/src/desktop/js/ext/nv.d3.1.1.15b.custom.js");
function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




_ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.multiBarWithBrushChart = function () {
  'use strict'; //============================================================
  // Public Variables with Default Settings
  //------------------------------------------------------------

  var LABELS = {
    STACKED: 'Stacked',
    GROUPED: 'Grouped',
    SELECT: 'Enable selection'
  };
  var multibar = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.growingMultiBar(),
      xAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis(),
      yAxis = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.axis(),
      legend = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.legend(),
      controls = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].models.legend(),
      margin = {
    top: 30,
    right: 20,
    bottom: 50,
    left: 60
  };
  var brush = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.svg.brush(),
      width = null,
      height = null,
      color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.defaultColor(),
      showControls = true,
      showLegend = true,
      showXAxis = true,
      showYAxis = true,
      rightAlignYAxis = false,
      reduceXTicks = true,
      // if false a tick will show for every data point
  staggerLabels = false,
      rotateLabels = 0,
      tooltips = true,
      tooltip = null,
      minTickWidth = 60,
      displayValuesInLegend = false,
      tooltipContent = null,
      x,
      //can be accessed via chart.xScale()
  y,
      //can be accessed via chart.yScale()
  state = {
    stacked: false,
    selectionEnabled: false
  },
      defaultState = null,
      noData = 'No Data Available.';

  var tooltipSimple = function tooltipSimple(value) {
    return '<h3>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.key) + '</h3>' + '<p>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.x) + '</p>';
  },
      tooltipMultiple = function tooltipMultiple(values) {
    return '<h3>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(values[0] && values[0].x) + '</h3>' + values.map(function (value) {
      return '<p><span class="circle" style="background-color:' + value.color + '"></span><b>' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.key) + '</b> ' + _utils_hueUtils__WEBPACK_IMPORTED_MODULE_1__["default"].htmlEncode(value.y) + '</p>';
    }).join('');
  },
      getX = function getX(d) {
    return d.x;
  },
      // accessor to get the x value
  getY = function getY(d) {
    return d.y;
  },
      // accessor to get the y value
  dispatch = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.dispatch('tooltipShow', 'tooltipHide', 'stateChange', 'changeState', 'brush'),
      controlWidth = function controlWidth() {
    return showControls ? selectionHidden ? 240 : 300 : 0;
  },
      legendWidth = 175;

  var transitionDuration = 250,
      extent,
      selectionEnabled = false,
      selectionHidden = false,
      stackedHidden = false,
      onSelectRange = null,
      onStateChange = null,
      onLegendChange = null,
      onChartUpdate = null,
      selectedBars = null,
      selectBars = null;
  multibar.stacked(false);
  xAxis.orient('bottom').tickPadding(7).highlightZero(true).showMaxMin(false).tickFormat(function (d) {
    return d;
  });
  yAxis.orient(rightAlignYAxis ? 'right' : 'left').tickFormat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.format(',.1f'));
  controls.updateState(false); //============================================================
  //============================================================
  // Private Variables
  //------------------------------------------------------------

  var showTooltip = function showTooltip(e, offsetElement) {
    var values;

    if (!tooltipContent) {
      values = (e.list || [e]).map(function (e) {
        var x = xAxis.tickFormat()(multibar.x()(e.point, e.pointIndex)),
            y = yAxis.tickFormat()(multibar.y()(e.point, e.pointIndex));
        return {
          x: x,
          y: y,
          key: displayValuesInLegend && (e.point.obj.field || e.point.obj.fq_fields && e.point.obj.fq_fields[0]) || e.series.key,
          color: e.series.color || color(e.series, e.point.series)
        };
      });
    } else {
      values = tooltipContent((e.list || [e]).map(function (e) {
        var x = multibar.x()(e.point, e.pointIndex),
            y = multibar.y()(e.point, e.pointIndex);
        return {
          x: x,
          y: y,
          key: displayValuesInLegend && (e.point.obj.field || e.point.obj.fq_fields && e.point.obj.fq_fields[0]) || e.series.key,
          color: e.series.color || color(e.series, e.point.series)
        };
      }));
    }

    var left = e.pos[0] + (offsetElement.offsetLeft || 0),
        top = e.pos[1] + (offsetElement.offsetTop || 0),
        content = displayValuesInLegend ? tooltipSimple(values[0]) : tooltipMultiple(values);
    _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.show([left, top], content, e.value < 0 ? 'n' : 's', null, offsetElement);
  }; //============================================================


  function chart(selection) {
    selection.each(function (data) {
      var container = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this),
          that = this;
      var availableWidth = (width || parseInt(container.style('width')) || 960) - margin.left - margin.right,
          availableChartWidth = Math.max(availableWidth - showLegend * legendWidth, 0),
          availableHeight = (height || parseInt(container.style('height')) || 400) - margin.top - margin.bottom;

      chart.recommendedTicks = function () {
        return Math.floor(availableWidth / minTickWidth);
      };

      chart.update = function () {
        if (!data) {
          return;
        }

        container.transition().duration(transitionDuration).each('end', onChartUpdate).call(chart);
        filteredData = data.filter(function (series) {
          return !series.disabled;
        });

        if (selectionEnabled) {
          enableBrush();
        } else {
          disableBrush();
        }
      };

      chart.container = this; //set state.disabled

      state.disabled = data.map(function (d) {
        return !!d.disabled;
      });

      if (!defaultState) {
        var key;
        defaultState = {};

        for (key in state) {
          if (state[key] instanceof Array) {
            defaultState[key] = state[key].slice(0);
          } else {
            defaultState[key] = state[key];
          }
        }
      } //------------------------------------------------------------
      // Display noData message if there's nothing to show.


      if (!data || !data.length || !data.filter(function (d) {
        return d.values.length;
      }).length) {
        var noDataText = container.selectAll('.nv-noData').data([noData]);
        noDataText.enter().append('text').attr('class', 'nvd3 nv-noData').attr('dy', '-.7em').style('text-anchor', 'middle');
        noDataText.attr('x', margin.left + availableWidth / 2).attr('y', margin.top + availableHeight / 2).text(function (d) {
          return d;
        });
        container.selectAll('.nv-multiBarWithLegend').style('visibility', 'hidden');
        container.selectAll('.nv-noData').style('visibility', 'visible');
        return chart;
      } else {
        container.selectAll('.nv-multiBarWithLegend').style('visibility', 'visible');
        container.selectAll('.nv-noData').style('visibility', 'hidden');
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Scales


      x = multibar.xScale();
      y = multibar.yScale(); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup containers and skeleton of chart

      var wrap = container.selectAll('g.nv-wrap.nv-multiBarWithLegend').data([data]);
      var gEnter = wrap.enter().append('g').attr('class', 'nvd3 nv-wrap nv-multiBarWithLegend').append('g');
      var g = wrap.select('g');
      gEnter.append('rect').style('opacity', 0);
      gEnter.append('g').attr('class', 'nv-x nv-axis');
      gEnter.append('g').attr('class', 'nv-y nv-axis');
      gEnter.append('g').attr('class', 'nv-barsWrap'); // We put the legend in an another SVG to support scrolling

      var legendDiv = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(container.node().parentNode).select('div');
      var legendSvg = legendDiv.select('svg').size() === 0 ? legendDiv.append('svg') : legendDiv.select('svg');
      legendSvg.style('height', data.length * 20 + 6 + 'px').selectAll('g').remove();
      var legendG = legendSvg.append('g').attr('class', 'nvd3 nv-wrap nv-legendWrap');
      gEnter.append('g').attr('class', 'nv-controlsWrap'); //------------------------------------------------------------
      //------------------------------------------------------------
      // Legend

      if (showLegend) {
        legend.width(legendWidth / 2);
        legend.height(availableHeight);
        legend.rightAlign(false);
        legend.margin({
          top: 5,
          right: 0,
          left: 10,
          bottom: 0
        });

        if (multibar.barColor()) {
          data.forEach(function (series, i) {
            series.color = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rgb('#ccc').darker(i * 1.5).toString();
          });
        } else {
          data.forEach(function (series, i) {
            series.color = color(series, i);
          });
        }

        try {
          legendG.datum(data).call(legend).selectAll('text').text(function (d) {
            var value = d.key && d.key + '';

            if (displayValuesInLegend) {
              var addEllipsis = value && value.length > 12;
              return value && value.substring(0, 12) + (addEllipsis ? '...' : '');
            } else {
              return value;
            }
          }).append('title').text(function (d) {
            return d.key;
          });

          if (displayValuesInLegend) {
            legendG.selectAll('g.nv-series').append('text').classed('nv-series-value', true).text(function () {
              return '';
            }).attr('dx', 125).attr('dy', '.32em').attr('text-anchor', 'end').append('title').text(function () {
              return '';
            });
          }
        } catch (e) {}
      } //------------------------------------------------------------
      //------------------------------------------------------------
      // Controls


      var controlsData = [];

      if (showControls) {
        if (!stackedHidden) {
          controlsData.push({
            key: LABELS.GROUPED,
            disabled: multibar.stacked()
          });
          controlsData.push({
            key: LABELS.STACKED,
            disabled: !multibar.stacked()
          });
        }

        if (!selectionHidden) {
          controlsData.push({
            key: LABELS.SELECT,
            disabled: !selectionEnabled,
            checkbox: selectionEnabled
          });
        }

        controls.width(controlWidth()).color(['#444', '#444', '#444']);
        g.select('.nv-controlsWrap').datum(controlsData).attr('transform', 'translate(0,' + -margin.top + ')').call(controls);
      } //------------------------------------------------------------


      wrap.attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

      if (rightAlignYAxis) {
        g.select('.nv-y.nv-axis').attr('transform', 'translate(' + availableChartWidth + ',0)');
      } //------------------------------------------------------------
      // Main Chart Component(s)


      var filteredData = data.filter(function (series) {
        return !series.disabled;
      });
      multibar.disabled(data.map(function (series) {
        return series.disabled;
      })).width(availableChartWidth).height(availableHeight).color(data.map(function (d, i) {
        return d.color || color(d, i);
      }).filter(function (d, i) {
        return !data[i].disabled;
      }));
      selectBars = multibar.selectBars;
      var barsWrap = g.select('.nv-barsWrap').datum(data.filter(function (d) {
        return !d.disabled;
      }));
      barsWrap.transition().call(multibar); //------------------------------------------------------------
      //------------------------------------------------------------
      // Setup Brush

      var overlay;

      if (selectionEnabled) {
        enableBrush();
        overlay = g.select('rect');
        overlay.style('display', 'none');
      } else {
        disableBrush();
        overlay = g.select('rect');
        overlay.style('display', 'inherit').attr('height', availableHeight).attr('width', availableWidth).on('mousemove', onMouseMove).on('mouseout', onMouseOut).on('click', onClick);
      }

      if (selectBars && selectedBars) {
        selectBars(selectedBars);
      }

      function enableBrush() {
        if (!g) {
          // Can happen if the state change before the charts has been created.
          return;
        }

        brush.x(x).on('brush', onBrush).on('brushstart', onBrushStart).on('brushend', onBrushEnd);

        if (chart.brushDomain) {
          var _selection = fromSelection(chart.brushDomain);

          if (!_selection.isWholeDomain) {
            // If brush is the whole domain, don't display brush
            brush.extent(fromSelection(chart.brushDomain).range);
          } else {
            brush.clear();
          }
        } else {
          brush.clear();
        }

        var gBrush;

        if (g.selectAll('.nv-brush')[0].length === 0) {
          g.append('g').attr('class', 'nv-brushBackground');
          g.append('g').attr('class', 'nv-x nv-brush');
          var brushBG = g.select('.nv-brushBackground').selectAll('g').data([chart.brushExtent || brush.extent()]);
          var brushBGenter = brushBG.enter().append('g');
          brushBGenter.append('rect').attr('class', 'left').attr('x', 0).attr('y', 0).attr('height', availableHeight);
          brushBGenter.append('rect').attr('class', 'right').attr('x', 0).attr('y', 0).attr('height', availableHeight);
          gBrush = g.select('.nv-x.nv-brush').call(brush);
        } else {
          g.selectAll('.nv-brush').attr('display', 'inline');
          gBrush = g.select('.nv-x.nv-brush').call(brush);
        }

        gBrush.selectAll('rect').attr('height', availableHeight).on('mousemove', onMouseMove).on('mouseout', onMouseOut);
      }

      function disableBrush() {
        try {
          g.selectAll('.nv-brush').attr('display', 'none');
        } catch (e) {}
      } //------------------------------------------------------------
      // Setup Axes


      if (showXAxis) {
        var tickSkip = function tickSkip() {
          return Math.ceil(minTickWidth / xAxis.rangeBand());
        };

        xAxis.scale(x).tickValues(x.domain().filter(function (d, i) {
          return reduceXTicks && !(i % tickSkip());
        })).tickSize(-availableHeight, 0);
        g.select('.nv-x.nv-axis').attr('transform', 'translate(0,' + y.range()[0] + ')');
        g.select('.nv-x.nv-axis').transition().call(xAxis);
        var xTicks = g.selectAll('.nv-x.nv-axis g.tick');
        xTicks.selectAll('line, text').style('opacity', 1);

        if (staggerLabels) {
          var getTranslate = function getTranslate(x, y) {
            return 'translate(' + x + ',' + y + ')';
          };

          var rangeBand = x.rangeBand();
          var staggerUp = 5,
              staggerDown = 17; //pixels to stagger by
          // Issue #140

          xTicks.selectAll('text').attr('transform', function (d, i, j) {
            var self = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(this);
            var textLength = self.node().getComputedTextLength(),
                text = self.text();

            while (textLength > rangeBand && text.length > 0) {
              text = text.slice(0, -1);
              self.text(text + '...');
              textLength = self.node().getComputedTextLength();
            }

            return getTranslate(0, j % 2 === 0 ? staggerUp : staggerDown);
          });
          var totalInBetweenTicks = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.selectAll('.nv-x.nv-axis .nv-wrap g g text')[0].length;
          g.selectAll('.nv-x.nv-axis .nv-axisMaxMin text').attr('transform', function (d, i) {
            return getTranslate(0, i === 0 || totalInBetweenTicks % 2 !== 0 ? staggerDown : staggerUp);
          });
        }

        if (rotateLabels) {
          xTicks.selectAll('.tick text').attr('transform', 'rotate(' + rotateLabels + ' 0,0)').style('text-anchor', rotateLabels > 0 ? 'start' : 'end');
        }

        g.select('.nv-x.nv-axis').selectAll('g.nv-axisMaxMin text').style('opacity', 1);
      }

      if (showYAxis) {
        yAxis.scale(y).ticks(availableHeight / 36).tickSize(-availableChartWidth, 0);
        g.select('.nv-y.nv-axis').transition().call(yAxis);
      } //------------------------------------------------------------
      //============================================================
      // Event Handling/Dispatching (in chart's scope)
      //------------------------------------------------------------


      legend.dispatch.on('stateChange', function (newState) {
        state = newState;
        dispatch.stateChange(state);

        if (onLegendChange != null) {
          onLegendChange(state);
        }

        chart.update();
      });
      controls.dispatch.on('legendClick', function (d) {
        if (typeof d.checkbox == 'undefined') {
          if (!d.disabled) {
            return;
          }

          controlsData = controlsData.map(function (s) {
            s.disabled = true;
            return s;
          });
          d.disabled = false;
        }

        switch (d.key) {
          case LABELS.GROUPED:
            multibar.stacked(false);
            break;

          case LABELS.STACKED:
            multibar.stacked(true);
            break;

          case LABELS.SELECT:
            selectionEnabled = !selectionEnabled;
            break;
        }

        state.stacked = multibar.stacked();
        state.selectionEnabled = selectionEnabled;

        if (onStateChange != null) {
          onStateChange(state);
        }

        dispatch.stateChange(state);
        chart.update();
      });
      dispatch.on('tooltipShow', function (e) {
        showTooltip(e, that.parentNode);
      }); // Update chart from a state object passed to event handler

      dispatch.on('changeState', function (e) {
        if (typeof e.disabled !== 'undefined') {
          data.forEach(function (series, i) {
            series.disabled = e.disabled[i];
          });
          state.disabled = e.disabled;
        }

        if (typeof e.stacked !== 'undefined') {
          multibar.stacked(e.stacked);
          state.stacked = e.stacked;
        }

        chart.update();
      }); //============================================================

      function fGetNumericValue(o) {
        return o instanceof Date ? o.getTime() : o;
      }

      function onBrush() {
        chart.brushExtent = brush.empty() ? null : brush.extent();
        extent = brush.empty() ? x.domain() : brush.extent();
        dispatch.brush({
          extent: extent,
          brush: brush
        });
      }

      function onBrushStart() {
        gEnter.select('.nv-brush').select('.extent').style('display', 'block');
      }

      function onBrushEnd() {
        extent = brush.empty() ? [d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this)[0], d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this)[0]] : brush.extent();

        var _leftEdges = x.range();

        var _width = x.rangeBand() + multibar.groupSpacing() * x.rangeBand();

        var _l, _j;

        for (_l = 0; extent[0] > _leftEdges[_l] + _width; _l++) {}

        _l = typeof x.domain()[_l] !== 'undefined' ? _l : 0;

        var _from = x.domain()[_l];

        for (_j = 0; extent[1] > _leftEdges[_j] + _width; _j++) {}

        var _to = typeof x.domain()[_j + 1] !== 'undefined' ? x.domain()[_j + 1] : filteredData[0].values[filteredData[0].values.length - 1].x_end;

        var range = [x.range()[_l], typeof x.range()[_j + 1] !== 'undefined' ? x.range()[_j + 1] : x.range()[_j] + _width];
        brush.extent(chart.brushExtent = range);
        g.select('.nv-x.nv-brush').call(brush);

        if (onSelectRange != null) {
          if (_from > _to) {
            onSelectRange(_to, _from);
          } else {
            onSelectRange(_from, _to);
          }
        }
      }

      function getElByMouse(coords, allSeries) {
        var xy = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.mouse(this);
        var extent = coords || xy[0];

        var _l;

        var _width = x.rangeBand();

        var _leftEdges = x.range();

        for (_l = 0; extent >= _leftEdges[_l]; _l++) {}

        _l = Math.max(_l - 1, 0);
        var value = fGetNumericValue(x.domain()[_l]);
        var values = [];
        var i, j;

        if (allSeries) {
          for (j = 0; j < filteredData.length; j++) {
            for (i = 0; i < filteredData[j].values.length; i++) {
              if (fGetNumericValue(getX(filteredData[j].values[i])) === value) {
                values.push(filteredData[j].values[i]);
              }
            }
          }
        } else if (!multibar.stacked()) {
          var serieIndex = Math.floor(Math.min(extent - _leftEdges[_l], _width - 0.001) / (_width / filteredData.length)); // Math.min(extent - _leftEdges[_l], _width - 0.001) to handle the padding at the end. Would it make sense to remove the padding?

          var _i;

          if (serieIndex < 0) {
            return null;
          }

          for (_i = 0; _i < filteredData[serieIndex].values.length; _i++) {
            if (fGetNumericValue(getX(filteredData[serieIndex].values[_i])) === value) {
              values.push(filteredData[serieIndex].values[_i]);
              break;
            }
          }
        } else {
          // serieIndex depends on the y position of the bar
          // y(getY(d) + (multibar.stacked() ? d.y0 : 0)
          // get all series for the x value
          var py = Math.round(y.invert(xy[1]));
          var mindy = Number.MAX_VALUE;
          var distances = {};

          for (j = 0; j < filteredData.length; j++) {
            for (i = 0; i < filteredData[j].values.length; i++) {
              if (fGetNumericValue(getX(filteredData[j].values[i])) === value) {
                if (py >= filteredData[j].values[i].y0 && py <= filteredData[j].values[i].y1) {
                  values.push(filteredData[j].values[i]);
                } else {
                  var ym = filteredData[j].values[i].y0 + (filteredData[j].values[i].y1 - filteredData[j].values[i].y0) / 2;
                  var dy = Math.abs(py - ym);

                  if (!distances[dy]) {
                    distances[dy] = [];
                  }

                  distances[dy].push(filteredData[j].values[i]);

                  if (dy < mindy) {
                    mindy = dy;
                  }
                }
              }
            }
          }

          if (!values.length) {
            values = distances[mindy];
          }
        }

        return values;
      }

      function fromSelection(selection) {
        var _width = x.rangeBand() + multibar.groupSpacing() * x.rangeBand();

        var _leftEdges = x.domain();

        if (!_leftEdges.length) {
          return null;
        }

        var _l, _j;

        var isDescending = _leftEdges[0] < _leftEdges[1];

        if (!isDescending) {
          selection = [Math.max(selection[0], selection[1]), Math.min(selection[0], selection[1])];
        }

        if (isDescending) {
          for (_l = 0; selection[0] >= _leftEdges[_l]; _l++) {}
        } else {
          for (_l = _leftEdges.length - 1; selection[0] > _leftEdges[_l]; _l--) {}
        }

        _l = x.range()[_l + _typeof(isDescending ? -1 : 0)] !== 'undefined' ? _l + (isDescending ? -1 : 0) : isDescending ? _leftEdges.length - 1 : 0;

        var _fromRange = typeof x.range()[_l] !== 'undefined' ? x.range()[_l] : 0;

        if (isDescending) {
          for (_j = 0; selection[1] > _leftEdges[_j]; _j++) {}
        } else {
          for (_j = _leftEdges.length - 1; selection[1] > _leftEdges[_j]; _j--) {}
        }

        var _toRange = typeof x.range()[_j] !== 'undefined' ? x.range()[_j] : x.range()[_leftEdges.length - 1] + _width;

        return {
          range: [_fromRange, _fromRange === _toRange ? _fromRange + x.rangeBand() : _toRange],
          isWholeDomain: selection[0] <= _leftEdges[0] && selection[1] >= _leftEdges[_leftEdges.length - 1]
        };
      }

      function onMouseMove() {
        var el = getElByMouse.call(this); // If we're mousing over a rectangle that doesn't have class hover, set class and dispatch mouseover

        var target = container.selectAll('g.nv-wrap.nv-multiBarWithLegend rect:not(.hover)').filter(function (rect) {
          return el && el.some(function (d) {
            return fGetNumericValue(getX(rect)) === fGetNumericValue(getX(d)) && d.series === rect.series;
          });
        });

        if (el && el.length && displayValuesInLegend) {
          var _legendG = legendSvg.select('.nvd3.nv-wrap.nv-legendWrap');

          var elBySerie = el.reduce(function (elBySerie, el) {
            elBySerie[el.seriesKey] = el;
            return elBySerie;
          }, {});

          _legendG.selectAll('g.nv-series text.nv-series-value').text(function (d) {
            if (elBySerie[d.key]) {
              var value = yAxis.tickFormat()(d.values[elBySerie[d.key].index].y) + '';
              var addEllipsis = value.length > 5;
              return value && (addEllipsis ? '...' : '') + value.substring(value.length - 5);
            } else {
              return '';
            }
          }).append('title').text(function (d) {
            if (elBySerie[d.key]) {
              return yAxis.tickFormat()(d.values[elBySerie[d.key].index].y);
            } else {
              return '';
            }
          });
        } // If there's rectangle with the hover class that are not the target, remove the class and dispatch mouseout


        var others = container.selectAll('g.nv-wrap.nv-multiBarWithLegend rect.hover').filter(function (rect) {
          return !el || !el.some(function (d) {
            return fGetNumericValue(getX(rect)) === fGetNumericValue(getX(d)) && d.series === rect.series;
          });
        });

        if (others.size()) {
          others.classed('hover', false).each(function (d, i) {
            multibar.dispatch.elementMouseout({
              value: getY(d, i),
              point: d,
              series: filteredData[d.series],
              pointIndex: i,
              seriesIndex: d.series,
              e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
            });
          });
        }

        if (target.size()) {
          var e = d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event; // Keep reference to event for setTimeout

          setTimeout(function () {
            // Delayed to conteract conflict with elementMouseout.
            target.classed('hover', true);
            var max,
                maxi = 0;
            target.each(function (d, i) {
              if (isNaN(max) || max < getY(d)) {
                max = getY(d);
                maxi = i;
              }
            });
            var width = x.rangeBand();
            d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.select(target[0][maxi]).each(function (d, i) {
              multibar.dispatch.elementMouseover({
                value: getY(d),
                point: d,
                series: filteredData[d.series],
                pos: [x(getX(d)) + width * 0.5, y(getY(d) + (multibar.stacked() ? d.y0 : 0))],
                pointIndex: i,
                seriesIndex: d.series,
                list: el.map(function (d) {
                  return {
                    value: getY(d),
                    point: d,
                    series: filteredData[d.series],
                    pos: [x(getX(d)) + width * 0.5, y(getY(d) + (multibar.stacked() ? d.y0 : 0))],
                    pointIndex: -1,
                    seriesIndex: d.series
                  };
                }),
                e: e
              });
            });
          }, 0);
        }
      }

      function onMouseOut() {
        var others = container.selectAll('g.nv-wrap.nv-multiBarWithLegend rect.hover');

        if (others.size()) {
          others.classed('hover', false).each(function (d, i) {
            multibar.dispatch.elementMouseout({
              value: getY(d, i),
              point: d,
              series: filteredData[d.series],
              pointIndex: d.index,
              seriesIndex: d.series,
              e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
            });
          });
        }
      }

      function onClick() {
        var el = getElByMouse.call(this);
        var d = el[0];
        multibar.dispatch.elementClick({
          value: getY(d),
          point: d,
          series: filteredData[d.series],
          pointIndex: d.index,
          seriesIndex: d.series,
          e: d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.event
        });
      }
    });
    return chart;
  } //============================================================
  // Event Handling/Dispatching (out of chart's scope)
  //------------------------------------------------------------


  multibar.dispatch.on('elementMouseover.tooltip', function (e) {
    e.pos = [e.pos[0] + margin.left, e.pos[1] + margin.top];
    dispatch.tooltipShow(e);
  });
  multibar.dispatch.on('elementMouseout.tooltip', function (e) {
    dispatch.tooltipHide(e);
  });
  dispatch.on('tooltipHide', function () {
    if (tooltips) {
      _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].tooltip.cleanup();
    }
  }); //============================================================
  //============================================================
  // Expose Public Variables
  //------------------------------------------------------------
  // expose chart's sub-components

  chart.dispatch = dispatch;
  chart.multibar = multibar;
  chart.legend = legend;
  chart.xAxis = xAxis;
  chart.yAxis = yAxis;
  chart.xScale = multibar.xScale;
  chart.LABELS = LABELS;
  d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.rebind(chart, multibar, 'x', 'y', 'xDomain', 'yDomain', 'xRange', 'yRange', 'forceX', 'forceY', 'clipEdge', 'id', 'stacked', 'stackOffset', 'delay', 'barColor', 'groupSpacing');
  chart.options = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.optionsFunc.bind(chart);

  chart.margin = function (_) {
    if (!arguments.length) {
      return margin;
    }

    margin.top = typeof _.top != 'undefined' ? _.top : margin.top;
    margin.right = typeof _.right != 'undefined' ? _.right : margin.right;
    margin.bottom = typeof _.bottom != 'undefined' ? _.bottom : margin.bottom;
    margin.left = typeof _.left != 'undefined' ? _.left : margin.left;
    return chart;
  };

  chart.width = function (_) {
    if (!arguments.length) {
      return width;
    }

    width = _;
    return chart;
  };

  chart.height = function (_) {
    if (!arguments.length) {
      return height;
    }

    height = _;
    return chart;
  };

  chart.color = function (_) {
    if (!arguments.length) {
      return color;
    }

    color = _ext_nv_d3_1_1_15b_custom__WEBPACK_IMPORTED_MODULE_2__["default"].utils.getColor(_);
    legend.color(color);
    return chart;
  };

  chart.showControls = function (_) {
    if (!arguments.length) {
      return showControls;
    }

    showControls = _;
    return chart;
  };

  chart.showLegend = function (_) {
    if (!arguments.length) {
      return showLegend;
    }

    showLegend = _;
    return chart;
  };

  chart.showXAxis = function (_) {
    if (!arguments.length) {
      return showXAxis;
    }

    showXAxis = _;
    return chart;
  };

  chart.showYAxis = function (_) {
    if (!arguments.length) {
      return showYAxis;
    }

    showYAxis = _;
    return chart;
  };

  chart.rightAlignYAxis = function (_) {
    if (!arguments.length) {
      return rightAlignYAxis;
    }

    rightAlignYAxis = _;
    yAxis.orient(_ ? 'right' : 'left');
    return chart;
  };

  chart.reduceXTicks = function (_) {
    if (!arguments.length) {
      return reduceXTicks;
    }

    reduceXTicks = _;
    return chart;
  };

  chart.rotateLabels = function (_) {
    if (!arguments.length) {
      return rotateLabels;
    }

    rotateLabels = _;
    return chart;
  };

  chart.staggerLabels = function (_) {
    if (!arguments.length) {
      return staggerLabels;
    }

    staggerLabels = _;
    return chart;
  };

  chart.tooltip = function (_) {
    if (!arguments.length) {
      return tooltip;
    }

    tooltip = _;
    return chart;
  };

  chart.tooltips = function (_) {
    if (!arguments.length) {
      return tooltips;
    }

    tooltips = _;
    return chart;
  };

  chart.tooltipContent = function (_) {
    if (!arguments.length) {
      return tooltipContent;
    }

    tooltipContent = _;
    return chart;
  };

  chart.state = function (_) {
    if (!arguments.length) {
      return state;
    }

    state = _;
    return chart;
  };

  chart.defaultState = function (_) {
    if (!arguments.length) {
      return defaultState;
    }

    defaultState = _;
    return chart;
  };

  chart.noData = function (_) {
    if (!arguments.length) {
      return noData;
    }

    noData = _;
    return chart;
  };

  chart.transitionDuration = function (_) {
    if (!arguments.length) {
      return transitionDuration;
    }

    transitionDuration = _;
    return chart;
  };

  chart.enableSelection = function () {
    selectionEnabled = true;
    return chart;
  };

  chart.disableSelection = function () {
    selectionEnabled = false;
    return chart;
  };

  chart.isSelectionEnabled = function () {
    return selectionEnabled;
  };

  chart.hideSelection = function () {
    selectionHidden = true;
    return chart;
  };

  chart.showSelection = function () {
    selectionHidden = false;
    return chart;
  };

  chart.showStacked = function () {
    stackedHidden = false;
  };

  chart.hideStacked = function () {
    stackedHidden = true;
  };

  chart.onSelectRange = function (_) {
    if (!arguments.length) {
      return onSelectRange;
    }

    onSelectRange = _;
    return chart;
  };

  chart.onStateChange = function (_) {
    if (!arguments.length) {
      return onStateChange;
    }

    onStateChange = _;
    return chart;
  };

  chart.onLegendChange = function (_) {
    if (!arguments.length) {
      return onLegendChange;
    }

    onLegendChange = _;
    return chart;
  };

  chart.onChartUpdate = function (_) {
    if (!arguments.length) {
      return onChartUpdate;
    }

    onChartUpdate = _;
    return chart;
  };

  chart.minTickWidth = function (val) {
    if (!arguments.length) {
      return minTickWidth;
    }

    minTickWidth = val;
    return chart;
  };

  chart.selectBars = function (args) {
    if (!arguments.length) {
      return selectBars;
    }

    if (args && args.rangeValues) {
      chart.brushDomain = [args.rangeValues[0].from, args.rangeValues[0].to];
    } else {
      chart.brushDomain = null;
    }

    selectedBars = args;

    if (selectBars) {
      selectBars(args);
    }

    return chart;
  };

  chart.displayValuesInLegend = function (val) {
    if (!arguments.length) {
      return displayValuesInLegend;
    }

    displayValuesInLegend = val;
    return chart;
  };

  chart.brush = function (val) {
    if (!arguments.length) {
      return brush;
    }

    brush = val;
    return chart;
  }; //============================================================


  return chart;
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/onePageViewModel.js":
/*!*********************************************************!*\
  !*** ./desktop/core/src/desktop/js/onePageViewModel.js ***!
  \*********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lodash */ "./node_modules/lodash/lodash.js");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var page__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! page */ "./node_modules/page/page.js");
/* harmony import */ var page__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(page__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.








var OnePageViewModel = function OnePageViewModel() {
  _classCallCheck(this, OnePageViewModel);

  var self = this;
  self.embeddable_cache = {};
  self.currentApp = knockout__WEBPACK_IMPORTED_MODULE_2__["observable"]();
  self.currentContextParams = knockout__WEBPACK_IMPORTED_MODULE_2__["observable"](null);
  self.currentQueryString = knockout__WEBPACK_IMPORTED_MODULE_2__["observable"](null);
  self.isLoadingEmbeddable = knockout__WEBPACK_IMPORTED_MODULE_2__["observable"](false);
  self.extraEmbeddableURLParams = knockout__WEBPACK_IMPORTED_MODULE_2__["observable"]('');

  self.getActiveAppViewModel = function (callback) {
    var checkInterval = window.setInterval(function () {
      var $koElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()('#' + self.currentApp() + 'Components');

      if ($koElement.length > 0 && knockout__WEBPACK_IMPORTED_MODULE_2__["dataFor"]($koElement[0]) && !(knockout__WEBPACK_IMPORTED_MODULE_2__["dataFor"]($koElement[0]) instanceof OnePageViewModel)) {
        window.clearInterval(checkInterval);
        callback(knockout__WEBPACK_IMPORTED_MODULE_2__["dataFor"]($koElement[0]));
      }
    }, 25);
  };

  self.changeEditorType = function (type) {
    self.getActiveAppViewModel(function (viewModel) {
      if (viewModel && viewModel.selectedNotebook) {
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForObservable(viewModel.selectedNotebook, function () {
          if (viewModel.editorType() !== type) {
            viewModel.selectedNotebook().selectedSnippet(type);
            viewModel.editorType(type);
            viewModel.newNotebook(type);
          }
        });
      }
    });
  };

  self.currentApp.subscribe(function (newApp) {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.current.app.name', newApp);
    self.getActiveAppViewModel(function (viewModel) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.current.app.view.model', viewModel);
    });
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('get.current.app.view.model', function () {
    self.getActiveAppViewModel(function (viewModel) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.current.app.view.model', viewModel);
    });
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('get.current.app.name', function () {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('set.current.app.name', self.currentApp());
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('open.editor.query', function (uuid) {
    self.loadApp('editor');
    self.getActiveAppViewModel(function (viewModel) {
      viewModel.openNotebook(uuid);
    });
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('open.importer.query', function (data) {
    self.loadApp('importer');
    self.getActiveAppViewModel(function (viewModel) {
      _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard, function () {
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard.prefill, function () {
          viewModel.createWizard.prefill.source_type(data['source_type']);
          viewModel.createWizard.prefill.target_type(data['target_type']);
          viewModel.createWizard.prefill.target_path(data['target_path']);
          viewModel.createWizard.destination.outputFormat(data['target_type']);
        });
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard.source.query, function () {
          viewModel.createWizard.source.query({
            id: data.id,
            name: data.name
          });
        });
        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard.loadSampleData, function () {
          viewModel.createWizard.loadSampleData(data);
        });
      });
    });
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('resize.form.actions', function () {
    document.styleSheets[0].addRule('.form-actions', 'width: ' + jquery__WEBPACK_IMPORTED_MODULE_0___default()('.page-content').width() + 'px');

    if (jquery__WEBPACK_IMPORTED_MODULE_0___default()('.content-panel:visible').length > 0) {
      document.styleSheets[0].addRule('.form-actions', 'margin-left: -11px !important');
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('split.panel.resized', function () {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('resize.form.actions');
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('resize.plotly.chart');
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('resize.form.actions');
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('open.editor.new.query', function (statementOptions) {
    self.loadApp('editor'); // Should open in Default

    self.getActiveAppViewModel(function (viewModel) {
      var editorType = statementOptions['type'] || 'hive'; // Next: use file extensions and default type of Editor for SQL

      viewModel.newNotebook(editorType, function () {
        self.changeEditorType(editorType);

        if (statementOptions['statementPath']) {
          viewModel.selectedNotebook().snippets()[0].statementType(statementOptions['statementType']);
          viewModel.selectedNotebook().snippets()[0].statementPath(statementOptions['statementPath']);
        }

        if (statementOptions['directoryUuid']) {
          viewModel.selectedNotebook().directoryUuid(statementOptions['directoryUuid']);
        }
      });
    });
  });
  var loadedJs = [];
  var loadedCss = [];
  var loadedApps = [];
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('script[src]').each(function () {
    loadedJs.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('src'));
  });
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('link[href]').each(function () {
    loadedCss.push(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('href'));
  });

  var loadScript = function loadScript(scriptUrl) {
    var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
      url: scriptUrl,
      converters: {
        'text script': function textScript(text) {
          return text;
        }
      }
    }).done(function (contents) {
      loadedJs.push(scriptUrl);
      deferred.resolve({
        url: scriptUrl,
        contents: contents
      });
    }).fail(function () {
      deferred.resolve('');
    });
    return deferred.promise();
  };

  var loadScripts = function loadScripts(scriptUrls) {
    var promises = [];

    while (scriptUrls.length) {
      var scriptUrl = scriptUrls.shift();

      if (loadedJs.indexOf(scriptUrl) !== -1) {
        continue;
      }

      promises.push(loadScript(scriptUrl));
    }

    return promises;
  };

  var addGlobalCss = function addGlobalCss($el) {
    var cssFile = $el.attr('href').split('?')[0];

    if (loadedCss.indexOf(cssFile) === -1) {
      loadedCss.push(cssFile);
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajaxSetup({
        cache: true
      });

      if (window.DEV) {
        $el.attr('href', $el.attr('href') + '?dev=' + Math.random());
      }

      $el.clone().appendTo(jquery__WEBPACK_IMPORTED_MODULE_0___default()('head'));
      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajaxSetup({
        cache: false
      });
    }

    $el.remove();
  }; // Only load CSS and JS files that are not loaded before


  self.processHeaders = function (response) {
    var promise = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
    var $rawHtml = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').html(response);
    var $allScripts = $rawHtml.find('script[src]');
    var scriptsToLoad = $allScripts.map(function () {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('src');
    }).toArray();
    $allScripts.remove();
    $rawHtml.find('link[href]').each(function () {
      addGlobalCss(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this)); // Also removes the elements;
    });
    $rawHtml.find('a[href]').each(function () {
      var link = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('href');

      if (link.startsWith('/') && !link.startsWith('/hue')) {
        link = window.HUE_BASE_URL + '/hue' + link;
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('href', link);
    });
    $rawHtml.unwrap('span');
    var scriptPromises = loadScripts(scriptsToLoad);

    var evalScriptSync = function evalScriptSync() {
      if (scriptPromises.length) {
        // Evaluate the scripts in the order they were defined in the page
        var nextScriptPromise = scriptPromises.shift();
        nextScriptPromise.done(function (scriptDetails) {
          if (scriptDetails.contents) {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.globalEval(scriptDetails.contents);
          }

          evalScriptSync();
        });
      } else {
        // All evaluated
        promise.resolve($rawHtml);
      }
    };

    evalScriptSync();
    return promise;
  };

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('hue4.process.headers', function (opts) {
    self.processHeaders(opts.response).done(function (rawHtml) {
      opts.callback(rawHtml);
    });
  });
  var loadAppTimeout = -1;

  self.loadApp = function (app, loadDeep) {
    // This prevents loading an app twice when the URL is changed multiple times in one operation
    window.clearTimeout(loadAppTimeout);
    loadAppTimeout = window.setTimeout(function () {
      self.loadAppThrottled(app, loadDeep);
    }, 0);
  };

  self.loadAppThrottled = function (app, loadDeep) {
    if (self.currentApp() === 'editor' && jquery__WEBPACK_IMPORTED_MODULE_0___default()('#editorComponents').length) {
      var vm = knockout__WEBPACK_IMPORTED_MODULE_2__["dataFor"](jquery__WEBPACK_IMPORTED_MODULE_0___default()('#editorComponents')[0]);

      if (vm.isPresentationMode()) {
        vm.selectedNotebook().isPresentationMode(false);
      }
    }

    if (self.currentApp() === 'editor' && self.embeddable_cache['editor'] && !jquery__WEBPACK_IMPORTED_MODULE_0___default()('#editorComponents').length) {
      self.embeddable_cache['editor'] = undefined;
    }

    self.currentApp(app);

    if (!app.startsWith('security')) {
      self.lastContext = null;
    }

    window.SKIP_CACHE.forEach(function (skipped) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('app.dom.unload', skipped);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_' + skipped).html('');
    });
    self.isLoadingEmbeddable(true);
    loadedApps.forEach(function (loadedApp) {
      window.pauseAppIntervals(loadedApp);
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].pauseAppSubscribers(loadedApp);
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.tooltip').hide();
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hue.datatable.search.hide');
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('hue.scrollleft.hide');
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('context.panel.visible', false);

    if (app === 'filebrowser') {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).unbind('hashchange.fblist');
    }

    if (app.startsWith('oozie')) {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].clearAppSubscribers('oozie');
    }

    if (app.startsWith('security')) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_security_hive').html('');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_security_hdfs').html('');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_security_hive2').html('');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_security_solr').html('');
    }

    if (typeof self.embeddable_cache[app] === 'undefined') {
      if (loadedApps.indexOf(app) === -1) {
        loadedApps.push(app);
      }

      var baseURL = window.EMBEDDABLE_PAGE_URLS[app].url;

      if (self.currentContextParams() !== null) {
        if (loadDeep && self.currentContextParams()[0]) {
          baseURL += self.currentContextParams()[0];
        } else {
          var route = new page__WEBPACK_IMPORTED_MODULE_3___default.a.Route(baseURL);
          route.keys.forEach(function (key) {
            if (key.name === 0) {
              if (typeof self.currentContextParams()[key.name] !== 'undefined') {
                if (app === 'filebrowser') {
                  baseURL = baseURL.replace('*', encodeURIComponent(self.currentContextParams()[key.name])).replace(/#/g, '%23');
                } else {
                  baseURL = baseURL.replace('*', encodeURI(self.currentContextParams()[key.name])); // We have some really funky stuff in here, this should be encodeURIComponent
                }
              } else {
                baseURL = baseURL.replace('*', '');
              }
            } else {
              baseURL = baseURL.replace(':' + key.name, encodeURI(self.currentContextParams()[key.name])); // We have some really funky stuff in here, this should be encodeURIComponent
            }
          });
        }

        self.currentContextParams(null);
      }

      if (self.currentQueryString() !== null) {
        baseURL += (baseURL.indexOf('?') > -1 ? '&' : '?') + encodeURI(self.currentQueryString());
        self.currentQueryString(null);
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.ajax({
        url: baseURL + (baseURL.indexOf('?') > -1 ? '&' : '?') + 'is_embeddable=true' + self.extraEmbeddableURLParams(),
        beforeSend: function beforeSend(xhr) {
          xhr.setRequestHeader('X-Requested-With', 'Hue');
        },
        dataType: 'html',
        success: function success(response, status, xhr) {
          var type = xhr.getResponseHeader('Content-Type');

          if (type.indexOf('text/') > -1) {
            window.clearAppIntervals(app);
            _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].clearAppSubscribers(app);
            self.extraEmbeddableURLParams('');
            self.processHeaders(response).done(function ($rawHtml) {
              if (window.SKIP_CACHE.indexOf(app) === -1) {
                self.embeddable_cache[app] = $rawHtml;
              }

              jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_' + app).html($rawHtml);
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('app.dom.loaded', app);
              window.setTimeout(function () {
                self.isLoadingEmbeddable(false);
              }, 0);
            });
          } else {
            if (type.indexOf('json') > -1) {
              var presponse = JSON.parse(response);

              if (presponse && presponse.url) {
                window.location.href = window.HUE_BASE_URL + presponse.url;
                return;
              }
            }

            window.location.href = window.HUE_BASE_URL + baseURL;
          }
        },
        error: function error(xhr) {
          console.error('Route loading problem', xhr);

          if ((xhr.status === 401 || xhr.status === 403) && app !== '403') {
            self.loadApp('403');
          } else if (app !== '500') {
            self.loadApp('500');
          } else {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.jHueNotify.error(Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_6__["default"])('It looks like you are offline or an unknown error happened. Please refresh the page.'));
          }
        }
      });
    } else {
      self.isLoadingEmbeddable(false);
    }

    window.document.title = 'Hue - ' + window.EMBEDDABLE_PAGE_URLS[app].title;
    window.resumeAppIntervals(app);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].resumeAppSubscribers(app);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.embeddable').hide();
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('#embeddable_' + app).show();
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('app.gained.focus', app);
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('resize.form.actions');
  };

  self.dropzoneError = function (filename) {
    self.loadApp('importer');
    self.getActiveAppViewModel(function (vm) {
      vm.createWizard.source.path(DROPZONE_HOME_DIR + '/' + filename);
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.dz-drag-hover').removeClass('dz-drag-hover');
  };

  var openImporter = function openImporter(path) {
    self.loadApp('importer');
    self.getActiveAppViewModel(function (vm) {
      vm.createWizard.source.path(path);
    });
  };

  self.dropzoneComplete = function (path) {
    if (path.toLowerCase().endsWith('.csv')) {
      openImporter(path);
    } else {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].publish('open.link', '/filebrowser/view=' + path);
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.dz-drag-hover').removeClass('dz-drag-hover');
  };

  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('open.in.importer', openImporter);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('assist.dropzone.complete', self.dropzoneComplete); // prepend /hue to all the link on this page

  jquery__WEBPACK_IMPORTED_MODULE_0___default()('a[href]').each(function () {
    var link = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('href');

    if (link.startsWith('/') && !link.startsWith('/hue')) {
      link = window.HUE_BASE_URL + '/hue' + link;
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr('href', link);
  });
  page__WEBPACK_IMPORTED_MODULE_3___default.a.base(window.HUE_BASE_URL + '/hue');

  var getUrlParameter = function getUrlParameter(name) {
    return window.location.getParameter(name) || '';
  };

  self.lastContext = null;
  var pageMapping = [{
    url: '/403',
    app: '403'
  }, {
    url: '/500',
    app: '500'
  }, {
    url: '/about/',
    app: 'admin_wizard'
  }, {
    url: '/about/admin_wizard',
    app: 'admin_wizard'
  }, {
    url: '/accounts/logout',
    app: function app() {
      location.href = window.HUE_BASE_URL + '/accounts/logout';
    }
  }, {
    url: '/dashboard/admin/collections',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/home/?type=search-dashboard');
    }
  }, {
    url: '/dashboard/*',
    app: 'dashboard'
  }, {
    url: '/desktop/api/desktop/api2/doc/export*',
    app: function app() {
      var documents = getUrlParameter('documents');
      location.href = window.HUE_BASE_URL + '/desktop/api2/doc/export?documents=' + documents;
    }
  }, {
    url: '/desktop/dump_config',
    app: 'dump_config'
  }, {
    url: '/desktop/debug/threads',
    app: function app() {
      self.loadApp('threads');
      self.getActiveAppViewModel(function (viewModel) {
        viewModel.fetchThreads();
      });
    }
  }, {
    url: '/gist',
    app: function app() {
      var uuid = getUrlParameter('uuid');
      location.href = '/desktop/api2/gist/open?uuid=' + uuid;
    }
  }, {
    url: '/desktop/metrics',
    app: function app() {
      self.loadApp('metrics');
      self.getActiveAppViewModel(function (viewModel) {
        viewModel.fetchMetrics();
      });
    }
  }, {
    url: '/desktop/connectors',
    app: function app() {
      self.loadApp('connectors');
      self.getActiveAppViewModel(function (viewModel) {
        viewModel.fetchConnectors();
      });
    }
  }, {
    url: '/desktop/analytics',
    app: function app() {
      self.loadApp('analytics');
      self.getActiveAppViewModel(function (viewModel) {
        viewModel.fetchAnalytics();
      });
    }
  }, {
    url: '/desktop/download_logs',
    app: function app() {
      location.href = window.HUE_BASE_URL + '/desktop/download_logs';
    }
  }, {
    url: '/editor',
    app: function app() {
      // Defer to allow window.location param update
      lodash__WEBPACK_IMPORTED_MODULE_1___default.a.defer(function () {
        if (typeof self.embeddable_cache['editor'] === 'undefined') {
          if (getUrlParameter('editor') !== '') {
            self.extraEmbeddableURLParams('&editor=' + getUrlParameter('editor'));
          } else if (getUrlParameter('type') !== '' && getUrlParameter('type') !== 'notebook') {
            self.extraEmbeddableURLParams('&type=' + getUrlParameter('type'));
          }

          self.loadApp('editor');
        } else {
          self.loadApp('editor');

          if (getUrlParameter('editor') !== '') {
            self.getActiveAppViewModel(function (viewModel) {
              self.isLoadingEmbeddable(true);
              viewModel.openNotebook(getUrlParameter('editor'))[window.ENABLE_NOTEBOOK_2 ? 'finally' : 'always'](function () {
                self.isLoadingEmbeddable(false);
              });
            });
          } else if (getUrlParameter('type') !== '') {
            self.changeEditorType(getUrlParameter('type'));
          }
        }
      });
    }
  }, {
    url: '/notebook/editor',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/editor?' + ctx.querystring);
    }
  }, {
    url: '/filebrowser/view=*',
    app: 'filebrowser'
  }, {
    url: '/filebrowser/download=*',
    app: function app(ctx) {
      location.href = window.HUE_BASE_URL + '/filebrowser/download=' + ctx.params[0];
    }
  }, {
    url: '/filebrowser/*',
    app: function app() {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/filebrowser/view=' + DROPZONE_HOME_DIR);
    }
  }, {
    url: '/hbase/',
    app: 'hbase'
  }, {
    url: '/help',
    app: 'help'
  }, {
    url: '/home2*',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()(ctx.path.replace(/home2/gi, 'home'));
    }
  }, {
    url: '/home*',
    app: 'home'
  }, {
    url: '/catalog',
    app: 'catalog'
  }, {
    url: '/kafka/',
    app: 'kafka'
  }, {
    url: '/indexer/topics/*',
    app: 'kafka'
  }, {
    url: '/indexer/indexes',
    app: 'indexes'
  }, {
    url: '/indexer/indexes/*',
    app: 'indexes'
  }, {
    url: '/indexer/',
    app: 'indexes'
  }, {
    url: '/indexer/importer/',
    app: 'importer'
  }, {
    url: '/indexer/importer/prefill/*',
    app: function app(ctx) {
      self.loadApp('importer');
      self.getActiveAppViewModel(function (viewModel) {
        var _params = ctx.path.match(/\/indexer\/importer\/prefill\/?([^/]+)\/?([^/]+)\/?([^/]+)?/);

        if (!_params) {
          console.warn('Could not match ' + ctx.path);
        }

        _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard, function () {
          _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].waitForVariable(viewModel.createWizard.prefill, function () {
            viewModel.createWizard.prefill.source_type(_params && _params[1] ? _params[1] : '');
            viewModel.createWizard.prefill.target_type(_params && _params[2] ? _params[2] : '');
            viewModel.createWizard.prefill.target_path(_params && _params[3] ? _params[3] : '');
          });
        });
      });
    }
  }, {
    url: '/jobbrowser/jobs/job_*',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default.a.redirect('/jobbrowser#!id=application_' + lodash__WEBPACK_IMPORTED_MODULE_1___default.a.trimRight(ctx.params[0], '/').split('/')[0]);
    }
  }, {
    url: '/jobbrowser/jobs/application_*',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default.a.redirect('/jobbrowser#!id=application_' + lodash__WEBPACK_IMPORTED_MODULE_1___default.a.trimRight(ctx.params[0], '/').split('/')[0]);
    }
  }, {
    url: '/jobbrowser*',
    app: 'jobbrowser'
  }, {
    url: '/logs',
    app: 'logs'
  }, {
    url: '/metastore',
    app: function app() {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/metastore/tables');
    }
  }, {
    url: '/metastore/*',
    app: 'metastore'
  }, {
    url: '/notebook',
    app: function app(ctx) {
      self.loadApp('notebook');
      var notebookId = _utils_hueUtils__WEBPACK_IMPORTED_MODULE_4__["default"].getSearchParameter('?' + ctx.querystring, 'notebook');

      if (notebookId !== '') {
        self.getActiveAppViewModel(function (viewModel) {
          self.isLoadingEmbeddable(true);
          viewModel.openNotebook(notebookId)[window.ENABLE_NOTEBOOK_2 ? 'finally' : 'always'](function () {
            self.isLoadingEmbeddable(false);
          });
        });
      } else {
        self.getActiveAppViewModel(function (viewModel) {
          viewModel.newNotebook('notebook');
        });
      }
    }
  }, {
    url: '/notebook/notebook',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/notebook?' + ctx.querystring);
    }
  }, {
    url: '/notebook/notebooks',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/home/?' + ctx.querystring);
    }
  }, {
    url: '/oozie/editor/bundle/list',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/home/?type=oozie-bundle');
    }
  }, {
    url: '/oozie/editor/bundle/*',
    app: 'oozie_bundle'
  }, {
    url: '/oozie/editor/coordinator/list',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/home/?type=oozie-coordinator');
    }
  }, {
    url: '/oozie/editor/coordinator/*',
    app: 'oozie_coordinator'
  }, {
    url: '/oozie/editor/workflow/list',
    app: function app(ctx) {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/home/?type=oozie-workflow');
    }
  }, {
    url: '/oozie/editor/workflow/*',
    app: 'oozie_workflow'
  }, {
    url: '/oozie/list_oozie_info',
    app: 'oozie_info'
  }, {
    url: '/oozie/list_oozie_sla',
    app: function app() {
      page__WEBPACK_IMPORTED_MODULE_3___default.a.redirect('/jobbrowser/#!slas');
    }
  }, {
    url: '/pig',
    app: function app() {
      self.loadApp('editor');
      self.changeEditorType('pig');
    }
  }, {
    url: '/search/*',
    app: 'dashboard'
  }, {
    url: '/security/hdfs',
    app: function app(ctx) {
      if (self.lastContext == null || ctx.path !== self.lastContext.path) {
        self.loadApp('security_hdfs');
      }

      self.lastContext = ctx;
    }
  }, {
    url: '/security/hive',
    app: function app(ctx) {
      if (self.lastContext == null || ctx.path !== self.lastContext.path) {
        self.loadApp('security_hive');
      }

      self.lastContext = ctx;
    }
  }, {
    url: '/security/hive2',
    app: function app(ctx) {
      if (self.lastContext == null || ctx.path !== self.lastContext.path) {
        self.loadApp('security_hive2');
      }

      self.lastContext = ctx;
    }
  }, {
    url: '/security/solr',
    app: function app(ctx) {
      if (self.lastContext == null || ctx.path !== self.lastContext.path) {
        self.loadApp('security_solr');
      }

      self.lastContext = ctx;
    }
  }, {
    url: '/security',
    app: function app() {
      page__WEBPACK_IMPORTED_MODULE_3___default()('/security/hive');
    }
  }, {
    url: '/sqoop',
    app: 'sqoop'
  }, {
    url: '/jobsub',
    app: 'jobsub'
  }, {
    url: '/useradmin/configurations/',
    app: 'useradmin_configurations'
  }, {
    url: '/useradmin/groups/',
    app: 'useradmin_groups'
  }, {
    url: '/useradmin/groups/new',
    app: 'useradmin_newgroup'
  }, {
    url: '/useradmin/groups/edit/:group',
    app: 'useradmin_editgroup'
  }, {
    url: '/useradmin/permissions/',
    app: 'useradmin_permissions'
  }, {
    url: '/useradmin/permissions/edit/*',
    app: 'useradmin_editpermission'
  }, {
    url: '/useradmin/users/',
    app: 'useradmin_users'
  }, {
    url: '/useradmin/users/add_ldap_users',
    app: 'useradmin_addldapusers'
  }, {
    url: '/useradmin/users/add_ldap_groups',
    app: 'useradmin_addldapgroups'
  }, {
    url: '/useradmin/users/edit/:user',
    app: 'useradmin_edituser'
  }, {
    url: '/useradmin/users/new',
    app: 'useradmin_newuser'
  }, {
    url: '/useradmin',
    app: 'useradmin_users'
  }];
  window.OTHER_APPS.forEach(function (otherApp) {
    pageMapping.push({
      url: '/' + otherApp + '*',
      app: function app(ctx) {
        self.currentContextParams(ctx.params);
        self.currentQueryString(ctx.querystring);
        self.loadApp(otherApp, true);
      }
    });
  });
  pageMapping.forEach(function (mapping) {
    page__WEBPACK_IMPORTED_MODULE_3___default()(mapping.url, lodash__WEBPACK_IMPORTED_MODULE_1___default.a.isFunction(mapping.app) ? mapping.app : function (ctx) {
      self.currentContextParams(ctx.params);
      self.currentQueryString(ctx.querystring);
      self.loadApp(mapping.app);
    });
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
    page__WEBPACK_IMPORTED_MODULE_3___default()('/', function () {
      page__WEBPACK_IMPORTED_MODULE_3___default()(clusterConfig['main_button_action'].page);
    });
    page__WEBPACK_IMPORTED_MODULE_3___default()('*', function (ctx) {
      console.error('Route not found', ctx);
      self.loadApp('404');
    });
    page__WEBPACK_IMPORTED_MODULE_3___default()();
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_5__["default"].subscribe('open.link', function (href) {
    if (href) {
      var prefix = '/hue';

      if (href.startsWith('/')) {
        if (window.HUE_BASE_URL.length && href.startsWith(window.HUE_BASE_URL)) {
          page__WEBPACK_IMPORTED_MODULE_3___default()(href);
        } else if (href.startsWith(prefix)) {
          page__WEBPACK_IMPORTED_MODULE_3___default()(window.HUE_BASE_URL + href);
        } else {
          page__WEBPACK_IMPORTED_MODULE_3___default()(window.HUE_BASE_URL + prefix + href);
        }
      } else if (href.indexOf('#') == 0) {
        // Only place that seem to use this is hbase onclick row
        window.location.hash = href;
      } else {
        page__WEBPACK_IMPORTED_MODULE_3___default()(href);
      }
    } else {
      console.warn('Received an open.link without href.');
    }
  });
};

/* harmony default export */ __webpack_exports__["default"] = (OnePageViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/globalSearchParser.js":
/*!*****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/globalSearchParser.js ***!
  \*****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _sqlParseSupport__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./sqlParseSupport */ "./desktop/core/src/desktop/js/parse/sqlParseSupport.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/* parser generated by jison 0.4.17 */

/*
  Returns a Parser object of the following structure:

  Parser: {
    yy: {}
  }

  Parser.prototype: {
    yy: {},
    trace: function(),
    symbols_: {associative list: name ==> number},
    terminals_: {associative list: number ==> name},
    productions_: [...],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate, $$, _$),
    table: [...],
    defaultActions: {...},
    parseError: function(str, hash),
    parse: function(input),

    lexer: {
        EOF: 1,
        parseError: function(str, hash),
        setInput: function(input),
        input: function(),
        unput: function(str),
        more: function(),
        less: function(n),
        pastInput: function(),
        upcomingInput: function(),
        showPosition: function(),
        test_match: function(regex_match_array, rule_index),
        next: function(),
        lex: function(),
        begin: function(condition),
        popState: function(),
        _currentRules: function(),
        topState: function(),
        pushState: function(condition),

        options: {
            ranges: boolean           (optional: true ==> token location info will include a .range[] member)
            flex: boolean             (optional: true ==> flex-like lexing behaviour where the rules are tested exhaustively to find the longest match)
            backtrack_lexer: boolean  (optional: true ==> lexer regexes are tested in order and for each matching regex the action code is invoked; the lexer terminates the scan when a token is returned by the action code)
        },

        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START),
        rules: [...],
        conditions: {associative list: name ==> set},
    }
  }


  token location info (@$, _$, etc.): {
    first_line: n,
    last_line: n,
    first_column: n,
    last_column: n,
    range: [start_number, end_number]       (where the numbers are indexes into the input string, regular zero-based)
  }


  the parseError function receives a 'hash' object with these members for lexer and parser errors: {
    text:        (matched text)
    token:       (the produced terminal token, if any)
    line:        (yylineno)
  }
  while parser (grammar) errors will also provide these members, i.e. parser errors deliver a superset of attributes: {
    loc:         (yylloc)
    expected:    (string describing the set of expected tokens)
    recoverable: (boolean: TRUE when the parser has a error recovery rule available for this particular error)
  }
*/


var globalSearchParser = function () {
  var o = function o(k, v, _o, l) {
    for (_o = _o || {}, l = k.length; l--; _o[k[l]] = v) {
      ;
    }

    return _o;
  },
      $V0 = [6, 15, 16, 17, 20],
      $V1 = [2, 27],
      $V2 = [1, 3],
      $V3 = [1, 13],
      $V4 = [1, 16],
      $V5 = [1, 14],
      $V6 = [1, 18],
      $V7 = [2, 28],
      $V8 = [6, 9],
      $V9 = [2, 17],
      $Va = [6, 9, 16],
      $Vb = [1, 27],
      $Vc = [1, 26],
      $Vd = [1, 33],
      $Ve = [1, 34],
      $Vf = [1, 35],
      $Vg = [1, 41],
      $Vh = [2, 14];

  var parser = {
    trace: function trace() {},
    yy: {},
    symbols_: {
      "error": 2,
      "GlobalSearchAutocomplete": 3,
      "OptionalWhitespace": 4,
      "SearchParts": 5,
      "EOF": 6,
      "SearchParts_EDIT": 7,
      "SearchPart": 8,
      "WS": 9,
      "SearchPart_EDIT": 10,
      "Facet": 11,
      "FreeText": 12,
      "Facet_EDIT": 13,
      "FreeText_EDIT": 14,
      "FACET": 15,
      "CURSOR": 16,
      "TEXT": 17,
      "QuotedValue": 18,
      "QuotedValue_EDIT": 19,
      "QUOTE": 20,
      "VALUE": 21,
      "PARTIAL_VALUE": 22,
      "$accept": 0,
      "$end": 1
    },
    terminals_: {
      2: "error",
      6: "EOF",
      9: "WS",
      15: "FACET",
      16: "CURSOR",
      17: "TEXT",
      20: "QUOTE",
      21: "VALUE",
      22: "PARTIAL_VALUE"
    },
    productions_: [0, [3, 4], [3, 3], [3, 2], [5, 1], [5, 3], [7, 1], [7, 3], [7, 3], [7, 5], [8, 1], [8, 1], [10, 1], [10, 1], [11, 3], [13, 3], [13, 4], [12, 1], [12, 1], [14, 1], [14, 2], [14, 3], [14, 2], [14, 1], [18, 3], [18, 2], [19, 2], [4, 0], [4, 1]],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate
    /* action[1] */
    , $$
    /* vstack */
    , _$
    /* lstack */
    ) {
      /* this == yyval */
      var $0 = $$.length - 1;

      switch (yystate) {
        case 1:
          return $$[$0 - 2];
          break;

        case 2:
          if (!$$[$0 - 1].facets) {
            $$[$0 - 1].facets = {};
          }

          if (!$$[$0 - 1].text) {
            $$[$0 - 1].text = [];
          }

          return $$[$0 - 1];
          break;

        case 3:
          return {
            facets: {},
            text: []
          };
          break;

        case 5:
          parser.mergeFacets($$[$0 - 2], $$[$0]);
          parser.mergeText($$[$0 - 2], $$[$0]);
          break;

        case 7:
          parser.mergeFacets($$[$0 - 2], $$[$0]);
          parser.mergeText($$[$0 - 2], $$[$0]);
          this.$ = $$[$0];
          this.$.text = $$[$0 - 2].text;
          this.$.facets = $$[$0 - 2].facets;
          break;

        case 8:
          this.$ = $$[$0 - 2];
          parser.mergeFacets(this.$, $$[$0]);
          parser.mergeText(this.$, $$[$0]);
          break;

        case 9:
          parser.mergeFacets($$[$0 - 4], $$[$0 - 2]);
          parser.mergeFacets($$[$0 - 4], $$[$0]);
          parser.mergeText($$[$0 - 4], $$[$0 - 2]);
          parser.mergeText($$[$0 - 4], $$[$0]);
          this.$ = $$[$0 - 2];
          this.$.text = $$[$0 - 4].text;
          this.$.facets = $$[$0 - 4].facets;
          break;

        case 10:
          this.$ = {
            text: [],
            facets: $$[$0].facets
          };
          break;

        case 11:
          this.$ = {
            text: [$$[$0]],
            facets: {}
          };
          break;

        case 14:
          var facet = {};
          var facetName = $$[$0 - 2].substring(0, $$[$0 - 2].length - 1).toLowerCase();
          facet[facetName] = {};
          facet[facetName][$$[$0].toLowerCase()] = true;
          this.$ = {
            facets: facet
          };
          break;

        case 15:
          this.$ = {
            suggestFacetValues: $$[$0 - 2].substring(0, $$[$0 - 2].length - 1).toLowerCase()
          };
          break;

        case 16:
          var facet = {};
          var facetName = $$[$0 - 3].substring(0, $$[$0 - 3].length - 1).toLowerCase();
          facet[facetName] = {};
          facet[facetName][$$[$0 - 1].toLowerCase()] = true;
          this.$ = {
            suggestFacetValues: facetName,
            facets: facet
          };
          break;

        case 19:
          this.$ = {
            suggestFacets: true,
            suggestResults: true
          };
          break;

        case 20:
          this.$ = {
            suggestFacets: true,
            suggestResults: true,
            text: [$$[$0]]
          };
          break;

        case 21:
          this.$ = {
            suggestFacets: true,
            suggestResults: true,
            text: [$$[$0 - 2] + $$[$0]]
          };
          break;

        case 22:
          this.$ = {
            suggestFacets: true,
            suggestResults: true,
            text: [$$[$0 - 1]]
          };
          break;

        case 24:
          this.$ = $$[$0 - 1];
          break;

        case 25:
          this.$ = '';
          break;

        case 26:
          this.$ = $$[$0];
          break;
      }
    },
    table: [o($V0, $V1, {
      3: 1,
      4: 2,
      9: $V2
    }), {
      1: [3]
    }, {
      5: 4,
      6: [1, 6],
      7: 5,
      8: 7,
      10: 8,
      11: 9,
      12: 10,
      13: 11,
      14: 12,
      15: $V3,
      16: $V4,
      17: $V5,
      18: 15,
      19: 17,
      20: $V6
    }, o($V0, $V7), {
      4: 19,
      6: $V1,
      9: [1, 20]
    }, {
      6: [1, 21]
    }, {
      1: [2, 3]
    }, o($V8, [2, 4]), {
      6: [2, 6],
      9: [1, 22]
    }, o($V8, [2, 10]), o($V8, [2, 11]), o($V8, [2, 12]), o($V8, [2, 13]), o([16, 17, 20], $V1, {
      4: 23,
      9: $V2
    }), o($V8, $V9, {
      16: [1, 24]
    }), o($Va, [2, 18]), o($V8, [2, 19], {
      17: [1, 25]
    }), o($V8, [2, 23]), {
      20: $Vb,
      21: $Vc,
      22: [1, 28]
    }, {
      6: [1, 29]
    }, {
      6: $V7,
      8: 30,
      10: 31,
      11: 9,
      12: 10,
      13: 11,
      14: 12,
      15: $V3,
      16: $V4,
      17: $V5,
      18: 15,
      19: 17,
      20: $V6
    }, {
      1: [2, 2]
    }, {
      5: 32,
      8: 7,
      11: 9,
      12: 10,
      15: $Vd,
      17: $Ve,
      18: 15,
      20: $Vf
    }, {
      12: 36,
      16: [1, 37],
      17: $Ve,
      18: 15,
      20: $Vf
    }, o($V8, [2, 22], {
      17: [1, 38]
    }), o($V8, [2, 20]), {
      20: [1, 39]
    }, o($Va, [2, 25]), o($V8, [2, 26]), {
      1: [2, 1]
    }, o($V8, [2, 5]), {
      6: [2, 7],
      9: [1, 40]
    }, {
      6: [2, 8],
      9: $Vg
    }, o([17, 20], $V1, {
      4: 42,
      9: $V2
    }), o($Va, $V9), {
      20: $Vb,
      21: $Vc
    }, o($V8, $Vh, {
      16: [1, 43]
    }), o($V8, [2, 15]), o($V8, [2, 21]), o($Va, [2, 24]), {
      5: 44,
      8: 7,
      11: 9,
      12: 10,
      15: $Vd,
      17: $Ve,
      18: 15,
      20: $Vf
    }, {
      8: 30,
      11: 9,
      12: 10,
      15: $Vd,
      17: $Ve,
      18: 15,
      20: $Vf
    }, {
      12: 45,
      17: $Ve,
      18: 15,
      20: $Vf
    }, o($V8, [2, 16]), {
      6: [2, 9],
      9: $Vg
    }, o($V8, $Vh)],
    defaultActions: {
      6: [2, 3],
      21: [2, 2],
      29: [2, 1]
    },
    parseError: function parseError(str, hash) {
      if (hash.recoverable) {
        this.trace(str);
      } else {
        var error = new Error(str);
        error.hash = hash;
        throw error;
      }
    },
    parse: function parse(input) {
      var self = this,
          stack = [0],
          tstack = [],
          vstack = [null],
          lstack = [],
          table = this.table,
          yytext = '',
          yylineno = 0,
          yyleng = 0,
          recovering = 0,
          TERROR = 2,
          EOF = 1;
      var args = lstack.slice.call(arguments, 1);
      var lexer = Object.create(this.lexer);
      var sharedState = {
        yy: {}
      };

      for (var k in this.yy) {
        if (Object.prototype.hasOwnProperty.call(this.yy, k)) {
          sharedState.yy[k] = this.yy[k];
        }
      }

      lexer.setInput(input, sharedState.yy);
      sharedState.yy.lexer = lexer;
      sharedState.yy.parser = this;

      if (typeof lexer.yylloc == 'undefined') {
        lexer.yylloc = {};
      }

      var yyloc = lexer.yylloc;
      lstack.push(yyloc);
      var ranges = lexer.options && lexer.options.ranges;

      if (typeof sharedState.yy.parseError === 'function') {
        this.parseError = sharedState.yy.parseError;
      } else {
        this.parseError = Object.getPrototypeOf(this).parseError;
      }

      function popStack(n) {
        stack.length = stack.length - 2 * n;
        vstack.length = vstack.length - n;
        lstack.length = lstack.length - n;
      }

      _token_stack: var lex = function lex() {
        var token;
        token = lexer.lex() || EOF;

        if (typeof token !== 'number') {
          token = self.symbols_[token] || token;
        }

        return token;
      };

      var symbol,
          preErrorSymbol,
          state,
          action,
          a,
          r,
          yyval = {},
          p,
          len,
          newState,
          expected;

      while (true) {
        state = stack[stack.length - 1];

        if (this.defaultActions[state]) {
          action = this.defaultActions[state];
        } else {
          if (symbol === null || typeof symbol == 'undefined') {
            symbol = lex();
          }

          action = table[state] && table[state][symbol];
        }

        if (typeof action === 'undefined' || !action.length || !action[0]) {
          var errStr = '';
          expected = [];

          for (p in table[state]) {
            if (this.terminals_[p] && p > TERROR) {
              expected.push('\'' + this.terminals_[p] + '\'');
            }
          }

          if (lexer.showPosition) {
            errStr = 'Parse error on line ' + (yylineno + 1) + ':\n' + lexer.showPosition() + '\nExpecting ' + expected.join(', ') + ', got \'' + (this.terminals_[symbol] || symbol) + '\'';
          } else {
            errStr = 'Parse error on line ' + (yylineno + 1) + ': Unexpected ' + (symbol == EOF ? 'end of input' : '\'' + (this.terminals_[symbol] || symbol) + '\'');
          }

          this.parseError(errStr, {
            text: lexer.match,
            token: this.terminals_[symbol] || symbol,
            line: lexer.yylineno,
            loc: lexer.yylloc,
            ruleId: stack.slice(stack.length - 2, stack.length).join('_'),
            expected: expected
          });
        }

        if (action[0] instanceof Array && action.length > 1) {
          throw new Error('Parse Error: multiple actions possible at state: ' + state + ', token: ' + symbol);
        }

        switch (action[0]) {
          case 1:
            stack.push(symbol);
            vstack.push(lexer.yytext);
            lstack.push(lexer.yylloc);
            stack.push(action[1]);
            symbol = null;

            if (!preErrorSymbol) {
              yyleng = lexer.yyleng;
              yytext = lexer.yytext;
              yylineno = lexer.yylineno;
              yyloc = lexer.yylloc;

              if (recovering > 0) {
                recovering--;
              }
            } else {
              symbol = preErrorSymbol;
              preErrorSymbol = null;
            }

            break;

          case 2:
            len = this.productions_[action[1]][1];
            yyval.$ = vstack[vstack.length - len];
            yyval._$ = {
              first_line: lstack[lstack.length - (len || 1)].first_line,
              last_line: lstack[lstack.length - 1].last_line,
              first_column: lstack[lstack.length - (len || 1)].first_column,
              last_column: lstack[lstack.length - 1].last_column
            };

            if (ranges) {
              yyval._$.range = [lstack[lstack.length - (len || 1)].range[0], lstack[lstack.length - 1].range[1]];
            }

            r = this.performAction.apply(yyval, [yytext, yyleng, yylineno, sharedState.yy, action[1], vstack, lstack].concat(args));

            if (typeof r !== 'undefined') {
              return r;
            }

            if (len) {
              stack = stack.slice(0, -1 * len * 2);
              vstack = vstack.slice(0, -1 * len);
              lstack = lstack.slice(0, -1 * len);
            }

            stack.push(this.productions_[action[1]][0]);
            vstack.push(yyval.$);
            lstack.push(yyval._$);
            newState = table[stack[stack.length - 2]][stack[stack.length - 1]];
            stack.push(newState);
            break;

          case 3:
            return true;
        }
      }

      return true;
    }
  };
  _sqlParseSupport__WEBPACK_IMPORTED_MODULE_0__["default"].initGlobalSearchParser(parser);
  /* generated by jison-lex 0.3.4 */

  var lexer = function () {
    var lexer = {
      EOF: 1,
      parseError: function parseError(str, hash) {
        if (this.yy.parser) {
          this.yy.parser.parseError(str, hash);
        } else {
          throw new Error(str);
        }
      },
      // resets the lexer, sets new input
      setInput: function setInput(input, yy) {
        this.yy = yy || this.yy || {};
        this._input = input;
        this._more = this._backtrack = this.done = false;
        this.yylineno = this.yyleng = 0;
        this.yytext = this.matched = this.match = '';
        this.conditionStack = ['INITIAL'];
        this.yylloc = {
          first_line: 1,
          first_column: 0,
          last_line: 1,
          last_column: 0
        };

        if (this.options.ranges) {
          this.yylloc.range = [0, 0];
        }

        this.offset = 0;
        return this;
      },
      // consumes and returns one char from the input
      input: function input() {
        var ch = this._input[0];
        this.yytext += ch;
        this.yyleng++;
        this.offset++;
        this.match += ch;
        this.matched += ch;
        var lines = ch.match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno++;
          this.yylloc.last_line++;
        } else {
          this.yylloc.last_column++;
        }

        if (this.options.ranges) {
          this.yylloc.range[1]++;
        }

        this._input = this._input.slice(1);
        return ch;
      },
      // unshifts one char (or a string) into the input
      unput: function unput(ch) {
        var len = ch.length;
        var lines = ch.split(/(?:\r\n?|\n)/g);
        this._input = ch + this._input;
        this.yytext = this.yytext.substr(0, this.yytext.length - len); //this.yyleng -= len;

        this.offset -= len;
        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - 1);
        this.matched = this.matched.substr(0, this.matched.length - 1);

        if (lines.length - 1) {
          this.yylineno -= lines.length - 1;
        }

        var r = this.yylloc.range;
        this.yylloc = {
          first_line: this.yylloc.first_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.first_column,
          last_column: lines ? (lines.length === oldLines.length ? this.yylloc.first_column : 0) + oldLines[oldLines.length - lines.length].length - lines[0].length : this.yylloc.first_column - len
        };

        if (this.options.ranges) {
          this.yylloc.range = [r[0], r[0] + this.yyleng - len];
        }

        this.yyleng = this.yytext.length;
        return this;
      },
      // When called from action, caches matched text and appends it on next action
      more: function more() {
        this._more = true;
        return this;
      },
      // When called from action, signals the lexer that this rule fails to match the input, so the next matching rule (regex) should be tested instead.
      reject: function reject() {
        if (this.options.backtrack_lexer) {
          this._backtrack = true;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }

        return this;
      },
      // retain first n characters of the match
      less: function less(n) {
        this.unput(this.match.slice(n));
      },
      // displays already matched input, i.e. for error messages
      pastInput: function pastInput() {
        var past = this.matched.substr(0, this.matched.length - this.match.length);
        return (past.length > 20 ? '...' : '') + past.substr(-20).replace(/\n/g, "");
      },
      // displays upcoming input, i.e. for error messages
      upcomingInput: function upcomingInput() {
        var next = this.match;

        if (next.length < 20) {
          next += this._input.substr(0, 20 - next.length);
        }

        return (next.substr(0, 20) + (next.length > 20 ? '...' : '')).replace(/\n/g, "");
      },
      // displays the character position where the lexing error occurred, i.e. for error messages
      showPosition: function showPosition() {
        var pre = this.pastInput();
        var c = new Array(pre.length + 1).join("-");
        return pre + this.upcomingInput() + "\n" + c + "^";
      },
      // test the lexed token: return FALSE when not a match, otherwise return token
      test_match: function test_match(match, indexed_rule) {
        var token, lines, backup;

        if (this.options.backtrack_lexer) {
          // save context
          backup = {
            yylineno: this.yylineno,
            yylloc: {
              first_line: this.yylloc.first_line,
              last_line: this.last_line,
              first_column: this.yylloc.first_column,
              last_column: this.yylloc.last_column
            },
            yytext: this.yytext,
            match: this.match,
            matches: this.matches,
            matched: this.matched,
            yyleng: this.yyleng,
            offset: this.offset,
            _more: this._more,
            _input: this._input,
            yy: this.yy,
            conditionStack: this.conditionStack.slice(0),
            done: this.done
          };

          if (this.options.ranges) {
            backup.yylloc.range = this.yylloc.range.slice(0);
          }
        }

        lines = match[0].match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno += lines.length;
        }

        this.yylloc = {
          first_line: this.yylloc.last_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.last_column,
          last_column: lines ? lines[lines.length - 1].length - lines[lines.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + match[0].length
        };
        this.yytext += match[0];
        this.match += match[0];
        this.matches = match;
        this.yyleng = this.yytext.length;

        if (this.options.ranges) {
          this.yylloc.range = [this.offset, this.offset += this.yyleng];
        }

        this._more = false;
        this._backtrack = false;
        this._input = this._input.slice(match[0].length);
        this.matched += match[0];
        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1]);

        if (this.done && this._input) {
          this.done = false;
        }

        if (token) {
          return token;
        } else if (this._backtrack) {
          // recover context
          for (var k in backup) {
            this[k] = backup[k];
          }

          return false; // rule action called reject() implying the next rule should be tested instead.
        }

        return false;
      },
      // return next match in input
      next: function next() {
        if (this.done) {
          return this.EOF;
        }

        if (!this._input) {
          this.done = true;
        }

        var token, match, tempMatch, index;

        if (!this._more) {
          this.yytext = '';
          this.match = '';
        }

        var rules = this._currentRules();

        for (var i = 0; i < rules.length; i++) {
          tempMatch = this._input.match(this.rules[rules[i]]);

          if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
            match = tempMatch;
            index = i;

            if (this.options.backtrack_lexer) {
              token = this.test_match(tempMatch, rules[i]);

              if (token !== false) {
                return token;
              } else if (this._backtrack) {
                match = false;
                continue; // rule action called reject() implying a rule MISmatch.
              } else {
                // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
                return false;
              }
            } else if (!this.options.flex) {
              break;
            }
          }
        }

        if (match) {
          token = this.test_match(match, rules[index]);

          if (token !== false) {
            return token;
          } // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)


          return false;
        }

        if (this._input === "") {
          return this.EOF;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. Unrecognized text.\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }
      },
      // return next match that has a token
      lex: function lex() {
        var r = this.next();

        if (r) {
          return r;
        } else {
          return this.lex();
        }
      },
      // activates a new lexer condition state (pushes the new lexer condition state onto the condition stack)
      begin: function begin(condition) {
        this.conditionStack.push(condition);
      },
      // pop the previously active lexer condition state off the condition stack
      popState: function popState() {
        var n = this.conditionStack.length - 1;

        if (n > 0) {
          return this.conditionStack.pop();
        } else {
          return this.conditionStack[0];
        }
      },
      // produce the lexer rule set which is active for the currently active lexer condition state
      _currentRules: function _currentRules() {
        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) {
          return this.conditions[this.conditionStack[this.conditionStack.length - 1]].rules;
        } else {
          return this.conditions["INITIAL"].rules;
        }
      },
      // return the currently active lexer condition state; when an index argument is provided it produces the N-th previous condition state, if available
      topState: function topState(n) {
        n = this.conditionStack.length - 1 - Math.abs(n || 0);

        if (n >= 0) {
          return this.conditionStack[n];
        } else {
          return "INITIAL";
        }
      },
      // alias for begin(condition)
      pushState: function pushState(condition) {
        this.begin(condition);
      },
      // return the number of states currently on the stack
      stateStackSize: function stateStackSize() {
        return this.conditionStack.length;
      },
      options: {},
      performAction: function anonymous(yy, yy_, $avoiding_name_collisions, YY_START) {
        var YYSTATE = YY_START;

        switch ($avoiding_name_collisions) {
          case 0:
            return 9;
            break;

          case 1:
            parser.yy.cursorFound = yy_.yylloc;
            return 16;
            break;

          case 2:
            return 15;
            break;

          case 3:
            this.begin('singleQuote');
            return 20;
            break;

          case 4:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, '\'')) {
              return 22;
            }

            return 21;
            break;

          case 5:
            this.popState();
            return 20;
            break;

          case 6:
            this.begin('doubleQuote');
            return 20;
            break;

          case 7:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, '"')) {
              return 22;
            }

            return 21;
            break;

          case 8:
            this.popState();
            return 20;
            break;

          case 9:
            return 17;
            break;

          case 10:
            return 6;
            break;
        }
      },
      rules: [/^(?:\s+)/, /^(?:\u2020)/, /^(?:[a-zA-Z]+[:])/, /^(?:')/, /^(?:(?:\\[']|[^'])+)/, /^(?:')/, /^(?:")/, /^(?:(?:\\["]|[^"])+)/, /^(?:")/, /^(?:[^"'\s\u2020]+)/, /^(?:$)/],
      conditions: {
        "singleQuote": {
          "rules": [4, 5],
          "inclusive": false
        },
        "doubleQuote": {
          "rules": [7, 8],
          "inclusive": false
        },
        "INITIAL": {
          "rules": [0, 1, 2, 3, 6, 9, 10],
          "inclusive": true
        }
      }
    };
    return lexer;
  }();

  parser.lexer = lexer;

  function Parser() {
    this.yy = {};
  }

  Parser.prototype = parser;
  parser.Parser = Parser;
  return new Parser();
}();

/* harmony default export */ __webpack_exports__["default"] = (globalSearchParser);

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/parserTypeDefs.js":
/*!*************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/parserTypeDefs.js ***!
  \*************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @typedef {Object} ParsedLocation
 * @property {number} first_line
 * @property {number} first_column
 * @property {number} last_line
 * @property {number} last_column
 */

/**
 * @typedef {Object} ParsedSqlStatement
 * @property {string} firstToken - The first non comment token of the parsed statement, for instance 'select'
 * @property {string} statement
 * @property {ParsedLocation} location
 * @property {string} type - Always 'statement'
 */

/**
 * @typedef {ParsedSqlStatement[]} SqlStatementsParserResult
 */

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/solrFormulaParser.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/solrFormulaParser.js ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/* parser generated by jison 0.4.17 */

/*
  Returns a Parser object of the following structure:

  Parser: {
    yy: {}
  }

  Parser.prototype: {
    yy: {},
    trace: function(),
    symbols_: {associative list: name ==> number},
    terminals_: {associative list: number ==> name},
    productions_: [...],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate, $$, _$),
    table: [...],
    defaultActions: {...},
    parseError: function(str, hash),
    parse: function(input),

    lexer: {
        EOF: 1,
        parseError: function(str, hash),
        setInput: function(input),
        input: function(),
        unput: function(str),
        more: function(),
        less: function(n),
        pastInput: function(),
        upcomingInput: function(),
        showPosition: function(),
        test_match: function(regex_match_array, rule_index),
        next: function(),
        lex: function(),
        begin: function(condition),
        popState: function(),
        _currentRules: function(),
        topState: function(),
        pushState: function(condition),

        options: {
            ranges: boolean           (optional: true ==> token location info will include a .range[] member)
            flex: boolean             (optional: true ==> flex-like lexing behaviour where the rules are tested exhaustively to find the longest match)
            backtrack_lexer: boolean  (optional: true ==> lexer regexes are tested in order and for each matching regex the action code is invoked; the lexer terminates the scan when a token is returned by the action code)
        },

        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START),
        rules: [...],
        conditions: {associative list: name ==> set},
    }
  }


  token location info (@$, _$, etc.): {
    first_line: n,
    last_line: n,
    first_column: n,
    last_column: n,
    range: [start_number, end_number]       (where the numbers are indexes into the input string, regular zero-based)
  }


  the parseError function receives a 'hash' object with these members for lexer and parser errors: {
    text:        (matched text)
    token:       (the produced terminal token, if any)
    line:        (yylineno)
  }
  while parser (grammar) errors will also provide these members, i.e. parser errors deliver a superset of attributes: {
    loc:         (yylloc)
    expected:    (string describing the set of expected tokens)
    recoverable: (boolean: TRUE when the parser has a error recovery rule available for this particular error)
  }
*/
var solrFormulaParser = function () {
  var o = function o(k, v, _o, l) {
    for (_o = _o || {}, l = k.length; l--; _o[k[l]] = v) {
      ;
    }

    return _o;
  },
      $V0 = [1, 6],
      $V1 = [1, 8],
      $V2 = [1, 9],
      $V3 = [1, 10],
      $V4 = [1, 11],
      $V5 = [1, 13],
      $V6 = [1, 14],
      $V7 = [1, 15],
      $V8 = [1, 16],
      $V9 = [1, 18],
      $Va = [1, 19],
      $Vb = [1, 20],
      $Vc = [1, 21],
      $Vd = [1, 23],
      $Ve = [1, 24],
      $Vf = [1, 25],
      $Vg = [1, 26],
      $Vh = [1, 27],
      $Vi = [1, 28],
      $Vj = [2, 5, 10, 17, 18, 19, 20, 22],
      $Vk = [2, 4],
      $Vl = [1, 32],
      $Vm = [2, 6],
      $Vn = [5, 10, 17, 18, 19, 20, 22],
      $Vo = [2, 8],
      $Vp = [2, 9],
      $Vq = [1, 53],
      $Vr = [1, 54],
      $Vs = [1, 55],
      $Vt = [1, 56],
      $Vu = [1, 57],
      $Vv = [17, 18, 19, 20],
      $Vw = [1, 68],
      $Vx = [1, 67],
      $Vy = [5, 10, 17, 18, 22],
      $Vz = [2, 15],
      $VA = [2, 5, 10, 17, 18, 22],
      $VB = [2, 11],
      $VC = [2, 12],
      $VD = [2, 13],
      $VE = [2, 14],
      $VF = [1, 76],
      $VG = [1, 77],
      $VH = [10, 22],
      $VI = [2, 41],
      $VJ = [2, 10],
      $VK = [1, 74],
      $VL = [1, 75],
      $VM = [1, 97],
      $VN = [2, 10, 22],
      $VO = [2, 42];

  var parser = {
    trace: function trace() {},
    yy: {},
    symbols_: {
      "error": 2,
      "SolrFormulaAutocomplete": 3,
      "SolrFormula": 4,
      "EOF": 5,
      "SolrFormula_EDIT": 6,
      "CURSOR": 7,
      "NonParenthesizedSolrFormula": 8,
      "(": 9,
      ")": 10,
      "NonParenthesizedSolrFormula_EDIT": 11,
      "RightParenthesisOrError": 12,
      "NUMBER": 13,
      "IDENTIFIER": 14,
      "FUNCTION": 15,
      "ArgumentList": 16,
      "+": 17,
      "-": 18,
      "*": 19,
      "/": 20,
      "ArgumentList_EDIT": 21,
      ",": 22,
      "$accept": 0,
      "$end": 1
    },
    terminals_: {
      2: "error",
      5: "EOF",
      7: "CURSOR",
      9: "(",
      10: ")",
      13: "NUMBER",
      14: "IDENTIFIER",
      15: "FUNCTION",
      17: "+",
      18: "-",
      19: "*",
      20: "/",
      22: ","
    },
    productions_: [0, [3, 2], [3, 2], [3, 2], [4, 1], [4, 3], [6, 1], [6, 3], [8, 1], [8, 1], [8, 4], [8, 3], [8, 3], [8, 3], [8, 3], [8, 2], [11, 2], [11, 2], [11, 2], [11, 2], [11, 4], [11, 4], [11, 5], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 3], [11, 2], [11, 2], [16, 1], [16, 3], [21, 1], [21, 3], [21, 3], [21, 5], [12, 1], [12, 1]],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate
    /* action[1] */
    , $$
    /* vstack */
    , _$
    /* lstack */
    ) {
      /* this == yyval */
      var $0 = $$.length - 1;

      switch (yystate) {
        case 1:
          return {
            parsedValue: $$[$0 - 1]
          };
          break;

        case 2:
          return $$[$0 - 1];
          break;

        case 3:
          return {
            suggestAggregateFunctions: true
          };
          break;

        case 5:
          this.$ = $$[$0 - 2] + $$[$0 - 1] + $$[$0];
          break;

        case 7:
        case 21:
          this.$ = $$[$0 - 1];
          break;

        case 10:
          this.$ = $$[$0 - 3] + $$[$0 - 2] + $$[$0 - 1] + $$[$0];
          break;

        case 11:
          this.$ = 'sum(' + $$[$0 - 2] + ',' + $$[$0] + ')';
          break;

        case 12:
          this.$ = 'sub(' + $$[$0 - 2] + ',' + $$[$0] + ')';
          break;

        case 13:
          this.$ = 'mul(' + $$[$0 - 2] + ',' + $$[$0] + ')';
          break;

        case 14:
          this.$ = 'div(' + $$[$0 - 2] + ',' + $$[$0] + ')';
          break;

        case 15:
          this.$ = 'sub(0,' + $$[$0] + ')';
          break;

        case 16:
        case 17:
        case 22:
          this.$ = {
            suggestOperators: true
          };
          break;

        case 18:
        case 19:
        case 20:
        case 23:
        case 24:
        case 27:
        case 28:
        case 31:
        case 32:
        case 35:
        case 36:
        case 39:
          this.$ = {
            suggestAggregateFunctions: true,
            suggestFunctions: true,
            suggestFields: true
          };
          break;

        case 25:
        case 29:
        case 33:
        case 37:
        case 46:
          this.$ = $$[$0 - 2];
          break;

        case 26:
        case 30:
        case 34:
        case 38:
        case 40:
        case 44:
          this.$ = $$[$0];
          break;
      }
    },
    table: [{
      3: 1,
      4: 2,
      6: 3,
      7: [1, 4],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      1: [3]
    }, {
      5: [1, 12],
      17: $V5,
      18: $V6,
      19: $V7,
      20: $V8
    }, {
      5: [1, 17],
      17: $V9,
      18: $Va,
      19: $Vb,
      20: $Vc
    }, {
      5: [1, 22],
      13: $Vd,
      14: $Ve,
      17: $Vf,
      18: $Vg,
      19: $Vh,
      20: $Vi
    }, o($Vj, $Vk), {
      4: 31,
      6: 33,
      7: $Vl,
      8: 29,
      9: $V0,
      11: 30,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, o($Vj, $Vm), o($Vn, $Vo, {
      7: [1, 34]
    }), o($Vn, $Vp, {
      7: [1, 35]
    }), {
      9: [1, 36]
    }, {
      4: 37,
      6: 39,
      7: [1, 38],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      1: [2, 1]
    }, {
      4: 40,
      6: 42,
      7: [1, 41],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      4: 43,
      6: 45,
      7: [1, 44],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      4: 46,
      6: 48,
      7: [1, 47],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      4: 49,
      6: 51,
      7: [1, 50],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, {
      1: [2, 2]
    }, {
      4: 52,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 58,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 59,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 60,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      1: [2, 3]
    }, o($Vj, [2, 18]), o($Vj, [2, 19]), {
      4: 61,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 62,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 63,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 64,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, o($Vv, $Vk, {
      10: [1, 65]
    }), o($Vv, $Vm, {
      12: 66,
      2: $Vw,
      10: $Vx
    }), {
      17: $V5,
      18: $V6,
      19: $V7,
      20: $V8
    }, {
      13: $Vd,
      14: $Ve,
      17: $Vf,
      18: $Vg,
      19: $Vh,
      20: $Vi
    }, {
      17: $V9,
      18: $Va,
      19: $Vb,
      20: $Vc
    }, o($Vj, [2, 16]), o($Vj, [2, 17]), {
      4: 72,
      6: 73,
      7: [1, 70],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      16: 69,
      18: $V4,
      21: 71
    }, o($Vy, $Vz, {
      19: $V7,
      20: $V8
    }), o($VA, [2, 39], {
      13: $Vd,
      14: $Ve,
      19: $Vh,
      20: $Vi
    }), o($VA, [2, 40], {
      19: $Vb,
      20: $Vc
    }), o($Vy, $VB, {
      19: $V7,
      20: $V8
    }), o($VA, [2, 23], {
      13: $Vd,
      14: $Ve,
      19: $Vh,
      20: $Vi
    }), o($VA, [2, 26], {
      19: $Vb,
      20: $Vc
    }), o($Vy, $VC, {
      19: $V7,
      20: $V8
    }), o($VA, [2, 27], {
      13: $Vd,
      14: $Ve,
      19: $Vh,
      20: $Vi
    }), o($VA, [2, 30], {
      19: $Vb,
      20: $Vc
    }), o($Vn, $VD), o($Vj, [2, 31], {
      13: $Vd,
      14: $Ve
    }), o($Vj, [2, 34]), o($Vn, $VE), o($Vj, [2, 35], {
      13: $Vd,
      14: $Ve
    }), o($Vj, [2, 38]), o($VA, [2, 25], {
      19: $VF,
      20: $VG
    }), {
      4: 78,
      8: 29,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, o($Vj, $Vo), o($Vj, $Vp), {
      9: [1, 79]
    }, {
      4: 80,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, o($VA, [2, 29], {
      19: $VF,
      20: $VG
    }), o($Vj, [2, 33]), o($Vj, [2, 37]), o($VA, [2, 24], {
      19: $VF,
      20: $VG
    }), o($VA, [2, 28], {
      19: $VF,
      20: $VG
    }), o($Vj, [2, 32]), o($Vj, [2, 36]), o($Vj, [2, 5]), o($Vj, [2, 7]), o($Vj, [2, 47]), o($Vj, [2, 48]), {
      10: [1, 81],
      22: [1, 82]
    }, {
      2: $Vw,
      10: $Vx,
      12: 83,
      13: $Vd,
      14: $Ve,
      17: $Vf,
      18: $Vg,
      19: $Vh,
      20: $Vi
    }, {
      2: $Vw,
      10: $Vx,
      12: 84
    }, o($VH, $VI, {
      17: $V5,
      18: $V6,
      19: $V7,
      20: $V8
    }), o($VJ, [2, 43], {
      17: $V9,
      18: $Va,
      19: $Vb,
      20: $Vc,
      22: [1, 85]
    }), {
      4: 86,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 87,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 88,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 89,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      17: $VK,
      18: $VL,
      19: $VF,
      20: $VG
    }, {
      4: 91,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      16: 90,
      18: $Vu
    }, o($VA, $Vz, {
      19: $VF,
      20: $VG
    }), o($Vn, $VJ, {
      7: [1, 92]
    }), {
      4: 93,
      6: 94,
      7: $Vl,
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: $V3,
      18: $V4
    }, o($Vj, [2, 20]), o($Vj, [2, 21]), {
      4: 91,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      16: 95,
      18: $Vu
    }, o($VA, $VB, {
      19: $VF,
      20: $VG
    }), o($VA, $VC, {
      19: $VF,
      20: $VG
    }), o($Vj, $VD), o($Vj, $VE), {
      10: [1, 96],
      22: $VM
    }, o($VN, $VI, {
      17: $VK,
      18: $VL,
      19: $VF,
      20: $VG
    }), o($Vj, [2, 22]), o($VH, $VO, {
      17: $V5,
      18: $V6,
      19: $V7,
      20: $V8
    }), o($VJ, [2, 44], {
      17: $V9,
      18: $Va,
      19: $Vb,
      20: $Vc,
      22: [1, 98]
    }), o($VJ, [2, 45], {
      22: $VM
    }), o($Vj, $VJ), {
      4: 99,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      18: $Vu
    }, {
      4: 91,
      8: 5,
      9: $Vq,
      13: $Vr,
      14: $Vs,
      15: $Vt,
      16: 100,
      18: $Vu
    }, o($VN, $VO, {
      17: $VK,
      18: $VL,
      19: $VF,
      20: $VG
    }), o($VJ, [2, 46], {
      22: $VM
    })],
    defaultActions: {
      12: [2, 1],
      17: [2, 2],
      22: [2, 3]
    },
    parseError: function parseError(str, hash) {
      if (hash.recoverable) {
        this.trace(str);
      } else {
        var error = new Error(str);
        error.hash = hash;
        throw error;
      }
    },
    parse: function parse(input) {
      var self = this,
          stack = [0],
          tstack = [],
          // token stack
      vstack = [null],
          // semantic value stack
      lstack = [],
          // location stack
      table = this.table,
          yytext = '',
          yylineno = 0,
          yyleng = 0,
          recovering = 0,
          TERROR = 2,
          EOF = 1;
      var args = lstack.slice.call(arguments, 1); //this.reductionCount = this.shiftCount = 0;

      var lexer = Object.create(this.lexer);
      var sharedState = {
        yy: {}
      }; // copy state

      for (var k in this.yy) {
        if (Object.prototype.hasOwnProperty.call(this.yy, k)) {
          sharedState.yy[k] = this.yy[k];
        }
      }

      lexer.setInput(input, sharedState.yy);
      sharedState.yy.lexer = lexer;
      sharedState.yy.parser = this;

      if (typeof lexer.yylloc == 'undefined') {
        lexer.yylloc = {};
      }

      var yyloc = lexer.yylloc;
      lstack.push(yyloc);
      var ranges = lexer.options && lexer.options.ranges;

      if (typeof sharedState.yy.parseError === 'function') {
        this.parseError = sharedState.yy.parseError;
      } else {
        this.parseError = Object.getPrototypeOf(this).parseError;
      }

      function popStack(n) {
        stack.length = stack.length - 2 * n;
        vstack.length = vstack.length - n;
        lstack.length = lstack.length - n;
      }

      _token_stack: var lex = function lex() {
        var token;
        token = lexer.lex() || EOF; // if token isn't its numeric value, convert

        if (typeof token !== 'number') {
          token = self.symbols_[token] || token;
        }

        return token;
      };

      var symbol,
          preErrorSymbol,
          state,
          action,
          a,
          r,
          yyval = {},
          p,
          len,
          newState,
          expected;

      while (true) {
        // retreive state number from top of stack
        state = stack[stack.length - 1]; // use default actions if available

        if (this.defaultActions[state]) {
          action = this.defaultActions[state];
        } else {
          if (symbol === null || typeof symbol == 'undefined') {
            symbol = lex();
          } // read action for current state and first input


          action = table[state] && table[state][symbol];
        }

        _handle_error: // handle parse error
        if (typeof action === 'undefined' || !action.length || !action[0]) {
          // Return the rule stack depth where the nearest error rule can be found.
          // Return FALSE when no error recovery rule was found.
          var locateNearestErrorRecoveryRule = function locateNearestErrorRecoveryRule(state) {
            var stack_probe = stack.length - 1;
            var depth = 0; // try to recover from error

            for (;;) {
              // check for error recovery rule in this state
              if (TERROR.toString() in table[state]) {
                return depth;
              }

              if (state === 0 || stack_probe < 2) {
                return false; // No suitable error recovery rule available.
              }

              stack_probe -= 2; // popStack(1): [symbol, action]

              state = stack[stack_probe];
              ++depth;
            }
          };

          var error_rule_depth;
          var errStr = '';

          if (!recovering) {
            // first see if there's any chance at hitting an error recovery rule:
            error_rule_depth = locateNearestErrorRecoveryRule(state); // Report error

            expected = [];

            for (p in table[state]) {
              if (this.terminals_[p] && p > TERROR) {
                expected.push("'" + this.terminals_[p] + "'");
              }
            }

            if (lexer.showPosition) {
              errStr = 'Parse error on line ' + (yylineno + 1) + ":\n" + lexer.showPosition() + "\nExpecting " + expected.join(', ') + ", got '" + (this.terminals_[symbol] || symbol) + "'";
            } else {
              errStr = 'Parse error on line ' + (yylineno + 1) + ": Unexpected " + (symbol == EOF ? "end of input" : "'" + (this.terminals_[symbol] || symbol) + "'");
            }

            this.parseError(errStr, {
              text: lexer.match,
              token: this.terminals_[symbol] || symbol,
              line: lexer.yylineno,
              loc: lexer.yylloc,
              ruleId: stack.slice(stack.length - 2, stack.length).join('_'),
              expected: expected,
              recoverable: error_rule_depth !== false
            });
          } else if (preErrorSymbol !== EOF) {
            error_rule_depth = locateNearestErrorRecoveryRule(state);
          } // just recovered from another error


          if (recovering == 3) {
            if (symbol === EOF || preErrorSymbol === EOF) {
              throw new Error(errStr || 'Parsing halted while starting to recover from another error.');
            } // discard current lookahead and grab another


            yyleng = lexer.yyleng;
            yytext = lexer.yytext;
            yylineno = lexer.yylineno;
            yyloc = lexer.yylloc;
            symbol = lex();
          } // try to recover from error


          if (error_rule_depth === false) {
            throw new Error(errStr || 'Parsing halted. No suitable error recovery rule available.');
          }

          popStack(error_rule_depth);
          preErrorSymbol = symbol == TERROR ? null : symbol; // save the lookahead token

          symbol = TERROR; // insert generic error symbol as new lookahead

          state = stack[stack.length - 1];
          action = table[state] && table[state][TERROR];
          recovering = 3; // allow 3 real symbols to be shifted before reporting a new error
        } // this shouldn't happen, unless resolve defaults are off


        if (action[0] instanceof Array && action.length > 1) {
          throw new Error('Parse Error: multiple actions possible at state: ' + state + ', token: ' + symbol);
        }

        switch (action[0]) {
          case 1:
            // shift
            //this.shiftCount++;
            stack.push(symbol);
            vstack.push(lexer.yytext);
            lstack.push(lexer.yylloc);
            stack.push(action[1]); // push state

            symbol = null;

            if (!preErrorSymbol) {
              // normal execution/no error
              yyleng = lexer.yyleng;
              yytext = lexer.yytext;
              yylineno = lexer.yylineno;
              yyloc = lexer.yylloc;

              if (recovering > 0) {
                recovering--;
              }
            } else {
              // error just occurred, resume old lookahead f/ before error
              symbol = preErrorSymbol;
              preErrorSymbol = null;
            }

            break;

          case 2:
            // reduce
            //this.reductionCount++;
            len = this.productions_[action[1]][1]; // perform semantic action

            yyval.$ = vstack[vstack.length - len]; // default to $$ = $1
            // default location, uses first token for firsts, last for lasts

            yyval._$ = {
              first_line: lstack[lstack.length - (len || 1)].first_line,
              last_line: lstack[lstack.length - 1].last_line,
              first_column: lstack[lstack.length - (len || 1)].first_column,
              last_column: lstack[lstack.length - 1].last_column
            };

            if (ranges) {
              yyval._$.range = [lstack[lstack.length - (len || 1)].range[0], lstack[lstack.length - 1].range[1]];
            }

            r = this.performAction.apply(yyval, [yytext, yyleng, yylineno, sharedState.yy, action[1], vstack, lstack].concat(args));

            if (typeof r !== 'undefined') {
              return r;
            } // pop off stack


            if (len) {
              stack = stack.slice(0, -1 * len * 2);
              vstack = vstack.slice(0, -1 * len);
              lstack = lstack.slice(0, -1 * len);
            }

            stack.push(this.productions_[action[1]][0]); // push nonterminal (reduce)

            vstack.push(yyval.$);
            lstack.push(yyval._$); // goto new state = table[STATE][NONTERMINAL]

            newState = table[stack[stack.length - 2]][stack[stack.length - 1]];
            stack.push(newState);
            break;

          case 3:
            // accept
            return true;
        }
      }

      return true;
    }
  };

  parser.yy.parseError = function () {
    return false;
  };

  parser.identifyPartials = function (beforeCursor, afterCursor) {
    var beforeMatch = beforeCursor.match(/[^()-*+/,\s]*$/);
    var afterMatch = afterCursor.match(/^[^()-*+/,\s]*/);
    return {
      left: beforeMatch ? beforeMatch[0].length : 0,
      right: afterMatch ? afterMatch[0].length : 0
    };
  };

  var adjustLocationForCursor = function adjustLocationForCursor(location) {
    // columns are 0-based and lines not, so add 1 to cols
    var newLocation = {
      first_line: location.first_line,
      last_line: location.last_line,
      first_column: location.first_column + 1,
      last_column: location.last_column + 1
    };

    if (parser.yy.cursorFound) {
      if (parser.yy.cursorFound.first_line === newLocation.first_line && parser.yy.cursorFound.last_column <= newLocation.first_column) {
        var additionalSpace = parser.yy.partialLengths.left + parser.yy.partialLengths.right;
        additionalSpace -= parser.yy.partialCursor ? 1 : 3; // For some reason the normal cursor eats 3 positions.

        newLocation.first_column = newLocation.first_column + additionalSpace;
        newLocation.last_column = newLocation.last_column + additionalSpace;
      }
    }

    return newLocation;
  };

  parser.addFunctionLocation = function (location, name) {
    parser.yy.locations.push({
      type: 'function',
      name: name,
      location: adjustLocationForCursor(location)
    });
  };

  parser.addFieldLocation = function (location, name) {
    parser.yy.locations.push({
      type: 'field',
      name: name,
      location: adjustLocationForCursor(location)
    });
  };

  parser.parseSolrFormula = function (formula, debug) {
    parser.yy.cursorFound = false;
    parser.yy.locations = [];
    formula = formula.replace(/\r\n|\n\r/gm, '\n');
    var result;

    try {
      result = parser.parse(formula);
    } catch (err) {
      if (debug) {
        console.log(beforeCursor + "\u2020" + afterCursor);
        console.log(err);
        console.error(err.stack);
      }
    }

    return result || false;
  };

  parser.autocompleteSolrFormula = function (beforeCursor, afterCursor, debug) {
    parser.yy.cursorFound = false;
    parser.yy.locations = [];
    beforeCursor = beforeCursor.replace(/\r\n|\n\r/gm, '\n');
    afterCursor = afterCursor.replace(/\r\n|\n\r/gm, '\n');
    parser.yy.partialLengths = parser.identifyPartials(beforeCursor, afterCursor);

    if (parser.yy.partialLengths.left > 0) {
      beforeCursor = beforeCursor.substring(0, beforeCursor.length - parser.yy.partialLengths.left);
    }

    if (parser.yy.partialLengths.right > 0) {
      afterCursor = afterCursor.substring(parser.yy.partialLengths.right);
    }

    var result;

    try {
      result = parser.parse(beforeCursor + "\u2020" + afterCursor);
    } catch (err) {
      // Workaround for too many missing parentheses (it's the only error we handle in the parser)
      if (err && err.toString().indexOf('Parsing halted while starting to recover from another error') !== -1) {
        var leftCount = (beforeCursor.match(/\(/g) || []).length;
        var rightCount = (beforeCursor.match(/\)/g) || []).length;
        var parenthesisPad = '';

        while (rightCount < leftCount) {
          parenthesisPad += ')';
          rightCount++;
        }

        try {
          result = parser.parse(beforeCursor + "\u2020" + parenthesisPad);
        } catch (err) {
          return {};
        }
      } else {
        if (debug) {
          console.log(beforeCursor + "\u2020" + afterCursor);
          console.log(err);
          console.error(err.stack);
        }

        return {};
      }
    }

    result.locations = parser.yy.locations;
    return result;
  };
  /* generated by jison-lex 0.3.4 */


  var lexer = function () {
    var lexer = {
      EOF: 1,
      parseError: function parseError(str, hash) {
        if (this.yy.parser) {
          this.yy.parser.parseError(str, hash);
        } else {
          throw new Error(str);
        }
      },
      // resets the lexer, sets new input
      setInput: function setInput(input, yy) {
        this.yy = yy || this.yy || {};
        this._input = input;
        this._more = this._backtrack = this.done = false;
        this.yylineno = this.yyleng = 0;
        this.yytext = this.matched = this.match = '';
        this.conditionStack = ['INITIAL'];
        this.yylloc = {
          first_line: 1,
          first_column: 0,
          last_line: 1,
          last_column: 0
        };

        if (this.options.ranges) {
          this.yylloc.range = [0, 0];
        }

        this.offset = 0;
        return this;
      },
      // consumes and returns one char from the input
      input: function input() {
        var ch = this._input[0];
        this.yytext += ch;
        this.yyleng++;
        this.offset++;
        this.match += ch;
        this.matched += ch;
        var lines = ch.match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno++;
          this.yylloc.last_line++;
        } else {
          this.yylloc.last_column++;
        }

        if (this.options.ranges) {
          this.yylloc.range[1]++;
        }

        this._input = this._input.slice(1);
        return ch;
      },
      // unshifts one char (or a string) into the input
      unput: function unput(ch) {
        var len = ch.length;
        var lines = ch.split(/(?:\r\n?|\n)/g);
        this._input = ch + this._input;
        this.yytext = this.yytext.substr(0, this.yytext.length - len); //this.yyleng -= len;

        this.offset -= len;
        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - 1);
        this.matched = this.matched.substr(0, this.matched.length - 1);

        if (lines.length - 1) {
          this.yylineno -= lines.length - 1;
        }

        var r = this.yylloc.range;
        this.yylloc = {
          first_line: this.yylloc.first_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.first_column,
          last_column: lines ? (lines.length === oldLines.length ? this.yylloc.first_column : 0) + oldLines[oldLines.length - lines.length].length - lines[0].length : this.yylloc.first_column - len
        };

        if (this.options.ranges) {
          this.yylloc.range = [r[0], r[0] + this.yyleng - len];
        }

        this.yyleng = this.yytext.length;
        return this;
      },
      // When called from action, caches matched text and appends it on next action
      more: function more() {
        this._more = true;
        return this;
      },
      // When called from action, signals the lexer that this rule fails to match the input, so the next matching rule (regex) should be tested instead.
      reject: function reject() {
        if (this.options.backtrack_lexer) {
          this._backtrack = true;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }

        return this;
      },
      // retain first n characters of the match
      less: function less(n) {
        this.unput(this.match.slice(n));
      },
      // displays already matched input, i.e. for error messages
      pastInput: function pastInput() {
        var past = this.matched.substr(0, this.matched.length - this.match.length);
        return (past.length > 20 ? '...' : '') + past.substr(-20).replace(/\n/g, "");
      },
      // displays upcoming input, i.e. for error messages
      upcomingInput: function upcomingInput() {
        var next = this.match;

        if (next.length < 20) {
          next += this._input.substr(0, 20 - next.length);
        }

        return (next.substr(0, 20) + (next.length > 20 ? '...' : '')).replace(/\n/g, "");
      },
      // displays the character position where the lexing error occurred, i.e. for error messages
      showPosition: function showPosition() {
        var pre = this.pastInput();
        var c = new Array(pre.length + 1).join("-");
        return pre + this.upcomingInput() + "\n" + c + "^";
      },
      // test the lexed token: return FALSE when not a match, otherwise return token
      test_match: function test_match(match, indexed_rule) {
        var token, lines, backup;

        if (this.options.backtrack_lexer) {
          // save context
          backup = {
            yylineno: this.yylineno,
            yylloc: {
              first_line: this.yylloc.first_line,
              last_line: this.last_line,
              first_column: this.yylloc.first_column,
              last_column: this.yylloc.last_column
            },
            yytext: this.yytext,
            match: this.match,
            matches: this.matches,
            matched: this.matched,
            yyleng: this.yyleng,
            offset: this.offset,
            _more: this._more,
            _input: this._input,
            yy: this.yy,
            conditionStack: this.conditionStack.slice(0),
            done: this.done
          };

          if (this.options.ranges) {
            backup.yylloc.range = this.yylloc.range.slice(0);
          }
        }

        lines = match[0].match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno += lines.length;
        }

        this.yylloc = {
          first_line: this.yylloc.last_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.last_column,
          last_column: lines ? lines[lines.length - 1].length - lines[lines.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + match[0].length
        };
        this.yytext += match[0];
        this.match += match[0];
        this.matches = match;
        this.yyleng = this.yytext.length;

        if (this.options.ranges) {
          this.yylloc.range = [this.offset, this.offset += this.yyleng];
        }

        this._more = false;
        this._backtrack = false;
        this._input = this._input.slice(match[0].length);
        this.matched += match[0];
        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1]);

        if (this.done && this._input) {
          this.done = false;
        }

        if (token) {
          return token;
        } else if (this._backtrack) {
          // recover context
          for (var k in backup) {
            this[k] = backup[k];
          }

          return false; // rule action called reject() implying the next rule should be tested instead.
        }

        return false;
      },
      // return next match in input
      next: function next() {
        if (this.done) {
          return this.EOF;
        }

        if (!this._input) {
          this.done = true;
        }

        var token, match, tempMatch, index;

        if (!this._more) {
          this.yytext = '';
          this.match = '';
        }

        var rules = this._currentRules();

        for (var i = 0; i < rules.length; i++) {
          tempMatch = this._input.match(this.rules[rules[i]]);

          if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
            match = tempMatch;
            index = i;

            if (this.options.backtrack_lexer) {
              token = this.test_match(tempMatch, rules[i]);

              if (token !== false) {
                return token;
              } else if (this._backtrack) {
                match = false;
                continue; // rule action called reject() implying a rule MISmatch.
              } else {
                // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
                return false;
              }
            } else if (!this.options.flex) {
              break;
            }
          }
        }

        if (match) {
          token = this.test_match(match, rules[index]);

          if (token !== false) {
            return token;
          } // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)


          return false;
        }

        if (this._input === "") {
          return this.EOF;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. Unrecognized text.\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }
      },
      // return next match that has a token
      lex: function lex() {
        var r = this.next();

        if (r) {
          return r;
        } else {
          return this.lex();
        }
      },
      // activates a new lexer condition state (pushes the new lexer condition state onto the condition stack)
      begin: function begin(condition) {
        this.conditionStack.push(condition);
      },
      // pop the previously active lexer condition state off the condition stack
      popState: function popState() {
        var n = this.conditionStack.length - 1;

        if (n > 0) {
          return this.conditionStack.pop();
        } else {
          return this.conditionStack[0];
        }
      },
      // produce the lexer rule set which is active for the currently active lexer condition state
      _currentRules: function _currentRules() {
        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) {
          return this.conditions[this.conditionStack[this.conditionStack.length - 1]].rules;
        } else {
          return this.conditions["INITIAL"].rules;
        }
      },
      // return the currently active lexer condition state; when an index argument is provided it produces the N-th previous condition state, if available
      topState: function topState(n) {
        n = this.conditionStack.length - 1 - Math.abs(n || 0);

        if (n >= 0) {
          return this.conditionStack[n];
        } else {
          return "INITIAL";
        }
      },
      // alias for begin(condition)
      pushState: function pushState(condition) {
        this.begin(condition);
      },
      // return the number of states currently on the stack
      stateStackSize: function stateStackSize() {
        return this.conditionStack.length;
      },
      options: {
        "case-insensitive": true
      },
      performAction: function anonymous(yy, yy_, $avoiding_name_collisions, YY_START) {
        var YYSTATE = YY_START;

        switch ($avoiding_name_collisions) {
          case 0:
            /* skip whitespace */
            break;

          case 1:
            /* skip comments */
            break;

          case 2:
            /* skip comments */
            break;

          case 3:
            parser.yy.cursorFound = yy_.yylloc;
            return 7;
            break;

          case 4:
            return 13;
            break;

          case 5:
            return 18;
            break;

          case 6:
            return 17;
            break;

          case 7:
            return 19;
            break;

          case 8:
            return 20;
            break;

          case 9:
            yy.lexer.unput('(');
            parser.addFunctionLocation({
              first_line: yy_.yylloc.first_line,
              first_column: yy_.yylloc.first_column,
              last_line: yy_.yylloc.first_line,
              last_column: yy_.yylloc.first_column + yy_.yytext.trim().length
            }, yy_.yytext.trim());
            return 15;
            break;

          case 10:
            return 22;
            break;

          case 11:
            return 9;
            break;

          case 12:
            return 10;
            break;

          case 13:
            return 5;
            break;

          case 14:
            parser.addFieldLocation(yy_.yylloc, yy_.yytext);
            return 14;
            break;
        }
      },
      rules: [/^(?:\s)/i, /^(?:--.*)/i, /^(?:[\/][*][^*]*[*]+([^\/*][^*]*[*]+)*[\/])/i, /^(?:\u2020)/i, /^(?:[0-9]+(?:[,.][0-9]+)?)/i, /^(?:-)/i, /^(?:\+)/i, /^(?:\*)/i, /^(?:\/)/i, /^(?:[a-z]+\s*\()/i, /^(?:,)/i, /^(?:\()/i, /^(?:\))/i, /^(?:$)/i, /^(?:[^\s\u2020()]+)/i],
      conditions: {
        "INITIAL": {
          "rules": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14],
          "inclusive": true
        }
      }
    };
    return lexer;
  }();

  parser.lexer = lexer;

  function Parser() {
    this.yy = {};
  }

  Parser.prototype = parser;
  parser.Parser = Parser;
  return new Parser();
}();

/* harmony default export */ __webpack_exports__["default"] = (solrFormulaParser);

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/solrQueryParser.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/solrQueryParser.js ***!
  \**************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/* parser generated by jison 0.4.17 */

/*
  Returns a Parser object of the following structure:

  Parser: {
    yy: {}
  }

  Parser.prototype: {
    yy: {},
    trace: function(),
    symbols_: {associative list: name ==> number},
    terminals_: {associative list: number ==> name},
    productions_: [...],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate, $$, _$),
    table: [...],
    defaultActions: {...},
    parseError: function(str, hash),
    parse: function(input),

    lexer: {
        EOF: 1,
        parseError: function(str, hash),
        setInput: function(input),
        input: function(),
        unput: function(str),
        more: function(),
        less: function(n),
        pastInput: function(),
        upcomingInput: function(),
        showPosition: function(),
        test_match: function(regex_match_array, rule_index),
        next: function(),
        lex: function(),
        begin: function(condition),
        popState: function(),
        _currentRules: function(),
        topState: function(),
        pushState: function(condition),

        options: {
            ranges: boolean           (optional: true ==> token location info will include a .range[] member)
            flex: boolean             (optional: true ==> flex-like lexing behaviour where the rules are tested exhaustively to find the longest match)
            backtrack_lexer: boolean  (optional: true ==> lexer regexes are tested in order and for each matching regex the action code is invoked; the lexer terminates the scan when a token is returned by the action code)
        },

        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START),
        rules: [...],
        conditions: {associative list: name ==> set},
    }
  }


  token location info (@$, _$, etc.): {
    first_line: n,
    last_line: n,
    first_column: n,
    last_column: n,
    range: [start_number, end_number]       (where the numbers are indexes into the input string, regular zero-based)
  }


  the parseError function receives a 'hash' object with these members for lexer and parser errors: {
    text:        (matched text)
    token:       (the produced terminal token, if any)
    line:        (yylineno)
  }
  while parser (grammar) errors will also provide these members, i.e. parser errors deliver a superset of attributes: {
    loc:         (yylloc)
    expected:    (string describing the set of expected tokens)
    recoverable: (boolean: TRUE when the parser has a error recovery rule available for this particular error)
  }
*/
var solrQueryParser = function () {
  var o = function o(k, v, _o, l) {
    for (_o = _o || {}, l = k.length; l--; _o[k[l]] = v) {
      ;
    }

    return _o;
  },
      $V0 = [1, 6],
      $V1 = [1, 8],
      $V2 = [1, 9],
      $V3 = [1, 14],
      $V4 = [1, 15],
      $V5 = [1, 16],
      $V6 = [1, 17],
      $V7 = [1, 18],
      $V8 = [1, 24],
      $V9 = [1, 25],
      $Va = [2, 5, 7, 10, 21, 22, 23, 24],
      $Vb = [2, 4],
      $Vc = [2, 5, 10, 21, 22, 23, 24],
      $Vd = [2, 6],
      $Ve = [2, 9],
      $Vf = [7, 9, 13, 14],
      $Vg = [1, 45],
      $Vh = [2, 11],
      $Vi = [1, 54],
      $Vj = [1, 56];

  var parser = {
    trace: function trace() {},
    yy: {},
    symbols_: {
      "error": 2,
      "SolrQueryAutocomplete": 3,
      "SolrQuery": 4,
      "EOF": 5,
      "SolrQuery_EDIT": 6,
      "CURSOR": 7,
      "NonParenthesizedSolrQuery": 8,
      "(": 9,
      ")": 10,
      "NonParenthesizedSolrQuery_EDIT": 11,
      "RightParenthesisOrError": 12,
      "NUMBER": 13,
      "TERM": 14,
      "KeywordMatch": 15,
      "BooleanOperator": 16,
      "KeywordMatch_EDIT": 17,
      ":": 18,
      "QuotedValue": 19,
      "QuotedValue_EDIT": 20,
      "AND": 21,
      "OR": 22,
      "&&": 23,
      "||": 24,
      "SINGLE_QUOTE": 25,
      "VALUE": 26,
      "DOUBLE_QUOTE": 27,
      "PARTIAL_VALUE": 28,
      "$accept": 0,
      "$end": 1
    },
    terminals_: {
      2: "error",
      5: "EOF",
      7: "CURSOR",
      9: "(",
      10: ")",
      13: "NUMBER",
      14: "TERM",
      18: ":",
      21: "AND",
      22: "OR",
      23: "&&",
      24: "||",
      25: "SINGLE_QUOTE",
      26: "VALUE",
      27: "DOUBLE_QUOTE",
      28: "PARTIAL_VALUE"
    },
    productions_: [0, [3, 2], [3, 2], [3, 2], [4, 1], [4, 3], [6, 1], [6, 3], [8, 1], [8, 1], [8, 1], [8, 3], [11, 1], [11, 2], [11, 3], [11, 2], [11, 3], [11, 3], [11, 3], [11, 3], [15, 3], [15, 3], [17, 3], [17, 3], [16, 1], [16, 1], [16, 1], [16, 1], [19, 3], [19, 3], [20, 2], [20, 2], [12, 1], [12, 1]],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate
    /* action[1] */
    , $$
    /* vstack */
    , _$
    /* lstack */
    ) {
      /* this == yyval */
      var $0 = $$.length - 1;

      switch (yystate) {
        case 1:
          return {};
          break;

        case 2:
          return $$[$0 - 1];
          break;

        case 3:
          return {
            suggestFields: {
              appendColon: true
            }
          };
          break;

        case 5:
        case 7:
        case 28:
        case 29:
          this.$ = $$[$0 - 1];
          break;

        case 10:
          this.$ = {
            hasKeywordMatch: true
          };
          break;

        case 13:
          if ($$[$0 - 1].hasKeywordMatch) {
            this.$ = {
              suggestKeywords: ['AND', 'OR']
            };
          } else {
            this.$ = {
              suggestKeywords: ['AND', 'OR', ':'],
              suggestValues: {
                field: $$[$0 - 1],
                prependColon: true
              }
            };
          }

          break;

        case 14:
          if ($$[$0 - 2].hasKeywordMatch) {
            this.$ = {
              suggestKeywords: ['AND', 'OR']
            };
          } else {
            this.$ = {
              suggestKeywords: ['AND', 'OR', ':'],
              suggestValues: {
                field: $$[$0 - 2],
                prependColon: true
              }
            };
          }

          break;

        case 15:
        case 16:
        case 17:
          this.$ = {
            suggestFields: {
              appendColon: true
            }
          };
          break;

        case 18:
        case 30:
        case 31:
          this.$ = $$[$0];
          break;

        case 19:
          this.$ = $$[$0 - 2];
          break;

        case 22:
          this.$ = {
            suggestValues: {
              field: $$[$0 - 2]
            }
          };
          break;

        case 23:
          this.$ = {
            suggestValues: {
              field: $$[$0 - 2],
              quotePresent: true,
              partial: $$[$0]
            }
          };
          break;
      }
    },
    table: [{
      3: 1,
      4: 2,
      6: 3,
      7: [1, 4],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: 10,
      17: 11
    }, {
      1: [3]
    }, {
      5: [1, 12],
      7: $V3,
      16: 13,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      5: [1, 19],
      16: 20,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      4: 22,
      5: [1, 21],
      8: 5,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10,
      16: 23,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, o($Va, $Vb), {
      4: 28,
      6: 30,
      7: [1, 29],
      8: 26,
      9: $V0,
      11: 27,
      13: $V1,
      14: $V2,
      15: 10,
      17: 11
    }, o($Vc, $Vd), o($Va, [2, 8]), o([5, 7, 10, 21, 22, 23, 24], $Ve, {
      18: [1, 31]
    }), o($Va, [2, 10]), o($Vc, [2, 12]), {
      1: [2, 1]
    }, {
      4: 32,
      6: 34,
      7: [1, 33],
      8: 5,
      9: $V0,
      11: 7,
      13: $V1,
      14: $V2,
      15: 10,
      17: 11
    }, o($Vc, [2, 13], {
      8: 5,
      15: 10,
      4: 35,
      9: $V8,
      13: $V1,
      14: $V9
    }), o($Vf, [2, 24]), o($Vf, [2, 25]), o($Vf, [2, 26]), o($Vf, [2, 27]), {
      1: [2, 2]
    }, {
      4: 36,
      8: 5,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10
    }, {
      1: [2, 3]
    }, o($Vc, [2, 15], {
      16: 37
    }), {
      4: 38,
      8: 5,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10
    }, {
      4: 39,
      8: 26,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10
    }, o($Vc, $Ve, {
      18: [1, 40]
    }), o([7, 21, 22, 23, 24], $Vb, {
      10: [1, 41]
    }), o([21, 22, 23, 24], $Vd, {
      12: 42,
      2: [1, 44],
      10: [1, 43]
    }), {
      7: $V3,
      16: 13,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      4: 22,
      8: 5,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10,
      16: 23,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      16: 20,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      7: [1, 47],
      14: $Vg,
      19: 46,
      20: 48,
      25: [1, 49],
      27: [1, 50]
    }, o([5, 10, 21, 22, 23, 24], $Vh, {
      16: 13,
      7: $V3
    }), o($Vc, [2, 16], {
      8: 5,
      15: 10,
      4: 22,
      16: 23,
      9: $V8,
      13: $V1,
      14: $V9
    }), o($Vc, [2, 18], {
      16: 20
    }), o($Vc, [2, 14], {
      16: 37
    }), o($Vc, [2, 19], {
      16: 37
    }), {
      4: 51,
      8: 5,
      9: $V8,
      13: $V1,
      14: $V9,
      15: 10
    }, o($Vc, [2, 17], {
      16: 37
    }), {
      16: 37,
      21: $V4,
      22: $V5,
      23: $V6,
      24: $V7
    }, {
      14: $Vg,
      19: 46,
      25: [1, 52],
      27: [1, 53]
    }, o($Va, [2, 5]), o($Vc, [2, 7]), o($Vc, [2, 32]), o($Vc, [2, 33]), o($Va, [2, 20]), o($Va, [2, 21]), o($Vc, [2, 22]), o($Vc, [2, 23]), {
      26: $Vi,
      28: [1, 55]
    }, {
      26: $Vj,
      28: [1, 57]
    }, o($Vc, $Vh, {
      16: 37
    }), {
      26: $Vi
    }, {
      26: $Vj
    }, {
      25: [1, 58]
    }, o($Vc, [2, 30]), {
      27: [1, 59]
    }, o($Vc, [2, 31]), o($Va, [2, 28]), o($Va, [2, 29])],
    defaultActions: {
      12: [2, 1],
      19: [2, 2],
      21: [2, 3]
    },
    parseError: function parseError(str, hash) {
      if (hash.recoverable) {
        this.trace(str);
      } else {
        var error = new Error(str);
        error.hash = hash;
        throw error;
      }
    },
    parse: function parse(input) {
      var self = this,
          stack = [0],
          tstack = [],
          // token stack
      vstack = [null],
          // semantic value stack
      lstack = [],
          // location stack
      table = this.table,
          yytext = '',
          yylineno = 0,
          yyleng = 0,
          recovering = 0,
          TERROR = 2,
          EOF = 1;
      var args = lstack.slice.call(arguments, 1); //this.reductionCount = this.shiftCount = 0;

      var lexer = Object.create(this.lexer);
      var sharedState = {
        yy: {}
      }; // copy state

      for (var k in this.yy) {
        if (Object.prototype.hasOwnProperty.call(this.yy, k)) {
          sharedState.yy[k] = this.yy[k];
        }
      }

      lexer.setInput(input, sharedState.yy);
      sharedState.yy.lexer = lexer;
      sharedState.yy.parser = this;

      if (typeof lexer.yylloc == 'undefined') {
        lexer.yylloc = {};
      }

      var yyloc = lexer.yylloc;
      lstack.push(yyloc);
      var ranges = lexer.options && lexer.options.ranges;

      if (typeof sharedState.yy.parseError === 'function') {
        this.parseError = sharedState.yy.parseError;
      } else {
        this.parseError = Object.getPrototypeOf(this).parseError;
      }

      function popStack(n) {
        stack.length = stack.length - 2 * n;
        vstack.length = vstack.length - n;
        lstack.length = lstack.length - n;
      }

      _token_stack: var lex = function lex() {
        var token;
        token = lexer.lex() || EOF; // if token isn't its numeric value, convert

        if (typeof token !== 'number') {
          token = self.symbols_[token] || token;
        }

        return token;
      };

      var symbol,
          preErrorSymbol,
          state,
          action,
          a,
          r,
          yyval = {},
          p,
          len,
          newState,
          expected;

      while (true) {
        // retreive state number from top of stack
        state = stack[stack.length - 1]; // use default actions if available

        if (this.defaultActions[state]) {
          action = this.defaultActions[state];
        } else {
          if (symbol === null || typeof symbol == 'undefined') {
            symbol = lex();
          } // read action for current state and first input


          action = table[state] && table[state][symbol];
        }

        _handle_error: // handle parse error
        if (typeof action === 'undefined' || !action.length || !action[0]) {
          // Return the rule stack depth where the nearest error rule can be found.
          // Return FALSE when no error recovery rule was found.
          var locateNearestErrorRecoveryRule = function locateNearestErrorRecoveryRule(state) {
            var stack_probe = stack.length - 1;
            var depth = 0; // try to recover from error

            for (;;) {
              // check for error recovery rule in this state
              if (TERROR.toString() in table[state]) {
                return depth;
              }

              if (state === 0 || stack_probe < 2) {
                return false; // No suitable error recovery rule available.
              }

              stack_probe -= 2; // popStack(1): [symbol, action]

              state = stack[stack_probe];
              ++depth;
            }
          };

          var error_rule_depth;
          var errStr = '';

          if (!recovering) {
            // first see if there's any chance at hitting an error recovery rule:
            error_rule_depth = locateNearestErrorRecoveryRule(state); // Report error

            expected = [];

            for (p in table[state]) {
              if (this.terminals_[p] && p > TERROR) {
                expected.push("'" + this.terminals_[p] + "'");
              }
            }

            if (lexer.showPosition) {
              errStr = 'Parse error on line ' + (yylineno + 1) + ":\n" + lexer.showPosition() + "\nExpecting " + expected.join(', ') + ", got '" + (this.terminals_[symbol] || symbol) + "'";
            } else {
              errStr = 'Parse error on line ' + (yylineno + 1) + ": Unexpected " + (symbol == EOF ? "end of input" : "'" + (this.terminals_[symbol] || symbol) + "'");
            }

            this.parseError(errStr, {
              text: lexer.match,
              token: this.terminals_[symbol] || symbol,
              line: lexer.yylineno,
              loc: lexer.yylloc,
              ruleId: stack.slice(stack.length - 2, stack.length).join('_'),
              expected: expected,
              recoverable: error_rule_depth !== false
            });
          } else if (preErrorSymbol !== EOF) {
            error_rule_depth = locateNearestErrorRecoveryRule(state);
          } // just recovered from another error


          if (recovering == 3) {
            if (symbol === EOF || preErrorSymbol === EOF) {
              throw new Error(errStr || 'Parsing halted while starting to recover from another error.');
            } // discard current lookahead and grab another


            yyleng = lexer.yyleng;
            yytext = lexer.yytext;
            yylineno = lexer.yylineno;
            yyloc = lexer.yylloc;
            symbol = lex();
          } // try to recover from error


          if (error_rule_depth === false) {
            throw new Error(errStr || 'Parsing halted. No suitable error recovery rule available.');
          }

          popStack(error_rule_depth);
          preErrorSymbol = symbol == TERROR ? null : symbol; // save the lookahead token

          symbol = TERROR; // insert generic error symbol as new lookahead

          state = stack[stack.length - 1];
          action = table[state] && table[state][TERROR];
          recovering = 3; // allow 3 real symbols to be shifted before reporting a new error
        } // this shouldn't happen, unless resolve defaults are off


        if (action[0] instanceof Array && action.length > 1) {
          throw new Error('Parse Error: multiple actions possible at state: ' + state + ', token: ' + symbol);
        }

        switch (action[0]) {
          case 1:
            // shift
            //this.shiftCount++;
            stack.push(symbol);
            vstack.push(lexer.yytext);
            lstack.push(lexer.yylloc);
            stack.push(action[1]); // push state

            symbol = null;

            if (!preErrorSymbol) {
              // normal execution/no error
              yyleng = lexer.yyleng;
              yytext = lexer.yytext;
              yylineno = lexer.yylineno;
              yyloc = lexer.yylloc;

              if (recovering > 0) {
                recovering--;
              }
            } else {
              // error just occurred, resume old lookahead f/ before error
              symbol = preErrorSymbol;
              preErrorSymbol = null;
            }

            break;

          case 2:
            // reduce
            //this.reductionCount++;
            len = this.productions_[action[1]][1]; // perform semantic action

            yyval.$ = vstack[vstack.length - len]; // default to $$ = $1
            // default location, uses first token for firsts, last for lasts

            yyval._$ = {
              first_line: lstack[lstack.length - (len || 1)].first_line,
              last_line: lstack[lstack.length - 1].last_line,
              first_column: lstack[lstack.length - (len || 1)].first_column,
              last_column: lstack[lstack.length - 1].last_column
            };

            if (ranges) {
              yyval._$.range = [lstack[lstack.length - (len || 1)].range[0], lstack[lstack.length - 1].range[1]];
            }

            r = this.performAction.apply(yyval, [yytext, yyleng, yylineno, sharedState.yy, action[1], vstack, lstack].concat(args));

            if (typeof r !== 'undefined') {
              return r;
            } // pop off stack


            if (len) {
              stack = stack.slice(0, -1 * len * 2);
              vstack = vstack.slice(0, -1 * len);
              lstack = lstack.slice(0, -1 * len);
            }

            stack.push(this.productions_[action[1]][0]); // push nonterminal (reduce)

            vstack.push(yyval.$);
            lstack.push(yyval._$); // goto new state = table[STATE][NONTERMINAL]

            newState = table[stack[stack.length - 2]][stack[stack.length - 1]];
            stack.push(newState);
            break;

          case 3:
            // accept
            return true;
        }
      }

      return true;
    }
  };

  parser.yy.parseError = function () {
    return false;
  };

  parser.addFieldLocation = function (location, name) {
    parser.yy.locations.push({
      type: 'field',
      name: name,
      location: adjustLocationForCursor(location)
    });
  };

  parser.identifyPartials = function (beforeCursor, afterCursor) {
    var beforeMatch = beforeCursor.match(/[^()-*+/,:"'\s]*$/);
    var afterMatch = afterCursor.match(/^[^()-*+/,:"'\s]*/);
    return {
      left: beforeMatch ? beforeMatch[0].length : 0,
      right: afterMatch ? afterMatch[0].length : 0
    };
  };

  parser.handleQuotedValueWithCursor = function (lexer, yytext, yylloc, quoteChar) {
    if (yytext.indexOf("\u2020") !== -1) {
      var cursorIndex = yytext.indexOf("\u2020");
      parser.yy.cursorFound = {
        first_line: yylloc.first_line,
        last_line: yylloc.last_line,
        first_column: yylloc.first_column + cursorIndex,
        last_column: yylloc.first_column + cursorIndex + 1
      };
      var remainder = yytext.substring(cursorIndex + 1);
      var remainingQuotes = (lexer.upcomingInput().match(new RegExp(quoteChar, 'g')) || []).length;

      if (remainingQuotes > 0 && remainingQuotes & 1 != 0) {
        parser.yy.missingEndQuote = false;
        lexer.input();
      } else {
        parser.yy.missingEndQuote = true;
        lexer.unput(remainder);
      }

      lexer.popState();
      return true;
    }

    return false;
  };

  var adjustLocationForCursor = function adjustLocationForCursor(location) {
    // columns are 0-based and lines not, so add 1 to cols
    var newLocation = {
      first_line: location.first_line,
      last_line: location.last_line,
      first_column: location.first_column + 1,
      last_column: location.last_column + 1
    };

    if (parser.yy.cursorFound) {
      if (parser.yy.cursorFound.first_line === newLocation.first_line && parser.yy.cursorFound.last_column <= newLocation.first_column) {
        var additionalSpace = parser.yy.partialLengths.left + parser.yy.partialLengths.right;
        additionalSpace -= parser.yy.partialCursor ? 1 : 3; // For some reason the normal cursor eats 3 positions.

        newLocation.first_column = newLocation.first_column + additionalSpace;
        newLocation.last_column = newLocation.last_column + additionalSpace;
      }
    }

    return newLocation;
  };

  parser.autocompleteSolrQuery = function (beforeCursor, afterCursor, debug) {
    parser.yy.cursorFound = false;
    parser.yy.locations = [];
    beforeCursor = beforeCursor.replace(/\r\n|\n\r/gm, '\n');
    afterCursor = afterCursor.replace(/\r\n|\n\r/gm, '\n');
    parser.yy.partialLengths = parser.identifyPartials(beforeCursor, afterCursor);
    parser.yy.partialCursor = parser.yy.partialLengths.left > 0;

    if (parser.yy.partialLengths.left > 0) {
      beforeCursor = beforeCursor.substring(0, beforeCursor.length - parser.yy.partialLengths.left);
    }

    if (parser.yy.partialLengths.right > 0) {
      afterCursor = afterCursor.substring(parser.yy.partialLengths.right);
    }

    var result;

    try {
      result = parser.parse(beforeCursor + "\u2020" + afterCursor);
    } catch (err) {
      // Workaround for too many missing parentheses (it's the only error we handle in the parser)
      if (err && err.toString().indexOf('Parsing halted while starting to recover from another error') !== -1) {
        var leftCount = (beforeCursor.match(/\(/g) || []).length;
        var rightCount = (beforeCursor.match(/\)/g) || []).length;
        var parenthesisPad = '';

        while (rightCount < leftCount) {
          parenthesisPad += ')';
          rightCount++;
        }

        try {
          result = parser.parse(beforeCursor + "\u2020" + parenthesisPad);
        } catch (err) {
          return {
            locations: parser.yy.locations
          };
        }
      } else {
        if (debug) {
          console.log(beforeCursor + "\u2020" + afterCursor);
          console.log(err);
          console.error(err.stack);
        }

        return {
          locations: parser.yy.locations
        };
      }
    }

    result.locations = parser.yy.locations;
    return result;
  };
  /* generated by jison-lex 0.3.4 */


  var lexer = function () {
    var lexer = {
      EOF: 1,
      parseError: function parseError(str, hash) {
        if (this.yy.parser) {
          this.yy.parser.parseError(str, hash);
        } else {
          throw new Error(str);
        }
      },
      // resets the lexer, sets new input
      setInput: function setInput(input, yy) {
        this.yy = yy || this.yy || {};
        this._input = input;
        this._more = this._backtrack = this.done = false;
        this.yylineno = this.yyleng = 0;
        this.yytext = this.matched = this.match = '';
        this.conditionStack = ['INITIAL'];
        this.yylloc = {
          first_line: 1,
          first_column: 0,
          last_line: 1,
          last_column: 0
        };

        if (this.options.ranges) {
          this.yylloc.range = [0, 0];
        }

        this.offset = 0;
        return this;
      },
      // consumes and returns one char from the input
      input: function input() {
        var ch = this._input[0];
        this.yytext += ch;
        this.yyleng++;
        this.offset++;
        this.match += ch;
        this.matched += ch;
        var lines = ch.match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno++;
          this.yylloc.last_line++;
        } else {
          this.yylloc.last_column++;
        }

        if (this.options.ranges) {
          this.yylloc.range[1]++;
        }

        this._input = this._input.slice(1);
        return ch;
      },
      // unshifts one char (or a string) into the input
      unput: function unput(ch) {
        var len = ch.length;
        var lines = ch.split(/(?:\r\n?|\n)/g);
        this._input = ch + this._input;
        this.yytext = this.yytext.substr(0, this.yytext.length - len); //this.yyleng -= len;

        this.offset -= len;
        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - 1);
        this.matched = this.matched.substr(0, this.matched.length - 1);

        if (lines.length - 1) {
          this.yylineno -= lines.length - 1;
        }

        var r = this.yylloc.range;
        this.yylloc = {
          first_line: this.yylloc.first_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.first_column,
          last_column: lines ? (lines.length === oldLines.length ? this.yylloc.first_column : 0) + oldLines[oldLines.length - lines.length].length - lines[0].length : this.yylloc.first_column - len
        };

        if (this.options.ranges) {
          this.yylloc.range = [r[0], r[0] + this.yyleng - len];
        }

        this.yyleng = this.yytext.length;
        return this;
      },
      // When called from action, caches matched text and appends it on next action
      more: function more() {
        this._more = true;
        return this;
      },
      // When called from action, signals the lexer that this rule fails to match the input, so the next matching rule (regex) should be tested instead.
      reject: function reject() {
        if (this.options.backtrack_lexer) {
          this._backtrack = true;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }

        return this;
      },
      // retain first n characters of the match
      less: function less(n) {
        this.unput(this.match.slice(n));
      },
      // displays already matched input, i.e. for error messages
      pastInput: function pastInput() {
        var past = this.matched.substr(0, this.matched.length - this.match.length);
        return (past.length > 20 ? '...' : '') + past.substr(-20).replace(/\n/g, "");
      },
      // displays upcoming input, i.e. for error messages
      upcomingInput: function upcomingInput() {
        var next = this.match;

        if (next.length < 20) {
          next += this._input.substr(0, 20 - next.length);
        }

        return (next.substr(0, 20) + (next.length > 20 ? '...' : '')).replace(/\n/g, "");
      },
      // displays the character position where the lexing error occurred, i.e. for error messages
      showPosition: function showPosition() {
        var pre = this.pastInput();
        var c = new Array(pre.length + 1).join("-");
        return pre + this.upcomingInput() + "\n" + c + "^";
      },
      // test the lexed token: return FALSE when not a match, otherwise return token
      test_match: function test_match(match, indexed_rule) {
        var token, lines, backup;

        if (this.options.backtrack_lexer) {
          // save context
          backup = {
            yylineno: this.yylineno,
            yylloc: {
              first_line: this.yylloc.first_line,
              last_line: this.last_line,
              first_column: this.yylloc.first_column,
              last_column: this.yylloc.last_column
            },
            yytext: this.yytext,
            match: this.match,
            matches: this.matches,
            matched: this.matched,
            yyleng: this.yyleng,
            offset: this.offset,
            _more: this._more,
            _input: this._input,
            yy: this.yy,
            conditionStack: this.conditionStack.slice(0),
            done: this.done
          };

          if (this.options.ranges) {
            backup.yylloc.range = this.yylloc.range.slice(0);
          }
        }

        lines = match[0].match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno += lines.length;
        }

        this.yylloc = {
          first_line: this.yylloc.last_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.last_column,
          last_column: lines ? lines[lines.length - 1].length - lines[lines.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + match[0].length
        };
        this.yytext += match[0];
        this.match += match[0];
        this.matches = match;
        this.yyleng = this.yytext.length;

        if (this.options.ranges) {
          this.yylloc.range = [this.offset, this.offset += this.yyleng];
        }

        this._more = false;
        this._backtrack = false;
        this._input = this._input.slice(match[0].length);
        this.matched += match[0];
        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1]);

        if (this.done && this._input) {
          this.done = false;
        }

        if (token) {
          return token;
        } else if (this._backtrack) {
          // recover context
          for (var k in backup) {
            this[k] = backup[k];
          }

          return false; // rule action called reject() implying the next rule should be tested instead.
        }

        return false;
      },
      // return next match in input
      next: function next() {
        if (this.done) {
          return this.EOF;
        }

        if (!this._input) {
          this.done = true;
        }

        var token, match, tempMatch, index;

        if (!this._more) {
          this.yytext = '';
          this.match = '';
        }

        var rules = this._currentRules();

        for (var i = 0; i < rules.length; i++) {
          tempMatch = this._input.match(this.rules[rules[i]]);

          if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
            match = tempMatch;
            index = i;

            if (this.options.backtrack_lexer) {
              token = this.test_match(tempMatch, rules[i]);

              if (token !== false) {
                return token;
              } else if (this._backtrack) {
                match = false;
                continue; // rule action called reject() implying a rule MISmatch.
              } else {
                // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
                return false;
              }
            } else if (!this.options.flex) {
              break;
            }
          }
        }

        if (match) {
          token = this.test_match(match, rules[index]);

          if (token !== false) {
            return token;
          } // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)


          return false;
        }

        if (this._input === "") {
          return this.EOF;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. Unrecognized text.\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }
      },
      // return next match that has a token
      lex: function lex() {
        var r = this.next();

        if (r) {
          return r;
        } else {
          return this.lex();
        }
      },
      // activates a new lexer condition state (pushes the new lexer condition state onto the condition stack)
      begin: function begin(condition) {
        this.conditionStack.push(condition);
      },
      // pop the previously active lexer condition state off the condition stack
      popState: function popState() {
        var n = this.conditionStack.length - 1;

        if (n > 0) {
          return this.conditionStack.pop();
        } else {
          return this.conditionStack[0];
        }
      },
      // produce the lexer rule set which is active for the currently active lexer condition state
      _currentRules: function _currentRules() {
        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) {
          return this.conditions[this.conditionStack[this.conditionStack.length - 1]].rules;
        } else {
          return this.conditions["INITIAL"].rules;
        }
      },
      // return the currently active lexer condition state; when an index argument is provided it produces the N-th previous condition state, if available
      topState: function topState(n) {
        n = this.conditionStack.length - 1 - Math.abs(n || 0);

        if (n >= 0) {
          return this.conditionStack[n];
        } else {
          return "INITIAL";
        }
      },
      // alias for begin(condition)
      pushState: function pushState(condition) {
        this.begin(condition);
      },
      // return the number of states currently on the stack
      stateStackSize: function stateStackSize() {
        return this.conditionStack.length;
      },
      options: {
        "case-insensitive": true,
        "flex": true
      },
      performAction: function anonymous(yy, yy_, $avoiding_name_collisions, YY_START) {
        var YYSTATE = YY_START;

        switch ($avoiding_name_collisions) {
          case 0:
            /* skip whitespace */
            break;

          case 1:
            /* skip comments */
            break;

          case 2:
            /* skip comments */
            break;

          case 3:
            parser.yy.cursorFound = yy_.yylloc;
            return 7;
            break;

          case 4:
            return 21;
            break;

          case 5:
            return 21;
            break;

          case 6:
            return 22;
            break;

          case 7:
            return 22;
            break;

          case 8:
            return 'NOT';
            break;

          case 9:
            return 'NOT';
            break;

          case 10:
            return '+';
            break;

          case 11:
            return '-';
            break;

          case 12:
            return 18;
            break;

          case 13:
            return '*';
            break;

          case 14:
            return 9;
            break;

          case 15:
            return 10;
            break;

          case 16:
            return 13;
            break;

          case 17:
            this.begin('squareBracketRange');
            return '[';
            break;

          case 18:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, ']')) {
              return 28;
            }

            return 26;
            break;

          case 19:
            this.popState();
            return ']';
            break;

          case 20:
            this.begin('curlyBracketRange');
            return '{';
            break;

          case 21:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, '}')) {
              return 28;
            }

            return 26;
            break;

          case 22:
            this.popState();
            return '}';
            break;

          case 23:
            this.begin('singleQuotedValue');
            return 25;
            break;

          case 24:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, '\'')) {
              yy_.yytext = yy_.yytext.replace(/[\u2020].*/, '');
              return 28;
            }

            return 26;
            break;

          case 25:
            this.popState();
            return 25;
            break;

          case 26:
            this.begin('doubleQuotedValue');
            return 27;
            break;

          case 27:
            if (parser.handleQuotedValueWithCursor(this, yy_.yytext, yy_.yylloc, '"')) {
              yy_.yytext = yy_.yytext.replace(/[\u2020].*/, '');
              return 28;
            }

            return 26;
            break;

          case 28:
            this.popState();
            return 27;
            break;

          case 29:
            return 14;
            break;

          case 30:
            return 5;
            break;

          case 31:
            console.log(yy_.yytext);
            break;
        }
      },
      rules: [/^(?:\s)/i, /^(?:--.*)/i, /^(?:[\/][*][^*]*[*]+([^\/*][^*]*[*]+)*[\/])/i, /^(?:\u2020)/i, /^(?:AND)/i, /^(?:&&)/i, /^(?:OR)/i, /^(?:\|\|)/i, /^(?:NOT)/i, /^(?:!)/i, /^(?:\+)/i, /^(?:-)/i, /^(?::)/i, /^(?:\*)/i, /^(?:\()/i, /^(?:\))/i, /^(?:[0-9]+(?:[,.][0-9]+)?)/i, /^(?:\[)/i, /^(?:(?:\\[\]]|[^\]])+)/i, /^(?:\])/i, /^(?:\{)/i, /^(?:(?:\\[\}]|[^\}])+)/i, /^(?:\})/i, /^(?:')/i, /^(?:(?:\\[']|[^'])+)/i, /^(?:')/i, /^(?:")/i, /^(?:(?:\\["]|[^"])+)/i, /^(?:")/i, /^(?:[^\s\u3000!():"'^+\-\[\]{}~*?\/\u2020]+)/i, /^(?:$)/i, /^(?:.)/i],
      conditions: {
        "squareBracketRange": {
          "rules": [18],
          "inclusive": false
        },
        "curlyBracketRange": {
          "rules": [21, 22],
          "inclusive": false
        },
        "doubleQuotedValue": {
          "rules": [27, 28],
          "inclusive": false
        },
        "singleQuotedValue": {
          "rules": [19, 24, 25],
          "inclusive": false
        },
        "INITIAL": {
          "rules": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 20, 23, 26, 29, 30, 31],
          "inclusive": true
        }
      }
    };
    return lexer;
  }();

  parser.lexer = lexer;

  function Parser() {
    this.yy = {};
  }

  Parser.prototype = parser;
  parser.Parser = Parser;
  return new Parser();
}();

/* harmony default export */ __webpack_exports__["default"] = (solrQueryParser);

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/sql/sqlParserRepository.js":
/*!**********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/sql/sqlParserRepository.js ***!
  \**********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/* eslint-disable */

/**
 * AUTOCOMPLETE_MODULES and SYNTAX_MODULES are generated, do not edit manually, see tools/jison/generateParsers.js
 */
var AUTOCOMPLETE_MODULES = {
  calcite: function calcite() {
    return __webpack_require__.e(/*! import() | calcite-parser */ "calcite-parser").then(__webpack_require__.bind(null, /*! ./calcite/calciteAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/calcite/calciteAutocompleteParser.js"));
  },
  druid: function druid() {
    return __webpack_require__.e(/*! import() | druid-parser */ "druid-parser").then(__webpack_require__.bind(null, /*! ./druid/druidAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/druid/druidAutocompleteParser.js"));
  },
  elasticsearch: function elasticsearch() {
    return __webpack_require__.e(/*! import() | elasticsearch-parser */ "elasticsearch-parser").then(__webpack_require__.bind(null, /*! ./elasticsearch/elasticsearchAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/elasticsearch/elasticsearchAutocompleteParser.js"));
  },
  generic: function generic() {
    return __webpack_require__.e(/*! import() | generic-parser */ "generic-parser").then(__webpack_require__.bind(null, /*! ./generic/genericAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/generic/genericAutocompleteParser.js"));
  },
  hive: function hive() {
    return __webpack_require__.e(/*! import() | hive-parser */ "hive-parser").then(__webpack_require__.bind(null, /*! ./hive/hiveAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/hive/hiveAutocompleteParser.js"));
  },
  impala: function impala() {
    return __webpack_require__.e(/*! import() | impala-parser */ "impala-parser").then(__webpack_require__.bind(null, /*! ./impala/impalaAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/impala/impalaAutocompleteParser.js"));
  },
  ksql: function ksql() {
    return __webpack_require__.e(/*! import() | ksql-parser */ "ksql-parser").then(__webpack_require__.bind(null, /*! ./ksql/ksqlAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/ksql/ksqlAutocompleteParser.js"));
  },
  phoenix: function phoenix() {
    return __webpack_require__.e(/*! import() | phoenix-parser */ "phoenix-parser").then(__webpack_require__.bind(null, /*! ./phoenix/phoenixAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/phoenix/phoenixAutocompleteParser.js"));
  },
  presto: function presto() {
    return __webpack_require__.e(/*! import() | presto-parser */ "presto-parser").then(__webpack_require__.bind(null, /*! ./presto/prestoAutocompleteParser */ "./desktop/core/src/desktop/js/parse/sql/presto/prestoAutocompleteParser.js"));
  }
};
var SYNTAX_MODULES = {
  calcite: function calcite() {
    return __webpack_require__.e(/*! import() | calcite-parser */ "calcite-parser").then(__webpack_require__.bind(null, /*! ./calcite/calciteSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/calcite/calciteSyntaxParser.js"));
  },
  druid: function druid() {
    return __webpack_require__.e(/*! import() | druid-parser */ "druid-parser").then(__webpack_require__.bind(null, /*! ./druid/druidSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/druid/druidSyntaxParser.js"));
  },
  elasticsearch: function elasticsearch() {
    return __webpack_require__.e(/*! import() | elasticsearch-parser */ "elasticsearch-parser").then(__webpack_require__.bind(null, /*! ./elasticsearch/elasticsearchSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/elasticsearch/elasticsearchSyntaxParser.js"));
  },
  generic: function generic() {
    return __webpack_require__.e(/*! import() | generic-parser */ "generic-parser").then(__webpack_require__.bind(null, /*! ./generic/genericSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/generic/genericSyntaxParser.js"));
  },
  hive: function hive() {
    return __webpack_require__.e(/*! import() | hive-parser */ "hive-parser").then(__webpack_require__.bind(null, /*! ./hive/hiveSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/hive/hiveSyntaxParser.js"));
  },
  impala: function impala() {
    return __webpack_require__.e(/*! import() | impala-parser */ "impala-parser").then(__webpack_require__.bind(null, /*! ./impala/impalaSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/impala/impalaSyntaxParser.js"));
  },
  ksql: function ksql() {
    return __webpack_require__.e(/*! import() | ksql-parser */ "ksql-parser").then(__webpack_require__.bind(null, /*! ./ksql/ksqlSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/ksql/ksqlSyntaxParser.js"));
  },
  phoenix: function phoenix() {
    return __webpack_require__.e(/*! import() | phoenix-parser */ "phoenix-parser").then(__webpack_require__.bind(null, /*! ./phoenix/phoenixSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/phoenix/phoenixSyntaxParser.js"));
  },
  presto: function presto() {
    return __webpack_require__.e(/*! import() | presto-parser */ "presto-parser").then(__webpack_require__.bind(null, /*! ./presto/prestoSyntaxParser */ "./desktop/core/src/desktop/js/parse/sql/presto/prestoSyntaxParser.js"));
  }
};
/* eslint-enable */

var SqlParserRepository =
/*#__PURE__*/
function () {
  function SqlParserRepository() {
    _classCallCheck(this, SqlParserRepository);

    this.modulePromises = {};
  }

  _createClass(SqlParserRepository, [{
    key: "getParser",
    value: function getParser(sourceType, parserType) {
      var modules;
      return regeneratorRuntime.async(function getParser$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!this.modulePromises[sourceType + parserType]) {
                modules = parserType === 'Autocomplete' ? AUTOCOMPLETE_MODULES : SYNTAX_MODULES;
                this.modulePromises[sourceType + parserType] = new Promise(function (resolve, reject) {
                  var targetModule = modules[sourceType] || modules.generic;
                  targetModule().then(function (module) {
                    return resolve(module["default"]);
                  })["catch"](reject);
                });
              }

              return _context.abrupt("return", this.modulePromises[sourceType + parserType]);

            case 2:
            case "end":
              return _context.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "getAutocompleter",
    value: function getAutocompleter(sourceType) {
      return regeneratorRuntime.async(function getAutocompleter$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", this.getParser(sourceType, 'Autocomplete'));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, null, this);
    }
  }, {
    key: "getSyntaxParser",
    value: function getSyntaxParser(sourceType) {
      return regeneratorRuntime.async(function getSyntaxParser$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              return _context3.abrupt("return", this.getParser(sourceType, 'Syntax'));

            case 1:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this);
    }
  }]);

  return SqlParserRepository;
}();

var sqlParserRepository = new SqlParserRepository();
/* harmony default export */ __webpack_exports__["default"] = (sqlParserRepository);

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/sqlParseSupport.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/sqlParseSupport.js ***!
  \**************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
var initGlobalSearchParser = function initGlobalSearchParser(parser) {
  parser.identifyPartials = function (beforeCursor, afterCursor) {
    var beforeMatch = beforeCursor.match(/[0-9a-zA-Z_]*$/);
    var afterMatch = afterCursor.match(/^[0-9a-zA-Z_]*(?:\((?:[^)]*\))?)?/);
    return {
      left: beforeMatch ? beforeMatch[0].length : 0,
      right: afterMatch ? afterMatch[0].length : 0
    };
  };

  parser.mergeFacets = function (a, b) {
    if (!a.facets) {
      a.facets = {};
    }

    if (!b.facets) {
      return;
    }

    Object.keys(b.facets).forEach(function (key) {
      if (a.facets[key]) {
        Object.keys(b.facets[key]).forEach(function (val) {
          a.facets[key][val.toLowerCase()] = true;
        });
      } else {
        a.facets[key] = b.facets[key];
      }
    });
  };

  parser.mergeText = function (a, b) {
    if (!a.text) {
      a.text = [];
    }

    if (!b.text) {
      return;
    }

    a.text = a.text.concat(b.text);
  };

  parser.handleQuotedValueWithCursor = function (lexer, yytext, yylloc, quoteChar) {
    if (yytext.indexOf("\u2020") !== -1 || yytext.indexOf("\u2021") !== -1) {
      var cursorIndex = yytext.indexOf("\u2020");
      parser.yy.cursorFound = {
        first_line: yylloc.first_line,
        last_line: yylloc.last_line,
        first_column: yylloc.first_column + cursorIndex,
        last_column: yylloc.first_column + cursorIndex + 1
      };
      var remainder = yytext.substring(cursorIndex + 1);
      var remainingQuotes = (lexer.upcomingInput().match(new RegExp(quoteChar, 'g')) || []).length;

      if (remainingQuotes > 0 && (remainingQuotes & 1) !== 0) {
        parser.yy.missingEndQuote = false;
        lexer.input();
      } else {
        parser.yy.missingEndQuote = true;
        lexer.unput(remainder);
      }

      lexer.popState();
      return true;
    }

    return false;
  };

  parser.parseGlobalSearch = function (beforeCursor, afterCursor, debug) {
    delete parser.yy.cursorFound;
    var result;

    try {
      result = parser.parse(beforeCursor + "\u2020" + afterCursor);
    } catch (err) {
      if (debug) {
        console.warn(err);
        console.warn(err.stack);
        console.warn(parser.yy.error);
      }

      return {
        facets: {},
        text: []
      };
    }

    return result;
  };
};

/* harmony default export */ __webpack_exports__["default"] = ({
  initGlobalSearchParser: initGlobalSearchParser
});

/***/ }),

/***/ "./desktop/core/src/desktop/js/parse/sqlStatementsParser.js":
/*!******************************************************************!*\
  !*** ./desktop/core/src/desktop/js/parse/sqlStatementsParser.js ***!
  \******************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/* parser generated by jison 0.4.17 */

/*
  Returns a Parser object of the following structure:

  Parser: {
    yy: {}
  }

  Parser.prototype: {
    yy: {},
    trace: function(),
    symbols_: {associative list: name ==> number},
    terminals_: {associative list: number ==> name},
    productions_: [...],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate, $$, _$),
    table: [...],
    defaultActions: {...},
    parseError: function(str, hash),
    parse: function(input),

    lexer: {
        EOF: 1,
        parseError: function(str, hash),
        setInput: function(input),
        input: function(),
        unput: function(str),
        more: function(),
        less: function(n),
        pastInput: function(),
        upcomingInput: function(),
        showPosition: function(),
        test_match: function(regex_match_array, rule_index),
        next: function(),
        lex: function(),
        begin: function(condition),
        popState: function(),
        _currentRules: function(),
        topState: function(),
        pushState: function(condition),

        options: {
            ranges: boolean           (optional: true ==> token location info will include a .range[] member)
            flex: boolean             (optional: true ==> flex-like lexing behaviour where the rules are tested exhaustively to find the longest match)
            backtrack_lexer: boolean  (optional: true ==> lexer regexes are tested in order and for each matching regex the action code is invoked; the lexer terminates the scan when a token is returned by the action code)
        },

        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START),
        rules: [...],
        conditions: {associative list: name ==> set},
    }
  }


  token location info (@$, _$, etc.): {
    first_line: n,
    last_line: n,
    first_column: n,
    last_column: n,
    range: [start_number, end_number]       (where the numbers are indexes into the input string, regular zero-based)
  }


  the parseError function receives a 'hash' object with these members for lexer and parser errors: {
    text:        (matched text)
    token:       (the produced terminal token, if any)
    line:        (yylineno)
  }
  while parser (grammar) errors will also provide these members, i.e. parser errors deliver a superset of attributes: {
    loc:         (yylloc)
    expected:    (string describing the set of expected tokens)
    recoverable: (boolean: TRUE when the parser has a error recovery rule available for this particular error)
  }
*/
var sqlStatementsParser = function () {
  var o = function o(k, v, _o, l) {
    for (_o = _o || {}, l = k.length; l--; _o[k[l]] = v) {
      ;
    }

    return _o;
  },
      $V0 = [1, 7],
      $V1 = [1, 6],
      $V2 = [1, 12],
      $V3 = [5, 9],
      $V4 = [1, 13],
      $V5 = [5, 8, 9];

  var parser = {
    trace: function trace() {},
    yy: {},
    symbols_: {
      "error": 2,
      "SqlStatementsParser": 3,
      "Statements": 4,
      "EOF": 5,
      "OneOrMoreSeparators": 6,
      "StatementParts": 7,
      "PART_OF_STATEMENT": 8,
      ";": 9,
      "$accept": 0,
      "$end": 1
    },
    terminals_: {
      2: "error",
      5: "EOF",
      8: "PART_OF_STATEMENT",
      9: ";"
    },
    productions_: [0, [3, 2], [3, 3], [3, 4], [3, 3], [3, 2], [3, 1], [4, 1], [4, 3], [7, 1], [7, 2], [6, 1], [6, 2]],
    performAction: function anonymous(yytext, yyleng, yylineno, yy, yystate
    /* action[1] */
    , $$
    /* vstack */
    , _$
    /* lstack */
    ) {
      /* this == yyval */
      var $0 = $$.length - 1;

      switch (yystate) {
        case 1:
          parser.removeTrailingWhiteSpace($$[$0 - 1]);
          return $$[$0 - 1];
          break;

        case 2:
          parser.handleLeadingStatements($$[$0 - 2], $$[$0 - 1]);
          parser.removeTrailingWhiteSpace($$[$0 - 1]);
          return $$[$0 - 1];
          break;

        case 3:
          parser.handleLeadingStatements($$[$0 - 3], $$[$0 - 2]);
          parser.handleTrailingStatements($$[$0 - 2], $$[$0 - 1]);
          parser.removeTrailingWhiteSpace($$[$0 - 2]);
          return $$[$0 - 2];
          break;

        case 4:
          parser.handleTrailingStatements($$[$0 - 2], $$[$0 - 1]);
          parser.removeTrailingWhiteSpace($$[$0 - 2]);
          return $$[$0 - 2];
          break;

        case 5:
          var result = [];
          parser.handleLeadingStatements($$[$0 - 1], result);
          return result;
          break;

        case 6:
          var result = [];
          parser.addEntry(result, 'statement', $$[$0], _$[$0]);
          return result;
          break;

        case 7:
          this.$ = [];
          parser.addEntry(this.$, 'statement', $$[$0], _$[$0]);
          break;

        case 8:
          parser.handleTrailingStatements($$[$0 - 2], $$[$0 - 1]);
          parser.addEntry($$[$0 - 2], 'statement', $$[$0], _$[$0]);
          break;

        case 10:
          this.$ = $$[$0 - 1] + $$[$0];
          ;
          break;

        case 11:
          this.$ = [_$[$0]];
          break;

        case 12:
          $$[$0 - 1].push(_$[$0]);
          break;
      }
    },
    table: [{
      3: 1,
      4: 2,
      5: [1, 4],
      6: 3,
      7: 5,
      8: $V0,
      9: $V1
    }, {
      1: [3]
    }, {
      5: [1, 8],
      6: 9,
      9: $V1
    }, {
      4: 10,
      5: [1, 11],
      7: 5,
      8: $V0,
      9: $V2
    }, {
      1: [2, 6]
    }, o($V3, [2, 7], {
      8: $V4
    }), o($V5, [2, 11]), o($V5, [2, 9]), {
      1: [2, 1]
    }, {
      5: [1, 14],
      7: 15,
      8: $V0,
      9: $V2
    }, {
      5: [1, 16],
      6: 17,
      9: $V1
    }, {
      1: [2, 5]
    }, o($V5, [2, 12]), o($V5, [2, 10]), {
      1: [2, 4]
    }, o($V3, [2, 8], {
      8: $V4
    }), {
      1: [2, 2]
    }, {
      5: [1, 18],
      7: 15,
      8: $V0,
      9: $V2
    }, {
      1: [2, 3]
    }],
    defaultActions: {
      4: [2, 6],
      8: [2, 1],
      11: [2, 5],
      14: [2, 4],
      16: [2, 2],
      18: [2, 3]
    },
    parseError: function parseError(str, hash) {
      if (hash.recoverable) {
        this.trace(str);
      } else {
        var error = new Error(str);
        error.hash = hash;
        throw error;
      }
    },

    /**
     * @param {string} input
     *
     * @return {SqlStatementsParserResult}
     */
    parse: function parse(input) {
      var self = this,
          stack = [0],
          tstack = [],
          vstack = [null],
          lstack = [],
          table = this.table,
          yytext = '',
          yylineno = 0,
          yyleng = 0,
          recovering = 0,
          TERROR = 2,
          EOF = 1;
      var args = lstack.slice.call(arguments, 1);
      var lexer = Object.create(this.lexer);
      var sharedState = {
        yy: {}
      };

      for (var k in this.yy) {
        if (Object.prototype.hasOwnProperty.call(this.yy, k)) {
          sharedState.yy[k] = this.yy[k];
        }
      }

      lexer.setInput(input, sharedState.yy);
      sharedState.yy.lexer = lexer;
      sharedState.yy.parser = this;

      if (typeof lexer.yylloc == 'undefined') {
        lexer.yylloc = {};
      }

      var yyloc = lexer.yylloc;
      lstack.push(yyloc);
      var ranges = lexer.options && lexer.options.ranges;

      if (typeof sharedState.yy.parseError === 'function') {
        this.parseError = sharedState.yy.parseError;
      } else {
        this.parseError = Object.getPrototypeOf(this).parseError;
      }

      function popStack(n) {
        stack.length = stack.length - 2 * n;
        vstack.length = vstack.length - n;
        lstack.length = lstack.length - n;
      }

      _token_stack: var lex = function lex() {
        var token;
        token = lexer.lex() || EOF;

        if (typeof token !== 'number') {
          token = self.symbols_[token] || token;
        }

        return token;
      };

      var symbol,
          preErrorSymbol,
          state,
          action,
          a,
          r,
          yyval = {},
          p,
          len,
          newState,
          expected;

      while (true) {
        state = stack[stack.length - 1];

        if (this.defaultActions[state]) {
          action = this.defaultActions[state];
        } else {
          if (symbol === null || typeof symbol == 'undefined') {
            symbol = lex();
          }

          action = table[state] && table[state][symbol];
        }

        if (typeof action === 'undefined' || !action.length || !action[0]) {
          var errStr = '';
          expected = [];

          for (p in table[state]) {
            if (this.terminals_[p] && p > TERROR) {
              expected.push('\'' + this.terminals_[p] + '\'');
            }
          }

          if (lexer.showPosition) {
            errStr = 'Parse error on line ' + (yylineno + 1) + ':\n' + lexer.showPosition() + '\nExpecting ' + expected.join(', ') + ', got \'' + (this.terminals_[symbol] || symbol) + '\'';
          } else {
            errStr = 'Parse error on line ' + (yylineno + 1) + ': Unexpected ' + (symbol == EOF ? 'end of input' : '\'' + (this.terminals_[symbol] || symbol) + '\'');
          }

          this.parseError(errStr, {
            text: lexer.match,
            token: this.terminals_[symbol] || symbol,
            line: lexer.yylineno,
            loc: lexer.yylloc,
            ruleId: stack.slice(stack.length - 2, stack.length).join('_'),
            expected: expected
          });
        }

        if (action[0] instanceof Array && action.length > 1) {
          throw new Error('Parse Error: multiple actions possible at state: ' + state + ', token: ' + symbol);
        }

        switch (action[0]) {
          case 1:
            stack.push(symbol);
            vstack.push(lexer.yytext);
            lstack.push(lexer.yylloc);
            stack.push(action[1]);
            symbol = null;

            if (!preErrorSymbol) {
              yyleng = lexer.yyleng;
              yytext = lexer.yytext;
              yylineno = lexer.yylineno;
              yyloc = lexer.yylloc;

              if (recovering > 0) {
                recovering--;
              }
            } else {
              symbol = preErrorSymbol;
              preErrorSymbol = null;
            }

            break;

          case 2:
            len = this.productions_[action[1]][1];
            yyval.$ = vstack[vstack.length - len];
            yyval._$ = {
              first_line: lstack[lstack.length - (len || 1)].first_line,
              last_line: lstack[lstack.length - 1].last_line,
              first_column: lstack[lstack.length - (len || 1)].first_column,
              last_column: lstack[lstack.length - 1].last_column
            };

            if (ranges) {
              yyval._$.range = [lstack[lstack.length - (len || 1)].range[0], lstack[lstack.length - 1].range[1]];
            }

            r = this.performAction.apply(yyval, [yytext, yyleng, yylineno, sharedState.yy, action[1], vstack, lstack].concat(args));

            if (typeof r !== 'undefined') {
              return r;
            }

            if (len) {
              stack = stack.slice(0, -1 * len * 2);
              vstack = vstack.slice(0, -1 * len);
              lstack = lstack.slice(0, -1 * len);
            }

            stack.push(this.productions_[action[1]][0]);
            vstack.push(yyval.$);
            lstack.push(yyval._$);
            newState = table[stack[stack.length - 2]][stack[stack.length - 1]];
            stack.push(newState);
            break;

          case 3:
            return true;
        }
      }

      return true;
    }
  };

  parser.addEntry = function (statements, type, statement, location) {
    if (parser.yy.firstToken) {
      if (parser.yy.useDatabase) {
        statements.push({
          type: type,
          statement: statement,
          location: location,
          firstToken: parser.yy.firstToken,
          database: parser.yy.useDatabase
        });
        delete parser.yy.useDatabase;
      } else {
        statements.push({
          type: type,
          statement: statement,
          location: location,
          firstToken: parser.yy.firstToken
        });
      }

      delete parser.yy.firstToken;
    } else {
      statements.push({
        type: type,
        statement: statement,
        location: location
      });
    }
  };

  parser.handleLeadingStatements = function (emptyStatements, result) {
    for (var i = emptyStatements.length - 1; i >= 0; i--) {
      result.unshift({
        type: 'statement',
        statement: ';',
        location: emptyStatements[i]
      });
    }
  };

  parser.handleTrailingStatements = function (result, emptyStatements) {
    var lastStatement = result[result.length - 1];
    lastStatement.statement += ';';
    lastStatement.location = {
      first_line: lastStatement.location.first_line,
      first_column: lastStatement.location.first_column,
      last_line: emptyStatements[0].last_line,
      last_column: emptyStatements[0].last_column
    };

    if (emptyStatements.length > 1) {
      for (var i = 1; i < emptyStatements.length; i++) {
        result.push({
          type: 'statement',
          statement: ';',
          location: emptyStatements[i]
        });
      }
    }
  };

  parser.removeTrailingWhiteSpace = function (result) {
    if (result.length > 1) {
      var lastStatement = result[result.length - 1];

      if (/^\s+$/.test(lastStatement.statement)) {
        result.pop();
      }
    }
  };
  /* generated by jison-lex 0.3.4 */


  var lexer = function () {
    var lexer = {
      EOF: 1,
      parseError: function parseError(str, hash) {
        if (this.yy.parser) {
          this.yy.parser.parseError(str, hash);
        } else {
          throw new Error(str);
        }
      },
      // resets the lexer, sets new input
      setInput: function setInput(input, yy) {
        this.yy = yy || this.yy || {};
        this._input = input;
        this._more = this._backtrack = this.done = false;
        this.yylineno = this.yyleng = 0;
        this.yytext = this.matched = this.match = '';
        this.conditionStack = ['INITIAL'];
        this.yylloc = {
          first_line: 1,
          first_column: 0,
          last_line: 1,
          last_column: 0
        };

        if (this.options.ranges) {
          this.yylloc.range = [0, 0];
        }

        this.offset = 0;
        return this;
      },
      // consumes and returns one char from the input
      input: function input() {
        var ch = this._input[0];
        this.yytext += ch;
        this.yyleng++;
        this.offset++;
        this.match += ch;
        this.matched += ch;
        var lines = ch.match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno++;
          this.yylloc.last_line++;
        } else {
          this.yylloc.last_column++;
        }

        if (this.options.ranges) {
          this.yylloc.range[1]++;
        }

        this._input = this._input.slice(1);
        return ch;
      },
      // unshifts one char (or a string) into the input
      unput: function unput(ch) {
        var len = ch.length;
        var lines = ch.split(/(?:\r\n?|\n)/g);
        this._input = ch + this._input;
        this.yytext = this.yytext.substr(0, this.yytext.length - len); //this.yyleng -= len;

        this.offset -= len;
        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - 1);
        this.matched = this.matched.substr(0, this.matched.length - 1);

        if (lines.length - 1) {
          this.yylineno -= lines.length - 1;
        }

        var r = this.yylloc.range;
        this.yylloc = {
          first_line: this.yylloc.first_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.first_column,
          last_column: lines ? (lines.length === oldLines.length ? this.yylloc.first_column : 0) + oldLines[oldLines.length - lines.length].length - lines[0].length : this.yylloc.first_column - len
        };

        if (this.options.ranges) {
          this.yylloc.range = [r[0], r[0] + this.yyleng - len];
        }

        this.yyleng = this.yytext.length;
        return this;
      },
      // When called from action, caches matched text and appends it on next action
      more: function more() {
        this._more = true;
        return this;
      },
      // When called from action, signals the lexer that this rule fails to match the input, so the next matching rule (regex) should be tested instead.
      reject: function reject() {
        if (this.options.backtrack_lexer) {
          this._backtrack = true;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }

        return this;
      },
      // retain first n characters of the match
      less: function less(n) {
        this.unput(this.match.slice(n));
      },
      // displays already matched input, i.e. for error messages
      pastInput: function pastInput() {
        var past = this.matched.substr(0, this.matched.length - this.match.length);
        return (past.length > 20 ? '...' : '') + past.substr(-20).replace(/\n/g, "");
      },
      // displays upcoming input, i.e. for error messages
      upcomingInput: function upcomingInput() {
        var next = this.match;

        if (next.length < 20) {
          next += this._input.substr(0, 20 - next.length);
        }

        return (next.substr(0, 20) + (next.length > 20 ? '...' : '')).replace(/\n/g, "");
      },
      // displays the character position where the lexing error occurred, i.e. for error messages
      showPosition: function showPosition() {
        var pre = this.pastInput();
        var c = new Array(pre.length + 1).join("-");
        return pre + this.upcomingInput() + "\n" + c + "^";
      },
      // test the lexed token: return FALSE when not a match, otherwise return token
      test_match: function test_match(match, indexed_rule) {
        var token, lines, backup;

        if (this.options.backtrack_lexer) {
          // save context
          backup = {
            yylineno: this.yylineno,
            yylloc: {
              first_line: this.yylloc.first_line,
              last_line: this.last_line,
              first_column: this.yylloc.first_column,
              last_column: this.yylloc.last_column
            },
            yytext: this.yytext,
            match: this.match,
            matches: this.matches,
            matched: this.matched,
            yyleng: this.yyleng,
            offset: this.offset,
            _more: this._more,
            _input: this._input,
            yy: this.yy,
            conditionStack: this.conditionStack.slice(0),
            done: this.done
          };

          if (this.options.ranges) {
            backup.yylloc.range = this.yylloc.range.slice(0);
          }
        }

        lines = match[0].match(/(?:\r\n?|\n).*/g);

        if (lines) {
          this.yylineno += lines.length;
        }

        this.yylloc = {
          first_line: this.yylloc.last_line,
          last_line: this.yylineno + 1,
          first_column: this.yylloc.last_column,
          last_column: lines ? lines[lines.length - 1].length - lines[lines.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + match[0].length
        };
        this.yytext += match[0];
        this.match += match[0];
        this.matches = match;
        this.yyleng = this.yytext.length;

        if (this.options.ranges) {
          this.yylloc.range = [this.offset, this.offset += this.yyleng];
        }

        this._more = false;
        this._backtrack = false;
        this._input = this._input.slice(match[0].length);
        this.matched += match[0];
        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1]);

        if (this.done && this._input) {
          this.done = false;
        }

        if (token) {
          return token;
        } else if (this._backtrack) {
          // recover context
          for (var k in backup) {
            this[k] = backup[k];
          }

          return false; // rule action called reject() implying the next rule should be tested instead.
        }

        return false;
      },
      // return next match in input
      next: function next() {
        if (this.done) {
          return this.EOF;
        }

        if (!this._input) {
          this.done = true;
        }

        var token, match, tempMatch, index;

        if (!this._more) {
          this.yytext = '';
          this.match = '';
        }

        var rules = this._currentRules();

        for (var i = 0; i < rules.length; i++) {
          tempMatch = this._input.match(this.rules[rules[i]]);

          if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
            match = tempMatch;
            index = i;

            if (this.options.backtrack_lexer) {
              token = this.test_match(tempMatch, rules[i]);

              if (token !== false) {
                return token;
              } else if (this._backtrack) {
                match = false;
                continue; // rule action called reject() implying a rule MISmatch.
              } else {
                // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
                return false;
              }
            } else if (!this.options.flex) {
              break;
            }
          }
        }

        if (match) {
          token = this.test_match(match, rules[index]);

          if (token !== false) {
            return token;
          } // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)


          return false;
        }

        if (this._input === "") {
          return this.EOF;
        } else {
          return this.parseError('Lexical error on line ' + (this.yylineno + 1) + '. Unrecognized text.\n' + this.showPosition(), {
            text: "",
            token: null,
            line: this.yylineno
          });
        }
      },
      // return next match that has a token
      lex: function lex() {
        var r = this.next();

        if (r) {
          return r;
        } else {
          return this.lex();
        }
      },
      // activates a new lexer condition state (pushes the new lexer condition state onto the condition stack)
      begin: function begin(condition) {
        this.conditionStack.push(condition);
      },
      // pop the previously active lexer condition state off the condition stack
      popState: function popState() {
        var n = this.conditionStack.length - 1;

        if (n > 0) {
          return this.conditionStack.pop();
        } else {
          return this.conditionStack[0];
        }
      },
      // produce the lexer rule set which is active for the currently active lexer condition state
      _currentRules: function _currentRules() {
        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) {
          return this.conditions[this.conditionStack[this.conditionStack.length - 1]].rules;
        } else {
          return this.conditions["INITIAL"].rules;
        }
      },
      // return the currently active lexer condition state; when an index argument is provided it produces the N-th previous condition state, if available
      topState: function topState(n) {
        n = this.conditionStack.length - 1 - Math.abs(n || 0);

        if (n >= 0) {
          return this.conditionStack[n];
        } else {
          return "INITIAL";
        }
      },
      // alias for begin(condition)
      pushState: function pushState(condition) {
        this.begin(condition);
      },
      // return the number of states currently on the stack
      stateStackSize: function stateStackSize() {
        return this.conditionStack.length;
      },
      options: {
        "flex": true
      },
      performAction: function anonymous(yy, yy_, $avoiding_name_collisions, YY_START) {
        var YYSTATE = YY_START;

        switch ($avoiding_name_collisions) {
          case 0:
            this.begin("multiLineComment");
            return 8;
            break;

          case 1:
            return 8;
            break;

          case 2:
            return 8;
            break;

          case 3:
            this.popState();
            return 8;
            break;

          case 4:
            this.popState();
            return 8;
            break;

          case 5:
            this.begin("inLineComment");
            return 8;
            break;

          case 6:
            return 8;
            break;

          case 7:
            this.popState();
            return 5;
            break;

          case 8:
            this.popState();
            return 8;
            break;

          case 9:
            this.begin("doubleQuote");
            return 8;
            break;

          case 10:
            return 8;
            break;

          case 11:
            this.popState();
            return 5;
            break;

          case 12:
            this.popState();
            return 8;
            break;

          case 13:
            this.begin("singleQuote");
            return 8;
            break;

          case 14:
            return 8;
            break;

          case 15:
            this.popState();
            return 5;
            break;

          case 16:
            this.popState();
            return 8;
            break;

          case 17:
            this.begin("backTick");
            return 8;
            break;

          case 18:
            if (parser.yy.usePreceding) {
              parser.yy.useDatabase = yy_.yytext;
              parser.yy.usePreceding = false;
            }

            return 8;
            break;

          case 19:
            this.popState();
            return 5;
            break;

          case 20:
            this.popState();
            return 8;
            break;

          case 21:
            if (!parser.yy.firstToken) {
              var firstWordMatch = yy_.yytext.match(/[a-zA-Z_]+/);

              if (firstWordMatch) {
                parser.yy.firstToken = firstWordMatch[0];
              }

              var useDatabaseMatch = yy_.yytext.match(/USE\s+(\S+)/i);

              if (useDatabaseMatch) {
                parser.yy.useDatabase = useDatabaseMatch[1];
              } else {
                // For backticked
                parser.yy.usePreceding = /USE/i.test(yy_.yytext);
              }
            } else if (parser.yy.usePreceding) {
              parser.yy.useDatabase = yy_.yytext;
              parser.yy.usePreceding = false;
            }

            return 8;
            break;

          case 22:
            return 8;
            break;

          case 23:
            return 8;
            break;

          case 24:
            return 9;
            break;

          case 25:
            return 5;
            break;

          case 26:
            /* To prevent console logging of unknown chars */
            break;

          case 27:
            console.log(yy_.yytext);
            break;
        }
      },
      rules: [/^(?:\/\*)/, /^(?:[^*]+)/, /^(?:[*][^\/])/, /^(?:$)/, /^(?:\*\/)/, /^(?:--)/, /^(?:[^\n]+)/, /^(?:$)/, /^(?:[\n])/, /^(?:")/, /^(?:(?:\\["]|[^"])+)/, /^(?:$)/, /^(?:")/, /^(?:')/, /^(?:(?:\\[']|[^'])+)/, /^(?:$)/, /^(?:')/, /^(?:`)/, /^(?:[^`]+)/, /^(?:$)/, /^(?:`)/, /^(?:[^"\/;'`-]+)/, /^(?:[-][^;-]?)/, /^(?:[\/][^;*]?)/, /^(?:;)/, /^(?:$)/, /^(?:.)/, /^(?:.)/],
      conditions: {
        "multiLineComment": {
          "rules": [1, 2, 3, 4],
          "inclusive": false
        },
        "inLineComment": {
          "rules": [6, 7, 8],
          "inclusive": false
        },
        "singleQuote": {
          "rules": [14, 15, 16],
          "inclusive": false
        },
        "doubleQuote": {
          "rules": [10, 11, 12],
          "inclusive": false
        },
        "backTick": {
          "rules": [18, 19, 20],
          "inclusive": false
        },
        "INITIAL": {
          "rules": [0, 5, 9, 13, 17, 21, 22, 23, 24, 25, 26, 27],
          "inclusive": true
        }
      }
    };
    return lexer;
  }();

  parser.lexer = lexer;

  function Parser() {
    this.yy = {};
  }

  Parser.prototype = parser;
  parser.Parser = Parser;
  return new Parser();
}();

/* harmony default export */ __webpack_exports__["default"] = (sqlStatementsParser);

/***/ }),

/***/ "./desktop/core/src/desktop/js/sideBarViewModel.js":
/*!*********************************************************!*\
  !*** ./desktop/core/src/desktop/js/sideBarViewModel.js ***!
  \*********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var SideBarViewModel = function SideBarViewModel(onePageViewModel, topNavViewModel) {
  _classCallCheck(this, SideBarViewModel);

  var self = this;
  self.items = knockout__WEBPACK_IMPORTED_MODULE_0__["observableArray"]();
  self.pocClusterMode = topNavViewModel.pocClusterMode;
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
    var items = [];

    if (clusterConfig && clusterConfig['app_config']) {
      var appsItems = [];
      var appConfig = clusterConfig['app_config'];

      if (appConfig['editor']) {
        var editor = null;

        if (clusterConfig['main_button_action'] && clusterConfig['main_button_action'].page.indexOf('/editor') === 0) {
          editor = clusterConfig['main_button_action'];
        }

        if (!editor) {
          var defaultEditor = appConfig['editor']['default_sql_interpreter'];

          if (defaultEditor) {
            var foundEditor = appConfig['editor']['interpreters'].filter(function (interpreter) {
              return interpreter.type === defaultEditor;
            });

            if (foundEditor.length === 1) {
              editor = foundEditor[0];
            }
          }
        }

        if (!editor && appConfig['editor']['interpreters'].length > 1) {
          editor = appConfig['editor']['interpreters'][1];
        }

        if (editor) {
          appsItems.push({
            displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Editor'),
            url: editor['page'],
            icon: 'editor'
          });
        } else {
          appsItems.push({
            displayName: appConfig['editor']['displayName'],
            url: appConfig['editor']['page'],
            icon: 'editor'
          });
        }
      }

      ['dashboard', 'scheduler'].forEach(function (appName) {
        if (appConfig[appName]) {
          appsItems.push({
            displayName: appConfig[appName]['displayName'],
            url: appConfig[appName]['page'],
            icon: appName
          });
        }
      });

      if (appsItems.length > 0) {
        items.push({
          isCategory: true,
          displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Apps'),
          children: appsItems
        });
      }

      var browserItems = [];
      browserItems.push({
        displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Documents'),
        url: '/home/',
        icon: 'documents'
      });

      if (appConfig['browser'] && appConfig['browser']['interpreters']) {
        appConfig['browser']['interpreters'].forEach(function (browser) {
          browserItems.push({
            displayName: browser.displayName,
            url: browser.page,
            icon: browser.type
          });
        });
      }

      if (browserItems.length > 0) {
        items.push({
          isCategory: true,
          displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_2__["default"])('Browsers'),
          children: browserItems
        });
      }

      var sdkItems = [];

      if (appConfig['sdkapps'] && appConfig['sdkapps']['interpreters']) {
        appConfig['sdkapps']['interpreters'].forEach(function (browser) {
          sdkItems.push({
            displayName: browser['displayName'],
            url: browser['page']
          });
        });
      }

      if (sdkItems.length > 0) {
        items.push({
          isCategory: true,
          displayName: appConfig['sdkapps']['displayName'],
          children: sdkItems
        });
      }
    }

    self.items(items);
  });
  self.leftNavVisible = topNavViewModel.leftNavVisible;
  self.onePageViewModel = onePageViewModel;
};

/* harmony default export */ __webpack_exports__["default"] = (SideBarViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/sidePanelViewModel.js":
/*!***********************************************************!*\
  !*** ./desktop/core/src/desktop/js/sidePanelViewModel.js ***!
  \***********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.






var SidePanelViewModel = function SidePanelViewModel() {
  _classCallCheck(this, SidePanelViewModel);

  var self = this;
  self.assistWithoutStorage = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.leftAssistVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'left_assist_panel_visible', true));
  self.leftAssistVisible.subscribe(function (val) {
    if (!self.assistWithoutStorage()) {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'left_assist_panel_visible', val);
    }

    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__["default"].convert('hue', 'leftAssistVisible/' + val);
    window.setTimeout(function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('split.panel.resized');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).trigger('resize');
    }, 0);
  });
  self.rightAssistVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].getFromTotalStorage('assist', 'right_assist_panel_visible', true));
  self.rightAssistVisible.subscribe(function (val) {
    if (!self.assistWithoutStorage()) {
      _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].setInTotalStorage('assist', 'right_assist_panel_visible', val);
    }

    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__["default"].convert('hue', 'rightAssistVisible/' + val);
    window.setTimeout(function () {
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('reposition.scroll.anchor.up');
      _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('split.panel.resized');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(window).trigger('resize');
    }, 0);
  });
  self.rightAssistAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('assist.highlight.risk.suggestions', function () {
    if (self.rightAssistAvailable() && !self.rightAssistVisible()) {
      self.rightAssistVisible(true);
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('set.current.app.name', function (appName) {
    if (appName === 'dashboard') {
      self.rightAssistAvailable(true);
    } else if (appName !== 'editor' && appName !== 'notebook') {
      self.rightAssistAvailable(false);
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('active.snippet.type.changed', function (details) {
    self.rightAssistAvailable(details.isSqlDialect || details.type === 'pig');
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('get.current.app.name');
  self.activeAppViewModel = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.currentApp = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]('');
  self.templateApp = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
    if (['editor', 'notebook'].indexOf(self.currentApp()) > -1) {
      return self.currentApp();
    } else {
      return '';
    }
  });
  self.contextPanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.contextPanelVisible.subscribe(function () {
    var $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.snippet .ace-editor:visible');

    if ($el.length === 0) {
      $el = jquery__WEBPACK_IMPORTED_MODULE_0___default()('.content-panel:visible');
    }

    jquery__WEBPACK_IMPORTED_MODULE_0___default()('.context-panel').width($el.width()).css('left', $el.offset().left);
  });
  self.sessionsAvailable = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.activeAppViewModel.subscribe(function (viewModel) {
    self.sessionsAvailable(typeof viewModel.selectedNotebook !== 'undefined');
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('context.panel.visible', function (visible) {
    self.contextPanelVisible(visible);
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('set.current.app.view.model', self.activeAppViewModel);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('app.dom.loaded', self.currentApp);
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('get.current.app.view.model');
  var previousVisibilityValues = {};
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('both.assists.hide', function (withoutStorage) {
    previousVisibilityValues = {
      left: self.leftAssistVisible(),
      right: self.rightAssistVisible()
    };
    self.assistWithoutStorage(withoutStorage);
    self.leftAssistVisible(false);
    self.rightAssistVisible(false);
    window.setTimeout(function () {
      self.assistWithoutStorage(false);
    }, 0);
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('both.assists.show', function (withoutStorage) {
    self.assistWithoutStorage(withoutStorage);
    self.leftAssistVisible(previousVisibilityValues.left);
    self.rightAssistVisible(previousVisibilityValues.right);
    window.setTimeout(function () {
      self.assistWithoutStorage(false);
    }, 0);
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('right.assist.hide', function (withoutStorage) {
    previousVisibilityValues = {
      left: self.leftAssistVisible(),
      right: self.rightAssistVisible()
    };
    self.assistWithoutStorage(withoutStorage);
    self.rightAssistVisible(false);
    window.setTimeout(function () {
      self.assistWithoutStorage(false);
    }, 0);
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('right.assist.show', function () {
    if (!self.rightAssistVisible()) {
      self.rightAssistVisible(true);
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('left.assist.show', function () {
    if (!self.leftAssistVisible()) {
      self.leftAssistVisible(true);
    }
  });
};

/* harmony default export */ __webpack_exports__["default"] = (SidePanelViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/sql/autocompleteResults.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/sql/autocompleteResults.js ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../catalog/dataCatalog */ "./desktop/core/src/desktop/js/catalog/dataCatalog.js");
/* harmony import */ var _utils_hueColors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
/* harmony import */ var _sqlUtils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./sqlUtils */ "./desktop/core/src/desktop/js/sql/sqlUtils.js");
/* harmony import */ var _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./sqlFunctions */ "./desktop/core/src/desktop/js/sql/sqlFunctions.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.










var normalizedColors = _utils_hueColors__WEBPACK_IMPORTED_MODULE_4__["default"].getNormalizedColors();
var COLORS = {
  POPULAR: normalizedColors['blue'][7],
  KEYWORD: normalizedColors['blue'][4],
  COLUMN: normalizedColors['green'][2],
  TABLE: normalizedColors['pink'][3],
  DATABASE: normalizedColors['teal'][5],
  SAMPLE: normalizedColors['purple'][5],
  IDENT_CTE_VAR: normalizedColors['orange'][3],
  UDF: normalizedColors['purple-gray'][3],
  HDFS: normalizedColors['red'][2]
};
var META_I18n = {
  aggregateFunction: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('aggregate'),
  alias: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('alias'),
  commonTableExpression: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('cte'),
  database: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('database'),
  dir: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('dir'),
  filter: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('filter'),
  groupBy: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('group by'),
  join: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('join'),
  joinCondition: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('condition'),
  keyword: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('keyword'),
  orderBy: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('order by'),
  sample: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('sample'),
  table: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('table'),
  variable: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('variable'),
  view: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('view'),
  virtual: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('virtual')
};
var CATEGORIES = {
  ALL: {
    id: 'all',
    color: _utils_hueColors__WEBPACK_IMPORTED_MODULE_4__["default"].BLUE,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('All')
  },
  POPULAR: {
    id: 'popular',
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular')
  },
  POPULAR_AGGREGATE: {
    id: 'popularAggregate',
    weight: 1500,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'agg-udf'
  },
  POPULAR_GROUP_BY: {
    id: 'popularGroupBy',
    weight: 1300,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'group-by'
  },
  POPULAR_ORDER_BY: {
    id: 'popularOrderBy',
    weight: 1200,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'order-by'
  },
  POPULAR_FILTER: {
    id: 'popularFilter',
    weight: 1400,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'filter'
  },
  POPULAR_ACTIVE_JOIN: {
    id: 'popularActiveJoin',
    weight: 1500,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'join'
  },
  POPULAR_JOIN_CONDITION: {
    id: 'popularJoinCondition',
    weight: 1500,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'join-condition'
  },
  COLUMN: {
    id: 'column',
    weight: 1000,
    color: COLORS.COLUMN,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Columns'),
    detailsTemplate: 'column'
  },
  SAMPLE: {
    id: 'sample',
    weight: 900,
    color: COLORS.SAMPLE,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Samples'),
    detailsTemplate: 'value'
  },
  IDENTIFIER: {
    id: 'identifier',
    weight: 800,
    color: COLORS.IDENT_CTE_VAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Identifiers'),
    detailsTemplate: 'identifier'
  },
  CTE: {
    id: 'cte',
    weight: 700,
    color: COLORS.IDENT_CTE_VAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('CTEs'),
    detailsTemplate: 'cte'
  },
  TABLE: {
    id: 'table',
    weight: 600,
    color: COLORS.TABLE,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Tables'),
    detailsTemplate: 'table'
  },
  DATABASE: {
    id: 'database',
    weight: 500,
    color: COLORS.DATABASE,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Databases'),
    detailsTemplate: 'database'
  },
  UDF: {
    id: 'udf',
    weight: 400,
    color: COLORS.UDF,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('UDFs'),
    detailsTemplate: 'udf'
  },
  OPTION: {
    id: 'option',
    weight: 400,
    color: COLORS.UDF,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Options'),
    detailsTemplate: 'option'
  },
  HDFS: {
    id: 'hdfs',
    weight: 300,
    color: COLORS.HDFS,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Files'),
    detailsTemplate: 'hdfs'
  },
  VIRTUAL_COLUMN: {
    id: 'virtualColumn',
    weight: 200,
    color: COLORS.COLUMN,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Columns'),
    detailsTemplate: 'column'
  },
  COLREF_KEYWORD: {
    id: 'colrefKeyword',
    weight: 100,
    color: COLORS.KEYWORD,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Keywords'),
    detailsTemplate: 'keyword'
  },
  VARIABLE: {
    id: 'variable',
    weight: 50,
    color: COLORS.IDENT_CTE_VAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Variables'),
    detailsTemplate: 'variable'
  },
  KEYWORD: {
    id: 'keyword',
    weight: 0,
    color: COLORS.KEYWORD,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Keywords'),
    detailsTemplate: 'keyword'
  },
  POPULAR_JOIN: {
    id: 'popularJoin',
    weight: 1500,
    color: COLORS.POPULAR,
    label: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_7__["default"])('Popular'),
    detailsTemplate: 'join'
  }
};
var POPULAR_CATEGORIES = [CATEGORIES.POPULAR_AGGREGATE, CATEGORIES.POPULAR_GROUP_BY, CATEGORIES.POPULAR_ORDER_BY, CATEGORIES.POPULAR_FILTER, CATEGORIES.POPULAR_ACTIVE_JOIN, CATEGORIES.POPULAR_JOIN_CONDITION, CATEGORIES.POPULAR_JOIN];

var initLoading = function initLoading(loadingObservable, deferred) {
  loadingObservable(true);
  deferred.always(function () {
    loadingObservable(false);
  });
};

var locateSubQuery = function locateSubQuery(subQueries, subQueryName) {
  if (typeof subQueries === 'undefined') {
    return null;
  }

  var foundSubQueries = subQueries.filter(function (knownSubQuery) {
    return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(knownSubQuery.alias, subQueryName);
  });

  if (foundSubQueries.length > 0) {
    return foundSubQueries[0];
  }

  return null;
};
/**
 * Merges popular group by and order by columns with the column suggestions
 *
 * @param sourceDeferred
 * @param columnsDeferred
 * @param suggestions
 */


var mergeWithColumns = function mergeWithColumns(sourceDeferred, columnsDeferred, suggestions) {
  columnsDeferred.done(function (columns) {
    var suggestionIndex = {};
    suggestions.forEach(function (suggestion) {
      suggestionIndex[suggestion.value] = suggestion;
    });
    columns.forEach(function (col) {
      if (suggestionIndex[col.details.name]) {
        col.category = suggestionIndex[col.details.name].category;
      }
    });
    sourceDeferred.resolve([]);
  });
};

var AutocompleteResults =
/*#__PURE__*/
function () {
  /**
   *
   * @param options
   * @constructor
   */
  function AutocompleteResults(options) {
    _classCallCheck(this, AutocompleteResults);

    var self = this;
    self.snippet = options.snippet;
    self.editor = options.editor;
    self.temporaryOnly = options.snippet.autocompleteSettings && options.snippet.autocompleteSettings.temporaryOnly;
    self.sortOverride = null;
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].subscribe('editor.autocomplete.temporary.sort.override', function (sortOverride) {
      self.sortOverride = sortOverride;
    });
    self.entries = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
    self.lastKnownRequests = [];
    self.cancellablePromises = [];
    self.activeDeferrals = [];
    self.loadingKeywords = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingFunctions = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingDatabases = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingTables = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingColumns = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingValues = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingPaths = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingJoins = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingJoinConditions = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingAggregateFunctions = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingGroupBys = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingOrderBys = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingFilters = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingPopularTables = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.loadingPopularColumns = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);

    self.appendEntries = function (entries) {
      self.entries(self.entries().concat(entries));
    };

    self.loading = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      return self.loadingKeywords() || self.loadingFunctions() || self.loadingDatabases() || self.loadingTables() || self.loadingColumns() || self.loadingValues() || self.loadingPaths() || self.loadingJoins() || self.loadingJoinConditions() || self.loadingAggregateFunctions() || self.loadingGroupBys() || self.loadingOrderBys() || self.loadingFilters() || self.loadingPopularTables() || self.loadingPopularColumns();
    }).extend({
      rateLimit: 200
    });
    self.filter = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
    self.availableCategories = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]([CATEGORIES.ALL]);
    self.availableCategories.subscribe(function (newCategories) {
      if (newCategories.indexOf(self.activeCategory()) === -1) {
        self.activeCategory(CATEGORIES.ALL);
      }
    });
    self.activeCategory = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](CATEGORIES.ALL);

    var updateCategories = function updateCategories(suggestions) {
      var newCategories = {};
      suggestions.forEach(function (suggestion) {
        if (suggestion.popular() && !newCategories[CATEGORIES.POPULAR.label]) {
          newCategories[CATEGORIES.POPULAR.label] = CATEGORIES.POPULAR;
        } else if (suggestion.category === CATEGORIES.TABLE || suggestion.category === CATEGORIES.COLUMN || suggestion.category === CATEGORIES.UDF) {
          if (!newCategories[suggestion.category.label]) {
            newCategories[suggestion.category.label] = suggestion.category;
          }
        }
      });
      var result = [];
      Object.keys(newCategories).forEach(function (key) {
        result.push(newCategories[key]);
      });
      result.sort(function (a, b) {
        return a.label.localeCompare(b.label);
      });
      result.unshift(CATEGORIES.ALL);
      self.availableCategories(result);
    };

    self.filtered = knockout__WEBPACK_IMPORTED_MODULE_1__["pureComputed"](function () {
      var result = self.entries();

      if (self.filter()) {
        result = _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].autocompleteFilter(self.filter(), result);
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('hue.ace.autocompleter.match.updated');
      }

      updateCategories(result);
      var activeCategory = self.activeCategory();
      var categoriesCount = {};
      result = result.filter(function (suggestion) {
        if (typeof categoriesCount[suggestion.category.id] === 'undefined') {
          categoriesCount[suggestion.category.id] = 0;
        } else {
          categoriesCount[suggestion.category.id]++;
        }

        if (activeCategory !== CATEGORIES.POPULAR && categoriesCount[suggestion.category.id] >= 10 && POPULAR_CATEGORIES.indexOf(suggestion.category) !== -1) {
          return false;
        }

        return activeCategory === CATEGORIES.ALL || activeCategory === suggestion.category || activeCategory === CATEGORIES.POPULAR && suggestion.popular();
      });
      _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].sortSuggestions(result, self.filter(), self.sortOverride);
      self.sortOverride = null;
      return result;
    }).extend({
      rateLimit: 200
    });
  }

  _createClass(AutocompleteResults, [{
    key: "cancelRequests",
    value: function cancelRequests() {
      var self = this;

      while (self.lastKnownRequests.length) {
        _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].cancelActiveRequest(self.lastKnownRequests.pop());
      }

      while (self.cancellablePromises.length) {
        var promise = self.cancellablePromises.pop();

        if (promise.cancel) {
          promise.cancel();
        }
      }
    }
  }, {
    key: "update",
    value: function update(parseResult) {
      var self = this;

      while (self.activeDeferrals.length > 0) {
        self.activeDeferrals.pop().reject();
      }

      self.activeDatabase = parseResult.useDatabase || self.snippet.database();
      self.parseResult = parseResult;
      self.entries([]);
      self.loadingKeywords(false);
      self.loadingFunctions(false);
      self.loadingDatabases(false);
      self.loadingTables(false);
      self.loadingColumns(false);
      self.loadingValues(false);
      self.loadingPaths(false);
      self.loadingJoins(false);
      self.loadingJoinConditions(false);
      self.loadingAggregateFunctions(false);
      self.loadingGroupBys(false);
      self.loadingOrderBys(false);
      self.loadingFilters(false);
      self.loadingPopularTables(false);
      self.loadingPopularColumns(false);
      self.filter('');
      var colRefDeferred = self.handleColumnReference();
      self.activeDeferrals.push(colRefDeferred);
      var databasesDeferred = self.loadDatabases();
      self.activeDeferrals.push(databasesDeferred);
      self.handleKeywords(colRefDeferred);
      self.handleIdentifiers();
      self.handleColumnAliases();
      self.handleCommonTableExpressions();
      self.handleOptions();
      self.handleFunctions(colRefDeferred);
      self.handleDatabases(databasesDeferred);
      var tablesDeferred = self.handleTables(databasesDeferred);
      self.activeDeferrals.push(tablesDeferred);
      var columnsDeferred = self.handleColumns(colRefDeferred, tablesDeferred);
      self.activeDeferrals.push(columnsDeferred);
      self.handleValues(colRefDeferred);
      self.activeDeferrals.push(self.handlePaths());

      if (!self.temporaryOnly) {
        self.activeDeferrals.push(self.handleJoins());
        self.activeDeferrals.push(self.handleJoinConditions());
        self.activeDeferrals.push(self.handleAggregateFunctions());
        self.activeDeferrals.push(self.handleGroupBys(columnsDeferred));
        self.activeDeferrals.push(self.handleOrderBys(columnsDeferred));
        self.activeDeferrals.push(self.handleFilters());
        self.activeDeferrals.push(self.handlePopularTables(tablesDeferred));
        self.activeDeferrals.push(self.handlePopularColumns(columnsDeferred));
      }

      jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, self.activeDeferrals).always(function () {
        _utils_huePubSub__WEBPACK_IMPORTED_MODULE_6__["default"].publish('hue.ace.autocompleter.done');
      });
    }
    /**
     * For some suggestions the column type is needed, for instance with functions we should only suggest
     * columns that matches the argument type, cos(|) etc.
     *
     * The deferred will always resolve, and the default values is { type: 'T' }
     *
     * @returns {object} - jQuery Deferred
     */

  }, {
    key: "handleColumnReference",
    value: function handleColumnReference() {
      var self = this;
      var colRefDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (self.parseResult.colRef) {
        var colRefCallback = function colRefCallback(catalogEntry) {
          self.cancellablePromises.push(catalogEntry.getSourceMeta({
            silenceErrors: true,
            cancellable: true
          }).done(function (sourceMeta) {
            if (typeof sourceMeta.type !== 'undefined') {
              colRefDeferred.resolve(sourceMeta);
            } else {
              colRefDeferred.resolve({
                type: 'T'
              });
            }
          }).fail(function () {
            colRefDeferred.resolve({
              type: 'T'
            });
          }));
        };

        var foundVarRef = self.parseResult.colRef.identifierChain.some(function (identifier) {
          return typeof identifier.name !== 'undefined' && identifier.name.indexOf('${') === 0;
        });

        if (foundVarRef) {
          colRefDeferred.resolve({
            type: 'T'
          });
        } else {
          self.fetchFieldsForIdentifiers(self.parseResult.colRef.identifierChain).done(colRefCallback).fail(function () {
            colRefDeferred.resolve({
              type: 'T'
            });
          });
        }
      } else {
        colRefDeferred.resolve({
          type: 'T'
        });
      }

      return colRefDeferred;
    }
  }, {
    key: "loadDatabases",
    value: function loadDatabases() {
      var self = this;
      var databasesDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
        sourceType: self.snippet.type(),
        namespace: self.snippet.namespace(),
        compute: self.snippet.compute(),
        path: [],
        temporaryOnly: self.temporaryOnly
      }).done(function (entry) {
        self.cancellablePromises.push(entry.getChildren({
          silenceErrors: true,
          cancellable: true
        }).done(function (databases) {
          databasesDeferred.resolve(databases);
        }).fail(databasesDeferred.reject));
      }).fail(databasesDeferred.reject);
      return databasesDeferred;
    }
  }, {
    key: "handleKeywords",
    value: function handleKeywords(colRefDeferred) {
      var self = this;

      if (self.parseResult.suggestKeywords) {
        var keywordSuggestions = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(self.parseResult.suggestKeywords, function (keyword) {
          return {
            value: self.parseResult.lowerCase ? keyword.value.toLowerCase() : keyword.value,
            meta: META_I18n.keyword,
            category: CATEGORIES.KEYWORD,
            weightAdjust: keyword.weight,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          };
        });
        self.appendEntries(keywordSuggestions);
      }

      if (self.parseResult.suggestColRefKeywords) {
        initLoading(self.loadingKeywords, colRefDeferred); // Wait for the column reference type to be resolved to pick the right keywords

        colRefDeferred.done(function (colRef) {
          var colRefKeywordSuggestions = [];
          Object.keys(self.parseResult.suggestColRefKeywords).forEach(function (typeForKeywords) {
            if (_sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].matchesType(self.snippet.type(), [typeForKeywords], [colRef.type.toUpperCase()])) {
              self.parseResult.suggestColRefKeywords[typeForKeywords].forEach(function (keyword) {
                colRefKeywordSuggestions.push({
                  value: self.parseResult.lowerCase ? keyword.toLowerCase() : keyword,
                  meta: META_I18n.keyword,
                  category: CATEGORIES.COLREF_KEYWORD,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  details: {
                    type: colRef.type
                  }
                });
              });
            }
          });
          self.appendEntries(colRefKeywordSuggestions);
        });
      }
    }
  }, {
    key: "handleIdentifiers",
    value: function handleIdentifiers() {
      var self = this;

      if (self.parseResult.suggestIdentifiers) {
        var identifierSuggestions = [];
        self.parseResult.suggestIdentifiers.forEach(function (identifier) {
          identifierSuggestions.push({
            value: identifier.name,
            meta: identifier.type,
            category: CATEGORIES.IDENTIFIER,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          });
        });
        self.appendEntries(identifierSuggestions);
      }
    }
  }, {
    key: "handleColumnAliases",
    value: function handleColumnAliases() {
      var self = this;

      if (self.parseResult.suggestColumnAliases) {
        var columnAliasSuggestions = [];
        self.parseResult.suggestColumnAliases.forEach(function (columnAlias) {
          var type = columnAlias.types && columnAlias.types.length === 1 ? columnAlias.types[0] : 'T';

          if (type === 'COLREF') {
            columnAliasSuggestions.push({
              value: columnAlias.name,
              meta: META_I18n.alias,
              category: CATEGORIES.COLUMN,
              popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
              details: columnAlias
            });
          } else {
            columnAliasSuggestions.push({
              value: columnAlias.name,
              meta: type,
              category: CATEGORIES.COLUMN,
              popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
              details: columnAlias
            });
          }
        });
        self.appendEntries(columnAliasSuggestions);
      }
    }
  }, {
    key: "handleCommonTableExpressions",
    value: function handleCommonTableExpressions() {
      var self = this;

      if (self.parseResult.suggestCommonTableExpressions) {
        var commonTableExpressionSuggestions = [];
        self.parseResult.suggestCommonTableExpressions.forEach(function (expression) {
          var prefix = expression.prependQuestionMark ? '? ' : '';

          if (expression.prependFrom) {
            prefix += self.parseResult.lowerCase ? 'from ' : 'FROM ';
          }

          commonTableExpressionSuggestions.push({
            value: prefix + expression.name,
            filterValue: expression.name,
            meta: META_I18n.commonTableExpression,
            category: CATEGORIES.CTE,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          });
        });
        self.appendEntries(commonTableExpressionSuggestions);
      }
    }
  }, {
    key: "handleOptions",
    value: function handleOptions() {
      var self = this;

      if (self.parseResult.suggestSetOptions) {
        var suggestions = [];
        _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlSetOptions"].suggestOptions(self.snippet.type(), suggestions, CATEGORIES.OPTION);
        self.appendEntries(suggestions);
      }
    }
  }, {
    key: "handleFunctions",
    value: function handleFunctions(colRefDeferred) {
      var self = this;

      if (self.parseResult.suggestFunctions) {
        var functionSuggestions = [];

        if (self.parseResult.suggestFunctions.types && self.parseResult.suggestFunctions.types[0] === 'COLREF') {
          initLoading(self.loadingFunctions, colRefDeferred);
          colRefDeferred.done(function (colRef) {
            var functionsToSuggest = _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].getFunctionsWithReturnTypes(self.snippet.type(), [colRef.type.toUpperCase()], self.parseResult.suggestAggregateFunctions || false, self.parseResult.suggestAnalyticFunctions || false);
            Object.keys(functionsToSuggest).forEach(function (name) {
              functionSuggestions.push({
                category: CATEGORIES.UDF,
                value: name + '()',
                meta: functionsToSuggest[name].returnTypes.join('|'),
                weightAdjust: colRef.type.toUpperCase() !== 'T' && functionsToSuggest[name].returnTypes.some(function (otherType) {
                  return otherType === colRef.type.toUpperCase();
                }) ? 1 : 0,
                popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                details: functionsToSuggest[name]
              });
            });
            self.appendEntries(functionSuggestions);
          });
        } else {
          var types = self.parseResult.suggestFunctions.types || ['T'];
          var functionsToSuggest = _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].getFunctionsWithReturnTypes(self.snippet.type(), types, self.parseResult.suggestAggregateFunctions || false, self.parseResult.suggestAnalyticFunctions || false);
          Object.keys(functionsToSuggest).forEach(function (name) {
            functionSuggestions.push({
              category: CATEGORIES.UDF,
              value: name + '()',
              meta: functionsToSuggest[name].returnTypes.join('|'),
              weightAdjust: types[0].toUpperCase() !== 'T' && functionsToSuggest[name].returnTypes.some(function (otherType) {
                return otherType === types[0].toUpperCase();
              }) ? 1 : 0,
              popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
              details: functionsToSuggest[name]
            });
          });
          self.appendEntries(functionSuggestions);
        }
      }
    }
  }, {
    key: "handleDatabases",
    value: function handleDatabases(databasesDeferred) {
      var self = this;
      var suggestDatabases = self.parseResult.suggestDatabases;

      if (suggestDatabases) {
        initLoading(self.loadingDatabases, databasesDeferred);
        var prefix = suggestDatabases.prependQuestionMark ? '? ' : '';

        if (suggestDatabases.prependFrom) {
          prefix += self.parseResult.lowerCase ? 'from ' : 'FROM ';
        }

        var databaseSuggestions = [];
        databasesDeferred.done(function (catalogEntries) {
          catalogEntries.forEach(function (dbEntry) {
            databaseSuggestions.push({
              value: prefix + _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), dbEntry.name) + (suggestDatabases.appendDot ? '.' : ''),
              filterValue: dbEntry.name,
              meta: META_I18n.database,
              category: CATEGORIES.DATABASE,
              popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
              hasCatalogEntry: true,
              details: dbEntry
            });
          });
          self.appendEntries(databaseSuggestions);
        });
      }
    }
  }, {
    key: "handleTables",
    value: function handleTables(databasesDeferred) {
      var self = this;
      var tablesDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (self.parseResult.suggestTables) {
        var suggestTables = self.parseResult.suggestTables;

        var fetchTables = function fetchTables() {
          initLoading(self.loadingTables, tablesDeferred);
          tablesDeferred.done(self.appendEntries);
          var prefix = suggestTables.prependQuestionMark ? '? ' : '';

          if (suggestTables.prependFrom) {
            prefix += self.parseResult.lowerCase ? 'from ' : 'FROM ';
          }

          var database = suggestTables.identifierChain && suggestTables.identifierChain.length === 1 ? suggestTables.identifierChain[0].name : self.activeDatabase;
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
            sourceType: self.snippet.type(),
            namespace: self.snippet.namespace(),
            compute: self.snippet.compute(),
            path: [database],
            temporaryOnly: self.temporaryOnly
          }).done(function (dbEntry) {
            self.cancellablePromises.push(dbEntry.getChildren({
              silenceErrors: true,
              cancellable: true
            }).done(function (tableEntries) {
              var tableSuggestions = [];
              tableEntries.forEach(function (tableEntry) {
                if (suggestTables.onlyTables && !tableEntry.isTable() || suggestTables.onlyViews && !tableEntry.isView()) {
                  return;
                }

                tableSuggestions.push({
                  value: prefix + _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), tableEntry.name),
                  filterValue: tableEntry.name,
                  tableName: tableEntry.name,
                  meta: META_I18n[tableEntry.getType().toLowerCase()],
                  category: CATEGORIES.TABLE,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  hasCatalogEntry: true,
                  details: tableEntry
                });
              });
              tablesDeferred.resolve(tableSuggestions);
            }).fail(tablesDeferred.reject));
          }).fail(tablesDeferred.reject);
        };

        if (self.snippet.type() === 'impala' && self.parseResult.suggestTables.identifierChain && self.parseResult.suggestTables.identifierChain.length === 1) {
          databasesDeferred.done(function (databases) {
            var foundDb = databases.some(function (dbEntry) {
              return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(dbEntry.name, self.parseResult.suggestTables.identifierChain[0].name);
            });

            if (foundDb) {
              fetchTables();
            } else {
              self.parseResult.suggestColumns = {
                tables: [{
                  identifierChain: self.parseResult.suggestTables.identifierChain
                }]
              };
              tablesDeferred.reject();
            }
          });
        } else if (self.snippet.type() === 'impala' && self.parseResult.suggestTables.identifierChain && self.parseResult.suggestTables.identifierChain.length > 1) {
          self.parseResult.suggestColumns = {
            tables: [{
              identifierChain: self.parseResult.suggestTables.identifierChain
            }]
          };
          tablesDeferred.reject();
        } else {
          fetchTables();
        }
      } else {
        tablesDeferred.reject();
      }

      return tablesDeferred;
    }
  }, {
    key: "handleColumns",
    value: function handleColumns(colRefDeferred, tablesDeferred) {
      var self = this;
      var columnsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      tablesDeferred.always(function () {
        if (self.parseResult.suggestColumns) {
          initLoading(self.loadingColumns, columnsDeferred);
          columnsDeferred.done(self.appendEntries);
          var suggestColumns = self.parseResult.suggestColumns;
          var columnSuggestions = []; // For multiple tables we need to merge and make sure identifiers are unique

          var columnDeferrals = [];

          var waitForCols = function waitForCols() {
            jquery__WEBPACK_IMPORTED_MODULE_0___default.a.when.apply(jquery__WEBPACK_IMPORTED_MODULE_0___default.a, columnDeferrals).always(function () {
              AutocompleteResults.mergeColumns(columnSuggestions);

              if (self.snippet.type() === 'hive' && /[^.]$/.test(self.editor().getTextBeforeCursor())) {
                columnSuggestions.push({
                  value: 'BLOCK__OFFSET__INSIDE__FILE',
                  meta: META_I18n.virtual,
                  category: CATEGORIES.VIRTUAL_COLUMN,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  details: {
                    name: 'BLOCK__OFFSET__INSIDE__FILE'
                  }
                });
                columnSuggestions.push({
                  value: 'INPUT__FILE__NAME',
                  meta: META_I18n.virtual,
                  category: CATEGORIES.VIRTUAL_COLUMN,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  details: {
                    name: 'INPUT__FILE__NAME'
                  }
                });
              }

              columnsDeferred.resolve(columnSuggestions);
            });
          };

          if (suggestColumns.types && suggestColumns.types[0] === 'COLREF') {
            colRefDeferred.done(function (colRef) {
              suggestColumns.tables.forEach(function (table) {
                columnDeferrals.push(self.addColumns(table, [colRef.type.toUpperCase()], columnSuggestions));
              });
              waitForCols();
            });
          } else {
            suggestColumns.tables.forEach(function (table) {
              columnDeferrals.push(self.addColumns(table, suggestColumns.types || ['T'], columnSuggestions));
            });
            waitForCols();
          }
        } else {
          columnsDeferred.reject();
        }
      });
      return columnsDeferred;
    }
  }, {
    key: "addColumns",
    value: function addColumns(table, types, columnSuggestions) {
      var self = this;
      var addColumnsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (typeof table.identifierChain !== 'undefined' && table.identifierChain.length === 1 && typeof table.identifierChain[0].cte !== 'undefined') {
        if (typeof self.parseResult.commonTableExpressions !== 'undefined' && self.parseResult.commonTableExpressions.length > 0) {
          self.parseResult.commonTableExpressions.every(function (cte) {
            if (_utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(cte.alias, table.identifierChain[0].cte)) {
              cte.columns.forEach(function (column) {
                var type = typeof column.type !== 'undefined' && column.type !== 'COLREF' ? column.type : 'T';

                if (typeof column.alias !== 'undefined') {
                  columnSuggestions.push({
                    value: _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), column.alias),
                    filterValue: column.alias,
                    meta: type,
                    category: CATEGORIES.COLUMN,
                    table: table,
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                    details: column
                  });
                } else if (typeof column.identifierChain !== 'undefined' && column.identifierChain.length > 0 && typeof column.identifierChain[column.identifierChain.length - 1].name !== 'undefined') {
                  columnSuggestions.push({
                    value: _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), column.identifierChain[column.identifierChain.length - 1].name),
                    filterValue: column.identifierChain[column.identifierChain.length - 1].name,
                    meta: type,
                    category: CATEGORIES.COLUMN,
                    table: table,
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                    details: column
                  });
                }
              });
              return false;
            }

            return true;
          });
        }

        addColumnsDeferred.resolve();
      } else if (typeof table.identifierChain !== 'undefined' && table.identifierChain.length === 1 && typeof table.identifierChain[0].subQuery !== 'undefined') {
        var foundSubQuery = locateSubQuery(self.parseResult.subQueries, table.identifierChain[0].subQuery);

        var addSubQueryColumns = function addSubQueryColumns(subQueryColumns) {
          subQueryColumns.forEach(function (column) {
            if (column.alias || column.identifierChain) {
              // TODO: Potentially fetch column types for sub-queries, possible performance hit.
              var type = typeof column.type !== 'undefined' && column.type !== 'COLREF' ? column.type : 'T';

              if (column.alias) {
                columnSuggestions.push({
                  value: _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), column.alias),
                  filterValue: column.alias,
                  meta: type,
                  category: CATEGORIES.COLUMN,
                  table: table,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  details: column
                });
              } else if (column.identifierChain && column.identifierChain.length > 0) {
                columnSuggestions.push({
                  value: _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), column.identifierChain[column.identifierChain.length - 1].name),
                  filterValue: column.identifierChain[column.identifierChain.length - 1].name,
                  meta: type,
                  category: CATEGORIES.COLUMN,
                  table: table,
                  popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                  details: column
                });
              }
            } else if (column.subQuery && foundSubQuery.subQueries) {
              var foundNestedSubQuery = locateSubQuery(foundSubQuery.subQueries, column.subQuery);

              if (foundNestedSubQuery !== null) {
                addSubQueryColumns(foundNestedSubQuery.columns);
              }
            }
          });
        };

        if (foundSubQuery !== null && foundSubQuery.columns.length > 0) {
          addSubQueryColumns(foundSubQuery.columns);
        }

        addColumnsDeferred.resolve();
      } else if (typeof table.identifierChain !== 'undefined') {
        var addColumnsFromEntry = function addColumnsFromEntry(dataCatalogEntry) {
          self.cancellablePromises.push(dataCatalogEntry.getSourceMeta({
            silenceErrors: true,
            cancellable: true
          }).done(function (sourceMeta) {
            self.cancellablePromises.push(dataCatalogEntry.getChildren({
              silenceErrors: true,
              cancellable: true
            }).done(function (childEntries) {
              childEntries.forEach(function (childEntry) {
                var name = _sqlUtils__WEBPACK_IMPORTED_MODULE_8__["default"].backTickIfNeeded(self.snippet.type(), childEntry.name);

                if (self.snippet.type() === 'hive' && (childEntry.isArray() || childEntry.isMap())) {
                  name += '[]';
                }

                if (_sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].matchesType(self.snippet.type(), types, [childEntry.getType().toUpperCase()]) || _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].matchesType(self.snippet.type(), [childEntry.getType().toUpperCase()], types) || childEntry.getType === 'column' || childEntry.isComplex()) {
                  columnSuggestions.push({
                    value: name,
                    meta: childEntry.getType(),
                    table: table,
                    category: CATEGORIES.COLUMN,
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                    weightAdjust: types[0].toUpperCase() !== 'T' && types.some(function (type) {
                      return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(type, childEntry.getType());
                    }) ? 1 : 0,
                    hasCatalogEntry: true,
                    details: childEntry
                  });
                }
              });

              if (self.snippet.type() === 'hive' && (dataCatalogEntry.isArray() || dataCatalogEntry.isMap())) {
                // Remove 'item' or 'value' and 'key' for Hive
                columnSuggestions.pop();

                if (dataCatalogEntry.isMap()) {
                  columnSuggestions.pop();
                }
              }

              var complexExtras = sourceMeta.value && sourceMeta.value.fields || sourceMeta.item && sourceMeta.item.fields;

              if ((self.snippet.type() === 'impala' || self.snippet.type() === 'hive') && complexExtras) {
                complexExtras.forEach(function (field) {
                  var fieldType = field.type.indexOf('<') !== -1 ? field.type.substring(0, field.type.indexOf('<')) : field.type;
                  columnSuggestions.push({
                    value: field.name,
                    meta: fieldType,
                    table: table,
                    category: CATEGORIES.COLUMN,
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                    weightAdjust: types[0].toUpperCase() !== 'T' && types.some(function (type) {
                      return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(type, fieldType);
                    }) ? 1 : 0,
                    hasCatalogEntry: false,
                    details: field
                  });
                });
              }

              addColumnsDeferred.resolve();
            }).fail(addColumnsDeferred.reject));
          }).fail(addColumnsDeferred.reject));
        };

        if (self.parseResult.suggestColumns && self.parseResult.suggestColumns.identifierChain) {
          self.fetchFieldsForIdentifiers(table.identifierChain.concat(self.parseResult.suggestColumns.identifierChain)).done(addColumnsFromEntry).fail(addColumnsDeferred.reject);
        } else {
          self.fetchFieldsForIdentifiers(table.identifierChain).done(addColumnsFromEntry).fail(addColumnsDeferred.reject);
        }
      } else {
        addColumnsDeferred.resolve();
      }

      return addColumnsDeferred;
    }
  }, {
    key: "handleValues",
    value: function handleValues(colRefDeferred) {
      var self = this;
      var suggestValues = self.parseResult.suggestValues;

      if (suggestValues) {
        var valueSuggestions = [];

        if (self.parseResult.colRef && self.parseResult.colRef.identifierChain) {
          valueSuggestions.push({
            value: '${' + self.parseResult.colRef.identifierChain[self.parseResult.colRef.identifierChain.length - 1].name + '}',
            meta: META_I18n.variable,
            category: CATEGORIES.VARIABLE,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          });
        }

        colRefDeferred.done(function (colRef) {
          if (colRef.sample) {
            var isString = colRef.type === 'string';
            var startQuote = suggestValues.partialQuote ? '' : "'";
            var endQuote = typeof suggestValues.missingEndQuote !== 'undefined' && suggestValues.missingEndQuote === false ? '' : suggestValues.partialQuote || "'";
            colRef.sample.forEach(function (sample) {
              valueSuggestions.push({
                value: isString ? startQuote + sample + endQuote : new String(sample),
                meta: META_I18n.sample,
                category: CATEGORIES.SAMPLE,
                popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                details: null
              });
            });
          }

          self.appendEntries(valueSuggestions);
        });
      }
    }
  }, {
    key: "handlePaths",
    value: function handlePaths() {
      var self = this;
      var suggestHdfs = self.parseResult.suggestHdfs;
      var pathsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (suggestHdfs) {
        initLoading(self.loadingPaths, pathsDeferred);
        pathsDeferred.done(self.appendEntries);
        var path = suggestHdfs.path;

        if (path === '') {
          self.appendEntries([{
            value: 'adl://',
            meta: META_I18n.keyword,
            category: CATEGORIES.KEYWORD,
            weightAdjust: 0,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          }, {
            value: 's3a://',
            meta: META_I18n.keyword,
            category: CATEGORIES.KEYWORD,
            weightAdjust: 0,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          }, {
            value: 'hdfs://',
            meta: META_I18n.keyword,
            category: CATEGORIES.KEYWORD,
            weightAdjust: 0,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          }, {
            value: 'abfs://',
            meta: META_I18n.keyword,
            category: CATEGORIES.KEYWORD,
            weightAdjust: 0,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          }, {
            value: '/',
            meta: META_I18n.dir,
            category: CATEGORIES.HDFS,
            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
            details: null
          }]);
        }

        var fetchFunction = 'fetchHdfsPath';

        if (/^s3a:\/\//i.test(path)) {
          fetchFunction = 'fetchS3Path';
          path = path.substring(4);
        } else if (/^adl:\/\//i.test(path)) {
          fetchFunction = 'fetchAdlsPath';
          path = path.substring(4);
        } else if (/^abfs:\/\//i.test(path)) {
          fetchFunction = 'fetchAbfsPath';
          path = path.substring(5);
        } else if (/^hdfs:\/\//i.test(path)) {
          path = path.substring(6);
        }

        var parts = path.split('/'); // Drop the first " or '

        parts.shift(); // Last one is either partial name or empty

        parts.pop();
        self.lastKnownRequests.push(_api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"][fetchFunction]({
          pathParts: parts,
          successCallback: function successCallback(data) {
            if (!data.error) {
              var pathSuggestions = [];
              data.files.forEach(function (file) {
                if (file.name !== '..' && file.name !== '.') {
                  pathSuggestions.push({
                    value: path === '' ? '/' + file.name : file.name,
                    meta: file.type,
                    category: CATEGORIES.HDFS,
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false),
                    details: file
                  });
                }
              });
              pathsDeferred.resolve(pathSuggestions);
            }

            pathsDeferred.reject();
          },
          silenceErrors: true,
          errorCallback: pathsDeferred.reject,
          timeout: AUTOCOMPLETE_TIMEOUT
        }));
      } else {
        pathsDeferred.reject();
      }

      return pathsDeferred;
    }
  }, {
    key: "tableIdentifierChainsToPaths",
    value: function tableIdentifierChainsToPaths(tables) {
      var self = this;
      var paths = [];
      tables.forEach(function (table) {
        // Could be subquery
        var isTable = table.identifierChain.every(function (identifier) {
          return typeof identifier.name !== 'undefined';
        });

        if (isTable) {
          var path = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(table.identifierChain, function (identifier) {
            return identifier.name;
          });

          if (path.length === 1) {
            path.unshift(self.activeDatabase);
          }

          paths.push(path);
        }
      });
      return paths;
    }
  }, {
    key: "handleJoins",
    value: function handleJoins() {
      var self = this;
      var joinsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestJoins = self.parseResult.suggestJoins;

      if (window.HAS_OPTIMIZER && suggestJoins) {
        initLoading(self.loadingJoins, joinsDeferred);
        joinsDeferred.done(self.appendEntries);
        var paths = self.tableIdentifierChainsToPaths(suggestJoins.tables);

        if (paths.length) {
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getMultiTableEntry({
            sourceType: self.snippet.type(),
            namespace: self.snippet.namespace(),
            compute: self.snippet.compute(),
            paths: paths
          }).done(function (multiTableEntry) {
            self.cancellablePromises.push(multiTableEntry.getTopJoins({
              silenceErrors: true,
              cancellable: true
            }).done(function (topJoins) {
              var joinSuggestions = [];
              var totalCount = 0;

              if (topJoins.values) {
                topJoins.values.forEach(function (value) {
                  var joinType = value.joinType || 'join';
                  joinType += ' ';
                  var suggestionString = suggestJoins.prependJoin ? self.parseResult.lowerCase ? joinType.toLowerCase() : joinType.toUpperCase() : '';
                  var first = true;
                  var existingTables = {};
                  suggestJoins.tables.forEach(function (table) {
                    existingTables[table.identifierChain[table.identifierChain.length - 1].name] = true;
                  });
                  var joinRequired = false;
                  var tablesAdded = false;
                  value.tables.forEach(function (table) {
                    var tableParts = table.split('.');

                    if (!existingTables[tableParts[tableParts.length - 1]]) {
                      tablesAdded = true;
                      var identifier = self.convertNavOptQualifiedIdentifier(table, suggestJoins.tables);
                      suggestionString += joinRequired ? (self.parseResult.lowerCase ? ' join ' : ' JOIN ') + identifier : identifier;
                      joinRequired = true;
                    }
                  });

                  if (value.joinCols.length > 0) {
                    if (!tablesAdded && suggestJoins.prependJoin) {
                      suggestionString = '';
                      tablesAdded = true;
                    }

                    suggestionString += self.parseResult.lowerCase ? ' on ' : ' ON ';
                  }

                  if (tablesAdded) {
                    value.joinCols.forEach(function (joinColPair) {
                      if (!first) {
                        suggestionString += self.parseResult.lowerCase ? ' and ' : ' AND ';
                      }

                      suggestionString += self.convertNavOptQualifiedIdentifier(joinColPair.columns[0], suggestJoins.tables, self.snippet.type()) + ' = ' + self.convertNavOptQualifiedIdentifier(joinColPair.columns[1], suggestJoins.tables, self.snippet.type());
                      first = false;
                    });
                    totalCount += value.totalQueryCount;
                    joinSuggestions.push({
                      value: suggestionString,
                      meta: META_I18n.join,
                      category: suggestJoins.prependJoin ? CATEGORIES.POPULAR_JOIN : CATEGORIES.POPULAR_ACTIVE_JOIN,
                      popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
                      details: value
                    });
                  }
                });
                joinSuggestions.forEach(function (suggestion) {
                  suggestion.details.relativePopularity = totalCount === 0 ? suggestion.details.totalQueryCount : Math.round(100 * suggestion.details.totalQueryCount / totalCount);
                  suggestion.weightAdjust = suggestion.details.relativePopularity + 1;
                });
              }

              joinsDeferred.resolve(joinSuggestions);
            }).fail(joinsDeferred.reject));
          }).fail(joinsDeferred.reject);
        } else {
          joinsDeferred.reject();
        }
      } else {
        joinsDeferred.reject();
      }

      return joinsDeferred;
    }
  }, {
    key: "handleJoinConditions",
    value: function handleJoinConditions() {
      var self = this;
      var joinConditionsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestJoinConditions = self.parseResult.suggestJoinConditions;

      if (window.HAS_OPTIMIZER && suggestJoinConditions) {
        initLoading(self.loadingJoinConditions, joinConditionsDeferred);
        joinConditionsDeferred.done(self.appendEntries);
        var paths = self.tableIdentifierChainsToPaths(suggestJoinConditions.tables);

        if (paths.length) {
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getMultiTableEntry({
            sourceType: self.snippet.type(),
            namespace: self.snippet.namespace(),
            compute: self.snippet.compute(),
            paths: paths
          }).done(function (multiTableEntry) {
            self.cancellablePromises.push(multiTableEntry.getTopJoins({
              silenceErrors: true,
              cancellable: true
            }).done(function (topJoins) {
              var joinConditionSuggestions = [];
              var totalCount = 0;

              if (topJoins.values) {
                topJoins.values.forEach(function (value) {
                  if (value.joinCols.length > 0) {
                    var suggestionString = suggestJoinConditions.prependOn ? self.parseResult.lowerCase ? 'on ' : 'ON ' : '';
                    var first = true;
                    value.joinCols.forEach(function (joinColPair) {
                      if (!first) {
                        suggestionString += self.parseResult.lowerCase ? ' and ' : ' AND ';
                      }

                      suggestionString += self.convertNavOptQualifiedIdentifier(joinColPair.columns[0], suggestJoinConditions.tables) + ' = ' + self.convertNavOptQualifiedIdentifier(joinColPair.columns[1], suggestJoinConditions.tables);
                      first = false;
                    });
                    totalCount += value.totalQueryCount;
                    joinConditionSuggestions.push({
                      value: suggestionString,
                      meta: META_I18n.joinCondition,
                      category: CATEGORIES.POPULAR_JOIN_CONDITION,
                      popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
                      details: value
                    });
                  }
                });
                joinConditionSuggestions.forEach(function (suggestion) {
                  suggestion.details.relativePopularity = totalCount === 0 ? suggestion.details.totalQueryCount : Math.round(100 * suggestion.details.totalQueryCount / totalCount);
                  suggestion.weightAdjust = suggestion.details.relativePopularity + 1;
                });
              }

              joinConditionsDeferred.resolve(joinConditionSuggestions);
            }).fail(joinConditionsDeferred.reject));
          }).fail(joinConditionsDeferred.reject);
        } else {
          joinConditionsDeferred.reject();
        }
      } else {
        joinConditionsDeferred.reject();
      }

      return joinConditionsDeferred;
    }
  }, {
    key: "handleAggregateFunctions",
    value: function handleAggregateFunctions() {
      var self = this;
      var aggregateFunctionsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestAggregateFunctions = self.parseResult.suggestAggregateFunctions;

      if (window.HAS_OPTIMIZER && suggestAggregateFunctions && suggestAggregateFunctions.tables.length > 0) {
        initLoading(self.loadingAggregateFunctions, aggregateFunctionsDeferred);
        aggregateFunctionsDeferred.done(self.appendEntries);
        var paths = self.tableIdentifierChainsToPaths(suggestAggregateFunctions.tables);

        if (paths.length) {
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getMultiTableEntry({
            sourceType: self.snippet.type(),
            namespace: self.snippet.namespace(),
            compute: self.snippet.compute(),
            paths: paths
          }).done(function (multiTableEntry) {
            self.cancellablePromises.push(multiTableEntry.getTopAggs({
              silenceErrors: true,
              cancellable: true
            }).done(function (topAggs) {
              var aggregateFunctionsSuggestions = [];

              if (topAggs.values && topAggs.values.length > 0) {
                // Expand all column names to the fully qualified name including db and table.
                topAggs.values.forEach(function (value) {
                  value.aggregateInfo.forEach(function (info) {
                    value.aggregateClause = value.aggregateClause.replace(new RegExp('([^.])' + info.columnName, 'gi'), '$1' + info.databaseName + '.' + info.tableName + '.' + info.columnName);
                  });
                }); // Substitute qualified table identifiers with either alias or table when multiple tables are present or just empty string

                var substitutions = [];
                suggestAggregateFunctions.tables.forEach(function (table) {
                  var replaceWith = table.alias ? table.alias + '.' : suggestAggregateFunctions.tables.length > 1 ? table.identifierChain[table.identifierChain.length - 1].name + '.' : '';

                  if (table.identifierChain.length > 1) {
                    substitutions.push({
                      replace: new RegExp(jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(table.identifierChain, function (identifier) {
                        return identifier.name;
                      }).join('.') + '.', 'gi'),
                      "with": replaceWith
                    });
                  } else if (table.identifierChain.length === 1) {
                    substitutions.push({
                      replace: new RegExp(self.activeDatabase + '.' + table.identifierChain[0].name + '.', 'gi'),
                      "with": replaceWith
                    });
                    substitutions.push({
                      replace: new RegExp(table.identifierChain[0].name + '.', 'gi'),
                      "with": replaceWith
                    });
                  }
                });
                var totalCount = 0;
                topAggs.values.forEach(function (value) {
                  var clean = value.aggregateClause;
                  substitutions.forEach(function (substitution) {
                    clean = clean.replace(substitution.replace, substitution["with"]);
                  });
                  totalCount += value.totalQueryCount;
                  value["function"] = _sqlFunctions__WEBPACK_IMPORTED_MODULE_9__["SqlFunctions"].findFunction(self.snippet.type(), value.aggregateFunction);
                  aggregateFunctionsSuggestions.push({
                    value: clean,
                    meta: value["function"].returnTypes.join('|'),
                    category: CATEGORIES.POPULAR_AGGREGATE,
                    weightAdjust: Math.min(value.totalQueryCount, 99),
                    popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
                    details: value
                  });
                });
                aggregateFunctionsSuggestions.forEach(function (suggestion) {
                  suggestion.details.relativePopularity = totalCount === 0 ? suggestion.details.totalQueryCount : Math.round(100 * suggestion.details.totalQueryCount / totalCount);
                  suggestion.weightAdjust = suggestion.details.relativePopularity + 1;
                });
              }

              aggregateFunctionsDeferred.resolve(aggregateFunctionsSuggestions);
            }).fail(aggregateFunctionsDeferred.reject));
          }).fail(aggregateFunctionsDeferred.reject);
        } else {
          aggregateFunctionsDeferred.reject();
        }
      } else {
        aggregateFunctionsDeferred.reject();
      }

      return aggregateFunctionsDeferred;
    }
  }, {
    key: "handlePopularGroupByOrOrderBy",
    value: function handlePopularGroupByOrOrderBy(navOptAttribute, suggestSpec, deferred, columnsDeferred) {
      var self = this;
      var paths = [];
      suggestSpec.tables.forEach(function (table) {
        if (table.identifierChain) {
          if (table.identifierChain.length === 1 && table.identifierChain[0].name) {
            paths.push([self.activeDatabase, table.identifierChain[0].name]);
          } else if (table.identifierChain.length === 2 && table.identifierChain[0].name && table.identifierChain[1].name) {
            paths.push([table.identifierChain[0].name, table.identifierChain[1].name]);
          }
        }
      });
      self.cancellablePromises.push(_catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getCatalog(self.snippet.type()).loadNavOptPopularityForTables({
        namespace: self.snippet.namespace(),
        compute: self.snippet.compute(),
        paths: paths,
        silenceErrors: true,
        cancellable: true
      }).done(function (entries) {
        var totalColumnCount = 0;
        var matchedEntries = [];
        var prefix = suggestSpec.prefix ? (self.parseResult.lowerCase ? suggestSpec.prefix.toLowerCase() : suggestSpec.prefix) + ' ' : '';
        entries.forEach(function (entry) {
          if (entry.navOptPopularity[navOptAttribute]) {
            totalColumnCount += entry.navOptPopularity[navOptAttribute].columnCount;
            matchedEntries.push(entry);
          }
        });

        if (totalColumnCount > 0) {
          var suggestions = [];
          matchedEntries.forEach(function (entry) {
            var filterValue = self.createNavOptIdentifierForColumn(entry.navOptPopularity[navOptAttribute], suggestSpec.tables);
            suggestions.push({
              value: prefix + filterValue,
              filterValue: filterValue,
              meta: navOptAttribute === 'groupByColumn' ? META_I18n.groupBy : META_I18n.orderBy,
              category: navOptAttribute === 'groupByColumn' ? CATEGORIES.POPULAR_GROUP_BY : CATEGORIES.POPULAR_ORDER_BY,
              weightAdjust: Math.round(100 * entry.navOptPopularity[navOptAttribute].columnCount / totalColumnCount),
              popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
              hasCatalogEntry: false,
              details: entry
            });
          });

          if (prefix === '' && suggestions.length) {
            mergeWithColumns(deferred, columnsDeferred, suggestions);
          } else {
            deferred.resolve(suggestions);
          }
        } else {
          deferred.reject();
        }
      }).fail(deferred.reject));
    }
  }, {
    key: "handleGroupBys",
    value: function handleGroupBys(columnsDeferred) {
      var self = this;
      var groupBysDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestGroupBys = self.parseResult.suggestGroupBys;

      if (window.HAS_OPTIMIZER && suggestGroupBys) {
        initLoading(self.loadingGroupBys, groupBysDeferred);
        groupBysDeferred.done(self.appendEntries);
        self.handlePopularGroupByOrOrderBy('groupByColumn', suggestGroupBys, groupBysDeferred, columnsDeferred);
      } else {
        groupBysDeferred.reject();
      }

      return groupBysDeferred;
    }
  }, {
    key: "handleOrderBys",
    value: function handleOrderBys(columnsDeferred) {
      var self = this;
      var orderBysDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestOrderBys = self.parseResult.suggestOrderBys;

      if (window.HAS_OPTIMIZER && suggestOrderBys) {
        initLoading(self.loadingOrderBys, orderBysDeferred);
        orderBysDeferred.done(self.appendEntries);
        self.handlePopularGroupByOrOrderBy('orderByColumn', suggestOrderBys, orderBysDeferred, columnsDeferred);
      } else {
        orderBysDeferred.reject();
      }

      return orderBysDeferred;
    }
  }, {
    key: "handleFilters",
    value: function handleFilters() {
      var self = this;
      var filtersDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestFilters = self.parseResult.suggestFilters;

      if (window.HAS_OPTIMIZER && suggestFilters) {
        initLoading(self.loadingFilters, filtersDeferred);
        filtersDeferred.done(self.appendEntries);
        var paths = self.tableIdentifierChainsToPaths(suggestFilters.tables);

        if (paths.length) {
          _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getMultiTableEntry({
            sourceType: self.snippet.type(),
            namespace: self.snippet.namespace(),
            compute: self.snippet.compute(),
            paths: paths
          }).done(function (multiTableEntry) {
            self.cancellablePromises.push(multiTableEntry.getTopFilters({
              silenceErrors: true,
              cancellable: true
            }).done(function (topFilters) {
              var filterSuggestions = [];
              var totalCount = 0;

              if (topFilters.values) {
                topFilters.values.forEach(function (value) {
                  if (typeof value.popularValues !== 'undefined' && value.popularValues.length > 0) {
                    value.popularValues.forEach(function (popularValue) {
                      if (typeof popularValue.group !== 'undefined') {
                        popularValue.group.forEach(function (grp) {
                          var compVal = suggestFilters.prefix ? (self.parseResult.lowerCase ? suggestFilters.prefix.toLowerCase() : suggestFilters.prefix) + ' ' : '';
                          compVal += self.createNavOptIdentifier(value.tableName, grp.columnName, suggestFilters.tables);

                          if (!/^ /.test(grp.op)) {
                            compVal += ' ';
                          }

                          compVal += self.parseResult.lowerCase ? grp.op.toLowerCase() : grp.op;

                          if (!/ $/.test(grp.op)) {
                            compVal += ' ';
                          }

                          compVal += grp.literal;
                          totalCount += popularValue.count;
                          filterSuggestions.push({
                            value: compVal,
                            meta: META_I18n.filter,
                            category: CATEGORIES.POPULAR_FILTER,
                            popular: knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](true),
                            details: popularValue
                          });
                        });
                      }
                    });
                  }
                });
              }

              filterSuggestions.forEach(function (suggestion) {
                suggestion.details.relativePopularity = totalCount === 0 ? suggestion.details.count : Math.round(100 * suggestion.details.count / totalCount);
                suggestion.weightAdjust = suggestion.details.relativePopularity + 1;
              });
              filtersDeferred.resolve(filterSuggestions);
            }).fail(filtersDeferred.reject));
          }).fail(filtersDeferred.reject);
        } else {
          filtersDeferred.reject();
        }
      } else {
        filtersDeferred.reject();
      }

      return filtersDeferred;
    }
  }, {
    key: "handlePopularTables",
    value: function handlePopularTables(tablesDeferred) {
      var self = this;
      var popularTablesDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();

      if (window.HAS_OPTIMIZER && self.parseResult.suggestTables) {
        initLoading(self.loadingPopularTables, popularTablesDeferred);
        var db = self.parseResult.suggestTables.identifierChain && self.parseResult.suggestTables.identifierChain.length === 1 && self.parseResult.suggestTables.identifierChain[0].name ? self.parseResult.suggestTables.identifierChain[0].name : self.activeDatabase;
        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
          sourceType: self.snippet.type(),
          namespace: self.snippet.namespace(),
          compute: self.snippet.compute(),
          path: [db],
          temporaryOnly: self.temporaryOnly
        }).done(function (entry) {
          self.cancellablePromises.push(entry.loadNavOptPopularityForChildren({
            silenceErrors: true,
            cancellable: true
          }).done(function (childEntries) {
            var totalPopularity = 0;
            var popularityIndex = {};
            childEntries.forEach(function (childEntry) {
              if (childEntry.navOptPopularity && childEntry.navOptPopularity.popularity) {
                popularityIndex[childEntry.name] = true;
                totalPopularity += childEntry.navOptPopularity.popularity;
              }
            });

            if (totalPopularity > 0 && Object.keys(popularityIndex).length) {
              tablesDeferred.done(function (tableSuggestions) {
                tableSuggestions.forEach(function (suggestion) {
                  if (popularityIndex[suggestion.details.name]) {
                    suggestion.relativePopularity = Math.round(100 * suggestion.details.navOptPopularity.popularity / totalPopularity);

                    if (suggestion.relativePopularity >= 5) {
                      suggestion.popular(true);
                    }

                    suggestion.weightAdjust = suggestion.relativePopularity;
                  }
                });
                popularTablesDeferred.resolve();
              }).fail(popularTablesDeferred.reject);
            } else {
              popularTablesDeferred.resolve();
            }
          }).fail(popularTablesDeferred.reject));
        }).fail(popularTablesDeferred.reject);
      } else {
        popularTablesDeferred.reject();
      }

      return popularTablesDeferred;
    }
  }, {
    key: "handlePopularColumns",
    value: function handlePopularColumns(columnsDeferred) {
      var self = this;
      var popularColumnsDeferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var suggestColumns = self.parseResult.suggestColumns; // The columnsDeferred gets resolved synchronously when the data is cached, if not, assume there are some suggestions.

      var hasColumnSuggestions = true;
      columnsDeferred.done(function (columns) {
        hasColumnSuggestions = columns.length > 0;
      });

      if (hasColumnSuggestions && window.HAS_OPTIMIZER && suggestColumns && suggestColumns.source !== 'undefined') {
        initLoading(self.loadingPopularColumns, popularColumnsDeferred);
        var paths = [];
        suggestColumns.tables.forEach(function (table) {
          if (table.identifierChain && table.identifierChain.length > 0) {
            if (table.identifierChain.length === 1 && table.identifierChain[0].name) {
              paths.push([self.activeDatabase, table.identifierChain[0].name]);
            } else if (table.identifierChain.length === 2 && table.identifierChain[0].name && table.identifierChain[1].name) {
              paths.push([table.identifierChain[0].name, table.identifierChain[1].name]);
            }
          }
        });
        self.cancellablePromises.push(_catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getCatalog(self.snippet.type()).loadNavOptPopularityForTables({
          namespace: self.snippet.namespace(),
          compute: self.snippet.compute(),
          paths: paths,
          silenceErrors: true,
          cancellable: true
        }).done(function (popularEntries) {
          var valueAttribute = '';

          switch (suggestColumns.source) {
            case 'select':
              valueAttribute = 'selectColumn';
              break;

            case 'group by':
              valueAttribute = 'groupByColumn';
              break;

            case 'order by':
              valueAttribute = 'orderByColumn';
          }

          var popularityIndex = {};
          popularEntries.forEach(function (popularEntry) {
            if (popularEntry.navOptPopularity && popularEntry.navOptPopularity[valueAttribute]) {
              popularityIndex[popularEntry.getQualifiedPath()] = true;
            }
          });

          if (!valueAttribute || Object.keys(popularityIndex).length === 0) {
            popularColumnsDeferred.reject();
            return;
          }

          columnsDeferred.done(function (columns) {
            var totalColumnCount = 0;
            var matchedSuggestions = [];
            columns.forEach(function (suggestion) {
              if (suggestion.hasCatalogEntry && popularityIndex[suggestion.details.getQualifiedPath()]) {
                matchedSuggestions.push(suggestion);
                totalColumnCount += suggestion.details.navOptPopularity[valueAttribute].columnCount;
              }
            });

            if (totalColumnCount > 0) {
              matchedSuggestions.forEach(function (matchedSuggestion) {
                matchedSuggestion.relativePopularity = Math.round(100 * matchedSuggestion.details.navOptPopularity[valueAttribute].columnCount / totalColumnCount);

                if (matchedSuggestion.relativePopularity >= 5) {
                  matchedSuggestion.popular(true);
                }

                matchedSuggestion.weightAdjust = matchedSuggestion.relativePopularity;
              });
            }

            popularColumnsDeferred.resolve();
          }).fail(popularColumnsDeferred.reject);
        }));
      } else {
        popularColumnsDeferred.reject();
      }

      return popularColumnsDeferred;
    }
  }, {
    key: "createNavOptIdentifier",
    value: function createNavOptIdentifier(navOptTableName, navOptColumnName, tables) {
      var self = this;
      var path = navOptTableName + '.' + navOptColumnName.split('.').pop();

      for (var i = 0; i < tables.length; i++) {
        var tablePath = '';

        if (tables[i].identifierChain.length === 2) {
          tablePath = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(tables[i].identifierChain, function (identifier) {
            return identifier.name;
          }).join('.');
        } else if (tables[i].identifierChain.length === 1) {
          tablePath = self.activeDatabase + '.' + tables[i].identifierChain[0].name;
        }

        if (path.indexOf(tablePath) === 0) {
          path = path.substring(tablePath.length + 1);

          if (tables[i].alias) {
            path = tables[i].alias + '.' + path;
          } else if (tables.length > 0) {
            path = tables[i].identifierChain[tables[i].identifierChain.length - 1].name + '.' + path;
          }

          break;
        }
      }

      return path;
    }
  }, {
    key: "createNavOptIdentifierForColumn",
    value: function createNavOptIdentifierForColumn(navOptColumn, tables) {
      var self = this;

      for (var i = 0; i < tables.length; i++) {
        if (navOptColumn.dbName && (navOptColumn.dbName !== self.activeDatabase || navOptColumn.dbName !== tables[i].identifierChain[0].name)) {
          continue;
        }

        if (navOptColumn.tableName && _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(navOptColumn.tableName, tables[i].identifierChain[tables[i].identifierChain.length - 1].name) && tables[i].alias) {
          return tables[i].alias + '.' + navOptColumn.columnName;
        }
      }

      if (navOptColumn.dbName && navOptColumn.dbName !== self.activeDatabase) {
        return navOptColumn.dbName + '.' + navOptColumn.tableName + '.' + navOptColumn.columnName;
      }

      if (tables.length > 1) {
        return navOptColumn.tableName + '.' + navOptColumn.columnName;
      }

      return navOptColumn.columnName;
    }
  }, {
    key: "convertNavOptQualifiedIdentifier",
    value: function convertNavOptQualifiedIdentifier(qualifiedIdentifier, tables, type) {
      var self = this;
      var aliases = [];
      var tablesHasDefaultDatabase = false;
      tables.forEach(function (table) {
        tablesHasDefaultDatabase = tablesHasDefaultDatabase || _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(table.identifierChain[0].name.toLowerCase(), self.activeDatabase.toLowerCase());

        if (table.alias) {
          aliases.push({
            qualifiedName: jquery__WEBPACK_IMPORTED_MODULE_0___default.a.map(table.identifierChain, function (identifier) {
              return identifier.name;
            }).join('.').toLowerCase(),
            alias: table.alias
          });
        }
      });

      for (var i = 0; i < aliases.length; i++) {
        if (qualifiedIdentifier.toLowerCase().indexOf(aliases[i].qualifiedName) === 0) {
          return aliases[i].alias + qualifiedIdentifier.substring(aliases[i].qualifiedName.length);
        } else if (qualifiedIdentifier.toLowerCase().indexOf(self.activeDatabase.toLowerCase() + '.' + aliases[i].qualifiedName) === 0) {
          return aliases[i].alias + qualifiedIdentifier.substring((self.activeDatabase + '.' + aliases[i].qualifiedName).length);
        }
      }

      if (qualifiedIdentifier.toLowerCase().indexOf(self.activeDatabase.toLowerCase()) === 0 && !tablesHasDefaultDatabase) {
        return qualifiedIdentifier.substring(self.activeDatabase.length + 1);
      }

      if (type === 'hive') {
        // Remove DB reference if given for Hive
        var parts = qualifiedIdentifier.split('.');

        if (parts.length > 2) {
          return parts.slice(1).join('.');
        }
      }

      return qualifiedIdentifier;
    }
    /**
     * Helper function to fetch columns/fields given an identifierChain, this also takes care of expanding arrays
     * and maps to match the required format for the API.
     *
     * @param originalIdentifierChain
     */

  }, {
    key: "fetchFieldsForIdentifiers",
    value: function fetchFieldsForIdentifiers(originalIdentifierChain) {
      var self = this;
      var deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default.a.Deferred();
      var path = [];

      for (var i = 0; i < originalIdentifierChain.length; i++) {
        if (originalIdentifierChain[i].name && !originalIdentifierChain[i].subQuery) {
          path.push(originalIdentifierChain[i].name);
        } else {
          return deferred.reject().promise();
        }
      }

      var fetchFieldsInternal = function fetchFieldsInternal(remainingPath, fetchedPath) {
        if (!fetchedPath) {
          fetchedPath = [];
        }

        if (remainingPath.length > 0) {
          fetchedPath.push(remainingPath.shift()); // Parser sometimes knows if it's a map or array.

          if (remainingPath.length > 0 && (remainingPath[0] === 'item' || remainingPath[0].name === 'value')) {
            fetchedPath.push(remainingPath.shift());
          }
        }

        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
          sourceType: self.snippet.type(),
          namespace: self.snippet.namespace(),
          compute: self.snippet.compute(),
          path: fetchedPath,
          temporaryOnly: self.temporaryOnly
        }).done(function (catalogEntry) {
          self.cancellablePromises.push(catalogEntry.getSourceMeta({
            silenceErrors: true,
            cancellable: true
          }).done(function (sourceMeta) {
            if (self.snippet.type() === 'hive' && typeof sourceMeta.extended_columns !== 'undefined' && sourceMeta.extended_columns.length === 1 && /^(?:map|array|struct)/i.test(sourceMeta.extended_columns[0].type)) {
              remainingPath.unshift(sourceMeta.extended_columns[0].name);
            }

            if (remainingPath.length) {
              if (/value|item|key/i.test(remainingPath[0])) {
                fetchedPath.push(remainingPath.shift());
              } else if (sourceMeta.type === 'array') {
                fetchedPath.push('item');
              } else if (sourceMeta.type === 'map') {
                fetchedPath.push('value');
              }

              fetchFieldsInternal(remainingPath, fetchedPath);
            } else {
              deferred.resolve(catalogEntry);
            }
          }).fail(deferred.reject));
        }).fail(deferred.reject);
      }; // For Impala the first parts of the identifier chain could be either database or table, either:
      // SELECT | FROM database.table -or- SELECT | FROM table.column
      // For Hive it could be either:
      // SELECT col.struct FROM db.tbl -or- SELECT col.struct FROM tbl


      if (path.length > 1 && (self.snippet.type() === 'impala' || self.snippet.type() === 'hive')) {
        _catalog_dataCatalog__WEBPACK_IMPORTED_MODULE_3__["default"].getEntry({
          sourceType: self.snippet.type(),
          namespace: self.snippet.namespace(),
          compute: self.snippet.compute(),
          path: [],
          temporaryOnly: self.temporaryOnly
        }).done(function (catalogEntry) {
          self.cancellablePromises.push(catalogEntry.getChildren({
            silenceErrors: true,
            cancellable: true
          }).done(function (databaseEntries) {
            var firstIsDb = databaseEntries.some(function (dbEntry) {
              return _utils_hueUtils__WEBPACK_IMPORTED_MODULE_5__["default"].equalIgnoreCase(dbEntry.name, path[0]);
            });

            if (!firstIsDb) {
              path.unshift(self.activeDatabase);
            }

            fetchFieldsInternal(path);
          }).fail(deferred.reject));
        }).fail(deferred.reject);
      } else if (path.length > 1) {
        fetchFieldsInternal(path);
      } else {
        path.unshift(self.activeDatabase);
        fetchFieldsInternal(path);
      }

      return deferred.promise();
    }
  }], [{
    key: "mergeColumns",
    value: function mergeColumns(columnSuggestions) {
      columnSuggestions.sort(function (a, b) {
        return a.value.localeCompare(b.value);
      });

      for (var i = 0; i < columnSuggestions.length; i++) {
        var suggestion = columnSuggestions[i];
        suggestion.isColumn = true;
        var hasDuplicates = false;

        for (i; i + 1 < columnSuggestions.length && columnSuggestions[i + 1].value === suggestion.value; i++) {
          var nextTable = columnSuggestions[i + 1].table;

          if (typeof nextTable.alias !== 'undefined') {
            columnSuggestions[i + 1].value = nextTable.alias + '.' + columnSuggestions[i + 1].value;
          } else if (typeof nextTable.identifierChain !== 'undefined' && nextTable.identifierChain.length > 0) {
            var previousIdentifier = nextTable.identifierChain[nextTable.identifierChain.length - 1];

            if (typeof previousIdentifier.name !== 'undefined') {
              columnSuggestions[i + 1].value = previousIdentifier.name + '.' + columnSuggestions[i + 1].value;
            } else if (typeof previousIdentifier.subQuery !== 'undefined') {
              columnSuggestions[i + 1].value = previousIdentifier.subQuery + '.' + columnSuggestions[i + 1].value;
            }
          }

          hasDuplicates = true;
        }

        if (typeof suggestion.table.alias !== 'undefined') {
          suggestion.value = suggestion.table.alias + '.' + suggestion.value;
        } else if (hasDuplicates && typeof suggestion.table.identifierChain !== 'undefined' && suggestion.table.identifierChain.length > 0) {
          var lastIdentifier = suggestion.table.identifierChain[suggestion.table.identifierChain.length - 1];

          if (typeof lastIdentifier.name !== 'undefined') {
            suggestion.value = lastIdentifier.name + '.' + suggestion.value;
          } else if (typeof lastIdentifier.subQuery !== 'undefined') {
            suggestion.value = lastIdentifier.subQuery + '.' + suggestion.value;
          }
        }
      }
    }
  }]);

  return AutocompleteResults;
}();

/* harmony default export */ __webpack_exports__["default"] = (AutocompleteResults);

/***/ }),

/***/ "./desktop/core/src/desktop/js/sql/sqlAutocompleter.js":
/*!*************************************************************!*\
  !*** ./desktop/core/src/desktop/js/sql/sqlAutocompleter.js ***!
  \*************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _autocompleteResults__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./autocompleteResults */ "./desktop/core/src/desktop/js/sql/autocompleteResults.js");
/* harmony import */ var _utils_hueDebug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/hueDebug */ "./desktop/core/src/desktop/js/utils/hueDebug.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _parse_sql_sqlParserRepository__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../parse/sql/sqlParserRepository */ "./desktop/core/src/desktop/js/parse/sql/sqlParserRepository.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.





var SqlAutocompleter =
/*#__PURE__*/
function () {
  /**
   * @param {Object} options
   * @param {Snippet} options.snippet
   * @param {string} [options.fixedPrefix] - Optional prefix to always use on parse
   * @param {string} [options.fixedPostfix] - Optional postfix to always use on parse
   * @constructor
   */
  function SqlAutocompleter(options) {
    _classCallCheck(this, SqlAutocompleter);

    this.snippet = options.snippet;
    this.editor = options.editor;

    this.fixedPrefix = options.fixedPrefix || function () {
      return '';
    };

    this.fixedPostfix = options.fixedPostfix || function () {
      return '';
    };

    this.suggestions = new _autocompleteResults__WEBPACK_IMPORTED_MODULE_0__["default"](options);
  }

  _createClass(SqlAutocompleter, [{
    key: "parseActiveStatement",
    value: function parseActiveStatement() {
      var _this = this;

      return regeneratorRuntime.async(function parseActiveStatement$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve, reject) {
                if (_this.snippet.positionStatement() && _this.snippet.positionStatement().location) {
                  var activeStatementLocation = _this.snippet.positionStatement().location;

                  var cursorPosition = _this.editor().getCursorPosition();

                  if ((activeStatementLocation.first_line - 1 < cursorPosition.row || activeStatementLocation.first_line - 1 === cursorPosition.row && activeStatementLocation.first_column <= cursorPosition.column) && (activeStatementLocation.last_line - 1 > cursorPosition.row || activeStatementLocation.last_line - 1 === cursorPosition.row && activeStatementLocation.last_column >= cursorPosition.column)) {
                    var beforeCursor = _this.fixedPrefix() + _this.editor().session.getTextRange({
                      start: {
                        row: activeStatementLocation.first_line - 1,
                        column: activeStatementLocation.first_column
                      },
                      end: cursorPosition
                    });

                    var afterCursor = _this.editor().session.getTextRange({
                      start: cursorPosition,
                      end: {
                        row: activeStatementLocation.last_line - 1,
                        column: activeStatementLocation.last_column
                      }
                    }) + _this.fixedPostfix();

                    _parse_sql_sqlParserRepository__WEBPACK_IMPORTED_MODULE_3__["default"].getAutocompleter(_this.snippet.type()).then(function (autocompleteParser) {
                      resolve(autocompleteParser.parseSql(beforeCursor, afterCursor));
                    })["catch"](function (err) {
                      console.warn(err);
                      reject(err);
                    });
                  } else {
                    resolve();
                  }
                } else {
                  resolve();
                }
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      });
    }
  }, {
    key: "parseAll",
    value: function parseAll() {
      var _this2 = this;

      return regeneratorRuntime.async(function parseAll$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", new Promise(function (resolve, reject) {
                _parse_sql_sqlParserRepository__WEBPACK_IMPORTED_MODULE_3__["default"].getAutocompleter(_this2.snippet.type()).then(function (autocompleteParser) {
                  resolve(autocompleteParser.parseSql(_this2.editor().getTextBeforeCursor(), _this2.editor().getTextAfterCursor()));
                })["catch"](reject);
              }));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      });
    }
  }, {
    key: "autocomplete",
    value: function autocomplete() {
      var _this3 = this;

      var parseResult;
      return regeneratorRuntime.async(function autocomplete$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.prev = 0;
              _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('get.active.editor.locations', function (locations) {
                // This could happen in case the user is editing at the borders of the statement and the locations haven't
                // been updated yet, in that case we have to force a location update before parsing
                if (_this3.snippet.ace && _this3.snippet.ace() && locations && _this3.snippet.ace().lastChangeTime !== locations.editorChangeTime) {
                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('editor.refresh.statement.locations', _this3.snippet);
                }
              }, this.snippet);
              _context3.next = 4;
              return regeneratorRuntime.awrap(this.parseActiveStatement());

            case 4:
              parseResult = _context3.sent;

              if (typeof _utils_hueDebug__WEBPACK_IMPORTED_MODULE_1__["default"] !== 'undefined' && _utils_hueDebug__WEBPACK_IMPORTED_MODULE_1__["default"].showParseResult) {
                // eslint-disable-next-line no-restricted-syntax
                console.log(parseResult);
              }

              _context3.next = 11;
              break;

            case 8:
              _context3.prev = 8;
              _context3.t0 = _context3["catch"](0);

              if (typeof console.warn !== 'undefined') {
                console.warn(_context3.t0);
              }

            case 11:
              if (parseResult) {
                _context3.next = 21;
                break;
              }

              _context3.prev = 12;
              _context3.next = 15;
              return regeneratorRuntime.awrap(this.parseAll());

            case 15:
              parseResult = _context3.sent;
              _context3.next = 21;
              break;

            case 18:
              _context3.prev = 18;
              _context3.t1 = _context3["catch"](12);

              if (typeof console.warn !== 'undefined') {
                console.warn(_context3.t1);
              }

            case 21:
              if (!parseResult) {
                // This prevents Ace from inserting garbled text in case of exception
                _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('hue.ace.autocompleter.done');
              } else {
                try {
                  if (this.lastContextRequest) {
                    this.lastContextRequest.dispose();
                  }

                  this.lastContextRequest = this.snippet.whenContextSet().done(function () {
                    _this3.suggestions.update(parseResult);
                  }).fail(function () {
                    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('hue.ace.autocompleter.done');
                  });
                } catch (e) {
                  if (typeof console.warn !== 'undefined') {
                    console.warn(e);
                  }

                  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_2__["default"].publish('hue.ace.autocompleter.done');
                }
              }

            case 22:
            case "end":
              return _context3.stop();
          }
        }
      }, null, this, [[0, 8], [12, 18]]);
    }
  }]);

  return SqlAutocompleter;
}();

/* harmony default export */ __webpack_exports__["default"] = (SqlAutocompleter);

/***/ }),

/***/ "./desktop/core/src/desktop/js/sql/sqlFunctions.js":
/*!*********************************************************!*\
  !*** ./desktop/core/src/desktop/js/sql/sqlFunctions.js ***!
  \*********************************************************/
/*! exports provided: PigFunctions, SqlSetOptions, SqlFunctions */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PigFunctions", function() { return PigFunctions; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SqlSetOptions", function() { return SqlSetOptions; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SqlFunctions", function() { return SqlFunctions; });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var PigFunctions = function () {
  var EVAL_FUNCTIONS = {
    avg: {
      signature: 'AVG(%VAR%)',
      draggable: 'AVG()'
    },
    concat: {
      signature: 'CONCAT(%VAR1%, %VAR2%)',
      draggable: 'CONCAT()'
    },
    count: {
      signature: 'COUNT(%VAR%)',
      draggable: 'COUNT()'
    },
    count_start: {
      signature: 'COUNT_START(%VAR%)',
      draggable: 'COUNT_START()'
    },
    is_empty: {
      signature: 'IsEmpty(%VAR%)',
      draggable: 'IsEmpty()'
    },
    diff: {
      signature: 'DIFF(%VAR1%, %VAR2%)',
      draggable: 'DIFF()'
    },
    max: {
      signature: 'MAX(%VAR%)',
      draggable: 'MAX()'
    },
    min: {
      signature: 'MIN(%VAR%)',
      draggable: 'MIN()'
    },
    size: {
      signature: 'SIZE(%VAR%)',
      draggable: 'SIZE()'
    },
    sum: {
      signature: 'SUM(%VAR%)',
      draggable: 'SUM()'
    },
    tokenize: {
      signature: 'TOKENIZE(%VAR%, %DELIM%)',
      draggable: 'TOKENIZE()'
    }
  };
  var RELATIONAL_OPERATORS = {
    cogroup: {
      signature: 'COGROUP %VAR% BY %VAR%',
      draggable: 'COGROUP %VAR% BY %VAR%'
    },
    cross: {
      signature: 'CROSS %VAR1%, %VAR2%;',
      draggable: 'CROSS %VAR1%, %VAR2%;'
    },
    distinct: {
      signature: 'DISTINCT %VAR%;',
      draggable: 'DISTINCT %VAR%;'
    },
    filter: {
      signature: 'FILTER %VAR% BY %COND%',
      draggable: 'FILTER %VAR% BY %COND%'
    },
    flatten: {
      signature: 'FLATTEN(%VAR%)',
      draggable: 'FLATTEN()'
    },
    foreach_generate: {
      signature: 'FOREACH %DATA% GENERATE %NEW_DATA%;',
      draggable: 'FOREACH %DATA% GENERATE %NEW_DATA%;'
    },
    foreach: {
      signature: 'FOREACH %DATA% {%NESTED_BLOCK%};',
      draggable: 'FOREACH %DATA% {%NESTED_BLOCK%};'
    },
    group_by: {
      signature: 'GROUP %VAR% BY %VAR%',
      draggable: 'GROUP %VAR% BY %VAR%'
    },
    group_all: {
      signature: 'GROUP %VAR% ALL',
      draggable: 'GROUP %VAR% ALL'
    },
    join: {
      signature: 'JOIN %VAR% BY ',
      draggable: 'JOIN %VAR% BY '
    },
    limit: {
      signature: 'LIMIT %VAR% %N%',
      draggable: 'LIMIT %VAR% %N%'
    },
    order: {
      signature: 'ORDER %VAR% BY %FIELD%',
      draggable: 'ORDER %VAR% BY %FIELD%'
    },
    sample: {
      signature: 'SAMPLE %VAR% %SIZE%',
      draggable: 'SAMPLE %VAR% %SIZE%'
    },
    split: {
      signature: 'SPLIT %VAR1% INTO %VAR2% IF %EXPRESSIONS%',
      draggable: 'SPLIT %VAR1% INTO %VAR2% IF %EXPRESSIONS%'
    },
    union: {
      signature: 'UNION %VAR1%, %VAR2%',
      draggable: 'UNION %VAR1%, %VAR2%'
    }
  };
  var INPUT_OUTPUT = {
    load: {
      signature: "LOAD '%FILE%';",
      draggable: "LOAD '%FILE%';"
    },
    dump: {
      signature: 'DUMP %VAR%;',
      draggable: 'DUMP %VAR%;'
    },
    store: {
      signature: 'STORE %VAR% INTO %PATH%;',
      draggable: 'STORE %VAR% INTO %PATH%;'
    }
  };
  var DEBUG = {
    explain: {
      signature: 'EXPLAIN %VAR%;',
      draggable: 'EXPLAIN %VAR%;'
    },
    illustrate: {
      signature: 'ILLUSTRATE %VAR%;',
      draggable: 'ILLUSTRATE %VAR%;'
    },
    describe: {
      signature: 'DESCRIBE %VAR%;',
      draggable: 'DESCRIBE %VAR%;'
    }
  };
  var HCATALOG = {
    LOAD: {
      signature: "LOAD '%TABLE%' USING org.apache.hcatalog.pig.HCatLoader();",
      draggable: "LOAD '%TABLE%' USING org.apache.hcatalog.pig.HCatLoader();"
    }
  };
  var MATH_FUNCTIONS = {
    abs: {
      signature: 'ABS(%VAR%)',
      draggable: 'ABS()'
    },
    acos: {
      signature: 'ACOS(%VAR%)',
      draggable: 'ACOS()'
    },
    asin: {
      signature: 'ASIN(%VAR%)',
      draggable: 'ASIN()'
    },
    atan: {
      signature: 'ATAN(%VAR%)',
      draggable: 'ATAN()'
    },
    cbrt: {
      signature: 'CBRT(%VAR%)',
      draggable: 'CBRT()'
    },
    ceil: {
      signature: 'CEIL(%VAR%)',
      draggable: 'CEIL()'
    },
    cos: {
      signature: 'COS(%VAR%)',
      draggable: 'COS()'
    },
    cosh: {
      signature: 'COSH(%VAR%)',
      draggable: 'COSH()'
    },
    exp: {
      signature: 'EXP(%VAR%)',
      draggable: 'EXP()'
    },
    floor: {
      signature: 'FLOOR(%VAR%)',
      draggable: 'FLOOR()'
    },
    log: {
      signature: 'LOG(%VAR%)',
      draggable: 'LOG()'
    },
    log10: {
      signature: 'LOG10(%VAR%)',
      draggable: 'LOG10()'
    },
    random: {
      signature: 'RANDOM(%VAR%)',
      draggable: 'RANDOM()'
    },
    round: {
      signature: 'ROUND(%VAR%)',
      draggable: 'ROUND()'
    },
    sin: {
      signature: 'SIN(%VAR%)',
      draggable: 'SIN()'
    },
    sinh: {
      signature: 'SINH(%VAR%)',
      draggable: 'SINH()'
    },
    sqrt: {
      signature: 'SQRT(%VAR%)',
      draggable: 'SQRT()'
    },
    tan: {
      signature: 'TAN(%VAR%)',
      draggable: 'TAN()'
    },
    tanh: {
      signature: 'TANH(%VAR%)',
      draggable: 'TANH()'
    }
  };
  var TUPLE_BAG_MAP = {
    totuple: {
      signature: 'TOTUPLE(%VAR%)',
      draggable: 'TOTUPLE()'
    },
    tobag: {
      signature: 'TOBAG(%VAR%)',
      draggable: 'TOBAG()'
    },
    tomap: {
      signature: 'TOMAP(%KEY%, %VALUE%)',
      draggable: 'TOMAP()'
    },
    top: {
      signature: 'TOP(%topN%, %COLUMN%, %RELATION%)',
      draggable: 'TOP()'
    }
  };
  var STRING_FUNCTIONS = {
    indexof: {
      signature: "INDEXOF(%STRING%, '%CHARACTER%', %STARTINDEX%)",
      draggable: 'INDEXOF()'
    },
    last_index_of: {
      signature: "LAST_INDEX_OF(%STRING%, '%CHARACTER%', %STARTINDEX%)",
      draggable: 'LAST_INDEX_OF()'
    },
    lower: {
      signature: 'LOWER(%STRING%)',
      draggable: 'LOWER()'
    },
    regex_extract: {
      signature: 'REGEX_EXTRACT(%STRING%, %REGEX%, %INDEX%)',
      draggable: 'REGEX_EXTRACT()'
    },
    regex_extract_all: {
      signature: 'REGEX_EXTRACT_ALL(%STRING%, %REGEX%)',
      draggable: 'REGEX_EXTRACT_ALL()'
    },
    replace: {
      signature: "REPLACE(%STRING%, '%oldChar%', '%newChar%')",
      draggable: 'REPLACE()'
    },
    strsplit: {
      signature: 'STRSPLIT(%STRING%, %REGEX%, %LIMIT%)',
      draggable: 'STRSPLIT()'
    },
    substring: {
      signature: 'SUBSTRING(%STRING%, %STARTINDEX%, %STOPINDEX%)',
      draggable: 'SUBSTRING()'
    },
    trim: {
      signature: 'TRIM(%STRING%)',
      draggable: 'TRIM()'
    },
    ucfirst: {
      signature: 'UCFIRST(%STRING%)',
      draggable: 'UCFIRST()'
    },
    upper: {
      signature: 'UPPER(%STRING%)',
      draggable: 'UPPER()'
    }
  };
  var MACROS = {
    "import": {
      signature: "IMPORT '%PATH_TO_MACRO%';",
      draggable: "IMPORT '%PATH_TO_MACRO%';"
    }
  };
  var HBASE = {
    load: {
      signature: "LOAD 'hbase://%TABLE%' USING org.apache.pig.backend.hadoop.hbase.HBaseStorage('%columnList%')",
      draggable: "LOAD 'hbase://%TABLE%' USING org.apache.pig.backend.hadoop.hbase.HBaseStorage('%columnList%')"
    },
    store: {
      signature: "STORE %VAR% INTO 'hbase://%TABLE%' USING org.apache.pig.backend.hadoop.hbase.HBaseStorage('%columnList%')",
      draggable: "STORE %VAR% INTO 'hbase://%TABLE%' USING org.apache.pig.backend.hadoop.hbase.HBaseStorage('%columnList%')"
    }
  };
  var PYTHON_UDF = {
    register: {
      signature: "REGISTER 'python_udf.py' USING jython AS myfuncs;",
      draggable: "REGISTER 'python_udf.py' USING jython AS myfuncs;"
    }
  };
  var CATEGORIZED_FUNCTIONS = [{
    name: 'Eval',
    functions: EVAL_FUNCTIONS
  }, {
    name: 'Relational Operators',
    functions: RELATIONAL_OPERATORS
  }, {
    name: 'Input and Output',
    functions: INPUT_OUTPUT
  }, {
    name: 'Debug',
    functions: DEBUG
  }, {
    name: 'HCatalog',
    functions: HCATALOG
  }, {
    name: 'Math',
    functions: MATH_FUNCTIONS
  }, {
    name: 'Tuple, Bag and Map',
    functions: TUPLE_BAG_MAP
  }, {
    name: 'String',
    functions: STRING_FUNCTIONS
  }, {
    name: 'Macros',
    functions: MACROS
  }, {
    name: 'HBase',
    functions: HBASE
  }, {
    name: 'Python UDF',
    functions: PYTHON_UDF
  }];
  return {
    CATEGORIZED_FUNCTIONS: CATEGORIZED_FUNCTIONS
  };
}();

var SqlSetOptions = function () {
  var SET_OPTIONS = {
    hive: {},
    impala: {
      ALLOW_ERASURE_CODED_FILES: {
        description: 'Use the ALLOW_ERASURE_CODED_FILES query option to enable or disable the support of erasure coded files in Impala. Until Impala is fully tested and certified with erasure coded files, this query option is set to FALSE by default.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      APPX_COUNT_DISTINCT: {
        description: 'Allows multiple COUNT(DISTINCT) operations within a single query, by internally rewriting each COUNT(DISTINCT) to use the NDV() function. The resulting count is approximate rather than precise.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      BATCH_SIZE: {
        description: 'Number of rows evaluated at a time by SQL operators. Unspecified or a size of 0 uses a predefined default size. Using a large number improves responsiveness, especially for scan operations, at the cost of a higher memory footprint.',
        type: 'Numeric',
        "default": '0 (meaning the predefined default of 1024)'
      },
      BUFFER_POOL_LIMIT: {
        description: 'Defines a limit on the amount of memory that a query can allocate from the internal buffer pool. The value for this limit applies to the memory on each host, not the aggregate memory across the cluster. Typically not changed by users, except during diagnosis of out-of-memory errors during queries.',
        type: 'Integer',
        "default": 'The default setting for this option is the lower of 80% of the MEM_LIMIT setting, or the MEM_LIMIT setting minus 100 MB.'
      },
      COMPRESSION_CODEC: {
        description: 'When Impala writes Parquet data files using the INSERT statement, the underlying compression is controlled by the COMPRESSION_CODEC query option.',
        type: 'String; SNAPPY, GZIP or NONE',
        "default": 'SNAPPY'
      },
      COMPUTE_STATS_MIN_SAMPLE_SIZE: {
        description: 'The COMPUTE_STATS_MIN_SAMPLE_SIZE query option specifies the minimum number of bytes that will be scanned in COMPUTE STATS TABLESAMPLE, regardless of the user-supplied sampling percent. This query option prevents sampling for very small tables where accurate stats can be obtained cheaply without sampling because the minimum sample size is required to get meaningful stats.',
        type: 'Integer',
        "default": '1073741824 (1GB)'
      },
      DEFAULT_JOIN_DISTRIBUTION_MODE: {
        description: 'This option determines the join distribution that Impala uses when any of the tables involved in a join query is missing statistics.\n\nThe setting DEFAULT_JOIN_DISTRIBUTION_MODE=SHUFFLE is recommended when setting up and deploying new clusters, because it is less likely to result in serious consequences such as spilling or out-of-memory errors if the query plan is based on incomplete information.',
        type: 'Integer; The allowed values are BROADCAST (equivalent to 0) or SHUFFLE (equivalent to 1).',
        "default": '0'
      },
      DEFAULT_SPILLABLE_BUFFER_SIZE: {
        description: 'Specifies the default size for a memory buffer used when the spill-to-disk mechanism is activated, for example for queries against a large table with no statistics, or large join operations.\n\nAccepts a numeric value that represents a size in bytes; you can also use a suffix of m or mb for megabytes, or g or gb for gigabytes. If you specify a value with unrecognized formats, subsequent queries fail with an error.',
        type: 'Integer',
        "default": '2097152 (2 MB)'
      },
      DISABLE_CODEGEN: {
        description: 'This is a debug option, intended for diagnosing and working around issues that cause crashes. If a query fails with an "illegal instruction" or other hardware-specific message, try setting DISABLE_CODEGEN=true and running the query again. If the query succeeds only when the DISABLE_CODEGEN option is turned on, submit the problem to Cloudera Support and include that detail in the problem report. Do not otherwise run with this setting turned on, because it results in lower overall performance.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      DISABLE_ROW_RUNTIME_FILTERING: {
        description: 'The DISABLE_ROW_RUNTIME_FILTERING query option reduces the scope of the runtime filtering feature. Queries still dynamically prune partitions, but do not apply the filtering logic to individual rows within partitions.\n\nOnly applies to queries against Parquet tables. For other file formats, Impala only prunes at the level of partitions, not individual rows.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      DISABLE_STREAMING_PREAGGREGATIONS: {
        description: 'Turns off the "streaming preaggregation" optimization that is available in CDH 5.7 / Impala 2.5 and higher. This optimization reduces unnecessary work performed by queries that perform aggregation operations on columns with few or no duplicate values, for example DISTINCT id_column or GROUP BY unique_column. If the optimization causes regressions in existing queries that use aggregation functions, you can turn it off as needed by setting this query option.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      DISABLE_UNSAFE_SPILLS: {
        description: 'Enable this option if you prefer to have queries fail when they exceed the Impala memory limit, rather than write temporary data to disk.\n\nQueries that "spill" to disk typically complete successfully, when in earlier Impala releases they would have failed. However, queries with exorbitant memory requirements due to missing statistics or inefficient join clauses could become so slow as a result that you would rather have them cancelled automatically and reduce the memory usage through standard Impala tuning techniques.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      EXEC_SINGLE_NODE_ROWS_THRESHOLD: {
        description: 'This setting controls the cutoff point (in terms of number of rows scanned) below which Impala treats a query as a "small" query, turning off optimizations such as parallel execution and native code generation. The overhead for these optimizations is applicable for queries involving substantial amounts of data, but it makes sense to skip them for queries involving tiny amounts of data. Reducing the overhead for small queries allows Impala to complete them more quickly, keeping YARN resources, admission control slots, and so on available for data-intensive queries.',
        type: 'Numeric',
        "default": '100'
      },
      EXEC_TIME_LIMIT_S: {
        description: 'The EXEC_TIME_LIMIT_S query option sets a time limit on query execution. If a query is still executing when time limit expires, it is automatically canceled. The option is intended to prevent runaway queries that execute for much longer than intended.',
        type: 'Numeric',
        "default": '0 (no time limit)'
      },
      EXPLAIN_LEVEL: {
        description: 'Controls the amount of detail provided in the output of the EXPLAIN statement. The basic output can help you identify high-level performance issues such as scanning a higher volume of data or more partitions than you expect. The higher levels of detail show how intermediate results flow between nodes and how different SQL operations such as ORDER BY, GROUP BY, joins, and WHERE clauses are implemented within a distributed query.',
        type: 'String or Int; 0 - MINIMAL, 1 - STANDARD, 2 - EXTENDED or 3 - VERBOSE',
        "default": '1'
      },
      HBASE_CACHE_BLOCKS: {
        description: 'Setting this option is equivalent to calling the setCacheBlocks method of the class org.apache.hadoop.hbase.client.Scan, in an HBase Java application. Helps to control the memory pressure on the HBase RegionServer, in conjunction with the HBASE_CACHING query option.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      HBASE_CACHING: {
        description: 'Setting this option is equivalent to calling the setCaching method of the class org.apache.hadoop.hbase.client.Scan, in an HBase Java application. Helps to control the memory pressure on the HBase RegionServer, in conjunction with the HBASE_CACHE_BLOCKS query option.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      MAX_ERRORS: {
        description: 'Maximum number of non-fatal errors for any particular query that are recorded in the Impala log file. For example, if a billion-row table had a non-fatal data error in every row, you could diagnose the problem without all billion errors being logged. Unspecified or 0 indicates the built-in default value of 1000.\n\nThis option only controls how many errors are reported. To specify whether Impala continues or halts when it encounters such errors, use the ABORT_ON_ERROR option.',
        type: 'Numeric',
        "default": '0 (meaning 1000 errors)'
      },
      MAX_MEM_ESTIMATE_FOR_ADMISSION: {
        description: 'Use the MAX_MEM_ESTIMATE_FOR_ADMISSION query option to set an upper limit on the memory estimates of a query as a workaround for over-estimates precluding a query from being admitted.',
        type: 'Numeric',
        "default": ''
      },
      MAX_NUM_RUNTIME_FILTERS: {
        description: 'The MAX_NUM_RUNTIME_FILTERS query option sets an upper limit on the number of runtime filters that can be produced for each query.',
        type: 'Integer',
        "default": '10'
      },
      MAX_ROW_SIZE: {
        description: 'Ensures that Impala can process rows of at least the specified size. (Larger rows might be successfully processed, but that is not guaranteed.) Applies when constructing intermediate or final rows in the result set. This setting prevents out-of-control memory use when accessing columns containing huge strings.\n\nAccepts a numeric value that represents a size in bytes; you can also use a suffix of m or mb for megabytes, or g or gb for gigabytes. If you specify a value with unrecognized formats, subsequent queries fail with an error.',
        type: 'Integer',
        "default": '524288 (512 KB)'
      },
      MAX_SCAN_RANGE_LENGTH: {
        description: 'Maximum length of the scan range. Interacts with the number of HDFS blocks in the table to determine how many CPU cores across the cluster are involved with the processing for a query. (Each core processes one scan range.)\n\nLowering the value can sometimes increase parallelism if you have unused CPU capacity, but a too-small value can limit query performance because each scan range involves extra overhead.\n\nOnly applicable to HDFS tables. Has no effect on Parquet tables. Unspecified or 0 indicates backend default, which is the same as the HDFS block size for each table.',
        type: 'Numeric',
        "default": '0'
      },
      MEM_LIMIT: {
        description: 'When resource management is not enabled, defines the maximum amount of memory a query can allocate on each node. Therefore, the total memory that can be used by a query is the MEM_LIMIT times the number of nodes.\n\nAccepts a numeric value that represents a size in bytes; you can also use a suffix of m or mb for megabytes, or g or gb for gigabytes. If you specify a value with unrecognized formats, subsequent queries fail with an error.',
        type: 'Numeric',
        "default": '0 (unlimited)'
      },
      MIN_SPILLABLE_BUFFER_SIZE: {
        description: 'Specifies the minimum size for a memory buffer used when the spill-to-disk mechanism is activated, for example for queries against a large table with no statistics, or large join operations.\n\nAccepts a numeric value that represents a size in bytes; you can also use a suffix of m or mb for megabytes, or g or gb for gigabytes. If you specify a value with unrecognized formats, subsequent queries fail with an error.',
        type: 'Integer',
        "default": '65536 (64 KB)'
      },
      MT_DOP: {
        description: 'Sets the degree of parallelism used for certain operations that can benefit from multithreaded execution. You can specify values higher than zero to find the ideal balance of response time, memory usage, and CPU usage during statement processing.',
        type: 'Integer; Range from 0 to 64',
        "default": '0'
      },
      NUM_NODES: {
        description: 'Limit the number of nodes that process a query, typically during debugging.',
        type: 'Numeric; Only accepts the values 0 (meaning all nodes) or 1 (meaning all work is done on the coordinator node).',
        "default": '0'
      },
      NUM_SCANNER_THREADS: {
        description: 'Maximum number of scanner threads (on each node) used for each query. By default, Impala uses as many cores as are available (one thread per core). You might lower this value if queries are using excessive resources on a busy cluster. Impala imposes a maximum value automatically, so a high value has no practical',
        type: 'Numeric',
        "default": '0'
      },
      OPTIMIZE_PARTITION_KEY_SCANS: {
        description: 'Enables a fast code path for queries that apply simple aggregate functions to partition key columns: MIN(key_column), MAX(key_column), or COUNT(DISTINCT key_column).',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      PARQUET_ANNOTATE_STRINGS_UTF8: {
        description: 'Causes Impala INSERT and CREATE TABLE AS SELECT statements to write Parquet files that use the UTF-8 annotation for STRING columns.\n\nBy default, Impala represents a STRING column in Parquet as an unannotated binary field.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      PARQUET_FALLBACK_SCHEMA_RESOLUTION: {
        description: 'Allows Impala to look up columns within Parquet files by column name, rather than column order, when necessary.',
        type: 'integer or string. Allowed values are 0 for POSITION and 1 for NAME.',
        "default": '0'
      },
      PARQUET_FILE_SIZE: {
        description: 'Specifies the maximum size of each Parquet data file produced by Impala INSERT statements.',
        type: 'Numeric, with optional unit specifier.',
        "default": '0 (produces files with a target size of 256 MB; files might be larger for very wide tables)'
      },
      PREFETCH_MODE: {
        description: 'Determines whether the prefetching optimization is applied during join query processing.',
        type: 'Numeric (0, 1) or corresponding mnemonic strings (NONE, HT_BUCKET).',
        "default": '1 (equivalent to HT_BUCKET)'
      },
      QUERY_TIMEOUT_S: {
        description: 'Sets the idle query timeout value for the session, in seconds. Queries that sit idle for longer than the timeout value are automatically cancelled. If the system administrator specified the --idle_query_timeout startup option, QUERY_TIMEOUT_S must be smaller than or equal to the --idle_query_timeout value.',
        type: 'Numeric',
        "default": '0 (no timeout if --idle_query_timeout not in effect; otherwise, use --idle_query_timeout value)'
      },
      REQUEST_POOL: {
        description: 'The pool or queue name that queries should be submitted to. Only applies when you enable the Impala admission control feature. Specifies the name of the pool used by requests from Impala to the resource manager.',
        type: 'String',
        "default": 'empty (use the user-to-pool mapping defined by an impalad startup option in the Impala configuration file)'
      },
      REPLICA_PREFERENCE: {
        description: 'The REPLICA_PREFERENCE query option lets you distribute the work more evenly if hotspots and bottlenecks persist. It causes the access cost of all replicas of a data block to be considered equal to or worse than the configured value. This allows Impala to schedule reads to suboptimal replicas (e.g. local in the presence of cached ones) in order to distribute the work across more executor nodes.',
        type: 'Numeric (0, 2, 4) or corresponding mnemonic strings (CACHE_LOCAL, DISK_LOCAL, REMOTE). The gaps in the numeric sequence are to accomodate other intermediate values that might be added in the future.',
        "default": '0 (equivalent to CACHE_LOCAL)'
      },
      RUNTIME_BLOOM_FILTER_SIZE: {
        description: 'Size (in bytes) of Bloom filter data structure used by the runtime filtering feature.',
        type: 'Integer; Maximum 16 MB.',
        "default": '1048576 (1 MB)'
      },
      RUNTIME_FILTER_MAX_SIZE: {
        description: 'The RUNTIME_FILTER_MAX_SIZE query option adjusts the settings for the runtime filtering feature. This option defines the maximum size for a filter, no matter what the estimates produced by the planner are. This value also overrides any lower number specified for the RUNTIME_BLOOM_FILTER_SIZE query option. Filter sizes are rounded up to the nearest power of two.',
        type: 'Integer',
        "default": '0 (meaning use the value from the corresponding impalad startup option)'
      },
      RUNTIME_FILTER_MIN_SIZE: {
        description: 'The RUNTIME_FILTER_MIN_SIZE query option adjusts the settings for the runtime filtering feature. This option defines the minimum size for a filter, no matter what the estimates produced by the planner are. This value also overrides any lower number specified for the RUNTIME_BLOOM_FILTER_SIZE query option. Filter sizes are rounded up to the nearest power of two.',
        type: 'Integer',
        "default": '0 (meaning use the value from the corresponding impalad startup option)'
      },
      RUNTIME_FILTER_MODE: {
        description: 'The RUNTIME_FILTER_MODE query option adjusts the settings for the runtime filtering feature. It turns this feature on and off, and controls how extensively the filters are transmitted between hosts.',
        type: 'Numeric (0, 1, 2) or corresponding mnemonic strings (OFF, LOCAL, GLOBAL).',
        "default": '2 (equivalent to GLOBAL); formerly was 1 / LOCAL, in CDH 5.7 / Impala 2.5'
      },
      RUNTIME_FILTER_WAIT_TIME_MS: {
        description: 'The RUNTIME_FILTER_WAIT_TIME_MS query option adjusts the settings for the runtime filtering feature. It specifies a time in milliseconds that each scan node waits for runtime filters to be produced by other plan fragments.',
        type: 'Integer',
        "default": '0 (meaning use the value from the corresponding impalad startup option)'
      },
      S3_SKIP_INSERT_STAGING: {
        description: 'Speeds up INSERT operations on tables or partitions residing on the Amazon S3 filesystem. The tradeoff is the possibility of inconsistent data left behind if an error occurs partway through the operation.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'true (shown as 1 in output of SET statement)'
      },
      SCHEDULE_RANDOM_REPLICA: {
        description: 'The SCHEDULE_RANDOM_REPLICA query option fine-tunes the algorithm for deciding which host processes each HDFS data block. It only applies to tables and partitions that are not enabled for the HDFS caching feature.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      SCRATCH_LIMIT: {
        description: 'Specifies the maximum amount of disk storage, in bytes, that any Impala query can consume on any host using the "spill to disk" mechanism that handles queries that exceed the memory limit.',
        type: 'Numeric, with optional unit specifier',
        "default": '-1 (amount of spill space is unlimited)'
      },
      SHUFFLE_DISTINCT_EXPRS: {
        description: 'The SHUFFLE_DISTINCT_EXPRS query option controls the shuffling behavior when a query has both grouping and distinct expressions. Impala can optionally include the distinct expressions in the hash exchange to spread the data among more nodes. However, this plan requires one more hash exchange phase. It is recommended that you turn off this option if the NDVs of the grouping expressions are high.',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      SYNC_DDL: {
        description: 'When enabled, causes any DDL operation such as CREATE TABLE or ALTER TABLE to return only when the changes have been propagated to all other Impala nodes in the cluster by the Impala catalog service. That way, if you issue a subsequent CONNECT statement in impala-shell to connect to a different node in the cluster, you can be sure that other node will already recognize any added or changed tables. (The catalog service automatically broadcasts the DDL changes to all nodes automatically, but without this option there could be a period of inconsistency if you quickly switched to another node, such as by issuing a subsequent query through a load-balancing proxy.)',
        type: 'Boolean; recognized values are 1 and 0, or true and false; any other value interpreted as false',
        "default": 'false (shown as 0 in output of SET statement)'
      },
      TIMEZONE: {
        description: 'The TIMEZONE query option defines the timezone used for conversions between UTC and the local time. If not set, Impala uses the system time zone where the Coordinator Impalad runs. As query options are not sent to the Coordinator immediately, the timezones are validated only when the query runs.',
        type: 'String, can be a canonical code or a time zone name defined in the IANA Time Zone Database. The value is case-sensitive.',
        "default": 'Coordinator Impalad system time zone.'
      },
      TOPN_BYTES_LIMIT: {
        description: 'The TOPN_BYTES_LIMIT query option places a limit on the amount of estimated memory that Impala can process for top-N queries.',
        type: 'Numeric',
        "default": '536870912 (512 MB)'
      }
    }
  };

  var suggestOptions = function suggestOptions(dialect, completions, category) {
    if (dialect === 'hive' || dialect === 'impala') {
      Object.keys(SET_OPTIONS[dialect]).forEach(function (name) {
        completions.push({
          category: category,
          value: name,
          meta: '',
          popular: knockout__WEBPACK_IMPORTED_MODULE_0__["observable"](false),
          weightAdjust: 0,
          details: SET_OPTIONS[dialect][name]
        });
      });
    }
  };

  return {
    suggestOptions: suggestOptions
  };
}();

var SqlFunctions = function () {
  var MATHEMATICAL_FUNCTIONS = {
    hive: {
      abs: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'abs(DOUBLE a)',
        draggable: 'abs()',
        description: 'Returns the absolute value.'
      },
      acos: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'acos(DECIMAL|DOUBLE a)',
        draggable: 'acos()',
        description: 'Returns the arccosine of a if -1<=a<=1 or NULL otherwise.'
      },
      asin: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'asin(DECIMAL|DOUBLE a)',
        draggable: 'asin()',
        description: 'Returns the arc sin of a if -1<=a<=1 or NULL otherwise.'
      },
      atan: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'atan(DECIMAL|DOUBLE a)',
        draggable: 'atan()',
        description: 'Returns the arctangent of a.'
      },
      bin: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }]],
        signature: 'bin(BIGINT a)',
        draggable: 'bin()',
        description: 'Returns the number in binary format'
      },
      bround: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'bround(DOUBLE a [, INT decimals])',
        draggable: 'bround()',
        description: 'Returns the rounded BIGINT value of a using HALF_EVEN rounding mode with optional decimal places d.'
      },
      cbrt: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'cbft(DOUBLE a)',
        draggable: 'cbft()',
        description: 'Returns the cube root of a double value.'
      },
      ceil: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'ceil(DOUBLE a)',
        draggable: 'ceil()',
        description: 'Returns the minimum BIGINT value that is equal to or greater than a.'
      },
      ceiling: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'ceiling(DOUBLE a)',
        draggable: 'ceiling()',
        description: 'Returns the minimum BIGINT value that is equal to or greater than a.'
      },
      conv: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT'
        }]],
        signature: 'conv(BIGINT|STRING a, INT from_base, INT to_base)',
        draggable: 'conv()',
        description: 'Converts a number from a given base to another'
      },
      cos: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'cos(DECIMAL|DOUBLE a)',
        draggable: 'cos()',
        description: 'Returns the cosine of a (a is in radians).'
      },
      degrees: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'degrees(DECIMAL|DOUBLE a)',
        draggable: 'degrees()',
        description: 'Converts value of a from radians to degrees.'
      },
      e: {
        returnTypes: ['DOUBLE'],
        arguments: [[]],
        signature: 'e()',
        draggable: 'e()',
        description: 'Returns the value of e.'
      },
      exp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'exp(DECIMAL|DOUBLE a)',
        draggable: 'exp()',
        description: 'Returns e^a where e is the base of the natural logarithm.'
      },
      factorial: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'factorial(INT a)',
        draggable: 'factorial()',
        description: 'Returns the factorial of a. Valid a is [0..20].'
      },
      floor: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'floor(DOUBLE a)',
        draggable: 'floor()',
        description: 'Returns the maximum BIGINT value that is equal to or less than a.'
      },
      greatest: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'greatest(T a1, T a2, ...)',
        draggable: 'greatest()',
        description: 'Returns the greatest value of the list of values. Fixed to return NULL when one or more arguments are NULL, and strict type restriction relaxed, consistent with ">" operator.'
      },
      hex: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'BINARY'
        }, {
          type: 'STRING'
        }]],
        signature: 'hex(BIGINT|BINARY|STRING a)',
        draggable: 'hex()',
        description: 'If the argument is an INT or binary, hex returns the number as a STRING in hexadecimal format. Otherwise if the number is a STRING, it converts each character into its hexadecimal representation and returns the resulting STRING.'
      },
      least: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'least(T a1, T a2, ...)',
        draggable: 'least()',
        description: 'Returns the least value of the list of values. Fixed to return NULL when one or more arguments are NULL, and strict type restriction relaxed, consistent with "<" operator.'
      },
      ln: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'ln(DECIMAL|DOUBLE a)',
        draggable: 'ln()',
        description: 'Returns the natural logarithm of the argument a'
      },
      log: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }], [{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'log(DECIMAL|DOUBLE base, DECIMAL|DOUBLE a)',
        draggable: 'log()',
        description: 'Returns the base-base logarithm of the argument a.'
      },
      log10: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'log10(DECIMAL|DOUBLE a)',
        draggable: 'log10()',
        description: 'Returns the base-10 logarithm of the argument a.'
      },
      log2: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'log2(DECIMAL|DOUBLE a)',
        draggable: 'log2()',
        description: 'Returns the base-2 logarithm of the argument a.'
      },
      negative: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'INT'
        }]],
        signature: 'negative(T<DOUBLE|INT> a)',
        draggable: 'negative()',
        description: 'Returns -a.'
      },
      pi: {
        returnTypes: ['DOUBLE'],
        arguments: [],
        signature: 'pi()',
        draggable: 'pi()',
        description: 'Returns the value of pi.'
      },
      pmod: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'INT'
        }], [{
          type: 'T'
        }]],
        signature: 'pmod(T<DOUBLE|INT> a, T b)',
        draggable: 'pmod()',
        description: 'Returns the positive value of a mod b'
      },
      positive: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'INT'
        }]],
        signature: 'positive(T<DOUBLE|INT> a)',
        draggable: 'positive()',
        description: 'Returns a.'
      },
      pow: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'pow(DOUBLE a, DOUBLE p)',
        draggable: 'pow()',
        description: 'Returns a^p'
      },
      power: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'power(DOUBLE a, DOUBLE p)',
        draggable: 'power()',
        description: 'Returns a^p'
      },
      radians: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'radians(DECIMAL|DOUBLE a)',
        draggable: 'radians()',
        description: 'Converts value of a from degrees to radians.'
      },
      rand: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'INT',
          optional: true
        }]],
        signature: 'rand([INT seed])',
        draggable: 'rand()',
        description: 'Returns a random number (that changes from row to row) that is distributed uniformly from 0 to 1. Specifying the seed will make sure the generated random number sequence is deterministic.'
      },
      round: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'round(DOUBLE a [, INT d])',
        draggable: 'round()',
        description: 'Returns the rounded BIGINT value of a or a rounded to d decimal places.'
      },
      shiftleft: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }, {
          type: 'SMALLINT'
        }, {
          type: 'TINYINT'
        }], [{
          type: 'INT'
        }]],
        signature: 'shiftleft(T<BIGINT|INT|SMALLINT|TINYINT> a, INT b)',
        draggable: 'shiftleft()',
        description: 'Bitwise left shift. Shifts a b positions to the left. Returns int for tinyint, smallint and int a. Returns bigint for bigint a.'
      },
      shiftright: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }, {
          type: 'SMALLINT'
        }, {
          type: 'TINYINT'
        }], [{
          type: 'INT'
        }]],
        signature: 'shiftright(T<BIGINT|INT|SMALLINT|TINYINT> a, INT b)',
        draggable: 'shiftright()',
        description: 'Bitwise right shift. Shifts a b positions to the right. Returns int for tinyint, smallint and int a. Returns bigint for bigint a.'
      },
      shiftrightunsigned: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }, {
          type: 'SMALLINT'
        }, {
          type: 'TINYINT'
        }], [{
          type: 'INT'
        }]],
        signature: 'shiftrightunsigned(T<BIGINT|INT|SMALLINT|TINYINT> a, INT b)',
        draggable: 'shiftrightunsigned()',
        description: 'Bitwise unsigned right shift. Shifts a b positions to the right. Returns int for tinyint, smallint and int a. Returns bigint for bigint a.'
      },
      sign: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'INT'
        }]],
        signature: 'sign(T<DOUBLE|INT> a)',
        draggable: 'sign()',
        description: "Returns the sign of a as '1.0' (if a is positive) or '-1.0' (if a is negative), '0.0' otherwise. The decimal version returns INT instead of DOUBLE."
      },
      sin: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'sin(DECIMAL|DOUBLE a)',
        draggable: 'sin()',
        description: 'Returns the sine of a (a is in radians).'
      },
      sqrt: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'sqrt(DECIMAL|DOUBLE a)',
        draggable: 'sqrt()',
        description: 'Returns the square root of a'
      },
      tan: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'tan(DECIMAL|DOUBLE a)',
        draggable: 'tan()',
        description: 'Returns the tangent of a (a is in radians).'
      },
      unhex: {
        returnTypes: ['BINARY'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'unhex(STRING a)',
        draggable: 'unhex()',
        description: 'Inverse of hex. Interprets each pair of characters as a hexadecimal number and converts to the byte representation of the number.'
      },
      width_bucket: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'NUMBER'
        }, {
          type: 'NUMBER'
        }, {
          type: 'NUMBER'
        }, {
          type: 'INT'
        }]],
        signature: 'width_bucket(NUMBER expr, NUMBER min_value, NUMBER max_value, INT num_buckets)',
        draggable: 'width_bucket()',
        description: 'Returns an integer between 0 and num_buckets+1 by mapping expr into the ith equally sized bucket. Buckets are made by dividing [min_value, max_value] into equally sized regions. If expr < min_value, return 1, if expr > max_value return num_buckets+1. (as of Hive 3.0.0)'
      }
    },
    impala: {
      abs: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'abs(T a)',
        draggable: 'abs()',
        description: 'Returns the absolute value of the argument. Use this function to ensure all return values are positive. This is different than the positive() function, which returns its argument unchanged (even if the argument was negative).'
      },
      acos: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'acos(DOUBLE a)',
        draggable: 'acos()',
        description: 'Returns the arccosine of the argument.'
      },
      asin: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'asin(DOUBLE a)',
        draggable: 'asin()',
        description: 'Returns the arcsine of the argument.'
      },
      atan: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'atan(DOUBLE a)',
        draggable: 'atan()',
        description: 'Returns the arctangent of the argument.'
      },
      atan2: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'atan2(DOUBLE a, DOUBLE b)',
        draggable: 'atan2()',
        description: 'Returns the arctangent of the two arguments, with the signs of the arguments used to determine the quadrant of the result.'
      },
      bin: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }]],
        signature: 'bin(BIGINT a)',
        draggable: 'bin()',
        description: 'Returns the binary representation of an integer value, that is, a string of 0 and 1 digits.'
      },
      ceil: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }]],
        signature: 'ceil(T<DOUBLE|DECIMAL> a)',
        draggable: 'ceil()',
        description: 'Returns the smallest integer that is greater than or equal to the argument.'
      },
      ceiling: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }]],
        signature: 'ceiling(T<DOUBLE|DECIMAL> a)',
        draggable: 'ceiling()',
        description: 'Returns the smallest integer that is greater than or equal to the argument.'
      },
      conv: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT'
        }]],
        signature: 'conv(T<BIGINT|STRING> a, INT from_base, INT to_base)',
        draggable: 'conv()',
        description: 'Returns a string representation of an integer value in a particular base. The input value can be a string, for example to convert a hexadecimal number such as fce2 to decimal. To use the return value as a number (for example, when converting to base 10), use CAST() to convert to the appropriate type.'
      },
      cos: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'cos(DOUBLE a)',
        draggable: 'cos()',
        description: 'Returns the cosine of the argument.'
      },
      cosh: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'cosh(DOUBLE a)',
        draggable: 'cosh()',
        description: 'Returns the hyperbolic cosine of the argument.'
      },
      cot: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'cot(DOUBLE a)',
        draggable: 'cot()',
        description: 'Returns the cotangent of the argument.'
      },
      dceil: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }]],
        signature: 'dceil(T<DOUBLE|DECIMAL> a)',
        draggable: 'dceil()',
        description: 'Returns the smallest integer that is greater than or equal to the argument.'
      },
      degrees: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'degrees(DOUBLE a)',
        draggable: 'degrees()',
        description: 'Converts argument value from radians to degrees.'
      },
      dexp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'dexp(DOUBLE a)',
        draggable: 'dexp()',
        description: 'Returns the mathematical constant e raised to the power of the argument.'
      },
      dfloor: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }]],
        signature: 'dfloor(T<DOUBLE|DECIMAL> a)',
        draggable: 'dfloor()',
        description: 'Returns the largest integer that is less than or equal to the argument.'
      },
      dlog1: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'dlog1(DOUBLE a)',
        draggable: 'dlog1()',
        description: 'Returns the natural logarithm of the argument.'
      },
      dpow: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'dpow(DOUBLE a, DOUBLE p)',
        draggable: 'dpow()',
        description: 'Returns the first argument raised to the power of the second argument.'
      },
      dround: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'dround(DOUBLE a [, INT d]), round(DECIMAL val, INT d)',
        draggable: 'dround()',
        description: 'Rounds a floating-point value. By default (with a single argument), rounds to the nearest integer. Values ending in .5 are rounded up for positive numbers, down for negative numbers (that is, away from zero). The optional second argument specifies how many digits to leave after the decimal point; values greater than zero produce a floating-point return value rounded to the requested number of digits to the right of the decimal point.'
      },
      dsqrt: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'dsqrt(DOUBLE a)',
        draggable: 'dsqrt()',
        description: 'Returns the square root of the argument.'
      },
      dtrunc: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'NUMBER',
          optional: true
        }]],
        signature: 'dtrunc(T<DOUBLE|DECIMAL> a, [NUMBER b])',
        draggable: 'dtrunc()',
        description: 'Removes some or all fractional digits from a numeric value. With no argument, removes all fractional digits, leaving an integer value. The optional argument specifies the number of fractional digits to include in the return value, and only applies with the argument type is DECIMAL. truncate(), trunc() and dtrunc() are aliases for the same function.'
      },
      e: {
        returnTypes: ['DOUBLE'],
        arguments: [],
        signature: 'e()',
        draggable: 'e()',
        description: 'Returns the mathematical constant e.'
      },
      exp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'exp(DOUBLE a)',
        draggable: 'exp()',
        description: 'Returns the mathematical constant e raised to the power of the argument.'
      },
      factorial: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'factorial(T a)',
        draggable: 'factorial()',
        description: 'Computes the factorial of an integer value. It works with any integer type. You can use either the factorial() function or the ! operator. The factorial of 0 is 1. Likewise, the factorial() function returns 1 for any negative value. The maximum positive value for the input argument is 20; a value of 21 or greater overflows the range for a BIGINT and causes an error.'
      },
      floor: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }]],
        signature: 'floor(T<DOUBLE|DECIMAL> a)',
        draggable: 'floor()',
        description: 'Returns the largest integer that is less than or equal to the argument.'
      },
      fmod: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DOUBLE'
        }], [{
          type: 'FLOAT'
        }, {
          type: 'FLOAT'
        }]],
        signature: 'fmod(DOUBLE a, DOUBLE b), fmod(FLOAT a, FLOAT b)',
        draggable: 'fmod()',
        description: 'Returns the modulus of a floating-point number'
      },
      fpow: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'fpow(DOUBLE a, DOUBLE p)',
        draggable: 'fpow()',
        description: 'Returns the first argument raised to the power of the second argument.'
      },
      fnv_hash: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'fnv_hash(T a)',
        draggable: 'fnv_hash()',
        description: 'Returns a consistent 64-bit value derived from the input argument, for convenience of implementing hashing logic in an application.'
      },
      greatest: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'greatest(T a1, T a2, ...)',
        draggable: 'greatest()',
        description: 'Returns the largest value from a list of expressions.'
      },
      hex: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'STRING'
        }]],
        signature: 'hex(T<BIGINT|STRING> a)',
        draggable: 'hex()',
        description: 'Returns the hexadecimal representation of an integer value, or of the characters in a string.'
      },
      is_inf: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'is_inf(DOUBLE a)',
        draggable: 'is_inf()',
        description: 'Tests whether a value is equal to the special value "inf", signifying infinity.'
      },
      is_nan: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'is_nan(DOUBLE A)',
        draggable: 'is_nan()',
        description: 'Tests whether a value is equal to the special value "NaN", signifying "not a number".'
      },
      least: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'least(T a1, T a2, ...)',
        draggable: 'least()',
        description: 'Returns the smallest value from a list of expressions.'
      },
      ln: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'ln(DOUBLE a)',
        draggable: 'ln()',
        description: 'Returns the natural logarithm of the argument.'
      },
      log: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'log(DOUBLE base, DOUBLE a)',
        draggable: 'log()',
        description: 'Returns the logarithm of the second argument to the specified base.'
      },
      log10: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'log10(DOUBLE a)',
        draggable: 'log10()',
        description: 'Returns the logarithm of the argument to the base 10.'
      },
      log2: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'log2(DOUBLE a)',
        draggable: 'log2()',
        description: 'Returns the logarithm of the argument to the base 2.'
      },
      max_bigint: {
        returnTypes: ['BIGINT'],
        arguments: [],
        signature: 'max_bigint()',
        draggable: 'max_bigint()',
        description: 'Returns the largest value of the associated integral type.'
      },
      max_int: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'max_int()',
        draggable: 'max_int()',
        description: 'Returns the largest value of the associated integral type.'
      },
      max_smallint: {
        returnTypes: ['SMALLINT'],
        arguments: [],
        signature: 'max_smallint()',
        draggable: 'max_smallint()',
        description: 'Returns the largest value of the associated integral type.'
      },
      max_tinyint: {
        returnTypes: ['TINYINT'],
        arguments: [],
        signature: 'max_tinyint()',
        draggable: 'max_tinyint()',
        description: 'Returns the largest value of the associated integral type.'
      },
      min_bigint: {
        returnTypes: ['BIGINT'],
        arguments: [],
        signature: 'min_bigint()',
        draggable: 'min_bigint()',
        description: 'Returns the smallest value of the associated integral type (a negative number).'
      },
      min_int: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'min_int()',
        draggable: 'min_int()',
        description: 'Returns the smallest value of the associated integral type (a negative number).'
      },
      min_smallint: {
        returnTypes: ['SMALLINT'],
        arguments: [],
        signature: 'min_smallint()',
        draggable: 'min_smallint()',
        description: 'Returns the smallest value of the associated integral type (a negative number).'
      },
      min_tinyint: {
        returnTypes: ['TINYINT'],
        arguments: [],
        signature: 'min_tinyint()',
        draggable: 'min_tinyint()',
        description: 'Returns the smallest value of the associated integral type (a negative number).'
      },
      mod: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'mod(T a, T b)',
        draggable: 'mod()',
        description: 'Returns the modulus of a number. Equivalent to the % arithmetic operator. Works with any size integer type, any size floating-point type, and DECIMAL with any precision and scale.'
      },
      murmur_hash: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'murmur_hash(T a)',
        draggable: 'murmur_hash()',
        description: 'Returns a consistent 64-bit value derived from the input argument, for convenience of implementing MurmurHash2 non-cryptographic hash function.'
      },
      negative: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'negative(T a)',
        draggable: 'negative()',
        description: 'Returns the argument with the sign reversed; returns a positive value if the argument was already negative.'
      },
      pi: {
        returnTypes: ['DOUBLE'],
        arguments: [],
        signature: 'pi()',
        draggable: 'pi()',
        description: 'Returns the constant pi.'
      },
      pmod: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'INT'
        }], [{
          type: 'T'
        }]],
        signature: 'pmod(T<DOUBLE|INT> a, T b)',
        draggable: 'pmod()',
        description: 'Returns the positive modulus of a number.'
      },
      positive: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'positive(T a)',
        draggable: 'positive()',
        description: 'Returns the original argument unchanged (even if the argument is negative).'
      },
      pow: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'pow(DOUBLE a, DOUBLE p)',
        draggable: 'pow()',
        description: 'Returns the first argument raised to the power of the second argument.'
      },
      power: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }]],
        signature: 'power(DOUBLE a, DOUBLE p)',
        draggable: 'power()',
        description: 'Returns the first argument raised to the power of the second argument.'
      },
      precision: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'NUMBER'
        }]],
        signature: 'precision(numeric_expression)',
        draggable: 'precision()',
        description: 'Computes the precision (number of decimal digits) needed to represent the type of the argument expression as a DECIMAL value.'
      },
      quotient: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'DOUBLE'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'quotient(BIGINT numerator, BIGINT denominator), quotient(DOUBLE numerator, DOUBLE denominator)',
        draggable: 'quotient()',
        description: 'Returns the first argument divided by the second argument, discarding any fractional part. Avoids promoting arguments to DOUBLE as happens with the / SQL operator.'
      },
      radians: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'radians(DOUBLE a)',
        draggable: 'radians()',
        description: 'Converts argument value from degrees to radians.'
      },
      rand: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'INT',
          optional: true
        }]],
        signature: 'rand([INT seed])',
        draggable: 'rand()',
        description: 'Returns a random value between 0 and 1. After rand() is called with a seed argument, it produces a consistent random sequence based on the seed value.'
      },
      random: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'INT',
          optional: true
        }]],
        signature: 'random([INT seed])',
        draggable: 'random()',
        description: 'Returns a random value between 0 and 1. After rand() is called with a seed argument, it produces a consistent random sequence based on the seed value.'
      },
      round: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DECIMAL'
        }, {
          type: 'DOUBLE'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'round(DOUBLE a [, INT d]), round(DECIMAL val, INT d)',
        draggable: 'round()',
        description: 'Rounds a floating-point value. By default (with a single argument), rounds to the nearest integer. Values ending in .5 are rounded up for positive numbers, down for negative numbers (that is, away from zero). The optional second argument specifies how many digits to leave after the decimal point; values greater than zero produce a floating-point return value rounded to the requested number of digits to the right of the decimal point.'
      },
      scale: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'NUMBER'
        }]],
        signature: 'scale(numeric_expression)',
        draggable: 'scale()',
        description: 'Computes the scale (number of decimal digits to the right of the decimal point) needed to represent the type of the argument expression as a DECIMAL value.'
      },
      sign: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'sign(DOUBLE a)',
        draggable: 'sign()',
        description: 'Returns -1, 0, or 1 to indicate the signedness of the argument value.'
      },
      sin: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'sin(DOUBLE a)',
        draggable: 'sin()',
        description: 'Returns the sine of the argument.'
      },
      sinh: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'sinh(DOUBLE a)',
        draggable: 'sinh()',
        description: 'Returns the hyperbolic sine of the argument.'
      },
      sqrt: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'sqrt(DOUBLE a)',
        draggable: 'sqrt()',
        description: 'Returns the square root of the argument.'
      },
      tan: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'tan(DOUBLE a)',
        draggable: 'tan()',
        description: 'Returns the tangent of the argument.'
      },
      tanh: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DOUBLE'
        }]],
        signature: 'tanh(DOUBLE a)',
        draggable: 'tanh()',
        description: 'Returns the tangent of the argument.'
      },
      trunc: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'NUMBER',
          optional: true
        }]],
        signature: 'trunc(T<DOUBLE|DECIMAL> a, [NUMBER b])',
        draggable: 'trunc()',
        description: 'Removes some or all fractional digits from a numeric value. With no argument, removes all fractional digits, leaving an integer value. The optional argument specifies the number of fractional digits to include in the return value, and only applies with the argument type is DECIMAL. truncate(), trunc() and dtrunc() are aliases for the same function.'
      },
      truncate: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'NUMBER',
          optional: true
        }]],
        signature: 'truncate(T<DOUBLE|DECIMAL> a, [NUMBER b])',
        draggable: 'truncate()',
        description: 'Removes some or all fractional digits from a numeric value. With no argument, removes all fractional digits, leaving an integer value. The optional argument specifies the number of fractional digits to include in the return value, and only applies with the argument type is DECIMAL. truncate(), trunc() and dtrunc() are aliases for the same function.'
      },
      unhex: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'unhex(STRING a)',
        draggable: 'unhex()',
        description: 'Returns a string of characters with ASCII values corresponding to pairs of hexadecimal digits in the argument.'
      },
      width_bucket: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'DOUBLE'
        }, {
          type: 'DECIMAL'
        }], [{
          type: 'INT'
        }]],
        signature: 'width_bucket(DECIMAL expr, DECIMAL min_value, DECIMAL max_value, INT num_buckets)',
        draggable: 'width_bucket()',
        description: 'Returns the bucket number in which the expr value would fall in the histogram where its range between min_value and max_value is divided into num_buckets buckets of identical sizes.'
      }
    }
  };
  var COMPLEX_TYPE_CONSTRUCTS = {
    hive: {
      array: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'array(val1, val2, ...)',
        draggable: 'array()',
        description: 'Creates an array with the given elements.'
      },
      create_union: {
        returnTypes: ['UNION'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T',
          multiple: true
        }]],
        signature: 'create_union(tag, val1, val2, ...)',
        draggable: 'create_union()',
        description: 'Creates a union type with the value that is being pointed to by the tag parameter.'
      },
      map: {
        returnTypes: ['MAP'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'map(key1, value1, ...)',
        draggable: 'map()',
        description: 'Creates a map with the given key/value pairs.'
      },
      named_struct: {
        returnTypes: ['STRUCT'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'named_struct(name1, val1, ...)',
        draggable: 'named_struct()',
        description: 'Creates a struct with the given field names and values.'
      },
      struct: {
        returnTypes: ['STRUCT'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'struct(val1, val2, ...)',
        draggable: 'struct()',
        description: 'Creates a struct with the given field values. Struct field names will be col1, col2, ....'
      }
    },
    impala: {}
  };
  var AGGREGATE_FUNCTIONS = {
    generic: {
      count: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'count(col)',
        draggable: 'count()',
        description: 'count(*) - Returns the total number of retrieved rows, including rows containing NULL values. count(expr) - Returns the number of rows for which the supplied expression is non-NULL.'
      },
      sum: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'sum(col)',
        draggable: 'sum()',
        description: 'Returns the sum of the elements in the group or the sum of the distinct values of the column in the group.'
      },
      max: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'max(col)',
        draggable: 'max()',
        description: 'Returns the maximum value of the column in the group.'
      },
      min: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'min(col)',
        draggable: 'min()',
        description: 'Returns the minimum of the column in the group.'
      }
    },
    hive: {
      avg: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'avg(col)',
        draggable: 'avg()',
        description: 'Returns the average of the elements in the group or the average of the distinct values of the column in the group.'
      },
      collect_set: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'collect_set(col)',
        draggable: 'collect_set()',
        description: 'Returns a set of objects with duplicate elements eliminated.'
      },
      collect_list: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'collect_list(col)',
        draggable: 'collect_list()',
        description: 'Returns a list of objects with duplicates. (As of Hive 0.13.0.)'
      },
      corr: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'corr(col1, col2)',
        draggable: 'corr()',
        description: 'Returns the Pearson coefficient of correlation of a pair of a numeric columns in the group.'
      },
      count: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'count([DISTINCT] col)',
        draggable: 'count()',
        description: 'count(*) - Returns the total number of retrieved rows, including rows containing NULL values. count(expr) - Returns the number of rows for which the supplied expression is non-NULL. count(DISTINCT expr[, expr]) - Returns the number of rows for which the supplied expression(s) are unique and non-NULL. Execution of this can be optimized with hive.optimize.distinct.rewrite.'
      },
      covar_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'covar_pop(col1, col2)',
        draggable: 'covar_pop()',
        description: 'Returns the population covariance of a pair of numeric columns in the group.'
      },
      covar_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'covar_samp(col1, col2)',
        draggable: 'covar_samp()',
        description: 'Returns the sample covariance of a pair of a numeric columns in the group.'
      },
      histogram_numeric: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'histogram_numeric(col, b)',
        draggable: 'histogram_numeric()',
        description: 'Computes a histogram of a numeric column in the group using b non-uniformly spaced bins. The output is an array of size b of double-valued (x,y) coordinates that represent the bin centers and heights.'
      },
      max: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'max(col)',
        draggable: 'max()',
        description: 'Returns the maximum value of the column in the group.'
      },
      min: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'min(col)',
        draggable: 'min()',
        description: 'Returns the minimum of the column in the group.'
      },
      ntile: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'ntile(INT x)',
        draggable: 'ntile()',
        description: 'Divides an ordered partition into x groups called buckets and assigns a bucket number to each row in the partition. This allows easy calculation of tertiles, quartiles, deciles, percentiles and other common summary statistics. (As of Hive 0.11.0.)'
      },
      percentile: {
        returnTypes: ['DOUBLE', 'ARRAY'],
        arguments: [[{
          type: 'BIGINT'
        }], [{
          type: 'ARRAY'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'percentile(BIGINT col, p), array<DOUBLE> percentile(BIGINT col, array(p1 [, p2]...))',
        draggable: 'percentile()',
        description: 'Returns the exact pth percentile (or percentiles p1, p2, ..) of a column in the group (does not work with floating point types). p must be between 0 and 1. NOTE: A true percentile can only be computed for integer values. Use PERCENTILE_APPROX if your input is non-integral.'
      },
      percentile_approx: {
        returnTypes: ['DOUBLE', 'ARRAY'],
        arguments: [[{
          type: 'DOUBLE'
        }], [{
          type: 'DOUBLE'
        }, {
          type: 'ARRAY'
        }], [{
          type: 'BIGINT',
          optional: true
        }]],
        signature: 'percentile_approx(DOUBLE col, p, [, B]), array<DOUBLE> percentile_approx(DOUBLE col, array(p1 [, p2]...), [, B])',
        draggable: 'percentile_approx()',
        description: 'Returns an approximate pth percentile (or percentiles p1, p2, ..) of a numeric column (including floating point types) in the group. The B parameter controls approximation accuracy at the cost of memory. Higher values yield better approximations, and the default is 10,000. When the number of distinct values in col is smaller than B, this gives an exact percentile value.'
      },
      regr_avgx: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_avgx(T independent, T dependent)',
        draggable: 'regr_avgx()',
        description: 'Equivalent to avg(dependent). As of Hive 2.2.0.'
      },
      regr_avgy: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_avgy(T independent, T dependent)',
        draggable: 'regr_avgy()',
        description: 'Equivalent to avg(dependent). As of Hive 2.2.0.'
      },
      regr_count: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_count(T independent, T dependent)',
        draggable: 'regr_count()',
        description: 'Returns the number of non-null pairs used to fit the linear regression line. As of Hive 2.2.0.'
      },
      regr_intercept: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_intercept(T independent, T dependent)',
        draggable: 'regr_intercept()',
        description: 'Returns the y-intercept of the linear regression line, i.e. the value of b in the equation dependent = a * independent + b. As of Hive 2.2.0.'
      },
      regr_r2: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_r2(T independent, T dependent)',
        draggable: 'regr_r2()',
        description: 'Returns the coefficient of determination for the regression. As of Hive 2.2.0.'
      },
      regr_slope: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_slope(T independent, T dependent)',
        draggable: 'regr_slope()',
        description: 'Returns the slope of the linear regression line, i.e. the value of a in the equation dependent = a * independent + b. As of Hive 2.2.0.'
      },
      regr_sxx: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_sxx(T independent, T dependent)',
        draggable: 'regr_sxx()',
        description: 'Equivalent to regr_count(independent, dependent) * var_pop(dependent). As of Hive 2.2.0.'
      },
      regr_sxy: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_sxy(T independent, T dependent)',
        draggable: 'regr_sxy()',
        description: 'Equivalent to regr_count(independent, dependent) * covar_pop(independent, dependent). As of Hive 2.2.0.'
      },
      regr_syy: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'regr_syy(T independent, T dependent)',
        draggable: 'regr_syy()',
        description: 'Equivalent to regr_count(independent, dependent) * var_pop(independent). As of Hive 2.2.0.'
      },
      stddev_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'stddev_pop(col)',
        draggable: 'stddev_pop()',
        description: 'Returns the standard deviation of a numeric column in the group.'
      },
      stddev_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'stddev_samp(col)',
        draggable: 'stddev_samp()',
        description: 'Returns the unbiased sample standard deviation of a numeric column in the group.'
      },
      sum: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'sum(col)',
        draggable: 'sum()',
        description: 'Returns the sum of the elements in the group or the sum of the distinct values of the column in the group.'
      },
      variance: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'variance(col)',
        draggable: 'variance()',
        description: 'Returns the variance of a numeric column in the group.'
      },
      var_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'var_pop(col)',
        draggable: 'var_pop()',
        description: 'Returns the variance of a numeric column in the group.'
      },
      var_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'var_samp(col)',
        draggable: 'var_samp()',
        description: 'Returns the unbiased sample variance of a numeric column in the group.'
      }
    },
    impala: {
      appx_median: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'appx_median([DISTINCT|ALL] T col)',
        draggable: 'appx_median()',
        description: 'An aggregate function that returns a value that is approximately the median (midpoint) of values in the set of input values.'
      },
      avg: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'NUMBER'
        }]],
        signature: 'avg([DISTINCT|ALL] col)',
        draggable: 'avg()',
        description: 'An aggregate function that returns the average value from a set of numbers. Its single argument can be numeric column, or the numeric result of a function or expression applied to the column value. Rows with a NULL value for the specified column are ignored. If the table is empty, or all the values supplied to AVG are NULL, AVG returns NULL.'
      },
      count: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'count([DISTINCT|ALL] col)',
        draggable: 'count()',
        description: 'An aggregate function that returns the number of rows, or the number of non-NULL rows.'
      },
      group_concat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'group_concat([ALL] col [, separator])',
        draggable: 'group_concat()',
        description: 'An aggregate function that returns a single string representing the argument value concatenated together for each row of the result set. If the optional separator string is specified, the separator is added between each pair of concatenated values. The default separator is a comma followed by a space.'
      },
      max: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'max([DISTINCT | ALL] T col)',
        draggable: 'max()',
        description: 'An aggregate function that returns the maximum value from a set of numbers. Opposite of the MIN function. Its single argument can be numeric column, or the numeric result of a function or expression applied to the column value. Rows with a NULL value for the specified column are ignored. If the table is empty, or all the values supplied to MAX are NULL, MAX returns NULL.'
      },
      min: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'min([DISTINCT | ALL] T col)',
        draggable: 'min()',
        description: 'An aggregate function that returns the minimum value from a set of numbers. Opposite of the MAX function. Its single argument can be numeric column, or the numeric result of a function or expression applied to the column value. Rows with a NULL value for the specified column are ignored. If the table is empty, or all the values supplied to MIN are NULL, MIN returns NULL.'
      },
      ndv: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'ndv([DISTINCT | ALL] col)',
        draggable: 'ndv()',
        description: 'An aggregate function that returns an approximate value similar to the result of COUNT(DISTINCT col), the "number of distinct values". It is much faster than the combination of COUNT and DISTINCT, and uses a constant amount of memory and thus is less memory-intensive for columns with high cardinality.'
      },
      stddev: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'stddev([DISTINCT | ALL] col)',
        draggable: 'stddev()',
        description: 'Returns the standard deviation of a numeric column in the group.'
      },
      stddev_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'stddev_pop([DISTINCT | ALL] col)',
        draggable: 'stddev_pop()',
        description: 'Returns the population standard deviation of a numeric column in the group.'
      },
      stddev_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'stddev_samp([DISTINCT | ALL] col)',
        draggable: 'stddev_samp()',
        description: 'Returns the unbiased sample standard deviation of a numeric column in the group.'
      },
      sum: {
        returnTypes: ['BIGINT', 'DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'sum([DISTINCT | ALL] col)',
        draggable: 'sum()',
        description: 'An aggregate function that returns the sum of a set of numbers. Its single argument can be numeric column, or the numeric result of a function or expression applied to the column value. Rows with a NULL value for the specified column are ignored. If the table is empty, or all the values supplied to MIN are NULL, SUM returns NULL.'
      },
      variance: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'variance([DISTINCT | ALL] col)',
        draggable: 'variance()',
        description: 'An aggregate function that returns the variance of a set of numbers. This is a mathematical property that signifies how far the values spread apart from the mean. The return value can be zero (if the input is a single value, or a set of identical values), or a positive number otherwise.'
      },
      variance_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'variance_pop([DISTINCT | ALL] col)',
        draggable: 'variance_pop()',
        description: 'An aggregate function that returns the population variance of a set of numbers. This is a mathematical property that signifies how far the values spread apart from the mean. The return value can be zero (if the input is a single value, or a set of identical values), or a positive number otherwise.'
      },
      variance_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'variance_samp([DISTINCT | ALL] col)',
        draggable: 'variance_samp()',
        description: 'An aggregate function that returns the sample variance of a set of numbers. This is a mathematical property that signifies how far the values spread apart from the mean. The return value can be zero (if the input is a single value, or a set of identical values), or a positive number otherwise.'
      },
      var_pop: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'var_pop(col)',
        draggable: 'var_pop()',
        description: 'Returns the variance of a numeric column in the group.'
      },
      var_samp: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'var_samp(col)',
        draggable: 'var_samp()',
        description: 'Returns the unbiased sample variance of a numeric column in the group.'
      }
    }
  };
  var COLLECTION_FUNCTIONS = {
    hive: {
      array_contains: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'ARRAY'
        }], [{
          type: 'T'
        }]],
        signature: 'array_contains(Array<T> a, val)',
        draggable: 'array_contains()',
        description: 'Returns TRUE if the array contains value.'
      },
      map_keys: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'MAP'
        }]],
        signature: 'array<K.V> map_keys(Map<K.V> a)',
        draggable: 'array<K.V> map_keys()',
        description: 'Returns an unordered array containing the keys of the input map.'
      },
      map_values: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'MAP'
        }]],
        signature: 'array<K.V> map_values(Map<K.V> a)',
        draggable: 'array<K.V> map_values()',
        description: 'Returns an unordered array containing the values of the input map.'
      },
      size: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'ARRAY'
        }, {
          type: 'MAP'
        }]],
        signature: 'size(Map<K.V>|Array<T> a)',
        draggable: 'size()',
        description: 'Returns the number of elements in the map or array type.'
      },
      sort_array: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'ARRAY'
        }]],
        signature: 'sort_array(Array<T> a)',
        draggable: 'sort_array()',
        description: 'Sorts the input array in ascending order according to the natural ordering of the array elements and returns it.'
      }
    },
    impala: {}
  };
  var TYPE_CONVERSION_FUNCTIONS = {
    hive: {
      binary: {
        returnTypes: ['BINARY'],
        arguments: [[{
          type: 'BINARY'
        }, {
          type: 'STRING'
        }]],
        signature: 'binary(BINARY|STRING a)',
        draggable: 'binary()',
        description: 'Casts the parameter into a binary.'
      },
      cast: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'cast(a as T)',
        draggable: 'cast()',
        description: "Converts the results of the expression expr to type T. For example, cast('1' as BIGINT) will convert the string '1' to its integral representation. A null is returned if the conversion does not succeed. If cast(expr as boolean) Hive returns true for a non-empty string."
      }
    },
    impala: {
      cast: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'cast(a as T)',
        draggable: 'cast()',
        description: "Converts the results of the expression expr to type T. For example, cast('1' as BIGINT) will convert the string '1' to its integral representation. A null is returned if the conversion does not succeed. If cast(expr as boolean) Hive returns true for a non-empty string."
      },
      "typeof": {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'typeof(T a)',
        draggable: 'typeof()',
        description: 'Returns the name of the data type corresponding to an expression. For types with extra attributes, such as length for CHAR and VARCHAR, or precision and scale for DECIMAL, includes the full specification of the type.'
      }
    }
  };
  var DATE_FUNCTIONS = {
    hive: {
      add_months: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }, {
          type: 'TIMESTAMP'
        }], [{
          type: 'INT'
        }]],
        signature: 'add_months(DATE|STRING|TIMESTAMP start_date, INT num_months)',
        draggable: 'add_months()',
        description: 'Returns the date that is num_months after start_date (as of Hive 1.1.0). start_date is a string, date or timestamp. num_months is an integer. The time part of start_date is ignored. If start_date is the last day of the month or if the resulting month has fewer days than the day component of start_date, then the result is the last day of the resulting month. Otherwise, the result has the same day component as start_date.'
      },
      current_date: {
        returnTypes: ['DATE'],
        arguments: [],
        signature: 'current_date',
        draggable: 'current_date',
        description: 'Returns the current date at the start of query evaluation (as of Hive 1.2.0). All calls of current_date within the same query return the same value.'
      },
      current_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [],
        signature: 'current_timestamp()',
        draggable: 'current_timestamp()',
        description: 'Returns the current timestamp at the start of query evaluation (as of Hive 1.2.0). All calls of current_timestamp within the same query return the same value.'
      },
      datediff: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'datediff(STRING enddate, STRING startdate)',
        draggable: 'datediff()',
        description: "Returns the number of days from startdate to enddate: datediff('2009-03-01', '2009-02-27') = 2."
      },
      date_add: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'date_add(DATE startdate, INT days)',
        draggable: 'date_add()',
        description: "Adds a number of days to startdate: date_add('2008-12-31', 1) = '2009-01-01'. T = pre 2.1.0: STRING, 2.1.0 on: DATE"
      },
      date_format: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }, {
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'date_format(DATE|TIMESTAMP|STRING ts, STRING fmt)',
        draggable: 'date_format()',
        description: "Converts a date/timestamp/string to a value of string in the format specified by the date format fmt (as of Hive 1.2.0). Supported formats are Java SimpleDateFormat formats - https://docs.oracle.com/javase/7/docs/api/java/text/SimpleDateFormat.html. The second argument fmt should be constant. Example: date_format('2015-04-08', 'y') = '2015'."
      },
      date_sub: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'date_sub(DATE startdate, INT days)',
        draggable: 'date_sub()',
        description: "Subtracts a number of days to startdate: date_sub('2008-12-31', 1) = '2008-12-30'. T = pre 2.1.0: STRING, 2.1.0 on: DATE"
      },
      day: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'day(STRING date)',
        draggable: 'day()',
        description: "Returns the day part of a date or a timestamp string: day('1970-11-01 00:00:00') = 1, day('1970-11-01') = 1."
      },
      dayofmonth: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'dayofmonth(STRING date)',
        draggable: 'dayofmonth()',
        description: "Returns the day part of a date or a timestamp string: dayofmonth('1970-11-01 00:00:00') = 1, dayofmonth('1970-11-01') = 1."
      },
      extract: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'extract(field FROM source)',
        draggable: 'extract()',
        description: 'Retrieve fields such as days or hours from source (as of Hive 2.2.0). Source must be a date, timestamp, interval or a string that can be converted into either a date or timestamp. Supported fields include: day, dayofweek, hour, minute, month, quarter, second, week and year.'
      },
      from_unixtime: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'BIGINT'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'from_unixtime(BIGINT unixtime [, STRING format])',
        draggable: 'from_unixtime()',
        description: "Converts the number of seconds from unix epoch (1970-01-01 00:00:00 UTC) to a string representing the timestamp of that moment in the current system time zone in the format of '1970-01-01 00:00:00'"
      },
      from_utc_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'STRING'
        }]],
        signature: 'from_utc_timestamp(T a, STRING timezone)',
        draggable: 'from_utc_timestamp()',
        description: "Assumes given timestamp is UTC and converts to given timezone (as of Hive 0.8.0). For example, from_utc_timestamp('1970-01-01 08:00:00','PST') returns 1970-01-01 00:00:00"
      },
      hour: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'hour(STRING date)',
        draggable: 'hour()',
        description: "Returns the hour of the timestamp: hour('2009-07-30 12:58:59') = 12, hour('12:58:59') = 12."
      },
      last_day: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'last_day(STRING date)',
        draggable: 'last_day()',
        description: "Returns the last day of the month which the date belongs to (as of Hive 1.1.0). date is a string in the format 'yyyy-MM-dd HH:mm:ss' or 'yyyy-MM-dd'. The time part of date is ignored."
      },
      minute: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'minute(STRING date)',
        draggable: 'minute()',
        description: 'Returns the minute of the timestamp.'
      },
      month: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'month(STRING date)',
        draggable: 'month()',
        description: "Returns the month part of a date or a timestamp string: month('1970-11-01 00:00:00') = 11, month('1970-11-01') = 11."
      },
      months_between: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }, {
          type: 'TIMESTAMP'
        }], [{
          type: 'DATE'
        }, {
          type: 'STRING'
        }, {
          type: 'TIMESTAMP'
        }]],
        signature: 'months_between(DATE|TIMESTAMP|STRING date1, DATE|TIMESTAMP|STRING date2)',
        draggable: 'months_between()',
        description: "Returns number of months between dates date1 and date2 (as of Hive 1.2.0). If date1 is later than date2, then the result is positive. If date1 is earlier than date2, then the result is negative. If date1 and date2 are either the same days of the month or both last days of months, then the result is always an integer. Otherwise the UDF calculates the fractional portion of the result based on a 31-day month and considers the difference in time components date1 and date2. date1 and date2 type can be date, timestamp or string in the format 'yyyy-MM-dd' or 'yyyy-MM-dd HH:mm:ss'. The result is rounded to 8 decimal places. Example: months_between('1997-02-28 10:30:00', '1996-10-30') = 3.94959677"
      },
      next_day: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'next_day(STRING start_date, STRING day_of_week)',
        draggable: 'next_day()',
        description: "Returns the first date which is later than start_date and named as day_of_week (as of Hive 1.2.0). start_date is a string/date/timestamp. day_of_week is 2 letters, 3 letters or full name of the day of the week (e.g. Mo, tue, FRIDAY). The time part of start_date is ignored. Example: next_day('2015-01-14', 'TU') = 2015-01-20."
      },
      quarter: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'DATE'
        }, {
          type: 'STRING'
        }, {
          type: 'TIMESTAMP'
        }]],
        signature: 'quarter(DATE|TIMESTAMP|STRING a)',
        draggable: 'quarter()',
        description: "Returns the quarter of the year for a date, timestamp, or string in the range 1 to 4. Example: quarter('2015-04-08') = 2."
      },
      second: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'second(STRING date)',
        draggable: 'second()',
        description: 'Returns the second of the timestamp.'
      },
      to_date: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'to_date(STRING timestamp)',
        draggable: 'to_date()',
        description: "Returns the date part of a timestamp string, example to_date('1970-01-01 00:00:00'). T = pre 2.1.0: STRING 2.1.0 on: DATE"
      },
      to_utc_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'STRING'
        }]],
        signature: 'to_utc_timestamp(T a, STRING timezone)',
        draggable: 'to_utc_timestamp()',
        description: "Assumes given timestamp is in given timezone and converts to UTC (as of Hive 0.8.0). For example, to_utc_timestamp('1970-01-01 00:00:00','PST') returns 1970-01-01 08:00:00."
      },
      trunc: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'trunc(STRING date, STRING format)',
        draggable: 'trunc()',
        description: "Returns date truncated to the unit specified by the format (as of Hive 1.2.0). Supported formats: MONTH/MON/MM, YEAR/YYYY/YY. Example: trunc('2015-03-17', 'MM') = 2015-03-01."
      },
      unix_timestamp: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'STRING',
          optional: true
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'unix_timestamp([STRING date [, STRING pattern]])',
        draggable: 'unix_timestamp()',
        description: "Convert time string with given pattern to Unix time stamp (in seconds), return 0 if fail: unix_timestamp('2009-03-20', 'yyyy-MM-dd') = 1237532400."
      },
      weekofyear: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'weekofyear(STRING date)',
        draggable: 'weekofyear()',
        description: "Returns the week number of a timestamp string: weekofyear('1970-11-01 00:00:00') = 44, weekofyear('1970-11-01') = 44."
      },
      year: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'year(STRING date)',
        draggable: 'year()',
        description: "Returns the year part of a date or a timestamp string: year('1970-01-01 00:00:00') = 1970, year('1970-01-01') = 1970"
      }
    },
    impala: {
      add_months: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'add_months(TIMESTAMP date, BIGINT|INT months)',
        draggable: 'add_months()',
        description: 'Returns the specified date and time plus some number of months.'
      },
      adddate: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'adddate(TIMESTAMP startdate, BIGINT|INT days)',
        draggable: 'adddate()',
        description: 'Adds a specified number of days to a TIMESTAMP value. Similar to date_add(), but starts with an actual TIMESTAMP value instead of a string that is converted to a TIMESTAMP.'
      },
      current_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [],
        signature: 'current_timestamp()',
        draggable: 'current_timestamp()',
        description: 'Alias for the now() function.'
      },
      date_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'INT'
        }]],
        signature: 'date_add(TIMESTAMP startdate, INT days), date_add(TIMESTAMP startdate, interval_expression)',
        draggable: 'date_add()',
        description: 'Adds a specified number of days to a TIMESTAMP value. The first argument can be a string, which is automatically cast to TIMESTAMP if it uses the recognized format. With an INTERVAL expression as the second argument, you can calculate a delta value using other units such as weeks, years, hours, seconds, and so on.'
      },
      date_part: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'date_part(STRING unit, TIMESTAMP timestamp)',
        draggable: 'date_part()',
        description: 'Similar to EXTRACT(), with the argument order reversed. Supports the same date and time units as EXTRACT(). For compatibility with SQL code containing vendor extensions.'
      },
      date_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'INT'
        }]],
        signature: 'date_sub(TIMESTAMP startdate, INT days), date_sub(TIMESTAMP startdate, interval_expression)',
        draggable: 'date_sub()',
        description: 'Subtracts a specified number of days from a TIMESTAMP value. The first argument can be a string, which is automatically cast to TIMESTAMP if it uses the recognized format. With an INTERVAL expression as the second argument, you can calculate a delta value using other units such as weeks, years, hours, seconds, and so on.'
      },
      date_trunc: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'date_trunc(STRING unit, TIMESTAMP timestamp)',
        draggable: 'date_trunc()',
        description: "Truncates a TIMESTAMP value to the specified precision. The unit argument value for truncating TIMESTAMP values is not case-sensitive. This argument string can be one of: 'microseconds', 'milliseconds', 'second', 'minute', 'hour', 'day', 'week', 'month', 'year', 'decade', 'century' or 'millennium'."
      },
      datediff: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'datediff(TIMESTAMP enddate, TIMESTAMP startdate)',
        draggable: 'datediff()',
        description: 'Returns the number of days between two TIMESTAMP values.'
      },
      day: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'day(TIMESTAMP date)',
        draggable: 'day()',
        description: 'Returns the day field from the date portion of a TIMESTAMP. The value represents the day of the month, therefore is in the range 1-31, or less for months without 31 days.'
      },
      dayname: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'dayname(TIMESTAMP date)',
        draggable: 'dayname()',
        description: "Returns the day field from a TIMESTAMP value, converted to the string corresponding to that day name. The range of return values is 'Sunday' to 'Saturday'. Used in report-generating queries, as an alternative to calling dayofweek() and turning that numeric return value into a string using a CASE expression."
      },
      dayofmonth: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'dayofmonth(TIMESTAMP date)',
        draggable: 'dayofmonth()',
        description: 'Returns the day field from the date portion of a TIMESTAMP. The value represents the day of the month, therefore is in the range 1-31, or less for months without 31 days.'
      },
      dayofweek: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'dayofweek(TIMESTAMP date)',
        draggable: 'dayofweek()',
        description: 'Returns the day field from the date portion of a TIMESTAMP, corresponding to the day of the week. The range of return values is 1 (Sunday) to 7 (Saturday).'
      },
      dayofyear: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'dayofyear(TIMESTAMP date)',
        draggable: 'dayofyear()',
        description: 'Returns the day field from a TIMESTAMP value, corresponding to the day of the year. The range of return values is 1 (January 1) to 366 (December 31 of a leap year).'
      },
      days_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'days_add(TIMESTAMP startdate, BIGINT|INT days)',
        draggable: 'days_add()',
        description: 'Adds a specified number of days to a TIMESTAMP value. Similar to date_add(), but starts with an actual TIMESTAMP value instead of a string that is converted to a TIMESTAMP.'
      },
      days_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'days_sub(TIMESTAMP startdate, BIGINT|INT days)',
        draggable: 'days_sub()',
        description: 'Subtracts a specified number of days from a TIMESTAMP value. Similar to date_sub(), but starts with an actual TIMESTAMP value instead of a string that is converted to a TIMESTAMP.'
      },
      extract: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'extract(TIMESTAMP date, STRING unit), extract(STRING unit FROM TIMESTAMP date)',
        draggable: 'extract()',
        description: 'Returns one of the numeric date or time fields from a TIMESTAMP value.'
      },
      from_timestamp: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'from_timestamp(TIMESTAMP val, STRING format)',
        draggable: 'from_timestamp()',
        description: "Converts a specified timestamp to a string with the given format. Example: from_timestamp(cast('1999-01-01 10:10:10' as timestamp), 'yyyy-MM-dd')\" results in \"1999-01-01\""
      },
      from_unixtime: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'from_unixtime(BIGINT unixtime [, STRING format])',
        draggable: 'from_unixtime()',
        description: 'Converts the number of seconds from the Unix epoch to the specified time into a string in the local time zone.'
      },
      from_utc_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'from_utc_timestamp(TIMESTAMP date, STRING timezone)',
        draggable: 'from_utc_timestamp()',
        description: 'Converts a specified UTC timestamp value into the appropriate value for a specified time zone.'
      },
      hour: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'hour(TIMESTAMP date)',
        draggable: 'hour()',
        description: 'Returns the hour field from a TIMESTAMP field.'
      },
      hours_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'hours_add(TIMESTAMP date, BIGINT|INT hours)',
        draggable: 'hours_add()',
        description: 'Returns the specified date and time plus some number of hours.'
      },
      hours_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'hours_sub(TIMESTAMP date, BIGINT|INT hours)',
        draggable: 'hours_sub()',
        description: 'Returns the specified date and time minus some number of hours.'
      },
      int_months_between: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'int_months_between(TIMESTAMP newer, TIMESTAMP older)',
        draggable: 'int_months_between()',
        description: 'Returns the number of months between the date portions of two TIMESTAMP values, as an INT representing only the full months that passed.'
      },
      last_day: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'last_day(TIMESTAMP t)',
        draggable: 'last_day()',
        description: 'Returns a TIMESTAMP corresponding to the beginning of the last calendar day in the same month as the TIMESTAMP argument.'
      },
      microseconds_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'microseconds_add(TIMESTAMP date, BIGINT|INT microseconds)',
        draggable: 'microseconds_add()',
        description: 'Returns the specified date and time plus some number of microseconds.'
      },
      microseconds_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'microseconds_sub(TIMESTAMP date, BIGINT|INT microseconds)',
        draggable: 'microseconds_sub()',
        description: 'Returns the specified date and time minus some number of microseconds.'
      },
      millisecond: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'millisecond(TIMESTAMP date)',
        draggable: 'millisecond()',
        description: 'Returns the millisecond portion of a TIMESTAMP value.'
      },
      milliseconds_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'milliseconds_add(TIMESTAMP date, BIGINT|INT milliseconds)',
        draggable: 'milliseconds_add()',
        description: 'Returns the specified date and time plus some number of milliseconds.'
      },
      milliseconds_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'milliseconds_sub(TIMESTAMP date, BIGINT|INT milliseconds)',
        draggable: 'milliseconds_sub()',
        description: 'Returns the specified date and time minus some number of milliseconds.'
      },
      minute: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'minute(TIMESTAMP date)',
        draggable: 'minute()',
        description: 'Returns the minute field from a TIMESTAMP value.'
      },
      minutes_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'minutes_add(TIMESTAMP date, BIGINT|INT minutes)',
        draggable: 'minutes_add()',
        description: 'Returns the specified date and time plus some number of minutes.'
      },
      minutes_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'minutes_sub(TIMESTAMP date, BIGINT|INT minutes)',
        draggable: 'minutes_sub()',
        description: 'Returns the specified date and time minus some number of minutes.'
      },
      month: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'month(TIMESTAMP date)',
        draggable: 'month()',
        description: 'Returns the month field, represented as an integer, from the date portion of a TIMESTAMP.'
      },
      monthname: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'monthname(TIMESTAMP date)',
        draggable: 'monthname()',
        description: 'Returns the month field from TIMESTAMP value, converted to the string corresponding to that month name.'
      },
      months_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'months_add(TIMESTAMP date, BIGINT|INT months)',
        draggable: 'months_add()',
        description: 'Returns the specified date and time plus some number of months.'
      },
      months_between: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'months_between(TIMESTAMP newer, TIMESTAMP older)',
        draggable: 'months_between()',
        description: 'Returns the number of months between the date portions of two TIMESTAMP values. Can include a fractional part representing extra days in addition to the full months between the dates. The fractional component is computed by dividing the difference in days by 31 (regardless of the month).'
      },
      months_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'months_sub(TIMESTAMP date, BIGINT|INT months)',
        draggable: 'months_sub()',
        description: 'Returns the specified date and time minus some number of months.'
      },
      nanoseconds_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'nanoseconds_add(TIMESTAMP date, BIGINT|INT nanoseconds)',
        draggable: 'nanoseconds_add()',
        description: 'Returns the specified date and time plus some number of nanoseconds.'
      },
      nanoseconds_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'nanoseconds_sub(TIMESTAMP date, BIGINT|INT nanoseconds)',
        draggable: 'nanoseconds_sub()',
        description: 'Returns the specified date and time minus some number of nanoseconds.'
      },
      next_day: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'next_day(TIMESTAMP date, STRING weekday)',
        draggable: 'next_day()',
        description: 'Returns the date of the weekday that follows the specified date. The weekday parameter is case-insensitive. The following values are accepted for weekday: "Sunday"/"Sun", "Monday"/"Mon", "Tuesday"/"Tue", "Wednesday"/"Wed", "Thursday"/"Thu", "Friday"/"Fri", "Saturday"/"Sat".'
      },
      now: {
        returnTypes: ['TIMESTAMP'],
        arguments: [],
        signature: 'now()',
        draggable: 'now()',
        description: 'Returns the current date and time (in the local time zone) as a timestamp value.'
      },
      quarter: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'quarter(TIMESTAMP date)',
        draggable: 'quarter()',
        description: 'Returns the quarter in the input TIMESTAMP expression as an integer value, 1, 2, 3, or 4, where 1 represents January 1 through March 31.'
      },
      second: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'second(TIMESTAMP date)',
        draggable: 'second()',
        description: 'Returns the second field from a TIMESTAMP value.'
      },
      seconds_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'seconds_add(TIMESTAMP date, BIGINT|INT seconds)',
        draggable: 'seconds_add()',
        description: 'Returns the specified date and time plus some number of seconds.'
      },
      seconds_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'seconds_sub(TIMESTAMP date, BIGINT|INT seconds)',
        draggable: 'seconds_sub()',
        description: 'Returns the specified date and time minus some number of seconds.'
      },
      subdate: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'subdate(TIMESTAMP startdate, BIGINT|INT days)',
        draggable: 'subdate()',
        description: 'Subtracts a specified number of days from a TIMESTAMP value. Similar to date_sub(), but starts with an actual TIMESTAMP value instead of a string that is converted to a TIMESTAMP.'
      },
      timeofday: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'timeofday()',
        draggable: 'timeofday()',
        description: 'Returns a string representation of the current date and time, according to the time of the local system, including any time zone designation.'
      },
      timestamp_cmp: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'TIMESTAMP'
        }]],
        signature: 'timestamp_cmp(TIMESTAMP t1, TIMESTAMP t2)',
        draggable: 'timestamp_cmp()',
        description: 'Tests if one TIMESTAMP value is newer than, older than, or identical to another TIMESTAMP. Returns either -1, 0, 1 or NULL.'
      },
      to_date: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'to_date(TIMESTAMP date)',
        draggable: 'to_date()',
        description: 'Returns a string representation of the date field from a timestamp value.'
      },
      to_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        altArguments: [[{
          type: 'BIGINT'
        }]],
        signature: 'to_timestamp([STRING val, STRING format]|[BIGINT val])',
        draggable: 'to_timestamp()',
        description: "Converts a bigint (delta from the Unix epoch) or a string with the specified format to a timestamp. Example: to_timestamp('1970-01-01 00:00:00', 'yyyy-MM-dd HH:mm:ss')."
      },
      to_utc_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'to_utc_timestamp(TIMESTAMP date, STRING timezone)',
        draggable: 'to_utc_timestamp()',
        description: 'Converts a specified timestamp value in a specified time zone into the corresponding value for the UTC time zone.'
      },
      trunc: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'STRING'
        }]],
        signature: 'trunc(TIMESTAMP date, STRING unit)',
        draggable: 'trunc()',
        description: 'Strips off fields and optionally rounds a TIMESTAMP value. The unit argument value is case-sensitive. This argument string can be one of: SYYYY, YYYY, YEAR, SYEAR, YYY, YY, Y: Year. Q: Quarter. MONTH, MON, MM, RM: Month. WW, W: Same day of the week as the first day of the month. DDD, DD, J: Day. DAY, DY, D: Starting day of the week. (Not necessarily the current day.) HH, HH12, HH24: Hour. A TIMESTAMP value truncated to the hour is always represented in 24-hour notation, even for the HH12 argument string. MI: Minute.'
      },
      unix_timestamp: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING',
          optional: true
        }], [{
          type: 'STRING',
          optional: true
        }]],
        altArguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'unix_timestamp([STRING datetime [, STRING format]]|[TIMESTAMP datetime])',
        draggable: 'unix_timestamp()',
        description: 'Returns an integer value representing the current date and time as a delta from the Unix epoch, or converts from a specified date and time value represented as a TIMESTAMP or STRING.'
      },
      utc_timestamp: {
        returnTypes: ['TIMESTAMP'],
        arguments: [],
        signature: 'utc_timestamp()',
        draggable: 'utc_timestamp()',
        description: 'Returns a TIMESTAMP corresponding to the current date and time in the UTC time zone.'
      },
      weekofyear: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'weekofyear(TIMESTAMP date)',
        draggable: 'weekofyear()',
        description: 'Returns the corresponding week (1-53) from the date portion of a TIMESTAMP.'
      },
      weeks_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'weeks_add(TIMESTAMP date, BIGINT|INT weeks)',
        draggable: 'weeks_add()',
        description: 'Returns the specified date and time plus some number of weeks.'
      },
      weeks_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'weeks_sub(TIMESTAMP date, BIGINT|INT weeks)',
        draggable: 'weeks_sub()',
        description: 'Returns the specified date and time minus some number of weeks.'
      },
      year: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'TIMESTAMP'
        }]],
        signature: 'year(TIMESTAMP date)',
        draggable: 'year()',
        description: 'Returns the year field from the date portion of a TIMESTAMP.'
      },
      years_add: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'years_add(TIMESTAMP date, BIGINT|INT years)',
        draggable: 'years_add()',
        description: 'Returns the specified date and time plus some number of years.'
      },
      years_sub: {
        returnTypes: ['TIMESTAMP'],
        arguments: [[{
          type: 'TIMESTAMP'
        }], [{
          type: 'BIGINT'
        }, {
          type: 'INT'
        }]],
        signature: 'years_sub(TIMESTAMP date, BIGINT|INT years)',
        draggable: 'years_sub()',
        description: 'Returns the specified date and time minus some number of years.'
      }
    }
  };
  var CONDITIONAL_FUNCTIONS = {
    hive: {
      assert_true: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BOOLEAN'
        }]],
        signature: 'assert_true(BOOLEAN condition)',
        draggable: 'assert_true()',
        description: "Throw an exception if 'condition' is not true, otherwise return null (as of Hive 0.8.0). For example, select assert_true (2<1)."
      },
      coalesce: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'coalesce(T v1, T v2, ...)',
        draggable: 'coalesce()',
        description: "Returns the first v that is not NULL, or NULL if all v's are NULL."
      },
      "if": {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BOOLEAN'
        }], [{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'if(BOOLEAN testCondition, T valueTrue, T valueFalseOrNull)',
        draggable: 'if()',
        description: 'Returns valueTrue when testCondition is true, returns valueFalseOrNull otherwise.'
      },
      isnotnull: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'isnotnull(a)',
        draggable: 'isnotnull()',
        description: 'Returns true if a is not NULL and false otherwise.'
      },
      isnull: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'isnull(a)',
        draggable: 'isnull()',
        description: 'Returns true if a is NULL and false otherwise.'
      },
      nullif: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'nullif(a, b)',
        draggable: 'nullif()',
        description: 'Returns NULL if a=b; otherwise returns a (as of Hive 2.2.0).'
      },
      nvl: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'nvl(T value, T default_value)',
        draggable: 'nvl()',
        description: 'Returns default value if value is null else returns value (as of Hive 0.11).'
      }
    },
    impala: {
      coalesce: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'coalesce(T v1, T v2, ...)',
        draggable: 'coalesce()',
        description: 'Returns the first specified argument that is not NULL, or NULL if all arguments are NULL.'
      },
      decode: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }], [{
          type: 'T',
          multiple: true
        }]],
        signature: 'decode(T expression, T search1, T result1 [, T search2, T result2 ...] [, T default] )',
        draggable: 'decode()',
        description: 'Compares an expression to one or more possible values, and returns a corresponding result when a match is found.'
      },
      "if": {
        returnTypes: ['T'],
        arguments: [[{
          type: 'BOOLEAN'
        }], [{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'if(BOOLEAN condition, T ifTrue, T ifFalseOrNull)',
        draggable: 'if()',
        description: 'Tests an expression and returns a corresponding result depending on whether the result is true, false, or NULL.'
      },
      ifnull: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'ifnull(T a, T ifNotNull)',
        draggable: 'ifnull()',
        description: 'Alias for the isnull() function, with the same behavior. To simplify porting SQL with vendor extensions to Impala.'
      },
      isfalse: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'BOOLEAN'
        }]],
        signature: 'isfalse(BOOLEAN condition)',
        draggable: 'isfalse()',
        description: 'Tests if a Boolean expression is false or not. Returns true if so. If the argument is NULL, returns false. Identical to isnottrue(), except it returns the opposite value for a NULL argument.'
      },
      isnotfalse: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'BOOLEAN'
        }]],
        signature: 'isnotfalse(BOOLEAN condition)',
        draggable: 'isnotfalse()',
        description: 'Tests if a Boolean expression is not false (that is, either true or NULL). Returns true if so. If the argument is NULL, returns true. Identical to istrue(), except it returns the opposite value for a NULL argument.'
      },
      isnottrue: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'BOOLEAN'
        }]],
        signature: 'isnottrue(BOOLEAN condition)',
        draggable: 'isnottrue()',
        description: 'Tests if a Boolean expression is not true (that is, either false or NULL). Returns true if so. If the argument is NULL, returns true. Identical to isfalse(), except it returns the opposite value for a NULL argument.'
      },
      isnull: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'isnull(T a, T ifNotNull)',
        draggable: 'isnull()',
        description: 'Tests if an expression is NULL, and returns the expression result value if not. If the first argument is NULL, returns the second argument.'
      },
      istrue: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'BOOLEAN'
        }]],
        signature: 'istrue(BOOLEAN condition)',
        draggable: 'istrue()',
        description: 'Tests if a Boolean expression is true or not. Returns true if so. If the argument is NULL, returns false. Identical to isnotfalse(), except it returns the opposite value for a NULL argument.'
      },
      nonnullvalue: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'nonnullvalue(T expression)',
        draggable: 'nonnullvalue()',
        description: 'Tests if an expression (of any type) is NULL or not. Returns false if so. The converse of nullvalue().'
      },
      nullif: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'nullif(T expr1, T expr2)',
        draggable: 'nullif()',
        description: 'Returns NULL if the two specified arguments are equal. If the specified arguments are not equal, returns the value of expr1. The data types of the expressions must be compatible. You cannot use an expression that evaluates to NULL for expr1; that way, you can distinguish a return value of NULL from an argument value of NULL, which would never match expr2.'
      },
      nullifzero: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'NUMBER'
        }]],
        signature: 'nullifzero(T numeric_expr)',
        draggable: 'nullifzero()',
        description: 'Returns NULL if the numeric expression evaluates to 0, otherwise returns the result of the expression.'
      },
      nullvalue: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'nullvalue(T expression)',
        draggable: 'nullvalue()',
        description: 'Tests if an expression (of any type) is NULL or not. Returns true if so. The converse of nonnullvalue().'
      },
      nvl: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'nvl(T a, T ifNotNull)',
        draggable: 'nvl()',
        description: 'Alias for the isnull() function. Tests if an expression is NULL, and returns the expression result value if not. If the first argument is NULL, returns the second argument. Equivalent to the nvl() function from Oracle Database or ifnull() from MySQL.'
      },
      nvl2: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'nvl2(T a, T ifNull, T ifNotNull)',
        draggable: 'nvl2()',
        description: 'Enhanced variant of the nvl() function. Tests an expression and returns different result values depending on whether it is NULL or not. If the first argument is NULL, returns the second argument. If the first argument is not NULL, returns the third argument. Equivalent to the nvl2() function from Oracle.'
      },
      zeroifnull: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'NUMBER'
        }]],
        signature: 'zeroifnull(T numeric_expr)',
        draggable: 'zeroifnull()',
        description: 'Returns 0 if the numeric expression evaluates to NULL, otherwise returns the result of the expression.'
      }
    }
  };
  var STRING_FUNCTIONS = {
    hive: {
      ascii: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'ascii(STRING str)',
        draggable: 'ascii()',
        description: 'Returns the numeric value of the first character of str.'
      },
      base64: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BINARY'
        }]],
        signature: 'base64(BINARY bin)',
        draggable: 'base64()',
        description: 'Converts the argument from binary to a base 64 string (as of Hive 0.12.0).'
      },
      chr: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BIGINT'
        }, {
          type: 'DOUBLE'
        }]],
        signature: 'chr(BIGINT|DOUBLE a)',
        draggable: 'chr()',
        description: 'Returns the ASCII character having the binary equivalent to a (as of Hive 1.3.0 and 2.1.0). If a is larger than 256 the result is equivalent to chr(a % 256). Example: select chr(88); returns "X".'
      },
      char_length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'char_length(STRING a)',
        draggable: 'char_length()',
        description: 'Returns the number of UTF-8 characters contained in str (as of Hive 2.2.0). This is shorthand for character_length.'
      },
      character_length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'character_length(STRING a)',
        draggable: 'character_length()',
        description: 'Returns the number of UTF-8 characters contained in str (as of Hive 2.2.0). The function char_length is shorthand for this function.'
      },
      concat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING',
          multiple: true
        }, {
          type: 'BINARY',
          multiple: true
        }]],
        signature: 'concat(STRING|BINARY a, STRING|BINARY b...)',
        draggable: 'concat()',
        description: "Returns the string or bytes resulting from concatenating the strings or bytes passed in as parameters in order. For example, concat('foo', 'bar') results in 'foobar'. Note that this function can take any number of input strings."
      },
      concat_ws: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        altArguments: [[{
          type: 'STRING'
        }], [{
          type: 'ARRAY'
        }]],
        signature: 'concat_ws(STRING sep, STRING a, STRING b...), concat_ws(STRING sep, Array<STRING>)',
        draggable: 'concat_ws()',
        description: 'Like concat(), but with custom separator SEP.'
      },
      context_ngrams: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'ARRAY'
        }], [{
          type: 'ARRAY'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT'
        }]],
        signature: 'array<struct<STRING,DOUBLE>> context_ngrams(Array<Array<STRING>>, Array<STRING>, INT k, INT pf)',
        draggable: 'array<struct<STRING,DOUBLE>> context_ngrams()',
        description: 'Returns the top-k contextual N-grams from a set of tokenized sentences, given a string of "context".'
      },
      decode: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'BINARY'
        }], [{
          type: 'STRING'
        }]],
        signature: 'decode(BINARY bin, STRING charset)',
        draggable: 'decode()',
        description: "Decodes the first argument into a String using the provided character set (one of 'US-ASCII', 'ISO-8859-1', 'UTF-8', 'UTF-16BE', 'UTF-16LE', 'UTF-16'). If either argument is null, the result will also be null. (As of Hive 0.12.0.)"
      },
      elt: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'INT'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        signature: 'elt(INT n, STRING str, STRING str1, ...])',
        draggable: 'elt()',
        description: "Return string at index number. For example elt(2,'hello','world') returns 'world'. Returns NULL if N is less than 1 or greater than the number of arguments."
      },
      encode: {
        returnTypes: ['BINARY'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'encode(STRING src, STRING charset)',
        draggable: 'encode()',
        description: "Encodes the first argument into a BINARY using the provided character set (one of 'US-ASCII', 'ISO-8859-1', 'UTF-8', 'UTF-16BE', 'UTF-16LE', 'UTF-16'). If either argument is null, the result will also be null. (As of Hive 0.12.0.)"
      },
      field: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'field(T val, T val1, ...])',
        draggable: 'field()',
        description: "Returns the index of val in the val1,val2,val3,... list or 0 if not found. For example field('world','say','hello','world') returns 3. All primitive types are supported, arguments are compared using str.equals(x). If val is NULL, the return value is 0."
      },
      find_in_set: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'find_in_set(STRING str, STRING strList)',
        draggable: 'find_in_set()',
        description: "Returns the first occurance of str in strList where strList is a comma-delimited string. Returns null if either argument is null. Returns 0 if the first argument contains any commas. For example, find_in_set('ab', 'abc,b,ab,c,def') returns 3."
      },
      format_number: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'NUMBER'
        }], [{
          type: 'INT'
        }]],
        signature: 'format_number(NUMBER x, INT d)',
        draggable: 'format_number()',
        description: "Formats the number X to a format like '#,###,###.##', rounded to D decimal places, and returns the result as a string. If D is 0, the result has no decimal point or fractional part. (As of Hive 0.10.0; bug with float types fixed in Hive 0.14.0, decimal type support added in Hive 0.14.0)"
      },
      get_json_object: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'get_json_object(STRING json_string, STRING path)',
        draggable: 'get_json_object()',
        description: 'Extracts json object from a json string based on json path specified, and returns json string of the extracted json object. It will return null if the input json string is invalid. NOTE: The json path can only have the characters [0-9a-z_], i.e., no upper-case or special characters. Also, the keys *cannot start with numbers.* This is due to restrictions on Hive column names.'
      },
      initcap: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'initcap(STRING a)',
        draggable: 'initcap()',
        description: 'Returns string, with the first letter of each word in uppercase, all other letters in lowercase. Words are delimited by whitespace. (As of Hive 1.1.0.)'
      },
      instr: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'instr(STRING str, STRING substr)',
        draggable: 'instr()',
        description: 'Returns the position of the first occurrence of substr in str. Returns null if either of the arguments are null and returns 0 if substr could not be found in str. Be aware that this is not zero based. The first character in str has index 1.'
      },
      in_file: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'in_file(STRING str, STRING filename)',
        draggable: 'in_file()',
        description: 'Returns true if the string str appears as an entire line in filename.'
      },
      length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'length(STRING a)',
        draggable: 'length()',
        description: 'Returns the length of the string.'
      },
      levenshtein: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'levenshtein(STRING a, STRING b)',
        draggable: 'levenshtein()',
        description: "Returns the Levenshtein distance between two strings (as of Hive 1.2.0). For example, levenshtein('kitten', 'sitting') results in 3."
      },
      lcase: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'lcase(STRING a)',
        draggable: 'lcase()',
        description: "Returns the string resulting from converting all characters of B to lower case. For example, lcase('fOoBaR') results in 'foobar'."
      },
      locate: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'locate(STRING substr, STRING str [, INT pos])',
        draggable: 'locate()',
        description: 'Returns the position of the first occurrence of substr in str after position pos.'
      },
      lower: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'lower(STRING a)',
        draggable: 'lower()',
        description: "Returns the string resulting from converting all characters of B to lower case. For example, lower('fOoBaR') results in 'foobar'."
      },
      lpad: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'STRING'
        }]],
        signature: 'lpad(STRING str, INT len, STRING pad)',
        draggable: 'lpad()',
        description: 'Returns str, left-padded with pad to a length of len.'
      },
      ltrim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'ltrim(STRING a)',
        draggable: 'ltrim()',
        description: "Returns the string resulting from trimming spaces from the beginning(left hand side) of A. For example, ltrim(' foobar ') results in 'foobar '."
      },
      ngrams: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'ARRAY'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT'
        }]],
        signature: 'array<struct<STRING, DOUBLE>> ngrams(Array<Array<STRING>> a, INT n, INT k, INT pf)',
        draggable: 'array<struct<STRING, DOUBLE>> ngrams()',
        description: 'Returns the top-k N-grams from a set of tokenized sentences, such as those returned by the sentences() UDAF.'
      },
      octet_length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'octet_length(STRING a)',
        draggable: 'octet_length()',
        description: 'Returns the number of octets required to hold the string str in UTF-8 encoding (since Hive 2.2.0). Note that octet_length(str) can be larger than character_length(str).'
      },
      parse_url: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'parse_url(STRING urlString, STRING partToExtract [, STRING keyToExtract])',
        draggable: 'parse_url()',
        description: "Returns the specified part from the URL. Valid values for partToExtract include HOST, PATH, QUERY, REF, PROTOCOL, AUTHORITY, FILE, and USERINFO. For example, parse_url('http://facebook.com/path1/p.php?k1=v1&k2=v2#Ref1', 'HOST') returns 'facebook.com'. Also a value of a particular key in QUERY can be extracted by providing the key as the third argument, for example, parse_url('http://facebook.com/path1/p.php?k1=v1&k2=v2#Ref1', 'QUERY', 'k1') returns 'v1'."
      },
      printf: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'T',
          multiple: true
        }]],
        signature: 'printf(STRING format, Obj... args)',
        draggable: 'printf()',
        description: 'Returns the input formatted according do printf-style format strings (as of Hive 0.9.0).'
      },
      regexp_extract: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'regexp_extract(STRING subject, STRING pattern, INT index)',
        draggable: 'regexp_extract()',
        description: "Returns the string extracted using the pattern. For example, regexp_extract('foothebar', 'foo(.*?)(bar)', 2) returns 'bar.' Note that some care is necessary in using predefined character classes: using '\\s' as the second argument will match the letter s; '\\\\s' is necessary to match whitespace, etc. The 'index' parameter is the Java regex Matcher group() method index."
      },
      regexp_replace: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'regexp_replace(STRING initial_string, STRING pattern, STRING replacement)',
        draggable: 'regexp_replace()',
        description: 'Returns the string resulting from replacing all substrings in INITIAL_STRING that match the java regular expression syntax defined in PATTERN with instances of REPLACEMENT. For example, regexp_replace("foobar", "oo|ar", "") returns \'fb.\' Note that some care is necessary in using predefined character classes: using \'\\s\' as the second argument will match the letter s; \'\\\\s\' is necessary to match whitespace, etc.'
      },
      repeat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'repeat(STRING str, INT n)',
        draggable: 'repeat()',
        description: 'Repeats str n times.'
      },
      replace: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'replace(STRING a, STRING old, STRING new)',
        draggable: 'replace()',
        description: 'Returns the string a with all non-overlapping occurrences of old replaced with new (as of Hive 1.3.0 and 2.1.0). Example: select replace("ababab", "abab", "Z"); returns "Zab".'
      },
      reverse: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'reverse(STRING a)',
        draggable: 'reverse()',
        description: 'Returns the reversed string.'
      },
      rpad: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'STRING'
        }]],
        signature: 'rpad(STRING str, INT len, STRING pad)',
        draggable: 'rpad()',
        description: 'Returns str, right-padded with pad to a length of len.'
      },
      rtrim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'rtrim(STRING a)',
        draggable: 'rtrim()',
        description: "Returns the string resulting from trimming spaces from the end(right hand side) of A. For example, rtrim(' foobar ') results in ' foobar'."
      },
      sentences: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'array<array<STRING>> sentences(STRING str, STRING lang, STRING locale)',
        draggable: 'array<array<STRING>> sentences()',
        description: 'Tokenizes a string of natural language text into words and sentences, where each sentence is broken at the appropriate sentence boundary and returned as an array of words. The \'lang\' and \'locale\' are optional arguments. For example, sentences(\'Hello there! How are you?\') returns ( ("Hello", "there"), ("How", "are", "you") ).'
      },
      soundex: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'soundex(STRING a)',
        draggable: 'soundex()',
        description: "Returns soundex code of the string (as of Hive 1.2.0). For example, soundex('Miller') results in M460."
      },
      space: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'space(INT n)',
        draggable: 'space()',
        description: 'Returns a string of n spaces.'
      },
      split: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'array<STRING> split(STRING str, STRING pat)',
        draggable: 'array<STRING> split()',
        description: 'Splits str around pat (pat is a regular expression).'
      },
      str_to_map: {
        returnTypes: ['MAP'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'map<STRING,STRING> str_to_map(STRING [, STRING delimiter1, STRING delimiter2])',
        draggable: 'map<STRING,STRING> str_to_map()',
        description: "Splits text into key-value pairs using two delimiters. Delimiter1 separates text into K-V pairs, and Delimiter2 splits each K-V pair. Default delimiters are ',' for delimiter1 and '=' for delimiter2."
      },
      substr: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'substr(STRING|BINARY A, INT start [, INT len]) ',
        draggable: 'substr()',
        description: "Returns the substring or slice of the byte array of A starting from start position till the end of string A or with optional length len. For example, substr('foobar', 4) results in 'bar'"
      },
      substring: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'substring(STRING|BINARY a, INT start [, INT len])',
        draggable: 'substring()',
        description: "Returns the substring or slice of the byte array of A starting from start position till the end of string A or with optional length len. For example, substr('foobar', 4) results in 'bar'"
      },
      substring_index: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'substring_index(STRING a, STRING delim, INT count)',
        draggable: 'substring_index()',
        description: "Returns the substring from string A before count occurrences of the delimiter delim (as of Hive 1.3.0). If count is positive, everything to the left of the final delimiter (counting from the left) is returned. If count is negative, everything to the right of the final delimiter (counting from the right) is returned. Substring_index performs a case-sensitive match when searching for delim. Example: substring_index('www.apache.org', '.', 2) = 'www.apache'."
      },
      translate: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'CHAR'
        }, {
          type: 'VARCHAR'
        }], [{
          type: 'STRING'
        }, {
          type: 'CHAR'
        }, {
          type: 'VARCHAR'
        }], [{
          type: 'STRING'
        }, {
          type: 'CHAR'
        }, {
          type: 'VARCHAR'
        }]],
        signature: 'translate(STRING|CHAR|VARCHAR input, STRING|CHAR|VARCHAR from, STRING|CHAR|VARCHAR to)',
        draggable: 'translate()',
        description: 'Translates the input string by replacing the characters present in the from string with the corresponding characters in the to string. This is similar to the translate function in PostgreSQL. If any of the parameters to this UDF are NULL, the result is NULL as well. (Available as of Hive 0.10.0, for string types) Char/varchar support added as of Hive 0.14.0.'
      },
      trim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'trim(STRING a)',
        draggable: 'trim()',
        description: "Returns the string resulting from trimming spaces from both ends of A. For example, trim(' foobar ') results in 'foobar'"
      },
      ucase: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'ucase(STRING a)',
        draggable: 'ucase()',
        description: "Returns the string resulting from converting all characters of A to upper case. For example, ucase('fOoBaR') results in 'FOOBAR'."
      },
      unbase64: {
        returnTypes: ['BINARY'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'unbase64(STRING a)',
        draggable: 'unbase64()',
        description: 'Converts the argument from a base 64 string to BINARY. (As of Hive 0.12.0.)'
      },
      upper: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'upper(STRING a)',
        draggable: 'upper()',
        description: "Returns the string resulting from converting all characters of A to upper case. For example, upper('fOoBaR') results in 'FOOBAR'."
      }
    },
    impala: {
      ascii: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'ascii(STRING str)',
        draggable: 'ascii()',
        description: 'Returns the numeric ASCII code of the first character of the argument.'
      },
      base64decode: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'base64decode(STRING str)',
        draggable: 'base64decode()',
        description: "Decodes the given string from Base64, an ACSII string format. It's typically used in combination with base64encode(), to store data in an Impala table string that is problematic to store or transmit"
      },
      base64encode: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'base64encode(STRING str)',
        draggable: 'base64encode()',
        description: "Encodes the given string to Base64, an ACSII string format. It's typically used in combination with base64decode(), to store data in an Impala table string that is problematic to store or transmit"
      },
      btrim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'btrim(STRING str [, STRING chars_to_trim])',
        draggable: 'btrim()',
        description: 'Removes all instances of one or more characters from the start and end of a STRING value. By default, removes only spaces. If a non-NULL optional second argument is specified, the function removes all occurrences of characters in that second argument from the beginning and end of the string.'
      },
      char_length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'char_length(STRING a)',
        draggable: 'char_length()',
        description: 'Returns the length in characters of the argument string. Aliases for the length() function.'
      },
      character_length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'character_length(STRING a)',
        draggable: 'character_length()',
        description: 'Returns the length in characters of the argument string. Aliases for the length() function.'
      },
      chr: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'chr(INT character_code)',
        draggable: 'chr()',
        description: 'Returns a character specified by a decimal code point value. The interpretation and display of the resulting character depends on your system locale. Because consistent processing of Impala string values is only guaranteed for values within the ASCII range, only use this function for values corresponding to ASCII characters. In particular, parameter values greater than 255 return an empty string.'
      },
      concat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        signature: 'concat(STRING a, STRING b...)',
        draggable: 'concat()',
        description: 'Returns a single string representing all the argument values joined together.'
      },
      concat_ws: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        signature: 'concat_ws(STRING sep, STRING a, STRING b...)',
        draggable: 'concat_ws()',
        description: 'Returns a single string representing the second and following argument values joined together, delimited by a specified separator.'
      },
      find_in_set: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'find_in_set(STRING str, STRING strList)',
        draggable: 'find_in_set()',
        description: 'Returns the position (starting from 1) of the first occurrence of a specified string within a comma-separated string. Returns NULL if either argument is NULL, 0 if the search string is not found, or 0 if the search string contains a comma.'
      },
      group_concat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'group_concat(STRING s [, STRING sep])',
        draggable: 'group_concat()',
        description: 'Returns a single string representing the argument value concatenated together for each row of the result set. If the optional separator string is specified, the separator is added between each pair of concatenated values.'
      },
      initcap: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'initcap(STRING str)',
        draggable: 'initcap()',
        description: 'Returns the input string with the first letter capitalized.'
      },
      instr: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'BIGINT',
          optional: true
        }], [{
          type: 'BIGINT',
          optional: true
        }]],
        signature: 'instr(STRING str, STRING substr [, BIGINT position [, BIGINT occurrence]])',
        draggable: 'instr()',
        description: 'Returns the position (starting from 1) of the first occurrence of a substring within a longer string. The optional third and fourth arguments let you find instances of the substring other than the first instance starting from the left.'
      },
      left: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'left(STRING a, INT num_chars)',
        draggable: 'left()',
        description: 'Returns the leftmost characters of the string. Same as strleft().'
      },
      length: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'length(STRING a)',
        draggable: 'length()',
        description: 'Returns the length in characters of the argument string.'
      },
      levenshtein: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'levenshtein(STRING a, STRING b)',
        draggable: 'levenshtein()',
        description: "Returns the Levenshtein distance between two strings. For example, levenshtein('kitten', 'sitting') results in 3."
      },
      locate: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'locate(STRING substr, STRING str[, INT pos])',
        draggable: 'locate()',
        description: 'Returns the position (starting from 1) of the first occurrence of a substring within a longer string, optionally after a particular position.'
      },
      lower: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'lower(STRING a)',
        draggable: 'lower()',
        description: 'Returns the argument string converted to all-lowercase.'
      },
      lcase: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'lcase(STRING a)',
        draggable: 'lcase()',
        description: 'Returns the argument string converted to all-lowercase.'
      },
      lpad: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'STRING'
        }]],
        signature: 'lpad(STRING str, INT len, STRING pad)',
        draggable: 'lpad()',
        description: 'Returns a string of a specified length, based on the first argument string. If the specified string is too short, it is padded on the left with a repeating sequence of the characters from the pad string. If the specified string is too long, it is truncated on the right.'
      },
      ltrim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'ltrim(STRING a [, STRING charsToTrim])',
        draggable: 'ltrim()',
        description: 'Returns the argument string with all occurrences of characters specified by the second argument removed from the left side. Removes spaces if the second argument is not specified.'
      },
      parse_url: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'parse_url(STRING urlString, STRING partToExtract [, STRING keyToExtract])',
        draggable: 'parse_url()',
        description: "Returns the portion of a URL corresponding to a specified part. The part argument can be 'PROTOCOL', 'HOST', 'PATH', 'REF', 'AUTHORITY', 'FILE', 'USERINFO', or 'QUERY'. Uppercase is required for these literal values. When requesting the QUERY portion of the URL, you can optionally specify a key to retrieve just the associated value from the key-value pairs in the query string."
      },
      regexp_escape: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'regexp_escape(STRING source)',
        draggable: 'regexp_escape()',
        description: 'The regexp_escape function returns a string escaped for the special character in RE2 library so that the special characters are interpreted literally rather than as special characters. The following special characters are escaped by the function: .\\+*?[^]$(){}=!<>|:-'
      },
      regexp_extract: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'regexp_extract(STRING subject, STRING pattern, INT index)',
        draggable: 'regexp_extract()',
        description: 'Returns the specified () group from a string based on a regular expression pattern. Group 0 refers to the entire extracted string, while group 1, 2, and so on refers to the first, second, and so on (...) portion.'
      },
      regexp_like: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'regexp_like(STRING source, STRING pattern [, STRING options])',
        draggable: 'regexp_like()',
        description: 'Returns true or false to indicate whether the source string contains anywhere inside it the regular expression given by the pattern. The optional third argument consists of letter flags that change how the match is performed, such as i for case-insensitive matching.'
      },
      regexp_replace: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'regexp_replace(STRING initial, STRING pattern, STRING replacement)',
        draggable: 'regexp_replace()',
        description: 'Returns the initial argument with the regular expression pattern replaced by the final argument string.'
      },
      repeat: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'repeat(STRING str, INT n)',
        draggable: 'repeat()',
        description: 'Returns the argument string repeated a specified number of times.'
      },
      replace: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'replace(STRING initial, STRING target, STRING replacement)',
        draggable: 'replace()',
        description: 'Returns the initial argument with all occurrences of the target string replaced by the replacement string.'
      },
      reverse: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'reverse(STRING a)',
        draggable: 'reverse()',
        description: 'Returns the argument string with characters in reversed order.'
      },
      right: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'right(STRING a, INT num_chars)',
        draggable: 'right()',
        description: 'Returns the rightmost characters of the string. Same as strright().'
      },
      rpad: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'STRING'
        }]],
        signature: 'rpad(STRING str, INT len, STRING pad)',
        draggable: 'rpad()',
        description: 'Returns a string of a specified length, based on the first argument string. If the specified string is too short, it is padded on the right with a repeating sequence of the characters from the pad string. If the specified string is too long, it is truncated on the right.'
      },
      rtrim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'rtrim(STRING a [, STRING charsToTrim])',
        draggable: 'rtrim()',
        description: 'Returns the argument string with all occurrences of characters specified by the second argument removed from the right side. Removes spaces if the second argument is not specified.'
      },
      space: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'space(INT n)',
        draggable: 'space()',
        description: "Returns a concatenated string of the specified number of spaces. Shorthand for repeat(' ', n)."
      },
      split_part: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'BIGINT'
        }]],
        signature: 'split_part(STRING source, STRING delimiter, BIGINT n)',
        draggable: 'split_part()',
        description: 'Returns the nth field within a delimited string. The fields are numbered starting from 1. The delimiter can consist of multiple characters, not just a single character. All matching of the delimiter is done exactly, not using any regular expression patterns.'
      },
      strleft: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'strleft(STRING a, INT num_chars)',
        draggable: 'strleft()',
        description: 'Returns the leftmost characters of the string. Shorthand for a call to substr() with 2 arguments.'
      },
      strright: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }]],
        signature: 'strright(STRING a, INT num_chars)',
        draggable: 'strright()',
        description: 'Returns the rightmost characters of the string. Shorthand for a call to substr() with 2 arguments.'
      },
      substr: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'substr(STRING a, INT start [, INT len])',
        draggable: 'substr()',
        description: 'Returns the portion of the string starting at a specified point, optionally with a specified maximum length. The characters in the string are indexed starting at 1.'
      },
      substring: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'substring(STRING a, INT start [, INT len])',
        draggable: 'substring()',
        description: 'Returns the portion of the string starting at a specified point, optionally with a specified maximum length. The characters in the string are indexed starting at 1.'
      },
      translate: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'translate(STRING input, STRING from, STRING to)',
        draggable: 'translate()',
        description: 'Returns the input string with a set of characters replaced by another set of characters.'
      },
      trim: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'trim(STRING a)',
        draggable: 'trim()',
        description: 'Returns the input string with both leading and trailing spaces removed. The same as passing the string through both ltrim() and rtrim().'
      },
      upper: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'upper(STRING a)',
        draggable: 'upper()',
        description: 'Returns the argument string converted to all-uppercase.'
      },
      ucase: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }]],
        signature: 'ucase(STRING a)',
        draggable: 'ucase()',
        description: 'Returns the argument string converted to all-uppercase.'
      }
    }
  };
  var DATA_MASKING_FUNCTIONS = {
    hive: {
      mask: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          optional: true
        }], [{
          type: 'STRING',
          optional: true
        }], [{
          type: 'STRING',
          optional: true
        }]],
        signature: 'mask(STRING str [, STRING upper [, STRING lower [, STRING number]]])',
        draggable: 'mask()',
        description: 'Returns a masked version of str (as of Hive 2.1.0). By default, upper case letters are converted to "X", lower case letters are converted to "x" and numbers are converted to "n". For example mask("abcd-EFGH-8765-4321") results in xxxx-XXXX-nnnn-nnnn. You can override the characters used in the mask by supplying additional arguments: the second argument controls the mask character for upper case letters, the third argument for lower case letters and the fourth argument for numbers. For example, mask("abcd-EFGH-8765-4321", "U", "l", "#") results in llll-UUUU-####-####.'
      },
      mask_first_n: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'mask_first_n(STRING str [, INT n])',
        draggable: 'mask_first_n()',
        description: 'Returns a masked version of str with the first n values masked (as of Hive 2.1.0). Upper case letters are converted to "X", lower case letters are converted to "x" and numbers are converted to "n". For example, mask_first_n("1234-5678-8765-4321", 4) results in nnnn-5678-8765-4321.'
      },
      mask_last_n: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'mask_last_n(STRING str [, INT n])',
        draggable: 'mask_last_n()',
        description: 'Returns a masked version of str with the last n values masked (as of Hive 2.1.0). Upper case letters are converted to "X", lower case letters are converted to "x" and numbers are converted to "n". For example, mask_last_n("1234-5678-8765-4321", 4) results in 1234-5678-8765-nnnn.'
      },
      mask_show_first_n: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'mask_show_first_n(STRING str [, INT n])',
        draggable: 'mask_show_first_n()',
        description: 'Returns a masked version of str, showing the first n characters unmasked (as of Hive 2.1.0). Upper case letters are converted to "X", lower case letters are converted to "x" and numbers are converted to "n". For example, mask_show_first_n("1234-5678-8765-4321", 4) results in 1234-nnnn-nnnn-nnnn.'
      },
      mask_show_last_n: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'mask_show_last_n(STRING str [, INT n])',
        draggable: 'mask_show_last_n()',
        description: 'Returns a masked version of str, showing the last n characters unmasked (as of Hive 2.1.0). Upper case letters are converted to "X", lower case letters are converted to "x" and numbers are converted to "n". For example, mask_show_last_n("1234-5678-8765-4321", 4) results in nnnn-nnnn-nnnn-4321.'
      },
      mask_hash: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'CHAR'
        }, {
          type: 'VARCHAR'
        }]],
        signature: 'mask_hash(STRING|CHAR|VARCHAR str)',
        draggable: 'mask_hash()',
        description: 'Returns a hashed value based on str (as of Hive 2.1.0). The hash is consistent and can be used to join masked values together across tables. This function returns null for non-string types.'
      }
    },
    impala: {}
  };
  var TABLE_GENERATING_FUNCTIONS = {
    hive: {
      explode: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'ARRAY'
        }, {
          type: 'MAP'
        }]],
        signature: 'explode(Array|Array<T>|Map a)',
        draggable: 'explode()',
        description: ''
      },
      inline: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'ARRAY'
        }]],
        signature: 'inline(Array<Struct [, Struct]> a)',
        draggable: 'inline()',
        description: 'Explodes an array of structs into a table. (As of Hive 0.10.)'
      },
      json_tuple: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        signature: 'json_tuple(STRING jsonStr, STRING k1, STRING k2, ...)',
        draggable: 'json_tuple()',
        description: 'A new json_tuple() UDTF is introduced in Hive 0.7. It takes a set of names (keys) and a JSON string, and returns a tuple of values using one function. This is much more efficient than calling GET_JSON_OBJECT to retrieve more than one key from a single JSON string.'
      },
      parse_url_tuple: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING',
          multiple: true
        }]],
        signature: 'parse_url_tuple(STRING url, STRING p1, STRING p2, ...)',
        draggable: 'parse_url_tuple()',
        description: 'The parse_url_tuple() UDTF is similar to parse_url(), but can extract multiple parts of a given URL, returning the data in a tuple. Values for a particular key in QUERY can be extracted by appending a colon and the key to the partToExtract argument.'
      },
      posexplode: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'ARRAY'
        }]],
        signature: 'posexplode(ARRAY)',
        draggable: 'posexplode()',
        description: 'posexplode() is similar to explode but instead of just returning the elements of the array it returns the element as well as its position  in the original array.'
      },
      stack: {
        returnTypes: ['table'],
        arguments: [[{
          type: 'INT'
        }], [{
          type: 'T',
          multiple: true
        }]],
        signature: 'stack(INT n, v1, v2, ..., vk)',
        draggable: 'stack()',
        description: 'Breaks up v1, v2, ..., vk into n rows. Each row will have k/n columns. n must be constant.'
      }
    },
    impala: {}
  };
  var MISC_FUNCTIONS = {
    hive: {
      crc32: {
        returnTypes: ['BIGINT'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }]],
        signature: 'crc32(STRING|BINARY a)',
        draggable: 'crc32()',
        description: "Computes a cyclic redundancy check value for string or binary argument and returns bigint value (as of Hive 1.3.0). Example: crc32('ABC') = 2743272264."
      },
      current_database: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'current_database()',
        draggable: 'current_database()',
        description: 'Returns current database name (as of Hive 0.13.0).'
      },
      current_user: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'current_user()',
        draggable: 'current_user()',
        description: 'Returns current user name (as of Hive 1.2.0).'
      },
      get_json_object: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'get_json_object(STRING json, STRING jsonPath)',
        draggable: 'get_json_object()',
        description: 'A limited version of JSONPath is supported ($ : Root object, . : Child operator, [] : Subscript operator for array, * : Wildcard for []'
      },
      hash: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'T',
          multiple: true
        }]],
        signature: 'hash(a1[, a2...])',
        draggable: 'hash()',
        description: 'Returns a hash value of the arguments. (As of Hive 0.4.)'
      },
      java_method: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'java_method(class, method[, arg1[, arg2..]])',
        draggable: 'java_method()',
        description: 'Calls a Java method by matching the argument signature, using reflection. (As of Hive 0.9.0.)'
      },
      logged_in_user: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'logged_in_user()',
        draggable: 'logged_in_user()',
        description: 'Returns current user name from the session state (as of Hive 2.2.0). This is the username provided when connecting to Hive.'
      },
      md5: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }]],
        signature: 'md5(STRING|BINARY a)',
        draggable: 'md5()',
        description: "Calculates an MD5 128-bit checksum for the string or binary (as of Hive 1.3.0). The value is returned as a string of 32 hex digits, or NULL if the argument was NULL. Example: md5('ABC') = '902fbdd2b1df0c4f70b4a5d23525e932'."
      },
      reflect: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }], [{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'reflect(class, method[, arg1[, arg2..]])',
        draggable: 'reflect()',
        description: 'Calls a Java method by matching the argument signature, using reflection. (As of Hive 0.7.0.)'
      },
      sha: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }]],
        signature: 'sha(STRING|BINARY a)',
        draggable: 'sha()',
        description: "Calculates the SHA-1 digest for string or binary and returns the value as a hex string (as of Hive 1.3.0). Example: sha1('ABC') = '3c01bdbb26f358bab27f267924aa2c9a03fcfdb8'."
      },
      sha1: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }]],
        signature: 'sha1(STRING|BINARY a)',
        draggable: 'sha1()',
        description: "Calculates the SHA-1 digest for string or binary and returns the value as a hex string (as of Hive 1.3.0). Example: sha1('ABC') = '3c01bdbb26f358bab27f267924aa2c9a03fcfdb8'."
      },
      sha2: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }, {
          type: 'BINARY'
        }], [{
          type: 'INT'
        }]],
        signature: 'sha2(STRING|BINARY a, INT b)',
        draggable: 'sha2()',
        description: "Calculates the SHA-2 family of hash functions (SHA-224, SHA-256, SHA-384, and SHA-512) (as of Hive 1.3.0). The first argument is the string or binary to be hashed. The second argument indicates the desired bit length of the result, which must have a value of 224, 256, 384, 512, or 0 (which is equivalent to 256). SHA-224 is supported starting from Java 8. If either argument is NULL or the hash length is not one of the permitted values, the return value is NULL. Example: sha2('ABC', 256) = 'b5d4045c3f466fa91fe2cc6abe79232a1a57cdf104f7a26e716e0a1e2789df78'."
      },
      version: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'version()',
        draggable: 'version()',
        description: 'Returns the Hive version (as of Hive 2.1.0). The string contains 2 fields, the first being a build number and the second being a build hash. Example: "select version();" might return "2.1.0.2.5.0.0-1245 r027527b9c5ce1a3d7d0b6d2e6de2378fb0c39232". Actual results will depend on your build.'
      },
      xpath: {
        returnTypes: ['ARRAY'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'array<STRING> xpath(STRING xml, STRING xpath)',
        draggable: 'array<STRING> xpath()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_boolean: {
        returnTypes: ['BOOLEAN'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_boolean(STRING xml, STRING xpath)',
        draggable: 'xpath_boolean()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_double: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_double(STRING xml, STRING xpath)',
        draggable: 'xpath_double()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_float: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_float(STRING xml, STRING xpath)',
        draggable: 'xpath_float()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_int: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_int(STRING xml, STRING xpath)',
        draggable: 'xpath_int()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_long: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_long(STRING xml, STRING xpath)',
        draggable: 'xpath_long()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_number: {
        returnTypes: ['DOUBLE'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_number(STRING xml, STRING xpath)',
        draggable: 'xpath_number()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_short: {
        returnTypes: ['INT'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_short(STRING xml, STRING xpath)',
        draggable: 'xpath_short()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      },
      xpath_string: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'STRING'
        }], [{
          type: 'STRING'
        }]],
        signature: 'xpath_string(STRING xml, STRING xpath)',
        draggable: 'xpath_string()',
        description: 'The xpath family of UDFs are wrappers around the Java XPath library javax.xml.xpath provided by the JDK. The library is based on the XPath 1.0 specification.'
      }
    },
    impala: {
      coordinator: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'coordinator()',
        draggable: 'coordinator()',
        description: 'Returns the name of the host which is running the impalad daemon that is acting as the coordinator for the current query.'
      },
      current_database: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'current_database()',
        draggable: 'current_database()',
        description: 'Returns the database that the session is currently using, either default if no database has been selected, or whatever database the session switched to through a USE statement or the impalad - d option'
      },
      effective_user: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'effective_user()',
        draggable: 'effective_user()',
        description: 'Typically returns the same value as user(), except if delegation is enabled, in which case it returns the ID of the delegated user.'
      },
      logged_in_user: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'logged_in_user()',
        draggable: 'logged_in_user()',
        description: 'Purpose: Typically returns the same value as USER(). If delegation is enabled, it returns the ID of the delegated user. LOGGED_IN_USER() is an alias of EFFECTIVE_USER().'
      },
      pid: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'pid()',
        draggable: 'pid()',
        description: 'Returns the process ID of the impalad daemon that the session is connected to.You can use it during low - level debugging, to issue Linux commands that trace, show the arguments, and so on the impalad process.'
      },
      sleep: {
        returnTypes: ['STRING'],
        arguments: [[{
          type: 'INT'
        }]],
        signature: 'sleep(INT ms)',
        draggable: 'sleep()',
        description: 'Pauses the query for a specified number of milliseconds. For slowing down queries with small result sets enough to monitor runtime execution, memory usage, or other factors that otherwise would be difficult to capture during the brief interval of query execution.'
      },
      user: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'user()',
        draggable: 'user()',
        description: 'Returns the username of the Linux user who is connected to the impalad daemon.Typically called a single time, in a query without any FROM clause, to understand how authorization settings apply in a security context; once you know the logged - in user name, you can check which groups that user belongs to, and from the list of groups you can check which roles are available to those groups through the authorization policy file.In Impala 2.0 and later, user() returns the the full Kerberos principal string, such as user@example.com, in a Kerberized environment.'
      },
      uuid: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'uuid()',
        draggable: 'uuid()',
        description: 'Returns a universal unique identifier, a 128-bit value encoded as a string with groups of hexadecimal digits separated by dashes.'
      },
      version: {
        returnTypes: ['STRING'],
        arguments: [],
        signature: 'version()',
        draggable: 'version()',
        description: 'Returns information such as the precise version number and build date for the impalad daemon that you are currently connected to.Typically used to confirm that you are connected to the expected level of Impala to use a particular feature, or to connect to several nodes and confirm they are all running the same level of impalad.'
      }
    }
  };
  var ANALYTIC_FUNCTIONS = {
    hive: {
      cume_dist: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'cume_dist()',
        draggable: 'cume_dist()',
        description: ''
      },
      dense_rank: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'dense_rank() OVER([partition_by_clause] order_by_clause)',
        draggable: 'dense_rank() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. The output sequence produces duplicate integers for duplicate values of the ORDER BY expressions.'
      },
      first_value: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'first_value(expr) OVER([partition_by_clause] order_by_clause [window_clause])',
        draggable: 'first_value() OVER()',
        description: 'Returns the expression value from the first row in the window. The return value is NULL if the input expression is NULL.'
      },
      lag: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT',
          optional: true
        }], [{
          type: 'T',
          optional: true
        }]],
        signature: 'lag(expr [, offset] [, default]) OVER ([partition_by_clause] order_by_clause)',
        draggable: 'lag() OVER()',
        description: 'This function returns the value of an expression using column values from a preceding row. You specify an integer offset, which designates a row position some number of rows previous to the current row. Any column references in the expression argument refer to column values from that prior row.'
      },
      last_value: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'last_value(expr) OVER([partition_by_clause] order_by_clause [window_clause])',
        draggable: 'last_value() OVER()',
        description: 'Returns the expression value from the last row in the window. The return value is NULL if the input expression is NULL.'
      },
      lead: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT',
          optional: true
        }], [{
          type: 'T',
          optional: true
        }]],
        signature: 'lead(expr [, offset] [, default]) OVER([partition_by_clause] order_by_clause)',
        draggable: 'lead() OVER()',
        description: 'This function returns the value of an expression using column values from a following row. You specify an integer offset, which designates a row position some number of rows after to the current row. Any column references in the expression argument refer to column values from that later row.'
      },
      ntile: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'ntile()',
        draggable: 'ntile()',
        description: ''
      },
      percent_rank: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'percent_rank()',
        draggable: 'percent_rank()',
        description: ''
      },
      rank: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'rank() OVER([partition_by_clause] order_by_clause)',
        draggable: 'rank() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. The output sequence produces duplicate integers for duplicate values of the ORDER BY expressions. After generating duplicate output values for the "tied" input values, the function increments the sequence by the number of tied values.'
      },
      row_number: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'row_number() OVER([partition_by_clause] order_by_clause)',
        draggable: 'row_number() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. Starts the sequence over for each group produced by the PARTITIONED BY clause. The output sequence includes different values for duplicate input values. Therefore, the sequence never contains any duplicates or gaps, regardless of duplicate input values.'
      }
    },
    impala: {
      cume_dist: {
        returnTypes: ['T'],
        arguments: [{
          type: 'T'
        }],
        signature: 'cume_dist(T expr) OVER([partition_by_clause] order_by_clause)',
        draggable: 'cume_dist() OVER()',
        description: 'Returns the cumulative distribution of a value. The value for each row in the result set is greater than 0 and less than or equal to 1.'
      },
      dense_rank: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'dense_rank() OVER([partition_by_clause] order_by_clause)',
        draggable: 'dense_rank() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. The output sequence produces duplicate integers for duplicate values of the ORDER BY expressions.'
      },
      first_value: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'first_value(expr) OVER([partition_by_clause] order_by_clause [window_clause])',
        draggable: 'first_value() OVER()',
        description: 'Returns the expression value from the first row in the window. The return value is NULL if the input expression is NULL.'
      },
      lag: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT',
          optional: true
        }], [{
          type: 'T',
          optional: true
        }]],
        signature: 'lag(expr [, offset] [, default]) OVER ([partition_by_clause] order_by_clause)',
        draggable: 'lag() OVER()',
        description: 'This function returns the value of an expression using column values from a preceding row. You specify an integer offset, which designates a row position some number of rows previous to the current row. Any column references in the expression argument refer to column values from that prior row.'
      },
      last_value: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'last_value(expr) OVER([partition_by_clause] order_by_clause [window_clause])',
        draggable: 'last_value() OVER()',
        description: 'Returns the expression value from the last row in the window. The return value is NULL if the input expression is NULL.'
      },
      lead: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT',
          optional: true
        }], [{
          type: 'T',
          optional: true
        }]],
        signature: 'lead(expr [, offset] [, default]) OVER ([partition_by_clause] order_by_clause)',
        draggable: 'lead() OVER()',
        description: 'This function returns the value of an expression using column values from a following row. You specify an integer offset, which designates a row position some number of rows after to the current row. Any column references in the expression argument refer to column values from that later row.'
      },
      ntile: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T',
          multiple: true,
          optional: true
        }]],
        signature: 'ntile(T expr [, T offset ...])',
        draggable: 'ntile()',
        description: 'Returns the "bucket number" associated with each row, between 1 and the value of an expression. For example, creating 100 buckets puts the lowest 1% of values in the first bucket, while creating 10 buckets puts the lowest 10% of values in the first bucket. Each partition can have a different number of buckets.'
      },
      percent_rank: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'percent_rank(T expr) OVER ([partition_by_clause] order_by_clause)',
        draggable: 'percent_rank() OVER()',
        description: 'Calculates the rank, expressed as a percentage, of each row within a group of rows. If rank is the value for that same row from the RANK() function (from 1 to the total number of rows in the partition group), then the PERCENT_RANK() value is calculated as (rank - 1) / (rows_in_group - 1) . If there is only a single item in the partition group, its PERCENT_RANK() value is 0. The ORDER BY clause is required. The PARTITION BY clause is optional. The window clause is not allowed.'
      },
      rank: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'rank() OVER([partition_by_clause] order_by_clause)',
        draggable: 'rank() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. The output sequence produces duplicate integers for duplicate values of the ORDER BY expressions. After generating duplicate output values for the "tied" input values, the function increments the sequence by the number of tied values.'
      },
      row_number: {
        returnTypes: ['INT'],
        arguments: [],
        signature: 'row_number() OVER([partition_by_clause] order_by_clause)',
        draggable: 'row_number() OVER()',
        description: 'Returns an ascending sequence of integers, starting with 1. Starts the sequence over for each group produced by the PARTITIONED BY clause. The output sequence includes different values for duplicate input values. Therefore, the sequence never contains any duplicates or gaps, regardless of duplicate input values.'
      }
    }
  };
  var BIT_FUNCTIONS = {
    hive: {},
    impala: {
      bitand: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'bitand(T<integer_type> a, T<integer_type> b)',
        draggable: 'bitand()',
        description: 'Returns an integer value representing the bits that are set to 1 in both of the arguments. If the arguments are of different sizes, the smaller is promoted to the type of the larger.'
      },
      bitnot: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }]],
        signature: 'bitnot(T<integer_type> a)',
        draggable: 'bitnot()',
        description: 'Inverts all the bits of the input argument.'
      },
      bitor: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'bitor(T<integer_type> a, T<integer_type> b)',
        draggable: 'bitor()',
        description: 'Returns an integer value representing the bits that are set to 1 in either of the arguments. If the arguments are of different sizes, the smaller is promoted to the type of the larger.'
      },
      bitxor: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'T'
        }]],
        signature: 'bitxor(T<integer_type> a, T<integer_type> b)',
        draggable: 'bitxor()',
        description: 'Returns an integer value representing the bits that are set to 1 in one but not both of the arguments. If the arguments are of different sizes, the smaller is promoted to the type of the larger.'
      },
      countset: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'countset(T<integer_type> a [, INT b])',
        draggable: 'countset()',
        description: 'By default, returns the number of 1 bits in the specified integer value. If the optional second argument is set to zero, it returns the number of 0 bits instead.'
      },
      getbit: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'getbit(T<integer_type> a, INT b)',
        draggable: 'getbit()',
        description: 'Returns a 0 or 1 representing the bit at a specified position. The positions are numbered right to left, starting at zero. The position argument (b) cannot be negative.'
      },
      rotateleft: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'rotateleft(T<integer_type> a, INT b)',
        draggable: 'rotateleft()',
        description: 'Rotates an integer value left by a specified number of bits. As the most significant bit is taken out of the original value, if it is a 1 bit, it is "rotated" back to the least significant bit. Therefore, the final value has the same number of 1 bits as the original value, just in different positions. In computer science terms, this operation is a "circular shift".'
      },
      rotateright: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'rotateright(T<integer_type> a, INT b)',
        draggable: 'rotateright()',
        description: 'Rotates an integer value right by a specified number of bits. As the least significant bit is taken out of the original value, if it is a 1 bit, it is "rotated" back to the most significant bit. Therefore, the final value has the same number of 1 bits as the original value, just in different positions. In computer science terms, this operation is a "circular shift".'
      },
      setbit: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }], [{
          type: 'INT',
          optional: true
        }]],
        signature: 'setbit(T<integer_type> a, INT b [, INT c])',
        draggable: 'setbit()',
        description: 'By default, changes a bit at a specified position (b) to a 1, if it is not already. If the optional third argument is set to zero, the specified bit is set to 0 instead.'
      },
      shiftleft: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'shiftleft(T<integer_type> a, INT b)',
        draggable: 'shiftleft()',
        description: 'Shifts an integer value left by a specified number of bits. As the most significant bit is taken out of the original value, it is discarded and the least significant bit becomes 0. In computer science terms, this operation is a "logical shift".'
      },
      shiftright: {
        returnTypes: ['T'],
        arguments: [[{
          type: 'T'
        }], [{
          type: 'INT'
        }]],
        signature: 'shiftright(T<integer_type> a, INT b)',
        draggable: 'shiftright()',
        description: 'Shifts an integer value right by a specified number of bits. As the least significant bit is taken out of the original value, it is discarded and the most significant bit becomes 0. In computer science terms, this operation is a "logical shift".'
      }
    }
  };
  var CATEGORIZED_FUNCTIONS = {
    hive: [{
      name: 'Aggregate',
      functions: AGGREGATE_FUNCTIONS['hive']
    }, {
      name: 'Analytic',
      functions: ANALYTIC_FUNCTIONS['hive']
    }, {
      name: 'Collection',
      functions: COLLECTION_FUNCTIONS['hive']
    }, {
      name: 'Complex Type',
      functions: COMPLEX_TYPE_CONSTRUCTS['hive']
    }, {
      name: 'Conditional',
      functions: CONDITIONAL_FUNCTIONS['hive']
    }, {
      name: 'Date',
      functions: DATE_FUNCTIONS['hive']
    }, {
      name: 'Mathematical',
      functions: MATHEMATICAL_FUNCTIONS['hive']
    }, {
      name: 'Misc',
      functions: MISC_FUNCTIONS['hive']
    }, {
      name: 'String',
      functions: STRING_FUNCTIONS['hive']
    }, {
      name: 'Data Masking',
      functions: DATA_MASKING_FUNCTIONS['hive']
    }, {
      name: 'Table Generating',
      functions: TABLE_GENERATING_FUNCTIONS['hive']
    }, {
      name: 'Type Conversion',
      functions: TYPE_CONVERSION_FUNCTIONS['hive']
    }],
    impala: [{
      name: 'Aggregate',
      functions: AGGREGATE_FUNCTIONS['impala']
    }, {
      name: 'Analytic',
      functions: ANALYTIC_FUNCTIONS['impala']
    }, {
      name: 'Bit',
      functions: BIT_FUNCTIONS['impala']
    }, {
      name: 'Conditional',
      functions: CONDITIONAL_FUNCTIONS['impala']
    }, {
      name: 'Date',
      functions: DATE_FUNCTIONS['impala']
    }, {
      name: 'Mathematical',
      functions: MATHEMATICAL_FUNCTIONS['impala']
    }, {
      name: 'Misc',
      functions: MISC_FUNCTIONS['impala']
    }, {
      name: 'String',
      functions: STRING_FUNCTIONS['impala']
    }, {
      name: 'Type Conversion',
      functions: TYPE_CONVERSION_FUNCTIONS['impala']
    }]
  };
  var typeImplicitConversion = {
    hive: {
      BOOLEAN: {
        BOOLEAN: true,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: false,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      TIMESTAMP: {
        BOOLEAN: false,
        TIMESTAMP: true,
        DATE: false,
        BINARY: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: false,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      DATE: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: true,
        BINARY: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: false,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      BINARY: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: true,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: false,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      TINYINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: false,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: true,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      SMALLINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: false,
        INTEGER: false,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: true,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      INT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: false,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: true,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      BIGINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: false,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: true,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      FLOAT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: false,
        DECIMAL: false,
        NUMBER: true,
        STRING: false,
        CHAR: false,
        VARCHAR: false,
        T: true
      },
      DOUBLE: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: false,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      DECIMAL: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      NUMBER: {
        BOOLEAN: false,
        TIMESTAMP: false,
        DATE: false,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      STRING: {
        BOOLEAN: false,
        TIMESTAMP: true,
        DATE: true,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      CHAR: {
        BOOLEAN: false,
        TIMESTAMP: true,
        DATE: true,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      VARCHAR: {
        BOOLEAN: false,
        TIMESTAMP: true,
        DATE: true,
        BINARY: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      },
      T: {
        BOOLEAN: true,
        TIMESTAMP: true,
        DATE: true,
        BINARY: true,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        INTEGER: true,
        BIGINT: true,
        FLOAT: true,
        DOUBLE: true,
        DECIMAL: true,
        NUMBER: true,
        STRING: true,
        CHAR: true,
        VARCHAR: true,
        T: true
      }
    },
    impala: {
      BOOLEAN: {
        BOOLEAN: true,
        TIMESTAMP: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: false,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      TIMESTAMP: {
        BOOLEAN: false,
        TIMESTAMP: true,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: false,
        CHAR: false,
        VARCHAR: false,
        STRING: true,
        T: true
      },
      TINYINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      SMALLINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      INT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      BIGINT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      DOUBLE: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: true,
        REAL: true,
        DECIMAL: false,
        FLOAT: true,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      REAL: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: true,
        REAL: true,
        DECIMAL: false,
        FLOAT: true,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      DECIMAL: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: true,
        REAL: true,
        DECIMAL: true,
        FLOAT: true,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      FLOAT: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: true,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      NUMBER: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: true,
        REAL: true,
        DECIMAL: true,
        FLOAT: true,
        NUMBER: true,
        CHAR: false,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      CHAR: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: false,
        CHAR: true,
        VARCHAR: false,
        STRING: false,
        T: true
      },
      VARCHAR: {
        BOOLEAN: false,
        TIMESTAMP: false,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: false,
        CHAR: true,
        VARCHAR: true,
        STRING: false,
        T: true
      },
      STRING: {
        BOOLEAN: false,
        TIMESTAMP: true,
        TINYINT: false,
        SMALLINT: false,
        INT: false,
        BIGINT: false,
        DOUBLE: false,
        REAL: false,
        DECIMAL: false,
        FLOAT: false,
        NUMBER: false,
        CHAR: true,
        VARCHAR: false,
        STRING: true,
        T: true
      },
      T: {
        BOOLEAN: true,
        TIMESTAMP: true,
        TINYINT: true,
        SMALLINT: true,
        INT: true,
        BIGINT: true,
        DOUBLE: true,
        REAL: true,
        DECIMAL: true,
        FLOAT: true,
        NUMBER: true,
        CHAR: true,
        VARCHAR: true,
        STRING: true,
        T: true
      }
    }
  };

  var createDocHtml = function createDocHtml(funcDesc) {
    var html = '<div class="fn-details"><p><span class="fn-sig">' + funcDesc.signature + '</span></p>';

    if (funcDesc.description) {
      html += '<p>' + funcDesc.description.replace(/[<]/g, '&lt;').replace(/[>]/g, '&gt;') + '</p>';
    }

    html += '<div>';
    return html;
  };

  var stripPrecision = function stripPrecision(types) {
    var result = [];
    types.forEach(function (type) {
      if (type.indexOf('(') > -1) {
        result.push(type.substring(0, type.indexOf('(')));
      } else {
        result.push(type);
      }
    });
    return result;
  };
  /**
   * Matches types based on implicit conversion i.e. if you expect a BIGINT then INT is ok but not BOOLEAN etc.
   *
   * @param dialect
   * @param expectedTypes
   * @param actualRawTypes
   * @returns {boolean}
   */


  var matchesType = function matchesType(dialect, expectedTypes, actualRawTypes) {
    if (dialect !== 'hive') {
      dialect = 'impala';
    }

    if (expectedTypes.length === 1 && expectedTypes[0] === 'T') {
      return true;
    }

    var actualTypes = stripPrecision(actualRawTypes);

    if (actualTypes.indexOf('ARRAY') !== -1 || actualTypes.indexOf('MAP') !== -1 || actualTypes.indexOf('STRUCT') !== -1) {
      return true;
    }

    for (var i = 0; i < expectedTypes.length; i++) {
      for (var j = 0; j < actualTypes.length; j++) {
        // To support future unknown types
        if (typeof typeImplicitConversion[dialect][expectedTypes[i]] === 'undefined' || typeof typeImplicitConversion[dialect][expectedTypes[i]][actualTypes[j]] == 'undefined') {
          return true;
        }

        if (typeImplicitConversion[dialect][expectedTypes[i]] && typeImplicitConversion[dialect][expectedTypes[i]][actualTypes[j]]) {
          return true;
        }
      }
    }

    return false;
  };

  var addFunctions = function addFunctions(functionIndex, dialect, returnTypes, result) {
    var indexForDialect = functionIndex[dialect || 'generic'];

    if (indexForDialect) {
      Object.keys(indexForDialect).forEach(function (funcName) {
        var func = indexForDialect[funcName];

        if (typeof returnTypes === 'undefined' || matchesType(dialect, returnTypes, func.returnTypes)) {
          result[funcName] = func;
        }
      });
    }

    if (functionIndex.shared) {
      Object.keys(functionIndex.shared).forEach(function (funcName) {
        var func = functionIndex.shared[funcName];

        if (typeof returnTypes === 'undefined' || matchesType(dialect, returnTypes, func.returnTypes)) {
          result[funcName] = func;
        }
      });
    }
  };

  var getFunctionsWithReturnTypes = function getFunctionsWithReturnTypes(dialect, returnTypes, includeAggregate, includeAnalytic) {
    var result = {};
    addFunctions(BIT_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(COLLECTION_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(CONDITIONAL_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(COMPLEX_TYPE_CONSTRUCTS, dialect, returnTypes, result);
    addFunctions(DATE_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(MATHEMATICAL_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(TYPE_CONVERSION_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(STRING_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(DATA_MASKING_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(MISC_FUNCTIONS, dialect, returnTypes, result);
    addFunctions(TABLE_GENERATING_FUNCTIONS, dialect, returnTypes, result);

    if (includeAggregate) {
      addFunctions(AGGREGATE_FUNCTIONS, dialect, returnTypes, result);
    }

    if (includeAnalytic) {
      addFunctions(ANALYTIC_FUNCTIONS, dialect, returnTypes, result);
    }

    return result;
  };

  var suggestFunctions = function suggestFunctions(dialect, returnTypes, includeAggregate, includeAnalytic, completions, weight) {
    var functionsToSuggest = getFunctionsWithReturnTypes(dialect, returnTypes, includeAggregate, includeAnalytic);
    Object.keys(functionsToSuggest).forEach(function (name) {
      completions.push({
        value: name + '()',
        meta: functionsToSuggest[name].returnTypes.join('|'),
        weight: returnTypes.filter(function (type) {
          return functionsToSuggest[name].returnTypes.filter(function (otherType) {
            return otherType === type;
          }).length > 0;
        }).length > 0 ? weight + 1 : weight,
        docHTML: createDocHtml(functionsToSuggest[name])
      });
    });
  };

  var findFunction = function findFunction(dialect, functionName) {
    return BIT_FUNCTIONS[dialect][functionName] || COLLECTION_FUNCTIONS[dialect][functionName] || CONDITIONAL_FUNCTIONS[dialect][functionName] || COMPLEX_TYPE_CONSTRUCTS[dialect][functionName] || DATE_FUNCTIONS[dialect][functionName] || MATHEMATICAL_FUNCTIONS[dialect][functionName] || TYPE_CONVERSION_FUNCTIONS[dialect][functionName] || STRING_FUNCTIONS[dialect][functionName] || DATA_MASKING_FUNCTIONS[dialect][functionName] || MISC_FUNCTIONS[dialect][functionName] || TABLE_GENERATING_FUNCTIONS[dialect][functionName] || AGGREGATE_FUNCTIONS[dialect][functionName] || ANALYTIC_FUNCTIONS[dialect][functionName];
  };

  var getArgumentTypes = function getArgumentTypes(dialect, functionName, argumentPosition) {
    if (dialect !== 'hive' && dialect !== 'impala') {
      return ['T'];
    }

    var foundFunction = findFunction(dialect, functionName);

    if (!foundFunction) {
      return ['T'];
    }

    var args = foundFunction.arguments;

    if (argumentPosition > args.length) {
      var multiples = args[args.length - 1].filter(function (type) {
        return type.multiple;
      });

      if (multiples.length > 0) {
        return multiples.map(function (argument) {
          return argument.type;
        }).sort();
      }

      return [];
    }

    return args[argumentPosition - 1].map(function (argument) {
      return argument.type;
    }).sort();
  };

  var getReturnTypes = function getReturnTypes(dialect, functionName) {
    if (dialect !== 'hive' && dialect !== 'impala') {
      return ['T'];
    }

    var foundFunction = findFunction(dialect, functionName);

    if (!foundFunction) {
      return ['T'];
    }

    return foundFunction.returnTypes;
  };

  return {
    suggestFunctions: suggestFunctions,
    getArgumentTypes: getArgumentTypes,
    CATEGORIZED_FUNCTIONS: CATEGORIZED_FUNCTIONS,
    getFunctionsWithReturnTypes: getFunctionsWithReturnTypes,
    getReturnTypes: getReturnTypes,
    matchesType: matchesType,
    findFunction: findFunction
  };
}();



/***/ }),

/***/ "./desktop/core/src/desktop/js/sql/stringDistance.js":
/*!***********************************************************!*\
  !*** ./desktop/core/src/desktop/js/sql/stringDistance.js ***!
  \***********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * Calculates the Optimal String Alignment distance between two strings. Returns 0 when the strings are equal and the
 * distance when not, distances is less than or equal to the length of the longest string.
 *
 * @param strA
 * @param strB
 * @param [ignoreCase]
 * @returns {number} The similarity
 */
var stringDistance = function stringDistance(strA, strB, ignoreCase) {
  if (ignoreCase) {
    strA = strA.toLowerCase();
    strB = strB.toLowerCase();
  } // TODO: Consider other algorithms for performance


  var strALength = strA.length;
  var strBLength = strB.length;

  if (strALength === 0) {
    return strBLength;
  }

  if (strBLength === 0) {
    return strALength;
  }

  var distances = new Array(strALength);
  var cost, deletion, insertion, substitution, transposition;

  for (var i = 0; i <= strALength; i++) {
    distances[i] = new Array(strBLength);
    distances[i][0] = i;

    for (var j = 1; j <= strBLength; j++) {
      if (!i) {
        distances[0][j] = j;
      } else {
        cost = strA[i - 1] === strB[j - 1] ? 0 : 1;
        deletion = distances[i - 1][j] + 1;
        insertion = distances[i][j - 1] + 1;
        substitution = distances[i - 1][j - 1] + cost;

        if (deletion <= insertion && deletion <= substitution) {
          distances[i][j] = deletion;
        } else if (insertion <= deletion && insertion <= substitution) {
          distances[i][j] = insertion;
        } else {
          distances[i][j] = substitution;
        }

        if (i > 1 && j > 1 && strA[i] === strB[j - 1] && strA[i - 1] === strB[j]) {
          transposition = distances[i - 2][j - 2] + cost;

          if (transposition < distances[i][j]) {
            distances[i][j] = transposition;
          }
        }
      }
    }
  }

  return distances[strALength][strBLength];
};

/* harmony default export */ __webpack_exports__["default"] = (stringDistance);

/***/ }),

/***/ "./desktop/core/src/desktop/js/topNavViewModel.js":
/*!********************************************************!*\
  !*** ./desktop/core/src/desktop/js/topNavViewModel.js ***!
  \********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
/* harmony import */ var _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./utils/hueAnalytics */ "./desktop/core/src/desktop/js/utils/hueAnalytics.js");
/* harmony import */ var _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
/* harmony import */ var _utils_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./utils/i18n */ "./desktop/core/src/desktop/js/utils/i18n.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.







var TopNavViewModel = function TopNavViewModel(onePageViewModel) {
  _classCallCheck(this, TopNavViewModel);

  var self = this;
  self.onePageViewModel = onePageViewModel;
  self.leftNavVisible = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
  self.leftNavVisible.subscribe(function (val) {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('left.nav.open.toggle', val);
    _utils_hueAnalytics__WEBPACK_IMPORTED_MODULE_3__["default"].convert('hue', 'leftNavVisible/' + val);

    if (val) {
      // Defer or it will be triggered by the open click
      window.setTimeout(function () {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(document).one('click', function () {
          if (self.leftNavVisible()) {
            self.leftNavVisible(false);
          }
        });
      }, 0);
    }
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('hue.toggle.left.nav', self.leftNavVisible); // TODO: Drop. Just for PoC

  self.pocClusterMode = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  _api_apiHelper__WEBPACK_IMPORTED_MODULE_2__["default"].withTotalStorage('topNav', 'multiCluster', self.pocClusterMode, 'dw');
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('set.multi.cluster.mode', self.pocClusterMode);
  self.onePageViewModel.currentApp.subscribe(function () {
    self.leftNavVisible(false);
  });
  self.mainQuickCreateAction = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"]();
  self.quickCreateActions = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  self.hasJobBrowser = knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](window.HAS_JOB_BROWSER);
  self.clusters = knockout__WEBPACK_IMPORTED_MODULE_1__["observableArray"]();
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('cluster.config.set.config', function (clusterConfig) {
    if (clusterConfig && clusterConfig['main_button_action']) {
      var topApp = clusterConfig['main_button_action'];
      self.mainQuickCreateAction({
        displayName: topApp.buttonName,
        icon: topApp.type,
        tooltip: topApp.tooltip,
        url: topApp.page
      });
    } else {
      self.mainQuickCreateAction(undefined);
    }

    if (clusterConfig && clusterConfig['button_actions']) {
      var apps = [];
      var buttonActions = clusterConfig['button_actions'];
      buttonActions.forEach(function (app) {
        var interpreters = [];
        var toAddDivider = false;
        var dividerAdded = false;
        var lastInterpreter = null;
        jquery__WEBPACK_IMPORTED_MODULE_0___default.a.each(app['interpreters'], function (index, interpreter) {
          // Promote the first catagory of interpreters
          if (!dividerAdded) {
            toAddDivider = (app.name === 'editor' || app.name === 'dashboard') && lastInterpreter != null && lastInterpreter.is_sql != interpreter.is_sql;
          }

          interpreters.push({
            displayName: interpreter.displayName,
            dividerAbove: toAddDivider,
            icon: interpreter.type,
            url: interpreter.page
          });
          lastInterpreter = interpreter;

          if (toAddDivider) {
            dividerAdded = true;
            toAddDivider = false;
          }
        });

        if (window.SHOW_ADD_MORE_EDITORS && app.name === 'editor' && interpreters.length > 1) {
          interpreters.push({
            displayName: Object(_utils_i18n__WEBPACK_IMPORTED_MODULE_5__["default"])('Add more...'),
            dividerAbove: true,
            href: 'https://docs.gethue.com/administrator/configuration/connectors/'
          });
        }

        apps.push({
          displayName: app.displayName,
          icon: app.name,
          isCategory: interpreters.length > 0,
          children: interpreters,
          url: app.page
        });
      });
      self.quickCreateActions(apps);
    } else {
      self.quickCreateActions([]);
    }

    if (clusterConfig && clusterConfig['clusters']) {
      self.clusters(clusterConfig['clusters']);
    }

    self.hasJobBrowser(window.HAS_JOB_BROWSER && clusterConfig && clusterConfig['app_config'] && clusterConfig['app_config']['browser'] && (clusterConfig['app_config']['browser']['interpreter_names'].indexOf('yarn') != -1 || clusterConfig['app_config']['editor']['interpreter_names'].indexOf('impala') != -1 || clusterConfig['app_config']['browser']['interpreter_names'].indexOf('dataeng') != -1));
  });
  _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].subscribe('hue.new.default.app', function () {
    _utils_huePubSub__WEBPACK_IMPORTED_MODULE_4__["default"].publish('cluster.config.refresh.config');
  });
};

/* harmony default export */ __webpack_exports__["default"] = (TopNavViewModel);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/customIntervals.js":
/*!**************************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/customIntervals.js ***!
  \**************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
var originalSetInterval = window.setInterval;
var originalClearInterval = window.clearInterval;
var hueIntervals = [];
/**
 * @param {string} [app] - context for the intervals
 */

window.getIntervals = function (app) {
  if (app) {
    return hueIntervals.filter(function (obj) {
      return obj.app === app;
    });
  }

  return hueIntervals;
};
/**
 * @param {Function} fn - the function to be called at intervals
 * @param {Number} timeout - timeout in milliseconds
 * @param {string} [app] - context for the interval
 */


window.setInterval = function (fn, timeout, app) {
  var id = originalSetInterval.call(window, fn, timeout);
  hueIntervals.push({
    fn: fn,
    timeout: timeout,
    app: app,
    id: id,
    originalId: id,
    status: 'running'
  });
  return id;
};
/**
 * @param {Number} id - the original interval id generated by window.setInterval
 */


window.clearInterval = function (id) {
  var foundIntervals = hueIntervals.filter(function (obj) {
    return obj.originalId === id;
  });

  if (foundIntervals && foundIntervals.length > 0) {
    originalClearInterval.call(window, foundIntervals[0].id);
  } else {
    originalClearInterval.call(window, id);
  }

  hueIntervals = hueIntervals.filter(function (obj) {
    return obj.originalId !== id;
  });
};
/**
 * @param {string} app - context for the intervals to be suspended
 */


window.pauseAppIntervals = function (app) {
  hueIntervals.forEach(function (interval) {
    if (typeof interval.app !== 'undefined' && interval.app !== null && (interval.app === app || interval.app.split('-') && interval.app.split('-')[0] === app)) {
      interval.status = 'paused';
      originalClearInterval.call(window, interval.id);
    }
  });
};
/**
 * @param {string} app - context for the intervals to be restarted
 */


window.resumeAppIntervals = function (app) {
  hueIntervals.forEach(function (interval) {
    if (typeof interval.app !== 'undefined' && interval.app !== null && (interval.app === app || interval.app.split('-')[0] === app) && interval.status === 'paused') {
      interval.status = 'running';
      interval.id = originalSetInterval.call(window, interval.fn, interval.timeout);
    }
  });
};
/**
 * @param {string} app - context for the intervals to be cleared
 */


window.clearAppIntervals = function (app) {
  hueIntervals.forEach(function (interval) {
    if (interval.app === app || typeof interval.app !== 'undefined' && interval.app !== null && interval.app.split('-')[0] === app) {
      window.clearInterval(interval.originalId);
    }
  });
};

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/d3Extensions.js":
/*!***********************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/d3Extensions.js ***!
  \***********************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _hueColors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./hueColors */ "./desktop/core/src/desktop/js/utils/hueColors.js");
/* harmony import */ var _huePubSub__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var HUE_CHARTS = {
  TYPES: {
    COUNTER: 'counter',
    LINECHART: 'lines',
    BARCHART: 'bars',
    TIMELINECHART: 'timeline',
    TEXTSELECT: 'textselect',
    POINTCHART: 'points',
    PIECHART: 'pie',
    MAP: 'map',
    GRADIENTMAP: 'gradientmap',
    SCATTERCHART: 'scatter'
  }
};
window.HUE_CHARTS = HUE_CHARTS;
_huePubSub__WEBPACK_IMPORTED_MODULE_3__["default"].subscribe('charts.state', function (state) {
  var opacity = state && state.updating ? '0.5' : '1';
  jquery__WEBPACK_IMPORTED_MODULE_0___default()('.nvd3').parents('svg').css('opacity', opacity);
});

var tipBuilder = function tipBuilder() {
  var direction = d3_tip_direction;
  var offset = d3_tip_offset;
  var html = d3_tip_html;
  var node = initNode();
  var svg = null;
  var point = null;
  var target = null;

  function tip(vis) {
    svg = getSVGNode(vis);
    point = svg.createSVGPoint();
    document.body.appendChild(node);
  } // Public - show the tooltip on the screen
  //
  // Returns a tip


  tip.show = function () {
    var args = Array.prototype.slice.call(arguments);

    if (args[args.length - 1] instanceof SVGElement) {
      target = args.pop();
    }

    var content = html.apply(this, args);
    var poffset = offset.apply(this, args);
    var dir = direction.apply(this, args);
    var nodel = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node);
    var i = 0;
    nodel.html(content).style({
      opacity: 1,
      'pointer-events': 'all'
    });

    while (i--) {
      nodel.classed(directions[i], false);
    }

    var coords = direction_callbacks.get(dir).apply(this);
    nodel.classed(dir, true).style({
      top: coords.top + poffset[0] + 'px',
      left: coords.left + poffset[1] + 'px'
    });
    return tip;
  }; // Public - hide the tooltip
  //
  // Returns a tip


  tip.hide = function () {
    var nodel = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node);
    nodel.style({
      opacity: 0,
      'pointer-events': 'none'
    });
    return tip;
  }; // Public: Proxy attr calls to the d3 tip container.  Sets or gets attribute value.
  //
  // n - name of the attribute
  // v - value of the attribute
  //
  // Returns tip or attribute value


  tip.attr = function (n, v) {
    if (arguments.length < 2 && typeof n === 'string') {
      return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node).attr(n);
    } else {
      var args = Array.prototype.slice.call(arguments);
      d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.selection.prototype.attr.apply(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node), args);
    }

    return tip;
  }; // Public: Proxy style calls to the d3 tip container.  Sets or gets a style value.
  //
  // n - name of the property
  // v - value of the property
  //
  // Returns tip or style property value


  tip.style = function (n, v) {
    if (arguments.length < 2 && typeof n === 'string') {
      return d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node).style(n);
    } else {
      var args = Array.prototype.slice.call(arguments);
      d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.selection.prototype.style.apply(d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(node), args);
    }

    return tip;
  }; // Public: Set or get the direction of the tooltip
  //
  // v - One of n(north), s(south), e(east), or w(west), nw(northwest),
  //     sw(southwest), ne(northeast) or se(southeast)
  //
  // Returns tip or direction


  tip.direction = function (v) {
    if (!arguments.length) {
      return direction;
    }

    direction = v == null ? v : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.functor(v);
    return tip;
  }; // Public: Sets or gets the offset of the tip
  //
  // v - Array of [x, y] offset
  //
  // Returns offset or


  tip.offset = function (v) {
    if (!arguments.length) {
      return offset;
    }

    offset = v == null ? v : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.functor(v);
    return tip;
  }; // Public: sets or gets the html value of the tooltip
  //
  // v - String value of the tip
  //
  // Returns html value or tip


  tip.html = function (v) {
    if (!arguments.length) {
      return html;
    }

    html = v == null ? v : d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.functor(v);
    return tip;
  };

  function d3_tip_direction() {
    return 'n';
  }

  function d3_tip_offset() {
    return [0, 0];
  }

  function d3_tip_html() {
    return ' ';
  }

  var direction_callbacks = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.map({
    n: direction_n,
    s: direction_s,
    e: direction_e,
    w: direction_w,
    nw: direction_nw,
    ne: direction_ne,
    sw: direction_sw,
    se: direction_se
  }),
      directions = direction_callbacks.keys();

  function direction_n() {
    var bbox = getScreenBBox();
    return {
      top: bbox.n.y - node.offsetHeight,
      left: bbox.n.x - node.offsetWidth / 2
    };
  }

  function direction_s() {
    var bbox = getScreenBBox();
    return {
      top: bbox.s.y,
      left: bbox.s.x - node.offsetWidth / 2
    };
  }

  function direction_e() {
    var bbox = getScreenBBox();
    return {
      top: bbox.e.y - node.offsetHeight / 2,
      left: bbox.e.x
    };
  }

  function direction_w() {
    var bbox = getScreenBBox();
    return {
      top: bbox.w.y - node.offsetHeight / 2,
      left: bbox.w.x - node.offsetWidth
    };
  }

  function direction_nw() {
    var bbox = getScreenBBox();
    return {
      top: bbox.nw.y - node.offsetHeight,
      left: bbox.nw.x - node.offsetWidth
    };
  }

  function direction_ne() {
    var bbox = getScreenBBox();
    return {
      top: bbox.ne.y - node.offsetHeight,
      left: bbox.ne.x
    };
  }

  function direction_sw() {
    var bbox = getScreenBBox();
    return {
      top: bbox.sw.y,
      left: bbox.sw.x - node.offsetWidth
    };
  }

  function direction_se() {
    var bbox = getScreenBBox();
    return {
      top: bbox.se.y,
      left: bbox.e.x
    };
  }

  function initNode() {
    var node = d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.select(document.createElement('div'));
    node.style({
      position: 'absolute',
      background: _hueColors__WEBPACK_IMPORTED_MODULE_2__["default"].cuiD3Scale()[0],
      padding: '4px',
      color: _hueColors__WEBPACK_IMPORTED_MODULE_2__["default"].WHITE,
      opacity: 0,
      pointerEvents: 'none',
      boxSizing: 'border-box'
    });
    return node.node();
  }

  function getSVGNode(el) {
    el = el.node();

    if (el != null) {
      if (el.tagName != null && el.tagName.toLowerCase() === 'svg') {
        return el;
      }

      return el.ownerSVGElement;
    }
  } // Private - gets the screen coordinates of a shape
  //
  // Given a shape on the screen, will return an SVGPoint for the directions
  // n(north), s(south), e(east), w(west), ne(northeast), se(southeast), nw(northwest),
  // sw(southwest).
  //
  //    +-+-+
  //    |   |
  //    +   +
  //    |   |
  //    +-+-+
  //
  // Returns an Object {n, s, e, w, nw, sw, ne, se}


  function getScreenBBox() {
    var targetel = target || d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.event.target,
        bbox = {},
        matrix = targetel.getScreenCTM(),
        tbbox = targetel.getBBox(),
        width = tbbox.width,
        height = tbbox.height,
        x = tbbox.x,
        y = tbbox.y,
        scrollTop = document.documentElement.scrollTop || document.body.scrollTop,
        scrollLeft = document.documentElement.scrollLeft || document.body.scrollLeft;
    point.x = x + scrollLeft;
    point.y = y + scrollTop;
    bbox.nw = point.matrixTransform(matrix);
    point.x += width;
    bbox.ne = point.matrixTransform(matrix);
    point.y += height;
    bbox.se = point.matrixTransform(matrix);
    point.x -= width;
    bbox.sw = point.matrixTransform(matrix);
    point.y -= height / 2;
    bbox.w = point.matrixTransform(matrix);
    point.x += width;
    bbox.e = point.matrixTransform(matrix);
    point.x -= width / 2;
    point.y -= height / 2;
    bbox.n = point.matrixTransform(matrix);
    point.y += height;
    bbox.s = point.matrixTransform(matrix);
    return bbox;
  }

  return tip;
};

if (typeof d3v3__WEBPACK_IMPORTED_MODULE_1___default.a !== 'undefined') {
  d3v3__WEBPACK_IMPORTED_MODULE_1___default.a.tip = tipBuilder;
}

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/hdfsAutocompleter.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/hdfsAutocompleter.js ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _api_apiHelper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../api/apiHelper */ "./desktop/core/src/desktop/js/api/apiHelper.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var TIME_TO_LIVE_IN_MILLIS = 60000; // 1 minute

var HdfsAutocompleter =
/*#__PURE__*/
function () {
  /**
   * @param {object} options
   * @param {string} options.user
   * @param {Number} options.timeout
   * @param {Snippet} options.snippet
   *
   * @constructor
   */
  function HdfsAutocompleter(options) {
    _classCallCheck(this, HdfsAutocompleter);

    var self = this;
    self.user = options.user;
    self.snippet = options.snippet;
    self.timeout = options.timeout;
  }

  _createClass(HdfsAutocompleter, [{
    key: "getTotalStorageUserPrefix",
    value: function getTotalStorageUserPrefix() {
      var self = this;
      return self.user;
    }
  }, {
    key: "hasExpired",
    value: function hasExpired(timestamp) {
      return new Date().getTime() - timestamp > TIME_TO_LIVE_IN_MILLIS;
    }
  }, {
    key: "extractFields",
    value: function extractFields(data) {
      var files = data.files.map(function (file) {
        return {
          name: file.name,
          type: file.type
        };
      });
      files.sort(function (a, b) {
        return a.name.localeCompare(b.name);
      });
      var result = [];
      files.forEach(function (field, idx) {
        if (field.name !== '..' && field.name !== '.') {
          result.push({
            value: field.name,
            score: 1000 - idx,
            meta: field.type
          });
        }
      });
      return result;
    }
  }, {
    key: "autocomplete",
    value: function autocomplete(beforeCursor, afterCursor, callback, editor) {
      var self = this;

      var onFailure = function onFailure() {
        callback([]);
      };

      if (beforeCursor.match(/["'](?:\/[^\/]*)+/)) {
        var parts = beforeCursor.split('/'); // Drop the first " or '

        parts.shift(); // Last one is either partial name or empty

        parts.pop();

        var successCallback = function successCallback(data) {
          if (!data.error) {
            callback(self.extractFields(data));
          } else {
            onFailure();
          }
        };

        _api_apiHelper__WEBPACK_IMPORTED_MODULE_0__["default"].fetchHdfsPath({
          pathParts: parts,
          successCallback: successCallback,
          silenceErrors: true,
          errorCallback: onFailure,
          timeout: self.timeout,
          editor: editor
        });
      } else {
        onFailure();
      }
    }
  }, {
    key: "getDocTooltip",
    value: function getDocTooltip(item) {}
  }]);

  return HdfsAutocompleter;
}();

/* harmony default export */ __webpack_exports__["default"] = (HdfsAutocompleter);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/hueColors.js":
/*!********************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/hueColors.js ***!
  \********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3v3 */ "./node_modules/d3v3/index.js");
/* harmony import */ var d3v3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3v3__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var HueColors = {
  CUIScaleColors: [{
    name: 'gray',
    colors: ['#F8F8F8', '#E7E7E7', '#E0E0E0', '#DCDCDC', '#C8C8C8', '#B4B4B4', '#A0A0A0', '#787878', '#424242', '#212121']
  }, {
    name: 'blue-gray',
    colors: ['#ECEFF1', '#CFD8DC', '#B0BEC5', '#90A4AE', '#78909C', '#607D8B', '#546E7A', '#455A64', '#36454F', '#232C34']
  }, {
    name: 'blue',
    colors: ['#E9F6FB', '#BEE4F5', '#A9DBF1', '#7ECAEB', '#53B8E4', '#29A7DE', '#2496C7', '#0B7FAD', '#1C749B', '#186485']
  }, {
    name: 'steel',
    colors: ['#E8EEEE', '#C6D6D6', '#A0BABA', '#7A9F9F', '#5D8A8A', '#417575', '#3C6C6C', '#345E5E', '#2D5252', '#274646']
  }, {
    name: 'teal',
    colors: ['#E0F6F5', '#B3EAE6', '#80DCD5', '#4DCEC4', '#26C3B7', '#00B9AA', '#00AA9D', '#009488', '#008177', '#006F66']
  }, {
    name: 'green',
    colors: ['#E2F3EA', '#B7E2CD', '#87CEAB', '#57BB89', '#33AC6F', '#0F9D56', '#0E914F', '#0C7E45', '#0A6E3C', '#095E34']
  }, {
    name: 'lime',
    colors: ['#EDF5E2', '#D2E6B9', '#B4D689', '#96C55A', '#7FB836', '#69AC13', '#619F12', '#548A0F', '#49780D', '#3F670B']
  }, {
    name: 'yellow',
    colors: ['#FFFCE6', '#FFFACC', '#FFF599', '#FFF066', '#FFEB3B', '#FFE600', '#E6CF00', '#B3A100', '#807300', '#4D4500']
  }, {
    name: 'orange',
    colors: ['#FBF1E1', '#FFE8AF', '#FFD466', '#EDB233', '#EBA81A', '#E99F01', '#D18F00', '#BA7F00', '#A36F00', '#8B572A']
  }, {
    name: 'red',
    colors: ['#FFE5E5', '#FFCCCC', '#FFB2B2', '#E7808D', '#DE4D5F', '#D0021B', '#BB0118', '#A60115', '#910112', '#7C0110']
  }, {
    name: 'pink',
    colors: ['#F2DEDE', '#F3BFD4', '#EC93B7', '#E4689A', '#DE4784', '#D8276F', '#C72466', '#AD1F59', '#971B4D', '#821743']
  }, {
    name: 'purple',
    colors: ['#EFE9F5', '#D8C8E7', '#BDA3D6', '#A37EC6', '#8F62B9', '#7B46AD', '#71419F', '#62388A', '#563179', '#4A2A68']
  }, {
    name: 'purple-gray',
    colors: ['#F1EFEF', '#D5CFD1', '#BAB0B3', '#ACA0A4', '#9F9095', '#977F86', '#837077', '#766168', '#6A575D', '#5E4D53']
  }, {
    name: 'green-gray',
    colors: ['#E9E8E3', '#C8C6BA', '#B2AF9F', '#A7A391', '#9C9883', '#918D76', '#827E6A', '#74705E', '#656252', '#575446']
  }],
  hexToR: function hexToR(h) {
    return parseInt(this.cutHex(h).substring(0, 2), 16);
  },
  hexToG: function hexToG(h) {
    return parseInt(this.cutHex(h).substring(2, 4), 16);
  },
  hexToB: function hexToB(h) {
    return parseInt(this.cutHex(h).substring(4, 6), 16);
  },
  cutHex: function cutHex(h) {
    return h.charAt(0) === '#' ? h.substring(1, 7) : h;
  },
  decToHex: function decToHex(i) {
    return (i + 0x100).toString(16).substr(-2).toUpperCase();
  },
  scale: function scale(from, to, bands) {
    var fromRGB = [this.hexToR(from), this.hexToG(from), this.hexToB(from)];
    var toRGB = [this.hexToR(to), this.hexToG(to), this.hexToB(to)];
    var i;
    var delta = [];
    var result = [];

    for (i = 0; i < 4; i++) {
      delta[i] = (fromRGB[i] - toRGB[i]) / (bands + 1);
    }

    for (i = 0; i < bands; i++) {
      var r = Math.round(fromRGB[0] - delta[0] * i);
      var g = Math.round(fromRGB[1] - delta[1] * i);
      var b = Math.round(fromRGB[2] - delta[2] * i);
      result.push('#' + this.decToHex(r) + this.decToHex(g) + this.decToHex(b));
    }

    return result;
  },
  getNormalizedColors: function getNormalizedColors() {
    var normalizedColors = {};
    this.CUIScaleColors.forEach(function (scaleDef) {
      normalizedColors[scaleDef.name] = scaleDef.colors;
    });
    return normalizedColors;
  },
  getCUIChartColors: function getCUIChartColors() {
    var i;
    var normalizedColors = this.getNormalizedColors(); // optimal visual sequence by contrasting colors

    var sequence = ['blue', 'lime', 'blue-gray', 'pink', 'steel', 'purple', 'teal', 'red', 'orange', 'green'],
        wholeSpectrum = [],
        sequenceHalfLength = sequence.length / 2;

    function addMain(mainSwatch) {
      wholeSpectrum.push({
        color: normalizedColors[mainSwatch][sequenceHalfLength]
      });
    }

    function addPlus(mainSwatch) {
      wholeSpectrum.push({
        color: normalizedColors[mainSwatch][sequenceHalfLength + i]
      });
    }

    function addMinus(mainSwatch) {
      wholeSpectrum.push({
        color: normalizedColors[mainSwatch][sequenceHalfLength - i]
      });
    }

    for (i = 1; i < sequenceHalfLength; i++) {
      if (i === 1) {
        sequence.forEach(addMain);
      }

      sequence.forEach(addPlus);
      sequence.forEach(addMinus);
    }

    return wholeSpectrum;
  },
  d3Scale: function d3Scale() {
    return d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.category20().range().concat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.category20b().range().concat(d3v3__WEBPACK_IMPORTED_MODULE_0___default.a.scale.category20c().range()));
  },
  cuiD3Scale: function cuiD3Scale(swatch) {
    var colors = this.getCUIChartColors().map(function (c) {
      return c.color;
    });

    if (swatch) {
      this.CUIScaleColors.forEach(function (s) {
        if (s.name === swatch) {
          colors = s.colors;
        }
      });
    }

    return colors;
  },
  LIGHT_BLUE: '#DBE8F1',
  BLUE: '#87BAD5',
  DARK_BLUE: '#0B7FAD',
  DARKER_BLUE: '#205875',
  PURPLE: '#C0B1E9',
  GRAY: '#666666',
  WHITE: '#FFFFFF',
  ORANGE: '#FF7F0E'
};
/* harmony default export */ __webpack_exports__["default"] = (HueColors);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/hueDrop.js":
/*!******************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/hueDrop.js ***!
  \******************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _huePubSub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./huePubSub */ "./desktop/core/src/desktop/js/utils/huePubSub.js");
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.



var hueDrop = function hueDrop() {
  var draggableMeta = {};
  _huePubSub__WEBPACK_IMPORTED_MODULE_1__["default"].subscribe('draggable.text.meta', function (meta) {
    draggableMeta = meta;
  });
  return {
    fromAssist: function fromAssist(element, callback) {
      if (typeof element === 'function' && !(element instanceof jquery__WEBPACK_IMPORTED_MODULE_0___default.a)) {
        callback = element;
      }

      if (typeof element === 'string') {
        element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
      }

      if (element.length > 0) {
        element.droppable({
          accept: '.draggableText',
          drop: function drop(e, ui) {
            if (callback) {
              callback({
                text: ui.helper.text(),
                meta: draggableMeta
              });
            }
          }
        });
      } else {
        console.warn('hueDrop.fromAssist could not be attached to the element');
      }
    },
    fromDesktop: function fromDesktop(element, callback, method) {
      if (window.FileReader) {
        if (typeof element === 'function' && !(element instanceof jquery__WEBPACK_IMPORTED_MODULE_0___default.a)) {
          callback = element;
        }

        if (typeof element === 'string') {
          element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
        }

        var handleFileSelect = function handleFileSelect(e) {
          e.stopPropagation();
          e.preventDefault();
          var dt = e.dataTransfer;
          var files = dt.files;

          for (var i = 0, f; f = files[i]; i++) {
            var reader = new FileReader();

            reader.onload = function (file) {
              return function (e) {
                callback(e.target.result);
              };
            }(f);

            switch (method) {
              case 'arrayBuffer':
                reader.readAsArrayBuffer(f);
                break;

              case 'binaryString':
                reader.readAsBinaryString(f);
                break;

              case 'dataURL':
                reader.readAsDataURL(f);
                break;

              default:
                reader.readAsText(f);
            }
          }
        };

        var handleDragOver = function handleDragOver(e) {
          e.stopPropagation();
          e.preventDefault();
          e.dataTransfer.dropEffect = 'copy';
        };

        if (element.length > 0) {
          element[0].addEventListener('dragover', handleDragOver, false);
          element[0].addEventListener('drop', handleFileSelect, false);
        } else {
          console.warn('hueDrop.fromDesktop could not be attached to the element');
        }
      } else {
        console.warn('FileReader is not supported by your browser. Please consider upgrading to fully experience Hue!');
      }
    }
  };
};

/* harmony default export */ __webpack_exports__["default"] = (hueDrop);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/hueGeo.js":
/*!*****************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/hueGeo.js ***!
  \*****************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


var NominatimAPI = function NominatimAPI(options) {
  this.BASE_URL = 'http://nominatim.openstreetmap.org/search?format=json';
  this.limit = options && options.limit ? options.limit : 1;

  this.lookupCity = function (city, callback) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.getJSON(this.BASE_URL + '&city=' + city + '&limit=' + this.limit + '&json_callback=?', function (data) {
      callback(data);
    });
  };

  this.lookupAddress = function (address, callback) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default.a.getJSON(this.BASE_URL + '&q=' + address + '&limit=' + this.limit + '&json_callback=?', function (data) {
      callback(data);
    });
  };
};

var HueGeo = {
  ISO_3166: [{
    name: 'Afghanistan',
    alpha2: 'AF',
    alpha3: 'AFG',
    'country-code': '004',
    'iso_3166-2': 'ISO 3166-2:AF',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Åland Islands',
    alpha2: 'AX',
    alpha3: 'ALA',
    'country-code': '248',
    'iso_3166-2': 'ISO 3166-2:AX',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Albania',
    alpha2: 'AL',
    alpha3: 'ALB',
    'country-code': '008',
    'iso_3166-2': 'ISO 3166-2:AL',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Algeria',
    alpha2: 'DZ',
    alpha3: 'DZA',
    'country-code': '012',
    'iso_3166-2': 'ISO 3166-2:DZ',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'American Samoa',
    alpha2: 'AS',
    alpha3: 'ASM',
    'country-code': '016',
    'iso_3166-2': 'ISO 3166-2:AS',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Andorra',
    alpha2: 'AD',
    alpha3: 'AND',
    'country-code': '020',
    'iso_3166-2': 'ISO 3166-2:AD',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Angola',
    alpha2: 'AO',
    alpha3: 'AGO',
    'country-code': '024',
    'iso_3166-2': 'ISO 3166-2:AO',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Anguilla',
    alpha2: 'AI',
    alpha3: 'AIA',
    'country-code': '660',
    'iso_3166-2': 'ISO 3166-2:AI',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Antarctica',
    alpha2: 'AQ',
    alpha3: 'ATA',
    'country-code': '010',
    'iso_3166-2': 'ISO 3166-2:AQ'
  }, {
    name: 'Antigua and Barbuda',
    alpha2: 'AG',
    alpha3: 'ATG',
    'country-code': '028',
    'iso_3166-2': 'ISO 3166-2:AG',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Argentina',
    alpha2: 'AR',
    alpha3: 'ARG',
    'country-code': '032',
    'iso_3166-2': 'ISO 3166-2:AR',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Armenia',
    alpha2: 'AM',
    alpha3: 'ARM',
    'country-code': '051',
    'iso_3166-2': 'ISO 3166-2:AM',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Aruba',
    alpha2: 'AW',
    alpha3: 'ABW',
    'country-code': '533',
    'iso_3166-2': 'ISO 3166-2:AW',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Australia',
    alpha2: 'AU',
    alpha3: 'AUS',
    'country-code': '036',
    'iso_3166-2': 'ISO 3166-2:AU',
    'region-code': '009',
    'sub-region-code': '053'
  }, {
    name: 'Austria',
    alpha2: 'AT',
    alpha3: 'AUT',
    'country-code': '040',
    'iso_3166-2': 'ISO 3166-2:AT',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Azerbaijan',
    alpha2: 'AZ',
    alpha3: 'AZE',
    'country-code': '031',
    'iso_3166-2': 'ISO 3166-2:AZ',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Bahamas',
    alpha2: 'BS',
    alpha3: 'BHS',
    'country-code': '044',
    'iso_3166-2': 'ISO 3166-2:BS',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Bahrain',
    alpha2: 'BH',
    alpha3: 'BHR',
    'country-code': '048',
    'iso_3166-2': 'ISO 3166-2:BH',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Bangladesh',
    alpha2: 'BD',
    alpha3: 'BGD',
    'country-code': '050',
    'iso_3166-2': 'ISO 3166-2:BD',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Barbados',
    alpha2: 'BB',
    alpha3: 'BRB',
    'country-code': '052',
    'iso_3166-2': 'ISO 3166-2:BB',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Belarus',
    alpha2: 'BY',
    alpha3: 'BLR',
    'country-code': '112',
    'iso_3166-2': 'ISO 3166-2:BY',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Belgium',
    alpha2: 'BE',
    alpha3: 'BEL',
    'country-code': '056',
    'iso_3166-2': 'ISO 3166-2:BE',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Belize',
    alpha2: 'BZ',
    alpha3: 'BLZ',
    'country-code': '084',
    'iso_3166-2': 'ISO 3166-2:BZ',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Benin',
    alpha2: 'BJ',
    alpha3: 'BEN',
    'country-code': '204',
    'iso_3166-2': 'ISO 3166-2:BJ',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Bermuda',
    alpha2: 'BM',
    alpha3: 'BMU',
    'country-code': '060',
    'iso_3166-2': 'ISO 3166-2:BM',
    'region-code': '019',
    'sub-region-code': '021'
  }, {
    name: 'Bhutan',
    alpha2: 'BT',
    alpha3: 'BTN',
    'country-code': '064',
    'iso_3166-2': 'ISO 3166-2:BT',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Bolivia, Plurinational State of',
    alpha2: 'BO',
    alpha3: 'BOL',
    'country-code': '068',
    'iso_3166-2': 'ISO 3166-2:BO',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Bonaire, Sint Eustatius and Saba',
    alpha2: 'BQ',
    alpha3: 'BES',
    'country-code': '535',
    'iso_3166-2': 'ISO 3166-2:BQ',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Bosnia and Herzegovina',
    alpha2: 'BA',
    alpha3: 'BIH',
    'country-code': '070',
    'iso_3166-2': 'ISO 3166-2:BA',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Botswana',
    alpha2: 'BW',
    alpha3: 'BWA',
    'country-code': '072',
    'iso_3166-2': 'ISO 3166-2:BW',
    'region-code': '002',
    'sub-region-code': '018'
  }, {
    name: 'Bouvet Island',
    alpha2: 'BV',
    alpha3: 'BVT',
    'country-code': '074',
    'iso_3166-2': 'ISO 3166-2:BV'
  }, {
    name: 'Brazil',
    alpha2: 'BR',
    alpha3: 'BRA',
    'country-code': '076',
    'iso_3166-2': 'ISO 3166-2:BR',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'British Indian Ocean Territory',
    alpha2: 'IO',
    alpha3: 'IOT',
    'country-code': '086',
    'iso_3166-2': 'ISO 3166-2:IO'
  }, {
    name: 'Brunei Darussalam',
    alpha2: 'BN',
    alpha3: 'BRN',
    'country-code': '096',
    'iso_3166-2': 'ISO 3166-2:BN',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Bulgaria',
    alpha2: 'BG',
    alpha3: 'BGR',
    'country-code': '100',
    'iso_3166-2': 'ISO 3166-2:BG',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Burkina Faso',
    alpha2: 'BF',
    alpha3: 'BFA',
    'country-code': '854',
    'iso_3166-2': 'ISO 3166-2:BF',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Burundi',
    alpha2: 'BI',
    alpha3: 'BDI',
    'country-code': '108',
    'iso_3166-2': 'ISO 3166-2:BI',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Cambodia',
    alpha2: 'KH',
    alpha3: 'KHM',
    'country-code': '116',
    'iso_3166-2': 'ISO 3166-2:KH',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Cameroon',
    alpha2: 'CM',
    alpha3: 'CMR',
    'country-code': '120',
    'iso_3166-2': 'ISO 3166-2:CM',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Canada',
    alpha2: 'CA',
    alpha3: 'CAN',
    'country-code': '124',
    'iso_3166-2': 'ISO 3166-2:CA',
    'region-code': '019',
    'sub-region-code': '021'
  }, {
    name: 'Cape Verde',
    alpha2: 'CV',
    alpha3: 'CPV',
    'country-code': '132',
    'iso_3166-2': 'ISO 3166-2:CV',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Cayman Islands',
    alpha2: 'KY',
    alpha3: 'CYM',
    'country-code': '136',
    'iso_3166-2': 'ISO 3166-2:KY',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Central African Republic',
    alpha2: 'CF',
    alpha3: 'CAF',
    'country-code': '140',
    'iso_3166-2': 'ISO 3166-2:CF',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Chad',
    alpha2: 'TD',
    alpha3: 'TCD',
    'country-code': '148',
    'iso_3166-2': 'ISO 3166-2:TD',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Chile',
    alpha2: 'CL',
    alpha3: 'CHL',
    'country-code': '152',
    'iso_3166-2': 'ISO 3166-2:CL',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'China',
    alpha2: 'CN',
    alpha3: 'CHN',
    'country-code': '156',
    'iso_3166-2': 'ISO 3166-2:CN',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Christmas Island',
    alpha2: 'CX',
    alpha3: 'CXR',
    'country-code': '162',
    'iso_3166-2': 'ISO 3166-2:CX'
  }, {
    name: 'Cocos (Keeling) Islands',
    alpha2: 'CC',
    alpha3: 'CCK',
    'country-code': '166',
    'iso_3166-2': 'ISO 3166-2:CC'
  }, {
    name: 'Colombia',
    alpha2: 'CO',
    alpha3: 'COL',
    'country-code': '170',
    'iso_3166-2': 'ISO 3166-2:CO',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Comoros',
    alpha2: 'KM',
    alpha3: 'COM',
    'country-code': '174',
    'iso_3166-2': 'ISO 3166-2:KM',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Congo',
    alpha2: 'CG',
    alpha3: 'COG',
    'country-code': '178',
    'iso_3166-2': 'ISO 3166-2:CG',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Congo, the Democratic Republic of the',
    alpha2: 'CD',
    alpha3: 'COD',
    'country-code': '180',
    'iso_3166-2': 'ISO 3166-2:CD',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Cook Islands',
    alpha2: 'CK',
    alpha3: 'COK',
    'country-code': '184',
    'iso_3166-2': 'ISO 3166-2:CK',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Costa Rica',
    alpha2: 'CR',
    alpha3: 'CRI',
    'country-code': '188',
    'iso_3166-2': 'ISO 3166-2:CR',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: "Côte d'Ivoire",
    alpha2: 'CI',
    alpha3: 'CIV',
    'country-code': '384',
    'iso_3166-2': 'ISO 3166-2:CI',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Croatia',
    alpha2: 'HR',
    alpha3: 'HRV',
    'country-code': '191',
    'iso_3166-2': 'ISO 3166-2:HR',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Cuba',
    alpha2: 'CU',
    alpha3: 'CUB',
    'country-code': '192',
    'iso_3166-2': 'ISO 3166-2:CU',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Curaçao',
    alpha2: 'CW',
    alpha3: 'CUW',
    'country-code': '531',
    'iso_3166-2': 'ISO 3166-2:CW',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Cyprus',
    alpha2: 'CY',
    alpha3: 'CYP',
    'country-code': '196',
    'iso_3166-2': 'ISO 3166-2:CY',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Czech Republic',
    alpha2: 'CZ',
    alpha3: 'CZE',
    'country-code': '203',
    'iso_3166-2': 'ISO 3166-2:CZ',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Denmark',
    alpha2: 'DK',
    alpha3: 'DNK',
    'country-code': '208',
    'iso_3166-2': 'ISO 3166-2:DK',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Djibouti',
    alpha2: 'DJ',
    alpha3: 'DJI',
    'country-code': '262',
    'iso_3166-2': 'ISO 3166-2:DJ',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Dominica',
    alpha2: 'DM',
    alpha3: 'DMA',
    'country-code': '212',
    'iso_3166-2': 'ISO 3166-2:DM',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Dominican Republic',
    alpha2: 'DO',
    alpha3: 'DOM',
    'country-code': '214',
    'iso_3166-2': 'ISO 3166-2:DO',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Ecuador',
    alpha2: 'EC',
    alpha3: 'ECU',
    'country-code': '218',
    'iso_3166-2': 'ISO 3166-2:EC',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Egypt',
    alpha2: 'EG',
    alpha3: 'EGY',
    'country-code': '818',
    'iso_3166-2': 'ISO 3166-2:EG',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'El Salvador',
    alpha2: 'SV',
    alpha3: 'SLV',
    'country-code': '222',
    'iso_3166-2': 'ISO 3166-2:SV',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Equatorial Guinea',
    alpha2: 'GQ',
    alpha3: 'GNQ',
    'country-code': '226',
    'iso_3166-2': 'ISO 3166-2:GQ',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Eritrea',
    alpha2: 'ER',
    alpha3: 'ERI',
    'country-code': '232',
    'iso_3166-2': 'ISO 3166-2:ER',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Estonia',
    alpha2: 'EE',
    alpha3: 'EST',
    'country-code': '233',
    'iso_3166-2': 'ISO 3166-2:EE',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Ethiopia',
    alpha2: 'ET',
    alpha3: 'ETH',
    'country-code': '231',
    'iso_3166-2': 'ISO 3166-2:ET',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Falkland Islands (Malvinas)',
    alpha2: 'FK',
    alpha3: 'FLK',
    'country-code': '238',
    'iso_3166-2': 'ISO 3166-2:FK',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Faroe Islands',
    alpha2: 'FO',
    alpha3: 'FRO',
    'country-code': '234',
    'iso_3166-2': 'ISO 3166-2:FO',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Fiji',
    alpha2: 'FJ',
    alpha3: 'FJI',
    'country-code': '242',
    'iso_3166-2': 'ISO 3166-2:FJ',
    'region-code': '009',
    'sub-region-code': '054'
  }, {
    name: 'Finland',
    alpha2: 'FI',
    alpha3: 'FIN',
    'country-code': '246',
    'iso_3166-2': 'ISO 3166-2:FI',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'France',
    alpha2: 'FR',
    alpha3: 'FRA',
    'country-code': '250',
    'iso_3166-2': 'ISO 3166-2:FR',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'French Guiana',
    alpha2: 'GF',
    alpha3: 'GUF',
    'country-code': '254',
    'iso_3166-2': 'ISO 3166-2:GF',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'French Polynesia',
    alpha2: 'PF',
    alpha3: 'PYF',
    'country-code': '258',
    'iso_3166-2': 'ISO 3166-2:PF',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'French Southern Territories',
    alpha2: 'TF',
    alpha3: 'ATF',
    'country-code': '260',
    'iso_3166-2': 'ISO 3166-2:TF'
  }, {
    name: 'Gabon',
    alpha2: 'GA',
    alpha3: 'GAB',
    'country-code': '266',
    'iso_3166-2': 'ISO 3166-2:GA',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Gambia',
    alpha2: 'GM',
    alpha3: 'GMB',
    'country-code': '270',
    'iso_3166-2': 'ISO 3166-2:GM',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Georgia',
    alpha2: 'GE',
    alpha3: 'GEO',
    'country-code': '268',
    'iso_3166-2': 'ISO 3166-2:GE',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Germany',
    alpha2: 'DE',
    alpha3: 'DEU',
    'country-code': '276',
    'iso_3166-2': 'ISO 3166-2:DE',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Ghana',
    alpha2: 'GH',
    alpha3: 'GHA',
    'country-code': '288',
    'iso_3166-2': 'ISO 3166-2:GH',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Gibraltar',
    alpha2: 'GI',
    alpha3: 'GIB',
    'country-code': '292',
    'iso_3166-2': 'ISO 3166-2:GI',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Greece',
    alpha2: 'GR',
    alpha3: 'GRC',
    'country-code': '300',
    'iso_3166-2': 'ISO 3166-2:GR',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Greenland',
    alpha2: 'GL',
    alpha3: 'GRL',
    'country-code': '304',
    'iso_3166-2': 'ISO 3166-2:GL',
    'region-code': '019',
    'sub-region-code': '021'
  }, {
    name: 'Grenada',
    alpha2: 'GD',
    alpha3: 'GRD',
    'country-code': '308',
    'iso_3166-2': 'ISO 3166-2:GD',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Guadeloupe',
    alpha2: 'GP',
    alpha3: 'GLP',
    'country-code': '312',
    'iso_3166-2': 'ISO 3166-2:GP',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Guam',
    alpha2: 'GU',
    alpha3: 'GUM',
    'country-code': '316',
    'iso_3166-2': 'ISO 3166-2:GU',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Guatemala',
    alpha2: 'GT',
    alpha3: 'GTM',
    'country-code': '320',
    'iso_3166-2': 'ISO 3166-2:GT',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Guernsey',
    alpha2: 'GG',
    alpha3: 'GGY',
    'country-code': '831',
    'iso_3166-2': 'ISO 3166-2:GG',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Guinea',
    alpha2: 'GN',
    alpha3: 'GIN',
    'country-code': '324',
    'iso_3166-2': 'ISO 3166-2:GN',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Guinea-Bissau',
    alpha2: 'GW',
    alpha3: 'GNB',
    'country-code': '624',
    'iso_3166-2': 'ISO 3166-2:GW',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Guyana',
    alpha2: 'GY',
    alpha3: 'GUY',
    'country-code': '328',
    'iso_3166-2': 'ISO 3166-2:GY',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Haiti',
    alpha2: 'HT',
    alpha3: 'HTI',
    'country-code': '332',
    'iso_3166-2': 'ISO 3166-2:HT',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Heard Island and McDonald Islands',
    alpha2: 'HM',
    alpha3: 'HMD',
    'country-code': '334',
    'iso_3166-2': 'ISO 3166-2:HM'
  }, {
    name: 'Holy See (Vatican City State)',
    alpha2: 'VA',
    alpha3: 'VAT',
    'country-code': '336',
    'iso_3166-2': 'ISO 3166-2:VA',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Honduras',
    alpha2: 'HN',
    alpha3: 'HND',
    'country-code': '340',
    'iso_3166-2': 'ISO 3166-2:HN',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Hong Kong',
    alpha2: 'HK',
    alpha3: 'HKG',
    'country-code': '344',
    'iso_3166-2': 'ISO 3166-2:HK',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Hungary',
    alpha2: 'HU',
    alpha3: 'HUN',
    'country-code': '348',
    'iso_3166-2': 'ISO 3166-2:HU',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Iceland',
    alpha2: 'IS',
    alpha3: 'ISL',
    'country-code': '352',
    'iso_3166-2': 'ISO 3166-2:IS',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'India',
    alpha2: 'IN',
    alpha3: 'IND',
    'country-code': '356',
    'iso_3166-2': 'ISO 3166-2:IN',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Indonesia',
    alpha2: 'ID',
    alpha3: 'IDN',
    'country-code': '360',
    'iso_3166-2': 'ISO 3166-2:ID',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Iran, Islamic Republic of',
    alpha2: 'IR',
    alpha3: 'IRN',
    'country-code': '364',
    'iso_3166-2': 'ISO 3166-2:IR',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Iraq',
    alpha2: 'IQ',
    alpha3: 'IRQ',
    'country-code': '368',
    'iso_3166-2': 'ISO 3166-2:IQ',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Ireland',
    alpha2: 'IE',
    alpha3: 'IRL',
    'country-code': '372',
    'iso_3166-2': 'ISO 3166-2:IE',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Isle of Man',
    alpha2: 'IM',
    alpha3: 'IMN',
    'country-code': '833',
    'iso_3166-2': 'ISO 3166-2:IM',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Israel',
    alpha2: 'IL',
    alpha3: 'ISR',
    'country-code': '376',
    'iso_3166-2': 'ISO 3166-2:IL',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Italy',
    alpha2: 'IT',
    alpha3: 'ITA',
    'country-code': '380',
    'iso_3166-2': 'ISO 3166-2:IT',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Jamaica',
    alpha2: 'JM',
    alpha3: 'JAM',
    'country-code': '388',
    'iso_3166-2': 'ISO 3166-2:JM',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Japan',
    alpha2: 'JP',
    alpha3: 'JPN',
    'country-code': '392',
    'iso_3166-2': 'ISO 3166-2:JP',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Jersey',
    alpha2: 'JE',
    alpha3: 'JEY',
    'country-code': '832',
    'iso_3166-2': 'ISO 3166-2:JE',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Jordan',
    alpha2: 'JO',
    alpha3: 'JOR',
    'country-code': '400',
    'iso_3166-2': 'ISO 3166-2:JO',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Kazakhstan',
    alpha2: 'KZ',
    alpha3: 'KAZ',
    'country-code': '398',
    'iso_3166-2': 'ISO 3166-2:KZ',
    'region-code': '142',
    'sub-region-code': '143'
  }, {
    name: 'Kenya',
    alpha2: 'KE',
    alpha3: 'KEN',
    'country-code': '404',
    'iso_3166-2': 'ISO 3166-2:KE',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Kiribati',
    alpha2: 'KI',
    alpha3: 'KIR',
    'country-code': '296',
    'iso_3166-2': 'ISO 3166-2:KI',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: "Korea, Democratic People's Republic of",
    alpha2: 'KP',
    alpha3: 'PRK',
    'country-code': '408',
    'iso_3166-2': 'ISO 3166-2:KP',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Korea, Republic of',
    alpha2: 'KR',
    alpha3: 'KOR',
    'country-code': '410',
    'iso_3166-2': 'ISO 3166-2:KR',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Kuwait',
    alpha2: 'KW',
    alpha3: 'KWT',
    'country-code': '414',
    'iso_3166-2': 'ISO 3166-2:KW',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Kyrgyzstan',
    alpha2: 'KG',
    alpha3: 'KGZ',
    'country-code': '417',
    'iso_3166-2': 'ISO 3166-2:KG',
    'region-code': '142',
    'sub-region-code': '143'
  }, {
    name: "Lao People's Democratic Republic",
    alpha2: 'LA',
    alpha3: 'LAO',
    'country-code': '418',
    'iso_3166-2': 'ISO 3166-2:LA',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Latvia',
    alpha2: 'LV',
    alpha3: 'LVA',
    'country-code': '428',
    'iso_3166-2': 'ISO 3166-2:LV',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Lebanon',
    alpha2: 'LB',
    alpha3: 'LBN',
    'country-code': '422',
    'iso_3166-2': 'ISO 3166-2:LB',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Lesotho',
    alpha2: 'LS',
    alpha3: 'LSO',
    'country-code': '426',
    'iso_3166-2': 'ISO 3166-2:LS',
    'region-code': '002',
    'sub-region-code': '018'
  }, {
    name: 'Liberia',
    alpha2: 'LR',
    alpha3: 'LBR',
    'country-code': '430',
    'iso_3166-2': 'ISO 3166-2:LR',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Libya',
    alpha2: 'LY',
    alpha3: 'LBY',
    'country-code': '434',
    'iso_3166-2': 'ISO 3166-2:LY',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'Liechtenstein',
    alpha2: 'LI',
    alpha3: 'LIE',
    'country-code': '438',
    'iso_3166-2': 'ISO 3166-2:LI',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Lithuania',
    alpha2: 'LT',
    alpha3: 'LTU',
    'country-code': '440',
    'iso_3166-2': 'ISO 3166-2:LT',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Luxembourg',
    alpha2: 'LU',
    alpha3: 'LUX',
    'country-code': '442',
    'iso_3166-2': 'ISO 3166-2:LU',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Macao',
    alpha2: 'MO',
    alpha3: 'MAC',
    'country-code': '446',
    'iso_3166-2': 'ISO 3166-2:MO',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Macedonia, the former Yugoslav Republic of',
    alpha2: 'MK',
    alpha3: 'MKD',
    'country-code': '807',
    'iso_3166-2': 'ISO 3166-2:MK',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Madagascar',
    alpha2: 'MG',
    alpha3: 'MDG',
    'country-code': '450',
    'iso_3166-2': 'ISO 3166-2:MG',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Malawi',
    alpha2: 'MW',
    alpha3: 'MWI',
    'country-code': '454',
    'iso_3166-2': 'ISO 3166-2:MW',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Malaysia',
    alpha2: 'MY',
    alpha3: 'MYS',
    'country-code': '458',
    'iso_3166-2': 'ISO 3166-2:MY',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Maldives',
    alpha2: 'MV',
    alpha3: 'MDV',
    'country-code': '462',
    'iso_3166-2': 'ISO 3166-2:MV',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Mali',
    alpha2: 'ML',
    alpha3: 'MLI',
    'country-code': '466',
    'iso_3166-2': 'ISO 3166-2:ML',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Malta',
    alpha2: 'MT',
    alpha3: 'MLT',
    'country-code': '470',
    'iso_3166-2': 'ISO 3166-2:MT',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Marshall Islands',
    alpha2: 'MH',
    alpha3: 'MHL',
    'country-code': '584',
    'iso_3166-2': 'ISO 3166-2:MH',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Martinique',
    alpha2: 'MQ',
    alpha3: 'MTQ',
    'country-code': '474',
    'iso_3166-2': 'ISO 3166-2:MQ',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Mauritania',
    alpha2: 'MR',
    alpha3: 'MRT',
    'country-code': '478',
    'iso_3166-2': 'ISO 3166-2:MR',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Mauritius',
    alpha2: 'MU',
    alpha3: 'MUS',
    'country-code': '480',
    'iso_3166-2': 'ISO 3166-2:MU',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Mayotte',
    alpha2: 'YT',
    alpha3: 'MYT',
    'country-code': '175',
    'iso_3166-2': 'ISO 3166-2:YT',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Mexico',
    alpha2: 'MX',
    alpha3: 'MEX',
    'country-code': '484',
    'iso_3166-2': 'ISO 3166-2:MX',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Micronesia, Federated States of',
    alpha2: 'FM',
    alpha3: 'FSM',
    'country-code': '583',
    'iso_3166-2': 'ISO 3166-2:FM',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Moldova, Republic of',
    alpha2: 'MD',
    alpha3: 'MDA',
    'country-code': '498',
    'iso_3166-2': 'ISO 3166-2:MD',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Monaco',
    alpha2: 'MC',
    alpha3: 'MCO',
    'country-code': '492',
    'iso_3166-2': 'ISO 3166-2:MC',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Mongolia',
    alpha2: 'MN',
    alpha3: 'MNG',
    'country-code': '496',
    'iso_3166-2': 'ISO 3166-2:MN',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Montenegro',
    alpha2: 'ME',
    alpha3: 'MNE',
    'country-code': '499',
    'iso_3166-2': 'ISO 3166-2:ME',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Montserrat',
    alpha2: 'MS',
    alpha3: 'MSR',
    'country-code': '500',
    'iso_3166-2': 'ISO 3166-2:MS',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Morocco',
    alpha2: 'MA',
    alpha3: 'MAR',
    'country-code': '504',
    'iso_3166-2': 'ISO 3166-2:MA',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'Mozambique',
    alpha2: 'MZ',
    alpha3: 'MOZ',
    'country-code': '508',
    'iso_3166-2': 'ISO 3166-2:MZ',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Myanmar',
    alpha2: 'MM',
    alpha3: 'MMR',
    'country-code': '104',
    'iso_3166-2': 'ISO 3166-2:MM',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Namibia',
    alpha2: 'NA',
    alpha3: 'NAM',
    'country-code': '516',
    'iso_3166-2': 'ISO 3166-2:NA',
    'region-code': '002',
    'sub-region-code': '018'
  }, {
    name: 'Nauru',
    alpha2: 'NR',
    alpha3: 'NRU',
    'country-code': '520',
    'iso_3166-2': 'ISO 3166-2:NR',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Nepal',
    alpha2: 'NP',
    alpha3: 'NPL',
    'country-code': '524',
    'iso_3166-2': 'ISO 3166-2:NP',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Netherlands',
    alpha2: 'NL',
    alpha3: 'NLD',
    'country-code': '528',
    'iso_3166-2': 'ISO 3166-2:NL',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'New Caledonia',
    alpha2: 'NC',
    alpha3: 'NCL',
    'country-code': '540',
    'iso_3166-2': 'ISO 3166-2:NC',
    'region-code': '009',
    'sub-region-code': '054'
  }, {
    name: 'New Zealand',
    alpha2: 'NZ',
    alpha3: 'NZL',
    'country-code': '554',
    'iso_3166-2': 'ISO 3166-2:NZ',
    'region-code': '009',
    'sub-region-code': '053'
  }, {
    name: 'Nicaragua',
    alpha2: 'NI',
    alpha3: 'NIC',
    'country-code': '558',
    'iso_3166-2': 'ISO 3166-2:NI',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Niger',
    alpha2: 'NE',
    alpha3: 'NER',
    'country-code': '562',
    'iso_3166-2': 'ISO 3166-2:NE',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Nigeria',
    alpha2: 'NG',
    alpha3: 'NGA',
    'country-code': '566',
    'iso_3166-2': 'ISO 3166-2:NG',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Niue',
    alpha2: 'NU',
    alpha3: 'NIU',
    'country-code': '570',
    'iso_3166-2': 'ISO 3166-2:NU',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Norfolk Island',
    alpha2: 'NF',
    alpha3: 'NFK',
    'country-code': '574',
    'iso_3166-2': 'ISO 3166-2:NF',
    'region-code': '009',
    'sub-region-code': '053'
  }, {
    name: 'Northern Mariana Islands',
    alpha2: 'MP',
    alpha3: 'MNP',
    'country-code': '580',
    'iso_3166-2': 'ISO 3166-2:MP',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Norway',
    alpha2: 'NO',
    alpha3: 'NOR',
    'country-code': '578',
    'iso_3166-2': 'ISO 3166-2:NO',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Oman',
    alpha2: 'OM',
    alpha3: 'OMN',
    'country-code': '512',
    'iso_3166-2': 'ISO 3166-2:OM',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Pakistan',
    alpha2: 'PK',
    alpha3: 'PAK',
    'country-code': '586',
    'iso_3166-2': 'ISO 3166-2:PK',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Palau',
    alpha2: 'PW',
    alpha3: 'PLW',
    'country-code': '585',
    'iso_3166-2': 'ISO 3166-2:PW',
    'region-code': '009',
    'sub-region-code': '057'
  }, {
    name: 'Palestine, State of',
    alpha2: 'PS',
    alpha3: 'PSE',
    'country-code': '275',
    'iso_3166-2': 'ISO 3166-2:PS',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Panama',
    alpha2: 'PA',
    alpha3: 'PAN',
    'country-code': '591',
    'iso_3166-2': 'ISO 3166-2:PA',
    'region-code': '019',
    'sub-region-code': '013'
  }, {
    name: 'Papua New Guinea',
    alpha2: 'PG',
    alpha3: 'PNG',
    'country-code': '598',
    'iso_3166-2': 'ISO 3166-2:PG',
    'region-code': '009',
    'sub-region-code': '054'
  }, {
    name: 'Paraguay',
    alpha2: 'PY',
    alpha3: 'PRY',
    'country-code': '600',
    'iso_3166-2': 'ISO 3166-2:PY',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Peru',
    alpha2: 'PE',
    alpha3: 'PER',
    'country-code': '604',
    'iso_3166-2': 'ISO 3166-2:PE',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Philippines',
    alpha2: 'PH',
    alpha3: 'PHL',
    'country-code': '608',
    'iso_3166-2': 'ISO 3166-2:PH',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Pitcairn',
    alpha2: 'PN',
    alpha3: 'PCN',
    'country-code': '612',
    'iso_3166-2': 'ISO 3166-2:PN',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Poland',
    alpha2: 'PL',
    alpha3: 'POL',
    'country-code': '616',
    'iso_3166-2': 'ISO 3166-2:PL',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Portugal',
    alpha2: 'PT',
    alpha3: 'PRT',
    'country-code': '620',
    'iso_3166-2': 'ISO 3166-2:PT',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Puerto Rico',
    alpha2: 'PR',
    alpha3: 'PRI',
    'country-code': '630',
    'iso_3166-2': 'ISO 3166-2:PR',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Qatar',
    alpha2: 'QA',
    alpha3: 'QAT',
    'country-code': '634',
    'iso_3166-2': 'ISO 3166-2:QA',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Réunion',
    alpha2: 'RE',
    alpha3: 'REU',
    'country-code': '638',
    'iso_3166-2': 'ISO 3166-2:RE',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Romania',
    alpha2: 'RO',
    alpha3: 'ROU',
    'country-code': '642',
    'iso_3166-2': 'ISO 3166-2:RO',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Russian Federation',
    alpha2: 'RU',
    alpha3: 'RUS',
    'country-code': '643',
    'iso_3166-2': 'ISO 3166-2:RU',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Rwanda',
    alpha2: 'RW',
    alpha3: 'RWA',
    'country-code': '646',
    'iso_3166-2': 'ISO 3166-2:RW',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Saint Barthélemy',
    alpha2: 'BL',
    alpha3: 'BLM',
    'country-code': '652',
    'iso_3166-2': 'ISO 3166-2:BL',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Saint Helena, Ascension and Tristan da Cunha',
    alpha2: 'SH',
    alpha3: 'SHN',
    'country-code': '654',
    'iso_3166-2': 'ISO 3166-2:SH',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Saint Kitts and Nevis',
    alpha2: 'KN',
    alpha3: 'KNA',
    'country-code': '659',
    'iso_3166-2': 'ISO 3166-2:KN',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Saint Lucia',
    alpha2: 'LC',
    alpha3: 'LCA',
    'country-code': '662',
    'iso_3166-2': 'ISO 3166-2:LC',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Saint Martin (French part)',
    alpha2: 'MF',
    alpha3: 'MAF',
    'country-code': '663',
    'iso_3166-2': 'ISO 3166-2:MF',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Saint Pierre and Miquelon',
    alpha2: 'PM',
    alpha3: 'SPM',
    'country-code': '666',
    'iso_3166-2': 'ISO 3166-2:PM',
    'region-code': '019',
    'sub-region-code': '021'
  }, {
    name: 'Saint Vincent and the Grenadines',
    alpha2: 'VC',
    alpha3: 'VCT',
    'country-code': '670',
    'iso_3166-2': 'ISO 3166-2:VC',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Samoa',
    alpha2: 'WS',
    alpha3: 'WSM',
    'country-code': '882',
    'iso_3166-2': 'ISO 3166-2:WS',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'San Marino',
    alpha2: 'SM',
    alpha3: 'SMR',
    'country-code': '674',
    'iso_3166-2': 'ISO 3166-2:SM',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Sao Tome and Principe',
    alpha2: 'ST',
    alpha3: 'STP',
    'country-code': '678',
    'iso_3166-2': 'ISO 3166-2:ST',
    'region-code': '002',
    'sub-region-code': '017'
  }, {
    name: 'Saudi Arabia',
    alpha2: 'SA',
    alpha3: 'SAU',
    'country-code': '682',
    'iso_3166-2': 'ISO 3166-2:SA',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Senegal',
    alpha2: 'SN',
    alpha3: 'SEN',
    'country-code': '686',
    'iso_3166-2': 'ISO 3166-2:SN',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Serbia',
    alpha2: 'RS',
    alpha3: 'SRB',
    'country-code': '688',
    'iso_3166-2': 'ISO 3166-2:RS',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Seychelles',
    alpha2: 'SC',
    alpha3: 'SYC',
    'country-code': '690',
    'iso_3166-2': 'ISO 3166-2:SC',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Sierra Leone',
    alpha2: 'SL',
    alpha3: 'SLE',
    'country-code': '694',
    'iso_3166-2': 'ISO 3166-2:SL',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Singapore',
    alpha2: 'SG',
    alpha3: 'SGP',
    'country-code': '702',
    'iso_3166-2': 'ISO 3166-2:SG',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Sint Maarten (Dutch part)',
    alpha2: 'SX',
    alpha3: 'SXM',
    'country-code': '534',
    'iso_3166-2': 'ISO 3166-2:SX',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Slovakia',
    alpha2: 'SK',
    alpha3: 'SVK',
    'country-code': '703',
    'iso_3166-2': 'ISO 3166-2:SK',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'Slovenia',
    alpha2: 'SI',
    alpha3: 'SVN',
    'country-code': '705',
    'iso_3166-2': 'ISO 3166-2:SI',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Solomon Islands',
    alpha2: 'SB',
    alpha3: 'SLB',
    'country-code': '090',
    'iso_3166-2': 'ISO 3166-2:SB',
    'region-code': '009',
    'sub-region-code': '054'
  }, {
    name: 'Somalia',
    alpha2: 'SO',
    alpha3: 'SOM',
    'country-code': '706',
    'iso_3166-2': 'ISO 3166-2:SO',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'South Africa',
    alpha2: 'ZA',
    alpha3: 'ZAF',
    'country-code': '710',
    'iso_3166-2': 'ISO 3166-2:ZA',
    'region-code': '002',
    'sub-region-code': '018'
  }, {
    name: 'South Georgia and the South Sandwich Islands',
    alpha2: 'GS',
    alpha3: 'SGS',
    'country-code': '239',
    'iso_3166-2': 'ISO 3166-2:GS'
  }, {
    name: 'South Sudan',
    alpha2: 'SS',
    alpha3: 'SSD',
    'country-code': '728',
    'iso_3166-2': 'ISO 3166-2:SS',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Spain',
    alpha2: 'ES',
    alpha3: 'ESP',
    'country-code': '724',
    'iso_3166-2': 'ISO 3166-2:ES',
    'region-code': '150',
    'sub-region-code': '039'
  }, {
    name: 'Sri Lanka',
    alpha2: 'LK',
    alpha3: 'LKA',
    'country-code': '144',
    'iso_3166-2': 'ISO 3166-2:LK',
    'region-code': '142',
    'sub-region-code': '034'
  }, {
    name: 'Sudan',
    alpha2: 'SD',
    alpha3: 'SDN',
    'country-code': '729',
    'iso_3166-2': 'ISO 3166-2:SD',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'Suriname',
    alpha2: 'SR',
    alpha3: 'SUR',
    'country-code': '740',
    'iso_3166-2': 'ISO 3166-2:SR',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Svalbard and Jan Mayen',
    alpha2: 'SJ',
    alpha3: 'SJM',
    'country-code': '744',
    'iso_3166-2': 'ISO 3166-2:SJ',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Swaziland',
    alpha2: 'SZ',
    alpha3: 'SWZ',
    'country-code': '748',
    'iso_3166-2': 'ISO 3166-2:SZ',
    'region-code': '002',
    'sub-region-code': '018'
  }, {
    name: 'Sweden',
    alpha2: 'SE',
    alpha3: 'SWE',
    'country-code': '752',
    'iso_3166-2': 'ISO 3166-2:SE',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'Switzerland',
    alpha2: 'CH',
    alpha3: 'CHE',
    'country-code': '756',
    'iso_3166-2': 'ISO 3166-2:CH',
    'region-code': '150',
    'sub-region-code': '155'
  }, {
    name: 'Syrian Arab Republic',
    alpha2: 'SY',
    alpha3: 'SYR',
    'country-code': '760',
    'iso_3166-2': 'ISO 3166-2:SY',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Taiwan, Province of China',
    alpha2: 'TW',
    alpha3: 'TWN',
    'country-code': '158',
    'iso_3166-2': 'ISO 3166-2:TW',
    'region-code': '142',
    'sub-region-code': '030'
  }, {
    name: 'Tajikistan',
    alpha2: 'TJ',
    alpha3: 'TJK',
    'country-code': '762',
    'iso_3166-2': 'ISO 3166-2:TJ',
    'region-code': '142',
    'sub-region-code': '143'
  }, {
    name: 'Tanzania, United Republic of',
    alpha2: 'TZ',
    alpha3: 'TZA',
    'country-code': '834',
    'iso_3166-2': 'ISO 3166-2:TZ',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Thailand',
    alpha2: 'TH',
    alpha3: 'THA',
    'country-code': '764',
    'iso_3166-2': 'ISO 3166-2:TH',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Timor-Leste',
    alpha2: 'TL',
    alpha3: 'TLS',
    'country-code': '626',
    'iso_3166-2': 'ISO 3166-2:TL',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Togo',
    alpha2: 'TG',
    alpha3: 'TGO',
    'country-code': '768',
    'iso_3166-2': 'ISO 3166-2:TG',
    'region-code': '002',
    'sub-region-code': '011'
  }, {
    name: 'Tokelau',
    alpha2: 'TK',
    alpha3: 'TKL',
    'country-code': '772',
    'iso_3166-2': 'ISO 3166-2:TK',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Tonga',
    alpha2: 'TO',
    alpha3: 'TON',
    'country-code': '776',
    'iso_3166-2': 'ISO 3166-2:TO',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Trinidad and Tobago',
    alpha2: 'TT',
    alpha3: 'TTO',
    'country-code': '780',
    'iso_3166-2': 'ISO 3166-2:TT',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Tunisia',
    alpha2: 'TN',
    alpha3: 'TUN',
    'country-code': '788',
    'iso_3166-2': 'ISO 3166-2:TN',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'Turkey',
    alpha2: 'TR',
    alpha3: 'TUR',
    'country-code': '792',
    'iso_3166-2': 'ISO 3166-2:TR',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Turkmenistan',
    alpha2: 'TM',
    alpha3: 'TKM',
    'country-code': '795',
    'iso_3166-2': 'ISO 3166-2:TM',
    'region-code': '142',
    'sub-region-code': '143'
  }, {
    name: 'Turks and Caicos Islands',
    alpha2: 'TC',
    alpha3: 'TCA',
    'country-code': '796',
    'iso_3166-2': 'ISO 3166-2:TC',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Tuvalu',
    alpha2: 'TV',
    alpha3: 'TUV',
    'country-code': '798',
    'iso_3166-2': 'ISO 3166-2:TV',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Uganda',
    alpha2: 'UG',
    alpha3: 'UGA',
    'country-code': '800',
    'iso_3166-2': 'ISO 3166-2:UG',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Ukraine',
    alpha2: 'UA',
    alpha3: 'UKR',
    'country-code': '804',
    'iso_3166-2': 'ISO 3166-2:UA',
    'region-code': '150',
    'sub-region-code': '151'
  }, {
    name: 'United Arab Emirates',
    alpha2: 'AE',
    alpha3: 'ARE',
    'country-code': '784',
    'iso_3166-2': 'ISO 3166-2:AE',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'United Kingdom',
    alpha2: 'GB',
    alpha3: 'GBR',
    'country-code': '826',
    'iso_3166-2': 'ISO 3166-2:GB',
    'region-code': '150',
    'sub-region-code': '154'
  }, {
    name: 'United States',
    alpha2: 'US',
    alpha3: 'USA',
    'country-code': '840',
    'iso_3166-2': 'ISO 3166-2:US',
    'region-code': '019',
    'sub-region-code': '021'
  }, {
    name: 'United States Minor Outlying Islands',
    alpha2: 'UM',
    alpha3: 'UMI',
    'country-code': '581',
    'iso_3166-2': 'ISO 3166-2:UM'
  }, {
    name: 'Uruguay',
    alpha2: 'UY',
    alpha3: 'URY',
    'country-code': '858',
    'iso_3166-2': 'ISO 3166-2:UY',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Uzbekistan',
    alpha2: 'UZ',
    alpha3: 'UZB',
    'country-code': '860',
    'iso_3166-2': 'ISO 3166-2:UZ',
    'region-code': '142',
    'sub-region-code': '143'
  }, {
    name: 'Vanuatu',
    alpha2: 'VU',
    alpha3: 'VUT',
    'country-code': '548',
    'iso_3166-2': 'ISO 3166-2:VU',
    'region-code': '009',
    'sub-region-code': '054'
  }, {
    name: 'Venezuela, Bolivarian Republic of',
    alpha2: 'VE',
    alpha3: 'VEN',
    'country-code': '862',
    'iso_3166-2': 'ISO 3166-2:VE',
    'region-code': '019',
    'sub-region-code': '005'
  }, {
    name: 'Viet Nam',
    alpha2: 'VN',
    alpha3: 'VNM',
    'country-code': '704',
    'iso_3166-2': 'ISO 3166-2:VN',
    'region-code': '142',
    'sub-region-code': '035'
  }, {
    name: 'Virgin Islands, British',
    alpha2: 'VG',
    alpha3: 'VGB',
    'country-code': '092',
    'iso_3166-2': 'ISO 3166-2:VG',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Virgin Islands, U.S.',
    alpha2: 'VI',
    alpha3: 'VIR',
    'country-code': '850',
    'iso_3166-2': 'ISO 3166-2:VI',
    'region-code': '019',
    'sub-region-code': '029'
  }, {
    name: 'Wallis and Futuna',
    alpha2: 'WF',
    alpha3: 'WLF',
    'country-code': '876',
    'iso_3166-2': 'ISO 3166-2:WF',
    'region-code': '009',
    'sub-region-code': '061'
  }, {
    name: 'Western Sahara',
    alpha2: 'EH',
    alpha3: 'ESH',
    'country-code': '732',
    'iso_3166-2': 'ISO 3166-2:EH',
    'region-code': '002',
    'sub-region-code': '015'
  }, {
    name: 'Yemen',
    alpha2: 'YE',
    alpha3: 'YEM',
    'country-code': '887',
    'iso_3166-2': 'ISO 3166-2:YE',
    'region-code': '142',
    'sub-region-code': '145'
  }, {
    name: 'Zambia',
    alpha2: 'ZM',
    alpha3: 'ZMB',
    'country-code': '894',
    'iso_3166-2': 'ISO 3166-2:ZM',
    'region-code': '002',
    'sub-region-code': '014'
  }, {
    name: 'Zimbabwe',
    alpha2: 'ZW',
    alpha3: 'ZWE',
    'country-code': '716',
    'iso_3166-2': 'ISO 3166-2:ZW',
    'region-code': '002',
    'sub-region-code': '014'
  }],
  getCountryFromName: function getCountryFromName(name) {
    for (var i = 0; i < this.ISO_3166.length; i++) {
      if (this.ISO_3166[i].name.toLowerCase().indexOf(name.toLowerCase()) > -1) {
        return this.ISO_3166[i];
      }
    }

    return null;
  },
  getCountryFromCode: function getCountryFromCode(code) {
    for (var i = 0; i < this.ISO_3166.length; i++) {
      if (code.toLowerCase().indexOf(this.ISO_3166[i].alpha2.toLowerCase()) > -1 || code.toLowerCase().indexOf(this.ISO_3166[i].alpha3.toLowerCase()) > -1) {
        return this.ISO_3166[i];
      }
    }

    return null;
  },
  getISOAlpha2: function getISOAlpha2(code) {
    var _country = HueGeo.getCountryFromCode(code);

    return _country ? _country.alpha2 : 'AQ';
  },
  getISOAlpha3: function getISOAlpha3(code) {
    var _country = HueGeo.getCountryFromCode(code);

    return _country ? _country.alpha3 : 'ATA';
  },
  getCity: function getCity(city, callback) {
    var api = new NominatimAPI();
    api.lookupCity(city, function (rawdata) {
      if (rawdata.length > 1) {
        callback(rawdata);
      } else {
        callback(rawdata[0]);
      }
    });
  },
  getCityCoordinates: function getCityCoordinates(city, callback) {
    var api = new NominatimAPI();
    api.lookupCity(city, function (rawdata) {
      if (rawdata.length > 1) {
        callback(rawdata);
      } else {
        callback(rawdata[0].lat, rawdata[0].lon);
      }
    });
  },
  getAddressFromCoordinates: function getAddressFromCoordinates(lat, lng, callback) {
    var api = new NominatimAPI();
    api.lookupAddress(lat + ',' + lng, function (rawdata) {
      if (rawdata.length > 1) {
        callback(rawdata);
      } else {
        callback(rawdata[0].display_name);
      }
    });
  },
  getAddressCoordinates: function getAddressCoordinates(address, callback) {
    var api = new NominatimAPI();
    api.lookupAddress(address, function (rawdata) {
      if (rawdata.length > 1) {
        callback(rawdata);
      } else {
        callback(rawdata[0].lat, rawdata[0].lon);
      }
    });
  }
};
/* harmony default export */ __webpack_exports__["default"] = (HueGeo);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/json.bigDataParse.js":
/*!****************************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/json.bigDataParse.js ***!
  \****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// Based on json_parse by Douglas Crockford
// https://github.com/douglascrockford/JSON-js/blob/master/json_parse.js
JSON.bigdataParse = function () {
  'use strict'; // This is a function that can parse a JSON text, producing a JavaScript
  // data structure. It is a simple, recursive descent parser. It does not use
  // eval or regular expressions, so it can be used as a model for implementing
  // a JSON parser in other languages.
  // We are defining the function inside of another function to avoid creating
  // global variables.

  var at,
      // The index of the current character
  ch,
      // The current character
  escapee = {
    '"': '"',
    '\\': '\\',
    '/': '/',
    b: '\b',
    f: '\f',
    n: '\n',
    r: '\r',
    t: '\t'
  },
      text,
      error = function error(m) {
    // Call error when something is wrong.
    throw {
      name: 'SyntaxError',
      message: m,
      at: at,
      text: text
    };
  },
      next = function next(c) {
    // If a c parameter is provided, verify that it matches the current character.
    if (c && c !== ch) {
      error("Expected '" + c + "' instead of '" + ch + "'");
    } // Get the next character. When there are no more characters,
    // return the empty string.


    try {
      ch = text.charAt(at);
      at += 1;
      return ch;
    } catch (e) {
      return '';
    }
  },
      number = function number() {
    // Parse a number value.
    var number,
        string = '';

    if (ch === '-') {
      string = '-';
      next('-');
    }

    while (ch >= '0' && ch <= '9') {
      string += ch;
      next();
    }

    if (ch === '.') {
      string += '.';

      while (next() && ch >= '0' && ch <= '9') {
        string += ch;
      }
    }

    if (ch === 'e' || ch === 'E') {
      string += ch;
      next();

      if (ch === '-' || ch === '+') {
        string += ch;
        next();
      }

      while (ch >= '0' && ch <= '9') {
        string += ch;
        next();
      }
    }

    number = +string;

    if (!isFinite(number)) {
      error('Bad number');
    } else {
      //if (number > 9007199254740992 || number < -9007199254740992)
      // Bignumber has stricter check: everything with length > 15 digits disallowed
      if (string.length > 15) {
        return string;
      }

      return number;
    }
  },
      string = function string() {
    // Parse a string value.
    var hex,
        i,
        string = '',
        uffff; // When parsing for string values, we must look for " and \ characters.

    if (ch === '"') {
      while (next()) {
        if (ch === '"') {
          next();
          return string;
        }

        if (ch === '\\') {
          next();

          if (ch === 'u') {
            uffff = 0;

            for (i = 0; i < 4; i += 1) {
              hex = parseInt(next(), 16);

              if (!isFinite(hex)) {
                break;
              }

              uffff = uffff * 16 + hex;
            }

            string += String.fromCharCode(uffff);
          } else if (typeof escapee[ch] === 'string') {
            string += escapee[ch];
          } else {
            break;
          }
        } else {
          string += ch;
        }
      }
    }

    error('Bad string');
  },
      white = function white() {
    // Skip whitespace.
    while (ch && ch <= ' ') {
      next();
    }
  },
      word = function word() {
    // true, false, or null.
    switch (ch) {
      case 't':
        next('t');
        next('r');
        next('u');
        next('e');
        return true;

      case 'f':
        next('f');
        next('a');
        next('l');
        next('s');
        next('e');
        return false;

      case 'n':
        next('n');
        next('u');
        next('l');
        next('l');
        return null;
    }

    error("Unexpected '" + ch + "'");
  },
      value,
      // Place holder for the value function.
  array = function array() {
    // Parse an array value.
    var array = [];

    if (ch === '[') {
      next('[');
      white();

      if (ch === ']') {
        next(']');
        return array; // empty array
      }

      while (ch) {
        array.push(value());
        white();

        if (ch === ']') {
          next(']');
          return array;
        }

        next(',');
        white();
      }
    }

    error('Bad array');
  },
      object = function object() {
    // Parse an object value.
    var key,
        object = {};

    if (ch === '{') {
      next('{');
      white();

      if (ch === '}') {
        next('}');
        return object; // empty object
      }

      while (ch) {
        key = string();
        white();
        next(':');

        if (Object.hasOwnProperty.call(object, key)) {
          error('Duplicate key "' + key + '"');
        }

        object[key] = value();
        white();

        if (ch === '}') {
          next('}');
          return object;
        }

        next(',');
        white();
      }
    }

    error('Bad object');
  };

  value = function value() {
    // Parse a JSON value. It could be an object, an array, a string, a number,
    // or a word.
    white();

    switch (ch) {
      case '{':
        return object();

      case '[':
        return array();

      case '"':
        return string();

      case '-':
        return number();

      default:
        return ch >= '0' && ch <= '9' ? number() : word();
    }
  }; // Return the json_parse function. It will have access to all of the above
  // functions and variables.


  return function (source, reviver) {
    var result;
    text = source;
    at = 0;
    ch = ' ';
    result = value();
    white();

    if (ch) {
      error('Syntax error');
    } // If there is a reviver function, we recursively walk the new structure,
    // passing each name/value pair to the reviver function for possible
    // transformation, starting with a temporary root object that holds the result
    // in an empty key. If there is not a reviver function, we simply return the
    // result.


    return typeof reviver === 'function' ? function walk(holder, key) {
      var k,
          v,
          value = holder[key];

      if (value && _typeof(value) === 'object') {
        for (k in value) {
          if (Object.prototype.hasOwnProperty.call(value, k)) {
            v = walk(value, k);

            if (v !== undefined) {
              value[k] = v;
            } else {
              delete value[k];
            }
          }
        }
      }

      return reviver.call(holder, key, value);
    }({
      '': result
    }, '') : result;
  };
}();

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/multiLineEllipsisHandler.js":
/*!***********************************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/multiLineEllipsisHandler.js ***!
  \***********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "./node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! knockout */ "./node_modules/knockout/build/output/knockout-latest.js");
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _hueUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./hueUtils */ "./desktop/core/src/desktop/js/utils/hueUtils.js");
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// Licensed to Cloudera, Inc. under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  Cloudera, Inc. licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.




var checkOverflow = function checkOverflow(element) {
  return element.offsetHeight < element.scrollHeight || element.offsetWidth < element.scrollWidth;
};

var MultiLineEllipsisHandler =
/*#__PURE__*/
function () {
  function MultiLineEllipsisHandler(options) {
    _classCallCheck(this, MultiLineEllipsisHandler);

    var self = this;
    self.element = options.element;
    self.$element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(options.element);
    self.overflowHeight = options.overflowHeight;
    self.expandable = options.expandable;
    self.expandClass = options.expandClass;
    self.expandActionClass = options.expandActionClass;
    self.overflowing = options.overflowing;
    self.onActionRender = options.onActionRender;
    self.lastKnownOffsetHeight;
    self.lastKnownOffsetWidth;
    self.isOverflowing;
    self.expanded = options.expanded || knockout__WEBPACK_IMPORTED_MODULE_1__["observable"](false);
    self.updateOverflowHeight();
    self.contents = options.text;
    self.element.innerHTML = self.contents;
    var linkRegex = /(?:(?:[a-z]+:\/\/)|www\.)[^\s\/]+(?:[.\/]\S+)*[^\s`!()\[\]{};:'".,<>?«»“”‘’]/gi;

    self.renderContents = function (contents) {
      if (options.linkify) {
        return _hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(contents.replace(linkRegex, function (val) {
          return '<a href="' + (val.toLowerCase().indexOf('www') === 0 ? 'http://' + val : val) + '" target="_blank">' + val + '</a>';
        }));
      }

      return _hueUtils__WEBPACK_IMPORTED_MODULE_2__["default"].deXSS(contents);
    };

    self.delayedResumeTimeout = window.setTimeout(function () {
      self.resume();
    }, 0);
  }

  _createClass(MultiLineEllipsisHandler, [{
    key: "updateOverflowHeight",
    value: function updateOverflowHeight() {
      var self = this;

      if (self.overflowHeight) {
        self.$element.css('max-height', self.expanded() ? '' : self.overflowHeight);
        self.$element.css('overflow', self.expanded() ? '' : 'hidden');
      }
    }
  }, {
    key: "resume",
    value: function resume() {
      var self = this;
      self.refresh();
      window.clearInterval(self.sizeCheckInterval);
      self.sizeCheckInterval = window.setInterval(function () {
        if (self.element.offsetWidth !== self.lastKnownOffsetWidth || self.element.offsetHeight !== self.lastKnownOffsetHeight) {
          self.refresh();
        }
      }, 500);
    }
  }, {
    key: "pause",
    value: function pause() {
      var self = this;
      window.clearTimeout(self.delayedResumeTimeout);
      window.clearInterval(self.sizeCheckInterval);
    }
  }, {
    key: "dispose",
    value: function dispose() {
      var self = this;
      self.pause();
    }
  }, {
    key: "refresh",
    value: function refresh() {
      var self = this;
      self.$element.empty();
      var textElement = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<span>').appendTo(self.$element)[0];

      if (self.expandable) {
        textElement.innerHTML = self.renderContents ? self.renderContents(self.contents) : self.contents;

        if (self.expanded() || checkOverflow(self.element)) {
          self.$element.append('&nbsp;');
          var $expandLink = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<a href="javascript:void(0);"><i class="fa fa-fw ' + (self.expanded() ? 'fa-chevron-up' : 'fa-chevron-down') + '"></i></a>');

          if (self.expandActionClass) {
            $expandLink.addClass(self.expandActionClass);
          }

          $expandLink.appendTo(self.$element);
          $expandLink.add(textElement).click(function (e) {
            self.expanded(!self.expanded());
            self.updateOverflowHeight();

            if (self.expanded()) {
              if (self.expandClass) {
                self.$element.addClass(self.expandClass);
              }

              self.refresh();
              self.pause();
            } else {
              if (self.expandClass) {
                self.$element.removeClass(self.expandClass);
              }

              self.resume();
            }
          });
        }
      } else {
        textElement.innerHTML = self.renderContents ? self.renderContents(self.contents) : self.contents;
      }

      if (self.onActionRender) {
        self.onActionRender(self.$element, checkOverflow(self.element));
      }

      self.isOverflowing = false;

      if (!self.expanded()) {
        while (checkOverflow(self.element)) {
          self.isOverflowing = true;
          var contents = jquery__WEBPACK_IMPORTED_MODULE_0___default()(textElement).contents();
          var lastContent = contents[contents.length - 1]; // Check for text node

          if (lastContent.nodeType === 3) {
            var lastSpaceIndex = lastContent.textContent.regexLastIndexOf(/\s\S+/);

            if (lastSpaceIndex !== -1) {
              lastContent.replaceWith(document.createTextNode(lastContent.textContent.substring(0, lastSpaceIndex) + '...'));
            } else if (contents.length > 1) {
              textElement.removeChild(lastContent);
            } else {
              break;
            }
          } else if (contents.length > 1) {
            // Remove any elements like links
            textElement.removeChild(lastContent);
          }
        }
      }

      if (knockout__WEBPACK_IMPORTED_MODULE_1__["isObservable"](self.overflowing) && self.overflowing() !== self.isOverflowing) {
        self.overflowing(self.isOverflowing);
      }

      self.lastKnownOffsetHeight = self.element.offsetHeight;
      self.lastKnownOffsetWidth = self.element.offsetWidth;
    }
  }, {
    key: "setText",
    value: function setText(text) {
      var self = this;
      self.contents = text;
      self.refresh();
    }
  }]);

  return MultiLineEllipsisHandler;
}();

/* harmony default export */ __webpack_exports__["default"] = (MultiLineEllipsisHandler);

/***/ }),

/***/ "./desktop/core/src/desktop/js/utils/publicPath.js":
/*!*********************************************************!*\
  !*** ./desktop/core/src/desktop/js/utils/publicPath.js ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__.p = (window.HUE_BASE_URL || '') + '/dynamic_bundle/default/';

/***/ }),

/***/ 0:
/*!**************************************************!*\
  !*** multi ./desktop/core/src/desktop/js/hue.js ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(/*! ./desktop/core/src/desktop/js/hue.js */"./desktop/core/src/desktop/js/hue.js");


/***/ })

/******/ });
//# sourceMappingURL=hue-bundle-4e620224bdfb0c8ac0cd.js.map